<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ab2.php 2847 2018-04-11 08:00:09Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 41;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 7);

 require_once($pfad."inc/func.inc.php");

 /* AZK Cache leeren -> Neuberechnung Uebertraege */
 if(isset($_POST['azk_cache_reset'])) {
	azk_cache_reset();
	header("Location: ab2.php?page=2&ma=all");
	exit(0);
 }

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function check($pid, $ts, $check) {
	$mon_ts = date('Y-m-d', $ts);
	if($check) {
		abfrage2("INSERT INTO tb_ab_mehrst_begr VALUES ('$pid','$mon_ts','j','','',0,NULL) ON DUPLICATE KEY UPDATE checked='j';");
		abfrage2("replace into tb_ab_proj_fm set proj_id='$pid', ab_monat='$mon_ts', fm='2';");
		$userResp = new xajaxResponse();
		$userResp->assign('plus_'.$pid, 'style.color', 'lime');
		return $userResp;
	} else {
		abfrage2("UPDATE tb_ab_mehrst_begr SET checked='n' WHERE proj_id='$pid' AND ab_monat='$mon_ts';");
	}
}

function save_note($pid, $ts, $text) {
	global $AppCode;
	$uid = $_SESSION[$AppCode]["UID"];
	$userResp = new xajaxResponse();
	$mon_ts = date('Y-m-d', $ts);
	if(!empty($text)) {
		abfrage2("replace into tb_ab_proj_fm set proj_id='$pid', ab_monat='$mon_ts', fm='2';");
		$userResp->assign('plus_'.$pid, 'style.color', 'lime');
	}
	abfrage2("INSERT INTO tb_ab_mehrst_begr VALUES ('$pid','$mon_ts','j','','$text','$uid',NULL) ON DUPLICATE KEY UPDATE titel='', text='$text', pers_id='$uid';");
	$userResp->call("tt_HideInit()");
	$daten = empty($text) ? 'daten' : 'daten_gruen';
	$userResp->assign($pid, 'src', "img/$daten.png");
	return $userResp;
}

function plus_minus($pid, $ts, $act) {
	$mon_ts = date('Y-m-d', $ts);
	$ist = abfrage("select fm from tb_ab_proj_fm where proj_id='$pid' and ab_monat='$mon_ts';");
	if (empty($ist[0])) {
		$color = 'lime';
		$sql = (is_null($ist[0])) ? "insert into" : "update";
		$sql .= " tb_ab_proj_fm set proj_id = '$pid', ab_monat = '$mon_ts', fm = ";
		$sql .= ($act==0) ? "1" : "2";
		if (!is_null($ist[0])){
			$sql .= " where proj_id = '$pid' and ab_monat = '$mon_ts';";
		}	
	} else {
		switch ($ist[0]){
			case 1:
				$fm = ($act==0) ? 0 : 3;
				$color = ($act==0) ? 'red' : 'lime';
				break;
			case 2:
				$fm = ($act==0) ? 3 : 0;
				$color = ($act==0) ? 'lime' : 'red';
				break;
			case 3:
				$fm = ($act==0) ? 2 : 1;
				$color = 'red';
				break;
		}
		$sql = "update tb_ab_proj_fm set fm = $fm where proj_id = '$pid' and ab_monat = '$mon_ts';";
	}
	abfrage2($sql);
	azk_cache_reset_proj_date($pid, $mon_ts);
	$userResp = new xajaxResponse();
	$userResp->assign(($act ? 'plus' : 'minus').'_'.$pid, 'style.color', $color);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('check');
$xajax->registerFunction('save_note');
$xajax->registerFunction('plus_minus');
/* --- Ende Abschnitt (X)AJAX --- */

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

$page = (isset($_GET['page'])) ? $_GET['page'] : 1;
$ma = (isset($_GET['ma'])) ? $_GET['ma'] : $uid;
$self = $_SERVER['PHP_SELF'];
$pers_order = getPersOrder($seite);

if(isset($_POST['correct'])) {
	$where = " WHERE proj_id='".$_POST['proj_id']."' AND datum='".$_POST['date']."'";
	$sql = "SELECT korrektur FROM tb_fls_korrektur $where";
	$erg = abfrage1($sql);
	$exist = (mysql_num_rows($erg) > 0);
	$val = $exist ? mysql_fetch_row($erg) : array('0');

	$std = str_replace(",", ".", $_POST['std']);
	if($std > 838) $std=838;
	$seconds = $std * 3600;

	list($jahr, $monat, $tag) = explode("-", $_POST['date']);
	$folgemonat = date('Y-m-d', mktime(0,0,0,$monat+1,$tag,$jahr));
	$ts = mktime(0,0,0,$monat-1,$tag,$jahr);
	$vormonat = date('Y-m-d', $ts);
	$ref = date('Y-m-d H:i', $ts);
	if($std{0} == '-') { //negative Zeitspanne
		$bis = date('Y-m-d H:i', $ts);
		$ts += substr($seconds,1);
		$von = date('Y-m-d H:i', $ts);
	} else { //positive Zeitspanne
		$von = date('Y-m-d H:i', $ts);
		$ts += $seconds;
		$bis = date('Y-m-d H:i', $ts);
	}

	$sql = $exist ? "UPDATE" : "INSERT INTO";
	$sql .= " tb_fls_korrektur SET korrektur='$std', ";
	$sql .= "korrektur_notiz='" . $_POST['notiz'] . "'";
	$sql .= $exist ? $where : ",proj_id='".$_POST['proj_id']."', datum='".$_POST['date']."'";
	abfrage2($sql);

	if($exist) {
		$id = abfrage( "SELECT termin_id, zk_id FROM tb_ab_zk
						WHERE proj_id='".$_POST['proj_id']."' 
						AND ab_monat='$vormonat' 
						AND inhalte='KORREKTUR-ZK' 
						AND pers_id='0'");
		if(empty($id[0]) || empty($id[1])) $exist = false;
		else {
			abfrage2("UPDATE tb_termine SET von='$von', bis='$bis' WHERE termin_id=$id[0]");
			abfrage2("UPDATE tb_ab_zk SET fls=sec_to_time($seconds) where zk_id='$id[1]'");
		}
	}
	if(!$exist) {
		abfrage2("INSERT INTO tb_termine SET terminart='@@@', von='$von', bis='$bis'");
		$termin_id = mysql_insert_id();
		$sql = "SELECT max(nachw_id) FROM tb_ab_zk WHERE ab_monat='$vormonat'";
		$nachw_id = abfrage($sql . " AND proj_id={$_POST['proj_id']}");
		if(empty($nachw_id[0])) $nachw_id = abfrage($sql);

		abfrage2("INSERT INTO tb_ab_zk SET termin_id='$termin_id', 
				proj_id='".$_POST['proj_id']."', pers_id='0', ab='j', 
				ab_monat='$vormonat', fls=sec_to_time($seconds), code='@',
				nachw_id='$nachw_id[0]', inhalte='KORREKTUR-ZK'");
	}

	azk_update_cache($_POST['proj_id'],$vormonat);
	azk_update_cache($_POST['proj_id'],$_POST['date']);
	azk_update_cache($_POST['proj_id'],$folgemonat);
}

if(isset($_GET['korrektur']) && 
  (($page == 2 && $_SESSION[$AppCode]["ULV"] >= 70) || 
   ($_SESSION[$AppCode]["ULV"] >= 96))) {
	$pro = new stwProjekt($_GET['korrektur']);
	$flskorr = abfrage("SELECT korrektur, korrektur_notiz FROM tb_fls_korrektur 
						WHERE proj_id='{$_GET['korrektur']}' AND datum='{$_GET['date']}'");

    echo "<form method=\"post\" action=\"?page=$page&ma=$ma&nw=".$_GET['nw']."\">\n";
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$pro->id\">\n";
	echo "<input type=\"hidden\" name=\"date\" value=\"{$_GET['date']}\">\n";
    echo "<center><table>\n";
    echo "<tr>\n<th>Korrektur f&uuml;r: </th>\n<td>";
	echo $pro->link('',false,false,$ma) . "</td>\n";
	$datum = preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', date_isodate_stamp($_GET['date'])));
    echo "<th>Monat:</th><td>$datum</td></tr>\n";

    echo "<tr>\n<th>Stunden&auml;nderung:</th>\n";
    echo "<th><input type=\"text\" name=\"std\" size=\"10\" value=\"";
    echo str_replace(".", ",", $flskorr[0]) . "\"> <i style=\"color:red\">maximal 838h</i></th></tr>\n";

    echo "<tr>\n<th>Notiz:</th>\n<td colspan=\"3\">";
    echo "<textarea rows=\"3\" cols=\"50\" name=\"notiz\">$flskorr[1]";

    echo "</textarea></td>\n<td></td>\n</tr>\n</table>\n";
    echo "<input type=\"submit\" value=\"Speichern\" name=\"correct\">\n</form>\n";

    new stwEnd($seite);
    exit(0);
}

// Untermen Datenblatt
echo "<table><tr>\n";

// Reiter abgerechnete Monate
if ($page == 1){
	$class = "menuactive";
} else {
	$class = "menuinactive";
}
echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=1\">abgerechnete Monate</a></th>\n";

// Reiter Aktendeckblatt
if ($page == 2){
	$class = "menuactive";
} else {
	$class = "menuinactive";
}
echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=2\">aktueller Monat</a></th>\n";

if($page == 2 && $ma == 'all') {
	echo "<td style=\"text-align:right\" width=\"320\">\n";
	echo "<form method=\"post\" action=\"ab2.php\">\n";
	echo "<input type=\"submit\" name=\"azk_cache_reset\" ";
	echo "value=\"alle &Uuml;bertr&auml;ge neu berechnen\" />\n";
	echo "</form></td>\n";
}
echo "</tr></table>\n";

new stwLine(1);

// aktuelle oder gewhlte Nachweismappe
if (!empty($_GET["nw"])){
		$nwid = $_GET["nw"];
		$nwdat = abfrage("select datum from tb_ab_nachw
						where nachw_id = '$nwid';");
		$abm = $nwdat[0];
} else {
		$nwmax = abfrage("select max(datum) from tb_ab_nachw;");
		$abm = $nwmax[0];
		$nw_id = abfrage("select nachw_id from tb_ab_nachw
							where datum = '$abm';");

		$nwid = $nw_id[0];
}

echo "<table>\n";
echo "<tr>\n";

if ($page == 1){
	$nachw = abfrage1("select nachw_id , unix_timestamp(datum)
						from tb_ab_nachw
						order by unix_timestamp(datum) asc;");

	if (mysql_num_rows($nachw) > 0){
		// Tabelle fr Schalter
		// Schalter Abrechnungsmonat/Nachweismappe
		echo "<th class=\"cl1\" style=\"vertical-align:middle\">Monat:</th>\n";
		echo "<form method=\"get\" action=\"$self\">\n";
		echo "<input type=\"hidden\" name=\"page\" value=\"1\">\n";
		echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
		echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
		echo "<select name=\"nw\" size=\"1\" tabindex=\"1\" onchange=\"this.form.submit()\">\n";

		while ($row = mysql_fetch_row($nachw)){
			echo "<option value=\"$row[0]\" ";
			if ($nwid == $row[0]){
				echo " selected ";
			}
			echo ">";
			echo preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $row[1]));
			echo "</option>\n";
		}
		echo "</select>\n";
		echo "</td>\n";
		echo "</form>\n";
	}
}

echo "<th class=\"cl1\" style=\"vertical-align:middle\">Mitarbeiter:</th>\n";
if ($_SESSION[$AppCode]["ULV"] >= 65){
  echo "<form method=\"get\" action=\"$self\">\n";
  echo "<input type=\"hidden\" name=\"page\" value=\"$page\">\n";
  echo "<input type=\"hidden\" name=\"nw\" value=\"$nwid\">\n";
  if(isset($_GET['tag'])) echo "<input type=\"hidden\" name=\"tag\" value=\"{$_GET['tag']}\">\n";
  if(isset($_GET['anz'])) echo "<input type=\"hidden\" name=\"anz\" value=\"{$_GET['anz']}\">\n";
  echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
	echo "<select name=\"ma\" size=\"1\" tabindex=\"1\" ";
	echo "onchange=\"this.form.submit()\">\n";

  $ausgabe = "<option value=\"all\" ";

  $sel = FALSE;
  if ($ma == "all")
  {
    $ausgabe .= "selected";
    $sel = TRUE;
  }

	$ausgabe .= ">ALLE anzeigen</option>\n";
	$order = $pers_order == 2 ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc";
	$sql = "select z.pers_id from tb_ab_zk z
			left join tb_personal p using(pers_id)
			where z.nachw_id = '$nwid' ";
	if($page == 2) $sql .= "or z.ab='j' and z.nachw_id is NULL ";
	$sql .= "group by z.pers_id order by $order;";
	$mas = abfrage1($sql);
	while ($pers = mysql_fetch_row($mas)){
	  $ausgabe .= "<option value=\"$pers[0]\"";
    if ($ma == $pers[0])
    {
      $ausgabe .= "selected";
      $sel = TRUE;
    }
	  $ausgabe .= ">".($pers_order==2 ? pers_name2($pers[0]) : pers_name($pers[0]))."</option>\n";
	}

  /* falls noch nichts ausgewaehlt wurde weitere Option zeigen */
  if (!$sel)
  {
    $ausgabe = "<option selected>Mitarbeiter ausw&auml;hlen</option>\n".$ausgabe;
  }

  /* alles ausgeben */
  printf("%s", $ausgabe);

	echo "</select>\n</td>\n</form>\n";
} else {
  echo "<td class=\"cl1\">" . pers_name($ma) . "</td>\n";
}

if ($page == 1){
	$dat = abfrage("select unix_timestamp(datum) from tb_ab_nachw where nachw_id = $nwid;");
	$ts = $dat[0];
	$d = 1;
	$m = date('n', $ts);
	$y = date('Y', $ts);
	$von = date('Y-m-d', $ts);
	$bis = date('Y-m-t', $ts);
} elseif(isset($_GET['tag'])) {
	if(strlen($_GET['tag'])==4) {
		$m = $d = 1;
		$y = $_GET['tag'];
	} else list($y,$m,$d) = explode("-", $_GET['tag']);
	$ts = mktime(0,0,0,$m,$d,$y);	
	if($_GET['anz'] == 'w1' || $_GET['anz'] == 'w2') {
		$wtag = date('w', $ts);
		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n',$ts),date('j',$ts)-6,date('Y',$ts));
		} else {
			$sql_beg = mktime(0,0,0,date('n',$ts),date('j',$ts)-($wtag-1),date('Y',$ts));
		}
		$sql_end = $sql_beg + (6 * 86400);
		$von = date('Y-m-d', $sql_beg);
		$bis = date('Y-m-d', $sql_end);
	} else {
		$von = date('Y-m-d', $ts);
		if(strlen($_GET['tag'])==4 || $_GET['anz']=='j') $bis = "$y-12-31";
		elseif($_GET['anz'] == 't') $bis = $von;
		else $bis = date('Y-m-t', $ts);
	}
} else {
	$ts = last_ab_ts();
	$d = 1;
	$m = date('n', $ts);
	$y = date('Y', $ts);
	$von = date('Y-m-d', $ts);
	$bis = date('Y-m-t', $ts);
}

echo "<th class=\"cl1\">Abrechnungsmonat:</th>\n";
echo "<td style=\"color:cyan;font-weight:bold\">";
echo preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $ts));
echo "</td></tr></table>\n";

new stwLine(1);

$bedingung1 = ($ma == 'all') ? '' : " and z.pers_id = '$ma' ";

if (isset($_GET["sort"])){
	switch ($_GET["sort"]) {
    case 'pr':
      $teilstatement = " group by z.proj_id ";
    	$order = " order by p.projektnr asc;";
		  break;
 	  case 'vn':
 	    $teilstatement = " and t4.perstyp_id='1' group by z.proj_id ";
 	    $order = " order by t5.vorname asc;";
	    break;
    case 'nn':
      $teilstatement = " and t4.perstyp_id='1' group by z.proj_id ";
    	$order = " order by t5.name asc;";
		  break;
	  default:
		  $teilstatement = " group by z.proj_id ";
		  $order = " order by p.projektnr asc;";
	}

	if($page==2 && $ma == 'all') {
		$sql = "select p.proj_id from tb_projekte p
				left join tbh_proj_personen t4 on p.proj_id = t4.proj_id
				left join tb_personen t5 using(person_id)
				where (unix_timestamp(p.ende) = 0 or to_days(p.ende) >= to_days('$von'))
				$teilstatement
				$order";
	} else {
		$sql = "select z.proj_id
				from tb_ab_zk z
				left join tb_termine t2 using (termin_id)
				left join tb_projekte p on z.proj_id = p.proj_id
				left join tbh_proj_personen t4 on z.proj_id = t4.proj_id
				left join tb_personen t5 using(person_id)
				where z.proj_id > 0
				and to_days(t2.von) >= to_days('$von')
				and to_days(t2.bis) <= to_days('$bis')
				and z.ab = 'j'
				$bedingung1
				$teilstatement
				$order";
	}
} else {
	if($page==2 && $ma == 'all') {
		$sql = "select p.proj_id from tb_projekte p
				left join tbh_proj_personen t4 on p.proj_id = t4.proj_id
				left join tb_personen t5 using(person_id)
				where (unix_timestamp(p.ende) = 0 or to_days(p.ende) >= to_days('$von'))
				group by p.proj_id order by p.projektnr asc;";
	} else {
		//-- Ansonsten wie bisher
		$sql = "select z.proj_id
				from tb_ab_zk z
				left join tb_termine t2 using (termin_id)
				left join tb_projekte p on z.proj_id = p.proj_id
				where z.proj_id > 0
				and to_days(t2.von) >= to_days('$von')
				and to_days(t2.bis) <= to_days('$bis')
				and z.ab = 'j'
				$bedingung1
				group by z.proj_id
				order by p.projektnr asc;";
	}
}
$res = abfrage1($sql);

echo "<table>\n<tr>\n";
echo "<th class=\"cl1\"><a href=\"$self?nw=$nwid&amp;page=$page&amp;ma=$ma&amp;sort=pr\">Projekt-Nr.</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$self?nw=$nwid&amp;page=$page&amp;ma=$ma&amp;sort=vn\">Vorname</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$self?nw=$nwid&amp;page=$page&amp;ma=$ma&amp;sort=nn\">Name</a></th>\n";
echo "<th class=\"cl1\"" . stwToolTip("aktuell") . ">FLS/W.</th>\n";
if(!isset($_GET['tag']) || $_GET['anz'] == 'm') {
	echo "<th class=\"cl1\" style=\"text-align:right\" colspan=\"2\">Vormonat</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:right\">FLS Soll</th>\n";
}
echo "<th class=\"cl1\" style=\"text-align:right\">geleistet</th>\n";
$vun_pausch = abfrage1("select distinct prozVuN from tb_kontakte where codeVuN != '' and codeVuN is not NULL");
$vunAnz = mysql_num_rows($vun_pausch);
if($vunAnz>0) {
	if($vunAnz == 1) {
		$prozVuN = mysql_fetch_row($vun_pausch);
		$proz = "$prozVuN[0]% ";
	} else $proz = '';
	echo "<th class=\"cl1\">".$proz."Doku</th>\n";
	echo "<th class=\"cl1\">in Abr.</th>\n";
}
echo "<th class=\"cl1\" style=\"text-align:right\">FLS MA</th>\n";
echo "<th class=\"cl1\" style=\"text-align:right\">FZ MA</th>\n";
if(!isset($_GET['tag']) || $_GET['anz'] == 'm') {
	echo "<td width=\"1\"></td>\n";
	echo "<th class=\"cl1\" style=\"text-align:right\">&Uuml;bertrag</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:right\"".stwToolTip("abgerechnet").">abger.</th>\n";
	if($_SESSION[$AppCode]["ULV"] >= 96) {
		echo "<td colspan=\"2\"></td>\n";
		echo "<th class=\"cl1\" colspan=\"3\" style=\"text-align:center\"".stwToolTip("Begr&uuml;ndung Mehrstunden").">Begr.</th>\n";
	}
}
echo "</tr>\n";

new stwTabLine(2,20);

if ($page == 2){
	$akt = true;
	$mon_ts = last_ab();
} else {
	$nw = $nwid;
	$akt = false;
	$mon_ts = date('Y-m-d', mktime(0,0,0,$dat[0],1,$dat[1]));
}

/* checkbox 'Begruendung Mehrstunden' Haken setzen */
if(isset($_GET['beg_check'])) {
	$pid = intval($_GET['beg_check']);
	abfrage2("INSERT INTO tb_ab_mehrst_begr VALUES ('$pid','$mon_ts','j','','',0,NULL) ON DUPLICATE KEY UPDATE checked='j';");
	abfrage2("replace into tb_ab_proj_fm set proj_id='$pid', ab_monat='$mon_ts', fm='2';");
}

/* checkbox 'Begruendung Mehrstunden' Haken entfernen */
if(isset($_GET['beg_uncheck'])) {
	$pid = intval($_GET['beg_uncheck']);
	abfrage2("UPDATE tb_ab_mehrst_begr SET checked='n' WHERE proj_id='$pid' AND ab_monat='$mon_ts';");
}

/* Speichern Textfelder 'Begruendung Mehrstunden' */
if(isset($_POST['saveMStBegr'])) {
	$pid = intval($_POST['proj_id']);
	$text = $_POST['text'];
	abfrage2("replace into tb_ab_proj_fm set proj_id='$pid', ab_monat='$mon_ts', fm='2';");
	abfrage2("INSERT INTO tb_ab_mehrst_begr VALUES ('$pid','$mon_ts','j','','$text','$uid',NULL) ON DUPLICATE KEY UPDATE titel='', text='$text', pers_id='$uid';");
}

if ($_SESSION[$AppCode]["ULV"] >= 96) {
	$lastMAtext = abfrage("select text from tb_ab_mehrst_begr where pers_id='{$_SESSION[$AppCode]["UID"]}' order by zeit desc limit 1");
	echo "<textarea style=\"display:none\" id=\"lastMAtext\">$lastMAtext[0]</textarea>\n";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function getLastProjText(id) {\n";
	while ($row = mysql_fetch_row($res)) {
		$lastPrText = abfrage("select text from tb_ab_mehrst_begr where proj_id='$row[0]' order by zeit desc limit 1");
		echo " if(id == $row[0]) return '".str_replace("\n","\\n",htmlspecialchars($lastPrText[0]))."';\n";
	}
	echo " return '';\n}\n";

	mysql_data_seek($res, 0);

	echo "function doTT(id,text) {\n";
	echo "var lastProjText = getLastProjText(id);\n";
	echo "var str = '<form name=\"tempform\">';\n";
	echo "str += '<input type=\"hidden\" name=\"proj_id\" value=\"';\n";
	echo "str += id;\n";
	echo "str += '\">Sehr geehrte Damen und Herren,';\n";
	echo "str += '<button style=\"width:32px;height:23px;position:absolute;left:320px;\" onclick=\"this.form.text.value+=';\n";
	echo "str += \"'\" + lastProjText + \"'\";\n";
	echo "str += ';return false;\" title=\"...den Text der letzten Mehrstunden-Begr&uuml;ndung dieses Projekts einf&uuml;gen\"><img src=\"" . Image('archiv',19,14,0,0,0) . "\"></button>';\n";
	echo "str += '<button style=\"width:32px;height:23px;position:absolute;left:356px;\" onclick=\"this.form.text.value+=';\n";
	echo "str += \"document.getElementById('lastMAtext').value;\";\n";
	echo "str += ';return false\" title=\"...den Text Ihrer letzten Mehrstunden-Begr&uuml;ndung einf&uuml;gen\"><img src=\"" . Image('person',16,16,0,0,0) . "\"></button>';\n";
	echo "str += '<br><br>';\n";
	echo "var text2 = 'text' + id;\n";
	echo "str += '<span style=\"vertical-align:top;\">Text: </span><textarea onkeyup=\"document.ab2form.';\n";
	echo "str += text2;\n";
	echo "str += '.value = this.value\" style=\"width:350px\" rows=\"6\" name=\"text\">';\n";
	echo "str += text;\n";
	echo "str += '</textarea>';\n";
	echo "str += '<br><br>Mit freundlichen Gr&uuml;&szlig;en...';\n";
	echo "str += '<br><br><input name=\"saveMStBegr\" type=\"button\" value=\"speichern\" onclick=\"xajax_save_note('+id+',".date_my2ts($mon_ts).",document.tempform.text.value)\"></form>';\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Begr&uuml;ndung Mehrstunden',TITLEBGCOLOR, '#006600', WIDTH, 400, HEIGHT, 190, FIX, [id,-10,-20], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n--></script>\n";
}

echo "<form name=\"ab2form\" id=\"ab2form\">\n";
$sum = $sum_fls_w = $sum_vm = $sum_soll = $sum_ist = $sum_vun = $sum_ma = $sum_fz = $sum_uebertrag = $sum_abgerechnet = 0;
while ($row = mysql_fetch_row($res)) {
  $pro = new stwProjekt($row[0]);

  $sql  = "select t1.pers_id, t1.personaltyp_id, t2.personaltyp from ";
  $sql .= "tbh_pers_proj t1 left join tb_personaltyp t2 using(personaltyp_id) ";

  $sql .= "where t1.proj_id = '".$row[0]."' ";
  if ($ma != "all") $sql .= "and t1.pers_id = '".$ma."'";

  $br = abfrage($sql);
  if(!empty($br) || $ma == 'all'){

	if (!$akt){
		$xab = abfrage("select fls, vm, soll, gel, ueber, abger, vun_p
				from tb_x_ab
				where nachw_id = $nw
				and proj_id = $pro->id;");
		$xma = abfrage("select fls_netto, fz_brutto from tb_x_azk_proj 
				where nachw_id='$nw' and pers_id='".($ma=='all'?$uid:$ma)
				."' and proj_id = '$pro->id'");
	}
	$sum++;
	echo "<tr class=\"mo\">";
	echo "<td class=\"cl1\">";
	echo "<a href=\"pro_ab.php?proj_id=$pro->id";
	echo "&abmonat=$m&abjahr=$y\">";
	echo $pro->link('',false,false,$ma) . "</a></td>\n";
	echo "<td class=\"cl1\">" . $pro->vname() . "</td>";
	echo "<td class=\"cl1\">" . $pro->nname() . "</td>";
	echo "<td class=\"cl1\" style=\"text-align:right\">";
	if ($akt == true){
		$zahl = $pro->wost();
		$sum_fls_w += $zahl;
		echo fls_form($zahl);
	} else {
		$sum_fls_w += $xab[0];
		echo fls_form($xab[0]);
	}
	echo "</td>\n";

	if(!isset($_GET['tag']) || $_GET['anz'] == 'm') {
		/* Stand vom Vormonat ausgeben */
		$zahl = ($akt == true) ? $pro->fls_vormonat($mon_ts) : $xab[1];
		$sum_vm += $zahl;
		stunden_zelle($zahl);

		/* Korrektur Vormonat */
		echo "<td class=\"cl1\">";
		$flskorr = abfrage("SELECT korrektur FROM tb_fls_korrektur 
							WHERE proj_id='$pro->id' AND datum ='$mon_ts'");
		$korrekt = empty($flskorr) ? 0 : $flskorr[0];
		if($korrekt < 0) {
			$color = "#FF0000";
			$sign = "-";
		} elseif($korrekt > 0) {
			$color = "#00FF00";
			$sign = "+";
		} else {
			$color = "#999999";
			$sign = "/";
		}
		if ($akt == true && $_SESSION[$AppCode]["ULV"] >= 70) {
			echo "<a href=\"$self?page=$page&nw=$nwid&ma=$ma&korrektur=$row[0]&date=$mon_ts\" ";
			echo "style=\"color:$color\"".stwToolTip("Korrektur Vormonat \"Betrag\"").">$sign</a>";
		} elseif($_SESSION[$AppCode]["ULV"] >= 70) {
			echo "<span style=\"color:$color\"".stwToolTip("Korrekturwert: $korrekt").">$sign</span>";
		}
		echo "</td>";
	}
	if(isset($_GET['tag'])) {
		$sq0 = "select sum(time_to_sec(z.fls)) / 3600 
				from tb_ab_zk z
				left join tb_termine t using(termin_id)
				where z.proj_id = '$pro->id' ";
		if($_GET['anz'] == 'j' || $_GET['anz'] == 'm' && strlen($_GET['tag'])==4) {
			$sq0 .= "and year(t.von) = '$y' ";
		} elseif($_GET['anz'] == 't') {
			$sq0 .= "and year(t.von) = '$y' and month(t.von) = '$m' and day(t.von) = '$d' ";
		} elseif($_GET['anz'] == 'w1' || $_GET['anz'] == 'w2') {
			$sql_end = $sql_beg + (7 * 86400);
			$sq0 .= "and unix_timestamp(t.von) >= '$sql_beg' and unix_timestamp(t.bis) <= '$sql_end' ";
		} else $sq0 .= "and month(t.von) = '$m' and year(t.von) = '$y' ";
		$sq0 .= "and z.ab = 'j' ";
		$sq1 = "and z.code != 'U' and z.code != '@'";
		$sq2 = "and z.code = 'U' ";
		$sq3 = "group by z.proj_id;";
		$gel = abfrage($sq0 . $sq1 . $sq3);
		$ge2 = abfrage($sq0 . $sq2 . $sq3);
		$geleistet = round($gel[0] + (0.7 * $ge2[0]), 2);
		$sum_ist += $geleistet;
		if(!empty($pro->pauschalVuN)) {
			$sql = "select (time_to_sec(z.fls)), 
					(unix_timestamp(t.bis) - unix_timestamp(t.von) - time_to_sec(z.fls) - time_to_sec(z.vun))
					from tb_ab_zk z left join tb_termine t using(termin_id)
					where z.proj_id = '$pro->id' ";
			if($_GET['anz'] == 'j' || $_GET['anz'] == 'm' && strlen($_GET['tag'])==4) {
				$sql .= "and year(t.von) = '$y' ";
			} elseif($_GET['anz'] == 't') {
				$sql .= "and year(t.von) = '$y' and month(t.von) = '$m' and day(t.von) = '$d' ";
			} elseif($_GET['anz'] == 'w1' || $_GET['anz'] == 'w2') {
				$sql .= "and unix_timestamp(t.von) >= '$sql_beg' and unix_timestamp(t.bis) <= '$sql_end' ";
			} else $sql .= "and month(t.von) = '$m' and year(t.von) = '$y' ";
			if(sizeof($pro->pauschalVuN) == 1) $sql.= "and z.code = '".$pro->pauschalVuN[0]."' ";
			else $sql.= "and z.code in('".implode("','",$pro->pauschalVuN)."') ";
			$sql.= "and z.ab = 'j';";
			$flss = abfrage1($sql);
			$flsfz = getFlsFz($dat, $pro->id);
			$svun = 0;
			while($fls = mysql_fetch_row($flss)) {
				$v = ($flsfz == 3) ? $fls[0]+$fls[1] : $fls[0];
				$v = ceil(($pro->prozVuN * $v) / 100);
				/* VuN auf 5 Minuten runden */
				while($v % 300 > 0) $v++;
				$svun += $v / 3600;
			}
			$vun = round($svun, 2);
		} else $vun=0;
		$sum_vun += $vun;
		$sql = "select sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600
						from tb_ab_zk z left join tb_termine t using(termin_id)
						where z.proj_id = '$pro->id' and z.pers_id = '".($ma=='all'?$uid:$ma)."'
						and z.ab = 'j' ";
		if($_GET['anz'] == 'j' || $_GET['anz'] == 'm' && strlen($_GET['tag'])==4) {
			$sql .= "and year(t.von) = '$y' ";
		} elseif($_GET['anz'] == 't') {
			$sql .= "and year(t.von) = '$y' and month(t.von) = '$m' and day(t.von) = '$d' ";
		} elseif($_GET['anz'] == 'w1' || $_GET['anz'] == 'w2') {
			$sql .= "and unix_timestamp(t.von) >= '$sql_beg' and unix_timestamp(t.bis) <= '$sql_end' ";
		} else $sql .= "and month(t.von) = '$m' and year(t.von) = '$y' ";
		$sql .= "group by z.pers_id;";
		$gel = abfrage($sql);
		$gel_ma = round($gel[0], 2);
		$sum_ma += $gel_ma;
		$sql = "select (unix_timestamp(t.bis) - unix_timestamp(t.von) - time_to_sec(z.fls) - time_to_sec(z.vun)) / 3600,
				time_to_sec(z.fz2) / 3600
				from tb_ab_zk z
				left join tb_termine t using (termin_id)
				where z.proj_id = '$pro->id'
				and z.pers_id = '".($ma=='all'?$uid:$ma)."'
				and z.ab = 'j' ";
		if($_GET['anz'] == 'j' || $_GET['anz'] == 'm' && strlen($_GET['tag'])==4) {
			$sql .= "and year(t.von) = '$y' ";
		} elseif($_GET['anz'] == 't') {
			$sql .= "and year(t.von) = '$y' and month(t.von) = '$m' and day(t.von) = '$d' ";
		} elseif($_GET['anz'] == 'w1' || $_GET['anz'] == 'w2') {
			$sql .= "and unix_timestamp(t.von) >= '$sql_beg' and unix_timestamp(t.bis) <= '$sql_end' ";
		} else $sql .= "and month(t.von) = '$m' and year(t.von) = '$y' ";
		$gel = abfrage1($sql);
		$sum = 0;
		while($ge = mysql_fetch_row($gel)) {
			$sum += ($ge[1]>0 ? $ge[1] : $ge[0]);
		}
		$fz_ma = round($sum, 2);
		$sum_fz += $fz_ma;
		$sql = "select sum(time_to_sec(z.fls)/3600)
				from tb_ab_zk z
				left join tb_termine t using(termin_id)
				where z.proj_id = '$pro->id'
				and z.ab = 'j' and z.code = 'R' ";
		if($_GET['anz'] == 'j' || $_GET['anz'] == 'm' && strlen($_GET['tag'])==4) {
			$sql .= "and year(t.von) = '$y' ";
		} elseif($_GET['anz'] == 't') {
			$sql .= "and year(t.von) = '$y' and month(t.von) = '$m' and day(t.von) = '$d' ";
		} elseif($_GET['anz'] == 'w1' || $_GET['anz'] == 'w2') {
			$sql .= "and unix_timestamp(t.von) >= '$sql_beg' and unix_timestamp(t.bis) <= '$sql_end' ";
		} else $sql .= "and month(t.von) = '$m' and year(t.von) = '$y' ";
		$r_cnt=abfrage($sql);
		$tt = $tt2 = "";
		if($_GET['anz'] == 'm') {
			$kontaktst = $pro->kontaktst("$y-$m-01");
			$fallbegleitung = $pro->fallbegleitung();
			if($kontaktst) $tt .= "KLS = " . fls_form($pro->wost_kontaktstunden());
			if($fallbegleitung) $tt .= "<br>Fallbegleitung: ja";
			$tt2 = "Fahrzeit: " . fls_form($pro->fls_fz("$y-$m-01"));
			if($r_cnt[0]>0 || $fallbegleitung) $tt2 .= "<br>Fallbegleitende Zeit: " . fls_form($r_cnt[0]);
			$zahl = $pro->fls_monat("$y-$m-01");
			$sum_soll += $zahl;
			stunden_zelle($zahl, $tt, 'cl1', $kontaktst, $fallbegleitung);
		}
		stunden_zelle($geleistet, $tt2, 'cl1', false, $r_cnt[0]>0);

		$uebertrag = $pro->fls_folgemonat("$y-$m-01");
		$abgerechnet = $pro->fls_abgerechnet("$y-$m-01");
	} else {
		/* geleistete Stunden ausgeben */
		$geleistet = ($akt == true) ? $pro->fls_gesamt($mon_ts,true) : $xab[3];
		if(!empty($pro->pauschalVuN)) {
			$vun = ($akt == true) ? $pro->fls_vun_pauschal($mon_ts) : $xab[6];
			$geleistet -= $vun;
			$sum_vun += $vun;
		} else $vun=0;
		$sum_ist += $geleistet;
		$gel_ma = ($akt == true) ? $pro->fls_gel_netto_pers_azk(($ma=='all'?$uid:$ma), $mon_ts) : $xma[0];
		$sum_ma += $gel_ma;
		$fz_ma = ($akt == true) ? $pro->fls_fz_brutto_pers(($ma=='all'?$uid:$ma), $mon_ts) : $xma[1];
		$sum_fz += $fz_ma;
		if ($akt == true){
			$r_cnt=abfrage("select sum(time_to_sec(fls)/3600)
							from tb_ab_zk where proj_id = '$pro->id'
							and ab = 'j' and code = 'R' and ab_monat is NULL");
			$tt = "";
			$kontaktst = $pro->kontaktst($mon_ts);
			$fallbegleitung = $pro->fallbegleitung();
			if($kontaktst) $tt .= "KLS = " . fls_form($pro->wost_kontaktstunden());
			if($fallbegleitung) $tt .= "<br>Fallbegleitung: ja";
			$tt2 = "Fahrzeit: " . fls_form($pro->fls_fz($mon_ts));
			if($r_cnt[0]>0 || $fallbegleitung) $tt2 .= "<br>Fallbegleitende Zeit: " . fls_form($r_cnt[0]);
			$zahl = $pro->fls_monat($mon_ts);
			$sum_soll += $zahl;
			stunden_zelle($zahl, $tt, 'cl1', $kontaktst, $fallbegleitung);
			stunden_zelle($geleistet, $tt2, 'cl1', false, $r_cnt[0]>0);
		} else {
			$sum_soll += $xab[2];
			stunden_zelle($xab[2]);
			stunden_zelle($geleistet);
		}
		/* Uebertragsspalte ausgeben */
		$uebertrag = ($akt == true) ? $pro->fls_folgemonat($mon_ts) : $xab[4];

		/* abgerechnete Stunden */
		$abgerechnet = ($akt == true) ? $pro->fls_abgerechnet($mon_ts) : $xab[5];
	}
	if($vunAnz>0) {
		if(!empty($pro->pauschalVuN)) {
			stunden_zelle($vun);
		} else echo "<td />";
		stunden_zelle($vun + $geleistet);
	}
	stunden_zelle($gel_ma);
	stunden_zelle($fz_ma);

	$sum_uebertrag += $uebertrag;
	$sum_abgerechnet += $abgerechnet;

	/*
	 * Das 'P' Zeichen wird besonders eingefaerbt um folgende Merkmale
	 * zu zeigen: - gruen:    weniger als 75% verbraucht
	 *            - gelb:     75% bis 90%
	 *            - rot:      ueber 90%
	 *            - blinkend: ab 100%
	 */
	echo "<td style=\"text-align:center\">" . $pro->pool_P() . "</td>";

	if(!isset($_GET['tag']) || $_GET['anz'] == 'm') {
		stunden_zelle($uebertrag);
		/*
		 * Blinkende Kennzeichnung einer Kappung wenn folgende Bedingung
		 * erfuellt ist: - wenn geleistet groesser als abgerechnet
		 *
		 * (kein Poolprojekt, bertrag nicht groesser als Kappungsgrenze,
		 *  Kappung aktiviert)
		 */
		if ($geleistet > $abgerechnet)
		{
		  $deco = ";text-decoration:blink";
		  $titel = "Kappung durchgef&uuml;hrt";
		}
		else
		{
		  $deco = "";
		  $titel = "";
		}

		/* Ausgabe der abgerechneten Stunden */
		if ($abgerechnet <= 0) $farbe = "#FF0000"; else $farbe = "#00FF00";
		printf("<td style=\"color:%s%s;", $farbe, $deco);

		printf("font-weight:bold;text-align:right;padding-right:5px\" ");
		printf("title=\"%s\">%s</td>", $titel, fls_form($abgerechnet));

		/* Kappungszeichen ausgeben */
		$pro->fls_uebertrag($mon_ts, "ab2.php", $_GET["nw"], $_GET["ma"], 1);

		if ($_SESSION[$AppCode]["ULV"] >= 96) {
			/* Begruendung Mehrstunden */
			$mehrst_begr = abfrage_array("select * from tb_ab_mehrst_begr where proj_id='$pro->id' and ab_monat='$mon_ts'");
			$checked = $mehrst_begr['checked']=='j' ? 'checked' : '';
			$check = $mehrst_begr['checked']=='j' ? 'beg_uncheck' : 'beg_check';
			echo "<td><input type=\"checkbox\" $checked onclick=\"xajax_check($pro->id,".date_my2ts($mon_ts).",this.checked)\"></td>\n";
			echo "<textarea id=\"text$pro->id\" name=\"text$pro->id\" style=\"display:none\">$mehrst_begr[4]</textarea>\n";
			if(strlen($mehrst_begr[3])==0 && strlen($mehrst_begr[4])==0) {
				$dat = 'daten';
				$tt = '';
			} else {
				$dat = 'daten_gruen';
				$tt = stwToolTip($mehrst_begr[4]);
			}
			echo "<td><img $tt src=\"img/$dat.png\" id=\"$pro->id\" ";
			echo "onmousedown=\"doTT('$pro->id',document.ab2form.text$pro->id.value);return false;\"></td>\n<td>";
			if(strlen($mehrst_begr[3])>0 || strlen($mehrst_begr[4])>0) {
				echo "<a href=\"pro_pr_antrag.php?proj_id=$pro->id&amp;ab_monat=$mon_ts&ts=" . time() . "\" target=\"_pdf\">";
				echo "<img alt=\"druck\" src=\"img/drucker.png\" /></a>";
			}
			echo "</td>\n";
		}
	}
	echo "</tr>\n";
  }
}
new stwTabLine(2,20);
echo "<tr><th colspan=\"3\">Summe $sum Projekt";
if($sum != 1) echo "e";
echo "</th>";
stunden_zelle($sum_fls_w,'','cl1',false,false,false);
if(!isset($_GET['tag']) || $_GET['anz'] == 'm') {
	stunden_zelle($sum_vm);
	echo "<td></td>";
	stunden_zelle($sum_soll);
}
stunden_zelle($sum_ist);
if($vunAnz>0) {
	stunden_zelle($sum_vun);
	stunden_zelle($sum_ist + $sum_vun);
}
stunden_zelle($sum_ma);
stunden_zelle($sum_fz);
if(!isset($_GET['tag']) || $_GET['anz'] == 'm') {
	echo "<td></td>";
	stunden_zelle($sum_uebertrag);
	stunden_zelle($sum_abgerechnet);
}
echo "</tr>";
new stwTabLine(1,20);
echo "</form></table>\n";
new stwEnd($seite,$page==2);
?>