<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ab_k.php 2883 2018-08-31 07:57:48Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 38;
$level = 97;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function Speichern($zk_id, $proj_id, $spesen_betr, $spesen_eig, $spesen_text){
	$betr = str_replace(',', '.', $spesen_betr);
	$eig = str_replace(',', '.', $spesen_eig);
	$sql = "update tb_ab_zk set spesen_betr='$betr', spesen_eig='$eig', 
			spesen_text='$spesen_text' where zk_id = '$zk_id'";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	if(empty($spesen_text)) $spesen_text = '';
	$userResp->assign("spesen$zk_id", 'value', geld_form_formular($betr - $eig));
	if($betr - $eig > 0) {
		$userResp->assign("spesen$zk_id", 'style.color', '#000000');
		$userResp->assign("spesen$zk_id", 'style.background', '#CCCCCC');
	} else {
		$userResp->assign("spesen$zk_id", 'style.color', '#CCCCCC');
		$userResp->assign("spesen$zk_id", 'style.background', '#333333');
	}
	$userResp->assign("spesen_betr$zk_id", 'value', geld_form_formular($spesen_betr));
	$userResp->assign("spesen_eig$zk_id", 'value', geld_form_formular($spesen_eig));
	$userResp->assign("spesen_text$zk_id", 'value', $spesen_text);
	$userResp->call("sum($proj_id)");
	$userResp->call("tt_HideInit()");

	return $userResp;
}

function JaNein($proj_id, $ab_monat, $postfix, $janein) {
	global $AppCode;
	$userResp = new xajaxResponse();

	$sql = "select kontrolle from tb_ab_proj_kont
			where proj_id = $proj_id
			and ab_monat = '$ab_monat';";
	$kon = abfrage1($sql);
	$vorhanden = (mysql_num_rows($kon) > 0);
	if ($vorhanden){
		$kon_vorher = mysql_fetch_row($kon);
		$sql = "update tb_ab_proj_kont
				set	ok".$postfix." = '$janein',
				pers_id".$postfix." = '{$_SESSION[$AppCode]['UID']}',
				datetime".$postfix." = now()
				where proj_id = '$proj_id'
				and ab_monat = '$ab_monat';";
	} else {
		$sql = "insert into tb_ab_proj_kont
				set proj_id = '$proj_id',
				ab_monat = '$ab_monat',
				ok".$postfix." = '$janein',
				pers_id".$postfix." = '{$_SESSION[$AppCode]['UID']}',
				datetime".$postfix." = now();";
	}
	abfrage2($sql);
	kontrolle($proj_id,$ab_monat);
	$userResp->assign("P".$proj_id.$postfix, 'innerHTML', $janein=='j'?'JA':'NEIN');
	$userResp->assign("P".$proj_id.$postfix, 'style.color', $janein=='j'?'#00FF00':'#FF0000');
	$userResp->call("tt_HideInit()");
	return $userResp;
}

function refresh($proj_id, $ab_monat) {
	$userResp = new xajaxResponse();
	abfrage2("delete from tb_azk_proj where proj_id = '$proj_id' and datum = '$ab_monat'");
	$projekt = new stwProjekt($proj_id);
	$dat_gel = $projekt->fls_gesamt($ab_monat);
	$fm = $projekt->fls_folgemonat($ab_monat);
	$userResp->assign("FLS".$proj_id, 'innerHTML', fls_form($dat_gel));
	$userResp->assign("FM".$proj_id, 'innerHTML', fls_form($fm));
	$color = ($dat_gel <= 0) ? '#FF0000' : '#00FF00';
	$userResp->assign("FLS".$proj_id, 'style.color', $color);
	$color = ($fm <= 0) ? '#FF0000' : '#00FF00';
	$userResp->assign("FM".$proj_id, 'style.color', $color);
	return $userResp;
}

function check($pid, $ts, $check) {
	$mon_ts = date('Y-m-d', $ts);
	if($check) {
		abfrage2("INSERT INTO tb_ab_mehrst_begr VALUES ('$pid','$mon_ts','j','','',0,NULL) ON DUPLICATE KEY UPDATE checked='j';");
		abfrage2("replace into tb_ab_proj_fm set proj_id='$pid', ab_monat='$mon_ts', fm='2';");
		$userResp = new xajaxResponse();
		$userResp->assign('plus_'.$pid, 'style.color', 'lime');
		return $userResp;
	} else {
		abfrage2("UPDATE tb_ab_mehrst_begr SET checked='n' WHERE proj_id='$pid' AND ab_monat='$mon_ts';");
	}
}

function save_note($pid, $ts, $text) {
	global $AppCode;
	$uid = $_SESSION[$AppCode]["UID"];
	$userResp = new xajaxResponse();
	$mon_ts = date('Y-m-d', $ts);
	if(!empty($text)) {
		abfrage2("replace into tb_ab_proj_fm set proj_id='$pid', ab_monat='$mon_ts', fm='2';");
		$userResp->assign('plus_'.$pid, 'style.color', 'lime');
	}
	abfrage2("INSERT INTO tb_ab_mehrst_begr VALUES ('$pid','$mon_ts','j','','$text','$uid',NULL) ON DUPLICATE KEY UPDATE titel='', text='$text', pers_id='$uid';");
	$userResp->call("tt_HideInit()");
	$daten = empty($text) ? 'daten' : 'daten_gruen';
	$userResp->assign($pid, 'src', "img/$daten.png");
	return $userResp;
}

function plus_minus($pid, $ts, $act) {
	$mon_ts = date('Y-m-d', $ts);
	$ist = abfrage("select fm from tb_ab_proj_fm where proj_id='$pid' and ab_monat='$mon_ts';");
	if (empty($ist[0])) {
		$color = 'lime';
		$sql = (is_null($ist[0])) ? "insert into" : "update";
		$sql .= " tb_ab_proj_fm set proj_id = '$pid', ab_monat = '$mon_ts', fm = ";
		$sql .= ($act==0) ? "1" : "2";
		if (!is_null($ist[0])){
			$sql .= " where proj_id = '$pid' and ab_monat = '$mon_ts';";
		}	
	} else {
		switch ($ist[0]){
			case 1:
				$fm = ($act==0) ? 0 : 3;
				$color = ($act==0) ? 'red' : 'lime';
				break;
			case 2:
				$fm = ($act==0) ? 3 : 0;
				$color = ($act==0) ? 'lime' : 'red';
				break;
			case 3:
				$fm = ($act==0) ? 2 : 1;
				$color = 'red';
				break;
		}
		$sql = "update tb_ab_proj_fm set fm = $fm where proj_id = '$pid' and ab_monat = '$mon_ts';";
	}
	abfrage2($sql);
	azk_cache_reset_proj_date($pid, $mon_ts);
	$userResp = new xajaxResponse();
	$userResp->assign(($act ? 'plus' : 'minus').'_'.$pid, 'style.color', $color);
	return $userResp;
}

function getLastProjText($id) {
	$lastPrText = abfrage("select text from tb_ab_mehrst_begr where proj_id='$id' order by zeit desc limit 1");
	$userResp = new xajaxResponse();
	$userResp->assign('temptext', 'value', str_replace("\n","\\n",htmlspecialchars($lastPrText)));
	return $userResp;
}


$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('Speichern');
$xajax->registerFunction('JaNein');
$xajax->registerFunction('refresh');
$xajax->registerFunction('check');
$xajax->registerFunction('save_note');
$xajax->registerFunction('plus_minus');
$xajax->registerFunction('getLastProjText');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");

/* Level wird jetzt auch ueber Sonderrecht geklaert */
if (!check_nutzer_rechte(15) && !check_nutzer_rechte(89)) require_once("inc/level.inc.php");

set_session_url();
$pers_order = getPersOrder($seite);
$k_level = abfrage("SELECT level FROM tb_levelrechte WHERE obj_id='15'");
$inAbrechnung = false;
/* Ermittlung Abrechnungsmonat */
if (empty($_GET['ab_monat'])){
	$max = abfrage("select max(ab_monat) from tb_ab_zk;");
	$abm = $max[0];
} else {
	$abm = $_GET['ab_monat'];
}

if($_SESSION[$AppCode]["ULV"] < $k_level[0] && !check_nutzer_rechte(89)) $kontrolleur = $_SESSION[$AppCode]["UID"];
else $kontrolleur = isset($_GET['kontrolleur']) ? $_GET['kontrolleur'] : $_SESSION[$AppCode]["UID"];

$kontrolleur_options = '';
$sql  = "SELECT p.pers_id, CONCAT(";
$sql .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
$sql .= ") FROM tb_personal p ";
$sql .= "LEFT JOIN tb_personal_abt_leit a ON (a.pers_id = p.pers_id AND a.kontrolle = 'j') ";
$sql .= "LEFT JOIN tb_personal_abt_leit b ON (b.pers_id_fuer_ma = p.pers_id) ";
$sql .= "WHERE a.kontrolle = 'j' OR b.pers_id_fuer_ma > 0 GROUP BY p.pers_id ORDER BY ";
$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
$mas = abfrage1($sql);
$inList = false;
while ($ma = mysql_fetch_row($mas)){
	$kontrolleur_options .= "<option value=\"$ma[0]\"";
	if($kontrolleur == $ma[0]) {
		$kontrolleur_options .= " selected";
		$inList = true;
	}
	$kontrolleur_options .= ">$ma[1]</option>\n";
}
if($kontrolleur != 'ohne' && !$inList && ($_SESSION[$AppCode]["ULV"] >= $k_level[0] || check_nutzer_rechte(89))) $kontrolleur='all';

/* anzuzeigende Projektart ermitteln */
$pra_nr = (isset($_GET['pra'])) ? $_GET['pra'] : 1;

$pra_rng = abfrage("select nr_von, nr_bis from tb_projektart
					where pra_id = $pra_nr;");

$pas = abfrage1("select pra_id, kname, titel, nr_von, nr_bis
				from tb_projektart
				where aktiv = 1 order by sort asc limit 10;");

echo "<table width=\"750\" cellpadding=\"5\"><tr>\n";

while ($pa = mysql_fetch_row($pas)){

	if($kontrolleur=='all') $and = '';
	elseif($kontrolleur=='ohne') $and = 'and (p.abt_id = 0 or p.abt_id IS NULL)';
	else {
		$abts = abfrage1("select * from tb_personal_abt_leit where pers_id='$kontrolleur' and kontrolle='j'");
		$fuers = abfrage1("select * from tb_personal_abt_leit where pers_id_fuer_ma='$kontrolleur' and kontrolle='j'");
		$and = "and (";
		if(mysql_num_rows($abts) > 0) {
			$and .= "(p.abt_id in (";
			$b = false;
			while ($abt = mysql_fetch_array($abts)) {
				if($b) $and .= ','; else $b=true;
				$and .= $abt['abt_id'];
			}
			$and .= ") and h.pers_id != '$kontrolleur')";
		} else $and .= "0";
		$and .= " OR ";
		if(mysql_num_rows($fuers) > 0) {
			$and .= "p.proj_id in (0";
			while ($fuer = mysql_fetch_array($fuers)) {
				$sql = "select p.proj_id from tb_projekte p
						left join tbh_pers_proj h on (p.proj_id = h.proj_id and h.personaltyp_id = 1)
						left join tbh_proj_abt a on (p.proj_id = a.proj_id)
						where p.projektnr >= '$pa[3]' and p.projektnr <= '$pa[4]'
						and h.pers_id='{$fuer['pers_id']}'
						and (a.abt_id = '{$fuer['abt_id']}' or p.abt_id = '{$fuer['abt_id']}')";
				$p_ids = abfrage1($sql);
				while ($p_id = mysql_fetch_array($p_ids)) {
					$and .= ',' . $p_id[0];
				}
			}
			$and .= ")";
		} else $and .= "0";
		$and .= ")";
	}

	$tt = ($pa[2] != $pa[1]) ? $pa[2] : '';

	$sql  = "select p.proj_id from tb_ab_zk a ";
	$sql .= "left join tb_projekte p using(proj_id) ";
	$sql .= "left join tbh_pers_proj h on (h.proj_id = p.proj_id and h.personaltyp_id = 1) ";
	$sql .= "where a.ab = 'j' and a.ab_monat = '$abm' ";
	$sql .= "and p.projektnr >= '$pa[3]' ";
	$sql .= "and p.projektnr <= '$pa[4]' ";

	$dat = abfrage1($sql . " group by a.proj_id;");
	$count0 = mysql_num_rows($dat);

	$sql  = "select p.proj_id from tb_ab_zk a ";
	$sql .= "left join tb_projekte p using(proj_id) ";
	$sql .= "left join tbh_pers_proj h on (h.proj_id = p.proj_id and h.personaltyp_id = 1) ";
	$sql .= "left join tb_kontakte_ap ap on p.ap_id = ap.ap_id ";
	$sql .= "left join tb_kontakte kont on (ap.kont_id = kont.kont_id and kont.kh_id=0)";
	$sql .= "where a.ab = 'j' and a.ab_monat = '$abm' ";
	$sql .= "and p.projektnr >= '$pa[3]' ";
	$sql .= "and p.projektnr <= '$pa[4]' and kont.ab = 'j' ";
	$sql .= $and . " group by a.proj_id;";

	$dat = abfrage1($sql);
	$countBG = mysql_num_rows($dat);

	$sql  = "select p.proj_id from tb_ab_zk a ";
	$sql .= "left join tb_projekte p using(proj_id) ";
	$sql .= "left join tbh_pers_proj h on (h.proj_id = p.proj_id and h.personaltyp_id = 1) ";
	$sql .= "where a.ab = 'j' and a.ab_monat = '$abm' ";
	$sql .= "and p.projektnr >= '$pa[3]' ";
	$sql .= "and p.projektnr <= '$pa[4]' $and group by a.proj_id;";

	$dat = abfrage1($sql);
	$count1 = mysql_num_rows($dat);

	$bg_cnt = $count2 = $count3 = 0;
	if ($count0 > 0){
		$sql  = "select k.proj_id from tb_ab_proj_kont k ";
		$sql .= "left join tb_projekte p using(proj_id) ";
		$sql .= "left join tbh_pers_proj h on (h.proj_id = p.proj_id and h.personaltyp_id = 1) ";
		$sql .= "left join tb_kontakte_ap ap on p.ap_id = ap.ap_id ";
		$sql .= "left join tb_kontakte kont on (ap.kont_id = kont.kont_id and kont.kh_id=0) ";
		$sql .= "where k.ab_monat = '$abm' and p.projektnr >= '$pa[3]' and p.projektnr <= '$pa[4]' ";
		$sql .= $and . " and kont.ab='j' and k.ok_rech='j' group by k.proj_id;";
		$dat = abfrage1($sql);
		$bg_cnt = mysql_num_rows($dat);

		$sql  = "select k.proj_id from tb_ab_proj_kont k ";
		$sql .= "left join tb_projekte p using(proj_id) ";
		$sql .= "left join tbh_pers_proj h on (h.proj_id = p.proj_id and h.personaltyp_id = 1) ";
		$sql .= "where k.ab_monat = '$abm' and p.projektnr >= '$pa[3]' and p.projektnr <= '$pa[4]' ";
		$sql .= "and k.ok='j' ";

		$dat = abfrage1($sql . $and . " group by k.proj_id;");
		$count2 = mysql_num_rows($dat);

		$dat = abfrage1($sql . " group by k.proj_id;");
		$count3 = mysql_num_rows($dat);
	}
	$class = ($pa[0] == $pra_nr) ? 'menuactive' : 'menuinactive';
	echo "<td class=\"$class\"";
	if($countBG > $bg_cnt) {
		echo " style=\"border:2px solid red;\"";
		if (strlen($tt) > 0) $tt .= '<br>';
		$tt .= "noch nicht alle Projekte sachlich gepr&uuml;ft ($bg_cnt / $countBG erledigt)";
	}
	echo "><a href=\"{$_SERVER['PHP_SELF']}?pra=$pa[0]&amp;ab_monat=$abm&amp;kontrolleur=$kontrolleur\"";
	if ($count0 > 0){
		$inAbrechnung = true; //falls irgendwo count0 > 0, dann laeuft Abrechnung!
		if ($count0 == $count3){
			$linkfarbe = 'lime';
			if (strlen($tt) > 0) $tt .= '<br>';
			$tt .= "alle Projekte gepr&uuml;ft ($count3 / $count0 erledigt)";
		} elseif($count1 == 0 || $kontrolleur=='all') {
			$linkfarbe = 'red';
			if (strlen($tt) > 0) $tt .= '<br>';
			if($kontrolleur=='all') $tt .= "noch ungepr&uuml;fte Projekte vorhanden ($count3 / $count0 erledigt)";
			else $tt .= 'keine von diesem Nutzer zu pr&uuml;fenden Projekte';
		} elseif ($count2 == $count1){
			$linkfarbe = '#006600';
			if (strlen($tt) > 0) $tt .= '<br>';
			$tt .= 'alle von diesem Nutzer zu pr&uuml;fenden Projekte gepr&uuml;ft';
		} else {
			$linkfarbe = '#660000';
			if (strlen($tt) > 0) $tt .= '<br>';
			$tt .= "noch von diesem Nutzer zu pr&uuml;fende Projekte vorhanden ($count2 / $count1 erledigt)";
		}
		echo "style=\"color: $linkfarbe\"";
	} else {
		if (strlen($tt) > 0) $tt .= '<br>';
		$tt .= 'keine zu pr&uuml;fenden Projekte';
	}

	if (strlen($tt) > 0) echo stwToolTip($tt,false);
	echo ">$pa[1]</a></td>\n";
	flush();
}

$class = ($pra_nr == 99) ? 'menuactive' : 'menuinactive';
echo "<td class=\"$class\"><a href=\"{$_SERVER['PHP_SELF']}?pra=99&amp;ab_monat=$abm&amp;kontrolleur=$kontrolleur\">Spesen</a></td>\n";

echo "</tr></table>\n";
new stwLine(1);
flush();

if($pra_nr == 99) {
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function DoTT(id,proj_id) {\n";
	echo "var frm = document.getElementById('form'+id);\n";
	echo "var str = '<form name=\"tempform\">';\n";
	echo "str += '<input type=\"text\" style=\"width:200px\" maxlength=\"150\" name=\"spesen_text\" value=\"';\n";
	echo "str += frm.spesen_text.value;\n";
	echo "str += '\" /><br /><br />';\n";
	echo "str += 'Spesen: &nbsp; &nbsp;&nbsp; <input type=\"text\" style=\"text-align:right;width:80px\" name=\"spesen_betr\" value=\"';\n";
	echo "str += frm.spesen_betr.value;\n";
	echo "str += '\" style=\"text-align:right\" /><br /><br />';\n";
	echo "str += 'Eigenanteil: <input type=\"text\" style=\"text-align:right;width:80px\" name=\"spesen_eig\" value=\"';\n";
	echo "str += frm.spesen_eig.value;\n";
	echo "str += '\" style=\"text-align:right\" /><br /><br />';\n";
	echo "str += '<input type=\"button\" value=\"speichern\" onclick=\"xajax_Speichern(' + id + ',' + proj_id + ',document.tempform.spesen_betr.value,document.tempform.spesen_eig.value,document.tempform.spesen_text.value);\" /></form>';\n";
	echo "var anker = 'spesen' + id;\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Spesen',TITLEBGCOLOR, '#006600', WIDTH, 200, HEIGHT, 120, FIX, [anker,-100,-20], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n";
	echo "function show(id) {\n";
	echo " var ntd = document.getElementsByName('notToDisplay'+id);\n";
	echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'table-row';\n";
	echo " document.getElementById('down'+id).style.display = 'none';\n";
	echo " document.getElementById('up'+id).style.display = 'inline';\n";
	echo "}\n";
	echo "function hide(id) {\n";
	echo " var ntd = document.getElementsByName('notToDisplay'+id);\n";
	echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'none';\n";
	echo " document.getElementById('down'+id).style.display = 'inline';\n";
	echo " document.getElementById('up'+id).style.display = 'none';\n";
	echo "}\n";
	echo "function sum(id) {\n";
	echo " var i = 0;\n";
	echo " var sum = 0;\n";
	echo " var sumsum = 0;\n";
	echo " var sums;\n";
	echo " var sps = document.getElementsByName('spesen'+id);\n";
	echo " for (var i = 0; i < sps.length; i++) sum += parseFloat(sps[i].value);\n";
	echo " document.getElementById('sum'+id).value = sum.toFixed(2);\n";
	$trs = abfrage1("select traeger_art_id from tb_traeger_art");
	while($tr = mysql_fetch_row($trs)) {
		echo " var sum$tr[0] = 0;\n";
		echo " sums = document.getElementsByName('psum$tr[0]');\n";
		echo " for (i = 0; i < sums.length; i++) sum$tr[0] += parseFloat(sums[i].value);\n";
		echo " sumsum += sum$tr[0];\n";
		echo " document.getElementById('trsum$tr[0]').value = sum$tr[0].toFixed(2);\n";
	}
	echo " document.getElementById('summe').value = sumsum.toFixed(2);\n";
	echo "}\n";
	echo "--></script>\n";

	if(!isset($rvar_proj_id)) $rvar_proj_id = 0;
	if(!isset($rvar_pers_id)) $rvar_pers_id = 0;

	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"pra\" value=\"$pra_nr\">\n";
	echo "<input type=\"hidden\" name=\"kontrolleur\" value=\"$kontrolleur\">\n";
	$nachw = abfrage1("select unix_timestamp(ab_monat),
						month(ab_monat),
						year(ab_monat),
						ab_monat
						from tb_ab_zk
						where ab_monat IS NOT NULL
						group by ab_monat
						order by ab_monat asc;");
	echo "<table><tr>\n";
	echo "<th class=\"cl1\">Abrechnungsmonat&nbsp;:</th>\n";
	echo "<td class=\"cl20\"><select name=\"ab_monat\" size=\"1\" tabindex=\"$ti\" onChange=\"this.form.submit()\">\n";
	$ti++;
	while ($row = mysql_fetch_row($nachw)){
		echo "<option value=\"$row[3]\" ";
		if ($abm == $row[3]){
			echo 'selected ';
		}
		echo ">";
		echo preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $row[0]));
		echo "</option>\n";
	}
	echo "</select>\n</td>\n";
	echo "<th class=\"cl1\">Projekt&nbsp;:</th>\n";
	echo "<td class=\"cl20\"><select name=\"proj_id\" size=\"1\" tabindex=\"$ti\" onChange=\"this.form.submit()\">\n";
	$ti++;
	echo "<option value=\"0\">Alle Projekte</option>\n";
	$sql = "select p.proj_id from tb_ab_zk z
			left join tb_projekte p on z.proj_id = p.proj_id
			left join tb_hilfeart h on h.hilfeart_id = p.hilfeart_id
			where z.ab_monat = '$abm' and z.ab = 'j' and h.spesen='j'
			group by z.proj_id order by p.projektnr asc;";
	$pros = abfrage1($sql);
	while($pro = mysql_fetch_row($pros)) {
		$projekt = new stwProjekt($pro[0]);
		$selected = $pro[0]==$rvar_proj_id ? 'selected' : '';
		echo "<option $selected value=\"$pro[0]\">" . $projekt->nummer() . "</option>\n";
	}
	echo "</select></td>\n";
	echo "<th class=\"cl1\">Personal&nbsp;:</th>\n";
	echo "<td class=\"cl20\"><select name=\"pers_id\" size=\"1\" tabindex=\"$ti\" onChange=\"this.form.submit()\">\n";
	$ti++;
	echo "<option value=\"0\">Alle Mitarbeiter</option>";
	$sql = "select p.pers_id, CONCAT(";
	$sql .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
	$sql .= ") from tb_ab_zk z
			left join tb_personal p on z.pers_id = p.pers_id
			left join tb_projekte pr on z.proj_id = pr.proj_id
			left join tb_hilfeart h on h.hilfeart_id = pr.hilfeart_id
			where z.ab_monat = '$abm' and z.ab = 'j' and z.pers_id > 0 and h.spesen='j'
			group by z.pers_id order by ";
	$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
	$mas = abfrage1($sql);
	while($ma = mysql_fetch_row($mas)) {
		$selected = $ma[0]==$rvar_pers_id ? 'selected' : '';
		echo "<option $selected value=\"$ma[0]\">$ma[1]</option>";
	}
	echo "</select></td>\n</tr></table></form>\n";
	flush();
	new stwLine(1);
	$sql = "select date_format(t.von,'%d.%m.%Y'),
			time_format(t.von,'%k:%i'),
			time_format(t.bis,'%k:%i'),
			time_format(if(time_to_sec(a.fls2) > 0, a.fls2, a.fls), '%k:%i'),
			time_format(if(time_to_sec(a.fz2) > 0, a.fz2, sec_to_time(unix_timestamp(t.bis) -
				unix_timestamp(t.von) - time_to_sec(a.fls) - time_to_sec(a.vun))), '%k:%i'),
			a.pers_id,
			a.code,
			a.inhalte,
			a.zk_id,
			a.proj_id,
			(concat(left(b.vorname,1), '. ', b.name)),
			a.ab,
			a.ab_monat,
			a.nachw_id,
			a.spesen_betr - a.spesen_eig as spesen,
			a.spesen_betr,
			a.spesen_eig,
			a.kwg,
			a.zk_dat,
			UNIX_TIMESTAMP(t.bis),
			time_format(a.vun,'%k:%i'),
			km_abw_ja,
			date_format(t.bis,'%d.%m.%Y'),
			a.spesen_text
			from tb_ab_zk a
			left join tb_termine t using (termin_id)
			left join tb_personal b on a.pers_id = b.pers_id
			left join tb_projekte p on a.proj_id = p.proj_id
			left join tb_hilfeart h on h.hilfeart_id = p.hilfeart_id
			where a.ab = 'j'
			and h.spesen = 'j'
			and ab_monat = '$abm'";
	if($rvar_proj_id > 0) $sql .= " and a.proj_id = '$rvar_proj_id'";
	if($rvar_pers_id > 0) $sql .= " and a.pers_id = '$rvar_pers_id'";
	if($rvar_order == 'betr') $sql .= " order by " . (($pers_order == 2) ? "b.name,', ',b.vorname" : "b.vorname,' ',b.name") . " asc, t.von asc";
	else $sql .= " order by p.projektnr asc, t.von asc";

	$res = abfrage1($sql);
	$link = "ab_k.php?pra=99&amp;ab_monat=$abm&amp;kontrolleur=$kontrolleur";
	echo "<table width=\"750\"><tr>";
	echo "<th class=\"cl1\" style=\"text-align:right;width:85px\">Datum</th>\n";
	echo "<th class=\"cl1\" colspan=\"2\" style=\"text-align:right\">von</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">bis</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">FLS</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">FZ</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">";
	echo "<a href=\"$link&amp;order=betr\"";
	echo stwToolTip("Betreuer");
	echo ">Betr.</a> / <a href=\"$link&amp;order=proj\"";
	echo stwToolTip("Projekt");
	echo ">Proj.</a></th>\n";
	echo "<th>Code</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center;width:250px\">Inhalte</th>\n";
	echo "<th style=\"text-align:center\">Spesen</th>\n</tr>\n";
	$pid = 0; 
	$sumsum = 0.0;
	$trsum = array();
	while ($row = mysql_fetch_array($res)) {
		if($rvar_order == 'betr') {
			$projekt = new stwProjekt($row['proj_id']);
			$sp = abfrage("select sum(spesen_betr-spesen_eig) from tb_ab_zk where ab_monat='$abm' and proj_id='{$row['proj_id']}'");
			$trsum[ $projekt->traeger_art_id ] += $sp[0];
			echo "<input type=\"hidden\" name=\"psum".$projekt->traeger_art_id."\" value=\"$sp[0]\" />";
		}
		$aktPid = $rvar_order == 'betr' ? $row['pers_id'] : $row['proj_id'];
		$name = $row['spesen'] > 0.00 ? '' : "name=\"notToDisplay$aktPid\" style=\"display:none\"";
		$class = (empty($row[5]) && $row[6]!='$' && $row[6]!='U') ? "style=\"background-color:#0000FF\"" : "class=\"mo\"";
		if($pid != $aktPid) {
			$pid = $aktPid;
			new stwTabLine(1,10);
			if($rvar_order != 'betr') $projekt = new stwProjekt($row['proj_id']);
			if($rvar_proj_id == 0) {
				echo "<tr><td colspan=\"6\" style=\"background-color:black;\">&nbsp;</td>";
				echo "<th colspan=\"2\" style=\"background-color:black;\">";
				if($rvar_order == 'betr') echo "<a href=\"pers_and.php?pers_id=$pid\">".pers_name($pid)."</a>";
				else echo $projekt->link();
				echo "</th><td colspan=\"2\" style=\"background-color:black;text-align:right\">";
				if($rvar_order == 'betr') $sql = "select sum(spesen_betr-spesen_eig) from tb_ab_zk where ab_monat='$abm' and pers_id='$pid'";
				else $sql = "select sum(spesen_betr-spesen_eig) from tb_ab_zk where ab_monat='$abm' and proj_id='$pid'";
				$sp = abfrage($sql);
				$sumsum += $sp[0];
				echo "<input type=\"text\" id=\"sum$pid\" ";
				if($rvar_order != 'betr') {
					$trsum[ $projekt->traeger_art_id ] += $sp[0];
					echo "name=\"psum".$projekt->traeger_art_id."\" ";
				}
				echo "style=\"background-color:black;color:white;text-align:right;\" ";
				echo "value=\"" . number_format($sp[0],2) . "\" />\n&euro;</td>";
				$tt = stwToolTip("Auch Zeitkarten ohne Spesen anzeigen");
				echo "<td width=\"16\" id=\"down$pid\"><a href=\"#\" $tt onclick=show($pid)><img src=\"img/runter2.png\" /></a></td>\n";
				$tt = stwToolTip("Nur Zeitkarten mit Spesen anzeigen");
				echo "<td width=\"16\" style=\"display:none\" $tt id=\"up$pid\"><a href=\"#\" onclick=hide($pid)><img src=\"img/hoch2.png\" /></a></td>\n";
				echo "</tr>\n";
				new stwTabLine(1,10);
			}
		} else echo "<tr id=\"ln$row[8]\" $name><td bgcolor=\"#006400\" colspan=\"10\"></td></tr>\n";

		echo "<tr id=\"tr$row[8]\" $name $class>";
		if ($row[11] == 'j'){
			$co = "color:rgb(0,255,0)";
			$ti = "abrechnungsrelevant";
			if (!empty($row[12])){
				$co = "color:rgb(255,0,0)";
				$ti = "abgerechnet";
				if (!empty($row[13])){
					$co = "color:rgb(180,180,180)";
					$ti = "abgelegt";
				}
			}
		} else {
			$co = "";
			$ti = "Termin";
		}
		if(empty($row[5]) && $row[6]!='$' && $row[6]!='U') $ti = "<b>FEHLER!</b> Kein Betreuer eingetragen";
		if($row[6]=='$') $ti = "Zeitkarte zur <b>Spesen</b>-Abrechnung";
		$st = "style=\"$co\"";
		$ti = stwToolTip($ti);
		if($row[6] == 'U') {
			echo "<td colspan=\"4\" style=\"color:red;text-align:center\"><a href=\"pro_ab_zk.php?zk_id=$row[8]&proj_id=$row[9]&";
			echo "kt=1&abmonat=$monat&abjahr=$jahr\" $st $ti>$row[0]</a> &nbsp; - &nbsp; <b>$row[22]</b></td>";
		} else {
			echo "  <td class=\"cl1\">" . strftime('%a', $row[19]) . " <a href=\"pro_ab_zk.php?zk_id=$row[8]&proj_id=$row[9]&";
			echo "kt=1&abmonat=$monat&abjahr=$jahr\" $st $ti>$row[0]</a></td>\n";
			echo "  <td class=\"cl1\">";
			echo ($row[17] == 1) ? "<img src=\"img/icon_pink.png\" title=\"Kindeswohlgefhrdung!\">" : '';
			echo "</td>\n";
			if($row[6] == '$') {
				echo "<td colspan=\"2\" style=\"text-align:center\">Spesen</td>";
			} else {
				echo "<td class=\"cl1\">$row[1]</td>";
				echo "<td class=\"cl1\" title=\"$title\">$row[2]</td>";
			}
		}
		echo "  <td class=\"cl1\">$row[3]</td>";
		if(getConf('vor_nach_b') == 1 || (getConf('tt_vor_nach_b') == 1 && ($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH'))) {
			echo "<td class=\"cl1\">$row[20]</td>\n";
		}
		if($row[6] == '$' && empty($row[5])) {
			$ga = abfrage("select ga_id from tbh_ga_spesen where zk_id='$row[8]'");
			echo "<td class=\"cl1\" colspan=\"2\"><a href=\"ga_and.php?ga_id=$ga[0]\">Gruppenarbeit</a></td>";
		} elseif($row[6] == 'U') {
			echo "<td class=\"cl1\" colspan=\"2\" style=\"text-align:center\">&Uuml;berbr&uuml;ckung</td>";
		} else {
			echo "  <td class=\"cl1\">";
			if($row[4] != "00:00"){
				echo $row[4];
			}
			echo "  </td><td class=\"cl1\">";
			if($rvar_order == 'betr') echo $projekt->link();
			else echo $row[10];
			echo "</td>";
		}
		echo "<td ";
		if($c_cnt[0] > 2 && $row[6] == 'C') echo " name=\"blink\" style=\"color:#00FFFF;";
		elseif($row[6] == 'R') {
		  if($projekt->fallbegleitung(date_gr2my($row[0]))) {
			$von = date_isodate_stamp($row[12]);
			$bis = mktime(0, 0, 0, date("n", $von), date("t", $von), date("Y", $von));
			$arbeitstage = arbeitstage($von, $bis);
			$wochen = $arbeitstage / 5;
			if($wochen < $r_cnt[0]) {
			  echo stwToolTip(fls_form($r_cnt[0])." Fallbegleitende Zeit abgerechnet (".fls_form($wochen)." vereinbart!)");
			  echo " style=\"color:#FF6600;";
			} else echo " style=\"";
		  } else {
			echo stwToolTip("Fallbegleitende Zeit ohne entsprechende Vereinbarung");
			echo " name=\"blink\" style=\"color:#FF6600;";
		  }
		} else echo " style=\"";
		echo "text-align:center\">".($row[6] == 'U' ? '&Uuml;' : $row[6])."</td>";
		$inh = wordwrap($row[7], 50, "<br>");
		echo "<td class=\"cl1\">$inh</td>";
		echo "<form id=\"form$row[8]\">";
		echo "<input type=\"hidden\" id=\"spesen_betr$row[8]\" name=\"spesen_betr\" value=\"$row[15]\" />\n";
		echo "<input type=\"hidden\" id=\"spesen_eig$row[8]\" name=\"spesen_eig\" value=\"$row[16]\" />\n";
		echo "<input type=\"hidden\" id=\"spesen_text$row[8]\" name=\"spesen_text\" value=\"{$row['spesen_text']}\" />\n";
		echo "<td><input type=\"text\" style=\"text-align:right;";
		if($row[14] == 0) echo "background-color:#333333;color:#CCCCCC";
		echo "\" size=\"9\" value=\"" . geld_form_formular($row[14]) . "\"  id=\"spesen$row[8]\" name=\"spesen{$row['proj_id']}\"";
		echo " onclick=\"DoTT($row[8],{$row['proj_id']})\" size=\"9\" value=\"" . geld_form_formular($row[14]) . "\" /> &euro;</td></form></tr>\n";
		flush();
	}
	new stwTabLine(1,10);
	echo "<tr><td colspan=\"10\" style=\"background-color:black;text-align:right\">\n";
	$trs = abfrage1("select traeger_art_id, farbe, kurzname from tb_traeger_art");
	$rows = mysql_num_rows($trs);
	while($tr = mysql_fetch_row($trs)) {
		echo "<input type=\"text\" id=\"trsum$tr[0]\" value=\"" . number_format($trsum[ $tr[0] ], 2) . "\" ";
		echo stwToolTip("Summe $tr[2]");
		echo "style=\"background-color:black;color:$tr[1];text-align:center\" />\n";
		if(1 < $rows--) echo "+";
	} echo "=";
	echo "<input type=\"text\" id=\"summe\" value=\"" . number_format($sumsum, 2) . "\" style=\"background-color:black;color:white;text-align:right\" />\n";
	echo "&euro;</td></tr></table>\n";
	new stwLine(1);
	new stwEnd($seite);
	exit(0);
} else {
	$lastMAtext = abfrage("select text from tb_ab_mehrst_begr where pers_id='{$_SESSION[$AppCode]["UID"]}' order by zeit desc limit 1");
	echo "<textarea style=\"display:none\" id=\"lastMAtext\">$lastMAtext[0]</textarea>\n";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function doTT(id,text) {\n";
	echo "var str = '<form name=\"tempform\">';\n";
	echo "str += '<input type=\"hidden\" name=\"proj_id\" value=\"';\n";
	echo "str += id;\n";
	echo "str += '\">Sehr geehrte Damen und Herren,';\n";
	echo "str += '<button style=\"width:32px;height:23px;position:absolute;left:320px;\" onclick=\"xajax_getLastProjText(' + id + '); return false;\"';\n";
	echo "str += ' title=\"...den Text der letzten Mehrstunden-Begr&uuml;ndung dieses Projekts einf&uuml;gen\"><img src=\"" . Image('archiv',19,14,0,0,0) . "\"></button>';\n";
	echo "str += '<button style=\"width:32px;height:23px;position:absolute;left:356px;\" onclick=\"document.tempform.text.value+=';\n";
	echo "str += \"document.getElementById('lastMAtext').value;\";\n";
	echo "str += ';return false\" title=\"...den Text Ihrer letzten Mehrstunden-Begr&uuml;ndung einf&uuml;gen\"><img src=\"" . Image('person',16,16,0,0,0) . "\"></button>';\n";
	echo "str += '<br><br>';\n";
	echo "var formname = 'form' + id;\n";
	echo "var inptname = 'text' + id;\n";
	echo "str += '<span style=\"vertical-align:top;\">Text: </span><textarea onkeyup=\"document.';\n";
	echo "str += formname + '.' + inptname;\n";
	echo "str += '.value = this.value\" style=\"width:350px\" rows=\"6\" name=\"text\" id=\"temptext\">';\n";
	echo "str += text;\n";
	echo "str += '</textarea>';\n";
	echo "str += '<br><br>Mit freundlichen Gr&uuml;&szlig;en...';\n";
	echo "str += '<br><br><input name=\"saveMStBegr\" type=\"button\" value=\"speichern\" onclick=\"xajax_save_note('+id+',".date_my2ts($abm).",document.tempform.text.value)\"></form>';\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Begr&uuml;ndung Mehrstunden',TITLEBGCOLOR, '#006600', WIDTH, 400, HEIGHT, 190, FIX, [id,-10,-20], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n--></script>\n";
}

// Beginn Tabelle
echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"pra\" value=\"$pra_nr\">\n";
echo "<table>\n";
echo "<tr>\n";
$zkulink = false;
$abtkontroll = abfrage1("select abt_id from tb_personal_abt_leit where pers_id='{$_SESSION[$AppCode]["UID"]}' and kontrolle='j'");
if ($_SESSION[$AppCode]["ULV"] >= $k_level[0] || check_nutzer_rechte(89) || mysql_num_rows($abtkontroll) > 0) {
	echo "<td id=\"ueZK\" style=\"background-color:red; display:none\"><a name=\"blink\" href=\"ab_ueber.php\" ";
	echo "title=\"&Uuml;bersicht\">";
	echo "&Uuml;berschneidende Zeitkarten!</a></td>\n<td class=\"cl20\">&nbsp;</td>\n";
}

$mon = date('n', date_isodate_stamp($abm));
$yr = date('Y', date_isodate_stamp($abm));
$ti = 1;

$nachw = abfrage1("select unix_timestamp(ab_monat),
					month(ab_monat),
					year(ab_monat),
					ab_monat
					from tb_ab_zk
					where ab_monat > 0
					group by ab_monat
					order by ab_monat asc;");

/* Schalter Abrechnungsmonat/Nachweismappe */
echo "<th class=\"cl1\">Abrechnungsmonat&nbsp;:</th>\n";
echo "<td class=\"cl11\"><select name=\"ab_monat\" size=\"1\" tabindex=\"$ti\" onChange=\"this.form.submit()\">\n";
$ti++;
while ($row = mysql_fetch_row($nachw)){
	echo "<option value=\"$row[3]\" ";
	if ($abm == $row[3]){
		echo 'selected ';
	}
	echo ">";
	echo preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $row[0]));
	echo "</option>\n";
}
echo "</select>\n</td>\n";
echo "<th class=\"cl1\">MA :</th>\n";
echo "<td class=\"cl20\"><select name=\"kontrolleur\" size=\"1\" tabindex=\"$ti\" "; $ti++;
if($_SESSION[$AppCode]["ULV"] < $k_level[0] && !check_nutzer_rechte(89)) echo "disabled ";
echo "onChange=\"this.form.submit()\">\n";
echo "<option value=\"all\">Alle</option>\n";
$check = $kontrolleur == 'ohne' ? 'selected' : '';
echo "<option $check value=\"ohne\">Projekte OHNE Abteilung</option>\n";
echo $kontrolleur_options;
echo "</select></td>\n";
if($kontrolleur!='all' && check_nutzer_rechte(94)) {
	echo "<td><input type=\"submit\" name=\"correct\" value=\"Falsche Kontrolleure &uuml;berschreiben\"></td>";
}
$projektgruppen = $gruppenprojekt = array();
if($pra_nr == 2 && getConf("progr_kontr")) {
	$sql = "SELECT p.proj_id, p.abt_id, g.proj_id_gruppe FROM tb_projekte p
			LEFT JOIN tb_hilfeart h USING(hilfeart_id) 
			LEFT JOIN tbh_projekt_gruppe g USING(proj_id)
			LEFT JOIN tbh_proj_personen pp USING(proj_id)
			LEFT JOIN tb_personen pers USING(person_id)
			WHERE (h.pra_id = '69' AND (ende IS NULL OR ende > '$abm' OR ende = '0000-00-00'))
			OR (g.proj_id_gruppe IS NOT NULL AND pers.name IS NOT NULL AND pers.vorname IS NOT NULL AND g.von < date_add('$abm',INTERVAL 1 MONTH) and (g.bis is NULL OR bis >= '$abm'))
			GROUP BY p.proj_id
			ORDER BY IF(g.proj_id_gruppe IS NULL, p.proj_id, g.proj_id_gruppe) ASC, g.proj_id_gruppe IS NULL DESC, p.projektnr ASC";
	$res2 = abfrage1($sql);
	while($progr = mysql_fetch_row($res2)) {
		if(is_null($progr[2])) $projektgruppen[ $progr[0] ] = $progr[0];
		else $gruppenprojekt[ $progr[0] ] = $progr[2];
	}
}
// Ende Tabelle fr Schalter
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";

new stwLine(1);
flush();

if($kontrolleur=='all') $and = '';
elseif($kontrolleur=='ohne') $and = 'and (p.abt_id = 0 or p.abt_id IS NULL)';
else {
	$abts = abfrage1("select * from tb_personal_abt_leit where pers_id='$kontrolleur' and kontrolle='j'");
	$fuers = abfrage1("select * from tb_personal_abt_leit where pers_id_fuer_ma='$kontrolleur' and kontrolle='j'");
	$and = "and (";
	if(mysql_num_rows($abts) > 0) {
		$and .= "(p.abt_id in (";
		$b = false;
		while ($abt = mysql_fetch_array($abts)) {
			if($b) $and .= ','; else $b=true;
			$and .= $abt['abt_id'];
		}
		$and .= ") and h.pers_id != '$kontrolleur')";
	} else $and .= "0";
	$and .= " OR ";
	if(mysql_num_rows($fuers) > 0) {
		$and .= "p.proj_id in (0";
		while ($fuer = mysql_fetch_array($fuers)) {
			$sql = "select p.proj_id from tb_projekte p
					left join tbh_pers_proj h on (p.proj_id = h.proj_id and h.personaltyp_id = 1)
					left join tbh_proj_abt a on (p.proj_id = a.proj_id)
					where p.projektnr >= '$pra_rng[0]' and p.projektnr <= '$pra_rng[1]'
					and h.pers_id='{$fuer['pers_id']}'
					and (a.abt_id = '{$fuer['abt_id']}' or p.abt_id = '{$fuer['abt_id']}')";
			$p_ids = abfrage1($sql);
			while ($p_id = mysql_fetch_array($p_ids)) {
				$and .= ',' . $p_id[0];
			}
		}
		$and .= ")";
	} else $and .= "0";
	$and .= ")";
}

$sql = "select t1.proj_id, p.abt_id
        from tb_ab_zk t1
		left join tb_termine t2 using (termin_id)
		left join tb_projekte p on t1.proj_id = p.proj_id
		left join tbh_pers_proj h on (h.proj_id = p.proj_id and h.personaltyp_id = 1)
		where t1.ab_monat = '$abm'
		and p.projektnr >= '$pra_rng[0]'
		and p.projektnr <= '$pra_rng[1]'
		and t1.ab = 'j'
		$and
		group by t1.proj_id
		order by p.projektnr asc;";
$res = abfrage1($sql);

if(isset($_GET['correct']) && check_nutzer_rechte(94) && $kontrolleur!='all') {
	while ($row = mysql_fetch_row($res)) {
		$hb = abfrage("select pers_id from tbh_pers_proj where proj_id = '$row[0]' and personaltyp_id = 1;");
		$kon = abfrage_array("select * from tb_ab_proj_kont where proj_id = '$row[0]' and ab_monat = '$abm'");
		if($kon['ok_hb'] == 'j') {
			$pers_id_hb = $hb[0];
			$datetime_hb = ($kon['datetime_hb'] == '0000-00-00 00:00:00') ? 'now()' : "'".$kon['datetime_hb']."'";
		} else {
			$pers_id_hb = 0;
			$datetime_hb = "'0000-00-00 00:00:00'";
		}
		if($kon['ok_rech'] == 'j') {
			$pers_id = $kontrolleur;
			$datetime = ($kon['datetime_rech'] == '0000-00-00 00:00:00') ? 'now()' : "'".$kon['datetime_rech']."'";
		} else {
			$pers_id = 0;
			$datetime = "'0000-00-00 00:00:00'";
		}
		abfrage2("update tb_ab_proj_kont set 
		          pers_id_hb = '$pers_id_hb',
				  datetime_hb = $datetime_hb,
		          pers_id = '$pers_id',
				  datetime = $datetime
				  where proj_id='$row[0]'
				  and ab_monat = '$abm';");
		kontrolle($proj_id,$ab_monat);
	}
	echo "<B>Werte wurden korrigiert!</B>\n";
	new stwLine(1);
	$res = abfrage1($sql);
}

$colspan = 18;
 /* die einzelnen Spaltenueberschriften ausgeben */
 echo "<table>\n<tr>\n";
 echo "<th style=\"padding-right:5px\">Projekt-Nr.</th>\n";
 echo "<th style=\"padding-right:5px\"".stwToolTip('Tr&auml;ger').">Tr.</th>\n";

 echo "<th style=\"padding-right:5px\">Vorname</th>\n";
 echo "<th style=\"padding-right:5px\">Name</th>\n";

 echo "<td colspan=\"2\"></td>\n";
 echo "<th style=\"padding-right:5px\" title=\"aktuell\">";
 echo "FLS/<br>Woche</th>\n";

 echo "<th style=\"padding-right:5px\" title=\"monatl. Sollstunden\">";
 echo "FLS<br>Soll</th>\n";

 echo "<th style=\"padding-right:5px\" >geleistet</th>\n";
 echo "<th style=\"padding-right:5px\" colspan=\"3\">davon Fahrzeit</th>\n";

 $vun_pausch = abfrage1("select distinct prozVuN from tb_kontakte where codeVuN != '' and codeVuN is not NULL");
 $vunAnz = mysql_num_rows($vun_pausch);
 if($vunAnz>0) {
	if($vunAnz == 1) {
		$prozVuN = mysql_fetch_row($vun_pausch);
		$proz = "$prozVuN[0]%<br />";
	} else $proz = '';
	echo "<th class=\"cl1\" style=\"text-align:center\">".$proz."Doku</th>\n";
	echo "<th class=\"cl1\">in Abr.</th>\n";
	$colspan += 2;
 }

 echo "<td style=\"text-align:center;padding-right:5px\">";
 echo "<b style=\"color:#FFCC00\"";
 echo stwToolTip('fallbegleitende Zeit').">fb</b><br>";
 echo "<b ".stwToolTip('Anzahl Projekte mit m&ouml;glicher fallbegleitender Zeit')." id=\"fb_cnt\">&nbsp;</b></td>\n";

 if(getConf('vor_nach_b') == 1) {
	echo "<th style=\"padding-right:5px;text-align:center\">VuN</th>\n";
	$colspan++;
 }
 echo "<td colspan=\"2\" style=\"padding-right:5px\"><b style=\"color:#FFCC00\">&Uuml;bertrag</b><br><span";
 echo stwToolTip("Summe gekappter nicht geleisteter Stunden") . ">&sum;: ";
 echo "<span id=\"uebert\">&nbsp;</span></span></td>\n";
 $uebert = 0;
 echo "<th colspan=\"5\" style=\"padding-right:5px\">Begr&uuml;ndung<br>Mehrstunden</th>\n";

 echo "<th style=\"padding-right:5px\">Spesen</th>\n";
 if(getConf("klientenkonto2")) {
   echo "<th style=\"padding-right:5px;text-align:center\">JA-<br />Spesen</th>\n";
   $colspan++;
 }
 echo "<th style=\"padding-right:5px\">Entfer-<br>nung</th>\n";

 echo "<th style=\"padding-right:5px\">km<br>Dienst</th>\n";
 echo "<th style=\"padding-right:5px\">km<br>Privat</th>\n";
 echo "<th style=\"padding-right:5px\">km<br>gesamt</th>\n";

 $km_ja = abfrage1("select kont_id from tb_kont_kmsatz where kmg='j' and datum < curdate()");
 $kmJaAnz = mysql_num_rows($km_ja);
 if($kmJaAnz > 0) {
	echo "<th style=\"padding-right:5px\">abw.<br>km JA</th>\n";
	$colspan++;
 }

 $kmgpausch = abfrage1("select kont_id from tb_kontakte where kmgpauschale='j'");
 $kmgPAnz = mysql_num_rows($kmgpausch);
 if($kmgPAnz > 0) {
	echo "<th".stwToolTip('Kilometergeldpauschale')."style=\"padding-right:5px\">kmg(p)</th>\n";
	$colspan++;
 }

 echo "<th style=\"padding-right:5px\">sachl.<br />gepr&uuml;ft?</th>\n";

 echo "<th style=\"padding-right:5px\">inhaltl.<br />gepr&uuml;ft?</th>\n";
 echo "<th style=\"padding-right:5px\">HB<br />best&auml;tigt?</th>\n";

 echo "</tr>\n";
 new stwTabLine(2,50);
 $R = 0;

 for($I = ($pra_nr==2 ? 0 : 1); $I<2; $I++) {
   if($I==0) {
	 if(sizeof($projektgruppen) == 0) $I++;
	 else mysql_data_seek($res2,0);
   }
   if($I == 1) $res2 = $res;
   $terminarten = array('-'=>0);
   $tas = abfrage1("select terminart from tb_terminart where in_projektgruppe='j' order by name asc");
   while($ta = mysql_fetch_row($tas)) {
	  $terminarten[ $ta[0] ] = 0;
   }
   $wProz = intval(100 / (sizeof($terminarten)+1));
   while ($row = mysql_fetch_row($res2)) {
	 // Projektgruppen werden gesondert ausgewertet
	 if($I == 1 && ($projektgruppen[ $row[0]] || $gruppenprojekt[ $row[0] ])) continue;
     $pro = new stwProjekt($row[0]);
	 // Kindeswohlgefhrdung oder Projektbericht
	 $kwg = abfrage("select hp_id, ressourcen from tb_hp where hp_art = 'k'
					and proj_id = $pro->id and and_datum is null;");
	 if($pro->beginn_ts() == 0 || $pro->beginn_ts() > mktime()) {
       $style = "name=\"blink\" style=\"color:red\"";
       $title = "Zetkarte ohne Projektbeginn";
	 } else {
       $style = "";
       $title = "";
	   if($pro->ende_ts() > 0) {
         /*
          * Falls es Zeitkarten nach dem Projektende gibt, soll die
          * Projektnummer rot blinken. Natuerlich duerfen die ZK nur
          * gezaehlt werden wenn sie abrechnungsrelevant sind.
          */
         $sql  = "SELECT COUNT(t1.proj_id) FROM tb_ab_zk t1 ";
         $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";
         $sql .= "WHERE t2.von > '".date_gr2my($pro->ende())." 23:59:59' ";
         $sql .= "AND t1.proj_id=".$pro->id." AND t1.ab='j';";
         $erg = abfrage($sql);
         if ($erg[0] > 0) {
		   $style = "name=\"blink\" style=\"color:red\"";
           $title = "Zetkarte nach Projektende";
         }
       }
       /*
        * Falls es Zeitkarten vor dem Projektbeginn gibt soll sich
        * die Projektnummer gruen faerben. Natuerlich duerfen die
        * ZK nur gezaehlt werden wenn sie abrechnungsrelevant sind.
        */
       $sql  = "SELECT COUNT(t1.proj_id) FROM tb_ab_zk t1 ";
       $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";
       
       $sql .= "WHERE t2.von < '".date_gr2my($pro->beginn())." 00:00:00' ";
       $sql .= "AND t1.proj_id=".$pro->id." AND t1.ab='j';";
       
       $erg = abfrage($sql);
       if ($erg[0] > 0)
       {
         /* bei pauschale FLS des Kontaktes darf nicht gruen werden */
         $sql  = "SELECT t3.pauschFLS FROM tb_projekte t1 ";
         $sql .= "LEFT JOIN tb_kontakte_ap t2 ON t1.ap_id = t2.ap_id ";
       
         $sql .= "LEFT JOIN tb_kontakte t3 ON t2.kont_id = t3.kont_id and t3.kh_id='0' ";
         $sql .= "WHERE t1.proj_id=".$pro->id.";";
       
         $erg  = abfrage($sql);
         if ($erg[0] == 'n')
         {
           if(strlen($style) == 0) {
			 if($pro->beginn_ts() > mktime(0,0,0,date('n')-2,date('d'),date('Y'))) $style = "style=\"color:red\"";
			 else $style = "style=\"color:#A0A000\"";
		   }
           $title .= "Zetkarte vor Projektbeginn";
         }
       }
	 }
	 $poolprojekt = $pro->pool();
	 $mehrst_begr = abfrage_array("select * from tb_ab_mehrst_begr where proj_id='$pro->id' and ab_monat='$abm'");

	 if(!$poolprojekt && !$gruppenprojekt[$row[0]]){
		$kapp_mod = $pro->fls_kappung($abm);
		if ($kapp_mod['kapp_pos'] == 1 && $pro->fls_folgemonat($abm) > $kapp_mod['kapp_pos_wert']) {
			if(strlen($style) == 0) $style="style=\"background-color:hotpink\"";
			else $style = substr($style,0,-1) . ";background-color:hotpink\"";
			$title .= "<br><b>max. m&ouml;gl. Sollstunden &uuml;berschritten</b>";
		}
	 } elseif($poolprojekt && $mehrst_begr['checked']!='j' && $pro->pool_stand() < 0) {
		if(strlen($style) == 0) $style="style=\"background-color:hotpink\"";
		else $style = substr($style,0,-1) . ";background-color:hotpink\"";
		$title = "<b>Pool &uuml;berschritten</b><br>$title";
	 }


     /* jede Zeile enthaelt ein Projekt mit seinen Details */
     printf("<tr class=\"mo\">\n");

     /* Projektnummer mit Link zur Detailseite ausgeben */
     echo "<td style=\"padding-right:5px\">";
	 echo "<a href=\"pro_daten.php?proj_id=$pro->id\"";
	 
	 if(!empty($title)) echo stwToolTip($title);
	 echo "$style>" . $pro->nummer() . "</a></td>\n";

	 /* Traeger */
	 $tr = abfrage("select kurzname, traeger_art, farbe from tb_traeger_art where traeger_art_id='$pro->traeger_art_id';");
	 echo "<td style=\"color:$tr[2]\"".stwToolTip($tr[1]).">$tr[0]</td>\n";

     /* von der Projektperson den Vornamen ausgeben */
     printf("<td style=\"padding-right:5px\" title=\"%s\">", $pro->vname());
     printf("%s</td>\n", strCut($pro->vname(), 12));

     /* von der Projektperson den Namen ausgeben */
     printf("<td style=\"padding-right:5px\" title=\"%s\">", $pro->nname());
     printf("%s</td>\n", strCut($pro->nname(), 12));
	
	/* KWG */
	echo "<td style=\"vertical-align:middle\">";
	if(!empty($kwg[0])) {
		echo "<img src=\"img/icon_kwg.png\"";
		echo stwToolTip("<b>Kindeswohlgef&auml;hrdung</b><br />" . $kwg[1]);
		echo "alt=\"kwg\" />";
	}
	echo "</td>\n";

	/* Klientenkonto */
	echo "<td>" . $pro->Euro() . "</td>\n";

    /* die festgelegten Wochenstunden die pro Woche geleistet werden sollen */
	echo "<td style=\"text-align:right;padding-right:5px;";
	$tt = "";
	if($pro->kontaktst($abm)) {
		echo "background-color:#554433";
		$tt .= "KLS = " . fls_form($pro->wost_kontaktstunden());
	}
	if($pro->fallbegleitung()) {
		$tt.= "<br>Fallbegleitung: ja";
		$R++;
	}
	echo "\"><a href=\"pro_ab_k.php?proj_id=$pro->id&abmonat=$mon&abjahr=$yr\"";
	if($pro->fallbegleitung()) echo " style=\"color:#FF6600\""; 
	if(!empty($tt)) echo stwToolTip($tt,false);
	echo '>' . fls_form($pro->wost()) . "</a></td>\n";

	if(getConf("progr_kontr") && $gruppenprojekt[ $pro->id ]) {
		$check = abfrage("select schule, familie, hobbys from tb_projekte where proj_id='".$gruppenprojekt[ $pro->id ]."'");
		$beginn_ts = $pro->beginn_ts();
		$day = date_isodate_stamp($abm);
		if($beginn_ts > $day) $day = $beginn_ts;
		$ungekl = $essen = 0;
		$termin = $terminarten;
		$ts_bis = mktime(23,59,59,date('n',$day),date('t', $day), date('Y', $day));
		$sql = "select unix_timestamp(bis) from tbh_projekt_gruppe where proj_id='$pro->id' and unix_timestamp(von) < $ts_bis order by von desc limit 1";
		$ende = abfrage($sql);
		if(intval($ende[0]) < $ts_bis && intval($ende[0]) > 0) $ts_bis = $ende[0];
		while($day <= $ts_bis) {
			$wDay = date('w', $day);
			if( !feiertag($day) && (($check[0] && $wDay < 6 && $wDay > 0) ||
				($check[1] && $wDay == 6)) || ($check[2] && (feiertag($day) || $wDay == 0)) ) {
				$anw = abfrage("select terminart, essen from tbh_proj_anwesenheit where proj_id='$pro->id' and datum = '".date('Y-m-d',$day)."'");
				if(is_null($anw[0])) $ungekl++;
				else $termin[ $anw[0] ]++;
				if($anw[1] == 'j') $essen++;
			}
			$day = mktime(0,0,0,date('n',$day),date('d',$day)+1,date('Y',$day));
		}
		echo "<td colspan=\"$colspan\"><table width=\"100%\" callpadding=\"0\" cellspacing=\"0\"><tr>";
		foreach($termin as $ta => $cnt) {
			if($ta == '-') {
				$max[0] = 366;
				echo "<td width=\"$wProz%\">Anwesend: $cnt Tage ";
			} else {
				$art = abfrage("select name, farbe from tb_terminart where terminart='$ta'");
				if(empty($art[0])) echo "Abwesend: $cnt Tage &nbsp; ";
				else echo "<td width=\"$wProz%\" style=\"color:$art[1]\">$art[0]: $cnt Tage ";
				$max = abfrage("select max from tb_pro_gruppe_fz where terminart='$ta' and proj_id='".$gruppenprojekt[ $pro->id ]."'");
			}
			$sql = "select count(datum) from tbh_proj_anwesenheit 
					where proj_id='$pro->id' 
					and terminart='$ta'
					and datum >= '".date('Y-01-01',$ts_bis)."' 
					and datum <= '".date('Y-m-d',$ts_bis)."';";
			$sum = abfrage($sql);
			if(intval($sum[0]) > intval($max[0])) {
				echo "<span name=\"blink\"";
				echo stwToolTip("<b>Warnung!</b><br>Zul&auml;ssige Anzahl an Fehltagen $art[0] &uuml;berschritten",false);
				echo ">";
			}
			echo "(".intval($sum[0])." im Jahr)";
			if(intval($sum[0]) > intval($max[0])) echo "</span>";
			echo "</td>";
		}
		$sql = "select count(datum) from tbh_proj_anwesenheit 
				where proj_id='$pro->id' 
				and essen='j'
				and datum >= '".date('Y-01-01',$ts_bis)."' 
				and datum <= '".date('Y-m-d',$ts_bis)."';";
		$sum = abfrage($sql);
		echo "<td width=\"$wProz%\">Essen: an $essen Tagen (".intval($sum[0])." im Jahr)</td> ";
		if($ungekl > 0) echo "<td style=\"color:hotpink\">Ungekl&auml;rt: $ungekl Tage</td>";
		echo "</tr></table></td>\n";
	} else {
		/* Stunden die pro Monat geleistet werden sollen */
		echo "<td style=\"text-align:right;padding-right:5px;";
		if($pro->kontaktst($abm)) echo "background-color:#554433;";
		if($pro->fallbegleitung()) echo "color:#FF6600;";
		echo "\" />" . fls_form($pro->fls_monat($abm)) . "</td>\n";

		/* Anzahl der Stunden, Fahrzeit, Fallbegl.Zeit die geleistet wurden */
		$dat_gel = $pro->fls_gesamt($abm);
		$dat_fz = $pro->fls_fz($abm);
		if(!empty($pro->pauschalVuN)) {
			$vun = $pro->fls_vun_pauschal($abm);
			$dat_gel -= $vun;
		} else $vun=0;
		$r_cnt=abfrage("select sum(time_to_sec(fls)/3600)
						from tb_ab_zk where proj_id = '$pro->id'
						and ab = 'j' and code = 'R' and ab_monat='$abm'");
		$tt = '';
		if($r_cnt[0]>0 || $pro->fallbegleitung()) $tt .= "Fallbegleitende Zeit: " . fls_form($r_cnt[0]);
		stunden_zelle($dat_gel,$tt,'cl1',false,$r_cnt[0]>0,true,"FLS".$pro->id);
		echo "<td><img style=\"cursor:pointer\"" . stwToolTip("geleistet und &Uuml;bertrag neu berechnen");
		echo "onclick=\"xajax_refresh($pro->id,'$abm')\" ";
		echo "src=\"".image('refresh',13,13)."\" /></td>";
		stunden_zelle($dat_fz);
		$proz = $dat_gel > 0 ? 100 * ($dat_fz / ($dat_gel + ($pro->kontaktst($abm) ? $dat_fz : 0))) : 0;
		echo "<th style=\"text-align:center\">" . proz_form($proz) . "</th>";
		if($vunAnz>0) {
			if(!empty($pro->pauschalVuN)) {
				stunden_zelle($vun);
			} else echo "<td />";
			stunden_zelle($vun + $dat_gel);
		}
		$and = fls_and($abm);
		$sql = "select sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600 from tb_ab_zk z
				where z.proj_id = '$pro->id' $and and z.ab = 'j' and z.code = 'R' group by z.proj_id;";
		$reflexion = abfrage($sql);
		stunden_zelle($reflexion[0]);

		/* Anzahl an Vor-und Nachbereitungsstunden*/
		if(getConf('vor_nach_b') == 1) {
		  echo "<td class=\"cl1\">" . fls_form($pro->fls_vun($abm)) . "</td>\n";
		}
		/* Uebertrag fuer den Folgemonat ausgeben */
		$flsfolgemonat = $pro->fls_folgemonat($abm);
		if (!$poolprojekt && $kapp_mod['kapp_neg'] == 1 && $flsfolgemonat < $kapp_mod['kapp_neg_wert']){
			$uebert += $flsfolgemonat - $kapp_mod['kapp_neg_wert'];
		}
		stunden_zelle($flsfolgemonat,'','cl1',false,false,true,"FM".$pro->id);
		/* 'P' bei Pool-Projekten ausgeben */
		echo "<td>" . $pro->pool_P() . "</td>";

		// Uebertragsfunktionen + Begruendung Mehrstunden
		$pro->fls_uebertrag($abm, "ab2.php", $_GET["nw"], $_GET["anz"], 1);
		$checked = $mehrst_begr['checked']=='j' ? 'checked' : '';
		$check = $mehrst_begr['checked']=='j' ? 'beg_uncheck' : 'beg_check';
		echo "<td><input type=\"checkbox\" $checked onclick=\"xajax_check($pro->id,".date_my2ts($abm).",this.checked)\"></td>\n";
		echo "<form id=\"form$pro->id\" name=\"form$pro->id\">\n";
		echo "<textarea id=\"text$pro->id\" name=\"text$pro->id\" style=\"display:none\">$mehrst_begr[4]</textarea>\n";
		echo "</form>";
		if(strlen($mehrst_begr[3])==0 && strlen($mehrst_begr[4])==0) {
			$daten = 'daten';
			$tt = '';
		} else {
			$daten = 'daten_gruen';
			$tt = stwToolTip(str_replace("\n", '<br>', $mehrst_begr[4]));
		}
		echo "<td><img $tt src=\"img/$daten.png\" id=\"$pro->id\" ";
		echo "onmousedown=\"doTT('$pro->id',document.form$pro->id.text$pro->id.value);return false;\"></td>\n<td>";
		if(strlen($mehrst_begr[3])>0 || strlen($mehrst_begr[4])>0) {
			echo "<a href=\"pro_pr_antrag.php?proj_id=$pro->id&amp;ab_monat=$abm&ts=" . time() . "\" target=\"_pdf\">";
			echo "<img alt=\"druck\" src=\"img/drucker.png\" /></a>";
		}
		echo "</td>\n";
		// Spesen- und km-Summen
		$sps = abfrage("select
						sum(spesen_betr) - sum(spesen_eig),
						sum(km_dienst), sum(km_privat),
						sum(km_dienst) + sum(km_privat),
						sum(km_abw_ja)
						from tb_ab_zk
						where proj_id = $pro->id
						and ab_monat = '$abm';");
		$sphist = abfrage1("SELECT SUM(spesen_betr) - SUM(spesen_eig), unix_timestamp(ab_monat)
							FROM tb_ab_zk WHERE proj_id = '$pro->id' AND
							TO_DAYS(ab_monat) > TO_DAYS(DATE_SUB('$abm', INTERVAL 6 MONTH))
							GROUP BY ab_monat ORDER BY ab_monat ASC");
		$tt = '';
		while($sp = mysql_fetch_row($sphist)){
			if($sp[0] > 0) $tt .= strftime('%B %Y', $sp[1]) . ": " . geld_form_web($sp[0]) . "<br />";
		}
		if($tt != '') $tt = stwToolTip($tt);
		echo "  <td style=\"text-align:right; padding-right:5px\" $tt>" . geld_form_web($sps[0]) . "</td>\n";

		/* 2. Klientenkonto */
		if(getConf("klientenkonto2")) {
			$kk2 = abfrage("select sum(k.spesen_betr) from tb_klientenkonto2 k left join tb_ab_zk z using(zk_id)
							where z.proj_id = '$pro->id' and z.ab_monat = '$abm'");
			echo "<td style=\"text-align:right; padding-right:5px\">" . geld_form_web($kk2[0]) . "</td>\n";
		}

		echo "  <td style=\"text-align:right; padding-right:5px\">" . km_form($pro->he_info('entfernung')) . "</td>\n";
		echo "  <td style=\"text-align:right; padding-right:5px\">" . km_form($sps[1]) . "</td>\n";
		echo "  <td style=\"text-align:right; padding-right:5px\">" . km_form($sps[2]) . "</td>\n";
		echo "  <td style=\"text-align:right; padding-right:5px\">" . km_form($sps[3]) . "</td>\n";
		if($kmJaAnz > 0) {
			echo "  <td style=\"text-align:right; padding-right:5px\">" . km_form($sps[4]) . "</td>\n";
		}
		if($kmgPAnz > 0) {
			$sql = "select sum(g.betrag) from tb_zk_km_geld g 
					left join tb_ab_zk z using(zk_id)
					where z.proj_id = $pro->id
					and z.ab='j'
					and z.ab_monat = '$abm';";
			$geld = abfrage($sql);
			echo "<td style=\"text-align:right; padding-right:5px\">" . geld_form_web($geld[0]) . "</td>\n";
		}
	}
	// kontrolliert
	$kont=abfrage_array("select kontrolle, ok, pers_id, date_format(datetime, '%d.%m.%Y %H:%i') as date,
						ok_hb, pers_id_hb, date_format(datetime_hb, '%d.%m.%Y %H:%i') as date_hb,
						ok_rech, pers_id_rech, date_format(datetime_rech, '%d.%m.%Y %H:%i') as date_rech
						from tb_ab_proj_kont
						where proj_id = $pro->id
						and ab_monat = '$abm';");
	if(empty($kont[0]) && empty($kont[2])) {
		$parent = abfrage("select proj_id_parent from tb_pro_inheritance where proj_id_child='$pro->id'");
		if($parent[0])
			$kont=abfrage_array("select kontrolle, ok, pers_id, date_format(datetime, '%d.%m.%Y %H:%i') as date,
								ok_hb, pers_id_hb, date_format(datetime_hb, '%d.%m.%Y %H:%i') as date_hb,
								ok_rech, pers_id_rech, date_format(datetime_rech, '%d.%m.%Y %H:%i') as date_rech
								from tb_ab_proj_kont
								where proj_id = $parent[0]
								and ab_monat = '$abm';");
	}

	if (($kont[0] & 4) > 0 || $kont['ok_rech'] == 'j'){
		$st  = "style=\"color:lime;font-weight:bold; padding-right:10px\"";
		$st .= stwToolTip(pers_kname($kont['pers_id_rech']) . ", {$kont['date_rech']}");
		echo "<td $st>JA</td>\n";
	} else {
		echo "<th id=\"P".$pro->id."_rech\">";
		$color = "red";
		if($gruppenprojekt[ $pro->id ] || ($pro->ab != 'j' && $pro->ab != 'h')) {
			echo $_SESSION[$AppCode]["ULV"] >= 96 && $inAbrechnung ? "<a onclick=\"xajax_JaNein($pro->id,'$abm','_rech','j'); return false;\" href=\"pro_ab_kont_sql.php?proj_id=$pro->id&rech=n&ab_monat=$abm\" " : "<b ";
			echo stwToolTip("keine Pr&uuml;fung notwendig!");
			$color = "#AAAAAA";
			$a = $_SESSION[$AppCode]["ULV"] >= 96 && $inAbrechnung ? '</a>' : '</b>';
		} elseif(($kont[0] & 1) > 0 || !$inAbrechnung) {
			echo "<b " . stwToolTip("keine Pr&uuml;fung mehr m&ouml;glich!");
			$a = '</b>';
		} elseif(check_nutzer_rechte(89)) {
			echo "<a onclick=\"xajax_JaNein($pro->id,'$abm','_rech','j'); return false;\" href=\"pro_ab_kont_sql.php?proj_id=$pro->id&rech='j'&ab_monat=$abm\" ";
			$a = '</a>';
		} else {
			echo "<b ";
			$a = '</b>';
		}
		if(!empty($kont['pers_id_rech'])) echo stwToolTip(pers_kname($kont['pers_id_rech']) . ", {$kont['date_rech']}");
		else echo stwToolTip("sachlich gepr&uuml;ft");
		echo "style=\"color:$color;font-weight:bold\">NEIN$a</th>\n";
	}
	if (($kont[0] & 1) > 0){
		$st  = "style=\"color:lime;font-weight:bold; padding-right:10px\"";
		$st .= stwToolTip(pers_kname($kont['pers_id']) . ", {$kont['date']}");
		echo "<td $st>JA</td>\n";
	} else {
		echo "<th id=\"P".$pro->id."\">";
		if(check_nutzer_rechte(15) && $inAbrechnung) {
			echo "<a onclick=\"xajax_JaNein($pro->id,'$abm','','j'); return false;\" href=\"pro_ab_kont_sql.php?proj_id=$pro->id&inh=j&ab_monat=$abm\" ";
			$a = '</a>';
		} else {
			echo "<b ";
			$a = '</b>';
		}
		if(!empty($kont['pers_id'])) echo stwToolTip(pers_kname($kont['pers_id']) . ", {$kont['date']}");
		else echo stwToolTip("inhaltlich gepr&uuml;ft");
		echo "style=\"color:red;font-weight:bold\">NEIN$a</th>\n";
	}
	if (($kont[0] & 2) > 0){
		$st  = "style=\"color:lime;font-weight:bold; padding-right:10px\"";
		$st .= stwToolTip(pers_kname($kont['pers_id_hb']) . ", {$kont['date_hb']}");
		echo "<td $st>JA</td>\n";
	} else {
		echo "<th id=\"P".$pro->id."_hb\" class=\"cl11\">";
		if($_SESSION[$AppCode]["ULV"] >= 96 && $inAbrechnung) {
			echo "<a onclick=\"xajax_JaNein($pro->id,'$abm','_hb','j'); return false;\" href=\"pro_ab_kont_sql.php?proj_id=$pro->id&hb=j&ab_monat=$abm\" ";
			$a = '</a>';
		} else {
			echo "<b ";
			$a = '</b>';
		}
		if(!empty($kont['pers_id_hb'])) echo stwToolTip(pers_kname($kont['pers_id_hb']) . ", {$kont['date_hb']}");
		echo "style=\"color:red;font-weight:bold\">NEIN$a</th>\n";
	}
	echo "</tr>\n";
	flush();
	if(intval($dat_gel) == 0 || $poolprojekt && $pro->pool_stand() < 1) {
		echo "<script type=\"text/javascript\">\n";
		echo "xajax_refresh($pro->id,'$abm');\n";
		echo "</script>\n";
	}

	if($projektgruppen[ $row[0]]) new stwTabLine(2,50);
  }
  if($I==0) new stwTabLine(1,50);
}

echo "</table>\n";

echo "<script type=\"text/javascript\">\n";
echo "document.getElementById('uebert').innerHTML = '" . fls_form($uebert) . "';\n";
echo "document.getElementById('fb_cnt').innerHTML = '$R';\n";
echo "</script>\n";
new stwLine(1);

if ($_SESSION[$AppCode]["ULV"] >= $k_level[0] || check_nutzer_rechte(89) || mysql_num_rows($abtkontroll) > 0) {
  if($_SESSION[$AppCode]["ULV"] >= $k_level[0] || check_nutzer_rechte(89)) {
	// berschneidende Zeitkarten
	$mas = abfrage1("select pers_id from tb_ab_zk
					where ab = 'j' and pers_id > 0
					and nachw_id is NULL
					and ab_monat is not NULL
					group by pers_id;");
  } else {
	$abteilungsmitarbeiter = array();
	while($abt = mysql_fetch_row($abtkontroll)) {
		$mitarbeiter = abfrage1("select pers_id from tbh_pers_abt where abt_id='$abt[0]'");
		while($mitarb = mysql_fetch_row($mitarbeiter)) {
			$abteilungsmitarbeiter[ $mitarb[0] ] = $mitarb[0];
		}
	}
	$comma_separated_mas = implode(",", $abteilungsmitarbeiter);
	$mas = abfrage1("select pers_id from tb_ab_zk
					where ab = 'j' and pers_id > 0
					and nachw_id is NULL
					and ab_monat is not NULL
					and pers_id in ($comma_separated_mas)
					group by pers_id;");
  }

  $ALG = abfrage("select hilfeart_id from tb_hilfeart where hilfeart = 'ALG'");
  $CZT = abfrage("select hilfeart_id from tb_hilfeart where hilfeart = 'CZT'");

  while ($ma = mysql_fetch_row($mas)){
	$von = $bis = $pro = 0;
	$tms = abfrage1("select
					unix_timestamp(t.von),
					unix_timestamp(t.bis),
					z.proj_id
					from tb_termine t
					left join tb_ab_zk z on t.termin_id = z.termin_id
					left join tb_projekte p on z.proj_id = p.proj_id
					left join tb_hilfeart h on h.hilfeart_id = p.hilfeart_id
					left join tb_ab_code c on z.code = c.code
					where z.ab = 'j'
					and z.nachw_id is NULL
					and z.ab_monat is not NULL
					and h.fls_azk = 1
					and z.pers_id = $ma[0]
					and p.hilfeart_id != '$ALG[0]' and p.hilfeart_id != '$CZT[0]'
					and (c.over = 0 or c.over is NULL)
					and z.code!='S'
					order by unix_timestamp(t.von) asc;");

		while ($tm = mysql_fetch_row($tms)){

			if ($tm[0] < $bis && $tm[1] > $von){
				if (!$zkulink){
					echo "<script type=\"text/javascript\"><!--\n";
					echo "document.getElementById('ueZK').style.display = 'table-row';\n";
					echo "--></script>\n";
					$zkulink = true;
				}
			}

		$von = $tm[0];
		$bis = $tm[1];
		$pro = $tm[2];

		if($zkulink) break;
	 }
	 if($zkulink) break;
  }
}

new stwEnd($seite);
?>