<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: abschlag_pr.php 2855 2018-04-28 13:05:54Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 65;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

$traeger = $_SESSION[$AppCode]["TR"];
$pdf_datei = "mandant/$traeger/pdf_5.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$druck_typ = 'RE';

$zh = 5;

class AbschlagPDF extends PDF {
	var $angle=0;

	function Rotate($angle, $x=-1, $y=-1){
		if ($x==-1) $x=$this->x;
		if ($y==-1) $y=$this->y;
		if ($this->angle!=0)
			$this->_out('Q');
		$this->angle=$angle;
		if($angle!=0){
			$angle*=M_PI/180;
		  $c=cos($angle);
		  $s=sin($angle);
		  $cx=$x*$this->k;
		  $cy=($this->h-$y)*$this->k;
		  $this->_out(sprintf('q %.5f %.5f %.5f %.5f %.2f %.2f cm 1 0 0 1 %.2f %.2f cm', $c, $s, -$s, $c, $cx, $cy, -$cx, -$cy));
		}
	}

	function RotatedText($x, $y, $txt, $angle){
		$this->Rotate($angle, $x, $y);
		$this->Text($x, $y, $txt);
		$this->Rotate(0);
	}
}

$pdf=new AbschlagPDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(20.0);
$pdf->SetAutoPageBreak(auto,40);
$pdf->SetFillColor(255,255,255);

$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();

$kont_ids = array();

$jas = abfrage1("SELECT kont_id, kurzname, name, name2 FROM tb_kontakte where kont_art_id = 1 and ab='h' order by kurzname asc");
$jugendaemter = '';
while ($ja = mysql_fetch_row($jas)){
	if($_GET['kont'.$ja[0]] == 1) {
		$kont_ids[] = $ja[0];
		if($jugendaemter != '') $jugendaemter .= ', ';
		$jugendaemter .= $ja[3];
	}
}
if(empty($rvar_kont_adr)) {
	$adress_id = $kont_ids[0];
	$ap = false;
} else {
	$feld = explode("-", $rvar_kont_adr);
	$adress_id = $feld[0];
	$ap = abfrage("select anrede, vorname, name, fax from tb_kontakte_ap where ap_id='$feld[1]'");
}
$kont_ids_comma_separated = implode(",", $kont_ids);
// Adresse
$pdf->SetFont('arial','',11);
$sql = "select name, name2, strasse, plz, ort, kdnr
		from tb_kontakte where kh_id='0' and kont_id='$adress_id'";
$dat = abfrage_array($sql);
$Y = 60;
$pdf->SetXY(20,$Y); $Y += 4.5;
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,$Y); $Y += 4.5;
$pdf->Cell(80,$zh,$dat[1]);
$pdf->SetXY(20,$Y); $Y += 4.5;
$pdf->Cell(80,$zh,"Wirtschaftliche Jugendhilfe");
if($ap) {
	$pdf->SetXY(20,$Y); $Y += 4.5;
	$pdf->Cell(80,$zh,"$ap[0] $ap[1] $ap[2]");
}
$pdf->SetXY(20,$Y); $Y += 6;
$pdf->Cell(80,$zh,$dat[2]);
$pdf->SetXY(20,$Y); $Y += 8;
$pdf->Cell(80,$zh,$dat[3] . " " . $dat[4]);
if($ap) {
	$pdf->SetXY(20,$Y); $Y += 4.5;
	$pdf->Cell(80,$zh,"Fax: $ap[3]");
}

$conf_re_ap = getConf('re_ap');
$conf_re_tel = getConf('re_tel');
$pdf->SetFont('arial','',10);
$pdf->SetXY(20,110);
$pdf->Cell(50,5,$dat[5]);
$pdf->Cell(50,5,$conf_re_ap);
$pdf->Cell(45,5,$conf_re_tel);
$von_ts = date_my2ts($rvar_ab_monat);
$redat = mktime(0,0,0, date('n', $von_ts), date('t', $von_ts), date('Y', $von_ts));
if (!arbeitstag($redat)){
	while (!arbeitstag($redat)){
		$redat -= 86400;
	}
}
$datum = date('d.m.Y', $redat);
$pdf->Cell(20,5,$datum);
$pdf->Ln(10);
$bis_ts = mktime(0,0,0,date('n',$von_ts),date('t', $von_ts), date('Y', $von_ts));
$monat = strftime('%B %Y', $von_ts);
list($year, $month, $day) = explode("-", $rvar_ab_monat);
$cnt = $lastTraeger = $sumSoll = $sumIst = $sumFZ = $sumABetrag = $sumRBetrag = 0;
$zwischenSoll = $zwischenIst = $zwischenFZ = $zwischenCnt = $zwischenABetrag = $zwischenRBetrag = 0;
$nw = abfrage("SELECT nachw_id FROM tb_ab_nachw WHERE datum='$rvar_ab_monat'");
$sql = "select pr.proj_id, p.name, p.vorname, pr.register, 
		IF((kh.kh_id IS NULL), k.ab_modus, kh.ab_modus) as ab_modus, pr.az
		from tb_projekte pr
		left join tb_kontakte_ap a on(pr.ap_id = a.ap_id)
		left join tb_kontakte k on(k.kont_id = a.kont_id)
		left join tb_kont_hilfeart kh on k.kont_id = kh.kont_id and kh.hilfeart_id=pr.hilfeart_id and kh.von<date_add('$rvar_ab_monat',INTERVAL 1 MONTH) and (kh.bis>'$rvar_ab_monat' or kh.bis='0000-00-00')
		left join tbh_proj_personen pp on (pr.proj_id = pp.proj_id and pp.perstyp_id = 1)
		left join tb_personen p on p.person_id = pp.person_id
		left join tb_abschlag ab on (ab.nachw_id = '$nw[0]' and ab.proj_id = pr.proj_id)
		where ab.proj_id IS NOT NULL
		or (pr.ende >= '$rvar_ab_monat' and pr.ende < date_add('$rvar_ab_monat',INTERVAL 1 MONTH)
		or unix_timestamp(pr.ende)=0 or unix_timestamp(pr.ende) IS NULL or pr.ende IS NULL
		or pr.ende >= date_add('$rvar_ab_monat',INTERVAL 1 MONTH)
		) and (kh.ab_mod='h' or k.ab='h' and (kh.ab_mod IS NULL or kh.ab_mod='x'))
		group by proj_id order by ab_modus asc, k.name asc, k.name2 asc, p.name asc, p.vorname asc";
$pros=abfrage1($sql);
$abschlagorder = getPersEinst($_SESSION[$AppCode]["UID"],'abschlagorder',0);
$projekte = array();
$saetze = array();
$abTypen = array();
while($pro = mysql_fetch_array($pros)) {
	if(projekt_sammelrechnung($pro[0],$rvar_ab_monat)) continue;
	$projekt = new stwProjekt($pro[0]);
	if($projekt->beginn_ts() == 0 || $projekt->beginn_ts() >= mktime(0, 0, 0, $month+1, 1, $year)) continue; 
	$projekte[$pro[0]] = $pro;
	$satz = stundensatz($rvar_ab_monat, $pro[0]);
	$abTypen[$pro[0]] = $satz[0];
	$saetze[$pro[0]] = $satz[1];
}
if($abschlagorder) {
	asort($saetze);
	$hilfeart = array();
	$hilfearten = array();
	$lastsatz = 0;
	$index = 0;
	foreach($saetze as $id => $satz) {
		$ha = abfrage("select h.hilfeart_id, h.hilfeart from tb_projekte p left join tb_hilfeart h using(hilfeart_id) where p.proj_id='$id'");
		if($lastsatz != 0 && $lastsatz != $satz) {
			$hilfearten[$index] = implode(", ",$hilfeart);
			$index++;
			$hilfeart = array();
		}
		$lastsatz = $satz;
		$hilfeart[$ha[0]] = $ha[1];
	}
	$hilfearten[$index] = implode(", ",$hilfeart);
}
$gesamtABetrag = $gesamtRBetrag = $index = 0;
$typen = array('h','d','m');
$satzhead = array('h'=>'Stundensatz', 'd'=>'Tagessatz', 'm'=>'Monatssatz');
$klshead = array('h'=>'KLS+fb', 'd'=>'Tage', 'm'=>'Monate');
$first = true;
foreach($typen as $type){
  $lastMod = -1;
  $printheader = true;
  $cnt = $lastTraeger = $sumSoll = $sumIst = $sumFZ = $sumABetrag = $sumRBetrag = 0;
  $zwischenSoll = $zwischenIst = $zwischenFZ = $zwischenCnt = $zwischenABetrag = $zwischenRBetrag = 0;
  foreach($saetze as $id => $satz) {
	$pro = $projekte[$id];
	$typ = $abTypen[$id];
	if($typ == $type){
		$projekt = new stwProjekt($pro[0]);
		if($lastTraeger == 0) {
			$lastTraeger = $abschlagorder ? $satz : $projekt->ja;
		}
		if($abschlagorder) {
			if($lastTraeger != $satz) {
				$pdf->Ln(5);
				$index++;
			}
		} elseif($lastTraeger != $projekt->ja || $lastMod != $pro['ab_modus'] && $lastMod != -1) {
			$ja = abfrage("select name2 from tb_kontakte where kont_id='$lastTraeger'");
			$pdf->Ln(0.5);
			$pdf->Cell(95,5,"Zwischensumme $ja[0]",'TLB');
			$pdf->Cell(15,5,geld_form_formular($zwischenSoll).' '.$type,'TB',0,'R');
			$pdf->Cell(20,5,geld_form($zwischenABetrag),'TB',0,'R');
			$pdf->Cell(15,5,geld_form_formular($zwischenIst).' '.$type,'TB',0,'R');
			$pdf->Cell(15,5,$type=='d' ? geld_form($zwischenFZ) : fls_form($zwischenFZ),'TB',0,'R');
			$pdf->Cell(21,5,geld_form($zwischenRBetrag),'TRB',0,'R');
			$pdf->Ln(6);
			$zwischenSoll = $zwischenIst = $zwischenFZ = $zwischenCnt = $zwischenABetrag = $zwischenRBetrag = 0;
			if($Y >= 230) {
				$pdf->AddPage();
				$printheader = true;
			}
		}

		if($lastMod != $pro['ab_modus']) {
			if($first) $first=false;
			else $pdf->AddPage();
			$pdf->SetFont('arial','b',14);
			$pdf->Cell(180,7,"bersicht Projekte mit Abschlagszahlung ".$satzhead[$type]." $monat",0,1);
			$pdf->SetFont('arial','b',10);
			$pdf->MultiCell(180,5,"Jugendamtsbereiche: $jugendaemter");
			if($pro['ab_modus'] == 'at') {
				$at = $m_f = 0;
				$feiertage = '';
				$ts = $von_ts;
				while($ts <= $bis_ts) {
					$sj = date('Y', $ts);
					$ft = feiertage($sj);
					$wt = date('w', $ts);
					if ($wt > 0 && $wt < 6){
						$m_f++;
						$i = array_search($ts, $ft);
						if($i === false) $at++;
						else {
							if(strlen($feiertage)>0) $feiertage .= ', ';
							$feiertage .= substr($i,0,-5);
						}
					}
					$ts = mktime(0,0,0,date('n',$ts),date('j', $ts) + 1, date('Y', $ts));
				}
				$txt = "$m_f Tage Montag-Freitag - $at Arbeitstage";
				if($m_f != $at) $txt .= " (+ $feiertage)";
			} elseif($pro['ab_modus'] != '433' && is_numeric($pro['ab_modus'])) {
				$txt = "Arbeitstage = Kalendertage Monat * " . $pro['ab_modus'] . '%';
			} else {
				$txt = "Monatsstunden = Wochenstunden(Soll) * Kalendertage gltig / Kalendertage Monat * 4.33";
			}
			$pdf->MultiCell(180,5,$txt,'','L');
			$pdf->Ln(2);
			$pdf->SetFont('arial','',7);
			$printheader = true;
		}
		$lastMod = $pro['ab_modus'];

		if($printheader || $abschlagorder==0 && $lastTraeger != $projekt->ja || $abschlagorder && $lastTraeger != $satz) {
			$printheader = false;
			$pdf->SetX(20);
			$y = $pdf->GetY();
			$pdf->SetFont('arial','b',8);
			if($abschlagorder) {
				$pdf->Cell(80,5,$hilfearten[$index],'TLB',0,'L',1);
			} else {
				$ja = abfrage_array("select name,name2 from tb_kontakte where kont_id='$projekt->ja'");
				$pdf->Cell(80,5,"$ja[0] $ja[1]",'TLB',0,'L',1);
			}
			$pdf->Cell(15,5,$satzhead[$type],'TB',0,'R',1);
			$pdf->SetFont('arial','b',6);
			$pdf->Cell(35,2.5,"Abschlags-Soll",'T',2,'C',1);			
			$pdf->Cell(15,2.5,$klshead[$type],'B',0,'R',1);
			$pdf->Cell(20,2.5,"Betrag ",'B',0,'R',1);
			$pdf->SetXY(150,$y);
			$pdf->Cell(51,2.5,"Abrechnungs-Ist",'TR',2,'C',1);
			$pdf->Cell(15,2.5,$klshead[$type],'B',0,'R',1);
			$pdf->Cell(15,2.5,$type=='d' ? 'Essen ' : "FZ  ",'B',0,'R',1);
			$pdf->Cell(21,2.5,"Betrag ",'RB',1,'R',1);
			$pdf->SetFont('arial','',7);
		}
		$lastTraeger = $abschlagorder ? $satz : $projekt->ja;
		if($type == 'h') {
			if($pro['ab_modus'] == 'at') $soll = $projekt->fls_monat($rvar_ab_monat);
			else $soll = $projekt->fls_monat_433($rvar_ab_monat);
		} elseif($type == 'd') {
			$ab_ts = date_my2ts($rvar_ab_monat);
			$beg_ts = $projekt->beginn_ts();
			$kalendertage = date('t',$ab_ts);
			if($ab_ts < $beg_ts) $kalendertage -= date('j',$beg_ts);
			if($pro['ab_modus'] != '433' && is_numeric($pro['ab_modus'])) {
				$soll = round(($kalendertage*$pro['ab_modus'])/100, 2);
			} else $soll = $kalendertage;
		} 
		$zwischenSoll += $soll;
		$sumSoll += $soll;
		$zwischenABetrag += fround($satz * $soll, 2);
		$sumABetrag += fround($satz * $soll, 2);
		if($type == 'h') {
			$ist = $projekt->fls_gesamt($rvar_ab_monat,true);
			$fz = $projekt->fls_fz($rvar_ab_monat);
			if(!$projekt->kontaktst($rvar_ab_monat)) $ist -= $fz;
			$extra = fls_form($fz);
			$zwischenFZ += $fz;
			$sumFZ += $fz;
		} elseif($type == 'd') {
			$fz = 0;
			$DoIt = false;
			$extra = '';
			$pgr = $projekt->inProjektgruppe(date('Y-m-t',date_my2ts($rvar_ab_monat)));
			if($pgr) {
				$anw = abfrage("select schule, familie, hobbys, wohn from tb_projekte where proj_id='$pgr'");
				if(empty($anw[0]) && empty($anw[1]) && empty($anw[2])) $DoIt = true;
			} else $DoIt = true;
			$start = mktime(0, 0, 0, $month, 1, $year);
			$ende = mktime(0, 0, 0, $month, date('t',$start), $year);
			$beg = $projekt->beginn_ts();
			$end = $projekt->ende_ts();
			if($beg > $start) $start = $beg;
			if($end > 0 && $ende > $end) $ende = $end;
			$abschlag = abschlag_nw($nw[0],$projekt->id,false);
			$ist = $abschlag['ist'];
			$extra = $abschlag['km']>0 ? $abschlag['km'].' x '.geld_form_formular($abschlag['km_satz']) : '';
			$fz = $abschlag['km'] * $abschlag['km_satz'];
			$zwischenFZ += $fz;
			$sumFZ += $fz;
		}
		$zwischenIst += $ist;
		$sumIst += $ist;
		$zwischenRBetrag += $type=='h' ? fround($satz * ($fz+$ist), 2) : fround($satz * $ist + $fz, 2);
		$sumRBetrag += $type=='h' ? fround($satz * ($fz+$ist), 2) : fround($satz * $ist + $fz, 2);
		$zwischenCnt++;
		$cnt++;
		$pdf->Cell(30,5,"$pro[1], $pro[2]");
		$pdf->Cell(25,5,$pro[3],0,0,'R');
		$pdf->Cell(25,5,$projekt->nummer(),0,0,'R');
		$pdf->Cell(15,5,geld_form($satz),0,0,'R');
		$pdf->Cell(15,5,geld_form_formular($soll).' '.$type,0,0,'R');
		$pdf->Cell(20,5,geld_form(fround($satz * $soll, 2)),0,0,'R');
		$pdf->Cell(15,5,geld_form_formular($ist).' '.$type,0,0,'R');
		$pdf->Cell(15,5,$extra,0,0,'R');
		$pdf->Cell(21,5,geld_form($type=='h' ? fround($satz * ($fz+$ist), 2) : fround($satz * $ist + $fz, 2)),0,0,'R');
		$pdf->Ln(4);
		$pdf->Cell(80,5,$pro[5],0,0,'R');
		$pdf->Ln(0);
		$sql = "select DATE_FORMAT(and_datum,'%e.%c.%y'), hp_st, kontakt, kontakt_fz from tb_hp where proj_id = '$projekt->id' 
				and hp_art in ('h','h2','s') and prognose = 'n' and and_datum <= '$rvar_ab_monat' and unix_timestamp(and_datum) > 0
				order by and_datum desc limit 1";
		$hp = abfrage($sql);
		$kls = $lastHP = 0;
		$txt = '';
		if($hp[1] > 0) {
			$kls = fls_form(($hp[2]=='j') ? ($hp[1] - $hp[3]) : $hp[1]);
			$txt = "ab $hp[0] KLS $kls";
		}
		$sql = "select DATE_FORMAT(and_datum,'%e.%c.%y'), hp_st, kontakt, kontakt_fz, unix_timestamp(and_datum) 
				from tb_hp where proj_id = '$projekt->id' 
				and hp_art in ('h','h2','s') and prognose = 'n' 
				and unix_timestamp(and_datum) > '$von_ts' and unix_timestamp(and_datum) <= '$bis_ts'
				order by and_datum asc";
		$hps = abfrage1($sql);
		while($hp = mysql_fetch_row($hps)) {
			if($kls !== fls_form(($hp[2]=='j') ? ($hp[1] - $hp[3]) : $hp[1])) {
				$kls = fls_form(($hp[2]=='j') ? ($hp[1] - $hp[3]) : $hp[1]);
				if(strlen($txt) > 0) $txt .= ', ';
				$txt .= "ab $hp[0] KLS $kls";
				$lastHP = $hp[4];
			}
		}
		$y = $pdf->GetY();
		$pdf->MultiCell(100,5,$txt,'','L');
		$Y = $pdf->GetY();
		$pdf->SetXY(125,$y);
		$kmg = $projekt->kilometergeld($rvar_ab_monat);
		if($kmg[0] == 'j') {
			$km = abfrage("SELECT sum( km_abw_ja ) FROM tb_ab_zk WHERE ab_monat = '$rvar_ab_monat' AND proj_id = '$projekt->id' AND km_abw_ja > 0;");
		} elseif($kmg[0] == 'o') {
			$km = abfrage("SELECT sum( km_dienst ) + sum( km_privat ) FROM tb_ab_zk WHERE ab_monat = '$rvar_ab_monat' AND proj_id = '$projekt->id';");
		} else $km[0] = 0;
		$fahrtkosten = ($km[0] * $kmg[1])/100;
		$pdf->Cell(55,5,($km[0] > 0) ? "Abgerechnete Fahrten: ".km_form($km[0])."  ".($kmg[1]/100)." = ".geld_form($fahrtkosten) : '');
		$pdf->SetFont('arial','b',7);
		$pdf->Cell(21,5,geld_form($fahrtkosten + fround($type=='h' ? ($satz * ($fz+$ist)) : ($satz * $ist + $fz), 2)),0,0,'R');
		$pdf->SetFont('arial','',7);
		$zwischenRBetrag += $fahrtkosten;
		$sumRBetrag += $fahrtkosten;
		$pdf->SetXY(20,$Y+0.5);
		$pdf->Cell(181,0.5,'','T',1);
		$pdf->SetFont('arial','b',9);
		if($projekt->ende_ts() < $bis_ts && $projekt->ende_ts() > 0) $pdf->RotatedText(18,$Y-1,"Ende",90);
		elseif($projekt->beginn_ts() >= $von_ts) $pdf->RotatedText(18,$Y-2,"neu",90);
		elseif($lastHP <= $bis_ts && $lastHP >= $von_ts) $pdf->RotatedText(18,$Y-0.5,"ndg.",90);
		$pdf->SetFont('arial','',7);
		if($Y >= 245) {
			$pdf->AddPage();
			$printheader = true;
		}
	}
  }
  if($cnt && $abschlagorder==0) {
	$ja = abfrage("select name2 from tb_kontakte where kont_id='$lastTraeger'");
	$pdf->Cell(95,5,"Zwischensumme $ja[0]",'TLB');
	$pdf->Cell(15,5,geld_form_formular($zwischenSoll).' '.$type,'TB',0,'R');
	$pdf->Cell(20,5,geld_form($zwischenABetrag),'TB',0,'R');
	$pdf->Cell(15,5,geld_form_formular($zwischenIst).' '.$type,'TB',0,'R');
	$pdf->Cell(15,5,$type=='d' ? geld_form($zwischenFZ) : fls_form($zwischenFZ),'TB',0,'R');
	$pdf->Cell(21,5,geld_form($zwischenRBetrag),'TRB',0,'R');
	$pdf->Ln(6);
  }
  if($cnt) {
	$pdf->SetX(20);
	$y = $pdf->GetY();
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(95,5,$dat[0],'TL',0,'L',1);
	$pdf->SetFont('arial','b',6);
	$pdf->Cell(35,2.5,"Abschlags-Soll",'T',2,'C',1);			
	$pdf->Cell(15,2.5,$klshead[$type],'',0,'R',1);
	$pdf->Cell(20,2.5,"Betrag ",'',0,'R',1);
	$pdf->SetXY(150,$y);
	$pdf->Cell(51,2.5,"Abrechnungs-Ist",'TR',2,'C',1);
	$pdf->Cell(15,2.5,$klshead[$type],'',0,'R',1);
	$pdf->Cell(15,2.5,$type=='d' ? 'Essen ' : "FZ  ",'',0,'R',1);
	$pdf->Cell(21,2.5,"Betrag ",'R',1,'R',1);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(95,5,"Gesamtsumme ".$satzhead[$type]."-Projekte",'LB');
	$pdf->SetFont('arial','b',7);
	$pdf->Cell(15,5,geld_form_formular($sumSoll).' '.$type,'B',0,'R');
	$pdf->Cell(20,5,geld_form($sumABetrag),'B',0,'R');
	$gesamtABetrag += $sumABetrag;
	$pdf->Cell(15,5,geld_form_formular($sumIst).' '.$type,'B',0,'R');
	$pdf->Cell(15,5,$type=='d' ? ($sumFZ ? geld_form($sumFZ) : '') : fls_form($sumFZ),'B',0,'R');
	$pdf->Cell(21,5,geld_form($sumRBetrag),'RB',1,'R');
	$gesamtRBetrag += $sumRBetrag;
  }
}

$pdf->SetFont('arial','b',10);
$pdf->Ln(1);
$pdf->Cell(95,5,"Rechnungssumme",'TLB');
$pdf->SetFont('arial','b',8);
$pdf->Cell(35,5,geld_form($gesamtABetrag),'TB',0,'R');
$pdf->Cell(51,5,geld_form($gesamtRBetrag),'TRB',1,'R');

$pdf->Output();
exit;
?>