<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: agsv_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();
 
 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");

 setlocale(LC_TIME, "de_DE@euro", "de_DE", "german", "deu_deu", "deu", "de", "de_AT", "de_DE.UTF-8", "de_AT.utf8");

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

if (!($_SESSION[$AppCode]["ULV"] >= 97 || check_nutzer_rechte(46))) exit;

$abt = (isset($_GET['abt'])) ? $_GET['abt'] : "";
$traeger = (isset($_GET['traeger'])) ? $_GET['traeger'] : 0;

$pdf=new PDF('l','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);
$pdf->SetFillColor(255,255,255);

$footer = "Arbeitgeber-SV";

$y_axis = 40;
$rh = 4.5;
$sumAZK = 0;
$durchschnPK = 0;
$sumPK = 0;
$sumPKpositiv = 0;
$i = 0;

$nw_id = abfrage("select nachw_id from tb_ab_nachw where datum = '{$_GET['ab_monat']}';");

$sql  = "select p.name, v.*, x.azk_std, p.vml, p.azk from tb_personal p ";
$sql .= "left join tbh_pers_abt a on a.pers_id = p.pers_id ";
$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
$sql .= "left join tb_agsv v on v.pers_id = p.pers_id ";
$sql .= "left join tb_x_azk_pers x on (x.pers_id = p.pers_id and x.nachw_id = '$nw_id[0]') ";
$sql .= "where v.ab_monat = '{$_GET['ab_monat']}' ";
$sql .= "and if(p.anstellung is null or p.anstellung='0000-00-00' , ";
$sql .= "(p.eintritt < DATE_ADD('".$_GET['ab_monat']."', INTERVAL 1 MONTH) or p.eintritt is null or p.eintritt='0000-00-00'), ";
$sql .= "(p.anstellung < DATE_ADD('".$_GET['ab_monat']."', INTERVAL 1 MONTH) or p.anstellung is null or p.anstellung='0000-00-00')) ";
$sql .= "and (p.austritt>'".$_GET['ab_monat']."' or p.austritt is null or p.austritt='0000-00-00') ";
if (!empty($abt)) {
	$sql .= "and (a.abt_id = $abt ";
	$sql .= "or l.abt_id = $abt) ";
} else if(!empty($traeger)) {
	$sql .= "and p.standard_traeger_art_id = '$traeger' ";
}
$sql .= "group by p.pers_id order by p.personalnr asc;";

$res = mysql_query($sql) or die(mysql_error());
$pdf->SetFont('arial','',8);
$pdf->SetDrawColor(0,0,0);
list($jahr, $monat, $tag) = explode("-", $_GET['ab_monat']);
$date = strftime("%B %Y", mktime(0,0,0,$monat,$tag,$jahr));
if (!empty($abt)) {
	$ab = abfrage("SELECT name FROM tb_personal_abt WHERE abt_id='$abt'");
	$txt = $ab[0];
} else $txt='';
$sum_pers_zw = $sum_zw = $sum_pers_pk = $sum_pk = $sum_pers_sum = $sum_sum = 0.0;
while ($kk = mysql_fetch_array($res)){
	if($i==0 || $y_axis > 175) {
		$pdf->AddPage();
		$pdf->SetFont('arialb','',10);
		$pdf->Text(15,7,$date);
		$pdf->Text(50,7, $txt,0,0,'C');
		$pdf->SetFont('stw','',20);
		$pdf->Text(100,10,$footer);
		if($_SESSION[$AppCode]['azk_in_agsv']) $pdf->Text(230,10,"AZK-Kosten");
		$pdf->SetFont('arialb','',10);
		$y_axis = 23;
		$pdf->SetXY(15,$y_axis);
		$pdf->Cell(30,8, 'Name','TL',0,'C',0);
		$pdf->Cell(15,8, 'Anst.','T',0,'C',0);
		$pdf->Cell(15,8, 'KK','T',0,'C',0);
		$pdf->Cell(15,8, 'KV','T',0,'C',0);
		$pdf->Cell(15,8, 'RV','T',0,'C',0);
		$pdf->Cell(15,8, 'AV','T',0,'C',0);
		$pdf->Cell(15,8, 'PV','T',0,'C',0);
		$pdf->Cell(15,8, 'IG','T',0,'C',0);
		$pdf->Cell(15,8, 'U1','T',0,'C',0);
		$pdf->Cell(15,8, 'U2','T',0,'C',0);
		$pdf->Cell(15,4, 'Zwischen-','T',0,'C',0);
		$pdf->Cell(15,8, 'PK%','T',0,'C',0);
		$pdf->Cell(15,8, 'Summe','TR',0,'C',0);
		if($_SESSION[$AppCode]['azk_in_agsv']) {
			$pdf->Cell(5,8, '','',0,'C',0);
			$pdf->Cell(15,4, 'AZK-','TL',0,'C',0);
			$pdf->Cell(15,4, '* PK  ','T',0,'C',0);
			$pdf->Cell(20,4, 'AZK','TR',0,'C',0);
			$pdf->SetFont('arial','',6);
			$pdf->SetXY(100,190);
			$pdf->Cell(5,3,"StSVBrVS",0,0,'R');
			$pdf->Cell(4,3,"=",0,0,'C');
			$pdf->Cell(100,3,"Grundgehalt + (Kinder * Kinderzuschlag) + Zulage/Anst + VmL + 80 ( = max.PK)");
			$pdf->SetXY(100,195);
			$pdf->Cell(5,3,'* PK','B',0,'R');
			$pdf->SetXY(100,198);
			$pdf->Cell(5,3,'St','T',0,'C');
			$pdf->SetXY(105,195);
			$pdf->SetFont('arial','',10);
			$pdf->Cell(4,6,'=',0,0,'C');
			$pdf->SetFont('arial','',6);
			$pdf->Cell(50,3,'(StSVBrVS + (StSVBrVS/12)) * (1+Zwischensumme)','B',0,'C');
			$pdf->SetXY(109,198);
			$pdf->Cell(50,3,'143.33 ( = Durchschnittsmonatsstunden)','T',0,'C');
			$pdf->SetFont('arialb','',10);
		}
		$y_axis += 4;
		$pdf->SetXY(15,$y_axis);
		$pdf->Cell(30,0, '','L',0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,4, 'Summe',0,0,'C',0);
		$pdf->Cell(15,0, '',0,0,'C',0);
		$pdf->Cell(15,0, '','R',0,'C',0);
		if($_SESSION[$AppCode]['azk_in_agsv']) {
			$pdf->Cell(5,0, '','',0,'C',0);
			$pdf->Cell(15,4, 'Stand','L',0,'C',0);
			$pdf->Cell(15,4, 'pro St','',0,'C',0);
			$pdf->Cell(20,4, 'ges PK','R',0,'C',0);
		}
		$y_axis += 4;
		$pdf->SetXY(15,$y_axis);
		$pdf->SetFont('arial','',8);
	}
	$i++;
	$fill = 0;

	$sql  = "select anst from tb_paz where pers_id ='$kk[1]' ";
	$sql .= "and von <= '{$_GET['ab_monat']}' order by von desc limit 1;";
	$anst = abfrage($sql);
	if(empty($anst[0])) $anst[0] = '0.00';

	$sum = $kk[4]+$kk[5]+$kk[6]+$kk[7]+$kk[8]+$kk[9]+$kk[10];
	$pdf->Cell(30,$rh, $kk[0],'TLB',0,'L',0);
	$pdf->Cell(15,$rh, "$anst[0] %",'TRB',0,'R',0);
	$pdf->Cell(15,$rh, $kk[3],'TRB',0,'L',0);
	$pdf->Cell(15,$rh, $kk[4]>0 ? $kk[4].' %' : '','TB',0,'C',0);
	$pdf->Cell(15,$rh, $kk[5]>0 ? $kk[5].' %' : '','TB',0,'C',0);
	$pdf->Cell(15,$rh, $kk[6]>0 ? $kk[6].' %' : '','TB',0,'C',0);
	$pdf->Cell(15,$rh, $kk[7]>0 ? $kk[7].' %' : '','TB',0,'C',0);
	$pdf->Cell(15,$rh, $kk[8]>0 ? $kk[8].' %' : '','TB',0,'C',0);
	$pdf->Cell(15,$rh, $kk[9]>0 ? $kk[9].' %' : '','TB',0,'C',0);
	$pdf->Cell(15,$rh, $kk[10]>0 ? $kk[10].' %' : '',$sum>0 ? 'TRB' : 'TB',0,'C',0);
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(15,$rh, $sum>0 ? $sum.' %' : '', $sum>0 ? 'TRB' : 'TB',0,'C',0);
	if($sum > 0) {
		$sum_zw += $anst[0] * $sum;
		$sum_pers_zw += $anst[0] / 100;
	}
	$pdf->SetFont('arial','',8);
	$pdf->Cell(15,$rh, $kk[11]>0 ? $kk[11].' %' : '',$sum>0 ? 'TRB' : 'TB',0,'C',0);
	if($kk[11]>0) {
		$sum_pk += $anst[0] * $kk[11];
		$sum_pers_pk += $anst[0] / 100;
	}
	$zwischensumme = $sum;
	$sum += $kk[11];
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(15,$rh, $sum>0 ? $sum.' %' : '',  'TRB',0,'C',0);
	if($sum > 0) {
		$sum_sum += $anst[0] * $sum;
		$sum_pers_sum += $anst[0] / 100;
	}
	$pdf->SetFont('arial','',8);

	if($_SESSION[$AppCode]['azk_in_agsv']) {
		$pdf->Cell(5,8, '','',0,'C',0);
		if($kk['azk']=='j') $sumAZK += $kk['azk_std'];
		$pdf->Cell(15,$rh, $kk['azk']=='j' ? $kk['azk_std'] : '','TLB',0,'R',0);
		if(empty($zwischensumme)) $PKproST = "?";
		else {
			$sql  = "select sperre, grund, besitz, sonder_proz, sonder, umwand ";
			$sql .= ", kinder, urlaub, krank, eg, es, kiz, pk, brutto_vs, anst, ";
			$sql .= " brutto_as, brutto_st, sonder, vml ";
			$sql .= "from tb_gehalt ";
			$sql .= "where pers_id = '$kk[1]' and ab_monat = '{$_GET['ab_monat']}'";
			$gehalt = abfrage_assoc($sql);

			if(empty($gehalt['sperre'])) {
				$sql  = "select count(kind_id) from tb_kinder ";
				$sql .= "where pers_id = '$kk[1]' and kigeld = 'j' and kigeld_empf = 'M';";
				$ki = abfrage($sql);
				$gehalt['kinder'] = $ki[0];
			}

			$StSVBrVS = $gehalt['grund'];
			if ($gehalt['kinder'] > 0) $StSVBrVS += ($gehalt['kinder'] * kinderzuschlag($_GET['ab_monat']));
			if($anst[0]!='0.0') $StSVBrVS += (100 * $gehalt['besitz'] / $anst[0]);
			if($kk['vml'] == 'j') $StSVBrVS += getConf('vml');
			$StSVBrVS += 80; //max mgl. PK

			$PKproST = $StSVBrVS + ($StSVBrVS/12);
			$PKproST += ($PKproST * $zwischensumme / 100);
			$PKproST = round($PKproST/143.33, 2);
		}
		$pdf->Cell(15,$rh, $PKproST,'TB',0,'R',0);
		$AZKgesPK = $kk['azk']=='j' ? round($PKproST * $kk['azk_std'], 2) : 0;
		$pdf->Cell(20,$rh, $AZKgesPK,'TRB',1,'R',0);
		$durchschnPK += $PKproST;
		$sumPK += $AZKgesPK;
		if($AZKgesPK > 0) $sumPKpositiv += $AZKgesPK;
	} else $pdf->Ln($rh);
	$y_axis = $y_axis + $rh;
}
$pdf->SetFont('arialb','',9);
$pdf->Cell(160,$rh, '','',0,'C',0);
$pdf->Cell(20,$rh,$sum_pers_zw==0 ? '' : ' '.number_format(($sum_zw/$sum_pers_zw)/100,2,',','').'%',0,0,'R',0);
$pdf->Cell(15,$rh,$sum_pers_pk==0 ? '' : ' '.number_format(($sum_pk/$sum_pers_pk)/100,2,',','').'%',0,0,'R',0);
$pdf->Cell(15,$rh,$sum_pers_sum==0 ? '' : ' '.number_format(($sum_sum/$sum_pers_sum)/100,2,',','').'%',0,0,'R',0);
$pdf->Cell(5,$rh, '','',0,'C',0);
$pdf->SetFont('arialb','',10);
if($_SESSION[$AppCode]['azk_in_agsv']) {
	$pdf->Cell(15,$rh, number_format($sumAZK,2,',',''),'TBL',0,'R',0);
	$pdf->Cell(15,$rh, ' '.number_format($durchschnPK/max($i,1),2,',',''),'TB',0,'R',0);
	$pdf->Cell(20,$rh, number_format($sumPK,2,',',''),'TBR',1,'R',0);
	$pdf->Cell(215,$rh, '','',0,'C',0);
	$pdf->Cell(30,$rh, 'Summe positiv','TBL',0,'C',0);
	$pdf->Cell(20,$rh, number_format($sumPKpositiv,2,',',''),'TBR',1,'R',0);
}
$pdf->Output();
exit;
?>
