<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: anlage_fk_pr.php 2921 2018-12-04 09:17:49Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();
 
 /* Sicherheitslevel der notwendig ist */
 $level = 64;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_4.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");

 setlocale(LC_TIME, "de_DE@euro", "de_DE", "german", "deu_deu", "deu", "de", "de_AT", "de_DE.UTF-8", "de_AT.utf8");

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

if (!($_SESSION[$AppCode]["ULV"] >= 97 || check_nutzer_rechte(46))) exit;

$jahr = isset($_GET['jahr']) ? $_GET['jahr'] : date('Y');
$traeger = (isset($_GET['traeger'])) ? $_GET['traeger'] : 'all';
$az_basis = az_basis("$jahr-01-01");
$vml = getConf('vml');

$pdf=new PDF('p','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true,40);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(20);
$pdf->AddPage();

$anlage_fk = abfrage_array("select * from tb_anlage_fk where jahr='$jahr'");

$pdf->SetFont('Arial','',11);
$sql = "select name, name2, strasse, plz, ort, faxzentral from tb_kontakte where kont_id='{$anlage_fk['kont_id']}'";
$kont = abfrage($sql);
$sql = "select ap_id, anrede, name, fax from tb_kontakte_ap where ap_id='{$anlage_fk['ap_id']}';";
$ap = abfrage($sql);

$pdf->SetXY(20,60);
$pdf->Cell(80,5,$kont[0]);
$pdf->SetXY(20,65);
$pdf->Cell(80,5,$kont[1]);
if($ap[0]) {
	$pdf->SetXY(20,70);
	$pdf->Cell(80,5,"z.H. " . $ap[1] . " " . $ap[2]);
	$pdf->SetXY(20,75);
} else $pdf->SetXY(20,72);
$pdf->Cell(80,5,$kont[2]);
$pdf->SetXY(20,80);
$pdf->Cell(80,5,$kont[3] . " " . $kont[4]);
$pdf->SetXY(20,88);
if(!empty($ap[3])) $pdf->Cell(20,6,"Fax ".$ap[3]);
elseif(!empty($kont[5])) $pdf->Cell(20,6,"Fax ".$kont[5]);

$pers = abfrage("select vorname, name, teldienst from tb_personal where pers_id='{$_SESSION[$AppCode]['UID']}'");
$pdf->SetFont('Arial', '', 8);
$pdf->SetXY(70,109);
$pdf->Cell(50,5,"$pers[0] $pers[1]");
$pdf->Cell(45,5,$pers[2]);
$pdf->Cell(20,5,date('d.m.Y'));

$pdf->SetXY(15,105);
$pdf->SetFont('stw', '', 13);
$pdf->Cell(40,9,' Anlage FK',1);

$pdf->SetY(120);
$pdf->SetFont('Arial', '', 10);
$pdf->MultiCell(180, 5, $anlage_fk['anschreiben'], 0, 'L');

if($pdf->page % 2 == 1) {
	$pdf->AddPage('','',false,true,false);
	$pdf->AddPage('','',false,false,true);
} else $pdf->AddPage();

$sql = "select p.pers_id, p.name, p.vorname, DATE_FORMAT(p.geboren,'%d.%m.%Y'), p.abschluss,
		DATE_FORMAT(p.anstellung,'%d.%m.%Y') as anstellung, p.vml
		from tb_personal p ";
if (substr($traeger,0,3) == 'abt') {
	$sql .= "left join tbh_pers_abt a on a.pers_id = p.pers_id ";
	$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
}
$sql .= "where p.status_id=2 and p.besch_id in (1,4) ";
$sql .= "and if(p.anstellung is null or p.anstellung='0000-00-00' , ";
$sql .= "(p.eintritt < '$jahr-12-31' or p.eintritt is null or p.eintritt='0000-00-00'), ";
$sql .= "(p.anstellung < '$jahr-12-31' or p.anstellung is null or p.anstellung='0000-00-00')) ";
$sql .= "and (p.austritt>'$jahr-01-01' or p.austritt is null or p.austritt='0000-00-00') ";

if (substr($traeger,0,1) != 'a') $sql .= "and p.standard_traeger_art_id = '$traeger' ";
if (substr($traeger,0,3) == 'abt') {
	$sql .= "and (a.abt_id = " . substr($traeger,3) . " ";
	$sql .= "or l.abt_id = " . substr($traeger,3) . ") ";
}
$sql .= "group by p.pers_id order by p.personalnr asc";
$pers=abfrage1($sql);
$doHeader = true;
while($ma = mysql_fetch_row($pers)) {
	if($doHeader || $pdf->GetY() > 255) {
		if($doHeader) $doHeader = false;
		else $pdf->AddPage();
		$pdf->SetFont('stw', '', 13);
		$pdf->MultiCell(180, 5, "ACHTUNG: Aus Datenschutzgrnden ist diese Liste gesondert von anderen personenbezogenen Daten der angegebenen Mitarbeiter aufzubewahren.");
		$pdf->Ln(7);
		$pdf->SetFont('Arial', 'B', 10);
		$pdf->Cell(30,5,'Personalnr.');
		$pdf->Cell(45,5,'Name');
		$pdf->Cell(45,5,'Vorname');
		$pdf->Cell(45,5,'Geburtsdatum',0,1);
		$pdf->Cell(165,1,'','T',1);
		$pdf->SetFont('Arial', '', 10);
	}
	$pdf->Cell(30,5,pers_nummer($ma[0]));
	$pdf->Cell(45,5,$ma[1]);
	$pdf->Cell(45,5,$ma[2]);
	$pdf->Cell(45,5,$ma[3]=='00.00.0000' ? '' : $ma[3],0,1);
}

$berufsgenossenschaft = intval(getConf('AnlageFK'));
$gefahrenklasse = getConf('AnlageFK_gefahrenklasse');
$beitragsfuss = getConf('AnlageFK_beitragsfuss');
$ausgleichsumlage = getConf('AnlageFK_ausgleichsumlage');

mysql_data_seek($pers, 0);
while($ma = mysql_fetch_array($pers)) {
	if($pdf->page % 2 == 1) {
		$pdf->AddPage('','',false,true,false);
		$pdf->AddPage('','',false,false,true);
	} else $pdf->AddPage();

	$pdf->SetFont('stw', '', 13);
	$pdf->Cell(65,9,' Anlage FK     '.pers_nummer($ma[0]),1,1);
	$pdf->Ln(5);
	$pdf->SetFont('Arial', 'B', 12);
	$pdf->Cell(10,5,'1.');
	$pdf->Cell(40,5,'Anlagen zur Fachkraft',0,1);
	$pdf->Ln(1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,5,'1.1','TL');
	$pdf->Cell(170,5,'Angaben zur Person','TR',1);
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(180,5,'ACHTUNG: Aus Datenschutzgrnden sind diese Daten gesondert von Informationen','RL',1);
	$pdf->Cell(180,5,'aufzubewahren, die Personalnummern mit Mitarbeiterdaten in Verbindung setzen.','RL',1);
	$pdf->Cell(180,2,'','LR',1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,5,'1.2','L');
	$pdf->Cell(170,5,'Ausbildung','R',1);
	$pdf->Cell(2,5,'','L');
	$pdf->SetFont('stw', '', 18);
	$pdf->Cell(5,5,empty($ma['abschluss']) ? '' : 'x',1,0,'C');
	$pdf->Cell(3,5,'');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(170,5,'o.g. Person hat folgenden sozialpdagogischen Abschluss','R',1);
	if(!empty($ma['abschluss'])) $pdf->MultiCell(180, 5, $ma['abschluss'], 'LR', 'L');
	$pdf->Cell(180,2,'','LR',1);
	$pdf->Cell(2,5,'','L');
	$awbs=abfrage1("select a.kont_id, k.name, f.titel from tb_awb a 
					left join tb_awb_kat k using(awb_kat_id) 
					left join tb_fehlz f using(fehlz_id)
					left join tb_termine t using(termin_id)
					where a.pers_id='$ma[0]' and a.za=1 and year(t.bis) >= $jahr
					order by t.von asc");
	$pdf->SetFont('stw', '', 18);
	$pdf->Cell(5,5,mysql_num_rows($awbs)==0 ? '' : 'x',1,0,'C');
	$pdf->Cell(3,5,'');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(170,5,'o.g. Person befindet sich derzeit in Berufsgegleitender Ausbildung','R',1);
	while($awb = mysql_fetch_array($awbs)) {
		$schule = '';
		if(is_numeric($awb['kont_id'])) {
			$kont = abfrage("select kont_id, name, name2 from tb_kontakte where kont_id='".$awb['kont_id']."' and kh_id='0'");
			if(!empty($kont[0])) {
				$schule = empty($kont[1]) ? $kont[2] : $kont[1];
				if(!empty($kont[1]) && !empty($kont[2])) $schule .= ", $kont[2]";
			}
		} else $schule = $awb['kont_id'];
		$pdf->MultiCell(180, 5, $awb['name'] . ': ' . $awb['titel'] . " ($schule)", 'LR', 'L');
	}
	$pdf->Cell(180,2,'','LR',1);
	$pdf->Cell(2,5,'','L');
	$pdf->Cell(5,5,'',1,0,'C');
	$pdf->Cell(3,5,'');
	$pdf->Cell(170,5,'o.g. Person hat eine fr diese Manahme relevante Ausbildung','R',1);
	$pdf->Cell(180,2,'','LR',1);
	$pdf->Cell(2,5,'','L');
	$pdf->Cell(5,5,'',1,0,'C');
	$pdf->Cell(3,5,'');
	$pdf->Cell(170,5,'o.g. Person hat sonstige fr das Projekt relevante Zusatzqualifikationen','R',1);
	$pdf->Cell(180,2,'','LRB',1);

	$pdf->Ln(5);
	$pdf->SetFont('Arial', 'B', 12);
	$pdf->Cell(10,5,'2.');
	$pdf->Cell(40,5,'Ttigkeitsbeschreibung',0,1);
	$pdf->Ln(1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,5,'2.1');
	$pdf->Cell(170,5,'Ttigkeit',0,1);
	$pdf->SetFont('Arial', '', 10);
	$sql = "select s.text from tbh_pers_stellenbeschr p
			left join tb_stellenbeschr s on (s.id = p.stellenbeschr_id)
			where s.chk='1' and p.pers_id='$ma[0]'";
	$stbs=abfrage1($sql);
	$i = 1;
	while($stb = mysql_fetch_row($stbs)) {
		$pdf->Cell(5,5,"$i.",0,0,'R');
		$pdf->MultiCell(175,5,$stb[0],0,'L');
		$i++;
	}

	$pdf->Cell(180,2,'',0,1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,5,'2.2');
	$pdf->Cell(170,5,'Fachkenntnisse',0,1);
	$pdf->SetFont('Arial', '', 10);
	$awbs=abfrage1("SELECT a.kont_id, k.name, f.titel FROM tb_awb a 
					LEFT JOIN tb_awb_kat k USING(awb_kat_id) 
					LEFT JOIN tb_fehlz f USING(fehlz_id)
					LEFT JOIN tb_termine t USING(termin_id)
					LEFT JOIN tbh_za z ON f.fehlz_id = z.fehlz_id
					WHERE a.pers_id='$ma[0]' AND z.awb_id IS NULL
					AND a.za=0 AND year(t.bis) < $jahr
					ORDER BY t.von ASC");
	$i = 1;
	while($awb = mysql_fetch_array($awbs)) {
		$pdf->Cell(5,5,"$i.",0,0,'R');
		$schule = '';
		if(is_numeric($awb['kont_id'])) {
			$kont = abfrage("select kont_id, name, name2 from tb_kontakte where kont_id='".$awb['kont_id']."' and kh_id='0'");
			if(!empty($kont[0])) {
				$schule = empty($kont[1]) ? $kont[2] : $kont[1];
				if(!empty($kont[1]) && !empty($kont[2])) $schule .= ", $kont[2]";
			}
		} else $schule = $awb['kont_id'];
		$pdf->MultiCell(175, 5, $awb['name'] . ': ' . $awb['titel'] . " ($schule)", 0, 'L');
		$i++;
	}

	$pdf->Cell(180,2,'',0,1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,5,'2.3');
	$pdf->Cell(170,5,'Sonstige Anforderungen',0,1);

	$pdf->Ln(5);
	$pdf->SetFont('Arial', 'B', 12);
	$pdf->Cell(10,5,'3.');
	$pdf->Cell(40,5,'Vergtung',0,1);
	$pdf->Ln(1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,5,'3.1','TL',0);
	$pdf->Cell(170,5,'Vergtung nach TVD','TR',1);
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(180,5,'Die gesamte ausgebte Ttigkeit ist bewertet nach der Entgeltgruppe ________ TVD','BRL',1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,5,'3.2','LT',0);
	$pdf->Cell(170,5,'Vergtung nach anderem Tarif','RT',1);
	$pdf->SetFont('Arial', '', 10);
	$paz = abfrage("select vg, tvod, anst from tb_paz where (pers_id='$ma[0]' or pers_id='-$ma[0]') and von <= '$jahr-01-01' order by von desc limit 1");
	if(empty($paz[0])) $paz[0] = '________';
	$pdf->Cell(180,5,"Die gesamte auszubende Ttigkeit ist bewertet nach der Entgeltgruppe $paz[0] gem Tarif AVR.",'RL',1);
	if(empty($paz[1])) $paz[1] = '________';
	$pdf->Cell(180,5,"Dies entspricht der Einstufung analog der Entgeltgruppe $paz[1] nach dem TVD.",'RL',1);
	$sql = "select count(kind_id) from tb_kinder 
			where pers_id='$ma[0]' and kigeld = 'j' 
			and kigeld_empf = 'M' and geboren <= '2005-12-31' 
			and geboren IS NOT NULL and geboren != '0000-00-00'";
	$kinder = abfrage($sql);
	if($kinder[0] > 0) {
		$pdf->Cell(180,2,'','RL',1);
		$er = $kinder[0] == 1 ? '' : 'er';
		$s = $kinder[0] == 1 ? 's' : '';
		$sind = $kinder[0] == 1 ? 'ist' : 'sind';
		$pdf->Cell(180,5,"Der o.g. Mitarbeiter hat $kinder[0] Kind$er, welche$s vor dem 31.12.2005 geboren $sind",'RL',1);
	}
	$pdf->Cell(180,5,'','T',1);

	$pdf->SetFont('Arial', 'B', 12);
	$pdf->Cell(10,5,'4.');
	$pdf->Cell(40,5,'Beschftigungs- und Arbeitszeit',0,1);
	$pdf->Ln(1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,5,'4.1','TL');
	$pdf->Cell(170,5,'Dauer der Beschftigung','TR',1);
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(180,1,'','LR',1);
	$pdf->Cell(2,5,'','L');
	$pdf->SetFont('stw', '', 18);
	$pdf->Cell(5,5,'x',1,0,'C');
	$pdf->Cell(3,5,'');
	$pdf->SetFont('Arial', '', 10);
	if(empty($ma['anstellung']) || $ma['anstellung']=='00.00.0000') $ma['anstellung'] = '____________';
	$pdf->Cell(170,5,'o.g. Person ist seit ' . $ma['anstellung'] . ' in der genannten Manahme ttig.','R',1);
	$pdf->Cell(180,1,'','LR',1);
	$pdf->Cell(2,5,'','L');
	$pdf->Cell(5,5,'',1,0,'C');
	$pdf->Cell(3,5,'');
	$pdf->Cell(170,5,'o.g. Person soll ab ____________ in der genannten Manahme ttig sein.','R',1);
	$pdf->Cell(180,1,'','LBR',1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,5,'4.2','LT');
	$pdf->Cell(170,5,'Arbeitsumfang','RT',1);
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(180,1,'','LR',1);
	$pdf->Cell(2,5,'','L');
	$pdf->SetFont('stw', '', 18);
	$pdf->Cell(5,5,'x',1,0,'C');
	$pdf->Cell(3,5,'');
	$pdf->SetFont('Arial', '', 10);
	$proz = (empty($paz[2]) || $paz[2]=='0.00') ? '________' : proz_form($paz[2]);
	$stud = ($proz=='________') ? '_____' : fls_form($az_basis * ($paz[2] / 100));
	$pdf->Cell(170,5,"o.g. Person ist zu $proz (das entspricht $stud pro Woche) in der genannten Manahme beschftigt.",'R',1);
	$pdf->Cell(180,1,'','LBR',1);

	$pdf->AddPage('L');
	$pdf->SetFont('Arial', 'B', 12);
	$pdf->Cell(10,5,'5.');
	$pdf->Cell(40,5,'Personalkostenberechnung',0,1);
	$pdf->SetXY(15,30);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(55,5,'Personalkostenabrechnung','RTL',2);
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(55,5,'Entgeltgruppe','RL',2);
	$pdf->Cell(55,5,'Stufe','RBL',2);
	$pdf->Ln(1);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(55,5,'monatliche Bruttovergtung','RTL',2);
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(55,5,'Entgelt','RL',2);
	$sql  = "select count(kind_id) as kinder from tb_kinder ";
	$sql .= "where pers_id = '$ma[0]' ";
	$sql .= "and geboren < '$jahr-01-01' ";
	$sql .= "and kigeld = 'j' and kigeld_empf = 'M';";
	$kids = abfrage($sql);
	$kk = abfrage_array("select * from tb_agsv where pers_id='$ma[0]' and ab_monat='$jahr-01-01'");
	$pdf->Cell(55,5,"Kinderzulage fr $kids[0] Kinder",'RL',2);
	$pdf->Cell(55,5,'Zulage','RL',2);
	$pdf->Cell(55,5,'vermgenswirksame Leistungen','RL',2);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(55,5,'Gesamt','RBL',2);
	$pdf->Cell(55,5,'Arbeitgeberanteile (' . $kk['kkname'] . ')','RTL',2);
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(55,5,'Pflegeversicherung (' . proz_form($kk['pv']) . ')','RL',2);
	$pdf->Cell(55,5,'Rentenversicherung (' . proz_form($kk['rv']) . ')','RL',2);
	$pdf->Cell(55,5,'Arbeitslosenversicherung (' . proz_form($kk['av']) . ')','RL',2);
	$pdf->Cell(55,5,'Insolvenzgeldumlage (' . proz_form($kk['iu']) . ')','RL',2);
	$pdf->Cell(55,5,'Krankenversicherung (' . proz_form($kk['kv']) . ')','RL',2);
	$pdf->Cell(55,5,'U1 + U2 (' . proz_form($kk['u1'] + $kk['u2']) . ')','RL',2);
	$pdf->Cell(55,5,'Pensionskasse (ZVK)',1,2);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(55,5,'Monatlicher Gesamtaufwand',1,2);
	$vm = 0;
	$x = 70;
	$xmas = $xmas100 = $sumJahr100 = $sumJahrPers = $sumJahr100oAG = $sumJahrPersoAG = $weihnachtsgeld100 = $weihnachtsgeldPers = 0;
	for($m=1;$m<=12;$m++) {
		$ts = mktime(0,0,0,$m,1,$jahr);
		$date = date('Y-m-d',$ts);
		$sql  = "select grund, besitz, sonder_proz, sonder, umwand, ";
		$sql .= "zulage1, zulage2, zulage3 from tb_gehalt ";
		$sql .= "where pers_id = '{$ma['pers_id']}' and ab_monat = '$date'";
		$gehalt = abfrage_array($sql);
		$kinderzus = kinderzuschlag($date);
		$pens = pers_pension($ma['pers_id'], $date);
		$kk = abfrage_array("select * from tb_agsv where pers_id='$ma[0]' and ab_monat='$date'");
		$paz = abfrage_array("select vg, las, anst from tb_paz where (pers_id='$ma[0]' or pers_id='-$ma[0]') and von <= '$date' order by von desc limit 1");

		$sum100 = $gehalt['grund'] + $gehalt['besitz'];
		if($kids[0] > 0) $sum100 += $kids[0] * $kinderzus;
		$xmas100 += $sum100;
		if($paz[2] == '100.00') $xmas += $sum100;
		if($ma['vml']=='j') $sum100 += $vml;
		if($paz[2] == '100.00') $sumJahrPersoAG += $sum100;
		$sumJahr100oAG += $sum100;
		$sum100 += ($kk['kv']+$kk['u1']+$kk['u2']+$kk['pv']+$kk['rv']+$kk['av']+$kk['iu']) * $sum100 / 100;
		$sum100 += $pens[0];
		$sumJahr100 += $sum100;

		if($paz[2] == '100.00') $sumPers = $sum100;
		else {
			$sumPers = $paz['anst'] * $gehalt['grund']/100 + $gehalt['besitz'];
			if($kids[0] > 0) $sumPers += $kids[0] * $kinderzus * $paz['anst'] / 100;
			$xmas += $sumPers;
			if($ma['vml']=='j') $sumPers += $paz['anst'] * $vml / 100;
			$sumJahrPersoAG += $sumPers;
			$sumPers += ($kk['kv']+$kk['u1']+$kk['u2']+$kk['pv']+$kk['rv']+$kk['av']+$kk['iu']) * $sumPers / 100;
			$sumPers += $pens[0];
		}
		$sumJahrPers += $sumPers;

		if($vm != $sumPers) {
			$datum = strftime("%B %Y", $ts);
			$pdf->SetXY($x,30);
			$pdf->SetFont('Arial', 'B', 10);
			$pdf->Cell(54,5,"ab $datum",'RTL',2,'C');
			$pdf->SetFont('Arial', '', 10);
			$pdf->Cell(54,5,$paz[0],'RL',2,'C');
			$pdf->Cell(54,5,$paz[1],'RBL',2,'C');
			$pdf->Cell(54,1,'',0,2);


			$w = ($paz[2] != '100.00') ? 27 : 54;
			$sum100 = 0;
			$pdf->SetFont('Arial', 'B', 10);
			$pdf->Cell($w,5,'100%','RTL',2,'R');
			$pdf->SetFont('Arial', '', 10);
			$pdf->Cell($w,5,geld_form($gehalt['grund']),'RL',2,'R');
			$sum100 += $gehalt['grund'];
			$pdf->Cell($w,5,$kids[0] > 0 ? geld_form($kids[0] * $kinderzus) : '','RL',2,'R');
			if($kids[0] > 0) $sum100 += $kids[0] * $kinderzus;
			$pdf->Cell($w,5,$gehalt['besitz'] > 0 ? geld_form($gehalt['besitz']) : '','RL',2,'R');
			$sum100 += $gehalt['besitz'];
			$pdf->Cell($w,5,$ma['vml']=='j' ? geld_form($vml) : '','RL',2,'R');
			if($ma['vml']=='j') $sum100 += $vml;
			$pdf->SetFont('Arial', 'B', 10);
			$pdf->Cell($w,5,geld_form($sum100),'RBL',2,'R');
			$pdf->SetFont('Arial', '', 10);
			$pdf->Cell($w,5,'','RTL',2,'R');
			$pdf->Cell($w,5,geld_form($kk['pv'] * $sum100 / 100),'RL',2,'R');
			$pdf->Cell($w,5,geld_form($kk['rv'] * $sum100 / 100),'RL',2,'R');
			$pdf->Cell($w,5,geld_form($kk['av'] * $sum100 / 100),'RL',2,'R');
			$pdf->Cell($w,5,geld_form($kk['iu'] * $sum100 / 100),'RL',2,'R');
			$pdf->Cell($w,5,geld_form($kk['kv'] * $sum100 / 100),'RL',2,'R');
			$pdf->Cell($w,5,geld_form(($kk['u1']+$kk['u2']) * $sum100 / 100),'RL',2,'R');
			$pdf->Cell($w,5,$pens[0] <> 0 ? geld_form($pens[0]) : '',1,2,'R');
			$sum100 += ($kk['kv']+$kk['u1']+$kk['u2']+$kk['pv']+$kk['rv']+$kk['av']+$kk['iu']) * $sum100 / 100;
			$sum100 += $pens[0];
			$pdf->SetFont('Arial', 'B', 10);
			$pdf->Cell($w,5,geld_form($sum100),1,2,'R');

			if($w == 27) {
				$sumPers = 0;
				$pdf->SetXY($x+27,46);
				$pdf->Cell($w,5,proz_form($paz[2]),'RTL',2,'R');
				$pdf->SetFont('Arial', '', 10);
				$pdf->Cell($w,5,geld_form($paz['anst'] * $gehalt['grund']/100),'RL',2,'R');
				$sumPers += $paz['anst'] * $gehalt['grund']/100;
				$pdf->Cell($w,5,$kids[0] > 0 ? geld_form($kids[0] * $kinderzus * $paz['anst'] / 100) : '','RL',2,'R');
				if($kids[0] > 0) $sumPers += $kids[0] * $kinderzus * $paz['anst'] / 100;
				$pdf->Cell($w,5,$gehalt['besitz']>0 ? geld_form($gehalt['besitz']) : '','RL',2,'R');
				$sumPers += $gehalt['besitz'];
				$pdf->Cell($w,5,$ma['vml']=='j' ? geld_form($paz['anst'] * $vml / 100) : '','RL',2,'R');
				if($ma['vml']=='j') $sumPers += $paz['anst'] * $vml / 100;
				$pdf->SetFont('Arial', 'B', 10);
				$pdf->Cell($w,5,geld_form($sumPers),'RBL',2,'R');
				$pdf->SetFont('Arial', '', 10);
				$pdf->Cell($w,5,'','RTL',2,'R');
				$pdf->Cell($w,5,geld_form($kk['pv'] * $sumPers / 100),'RL',2,'R');
				$pdf->Cell($w,5,geld_form($kk['rv'] * $sumPers / 100),'RL',2,'R');
				$pdf->Cell($w,5,geld_form($kk['av'] * $sumPers / 100),'RL',2,'R');
				$pdf->Cell($w,5,geld_form($kk['iu'] * $sumPers / 100),'RL',2,'R');
				$pdf->Cell($w,5,geld_form($kk['kv'] * $sumPers / 100),'RL',2,'R');
				$pdf->Cell($w,5,geld_form(($kk['u1']+$kk['u2']) * $sumPers / 100),'RL',2,'R');
				$pdf->Cell($w,5,$pens[0] <> 0 ? geld_form($pens[0]) : '',1,2,'R');
				$sumPers += ($kk['kv']+$kk['u1']+$kk['u2']+$kk['pv']+$kk['rv']+$kk['av']+$kk['iu']) * $sumPers / 100;
				$sumPers += $pens[0];
				$pdf->SetFont('Arial', 'B', 10);
				$pdf->Cell($w,5,geld_form($sumPers),1,2,'R');
			}
			$x += 54;
		}
		$vm = $sumPers;
		if($m == 10) {
			$weihnachtsgeld100 = $xmas100 / 10;
			$weihnachtsgeldPers = $xmas / 10;
		}
	}
	$pdf->Ln(1);
	$pdf->Cell(55,5,'Jahresbruttovergtung','LT');
	$pdf->Cell($sumJahrPers == $sumJahr100 ? 54 : 27,5,geld_form($sumJahr100),'T',0,'R');
	if($sumJahrPers != $sumJahr100) $pdf->Cell(27,5,geld_form($sumJahrPers),'T',0,'R');
	$pdf->Cell(124-123.99,5,'','RT',1);
	$pdf->Cell(55,5,'Jahressonderzahlungen','L');
	$pdf->Cell($sumJahrPers == $sumJahr100 ? 54 : 27,5,geld_form($weihnachtsgeld100),'',0,'R');
	if($sumJahrPers != $sumJahr100) $pdf->Cell(27,5,geld_form($weihnachtsgeldPers),'',0,'R');
	$sumJahr100 += $weihnachtsgeld100;
	$sumJahr100oAG += $weihnachtsgeld100;
	$sumJahrPers += $weihnachtsgeldPers;
	$sumJahrPersoAG += $weihnachtsgeldPers;
	if($berufsgenossenschaft) {
		$pdf->Cell(124-123.99,5,'','R',1);
		$genossenschaft100 = ($sumJahr100oAG * $gefahrenklasse * $beitragsfuss) / 1000 + ($sumJahr100oAG * $ausgleichsumlage) / 1000;
		$genossenschaftPers = ($sumJahrPersoAG * $gefahrenklasse * $beitragsfuss) / 1000 + ($sumJahrPersoAG * $ausgleichsumlage) / 1000;
		$pdf->Cell(55,5,'Berufsgenossenschaft','L');
		$pdf->Cell($sumJahrPers == $sumJahr100 ? 54 : 27,5,geld_form($genossenschaft100),'',0,'R');
		if($sumJahrPers != $sumJahr100) $pdf->Cell(27,5,geld_form($genossenschaftPers),'',0,'R');
		$sumJahr100 += $genossenschaft100;
		$sumJahrPers += $genossenschaftPers;
	}
	$X = $pdf->GetX();
	$Y = $pdf->GetY();
	$pdf->Cell(124-123.99,5,'','R',1);
	$pdf->Cell(55,5,'jhrlicher Gesamtaufwand','L');
	$pdf->Cell($sumJahrPers == $sumJahr100 ? 54 : 27,5,geld_form($sumJahr100),0,0,'R');
	if($sumJahrPers != $sumJahr100) $pdf->Cell(27,5,geld_form($sumJahrPers),1,0,'R');
	$pdf->Cell(124-123.99,5,'','R',1);
	$pdf->Cell(124-14.99,1,'','RBL',1);

	if($berufsgenossenschaft) {
		$pdf->SetXY($X+2,$Y-1);
		$pdf->SetFont('Arial', '', 6);
		$pdf->Cell(50,3,'Entgelt x '.geld_form_formular($gefahrenklasse).' (Gefahrenklasse) x '.geld_form_formular($beitragsfuss).' (Beitragsfu)','B',0,'C');
		if($ausgleichsumlage > 0.00) {
			$pdf->Cell(3,6,'+','',0,'C');
			$pdf->Cell(15,3,'Entgelt x '.geld_form_formular($ausgleichsumlage),'B',0,'C');
			$pdf->Cell(20,5,'(Ausgleichsumlage)','',0,'C');
		}
		$pdf->SetXY($X+2,$Y+2);
		$pdf->Cell(50,3,'1000','',0,'C');
		if($ausgleichsumlage > 0.00) {
			$pdf->Cell(3,3,'','',0,'C');
			$pdf->Cell(15,3,'1000','',0,'C');
		}
	}
}
$pdf->Output();
exit;
?>
