<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: auf.inc.php 2914 2018-11-24 18:38:25Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 2;

if(!isset($sort)) $sort = empty($_GET['sort']) ? 'termin' : $_GET['sort'];
if(!isset($anz)) $anz = empty($_GET['anz']) ? 'w1' : $_GET['anz'];
if(!isset($aut)) $aut = (empty($_GET['aut'])) ? getPersEinst($uid, "orga_aufgaben_autor", 'all') : $_GET['aut'];
if(!isset($zust)) $zust = empty($_GET['zust']) ? 'all' : $_GET['zust'];
if(!isset($abt)) $abt = empty($_GET['abt']) ? 'all' : $_GET['abt'];
if(!isset($sql_beg)) {
	if(empty($_GET['tag'])){
		$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
	} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
		$anz = 'j';
		$tag = mktime(0,0,0,1,1,$_GET['tag']);
	} elseif($_GET['tag'] == '0000-00-00'){
		$tag = 0;
	} else {
		$tag =  date_isodate_stamp($_GET['tag']);
	}
	switch ($anz){
		case 'w1':
		case 'w2':
			$wtag = date('w', $tag);

			if ($wtag == 0){
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
			} else {
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
			}
			$sql_end = $sql_beg + (14 * 86400);
			break;
		case 'm':
			$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
			$sql_end = mktime(0,0,0,date('n', $tag), date('t', $tag), date('Y', $tag));
			break;
		case 'j':
			$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
			$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
			break;
		case 't';
			$sql_beg = $tag;
			$sql_end = $tag + (14*86400);
			break;
	}
}

switch ($sort){
	case 'prio':
		$order = 't2.prio desc, termin asc';
		break;
	case 'termin':
		$order = 't1.termin asc';
		break;
	case 'erst':
		$order = 't1.eingabe asc';
		break;
	case 'pers':
		if($pers_order == 2) $order = 't4.name asc, t4.vorname asc';
		else $order = 't4.vorname asc, t4.name asc';
		break;
	case 'aut':
		if($pers_order == 2) $order = 't5.name asc, t5.vorname asc';
		else $order = 't5.vorname asc, t5.name asc';
		break;
	case 'titel':
		$order = 't1.titel asc';
		break;
	case 'erl':
		$order = 't1.erledigt desc, t1.erl_datum desc';
		break;
	case 'erld':
		$order = 't1.erl_datum desc';
		break;
	case 'nr':
		$order = 'nr_sort asc, t1.nr asc';
		break;
	case 'abt':
		$order = 'nr_sort asc, t1.nr asc';
		break;
}


$sql  = "select t1.aufgabe_id, t2.prioritaet, ";
$sql .= "date_format(t1.termin,'%d.%m.%Y') as termin, t6.pers_id, t1.autor, ";
$sql .= "t1.titel, t1.erledigt, t2.prio, t2.farbe, ";
$sql .= "date_format(t1.erl_datum,'%d.%m.%Y') as erl_datum, ";
$sql .= "to_days(t1.termin) as to_termin, to_days(curdate()) as to_heute, ";
$sql .= "date_format(t1.eingabe,'%d.%m.%Y') as eingabe, ";
$sql .= "abt.name as abteilung, t1.nr, ";
$sql .= "if(length(abt.name) > 0, abt.name, 'ZZZZZ') as nr_sort ";
if(isset($team_art_id)) {
	$sql .= "from tbh_sitzung_aufgaben h ";
	$sql .= "left join tb_aufgaben t1 using(aufgabe_id)";
} else {
	$sql .= "from tb_aufgaben t1 ";
}
$sql .= "left join tb_prio t2 using (prio) ";
$sql .= "left join tbh_pers_auf t3 on t1.aufgabe_id = t3.aufgabe_id ";
$sql .= "left join tb_personal_abt abt on t1.abt_id = abt.abt_id ";
$sql .= "left join tb_personal t4 on t3.pers_id = t4.pers_id ";
$sql .= "left join tb_personal t5 on t1.autor = t5.pers_id ";
$sql .= "left join tbh_pers_auf t6 on t1.aufgabe_id = t6.aufgabe_id and t6.zust = 'j' and t6.personaltyp_id < 2 ";
$where = 'where';
if (strlen($_POST['suche']) > 0) {
	$where = 'and';
	$sql .= "where t1.titel like '%{$_POST['suche']}%' ";
	$sql .= "or t1.text like '%{$_POST['suche']}%' ";
} elseif($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
	$where = 'and';
	$sql .= "where unix_timestamp(t1.eingabe) <= '$sql_end' ";
	$sql .= "and (unix_timestamp(t1.erl_datum) >= '$sql_beg' ";
	$sql .= "or t1.erl_datum = '0000-00-00' or t1.erl_datum is null) ";
}
if(isset($team_art_id)) {
	$sql .= "$where h.team_art_id = '$team_art_id' ";
	$where = 'and';
}
if(isset($rvar_proj_id)) {
	$sql .= "$where t1.proj_id = '$rvar_proj_id' ";
	$where = 'and';
}
if($aut != 'all') {
	$sql .= "$where t1.autor = '$aut' ";
	$where = 'and';
}
if ($zust != 'all'){
	$sql .= "$where t3.pers_id = '$zust' ";
	$where = 'and';
}
if ($abt != 'all' && !empty($abt)){
	$sql .= "$where t1.abt_id = '$abt' ";
	$where = 'and';
}
$sql .= "group by t1.aufgabe_id order by $order;";
$res = abfrage1($sql);

if (mysql_num_rows($res) > 0) {
  $self = $_SERVER['PHP_SELF'];
  echo "<table><tr>\n";

  echo "<th class=\"cl1\">";
  echo "<a href=\"$self?sort=prio&zust=$zust&aut=$aut&abt=$abt&anz=$anz&tag=$tag_iso\">";
  echo "Priorit&auml;t</a></th>\n";

  echo "<th class=\"cl1\">";
  echo "<a href=\"$self?sort=termin&zust=$zust&aut=$aut&abt=$abt&anz=$anz&tag=$tag_iso\">";
  echo "f&auml;llig</a></th>\n";

  echo "<th class=\"cl1\">";
  echo "<a href=\"$self?sort=erst&zust=$zust&aut=$aut&abt=$abt&anz=$anz&tag=$tag_iso\">";
  echo "erstellt</a></th>\n";

  echo "<th class=\"cl1\" colspan=\"2\">";
  echo "<a href=\"$self?sort=nr&zust=$zust&aut=$aut&abt=$abt&anz=$anz&tag=$tag_iso\">";
  echo "Nr.</a></th>\n";

  echo "<th class=\"cl1\">";
  echo "<a href=\"$self?sort=titel&zust=$zust&aut=$aut&abt=$abt&anz=$anz&tag=$tag_iso\">";
  echo "Titel</a></th>\n";

  echo "<th class=\"cl1\">";
  echo "<a href=\"$self?sort=pers&zust=$zust&aut=$aut&abt=$abt&anz=$anz&tag=$tag_iso\">";
  echo "zust&auml;ndig</a></th>\n";

  echo "<th class=\"cl1\">";
  echo "<a href=\"$self?sort=aut&zust=$zust&aut=$aut&abt=$abt&anz=$anz&tag=$tag_iso\">";
  echo "Autor</a></th>\n";

  echo "<th class=\"cl1\">";
  echo "<a href=\"$self?sort=abt&zust=$zust&aut=$aut&abt=$abt&anz=$anz&tag=$tag_iso\">";
  echo "Abteilung</a></th>\n";

  echo "<th>";
  echo "<a href=\"$self?sort=erl&zust=$zust&aut=$aut&abt=$abt&anz=$anz&tag=$tag_iso\">";
  echo "erledigt</a></th>\n";

  echo "</tr>\n";

  new stwTabLine(2,30);

  while ($zeile = mysql_fetch_assoc($res)) {
  	echo "<tr id=\"tr_{$zeile['aufgabe_id']}\" class=\"mo\">";
  	echo "<td style=\"color:{$zeile['farbe']}\">{$zeile['prioritaet']}</td>";

  	if ($zeile['erledigt'] == 100){
  		$style = "style=\"color:#CCCCCC\"";
  		$text = "title=\"Aufgabe erledigt\"";
  	} elseif ($zeile['to_termin'] < $zeile['to_heute']){
  		$style = "style=\"color:#FF0000\"";
  		$text = "title=\"Aufgabe berfllig\"";
  	} elseif ($zeile['erledigt'] > 0 && $zeile['erledigt'] < 100){
  		$style = "style=\"color:#00FF00\"";
  		$text = "title=\"Aufgabe begonnen\"";
  	} else {
  		$style = " ";
  		$text = " ";
  	}

  	echo "<td class=\"cl1\">";
	$link = "auf_and.php?aufgabe_id={$zeile['aufgabe_id']}";
	if(isset($_GET['team_id'])) $link .= "&team_id=".$_GET['team_id'];
	if(isset($_GET['proj_id'])) $link .= "&proj_id=".$_GET['proj_id'];
  	echo "<a href=\"$link\" $style $text>";
  	echo $zeile['termin'] . "</a></td>\n";
  	echo "<td class=\"cl1\">{$zeile['eingabe']}</td>\n";
  	echo "<td class=\"cl1\"><a href=\"$link\">{$zeile['nr']}</a></td>\n";
	$daten = new stwDaten("10");
	$klammer = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv,$zeile['aufgabe_id'], "0");
  	echo "<td class=\"cl1\">$klammer</td>\n";
  	echo "<td class=\"cl1\"";

  	if (strlen($zeile['titel']) > 25) echo stwToolTip($zeile['titel']);
  	echo '>' . strCut($zeile['titel'], 25) . "</td>\n";

  	$zust = ($zeile['pers_id'] == "99999") ? 'C-Zeitenliste' : pers_kname($zeile['pers_id']);
  	$autor  = pers_kname($zeile['autor']);
  	$czust = pers_farbe($zeile['pers_id']);
  	$caut = pers_farbe($zeile['autor']);
  	echo "<td style=\"color:$czust;padding-right:5px\">$zust</td>\n";
  	echo "<td style=\"color:$caut;padding-right:5px\">$autor</td>\n";
  	echo "<td class=\"cl1\">{$zeile['abteilung']}</td>\n";

  	echo "<td style=\"padding-right:5px;text-align:right\">";
  	echo $zeile['erledigt'] < 100 ? proz_form($zeile['erledigt'], 0) : $zeile['erl_datum'];
	echo "</td>\n";
  	if ($ulv >= 96 || $uid == $zeile['autor']){
  		echo "<td class=\"cl1\"><a href=\"auf_del_sql.php?aufgabe_id={$zeile['aufgabe_id']}";
  		echo "&all={$_GET['all']}&sort=$sort&zust=$zust&aut=$aut&abt=$abt\" ";
  		echo "style=\"color:red\" title=\"VORSICHT! Lschen\"";
		echo "onclick=\"if(confirm('Soll die Aufgabe {$zeile['nr']}\\n >> {$zeile['titel']} <<\\nwirklich gel&ouml;scht werden?')) xajax_AufDel({$zeile['aufgabe_id']});return false;\"";
		echo ">X</a></td>\n";
  	}
  	echo "</tr>\n";
  }
  new stwTabLine(1,30);
  echo "</table>\n";
}
?>
