<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: auf_and.php 2887 2018-09-19 09:23:47Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 2;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

require_once($pfad . 'inc/auth.inc.php');

/* Formulardaten verarbeiten */
if ($_POST['speichern'] == 'Speichern'){

	require_once($pfad."inc/func.inc.php");
	extern();
	extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

	$termim = check_date($rvar_termin,1);
	if(empty($termim)) $ter = date('Y-m-d',mktime(0,0,0,date('m'),date('d')+14,date('Y')));
	else $ter = date_gr2my($termim);
	$ter_old = date_gr2my(check_date($rvar_termin_old));

	if (isset($rvar_aufgabe_id)){
	  $sql = "update ";
		$ein = abfrage("select eingabe, erl_datum from tb_aufgaben
										where aufgabe_id = '$rvar_aufgabe_id';");
		$eingabe = $ein[0];
		$erl = $rvar_erledigt;

		if ($rvar_erledigt == 100 && $ein[1] == '0000-00-00'){
			$erl_dat = date('Y-m-d');
		} else {
			$erl_dat = "$ein[1]";
		}
	} else {
	  $sql = "insert into ";
		$eingabe = date('Y-m-d');
		$erl = 0;
		$erl_dat = "";
	}
	$sql .= "tb_aufgaben set autor = '$rvar_autor', ";
	$sql .= "titel = '$rvar_titel', text = '$rvar_text', prio = '$rvar_prio', ";
	$sql .= "eingabe = '$eingabe', termin = '$ter', erledigt = '$erl', ";
	$sql .= "erl_datum = '$erl_dat' ";

	if (isset($rvar_proj_id)) $sql .= ",proj_id = '$rvar_proj_id' ";
	if (isset($rvar_hp_id)) $sql .= ",hp_id = '$rvar_hp_id' ";

	if ($rvar_abt_id > 0){
		$sql .= ", abt_id = '$rvar_abt_id', nr = '$rvar_nr' ";
	}

	$sql .= (isset($rvar_aufgabe_id)) ? "where aufgabe_id = '$rvar_aufgabe_id';" : ';';

	abfrage2($sql);

	/* -- Beziehung Aufgabe - zustaendig -- */
	
	$aufg = isset($rvar_aufgabe_id) ? $rvar_aufgabe_id : mysql_insert_id();
	abfrage2("delete from tbh_pers_auf where aufgabe_id = '$aufg' and personaltyp_id<=1;");
	abfrage2("replace into tbh_pers_auf set aufgabe_id = '$aufg', pers_id = '$rvar_pers_id', zust = 'j', personaltyp_id=1;");

	/* -- Beziehung Aufgabe - Sitzungsart -- */
	if(empty($rvar_team_art_id)) {
		if(isset($rvar_aufgabe_id)) abfrage2("delete from tbh_sitzung_aufgaben where aufgabe_id='$aufg'");
	} else {
		$team_old = isset($rvar_aufgabe_id) ? abfrage("select team_art_id from tbh_sitzung_aufgaben where aufgabe_id='$aufg'") : 0;
		if(empty($team_old[0])) abfrage2("insert into tbh_sitzung_aufgaben set team_art_id='$rvar_team_art_id', aufgabe_id='$aufg'");
		elseif($team_old[0] != $rvar_team_art_id) abfrage2("update tbh_sitzung_aufgaben set team_art_id='$rvar_team_art_id' where aufgabe_id='$aufg'");
	}

	/* -- Historie Termin -- */
	if($ter != $ter_old) {
		abfrage2("insert into tb_aufgabe_termin_historie set aufgabe_id='$aufg', pers_id='{$_SESSION[$AppCode]["UID"]}', termin='$ter'");
		abfrage2("delete from tb_ewald where ewaldkategorie_id=12 and id1='$aufg'");
	}

	/* IQS Aufgabe kehrt wieder zur IQS Projektuebersicht zurueck */
	if (isset($rvar_iqs)) {
	  $url = "Location: pro_qs.php?hp_id=".$rvar_hp_id."&proj_id=".$rvar_iqs;
	  header($url);
	} elseif($rvar_projekt > 0) {
	  $url = "Location: pro_daten.php?proj_id=".$rvar_projekt;
	  header($url);
	} elseif($rvar_team_id > 0) {
	  $url = "Location: team_and.php?menue=2&team_id=".$rvar_team_id;
	  header($url);
	} else {
	  header("Location: auf.php");
	}
}

require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/stwDaten.inc.php");

if(isset($_GET['del'])) {
	$sql = "delete from tbh_pers_auf where aufgabe_id = '$rvar_aufgabe_id' and pers_id = '$rvar_del';";
	abfrage2($sql);
}

if(isset($rvar_aufgabe_id)) {
  $sql  = "select a.autor, a.titel, a.text, a.prio, ";
  $sql .= "date_format(a.eingabe, '%d.%m.%Y') as eingabe, ";
  $sql .= "date_format(a.termin, '%d.%m.%Y') as termin, ";
  $sql .= "date_format(a.erl_datum, '%d.%m.%Y') as erl_datum, ";
  $sql .= "a.erledigt, a.proj_id, h.pers_id, a.abt_id, a.nr, ";
  $sql .= "s.team_art_id from tb_aufgaben a ";
  $sql .= "left join tbh_pers_auf h on (a.aufgabe_id = h.aufgabe_id and h.zust = 'j' and h.personaltyp_id < 2) ";
  $sql .= "left join tbh_sitzung_aufgaben s on a.aufgabe_id = s.aufgabe_id ";
  $sql .= "where a.aufgabe_id = '$rvar_aufgabe_id';";
  $auf = abfrage_assoc($sql);
} else $auf = array();

$php_self = $_SERVER['PHP_SELF'];

/* bestimmen was im Datumsfeld gezeigt wird */
$datum = '';
if(isset($_GET['tag'])) { /* Es wurde ein Tag im Kalendermodul ausgewaehlt */
	$zktag = date_isodate_stamp($_GET['tag']);
	$datum = date('d.m.Y', $zktag);
} elseif (isset($rvar_aufgabe_id)) {
	$datum = $auf['termin'];
} else {
	/* pruefen ob Datum vom Kalender mitgegeben wurde */
	if(isset($rvar_kaldate)) {
	  $zktag = date_isodate_stamp($rvar_kaldate);
	  $datum = date('d.m.Y', $zktag);
	} elseif(isset($_GET['hb'])) {
	  $datum = date('d.m.Y', mktime(0,0,0,date('m'),date('d')+5,date('Y')));
	}
}

echo "<form method=\"post\" action=\"$php_self\">\n";
if (isset($rvar_aufgabe_id)){
	echo "<input type=\"hidden\" name=\"aufgabe_id\" value=\"$rvar_aufgabe_id\">\n";
}
$team_art_id = $auf['team_art_id'];
if($rvar_team_id > 0) {
	$team = abfrage("select team_art_id from tb_team where team_id='$rvar_team_id'");
	$team_art_id = $team[0];
	echo "<input type=\"hidden\" name=\"team_id\" value=\"$rvar_team_id\">\n";
}

echo "<table width=\"675\">\n";
echo "<tr><td class=\"cl11\"><table width=\"375\">\n";

$ti = 1;

echo "<tr><th class=\"cl1\">Autor:</th>\n";
if (isset($_POST['autor'])){
	$au = $_POST['autor'];
} elseif (isset($rvar_aufgabe_id)) {
	$au = $auf['autor'];
} else {
	$au = $uid;
}
$abt_id = empty($rvar_abt_id) ? $auf['abt_id'] : $rvar_abt_id;
echo "<td>";
$chautor = false;
if($ulv >= 97) $chautor = true;
else {
	if(!empty($rvar_abt_id) || !empty($auf['abt_id'])) {
		$abtleit = abfrage1("select pers_id from tb_personal_abt_leit where abt_id='$abt_id' and pers_id='$uid'");
		if(mysql_num_rows($abtleit) > 0) $chautor = true;
	}
	$status = abfrage("select status_id from tb_personal where pers_id='$au'");
	if($status[0] > 2 && ($auf['pers_id'] == $uid || $rvar_pers_id == $uid)) $chautor = true;
}
if($chautor) {
	echo "<select style=\"width:300px;\" name=\"autor\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	$sql = "select p.pers_id, concat(p.vorname,' ',p.name) from tb_personal p ";
	if((!empty($rvar_abt_id) || !empty($auf['abt_id'])) && ($ulv >= 97 || mysql_num_rows($abtleit) > 0)) {
		$sql .= "left join tbh_pers_abt pa using(pers_id) ";
		$or = "or (pa.abt_id='$abt_id' and p.status_id=2)";
	} elseif($ulv >= 97) $or = "or p.status_id=2";
	else $or = '';
	$sql .= "where p.pers_id = '$au' $or or p.pers_id = '$uid' group by p.pers_id order by vorname asc, name asc";
	$mas = abfrage1($sql);
	while ($ma = mysql_fetch_row($mas)) {
		echo "<option value=\"$ma[0]\"";
		if ($au == $ma[0]) echo ' selected';
		echo ">$ma[1]</option>\n";
	}
	echo "</select>\n";
} else echo pers_name($au);
echo "</td>\n";
if(!$chautor) echo "<input type=\"hidden\" name=\"autor\" value=\"$au\">\n</td></tr>\n";

/* Auswahlfeld zustaendig */
echo "<tr><th class=\"cl1\">Hauptbetreuer:</th>\n";
echo "<td>";

/* abfragen, ob Benutzer Abteilungsleiter ist */
$sql  = "select abt_id from tb_personal_abt_leit where pers_id = '$uid';";
$dat_abt_ltr = abfrage1($sql);
$abt_ltr = mysql_num_rows($dat_abt_ltr);

/* wenn Benutzer Abteilungsleiter ODER Benuter im Rechteobjekt 40 ODER
 * Benutzer hat Level 47          ODER Benutzer hat Level >= 45,
 * DANN -> AUSWAHLFELD
*/

if ($abt_ltr > 0 || check_nutzer_rechte(40) || $ulv >= 45){

	/* pers_list - Array mit allen angezeigten Mitarbeitern.
	 * wird zur Ueberpruefung gebraucht, ob evtl. ein nicht mehr aktiver MA
	 * nicht angezeigt wurde
	*/
	if (isset($rvar_aufgabe_id)) $pers_list = array();

	echo "<select style=\"width:300px;\" name=\"pers_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;

	if(getConf("czeitenliste") || (isset($rvar_aufgabe_id) && $auf['pers_id'] == 99999)) {
		/* C-Zeitenliste */
		echo "<option value=\"99999\" class=\"lightopt\"";
		if(isset($rvar_aufgabe_id) && $auf['pers_id'] == 99999) echo ' selected';
		echo ">C-Zeitenliste</option>\n";
		$pers_list[] = 99999;
	}

  /* Benutzer ist Abteilungsleiter und hat NICHT Rechteobjekt 40, NICHT Lv. 47
   * und auch KEINEN Level ab 60 (siehe Rechteobjekt) */
  if ($abt_ltr > 0 && !check_nutzer_rechte(40) && $ulv != 47){

  	$sql  = "select distinct h.pers_id from tbh_pers_abt h ";
		$sql .= "left join tb_personal p on h.pers_id = p.pers_id ";
		$sql .= "where status_id = '2' and anmeldung = 'j' ";
		$sql .= "and h.abt_id = any(select abt_id from tb_personal_abt_leit ";
		$sql .= "where pers_id = '$uid') or p.pers_id='$uid'";
		$sql .= "order by p.vorname asc, p.name asc;";

  /* Benutzer hat Level 47 ODER Rechteobjekt 40 ODER einen Level ab 60 (siehe Rechteobjekt) */
  } elseif (check_nutzer_rechte(40) || $ulv == 47){

  	$sql  = "select pers_id from tb_personal ";
	  $sql .= "where status_id = '2' and anmeldung = 'j' ";
	  $sql .= "order by vorname asc, name asc;";

  }

	$res1 = abfrage1($sql);

	while ($row1 = mysql_fetch_row($res1)) {
		echo "<option value=\"$row1[0]\"";
		if ($auf['pers_id'] == $row1[0] || $_POST['pers_id'] == $row1[0]) {
			echo ' selected';
		} elseif(empty($auf['pers_id']) && $row1[0] == $uid) echo ' selected';
		echo '>' . pers_name($row1[0]) . "</option>\n";
		$pers_list[] = $row1[0];
	}

	/* Falls oben nicht angezeigter Mitarbeiter in vorhandener Aufgabe als
	 * zustaendig gespeichert ist -> diesen als selected anzeigen!
	*/
	if (isset($rvar_aufgabe_id) && !in_array($auf['pers_id'], $pers_list)){
		echo "<option value=\"{$auf['pers_id']}\" selected>";
		echo pers_name($auf['pers_id']) . "</option>\n";
	}

	echo "</select>\n";

} else { /* kein Auswahlfeld */
	if (isset($rvar_aufgabe_id)){ /* Aufgabe aendern - Anzeige d. Zust. */
		if ($auf['pers_id'] == 99999) {
			echo 'C-Zeitenliste';
		} else {
			echo pers_name($auf['pers_id']);
		}
	  echo "<input type=\"hidden\" name=\"pers_id\" ";
	  echo "value=\"{$auf['pers_id']}\">\n";

	} else { /* neue Aufgabe - Anezige des Namens des Benutzers */
		echo pers_name($uid);
    echo "<input type=\"hidden\" name=\"pers_id\" value=\"$uid\">";
	}
}

echo "</td></tr>\n";
/* Ende Auswahlfeld zustaendig */

$pid = isset($rvar_proj_id) ? $rvar_proj_id : $auf['proj_id'];
$pro = new stwProjekt($pid);
$tt = stwToolTip($pro->vname().", ".$pro->nname().", ".$pro->he_info('ort'));
echo "<tr><th class=\"cl1\"><a $tt href=\"pro_daten.php?proj_id=$pid\">Projekt:</a></th>\n";
echo "<td><select style=\"width:300px;\" name=\"proj_id\" size=\"1\" tabindex=\"$ti\">\n";
$ti++;
echo "<option value=\"0\">keinem Projekt zugeordnet</option>\n";

$sql  = "select p.proj_id from tb_projekte p ";
$sql .= "where (p.ende IS NULL OR p.ende = '0000-00-00' OR p.proj_id='$pid' OR ";
$sql .= "TO_DAYS(p.ende) >= TO_DAYS(DATE_SUB(CURDATE(), INTERVAL 28 DAY))) ";
$sql .= "order by p.projektnr asc;";
$pros = abfrage1($sql);

while ($proj = mysql_fetch_row($pros)){
  $pro = new stwProjekt($proj[0]);
  if ($pro->beteiligt($uid) || $ulv >= 48){
    if ($ulv < 48){
      $class = '';
    } else {
      $class = ($pro->beteiligt($uid)) ? "class=\"cl2\"" : '';
    }
    echo "<option $class value=\"$pro->id\"";
    if ($auf['proj_id'] == $pro->id || $rvar_proj_id == $pro->id) {
    	echo ' selected';
    }
    echo ">" . $pro->nummer() . "</option>\n";
  }
}
echo "</td></tr>\n";


echo "<tr><th class=\"cl1\">Abteilung:</th>\n";
echo "<td><select style=\"width:300px;\" name=\"abt_id\" size=\"1\" tabindex=\"$ti\" ";
echo "onChange=\"this.form.submit()\">\n";
$ti++;
echo "<option value=\"0\">keiner Abteilung zugeordnet</option>\n";
$abtn = abfrage1("select abt_id, name from tb_personal_abt order by name asc;");
while ($abt = mysql_fetch_assoc($abtn)){
	echo "<option value=\"{$abt['abt_id']}\"";
	if (isset($rvar_abt_id)){
		if ($rvar_abt_id == $abt['abt_id']) echo ' selected';
	} elseif (isset($rvar_aufgabe_id)){
		if ($auf['abt_id'] == $abt['abt_id']) echo ' selected';
	}
	echo ">{$abt['name']}</option>\n";
}
echo "</select>\n</td></tr>\n";

echo "<tr><th class=\"cl1\">Sitzung:</th>\n";
echo "<td><select style=\"width:300px;\" name=\"team_art_id\" size=\"1\" tabindex=\"$ti\">\n";
$ti++;
echo "<option value=\"0\">keiner Sitzungsart zugeordnet</option>\n";

$sql = "select a.team_art_id, a.kurzname, a.name, a.farbe from tb_team_art_pers p
		left join tb_team_art a using(team_art_id)
		where a.aktiv='1'";
if($ulv < 96) $sql .= " and p.pers_id='$uid'";
$sql .= " group by a.team_art_id ";
$sql .= "order by IF(a.nummer IS NULL, LPAD(RIGHT(a.team_art_id,3),3,'0'), a.nummer) asc, a.kurzname asc";
$teams = abfrage1($sql);

while ($team = mysql_fetch_row($teams)){
	$class = (pers_inTeam($uid, $team[0])) ? "class=\"cl2\"" : '';
	echo "<option $class value=\"$team[0]\"";
	if ($team_art_id == $team[0]) {
		echo ' selected';
	}
	echo ">" . team_nummer($team[0]) . " - $team[1] - $team[2]</option>\n";
}
echo "</td></tr>\n";


echo "<tr><th class=\"cl1\">Nr.:</th>\n";
echo "<td><table cellpadding=\"0\" cellsacing=\"0\"><tr>\n";
echo "<td class=\"cl20\"><input type=\"text\" name=\"nr\" size=\"5\" maxlength=\"4\" ";
echo " tabindex=\"$ti\" style=\"text-align:right\"";
$ti++;

if (!empty($rvar_aufgabe_id)){
	/* vorhandene Aufgabe */
	if (empty($rvar_abt_id)){
		$nr1 = $auf['nr'];
	} else {
		if ($rvar_abt_id == $auf['abt_id']){
			$nr1 = $auf['abt_id'];
		} else {
			$nr = abfrage("select max(nr) + 1 from tb_aufgaben
										where abt_id = '$rvar_abt_id'
										group by abt_id;");
			$nr1 = ($nr[0] > 0) ? $nr[0] : 1;
		}
	}
} else {
	/* neue Aufgabe */
	if ($rvar_abt_id > 0){
		$nr = abfrage("select max(nr) + 1 from tb_aufgaben
										where abt_id = '$rvar_abt_id'
										group by abt_id;");
			$nr1 = ($nr[0] > 0) ? $nr[0] : 1;
	}
}

if (isset($nr1)) echo " value=\"$nr1\"";
echo "></td>";
if (!empty($rvar_aufgabe_id)) {
	$daten = new stwDaten("10");
	$link  = $daten->get_klammer_link($_SESSION['webdir'],$uid,$ulv,$rvar_aufgabe_id,"0");
	echo "<td class=\"cl20\">$link</td>";
	echo "<td class=\"cl20\"><a href=\"auf_pr.php?aufgabe_id=$rvar_aufgabe_id\" target=\"_pdf\">";
	echo "<img src=\"" . image('drucker') . "\" /></a></td>";
}
echo "</tr></table></td></tr>\n";

echo "<tr><th class=\"cl1\">Titel:</th>\n";
echo "<td><input type=\"text\" name=\"titel\" style=\"width:300px;\" maxlength=\"50\" ";
echo "tabindex=\"$ti\" "; $ti++;
if (isset($rvar_aufgabe_id)) {
  echo "value=\"{$auf['titel']}\"";
} elseif (isset($rvar_titel)) {
  echo "value=\"$rvar_titel\"";
}
echo "></td></tr>\n";


echo "<tr><th class=\"cl1\">Text:</th>\n";
echo "<td><textarea style=\"width:300px;\" rows=\"4\" name=\"text\" tabindex=\"$ti\">";
$ti++;
if (isset($rvar_aufgabe_id)) {
	echo $auf['text'];
} elseif (isset($rvar_text)){
	echo $rvar_text;
}
echo "</textarea></td></tr>\n";


echo "<tr><th class=\"cl1\">Priorit&auml;t:</th>\n";
echo "<td colspan=\"3\"><select style=\"width:80px;\" name=\"prio\" size=\"1\" tabindex=\"$ti\">\n";
$ti++;

$res2 = abfrage1("select prio, prioritaet from tb_prio order by prio asc;");

while ($row2 = mysql_fetch_row($res2)) {
  echo "<option ";
  if (isset($rvar_aufgabe_id)) {
    if ($auf['prio'] == $row2[0]) echo "selected ";
  } elseif ($rvar_prio == $row2[0]) {
  	echo " selected ";
  } elseif (isset($_GET["hb"])) {
    if ($row2[0] == 3) echo " selected ";
	} else {
	  if ($row2[0] == 2) echo " selected ";
 	}
  echo "value=" . $row2[0] . ">";
  echo $row2[1];
  echo "</option>\n";
}
echo "</select></td></tr>\n";

if (isset($rvar_aufgabe_id)) {
	echo "<input type=\"hidden\" name=\"termin_old\" value=\"{$auf['termin']}\" />\n";
}
echo "<tr><th class=\"cl1\">Termin:</th>\n";
echo "<td><input type=\"text\" id=\"datum\" name=\"termin\" size=\"11\" maxlength=\"11\" ";
if($ulv < 96 && $uid != $au) {
	$abtleit = abfrage1("select abt_id from tb_personal_abt_leit where pers_id='$uid' and abt_id='$abt_id'");
	if(mysql_num_rows($abtleit) == 0) echo "readonly ";
}
echo "tabindex=\"$ti\""; $ti++;
echo " value=\"$datum\">&nbsp; &nbsp; &nbsp;";
if(isset($rvar_aufgabe_id)) {
	$hist = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i'), date_format(termin, '%d.%m.%Y') from tb_aufgabe_termin_historie where aufgabe_id='$rvar_aufgabe_id' order by zeit desc");
	if(mysql_num_rows($hist) == 0) echo "TT.MM.JJJJ";
	else {
		$tt = $txt = '';
		while($hi = mysql_fetch_row($hist)) {
			if($txt == '') $txt = "zuletzt ge&auml;ndert von " . pers_kname($hi[0]) . "<br>am $hi[1] Uhr";
			if($tt == '') $tt = "<b>$hi[2] - " . pers_kname($hi[0]) . " $hi[1]</b><br />";
			else $tt .= "$hi[2] - " . pers_kname($hi[0]) . " $hi[1]<br />";
		}
		echo "<span style=\"position:absolute\"" . stwToolTip($tt) . "><span style=\"position:relative;top:-8px\">$txt</span></span>";
	}
} else echo "TT.MM.JJJJ";
echo "</td></tr>\n";


echo "<tr><th class=\"cl1\">erledigt:</th>\n";
echo "<td><input type=\"text\" name=\"erledigt\" size=\"4\" maxlength=\"3\" ";
echo "tabindex=\"$ti\" style=\"text-align:right;\" "; $ti++;

if(isset($rvar_aufgabe_id)) echo "value=\"{$auf['erledigt']}\"";
elseif(isset($rvar_erledigt)) echo "value=\"$rvar_erledigt\"";
echo ">&nbsp;&nbsp;%";
if(isset($rvar_aufgabe_id) && $auf['erl_datum'] != '00.00.0000') echo " am " . $auf['erl_datum'];
echo "</td></tr>\n";

echo "</table></td>\n";

if (isset($rvar_aufgabe_id)){
	echo "<td width=\"300\">";
	echo "<table width=\"100%\">\n";
	echo "<tr><th colspan=\"3\" style=\"text-align:center;background-color:black\">";
	echo "<a href=\"pro_betr.php?aufgabe_id=$rvar_aufgabe_id\"";
	echo stwToolTip('neuen Betreuer anlegen') . ">Betreuer</a>\n";
	echo "</th></tr>\n";
	// Liste weiterer Mitarbeiter
	$res = abfrage1("select a.pers_id, a.personaltyp_id, t.personaltyp, a.zust, a.auf 
					from tbh_pers_auf a
					left join tb_personaltyp t using (personaltyp_id)
					where a.aufgabe_id = '$rvar_aufgabe_id' 
					order by a.zust asc, t.sort asc;");

	while($ma = mysql_fetch_row($res)) {
		echo "<tr><th class=\"cl11\">";
		echo "<a href=\"pro_betr.php?pers_id=$ma[0]&amp;aufgabe_id=$rvar_aufgabe_id\">";
		$name = pers_name($ma[0]);
		echo $name;
		if($ma[1] < 2 && $ma[3]=='j') $ma[2] = 'Hauptbetreuer';
		elseif($ma[1]==0) $ma[2] = 'andere Betreuung';
		echo "</a></th>\n";
		echo "<td class=\"cl11\" style=\"vertical-align:middle\">";
		echo "<a target=\"_blank\" href=\"nachr_and.php?empf=$ma[0]&aufgabe=$rvar_aufgabe_id\">";
		echo "<img".stwToolTip("Nachricht betreffs dieser Aufgabe<br>an $name senden");
		echo "style=\"width:12px\" src=\"img/brief.png\"></a></td>\n";
		echo "<td class=\"cl20\"";
		if($ma[4]) echo stwToolTip($ma[4]);
		echo ">$ma[2]</td><td style=\"text-align:right\">";
		if (($ma[3]!='j' || $ma[1]>1) && ($ulv >= 96 || $darf_aendern)) {
			echo "<a href=\"{$_SERVER['PHP_SELF']}?";
			echo "aufgabe_id=$rvar_aufgabe_id&del=$ma[0]\" ";
			echo "style=\"color:red\" title=\"VORSICHT! L&ouml;schen\">X</a>";
		}
		echo "</td></tr>\n";
	}
	echo "</td></tr>\n";
	new stwTabLine(2,3);
	echo "</table>";
	echo "<table width=\"100%\">\n";
	echo "<tr><th colspan=\"30\" style=\"text-align:center;background-color:black\">Historie</th></tr>\n";
	$post = array();
	$pzus = abfrage1("select id, posttyp from tbh_postzuordnung where id2='$rvar_aufgabe_id' and typ='a'");
	$i = 9999;
	while($pzu = mysql_fetch_row($pzus)) {
		switch($pzu[1]) {
			case 'n':
				$sql = "select unix_timestamp(n.sent) as sent_ts, n.* 
						from tb_nachr n where nachr_id = '$pzu[0]'";
				$nachr = abfrage_assoc($sql);
				$idx = $nachr['sent_ts'] . '-' . $i;
				$txt = strip_tags($nachr['text']);
				$tels = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='{$nachr['nachr_id']}'");
				if(mysql_num_rows($tels) > 0) {
					$tel = mysql_fetch_array($tels);
					$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
					if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
					if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
					$text .= "<br />";
					if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
					if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
					if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
					if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
					if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
					if($tel['war_da'] == 'j') $text .= "(war da) ";
					if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
					$txt = "$text<br />$txt";
				}
				$post[$idx]  = "<tr><td class=\"cl1\" style=\"text-align:right\">";
				$post[$idx] .= "<a href=\"nachr_and.php?nachr_id={$nachr['nachr_id']}\"";
				$post[$idx] .= stwToolTip($txt);
				$post[$idx] .= "><img src=\"img/brief.png\" /></a></td>";
				$post[$idx] .= "<td class=\"cl1\">".date('d.m.Y', $nachr['sent_ts'])."</td>";
				$post[$idx] .= "<td".stwToolTip($txt);
				$post[$idx] .= "colspan=\"30\">{$nachr['betreff']}</td></tr>\n";
				break;
			case 'h':
				$hp = abfrage("select hp_id, date_format(datum, '%d.%m.%Y'), hp_art, unix_timestamp(datum) from tb_hp where hp_id='$pzu[0]'");
				if($hp[2]=='x') {
					$sql = "SELECT t2.kurzname, t1.post_in_id, t1.betreff, t1.notizen, k.name2, k.name
							FROM tb_post_eingang t1 
							LEFT JOIN tb_kontakte k ON k.kont_id = t1.kont_id AND k.kh_id='0' 
							INNER JOIN tb_post_art t2 ON t1.postart_id = t2.post_art_id 
							WHERE t1.hp_id = '$hp[0]';";
					$posteing = abfrage($sql);
					$id = substr("00".$posteing[1],-3);
					$daten_dlg = new stwDaten("5");
					$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"], $uid, $ulv, $posteing[1], "0");
					$post["$hp[3]-$i"]="<tr><td style=\"text-align:right\" class=\"cl1\"".stwToolTip("<b>Posteingang:</b><br>$posteing[3]").">
										<a style=\"color:rgb(51,153,51)\" href=\"post_in.php?post_id=$posteing[1]\">
										<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $posteing[0]</a></td>
										<td class=\"cl1\">$hp[1]</td>
										<td class=\"cl1\"".stwToolTip("$posteing[5] $posteing[4]").">".strCut(empty($posteing[4])?$posteing[5]:$posteing[4],15)."</td>
										<td".stwToolTip("<b>Posteingang:</b> $posteing[2]<br>$posteing[3]").">".strCut($posteing[2],30)."</td><td>$klammer</td></tr>";
				}
				if($hp[2]=='y') {
					$sql	= "SELECT a.postart_id, a.post_out_id, a.brief_id, "
							. "a.betreff, a.notizen, k.name2, k.name FROM tb_post_ausgang a "
							. "left join tb_kontakte k on k.kont_id = a.kont_id and k.kh_id='0' "
							. "WHERE hp_id = '$hp[0]';";
					$erg	= abfrage($sql);

					if ($erg[0] != 0) {
						$sql  = "SELECT kurzname FROM tb_post_art WHERE post_art_id = '$erg[0]';";
						$erg2 = abfrage($sql);
						$title = "Postausgang:<br>$erg[5]<br><b>$erg[3]</b><br>$erg[4]";
					} else {
						$erg2[] = "??";
						$title  = "Postausgang ohne Postart";
					}
					$id = substr("00".$erg[1],-3);
					$abk = "<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg2[0]";
					if (is_null($erg[2])) {
						$link = "post_out.php?post_id=".$erg[1];
					} else {
						$link = "brief.php?id=".$erg[1];
					}
					$farbe = "#FF0000";
					/* Dateisymbol einblenden */
					$daten_dlg = new stwDaten("13");
					$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"], $uid, $ulv, $erg[1], "0");
					$post["$hp[3]-$i"]="<tr><td style=\"text-align:right\" class=\"cl1\"".stwToolTip("<b>Postausgang:</b><br>$erg[4]").">
										<a style=\"color:#FF0000\" href=\"$link\">
										<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg2[0]</a></td>
										<td class=\"cl1\">$hp[1]</td>
										<td class=\"cl1\"".stwToolTip("$erg[6] $erg[5]").">".strCut(empty($erg[5])?$erg[6]:$erg[5],15)."</td>
										<td".stwToolTip("<b>Postausgang:</b><br>$erg[4]").">".strCut($erg[3],30)."</td><td>$klammer</td></tr>";
				}				
				break;
		}
		$i--;
	}
	krsort($post);
	foreach($post as $msg) echo $msg;
	echo "</table>";
	echo "</td>\n";
}
echo "</tr></table>\n";

new stwLine(2);

/* IQS Aufgabe zusaetzliche Felder uebergeben */
if (isset($rvar_iqs)) {
	echo "<input type=\"hidden\" name=\"iqs\" value=\"$rvar_proj_id\">\n";
	echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\">\n";
} elseif (isset($_GET['proj_id']) || isset($rvar_projekt)) {
	echo "<input type=\"hidden\" name=\"projekt\" value=\"" . (empty($rvar_projekt) ? $rvar_proj_id : $rvar_projekt) . "\">\n";
}

/* Button um Form abzuschicken - Aendern/Speichern */
if (isset($rvar_aufgabe_id)) {
  echo "<input type=\"hidden\" name=\"aufgabe_id\" value=\"$rvar_aufgabe_id\">\n";
  $user = abfrage("select pers_id from tbh_pers_auf
                  where aufgabe_id = '$rvar_aufgabe_id'
                  and pers_id = '$uid';");
  if ($auf['proj_id'] > 0) $projekt = new stwProjekt($auf['proj_id']);
  if (($uid == $user[0] || $uid = $auf['autor'] ||
        ($auf['proj_id'] > 0 && $pro->beteiligt($uid)) || $ulv >= 96 ||
        $ulv == 47) && $ulv > 5){
    $speichern = 'OK';
  }
} else {
  $speichern = 'OK';
}

echo "<table><tr>";
if ($speichern == 'OK'){
  echo "<td class=\"cl20\"><input type=\"submit\" name=\"speichern\" ";
  echo "value=\"Speichern\" tabindex=\"$ti\"></td>";
  $ti++;
}

if(isset($rvar_aufgabe_id)) {
	echo "<td>angelegt von " . pers_name($auf['autor']) . " am " . $auf['eingabe'] . "</td>";
}

echo "</tr></table>\n";
echo "</form>\n";
new stwLine(1);

if($_SESSION[$AppCode]['ULV'] < 96) {
	$betreuer = abfrage("select pers_id from tbh_pers_proj where pers_id='{$_SESSION[$AppCode]['UID']}' and proj_id='{$auf['proj_id']}'");
	$erlaubt = ($betreuer[0] > 0);
} else $erlaubt = true;

if ($erlaubt && isset($rvar_aufgabe_id) && $auf['proj_id'] > 0){
  $dat = empty($auf['termin']) ? date_gr2my($auf['eingabe']) : date_gr2my($auf['termin']);
  $sql = "select date_format(t.von,'%d.%m.%Y'), #0
		time_format(t.von,'%k:%i'), #1
		time_format(t.bis,'%k:%i'), #2
		time_format(a.fls,'%k:%i'), #3
		time_format(sec_to_time(unix_timestamp(t.bis) - unix_timestamp(t.von) -
			time_to_sec(a.fls)),'%k:%i'), #4
		a.pers_id, #5
		a.code, #6
		a.inhalte, #7
		a.zk_id, #8
		a.proj_id, #9
		(concat(left(b.vorname,1), '. ', b.name)), #10
		a.ab, #11
		a.ab_monat, #12
		a.nachw_id, #13
		t.termin_id, #14
		unix_timestamp(t.bis) - unix_timestamp(t.von) - time_to_sec(a.fls), #15
		a.kwg, #16
		time_to_sec(a.fls2), #17
		time_format(a.fls2,'%k:%i'), #18
		time_to_sec(a.fz2), #19
		time_format(a.fz2,'%k:%i'), #20
		time_to_sec(a.fls), #21
		a.inhalte2, #22
    a.sperre
		from tb_ab_zk a
		left join tb_termine t using (termin_id)
		left join tb_personal b on a.pers_id = b.pers_id
		where a.proj_id = '{$auf['proj_id']}' 
		and TO_DAYS(t.von) >= TO_DAYS(DATE_SUB('$dat', INTERVAL 28 DAY))
		and TO_DAYS(t.von) <= TO_DAYS('$dat')
		order by unix_timestamp(t.von) asc;";
  $zks = abfrage1($sql);

  if (mysql_num_rows($zks) > 0){
    echo "<table><tr>\n";
    echo "<th class=\"cl1\">Datum</th>\n";
    echo "<th class=\"cl1\">&nbsp;</th>\n";
    echo "<th class=\"cl1\">von</th>\n";
    echo "<th class=\"cl1\">bis</th>\n";
    echo "<th class=\"cl1\">fls</th>\n";
    echo "<th class=\"cl1\">Fahrt</th>\n";
    echo "<th class=\"cl1\">Betreuer</th>\n";
    echo "<th class=\"cl1\">Code</th>\n";
    echo "<th class=\"cl1\">Inhalte</th>\n</tr>\n";

    while ($row = mysql_fetch_row($zks)) {
    	new stwTabLine(2,30);
    	echo "<tr>";

    	if ($row[11] == 'j'){
    		$co = "color:rgb(0,255,0)";
    		$ti = "abrechnungsrelevant";
    		if (!empty($row[12])){
    			$co = "color:rgb(255,0,0)";
    			$ti = "abgerechnet";
    			if (!empty($row[13])){
    				$co = "color:rgb(180,180,180)";
    				$ti = "abgelegt";
    			}
    		}
    	} else {
    		$co = "";
    		$ti = "Termin";
    	}
    	$st = "style=\"$co\"";
    	$ti = stwToolTip($ti);
    	echo "<td class=\"cl1\"><a href=\"pro_ab_zk.php?";
    	echo "zk_id=$row[8]&proj_id=$row[9]\" $st $ti>$row[0]</a></td>\n";
    	echo "<td ";
    	if ($row[16] == 1) {
    		echo " class=\"cl11\"><img src=\"img/icon_pink.png\"";
    		echo stwToolTip('Kindeswohlgef&auml;hrdung!') . '>';
    	} else {
    		echo  '>';
    	}
    	echo "</td>\n";

      /*
       * Diese Anzeige baut sich nach dem Sperraufruf noch einmal auf und kann
       * deshalb die Karten hier dann sperren.
       * Sonst wird nur eine ZK Sperroption angeboten.
       */
      if (check_nutzer_rechte(24) && $projekt->h_art == 'TTT') {
        /* zweiter Aufruf der Seite die ZK sperrt */
        if (isset($_POST["zk_sperren"])) {
          $zei = ($_POST["check_$row[8]"] == 'on') ? 'j' : 'n';

          $sql  = "UPDATE tb_ab_zk SET sperre = '$zei' ";
          $sql .= "WHERE zk_id = '$row[8]';";
          abfrage2($sql);
        }

        /* Haken um ZK zu sperren fuer TTT Projekte */
        $sql = "SELECT sperre FROM tb_ab_zk WHERE zk_id=".$row[8].";";
        $erg = abfrage($sql);

        $checked = ($erg[0] == 'j') ? 'checked' : '';

        echo "<th class=\"cl1\"><input type=\"checkbox\" ";
        echo "name=\"check_$row[8]\" $checked></th>\n";
      }

    	echo "<td class=\"cl11\" style=\"text-align:right;\">$row[1]</td>\n";
    	echo "<td class=\"cl11\" style=\"text-align:right;\">$row[2]</td>\n";

    	if ($row[17] > 0 && $row[17] != $row[21]){
    		$fls = $row[18];
    		$style  = "style=\"text-align:right;color:yellow;\"";
    		$style .= stwToolTip('&uuml;berschneidende Zeitkarten!');
    	} else {
    		$fls = $row[3];
    		$style = "style=\"text-align:right;\"";
    	}
    	echo "<td class=\"cl11\" $style>$fls</td>";

    	if ($row[19] > 0 && $row[19] != $row[15]){
    		$fz = $row[20];
    		$fz1 = $row[19];
    		$color = ($row[19] < 0) ? 'red;text-decoration:blink;' : 'yellow;';
    		$style = "style=\"text-align:right;color:$color\"";
    		$title = stwToolTip('&uuml;berschneidende Zeitkarten!');
    	} else {
    		$fz = $row[4];
    		$fz1 = $row[15];
    		$style = "style=\"text-align:right;";
    		$style .= ($row[15] < 0) ? "color:red;text-decoration:blink;\"" : "\"";
    		$title = '';
    	}

    	echo "<td class=\"cl11\"";
    	echo ($fz1 > 0) ? " $style $title>$fz" : '>';
    	echo "</td>\n";

    	echo "<td class=\"cl11\">$row[10]</td>";
    	echo "<td class=\"cl11\">$row[6]</td>";
    	$inh = wordwrap($row[7], 50, '<br>', 1);
    	echo "<td class=\"cl11\">". nl2br($inh) . "</td>";

    	if (($row[5] == $uid || $ulv >= 96) && empty($row[12])){

    		/* ZK nur benutzen wenn nicht gesperrt */
        $sql = "SELECT sperre FROM tb_ab_zk WHERE zk_id=".$row[8].";";
        $sperr = abfrage($sql);

        if ($sperr[0] == 'n') {
        	$delln = "kal_del_sql.php?ktyp=z&zk_id=$row[8]&termin_id=$row[14]";
        	echo "<td class=\"cl11\"><a href=\"$delln\" style=\"color:red\"";
        	echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a></td>\n";
    		  $link3 = "kal_serie.php?termin_id=$row[14]&zk_id=$row[8]";
    		  echo "<td class=\"cl11\"><a href=\"$link3\">Serie</a></td>\n";
        }
    	}

    	if (strlen($row[22]) > 0){
    		echo "<td" . stwToolTip('interne Inhalte vorhanden!');
    		echo ">B</td>\n";
    	}
    	echo "</tr>\n";
    }

    echo "</table>\n";
    new stwLine(1);
  }
}

if (!empty($rvar_aufgabe_id)) {
	new stwEnd($seite, empty($datum) ? -mktime(0,0,0,date('m'),date('d'),date('Y')) : -date_isodate_stamp(date_time_stamp($datum)), NULL, NULL, $rvar_aufgabe_id, "0");
} else {
	new stwEnd($seite, empty($datum) ? -mktime(0,0,0,date('m'),date('d'),date('Y')) : -date_isodate_stamp(date_time_stamp($datum)));
}

?>
