<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: auf_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

 require_once($pfad."inc/auth.inc.php");

 $traeger = $_SESSION[$AppCode]['TR'];
 $pdf_datei = "mandant/$traeger/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');


$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(auto, 25);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

$zh = 5.5;

$pdf->AddPage();

$sql  = "select a.autor, a.titel, a.text, a.prio, ";
$sql .= "date_format(a.eingabe, '%d.%m.%Y') as eingabe, ";
$sql .= "date_format(a.termin, '%d.%m.%Y') as termin, ";
$sql .= "date_format(a.erl_datum, '%d.%m.%Y') as erl_datum, ";
$sql .= "a.erledigt, a.proj_id, h.pers_id, a.abt_id, a.nr, ";
$sql .= "s.team_art_id from tb_aufgaben a ";
$sql .= "left join tbh_pers_auf h on a.aufgabe_id = h.aufgabe_id and h.zust = 'j' ";
$sql .= "left join tbh_sitzung_aufgaben s on a.aufgabe_id = s.aufgabe_id ";
$sql .= "where a.aufgabe_id = '$rvar_aufgabe_id';";
$auf = abfrage_assoc($sql);

$footer = $auf['titel'];
$titel = "Aufgabe ".$auf['nr'].": $footer";
$pdf->SetFont('stw','',13);
$pdf->Text(70,14,strcut($titel,50));

$prio = abfrage("select prioritaet from tb_prio where prio='{$auf['prio']}';");
$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,$zh,"Prioritt:",0,0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Cell(20,$zh,$prio[0]);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(25,$zh,"Termin:",0,0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Cell(20,$zh,$auf['termin']);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(25,$zh,"erledigt:",0,0,'R');
$pdf->SetFont('Arial','',10);
$dat = $auf['erledigt'] < 100 ? '' : 'am '.$auf['erl_datum'];
$pdf->Cell(20,$zh,"{$auf['erledigt']} % $dat");

$pdf->Ln(7);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,$zh,"Autor:",0,0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Cell(98,$zh,pers_name($auf['autor']),0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,$zh,"Zustndig:",0,0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Cell(98,$zh,$auf['pers_id']==99999 ? 'C-Zeitenliste' : pers_name($auf['pers_id']),0,1);

$res = abfrage1("select pers_id, auf from tbh_pers_auf
				where aufgabe_id = '$rvar_aufgabe_id'
				and zust = 'n';");

if (mysql_num_rows($res) > 0) {
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(30,$zh,"weitere Mitarbeiter:",0,0,'R');
	$pdf->SetFont('Arial','',10);
	while ($zeile = mysql_fetch_row($res)) {
		$pdf->Cell(98,$zh,pers_name($zeile[0]) . (empty($zeile[1]) ? '' : ": $zeile[1]"),0,2);
	}
}

$pdf->Ln(0);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,$zh,"Projekt:",0,0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Cell(98,$zh,empty($auf['proj_id']) ? 'keinem Projekt zugeordnet' : projektnummer($auf['proj_id']),0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,$zh,"Abteilung:",0,0,'R');
$pdf->SetFont('Arial','',10);
if(!empty($auf['abt_id'])) $abt = abfrage("select name from tb_personal_abt where abt_id='{$auf['abt_id']}';");
$pdf->Cell(98,$zh,empty($auf['abt_id']) ? 'keiner Abteilung zugeordnet' : $abt[0],0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,$zh,"Sitzung:",0,0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Cell(98,$zh,empty($auf['team_art_id']) ? 'keiner Sitzungsart zugeordnet' : team_nummer($auf['team_art_id']),0,1);

$pdf->Ln(3);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(180,$zh,$titel,0,1);
$pdf->SetFont('Arial','',10);
$pdf->MultiCell(180,4.5,$auf['text'],0,1);

$pdf->Output();
exit;
?>