<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: auf_pr2.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

 require_once($pfad."inc/auth.inc.php");

 $traeger = $_SESSION[$AppCode]['TR'];
 $pdf_datei = "mandant/$traeger/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('L','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(0);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

$zh = 4.5;
$pers_order = getPersOrder(2);
$anz = empty($_GET['anz']) ? 'w1' : $_GET['anz'];
$zust = empty($_GET['zust']) ? getPersEinst($uid, "orga_aufgaben_zust", $uid) : $_GET['zust'];
$abt = empty($_GET['abt']) ? getPersEinst($uid, "orga_aufgaben_abt", 'all') : $_GET['abt'];
$aut = (empty($_GET['aut'])) ? getPersEinst($uid, "orga_aufgaben_autor", 'all') : $_GET['aut'];
$sort = (empty($_GET['sort'])) ? 'termin' : $_GET['sort'];

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

switch ($anz){
	case 'w1':
	case 'w2':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (14 * 86400);
		break;
	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(0,0,0,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;
	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;
	case 't';
		$sql_beg = $tag;
		$sql_end = $tag + (14*86400);
		break;
}

switch ($sort){
	case 'prio':
		$order = 't2.prio desc, termin asc';
		break;
	case 'termin':
		$order = 't1.termin asc';
		break;
	case 'erst':
		$order = 't1.eingabe asc';
		break;
	case 'pers':
		if($pers_order == 2) $order = 't4.name asc, t4.vorname asc';
		else $order = 't4.vorname asc, t4.name asc';
		break;
	case 'aut':
		if($pers_order == 2) $order = 't5.name asc, t5.vorname asc';
		else $order = 't5.vorname asc, t5.name asc';
		break;
	case 'titel':
		$order = 't1.titel asc';
		break;
	case 'erl':
		$order = 't1.erledigt desc, t1.erl_datum desc';
		break;
	case 'erld':
		$order = 't1.erl_datum desc';
		break;
	case 'nr':
		$order = 'nr_sort asc, t1.nr asc';
		break;
	case 'abt':
		$order = 'nr_sort asc, t1.nr asc';
		break;
}


$sql  = "select t1.aufgabe_id, t2.prioritaet, ";
$sql .= "date_format(t1.termin,'%d.%m.%Y') as termin, t6.pers_id, t1.autor, ";
$sql .= "t1.titel, t1.erledigt, t2.prio, ";
$sql .= "date_format(t1.erl_datum,'%d.%m.%Y') as erl_datum, ";
$sql .= "to_days(t1.termin) as to_termin, to_days(curdate()) as to_heute, ";
$sql .= "date_format(t1.eingabe,'%d.%m.%Y') as eingabe, ";
$sql .= "abt.name as abteilung, t1.nr, ";
$sql .= "if(length(abt.name) > 0, abt.name, 'ZZZZZ') as nr_sort ";
$sql .= "from tb_aufgaben t1 left join tb_prio t2 using (prio) ";
$sql .= "left join tbh_pers_auf t3 on t1.aufgabe_id = t3.aufgabe_id ";
$sql .= "left join tb_personal_abt abt on t1.abt_id = abt.abt_id ";
$sql .= "left join tb_personal t4 on t3.pers_id = t4.pers_id ";
$sql .= "left join tb_personal t5 on t1.autor = t5.pers_id ";
$sql .= "left join tbh_pers_auf t6 on t1.aufgabe_id = t6.aufgabe_id and t6.zust = 'j' ";
$where = 'where';
if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
	$where = 'and';
	$sql .= "where unix_timestamp(t1.eingabe) <= '$sql_end' ";
	$sql .= "and (unix_timestamp(t1.erl_datum) >= '$sql_beg' ";
	$sql .= "or t1.erl_datum = '0000-00-00' or t1.erl_datum is null) ";
}
if($aut != 'all') {
	$sql .= " $where t1.autor = '$aut' ";
	$where = 'and';
}
if ($zust != 'all'){
	$sql .= "$where t3.pers_id = '$zust' ";
	$where = 'and';
}
if ($abt != 'all'){
	$sql .= "$where t1.abt_id = '$abt' ";
	$where = 'and';
}
$sql .= "group by aufgabe_id order by $order;";

$res = abfrage1($sql);

$pdf->AddPage();

$titel = $footer = 'Aufgabenliste';
$pdf->SetXY(70,9);

$pdf->SetFont('stw','',13);
$pdf->Cell(40,$zh,$titel);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(25,$zh,"Zustndig:",0,0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Cell(25,$zh,$zust==99999 ? 'C-Zeitenliste' : (($zust == 'all') ? 'ALLE' : pers_kname($zust)));

$pdf->SetFont('Arial','B',10);
$pdf->Cell(20,$zh,"Autor:",0,0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Cell(25,$zh,(($aut == 'all') ? 'ALLE' : pers_kname($aut)));

$pdf->SetFont('Arial','B',10);
$pdf->Cell(20,$zh,"Abt.:",0,0,'R');
$pdf->SetFont('Arial','',10);
if($abt != 'all') $abtname = abfrage("select name from tb_personal_abt where abt_id='$abt'");
$pdf->Cell(25,$zh,(($abt == 'all') ? 'ALLE' : $abtname[0]));

$pdf->SetXY(15,30);

$DoTitle = true;

while($zeile = mysql_fetch_array($res)) {
	if($pdf->GetY() > 180) {
		$DoTitle = true;
		$pdf->AddPage();
	}
	if($DoTitle) {
		$pdf->SetFont('arial','b',8);
		$pdf->Cell(20,$zh,'Prio',1,0,'C',0);
		$pdf->Cell(20,$zh,'fllig',1,0,'C',0);
		$pdf->Cell(20,$zh,'erstellt',1,0,'C',0);
		$pdf->Cell(15,$zh,'Nr.',1,0,'C',0);
		$pdf->Cell(82,$zh,'Titel',1,0,'C',0);
		$pdf->Cell(30,$zh,'zustndig',1,0,'C',0);
		$pdf->Cell(30,$zh,'Autor',1,0,'C',0);
		$pdf->Cell(30,$zh,'Abteilung',1,0,'C',0);
		$pdf->Cell(20,$zh,'erl.',1,1,'C',0);
		$pdf->SetFont('arial','',8);
		$DoTitle = false;
	}
	$pdf->Cell(20,$zh,$zeile['prioritaet'],0,0,'R');
	$pdf->Cell(20,$zh,$zeile['termin'],0,0,'C');
	$pdf->Cell(20,$zh,$zeile['eingabe'],0,0,'C');
	$pdf->Cell(15,$zh,$zeile['nr'],0,0,'C');
	$pdf->Cell(82,$zh,$zeile['titel']);
	$pdf->Cell(30,$zh,($zeile['pers_id'] == "99999") ? 'C-Zeitenliste' : pers_kname($zeile['pers_id']),0,0,'C');
	$pdf->Cell(30,$zh,pers_kname($zeile['autor']),0,0,'C');
	$pdf->Cell(30,$zh,$zeile['abteilung'],0,0,'C');
	$pdf->Cell(20,$zh,$zeile['erledigt'] < 100 ? proz_form($zeile['erledigt'], 0) : $zeile['erl_datum'],0,1,'C');
}

$pdf->Output();
exit;
?>