<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: azk2_pr.php 2905 2018-11-08 10:00:59Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/azk_charts.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_2.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');


setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");
$pdf=new PDF('L','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$footer = "Arbeitszeitkonto";

$date = abfrage("select unix_timestamp(datum), datum
				from tb_ab_nachw
				where nachw_id = {$_GET['nw']};");

if(isset($_GET['ewald']) && $_SESSION[$AppCode]['UID'] == $_GET['ma']) {
	abfrage2("update tb_azk_kontrolle set ewald='j' where pers_id='{$_GET['ma']}' and datum='$date[1]'");
}

 /* Jahresdarstellung wird nur das Jahr in der Ueberschrift benoetigt */
 if ($_GET["jahr"] == 1)
 {
   $dat = strftime("%Y", $date[0]);
   $year = strftime("%Y", $date[0]);
 }
 else
 {
   $dat = strftime('%B %Y', $date[0]);
   $year = strftime("%Y", $date[0]);
 }

$vorjahr = check_nutzer_rechte(130) ? 0 : date('Y')-1;
if($year < $vorjahr) { // ist nicht!
	$pdf->AddPage();
	$pdf->SetFont('stw','',14);
	$pdf->Text(65,100,"Ausgabe nicht mglich. Das gewnschte AZK liegt vor dem Vorjahr.");
	$pdf->Output();
	exit(-1);
}

function printPerson($pers, $nwid, $abm, $level, $jahr, $tt_vun){

	$s_fls_netto = $s_vun = $s_fz_netto = $s_fz_brutto = $s_doku = $s_fls_brutto = 0;
	$s_fls_fm = $s_spesen = $s_kmp = $s_kmd = $s_kmg = $s_c = $s_ver = $s_czt = 0;

	/* Jahresuebersicht ausgeben wenn gewuenscht */
	if ($jahr == 1) {
		$sql .= "SELECT SUM(fls_netto) as fls_netto, SUM(fz_brutto) as fz_brutto, ";
		$sql .= "SUM(fz_netto) as fz_netto, SUM(doku) as doku, proj_id, ";
		$sql .= "SUM(fls_brutto) as fls_brutto, SUM(fm) as fm, SUM(spesen) as spesen, ";
		$sql .= "SUM(pkw_p) as pkw_p, SUM(pkw_d) as pkw_d, SUM(pkw_g) as pkw_g, ";
		$sql .= "SUM(sum_c) as sum_c, SUM(vun) as vun FROM tb_x_azk_proj ";
		$sql .= "WHERE pers_id= '$pers' AND nachw_id= '$nwid' GROUP BY pers_id;";
	} else {
		$sql  = "select p.proj_id, fls_netto, fz_brutto, fz_netto, doku, fls_brutto, ";
		$sql .= "fm, spesen, pkw_p, pkw_d, pkw_g, sum_c, vun ";
		$sql .= "from tb_x_azk_proj t ";
		$sql .= "left join tb_projekte p using(proj_id) ";
		$sql .= "where t.nachw_id = '$nwid' ";
		$sql .= "and t.pers_id = '$pers' ";
		$sql .= "order by p.projektnr asc;";
	}
	$pro  = abfrage1($sql);
	if (mysql_num_rows($pro) > 0){
	  while ($row = mysql_fetch_assoc($pro)){
		if($jahr != 1) $proj = new stwProjekt($row['proj_id']);
		$fls_netto = $row['fls_netto'];
		$vun = (getConf('vor_nach_b') == 1 || ($tt_vun && ($jahr == 1 || $proj->h_art == 'TTH' || $proj->h_art == 'TTP'))) ? $row['vun'] : 0;
		$fz_brutto = $row['fz_brutto'];
		$fz_netto = $row['fz_netto'];
		$doku = $row['doku'];
		$fls_brutto = $row['fls_brutto'];
		$fls_fm = $row['fm'];
		$spesen = $row['spesen'];
		$pkw_p  = $row['pkw_p'];
		$pkw_d  = $row['pkw_d'];
		$pkw_g  = $row['pkw_g'];
		$sum_c  = $row['sum_c'];
		$s_fls_netto += $fls_netto;
		$s_vun += $vun;
		$s_fz_netto += $fz_netto;
		$s_fz_brutto += $fz_brutto;
		$s_doku += $doku;
		$s_fls_brutto += $fls_brutto;
		$s_fls_fm += $fls_fm;
		$s_spesen += $row['spesen'];
		$s_kmp += $row['pkw_p'];
		$s_kmd += $row['pkw_d'];
		$s_kmg += $row['pkw_g'];
		$s_c += $row['sum_c'];
		if ($jahr != 1) {
		  if ($proj->ab == 'n') $s_ver += $fls_netto;
		  if ($proj->h_art == 'CZT') $s_czt += $fls_netto;
		} else {
			/* alle VER und CZT Projekte ermitteln und dann summieren */
			$sql  = "SELECT SUM(t1.fls_netto) FROM tb_x_azk_proj t1 ";
			$sql .= "LEFT JOIN tb_projekte t2 ON t1.proj_id = t2.proj_id ";
			$sql .= "LEFT JOIN tb_kontakte_ap t3 ON t2.ap_id = t3.ap_id ";
			$sql .= "LEFT JOIN tb_kontakte t4 ON t3.kont_id = t4.kont_id ";
			$sql .= "WHERE t1.nachw_id='".$nwid."' AND (t4.ab='n') ";
			$sql .= "AND t1.pers_id='".$pers."';";
			$erg  = abfrage($sql);
			$s_ver += $erg[0];
			$sql  = "SELECT SUM(t1.fls_netto) FROM tb_x_azk_proj t1 ";
			$sql .= "LEFT JOIN tb_projekte t2 ON t1.proj_id = t2.proj_id ";
			$sql .= "WHERE t1.nachw_id='".$nwid."' AND t2.hilfeart_id='41' ";
			$sql .= "AND t1.pers_id='".$pers."';";
			$erg  = abfrage($sql);
			$s_czt += $erg[0];
		}
	  }
	}  
  $abm_feld  = explode("-", $abm);
  $abm_start = mktime(0, 0, 0, $abm_feld[1], $abm_feld[2], $abm_feld[0]);

  if (getConf("doku_halb") == "1" && $abm_start >= 1185919200)
  {
	$s_doku /= 2.0;
	if ($s_c > 0.0)
	{
	  $s_doku -= $s_c;
	  if ($s_doku < 0.0) $s_doku = 0.0;
	}
  }
  $vun = (getConf('vor_nach_b') == 1 || $tt_vun) ? $s_vun : 0;
  $s_fls_brutto = round($s_fls_netto + $s_fz_netto + $s_doku + $vun, 2);
  $s_doku       = round($s_doku, 2);
	$prs = abfrage("select fls_soll, fls_gel, auslast, azk_ueb, azk_std
						from tb_x_azk_pers
						where nachw_id = $nwid
						and pers_id = $pers;");
	$soll = $prs[0];
	if (pers_azk($pers) && pers_betreuer($pers) && $soll > 0){

	  $fehlz = fehlz_monat_pers($pers, $abm);
		$ausl = round(($s_fls_brutto + $fehlz) / ($soll + $fehlz) * 100, 2);
	} else {
		$ausl = 0;
	}
	$azk = $prs[3];
	$sql  = "SELECT datum, UNIX_TIMESTAMP(datum) FROM tb_ab_nachw ";
	$sql .= "WHERE nachw_id=".$nwid;
	$nw_datum = abfrage($sql);

	$sql  = "SELECT korrektur, korrektur_notiz FROM tb_azk ";
	$sql .= "WHERE datum='".$nw_datum[0]."' AND pers_id=".$pers;

	$erg_kor  = abfrage($sql);
	$m = getConf("upd_mon");
	$heute = getdate();
	$gr = mktime(0, 0, 0, $heute["mon"] - $m, 1, $heute["year"]);
	$stand = $prs[4];
	return array(
				'netto' => $s_fls_netto,
				'vun' => $s_vun,
				'fzn' => $s_fz_netto,
				'fzb' => $s_fz_brutto,
				'doku' => $s_doku,
				'brutto' => $s_fls_brutto,
				'fm' => $s_fls_fm,
				'spesen' => $s_spesen,
				'kmp' => $s_kmp,
				'kmd' => $s_kmd,
				'kmg' => $s_kmg,
				'c' => $s_c,
				'ver' => $s_ver,
				'czt' => $s_czt,
				'soll' => $soll,
				'azk' => $azk,
				'stand' => $stand,
				'ausl' => $ausl
				);
}

if(is_numeric($_GET['ma']) || $_SESSION[$AppCode]["ULV"] < 60) $personal[0] = $_GET['ma'];
else {
	if($year >= 2012) {
		$anfang = ($jahr == 1) ? mktime(0,0,0,1,1,$year) : $date[0];
		$ende = ($jahr == 1) ? mktime(0,0,0,1,1,$year+1) : mktime(0,0,0,date('m',$date[0])+1,date('d',$date[0]),$year);
		$sql = "select pers_id from tb_personal
				where azk='j' and 
				unix_timestamp(if(unix_timestamp(anstellung) > 0, 
					if(unix_timestamp(eintritt) > 0, 
					if(unix_timestamp(eintritt)>unix_timestamp(anstellung),anstellung,eintritt),
					anstellung), eintritt)) < $ende
				and ((unix_timestamp(austritt) = 0 and status_id = 2) or
					unix_timestamp(austritt) >= $anfang)
				order by personalnr asc;";
	} else {
		$ende = $year + 1;
		$sql  = "SELECT t1.pers_id FROM tb_ab_zk t1 ";
		$sql .= "LEFT JOIN tb_personal t2 ON t1.pers_id = t2.pers_id ";
		$sql .= "LEFT JOIN tb_ab_nachw t3 ON t1.nachw_id = t3.nachw_id ";
		$sql .= "WHERE t3.datum >= '$year-01-01' AND ";
		$sql .= "t3.datum < '$ende-01-01' AND t2.azk='j' ";
		$sql .= "GROUP BY t1.pers_id ";
		$sql .= "ORDER BY t2.personalnr ASC;";
	}
	$res = abfrage1($sql);
	while ($row = mysql_fetch_row($res)) {
		$personal[] = $row[0];
	}

	$ts = mktime() + 1;
}

foreach($personal as $pers) {

$pdf->AddPage();

if(getConf('tt_vor_nach_b') == 1) {
	$sql  = "select SUM(vun) from tb_x_azk_proj x ";
	$sql .= "left join tb_projekte p on x.proj_id = p.proj_id ";
	$sql .= "left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id ";
	$sql .= "where (h.hilfeart = 'TTH' or h.hilfeart = 'TTP') ";
	$sql .= "and x.pers_id = " . $pers;
	if($_GET["jahr"] != 1)
	  $sql .= " and x.nachw_id= " . $_GET['nw'];
	$tt = abfrage($sql);
	$tt_vun = ($tt[0] > 0);
} else $tt_vun = false;

$titel = "Arbeitszeitkonto    ";
$titel .= pers_name($pers) . "    ";
$titel .= $dat;
$pdf->SetFont('stw','',14);
$pdf->Text(15,30,$titel);

$y_axis = 35;
$rh = 4;

// berschriften
$pdf->SetFont('arialb','',8);
$pdf->SetFillColor(150,150,150);
$pdf->SetLineWidth('0.1');
$pdf->SetY($y_axis);
$pdf->SetX(15);

if ($_GET["jahr"] == 1)
{
  $pdf->Cell(20,$rh,'Monate',1,0,'L',0);
  $breite1 = 20;
  $breite2 = 16;
}
else
{
  $breite1 = 25;
  $breite2 = 14;

  $pdf->Cell(25,$rh,'Projekt-Nr.',1,0,'L',0);
}
$pdf->Cell($breite2,$rh,'FLS',1,0,'C',0);
if(getConf('vor_nach_b') == 1 || $tt_vun)
  $pdf->Cell(14,$rh,'VuN',1,0,'C',0);
$pdf->Cell(14,$rh,'Fahrzeit',1,0,'C',0);
$pdf->Cell(14,$rh,'FZ netto',1,0,'C',0);
$pdf->Cell(14,$rh,'Doku',1,0,'C',0);
$pdf->Cell(17,$rh,'FLS brutto',1,0,'C',0);
$pdf->Cell($breite2,$rh,'FM',1,0,'C',0);
$pdf->Cell(17,$rh,'Spesen',1,0,'C',0);
$pdf->Cell(14,$rh,'Privat',1,0,'C',0);
$pdf->Cell(14,$rh,'Dienst',1,0,'C',0);
$pdf->Cell(14,$rh,'km ges.',1,0,'C',0);
$pdf->Cell(14,$rh,'Summe C',1,0,'C',0);
$pdf->SetFont('arial','',8);

 /* Jahresdarstellung die Monate sonst die einzelnen Projekte */
 if ($_GET["jahr"] == 1)
 {
   /* alle Monate auswaehlen die dieses Jahr betreffen */
   $sql  = "SELECT nachw_id, datum FROM tb_ab_nachw ";
   $sql .= "WHERE datum>='".$dat."-01-01' AND datum<='".$dat."-12-31';";

   /* Initialisierung der Summenvariablen */
   $s_fls = 0; $s_fz_n = 0; $s_fz_b = 0; $s_dok = 0; $s_sum = 0; $s_fm = 0;
   $s_spes = 0; $s_kmp = 0; $s_kmd = 0; $s_kmg = 0; $s_c = 0; $s_ver = 0; $s_vun = 0;

   $monate = abfrage1($sql);
   while ($zeile = mysql_fetch_row($monate))
   {
     $res = abfrage1("select t.* 	from tb_x_azk_proj t
				left join tb_projekte p using(proj_id)
				where t.nachw_id = {$zeile[0]}
				and t.pers_id = '$pers'
				order by p.projektnr asc;");

     $y_axis = $y_axis + $rh;
     $pdf->SetFont('arial','',8);

     $z_fls = 0; $z_fz_n = 0; $z_fz_b = 0; $z_dok = 0; $z_sum = 0; $z_fm = 0;
     $z_spes = 0; $z_kmp = 0; $z_kmd = 0; $z_kmg = 0; $z_c = 0; $z_vun = 0;

     while ($row = mysql_fetch_row($res))
     {
        $z_fls += $row[3];
        $z_fz_n += $row[4];

        $z_fz_b += $row[5];
        $z_dok += $row[6];

        $z_sum += $row[7];
        $z_fm += $row[8];

        $z_spes += $row[9];
        $z_kmp += $row[10];

        $z_kmd += $row[11];
        $z_kmg += $row[12];

        $z_c += $row[13];
        $z_vun += $row[14];
     }

     /* die Zwischenergebnisse zu den Endsummen addieren */
     $s_fls += $z_fls;
     $s_fz_n += $z_fz_n;

     $s_fz_b += $z_fz_b;
     $s_fm += $z_fm;

     $s_spes += $z_spes;
     $s_kmp += $z_kmp;

     $s_kmd += $z_kmd;
     $s_kmg += $z_kmg;

     $s_c += $z_c;
     $s_vun += $z_vun;

     /* Ausgabe fuer diesen Monat */
     $pdf->SetY($y_axis);
     $pdf->SetX(15);

     $pdf->SetFont('arialb','',8);

     $i = explode("-", $zeile[1]);
     $monat_name = strftime("%B", mktime(0, 0, 0, $i[1], 1, 1));

     $pdf->Cell($breite1,$rh,$monat_name,1,0,'L',0);
     $pdf->Cell($breite2,$rh,fls_form($z_fls),1,0,'R',0);

     if(getConf('vor_nach_b') == 1 || $tt_vun)
       $pdf->Cell(14,$rh,fls_form($z_vun),1,0,'R',0);

     $pdf->Cell(14,$rh,fls_form($z_fz_n),1,0,'R',0);
     $pdf->Cell(14,$rh,fls_form($z_fz_b),1,0,'R',0);

     /* nur aktivieren ab August 2007 */
     $abm_feld  = explode("-", $zeile[1]);
     $abm_start = mktime(0, 0, 0, $abm_feld[1], $abm_feld[2], $abm_feld[0]);

     if (getConf("doku_halb") == "1" && $abm_start >= 1185919200)
     {
       $z_dok /= 2.0;
       $z_dok -= $z_c;

       if ($z_dok < 0.0) $z_dok = 0.0;
     }

     /* Summe der Dokustunden ausgeben */
     $pdf->Cell(14,$rh,fls_form($z_dok),1,0,'R',0);

     /* FLS Brutto hier berechnen: FLS netto + Fahrzeit netto + Doku */
     $z_sum = $z_fls + $z_fz_b + $z_dok;
     $pdf->Cell(17,$rh,fls_form($z_sum),1,0,'R',0);

     /* fuer die Gesamtzeile zusammenaddieren */
     $s_dok += $z_dok;
     $s_sum += $z_sum;

     $pdf->Cell($breite2,$rh,fls_form($z_fm),1,0,'R',0);
     $pdf->Cell(17,$rh,geld_form($z_spes),1,0,'R',0);

     $pdf->Cell(14,$rh,km_form($z_kmp),1,0,'R',0);
     $pdf->Cell(14,$rh,km_form($z_kmd),1,0,'R',0);

     $pdf->Cell(14,$rh,km_form($z_kmg),1,0,'R',0);
     $pdf->Cell(14,$rh,fls_form($z_c),1,0,'R',0);
   }

   $y_axis += $rh;
 }
 else
 {
$sql = "select t.*
		from tb_x_azk_proj t
		left join tb_projekte p using(proj_id)
		where t.nachw_id = {$_GET['nw']}
		and t.pers_id = '$pers'
		order by p.projektnr asc;";
$res = abfrage1($sql);

$y_axis = $y_axis + $rh;
$pdf->SetFont('arial','',8);

$s_fls = 0;
$s_fz_n = 0;
$s_fz_b = 0;
$s_dok = 0;
$s_sum = 0;
$s_fm = 0;
$s_spes = 0;
$s_kmp = 0;
$s_kmd = 0;
$s_kmg = 0;
$s_c = 0;
$s_ver = 0;
$s_vun = 0;

while ($row = mysql_fetch_row($res)) {
	$pro = new stwProjekt($row[2]);
	$pdf->SetY($y_axis);
	$pdf->SetX(15);
	
	$pnr = $pro->nummer();
	$pdf->Cell(25,$rh,$pnr,1,0,'L',0);	
	
	$fls = $row[3];
	$pdf->Cell(14,$rh,fls_form($fls),1,0,'R',0);
	$s_fls += $fls;
	
	if(getConf('vor_nach_b') == 1 || $tt_vun) {
	  $vun = $row[14];
	  $pdf->Cell(14,$rh,fls_form($vun),1,0,'R',0);
	  $s_vun += $vun;
	}

	$fz_n = $row[4];
	$pdf->Cell(14,$rh,fls_form($fz_n),1,0,'R',0);		
	$s_fz_n += $fz_n;
	
	$fz_b = $row[5];
	$pdf->Cell(14,$rh,fls_form($fz_b),1,0,'R',0);	
	$s_fz_b += $fz_b;
	
	$dok = $row[6];
	$pdf->Cell(14,$rh,fls_form($dok),1,0,'R',0);
	$s_dok += $dok;
			
	$sum = $row[7];
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(17,$rh,fls_form($sum),1,0,'R',0);
	$pdf->SetFont('arial','',8);
	$s_sum += $sum;
	
	$fm = $row[8];
	$pdf->Cell(14,$rh,fls_form($fm),1,0,'R',0);
	$s_fm += $fm;

	$spes = $row[9];
	$pdf->Cell(17,$rh,geld_form($spes),1,0,'R',0);
	$s_spes += $spes;
	
	$kmp = $row[10];
	$pdf->Cell(14,$rh,km_form($kmp),1,0,'R',0);
	$s_kmp += $kmp;
	
	$kmd = $row[11];
	$pdf->Cell(14,$rh,km_form($kmd),1,0,'R',0);
	$s_kmd += $kmd;
	
	$kmg = $row[12];
	$pdf->Cell(14,$rh,km_form($kmg),1,0,'R',0);
	$s_kmg += $kmg;

	$sc = $row[13];
	$pdf->Cell(14,$rh,fls_form($sc),1,0,'R',0);
	$s_c += $sc;
	
	$y_axis = $y_axis + $rh;
}

  } // Auswahl Jahresdarstellung else Zweig Ende

$pdf->SetY($y_axis);
$pdf->SetX(15);
$pdf->SetFont('arialb','',8);

$pdf->Cell($breite1,$rh,'Summen',1,0,'L',0);
$pdf->Cell($breite2,$rh,fls_form($s_fls),1,0,'R',0);
if(getConf('vor_nach_b') == 1 || $tt_vun)
  $pdf->Cell(14,$rh,fls_form($s_vun),1,0,'R',0);
$pdf->Cell(14,$rh,fls_form($s_fz_n),1,0,'R',0);
$pdf->Cell(14,$rh,fls_form($s_fz_b),1,0,'R',0);

 /* nur aktivieren ab August 2007 */
 $abm_feld  = explode("-", $date[1]);
 $abm_start = mktime(0, 0, 0, $abm_feld[1], $abm_feld[2], $abm_feld[0]);

 if (getConf("doku_halb") == "1" && $abm_start >= 1185919200)
 {
   $s_dok /= 2.0;
   $s_dok -= $s_c;

   if ($s_dok < 0.0) $s_dok = 0.0;
 }

 /* Summe der Dokustunden ausgeben */
 $pdf->Cell(14,$rh,fls_form($s_dok),1,0,'R',0);

 /* FLS Brutto hier berechnen: FLS netto + Fahrzeit netto + Doku */
 $s_sum = $s_fls + $s_fz_b + $s_dok;
 if(getConf('vor_nach_b') == 1 || $tt_vun) $s_sum += $s_vun;
 $pdf->Cell(17,$rh,fls_form($s_sum),1,0,'R',0);

$pdf->Cell($breite2,$rh,fls_form($s_fm),1,0,'R',0);
$pdf->Cell(17,$rh,geld_form($s_spes),1,0,'R',0);
$pdf->Cell(14,$rh,km_form($s_kmp),1,0,'R',0);
$pdf->Cell(14,$rh,km_form($s_kmd),1,0,'R',0);
$pdf->Cell(14,$rh,km_form($s_kmg),1,0,'R',0);
$pdf->Cell(14,$rh,fls_form($s_c),1,0,'R',0);

if ($_GET["jahr"] == 1)
{
  $sql  = "SELECT SUM(fls_soll), SUM(fls_gel), SUM(azk_ueb) ";
  $sql .= "FROM tb_x_azk_pers t1 ";

  $sql .= "LEFT JOIN tb_ab_nachw t2 ON t1.nachw_id = t2.nachw_id ";
  $sql .= "WHERE pers_id='$pers' AND YEAR(t2.datum)=".$dat.";";

  $prs = abfrage($sql);
}
else
{
  $prs = abfrage("select fls_soll, fls_gel, azk_ueb, azk_std
				from tb_x_azk_pers
				where nachw_id = {$_GET['nw']}
				and pers_id = '$pers';");
}

$pdf->SetFont('arialb','',10);
$rh2 = 7;
$x = (getConf('vor_nach_b') == 1 || $tt_vun) ? 224 : 210;
$pdf->SetXY($x,35);

$pdf->Cell(50,$rh2,'Zusammenfassung',1,0,'L',0);

$pdf->Ln($rh2);
$pdf->SetX($x);

$pdf->Cell(30,$rh2,'FLS Soll','L',0,'L',0);


$soll = fls_form($prs[0]);
$pdf->Cell(20,$rh2,$soll,'R',0,'R',0);

$pdf->Ln($rh2);
$pdf->SetX($x);

$pdf->Cell(30,$rh2,'FLS geleistet','BL',0,'L',0);

$gel = fls_form($prs[1]);
$pdf->Cell(20,$rh2,$gel,'BR',0,'R',0);

$pdf->Ln($rh2);
$pdf->SetX($x);

$pdf->Cell(30,$rh2,'bertrag ins AZK','BL',0,'L',0);

$azk = fls_form($prs[2]);
$pdf->Cell(20,$rh2,$azk,'BR',0,'R',0);

/* Stand vom Vormat macht bei Jahresuebersicht keinen Sinn */
if ($_GET["jahr"] != 1)
{
  $nw_vm = abfrage("select nachw_id from tb_ab_nachw
					where datum < '$date[1]'
					order by datum desc
					limit 1;");

  $st_vm = abfrage("select azk_std from tb_x_azk_pers
				where nachw_id = $nw_vm[0]
				and pers_id = '$pers';");
}
else
{
  $vjahr = $dat - 1;
  /* Stand vom Vorjahr ermitteln */
  $sql  = "SELECT t1.azk_std FROM tb_x_azk_pers t1 ";
  $sql .= "LEFT JOIN tb_ab_nachw t2 ON t1.nachw_id = t2.nachw_id ";

  $sql .= "WHERE t1.pers_id='$pers' AND datum='".$vjahr."-12-01';";
  $st_vm = abfrage($sql);
}

$pdf->Ln($rh2);
$pdf->SetX($x);

if ($_GET["jahr"] == 1)
{
  $pdf->Cell(30, $rh2, "Stand Vorjahr", "BL", 0, "L", 0);
}
else
{
  $pdf->Cell(30,$rh2,'Stand Vormonat','BL',0,'L',0);
}

$stand = fls_form($st_vm[0]);
$pdf->Cell(20,$rh2,$stand,'BR',0,'R',0);

 /* alle Korrekturen summiert ausgeben */
 if ($_GET["jahr"] == 1)
 {
   $sql  = "SELECT SUM(korrektur) FROM tb_azk WHERE YEAR(datum)=".$dat." ";
   $sql .= "AND pers_id='$pers';";
 }
 else
 {
   /* eine moegliche AZK Korrektur zeigen */
   $sql  = "SELECT korrektur FROM tb_azk WHERE datum='".$date[1]."' AND ";
   $sql .= "pers_id='$pers';";
 }

 $korr = abfrage($sql);

 if ($korr[0] != 0.0)
 {
   $pdf->Ln($rh2);
   $pdf->SetX($x);

   $kor_aus = fls_form($korr[0]);

   $pdf->Cell(30, $rh2, "AZK Korrektur", "BL", 0, "L", 0);
   $pdf->Cell(20, $rh2, $kor_aus, "BR", 0, "R", 0);
 }

 $pdf->Ln($rh2);
 $pdf->SetX($x);

 /* Stand AZK sollte den Jahresendstand zeigen wenn gewaehlt */
 if ($_GET["jahr"] == 1)
 {
   $sql = "SELECT datum FROM tb_ab_nachw WHERE nachw_id='".$_GET["nw"]."'";
   $erg = abfrage($sql);

   $feld = explode("-", $erg[0]);
   $jahr = $feld[0];

   /* Stand vom Jahr ermitteln */
   $sql  = "SELECT t1.azk_std FROM tb_x_azk_pers t1 ";
   $sql .= "LEFT JOIN tb_ab_nachw t2 ON t1.nachw_id = t2.nachw_id ";

   $sql .= "WHERE t1.pers_id='$pers' AND YEAR(t2.datum) = '".$jahr."' ";
   $sql .= "ORDER BY t1.nachw_id DESC LIMIT 1";

   $st_vj = abfrage($sql);
   $stand = fls_form($st_vj[0]);
 }
 else
 {
   $stand = fls_form($prs[3]);
 }

 $pdf->Cell(30,$rh2,'Stand AZK','BL',0,'L',0);
 $pdf->Cell(20,$rh2,$stand,'BR',0,'R',0);

/* Fehlzeiten */
if ($_GET["jahr"] == 1) {
	$von = mktime(0,0,0,1,1,$jahr);
	$bis = mktime(0,0,0,12,31,$jahr);
} else {
	list($y, $m, $d) = explode("-", $date[1]);
	$von = mktime(0,0,0,$m,1,$y);
	$bis = mktime(0,0,0,$m,date('t',$von),$y);
}

$pdf->SetY($y_axis + 5);

$sql  = "select f.pers_id from tb_fehlz f ";
$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
$sql .= "where unix_timestamp(t.von) <= '$bis' ";
$sql .= "and unix_timestamp(t.bis) >= '$von' and f.genehmigt = '1' ";
$sql .= "and f.pers_id = '$pers' ";
$sql .= "group by f.pers_id order by p.personalnr asc;";
$res = abfrage1($sql);

while ($row = mysql_fetch_row($res)){
	$daten = ($monat == 'all')  ? ab_cal(1, $jahr) : ab_cal($monat, $jahr);

	$textm = strftime("%B", $von);
	$textj = date('Y', $von);

	$name = ($row[0] == 'all') ? '' : pers_nummer($row[0]) . ' - ' .pers_name($row[0]) . ' ';
	$pdf->Cell(15,$rh,'',0,1,'C');
	$pdf->SetX(25);

	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(100,$rh,"Fehlzeiten",0,1);
	$pdf->Ln($rh/2);

	$pdf->SetDrawColor(0,0,0);
	$pdf->SetLineWidth('0.3');
	$pdf->SetX(25);

	/* Ueberschriften */
	$pdf->SetFont('Arial','B',8);
	$pdf->SetFillColor(232,232,232);
	$pdf->Cell(20,$rh,'von',1,0,'C',0);
	$pdf->Cell(20,$rh,'bis',1,0,'C',0);
	$pdf->Cell(40,$rh,'Grund',1,0,'C',0);
	$pdf->Cell(15,$rh,'Urlaub',1,0,'C',0);
	$pdf->Cell(15,$rh,'Weiterb.',1,0,'C',0);
	$pdf->Cell(15,$rh,'Krank',1,0,'C',0);
	$pdf->Cell(15,$rh,'KK',1,0,'C',0);
	$pdf->Cell(15,$rh,'FZA',1,1,'C',0);

	$pdf->SetLineWidth('0.1');
	$pdf->SetFont('Arial','',8);

	$sum_ur = 0;
	$sum_wb = 0;
	$sum_kr = 0;
	$sum_kk = 0;
	$sum_fz = 0;

	$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%Y') as von_dt, ";
	$sql .= "date_format(t.bis, '%d.%m.%Y') as bis_dt, a.name, t.terminart, ";
	$sql .= "unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts ";
	$sql .= "from tb_fehlz f ";
	$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
	$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
	$sql .= "where f.pers_id = '$row[0]' and unix_timestamp(t.von) <= '$bis' ";
	$sql .= "and unix_timestamp(t.bis) >= '$von' and f.genehmigt = '1' ";
	$sql .= "order by t.von asc;";

	$fzs = abfrage1($sql);

	while ($fz = mysql_fetch_assoc($fzs)){
		$von_at = ($fz['von_ts'] < $von) ? $von : $fz['von_ts'];
		$bis_at = ($fz['bis_ts'] > $bis) ? $bis : $fz['bis_ts'];
		$tage = arbeitstage($von_at, $bis_at);

		$fza = array('f', 'wbf', 'kf');

		if ($fz['terminart'] == 'u' || $fz['terminart'] == 'wbu') $sum_ur += $tage;
		if ($fz['terminart'] == 'w') $sum_wb += $tage;
		if ($fz['terminart'] == 'k') $sum_kr += $tage;
		if ($fz['terminart'] == 'kk') $sum_kk += $tage;
		if (in_array($fz['terminart'], $fza)) $sum_fz += $tage;
		$pdf->SetX(25);

		$pdf->Cell(20,$rh,$fz['von_dt'],1,0,'R');
		$pdf->Cell(20,$rh,$fz['bis_dt'],1,0,'R');
		$pdf->Cell(40,$rh,$fz['name'],1);

		$tu = ($fz['terminart'] == 'u' || $fz['terminart'] == 'wbu') ? $tage : '';
		$pdf->Cell(15,$rh,$tu,1,0,'C');

		$tw = ($fz['terminart'] == 'w') ? $tage : '';
		$pdf->Cell(15,$rh,$tw,1,0,'C');

		$tk = ($fz['terminart'] == 'k') ? $tage : '';
		$pdf->Cell(15,$rh,$tk,1,0,'C');

		$kk = ($fz['terminart'] == 'kk') ? $tage : '';
		$pdf->Cell(15,$rh,$kk,1,0,'C');

		$tf = (in_array($fz['terminart'], $fza)) ? $tage : '';
		$pdf->Cell(15,$rh,$tf,1,1,'C');
	}

	$pdf->SetX(25);
	$pdf->SetLineWidth('0.3');
	$pdf->SetFont('Arial','B',8);
	$pdf->Cell(80,$rh,'Summen',1,0,'L',0);
	$pdf->Cell(15,$rh,$sum_ur,1,0,'C');
	$pdf->Cell(15,$rh,$sum_wb,1,0,'C');
	$pdf->Cell(15,$rh,$sum_kr,1,0,'C');
	$pdf->Cell(15,$rh,$sum_kk,1,0,'C');
	$pdf->Cell(15,$rh,$sum_fz,1,1,'C');
}
if($_GET['ma'] == 'all' || !isset($_GET['stamp'])) {
	$person = printPerson($pers, $_GET['nw'], $date[1], $_SESSION[$AppCode]["ULV"], 0, $tt_vun);
	$c1 = round($person['brutto'] - $person['ver'], 0);
	$c2 = round($person['fzb'], 0);
	$c3 = round($person['ver'], 0);
	$c4 = round($person['c'], 0);
	$stamp = md5($ts++);
	$img1 = azk_chart1($stamp, $c1, $c2, $c3, $c4);
	$c11 = round($c1 * 0.14, 0);
	$c12 = round($person['spesen'], 0);
	$img2 = azk_chart2($stamp, $c11, $c12);
	$pkw = abfrage("select priv_pkw from tb_personal where pers_id = $pers;");

	if ($pkw[0] == 'j') $priv_satz = getConf('anerk_priv_pkw') / 100.00;
	else $priv_satz = getConf('privat_pkw') / 100.00;
	$c21 = round($c1 * 2.96, 0);
	$c22 = round($person['kmp'] * $priv_satz, 0);
	$c23 = round($person['kmd'] * (getConf('anerk_priv_pkw') / 100.00), 0);
	$img3 = azk_chart3($stamp, $c21, $c22, $c23);
} else {
	$img1 = "img/azk_c1_" . $_GET['stamp'] . ".png";
	$img2 = "img/azk_c2_" . $_GET['stamp'] . ".png";
	$img3 = "img/azk_c3_" . $_GET['stamp'] . ".png";
}
if ($s_fls > 0 && pers_betreuer($pers)){
	$pdf->Image($img1,210,125,75);
	$pdf->Image($img2,210,145,75);
	$pdf->Image($img3,210,165,75);
}
if($_GET['jahr'] != 1) {
	$pdf->SetFont('Arial','',7);
	$wp = abfrage( "select notizen, 
					gf, date_format(gf_ts, '%d.%m.%Y %H:%i'), 
					sb, date_format(sb_ts, '%d.%m.%Y %H:%i'),
					hb, date_format(hb_ts, '%d.%m.%Y %H:%i')
					from tb_azk_kontrolle 
					where pers_id='$pers' and datum='$date[1]'" );
	$pdf->SetXY(15,180);
	if($wp[1]) $pdf->Cell(85,3,"OK GF: ".pers_kname($wp[1]).' '.$wp[2]."Uhr");
	if($wp[1]) $pdf->Cell(85,3,"OK SB: ".pers_kname($wp[3]).' '.$wp[4]."Uhr");
	if($wp[3]) $pdf->Cell(85,3,"OK HB: ".pers_kname($wp[5]).' '.$wp[6]."Uhr");
	if($wp[1]) {
		$pdf->SetXY(15,184);
		$pdf->Cell(280,3,$wp[0]);
	}
}

}
$pdf->Output();
exit;
?>