<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: azk2_pr2.php 2693 2017-01-31 08:36:49Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_2.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
 require_once($pfad."inc/azk_charts.php");

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");
$pdf=new PDF('L','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$date = abfrage("select unix_timestamp(datum), 
				datum, year(datum)
				from tb_ab_nachw
				where nachw_id = {$_GET['nw']};");
$vorjahr = check_nutzer_rechte(130) ? 0 : date('Y')-1;
if($date[2] < $vorjahr) { // ist nicht!
	$pdf->AddPage();
	$pdf->SetFont('stw','',14);
	$pdf->Text(65,100,"Ausgabe nicht mglich. Das gewnschte AZK liegt vor dem Vorjahr.");
	$pdf->Output();
	exit(-1);
}

$abc = abfrage1("select z.pers_id from tb_ab_zk z
					left join tb_personal p using (pers_id)
					where z.nachw_id = {$_GET['nw']}
					and p.azk = 'j'
					group by z.pers_id
					order by p.personalnr asc;");

while ($mit = mysql_fetch_row($abc)){

	$footer = "AZK-Mappe";
		
	$pdf->AddPage();
	
	$pdf->SetFont('stw','',14);

  /* Jahresdarstellung wird nur das Jahr in der Ueberschrift benoetigt */
  if ($_GET["jahr"] == 1)
  {
    $dat = strftime("%Y", $date[0]);
  }
  else
  {
    $dat = strftime('%B %Y', $date[0]);
  }

if(getConf('tt_vor_nach_b') == 1) {
	$sql  = "select SUM(vun) from tb_x_azk_proj x ";
	$sql .= "left join tb_projekte p on x.proj_id = p.proj_id ";
	$sql .= "left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id ";
	$sql .= "where (h.hilfeart = 'TTH' or h.hilfeart = 'TTP')";
	if(isset($_GET['ma']))
	  $sql .= " and x.pers_id = " . $_GET['ma'];
	if($_GET["jahr"] != 1)
	  $sql .= " and x.nachw_id= " . $_GET['nw'];
	$tt = abfrage($sql);
	$tt_vun = ($tt[0] > 0);
} else $tt_vun = false;

	$titel = "Arbeitszeitkonto    ";
	$titel .= pers_name($mit[0]) . "    ";
	$titel .= $dat;
	$pdf->Text(15,30,$titel);
	
	$y_axis = 35;
	$rh = 4;
	
	// berschriften
	$pdf->SetFont('arialb','',8);
	$pdf->SetFillColor(150,150,150);
	$pdf->SetLineWidth('0.1');
	$pdf->SetY($y_axis);
	$pdf->SetX(15);

  if ($_GET["jahr"] == 1)
  {
    $pdf->Cell(20,$rh,'Monate',1,0,'L',0);

    $breite1 = 20;
    $breite2 = 16;
  }
  else
  {
    $pdf->Cell(25,$rh,'Projekt-Nr.',1,0,'L',0);

    $breite1 = 25;
    $breite2 = 14;
  }

	$pdf->Cell($breite2,$rh,'FLS',1,0,'C',0);
	if(getConf('vor_nach_b') == 1 || $tt_vun)
	  $pdf->Cell(14,$rh,'VuN',1,0,'C',0);
	$pdf->Cell(14,$rh,'Fahrzeit',1,0,'C',0);
	$pdf->Cell(14,$rh,'FZ netto',1,0,'C',0);
	$pdf->Cell(14,$rh,'Doku',1,0,'C',0);
	$pdf->Cell(17,$rh,'FLS brutto',1,0,'C',0);
	$pdf->Cell($breite2,$rh,'FM',1,0,'C',0);
	$pdf->Cell(17,$rh,'Spesen',1,0,'C',0);
	$pdf->Cell(14,$rh,'Privat',1,0,'C',0);
	$pdf->Cell($breite2,$rh,'Dienst',1,0,'C',0);
	$pdf->Cell($breite2,$rh,'km ges.',1,0,'C',0);
	$pdf->Cell(14,$rh,'Summe C',1,0,'C',0);
	
  /* Jahresdarstellung die Monate sonst die einzelnen Projekte */
  if ($_GET["jahr"] == 1)
  {
    /* alle Monate auswaehlen die dieses Jahr betreffen */
    $sql  = "SELECT nachw_id, datum FROM tb_ab_nachw ";
    $sql .= "WHERE datum>='".$dat."-01-01' AND datum<='".$dat."-12-31';";

    /* Initialisierung der Summenvariablen */
    $s_fls = 0; $s_brutto = 0; $s_fz_n = 0; $s_fz_b = 0; $s_dok = 0; $s_sum = 0; $s_fm = 0;
    $s_spes = 0; $s_kmp = 0; $s_kmd = 0; $s_kmg = 0; $s_c = 0; $s_ver = 0; $s_vun = 0;

  	$y_axis = $y_axis + $rh;
  	$pdf->SetFont('arial','',8);

    $monate = abfrage1($sql);
    while ($zeile = mysql_fetch_row($monate))
    {
    	$res = abfrage1("select t.*, k.ab from tb_x_azk_proj t 
                       left join tb_projekte p using(proj_id)
                       left join tb_kontakte_ap a on p.ap_id = a.ap_id
                       left join tb_kontakte k on a.kont_id = k.kont_id
                       where t.nachw_id = $zeile[0]
                       and t.pers_id = $mit[0]
					   group by p.proj_id
                       order by p.projektnr asc;");

      $z_fls = 0; $z_fz_n = 0; $z_fz_b = 0; $z_dok = 0; $z_sum = 0; $z_fm = 0;
      $z_spes = 0; $z_kmp = 0; $z_kmd = 0; $z_kmg = 0; $z_c = 0; $z_ver = 0; $z_vun = 0;

	    while ($row = mysql_fetch_array($res)) 
      {
        $z_fls += $row['fls_netto'];
        $z_fz_n += $row['fz_netto'];
        $z_fz_b += $row['fz_brutto'];
        $z_dok += $row['doku'];
        $z_sum += $row['fls_brutto'];
        $z_fm += $row['fm'];
        $z_spes += $row['spesen'];
        $z_kmp += $row['pkw_p'];
        $z_kmd += $row['pkw_d'];
        $z_kmg += $row['pkw_g'];
        $z_c += $row['sum_c'];
        $z_vun += $row['vun'];
        if ($row['ab'] == 'n' || empty($row['ab'])) $z_ver += $row[7];
      }

      /* die Zwischenergebnisse zu den Endsummen addieren */
      $s_fls += $z_fls;
      $s_brutto += $z_sum;
      $s_fz_n += $z_fz_n;

      $s_fz_b += $z_fz_b;
      $s_fm += $z_fm;

      $s_spes += $z_spes;
      $s_kmp += $z_kmp;

      $s_kmd += $z_kmd;
      $s_kmg += $z_kmg;

      $s_c += $z_c;
      $s_vun += $z_vun;
      $s_ver += $z_ver;

  		$pdf->SetY($y_axis);
	  	$pdf->SetX(15);

    	$pdf->SetFont('arial','',8);

      $i = explode("-", $zeile[1]);
      $monat_name = strftime("%B", mktime(0, 0, 0, $i[1], 1, 1));

      $pdf->Cell($breite1,$rh,$monat_name,1,0,'L',0);
      $pdf->Cell($breite2,$rh,fls_form($z_fls),1,0,'R',0);

      if(getConf('vor_nach_b') == 1 || $tt_vun)
        $pdf->Cell(14,$rh,fls_form($z_vun),1,0,'R',0);

      $pdf->Cell(14,$rh,fls_form($z_fz_n),1,0,'R',0);
      $pdf->Cell(14,$rh,fls_form($z_fz_b),1,0,'R',0);

      /* nur aktivieren ab August 2007 */
      $abm_feld  = explode("-", $zeile[1]);
      $abm_start = mktime(0, 0, 0, $abm_feld[1], $abm_feld[2], $abm_feld[0]);

      if (getConf("doku_halb") == "1" && $abm_start >= 1185919200)
      {
        $z_dok /= 2.0;
        $z_dok -= $z_c;

        if ($z_dok < 0.0) $z_dok = 0.0;
      }

      /* Summe der Dokustunden ausgeben */
      $pdf->Cell(14, $rh, fls_form($z_dok), 1, 0, "R", 0);

      /* fuer die Gesamtsumme zusammenaddieren */
      $s_dok += round($z_dok, 2);

      /* FLS Brutto hier berechnen: FLS netto + Fahrzeit netto + Doku */
      $z_sum = round($z_fls + $z_fz_n + $z_dok, 2);
      if(getConf('vor_nach_b') == 1 || $tt_vun) $s_sum += $s_vun;
      $pdf->Cell(17,$rh,fls_form($z_sum),1,0,'R',0);

      /* fuer die Gesamtsumme zusammenaddieren */
      $s_sum += $z_sum;

      $pdf->Cell($breite2,$rh,fls_form($z_fm),1,0,'R',0);
      $pdf->Cell(17,$rh,geld_form($z_spes),1,0,'R',0);

      $pdf->Cell(14,$rh,km_form($z_kmp),1,0,'R',0);
      $pdf->Cell($breite2,$rh,km_form($z_kmd),1,0,'R',0);

      $pdf->Cell($breite2,$rh,km_form($z_kmg),1,0,'R',0);
      $pdf->Cell(14,$rh,fls_form($z_c),1,0,'R',0);

   		$y_axis = $y_axis + $rh;
    }
  }
  else
  {
	$res = abfrage1("select *
					from tb_x_azk_proj t
					left join tb_projekte p using(proj_id)
					where t.nachw_id = {$_GET['nw']}
					and t.pers_id = $mit[0]
					order by p.projektnr asc;");
	
	$y_axis = $y_axis + $rh;
	$pdf->SetFont('arial','',8);
	
	$s_fls = 0;
	$s_brutto = 0;
	$s_fz_n = 0;
	$s_fz_b = 0;
	$s_dok = 0;
	$s_sum = 0;
	$s_fm = 0;
	$s_spes = 0;
	$s_kmp = 0;
	$s_kmd = 0;
	$s_kmg = 0;
	$s_c = 0;
	$s_ver = 0;
	$s_vun = 0;
	
	while ($row = mysql_fetch_row($res)) {
		$pro = new stwProjekt($row[2]);
		$pdf->SetY($y_axis);
		$pdf->SetX(15);
		
		$pnr = $pro->nummer();
		$pdf->Cell(25,$rh,$pnr,1,0,'L',0);	
		
		$fls = $row[3];
		$pdf->Cell(14,$rh,fls_form($fls),1,0,'R',0);
		$s_fls += $fls;
		$s_brutto += $row[7];
		
		if(getConf('vor_nach_b') == 1 || $tt_vun) {
		  $vun = $row[14];
		  $pdf->Cell(14,$rh,fls_form($vun),1,0,'R',0);
		  $s_vun += $vun;
		}

		$fz_n = $row[4];
		$pdf->Cell(14,$rh,fls_form($fz_n),1,0,'R',0);		
		$s_fz_n += $fz_n;
		
		$fz_b = $row[5];
		$pdf->Cell(14,$rh,fls_form($fz_b),1,0,'R',0);	
		$s_fz_b += $fz_b;
		
		$dok = $row[6];
		$pdf->Cell(14,$rh,fls_form($dok),1,0,'R',0);
		$s_dok += $dok;
				
		$sum = $row[7];
		$pdf->SetFont('arialb','',8);
		$pdf->Cell(17,$rh,fls_form($sum),1,0,'R',0);
		$pdf->SetFont('arial','',8);
		$s_sum += $sum;
		
		$fm = $row[8];
		$pdf->Cell(14,$rh,fls_form($fm),1,0,'R',0);
		$s_fm += $fm;

		$spes = $row[9];
		$pdf->Cell(17,$rh,geld_form($spes),1,0,'R',0);
		$s_spes += $spes;
		
		$kmp = $row[10];
		$pdf->Cell(14,$rh,km_form($kmp),1,0,'R',0);
		$s_kmp += $kmp;
		
		$kmd = $row[11];
		$pdf->Cell($breite2,$rh,km_form($kmd),1,0,'R',0);
		$s_kmd += $kmd;
		

		$kmg = $row[12];
		$pdf->Cell($breite2,$rh,km_form($kmg),1,0,'R',0);
		$s_kmg += $kmg;

		$sc = $row[13];
		$pdf->Cell(14,$rh,fls_form($sc),1,0,'R',0);
		$s_c += $sc;
		
		$y_axis = $y_axis + $rh;
	}
  } // Else Zweig Ende

	$pdf->SetY($y_axis);
	$pdf->SetX(15);
	$pdf->SetFont('arialb','',8);
	
	$pdf->Cell($breite1,$rh,'Summen',1,0,'L',0);
	$pdf->Cell($breite2,$rh,fls_form($s_fls),1,0,'R',0);
	if(getConf('vor_nach_b') == 1 || $tt_vun)
	  $pdf->Cell(14,$rh,fls_form($s_vun),1,0,'R',0);
	$pdf->Cell(14,$rh,fls_form($s_fz_n),1,0,'R',0);
	$pdf->Cell(14,$rh,fls_form($s_fz_b),1,0,'R',0);
	$pdf->Cell(14,$rh,fls_form($s_dok),1,0,'R',0);
	$pdf->Cell(17,$rh,fls_form($s_sum),1,0,'R',0);
	$pdf->Cell($breite2,$rh,fls_form($s_fm),1,0,'R',0);
	$pdf->Cell(17,$rh,geld_form($s_spes),1,0,'R',0);
	$pdf->Cell(14,$rh,km_form($s_kmp),1,0,'R',0);
	$pdf->Cell($breite2,$rh,km_form($s_kmd),1,0,'R',0);
	$pdf->Cell($breite2,$rh,km_form($s_kmg),1,0,'R',0);
	$pdf->Cell(14,$rh,fls_form($s_c),1,0,'R',0);

  if ($_GET["jahr"] == 1)
  {
    $sql  = "SELECT SUM(fls_soll), SUM(fls_gel), SUM(azk_ueb) ";
    $sql .= "FROM tb_x_azk_pers t1 ";

    $sql .= "LEFT JOIN tb_ab_nachw t2 ON t1.nachw_id = t2.nachw_id ";
    $sql .= "WHERE pers_id=".$mit[0]." AND YEAR(t2.datum)=".$dat.";";

    $prs = abfrage($sql);
  }
  else
  {
    $prs = abfrage("select fls_soll, fls_gel, azk_ueb, azk_std
  				from tb_x_azk_pers
  				where nachw_id = {$_GET['nw']}
  				and pers_id = $mit[0];");
  }

	$pdf->SetFont('arialb','',10);
	$rh2 = 7;
	$x = (getConf('vor_nach_b') == 1 || $tt_vun) ? 224 : 210;
	$pdf->SetXY($x,35);
	
	$pdf->Cell(50,$rh2,'Zusammenfassung',1,0,'L',0);
	
	$pdf->Ln($rh2);
	$pdf->SetX($x);
	
	$pdf->Cell(30,$rh2,'FLS Soll','L',0,'L',0);
	
	$soll = fls_form($prs[0]);
	$pdf->Cell(20,$rh2,$soll,'R',0,'R',0);
	
	$pdf->Ln($rh2);
	$pdf->SetX($x);
	
	$pdf->Cell(30,$rh2,'FLS geleistet','BL',0,'L',0);

	$gel = fls_form($prs[1]);
	$pdf->Cell(20,$rh2,$gel,'BR',0,'R',0);
	
	$pdf->Ln($rh2);
	$pdf->SetX($x);
	
	$pdf->Cell(30,$rh2,'bertrag ins AZK','BL',0,'L',0);

	$azk = fls_form($prs[2]);
	$pdf->Cell(20,$rh2,$azk,'BR',0,'R',0);

  /* Stand vom Vormat macht bei Jahresuebersicht keinen Sinn */
  if ($_GET["jahr"] != 1)
  {
    $nw_vm = abfrage("select nachw_id from tb_ab_nachw
	    				where datum < '$date[1]'
			    		order by datum desc
    					limit 1;");

    $st_vm = abfrage("select azk_std from tb_x_azk_pers
	      			where nachw_id = $nw_vm[0]
				      and pers_id = $mit[0];");
  }
  else
  {
    $vjahr = $dat - 1;
    /* Stand vom Vorjahr ermitteln */
    $sql  = "SELECT t1.azk_std FROM tb_x_azk_pers t1 ";
    $sql .= "LEFT JOIN tb_ab_nachw t2 ON t1.nachw_id = t2.nachw_id ";

    $sql .= "WHERE t1.pers_id=".$mit[0]." AND datum='".$vjahr."-12-01';";
    $st_vm = abfrage($sql);
  }

	$pdf->Ln($rh2);
	$pdf->SetX($x);

  if ($_GET["jahr"] == 1)
  {
    $pdf->Cell(30, $rh2, "Stand Vorjahr", "BL", 0, "L", 0);
  }
  else
  {
    $pdf->Cell(30,$rh2,'Stand Vormonat','BL',0,'L',0);
  }

	$stand = fls_form($st_vm[0]);
	$pdf->Cell(20,$rh2,$stand,'BR',0,'R',0);

  /* alle Korrekturen summiert ausgeben */
  if ($_GET["jahr"] == 1)
  {
    $sql  = "SELECT SUM(korrektur) FROM tb_azk WHERE YEAR(datum)=".$dat." ";
    $sql .= "AND pers_id=".$mit[0].";";
  }
  else
  {
    /* eine moegliche AZK Korrektur zeigen */
    $sql  = "SELECT korrektur FROM tb_azk WHERE datum='".$date[1]."' AND ";
    $sql .= "pers_id=".$mit[0].";";
  }

  $korr = abfrage($sql);

  if ($korr[0] != 0.0)
  {
    $pdf->Ln($rh2);
    $pdf->SetX($x);

    $kor_aus = fls_form($korr[0]);

    $pdf->Cell(30, $rh2, "AZK Korrektur", "BL", 0, "L", 0);
    $pdf->Cell(20, $rh2, $kor_aus, "BR", 0, "R", 0);
  }

  /* Stand AZK sollte den Jahresendstand zeigen wenn gewaehlt */
  if ($_GET["jahr"] == 1)
  {
    $sql = "SELECT datum FROM tb_ab_nachw WHERE nachw_id='".$_GET["nw"]."'";
    $erg = abfrage($sql);

    $feld = explode("-", $erg[0]);
    $jahr = $feld[0];

    /* Stand vom Jahr ermitteln */
    $sql  = "SELECT t1.azk_std FROM tb_x_azk_pers t1 ";
    $sql .= "LEFT JOIN tb_ab_nachw t2 ON t1.nachw_id = t2.nachw_id ";

    $sql .= "WHERE t1.pers_id=".$mit[0]." AND YEAR(t2.datum)='".$jahr."' ";
    $sql .= "ORDER BY t1.nachw_id DESC LIMIT 1";

    $st_vj = abfrage($sql);
    $stand = fls_form($st_vj[0]);
  }
  else
  {
    $stand = fls_form($prs[3]);
  }

  $pdf->Ln($rh2);
  $pdf->SetX($x);

  $pdf->Cell(30,$rh2,'Stand AZK','BL',0,'L',0);
  $pdf->Cell(20,$rh2,$stand,'BR',0,'R',0);

  /* Fehlzeiten */
  if ($_GET["jahr"] == 1) {
	$von = mktime(0,0,0,1,1,$jahr);
	$bis = mktime(0,0,0,12,31,$jahr);
  } else {
	list($y, $m, $d) = explode("-", $date[1]);
	$von = mktime(0,0,0,$m,1,$y);
	$bis = mktime(0,0,0,$m,date('t',$von),$y);
  }
  $pdf->SetY($y_axis + 5);

  $sql  = "select f.pers_id from tb_fehlz f ";
  $sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
  $sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
  $sql .= "left join tb_terminart a on t.terminart = a.terminart ";
  $sql .= "where unix_timestamp(t.von) <= '$bis' ";
  $sql .= "and unix_timestamp(t.bis) >= '$von' and f.genehmigt = '1' ";
  $sql .= "and f.pers_id = " . $mit[0];
  $sql .= " group by f.pers_id order by p.personalnr asc;";
  $res = abfrage1($sql);

  while ($row = mysql_fetch_row($res)){
	$daten = ($monat == 'all')  ? ab_cal(1, $jahr) : ab_cal($monat, $jahr);

	$textm = strftime("%B", $von);
	$textj = date('Y', $von);

	$name = ($row[0] == 'all') ? '' : pers_nummer($row[0]) . ' - ' .pers_name($row[0]) . ' ';
	$pdf->Cell(15,$rh,'',0,1,'C');
	$pdf->SetX(25);

	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(100,$rh,"Fehlzeiten",0,1);
	$pdf->Ln($rh/2);

	$pdf->SetDrawColor(0,0,0);
	$pdf->SetLineWidth('0.3');
	$pdf->SetX(25);

	/* Ueberschriften */
	$pdf->SetFont('Arial','B',8);
	$pdf->SetFillColor(232,232,232);
	$pdf->Cell(20,$rh,'von',1,0,'C',0);
	$pdf->Cell(20,$rh,'bis',1,0,'C',0);
	$pdf->Cell(40,$rh,'Grund',1,0,'C',0);
	$pdf->Cell(15,$rh,'Urlaub',1,0,'C',0);
	$pdf->Cell(15,$rh,'Weiterb.',1,0,'C',0);
	$pdf->Cell(15,$rh,'Krank',1,0,'C',0);
	$pdf->Cell(15,$rh,'KK',1,0,'C',0);
	$pdf->Cell(15,$rh,'FZA',1,1,'C',0);

	$pdf->SetLineWidth('0.1');
	$pdf->SetFont('Arial','',8);

	$sum_ur = 0;
	$sum_wb = 0;
	$sum_kr = 0;
	$sum_kk = 0;
	$sum_fz = 0;

	$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%Y') as von_dt, ";
	$sql .= "date_format(t.bis, '%d.%m.%Y') as bis_dt, a.name, t.terminart, ";
	$sql .= "unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts ";
	$sql .= "from tb_fehlz f ";
	$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
	$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
	$sql .= "where f.pers_id = '$row[0]' and unix_timestamp(t.von) <= '$bis' ";
	$sql .= "and unix_timestamp(t.bis) >= '$von' and f.genehmigt = '1' ";
	$sql .= "order by t.von asc;";

	$fzs = abfrage1($sql);

	while ($fz = mysql_fetch_assoc($fzs)){
		$von_at = ($fz['von_ts'] < $von) ? $von : $fz['von_ts'];
		$bis_at = ($fz['bis_ts'] > $bis) ? $bis : $fz['bis_ts'];
		$tage = arbeitstage($von_at, $bis_at);

		$fza = array('f', 'wbf', 'kf');

		if ($fz['terminart'] == 'u' || $fz['terminart'] == 'wbu') $sum_ur += $tage;
		if ($fz['terminart'] == 'w') $sum_wb += $tage;
		if ($fz['terminart'] == 'k') $sum_kr += $tage;
		if ($fz['terminart'] == 'kk') $sum_kk += $tage;
		if (in_array($fz['terminart'], $fza)) $sum_fz += $tage;
		$pdf->SetX(25);

		$pdf->Cell(20,$rh,$fz['von_dt'],1,0,'R');
		$pdf->Cell(20,$rh,$fz['bis_dt'],1,0,'R');
		$pdf->Cell(40,$rh,$fz['name'],1);

		$tu = ($fz['terminart'] == 'u' || $fz['terminart'] == 'wbu') ? $tage : '';
		$pdf->Cell(15,$rh,$tu,1,0,'C');

		$tw = ($fz['terminart'] == 'w') ? $tage : '';
		$pdf->Cell(15,$rh,$tw,1,0,'C');

		$tk = ($fz['terminart'] == 'k') ? $tage : '';
		$pdf->Cell(15,$rh,$tk,1,0,'C');

		$kk = ($fz['terminart'] == 'kk') ? $tage : '';
		$pdf->Cell(15,$rh,$kk,1,0,'C');

		$tf = (in_array($fz['terminart'], $fza)) ? $tage : '';
		$pdf->Cell(15,$rh,$tf,1,1,'C');
	}

	$pdf->SetX(25);
	$pdf->SetLineWidth('0.3');
	$pdf->SetFont('Arial','B',8);
	$pdf->Cell(80,$rh,'Summen',1,0,'L',0);
	$pdf->Cell(15,$rh,$sum_ur,1,0,'C');
	$pdf->Cell(15,$rh,$sum_wb,1,0,'C');
	$pdf->Cell(15,$rh,$sum_kr,1,0,'C');
	$pdf->Cell(15,$rh,$sum_kk,1,0,'C');
	$pdf->Cell(15,$rh,$sum_fz,1,1,'C');
  }

  $c1 = round($s_brutto - $s_ver, 0);
  $c2 = round($s_fz_b, 0);

  $c3 = round($s_ver, 0);
  $c4 = round($s_c, 0);

  mt_srand((double)microtime()*1000000);
  $zufall = md5(mt_rand());

  $img1 = azk_chart1($zufall, $c1, $c2, $c3, $c4);
  $pdf->Image($img1, 15, 165, 75);

  $c11 = round($c1 * 0.14, 0);
  $c12 = round($s_spes, 0);

  $zufall = md5(mt_rand());
  $img2 = azk_chart2($zufall, $c11, $c12);
  $pdf->Image($img2, 100, 165, 75);

  $c21 = round($c1 * 2.96, 0);
  $c22 = round($s_kmp * 0.24, 0);
  $c23 = round($s_kmd * 0.3, 0);

  $zufall = md5(mt_rand());
  $img3 = azk_chart3($zufall, $c21, $c22, $c23);
  $pdf->Image($img3, 190, 165, 75);
}

$pdf->Output();
exit;
?>
