<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: azk2_pr3.php 2693 2017-01-31 08:36:49Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('stw','',14);

$n_datum = abfrage("select datum, unix_timestamp(datum) from tb_ab_nachw
				where nachw_id = {$_GET['nw']};");

$textm = strftime("%B", $n_datum[1]);
$textj = date('Y', $n_datum[1]);

$vorjahr = check_nutzer_rechte(130) ? 0 : date('Y')-1;
if($textj < $vorjahr) { // ist nicht!
	$pdf->Text(25,100,"Ausgabe nicht mglich. Das gewnschte AZK liegt vor dem Vorjahr.");
	$pdf->Output();
	exit(-1);
}

 if ($_GET["jahr"] == 1)
 {
   $footer = "AZK Gesamtliste $textj";
 }
 else
 {
   $footer = "AZK Gesamtliste $textm $textj";
 }

$date = abfrage("select unix_timestamp(datum), datum
				from tb_ab_nachw
				where nachw_id = {$_GET['nw']};");

 /* Jahresdarstellung wird nur das Jahr in der Ueberschrift benoetigt */
 if ($_GET["jahr"] == 1)
 {
   $dat = strftime("%Y", $date[0]);
 }
 else
 {
   $dat = strftime('%B %Y', $date[0]);
 }

$titel = "Arbeitszeitkonto    ";
$titel .= $dat;
$pdf->Text(15,30,$titel);

$y_axis = 50;
$rh = 2.5;


$img1 = "img/azk_c1_" . $_GET['stamp'] . ".png";
$img2 = "img/azk_c2_" . $_GET['stamp'] . ".png";
$img3 = "img/azk_c3_" . $_GET['stamp'] . ".png";

$pdf->Image($img1,15,35,50);
$pdf->Image($img2,70,35,50);
$pdf->Image($img3,125,35,50);



// berschriften
$pdf->SetFont('arialb','',5);
$pdf->SetFillColor(150,150,150);
$pdf->SetLineWidth('0.1');
$pdf->SetY($y_axis);
$pdf->SetX(15);

 if ($_GET["jahr"] == 1)
 {
   $pdf->Cell(15,$rh,'Monate',1,0,'L',0);

   $breite1 = 15;
 }
 else
 {
   $pdf->Cell(20,$rh,'Projekt-Nr.',1,0,'L',0);

   $breite1 = 20;
 }

if(getConf('tt_vor_nach_b') == 1) {
	$sql  = "select SUM(vun) from tb_x_azk_proj x ";
	$sql .= "left join tb_projekte p on x.proj_id = p.proj_id ";
	$sql .= "left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id ";
	$sql .= "where (h.hilfeart = 'TTH' or h.hilfeart = 'TTP')";
	$tt = abfrage($sql);
	$tt_vun = ($tt[0] > 0);
} else $tt_vun = false;

$pdf->Cell(12,$rh,'FLS',1,0,'C',0);
if(getConf('vor_nach_b') == 1 || $tt_vun)
  $pdf->Cell(12,$rh,'VuN',1,0,'C',0);
$pdf->Cell(12,$rh,'Fahrzeit',1,0,'C',0);
$pdf->Cell(12,$rh,'FZ netto',1,0,'C',0);
$pdf->Cell(10,$rh,'Doku',1,0,'C',0);
$pdf->Cell(14,$rh,'FLS brutto',1,0,'C',0);

$pdf->Cell(12,$rh,'FM',1,0,'C',0);
$pdf->Cell(12,$rh,'Spesen',1,0,'C',0);
$pdf->Cell(12,$rh,'Privat',1,0,'C',0);
$pdf->Cell(12,$rh,'Dienst',1,0,'C',0);
$pdf->Cell(12,$rh,'km ges.',1,0,'C',0);
$pdf->Cell(12,$rh,'Summe C',1,0,'C',0);

$gs_netto  = 0;
$gs_fzb    = 0;
$gs_fzn    = 0;
$gs_doku   = 0;
$gs_brutto = 0;
$gs_fm     = 0;
$gs_spesen = 0;
$gs_kmp    = 0;
$gs_kmd    = 0;
$gs_kmg    = 0;
$gs_c      = 0;
$gs_ver    = 0;
$gs_soll   = 0;
$gs_azk    = 0;
$gs_stand  = 0;
$gs_vun    = 0;

 /* Personen auswaehlen die gezeigt werden sollen */
 if ($_GET["jahr"] == 1)
 {
	/* Jahr bestimmen */
	$ende = $dat + 1;

	$sql = "select pers_id from tb_personal
			where azk='j' and 
			unix_timestamp(if(unix_timestamp(anstellung) > 0, 
			if(unix_timestamp(eintritt) > 0, 
			if(unix_timestamp(eintritt)>unix_timestamp(anstellung),anstellung,eintritt),
			anstellung), eintritt)) < unix_timestamp('$ende-01-01')
			and ((unix_timestamp(austritt) = 0 and status_id=2) or
			unix_timestamp(austritt) >= unix_timestamp('$dat-01-01'))
			order by personalnr asc;";
	$abc  = abfrage1($sql);
 }
 else
 {
   $abc = abfrage1("select z.pers_id from tb_ab_zk z
					left join tb_personal p using (pers_id)
					where z.nachw_id = {$_GET['nw']}
					and p.azk = 'j'
					group by z.pers_id
					order by p.personalnr asc;");
 }

while ($mit = mysql_fetch_row($abc)){

	$y_axis = $y_axis + $rh;
	$width = (getConf('vor_nach_b') == 1 || $tt_vun) ? 144 : 132;
	$pdf->SetFont('arialb','',5);
	$pdf->SetY($y_axis);
	$pdf->SetX(15);	
	$nr = pers_nummer($mit[0]);
	$name = pers_name($mit[0]);
	$pdf->Cell($breite1,$rh,$nr,'BLT',0,'L',0);
	$pdf->Cell($width,$rh,$name,'BRT',0,'L',0);

  /* Jahresdarstellung die Monate sonst die einzelnen Projekte */
  if ($_GET["jahr"] == 1)
  {
    /* alle Monate auswaehlen die dieses Jahr betreffen */
    $sql  = "SELECT nachw_id, datum FROM tb_ab_nachw ";
    $sql .= "WHERE datum>='".$dat."-01-01' AND datum<='".$dat."-12-31';";

    /* Initialisierung der Summenvariablen */
    $s_fls = 0; $s_fz_n = 0; $s_fz_b = 0; $s_dok = 0; $s_sum = 0; $s_fm = 0;
    $s_spes = 0; $s_kmp = 0; $s_kmd = 0; $s_kmg = 0; $s_c = 0; $s_ver = 0; $s_vun = 0;

  	$y_axis = $y_axis + $rh;
  	$pdf->SetFont('arial','',5);

    $monate = abfrage1($sql);
    while ($zeile = mysql_fetch_row($monate))
    {
    	$res = abfrage1("select * from tb_x_azk_proj t 
                       left join tb_projekte p using(proj_id)
                       where t.nachw_id = $zeile[0]
                       and t.pers_id = $mit[0]
                       order by p.projektnr asc;");

      $z_fls = 0; $z_fz_n = 0; $z_fz_b = 0; $z_dok = 0; $z_sum = 0; $z_fm = 0;
      $z_spes = 0; $z_kmp = 0; $z_kmd = 0; $z_kmg = 0; $z_c = 0; $z_ver = 0; $z_vun = 0;

	    while ($row = mysql_fetch_row($res)) 
      {
        $z_fls += $row[3];
        $z_fz_b += $row[4];

        $z_fz_n += $row[5];
        $z_dok += $row[6];

        $z_sum += $row[7];
        $z_fm += $row[8];

        $z_spes += $row[9];
        $z_kmp += $row[10];

        $z_kmd += $row[11];
        $z_kmg += $row[12];

        $z_c += $row[13];
        $z_vun += $row[14];
      }

      /* die Zwischenergebnisse zu den Endsummen addieren */
      $s_fls += $z_fls;
      $s_fz_n += $z_fz_n;

      $s_fz_b += $z_fz_b;
      $s_fm += $z_fm;

      $s_spes += $z_spes;
      $s_kmp += $z_kmp;

      $s_kmd += $z_kmd;
      $s_kmg += $z_kmg;

      $s_c += $z_c;
      $s_vun += $z_vun;

  		$pdf->SetY($y_axis);
	  	$pdf->SetX(15);

      $i = explode("-", $zeile[1]);
      $monat_name = strftime("%B", mktime(0, 0, 0, $i[1], 1, 1));

      $pdf->Cell($breite1,$rh,$monat_name,1,0,'L',0);
      $pdf->Cell(12,$rh,fls_form($z_fls),1,0,'R',0);

      if(getConf('vor_nach_b') == 1 || $tt_vun)
        $pdf->Cell(12,$rh,fls_form($z_vun),1,0,'R',0);

      $pdf->Cell(12,$rh,fls_form($z_fz_n),1,0,'R',0);
      $pdf->Cell(12,$rh,fls_form($z_fz_b),1,0,'R',0);

      /* nur aktivieren ab August 2007 */
      $abm_feld  = explode("-", $zeile[1]);
      $abm_start = mktime(0, 0, 0, $abm_feld[1], $abm_feld[2], $abm_feld[0]);

      if (getConf("doku_halb") == "1" && $abm_start >= 1185919200)
      {
        $z_dok /= 2.0;
        $z_dok -= $z_c;

        if ($z_dok < 0.0) $z_dok = 0.0;
      }

      /* Summe der Dokustunden ausgeben */
      $pdf->Cell(10, $rh, fls_form($z_dok), 1, 0, "R", 0);

      /* fuer die Gesamtsumme zusammenaddieren */
      $s_dok += round($z_dok, 2);

      /* FLS Brutto hier berechnen: FLS netto + Fahrzeit netto + Doku */
      $z_sum = round($z_fls + $z_fz_n + $z_dok, 2);
      if(getConf('vor_nach_b') == 1 || $tt_vun) $z_sum += $z_vun;
      $pdf->SetFont("arialb", "", 5);

      $pdf->Cell(14, $rh, fls_form($z_sum), 1, 0, "R", 0);

      /* fuer die Gesamtsumme zusammenaddieren */
      $s_sum += $z_sum;

  		$pdf->SetFont('arial','',5);
      $pdf->Cell(12,$rh,fls_form($z_fm),1,0,'R',0);
      $pdf->Cell(12,$rh,geld_form($z_spes),1,0,'R',0);

      $pdf->Cell(12,$rh,km_form($z_kmp),1,0,'R',0);
      $pdf->Cell(12,$rh,km_form($z_kmd),1,0,'R',0);

      $pdf->Cell(12,$rh,km_form($z_kmg),1,0,'R',0);
      $pdf->Cell(12,$rh,fls_form($z_c),1,0,'R',0);

      // bei 267.5 noch eine zeile
  		if ($pdf->GetY() > 268)
      {
		    $pdf->AddPage();
    		$y_axis = 25;
   		}
      else
      {
		    $y_axis = $y_axis + $rh;
		  }
    }
  }
  else
  {

	$res = abfrage1("select *
					from tb_x_azk_proj t
					left join tb_projekte p using(proj_id)
					where t.nachw_id = {$_GET['nw']}
					and t.pers_id = $mit[0]
					order by p.projektnr asc;");
	
	$y_axis = $y_axis + $rh;
	$pdf->SetFont('arial','',5);
	
	$s_fls  = 0;
	$s_fz_n = 0;
	$s_fz_b = 0;
	$s_dok  = 0;
	$s_sum  = 0;
	$s_fm   = 0;
	$s_spes = 0;
	$s_kmp  = 0;
	$s_kmd  = 0;
	$s_kmg  = 0;
	$s_c    = 0;
	$s_ver  = 0;
	$s_vun  = 0;
	
	while ($row = mysql_fetch_row($res)) {
		$pdf->SetY($y_axis);
		$pdf->SetX(15);
		
		$pnr = projektnummer($row[2]);
		$pdf->Cell(20,$rh,$pnr,1,0,'L',0);
		
		//$fls = $pro->fls_gel_netto_pers_azk($_GET['ma'], $date[1]);
		$fls = $row[3];
		$pdf->Cell(12,$rh,fls_form($fls),1,0,'R',0);
		$s_fls += $fls;

		if(getConf('vor_nach_b') == 1 || $tt_vun) {
		  $vun = $row[14];
		  $pdf->Cell(12,$rh,fls_form($vun),1,0,'R',0);
		  $s_vun += $vun;
		}

		// $fz_n = $pro->fls_fz_brutto_pers($_GET['ma'], $date[1]);
		$fz_b = $row[4];
		$pdf->Cell(12,$rh,fls_form($fz_n),1,0,'R',0);
		$s_fz_b += $fz_b;
		
		// $fz_b = $pro->fls_fz_netto_pers($_GET['ma'], $date[1]);
		$fz_n = $row[5];
		$pdf->Cell(12,$rh,fls_form($fz_b),1,0,'R',0);
		$s_fz_n += $fz_n;
		
		// $dok = $pro->fls_doku_pers($_GET['ma'], $date[1]);
		$dok = $row[6];
		$pdf->Cell(10,$rh,fls_form($dok),1,0,'R',0);
		$s_dok += $dok;
				
		// $sum = $pro->fls_gesamt_pers_azk($_GET['ma'], $date[1]);
		$sum = $row[7];
		$pdf->SetFont('arialb','',5);
		$pdf->Cell(14,$rh,fls_form($sum),1,0,'R',0);
		$pdf->SetFont('arial','',5);
		$s_sum += $sum;
		
		$fm = $row[8];
		$pdf->Cell(12,$rh,fls_form($fm),1,0,'R',0);
		$s_fm += $fm;

		$spes = $row[9];
		$pdf->Cell(12,$rh,geld_form($spes),1,0,'R',0);
		$s_spes += $spes;
		
		$kmp = $row[10];
		$pdf->Cell(12,$rh,km_form($kmp),1,0,'R',0);
		$s_kmp += $kmp;
		
		$kmd = $row[11];
		$pdf->Cell(12,$rh,km_form($kmd),1,0,'R',0);
		$s_kmd += $kmd;
		
		$kmg = $row[12];
		$pdf->Cell(12,$rh,km_form($kmg),1,0,'R',0);
		$s_kmg += $kmg;

		$sc = $row[13];
		$pdf->Cell(12,$rh,fls_form($sc),1,0,'R',0);
		$s_c += $sc;
		
		//bei 267.5 noch eine zeile
		if ($pdf->GetY() > 268){
		
		$pdf->AddPage();
		$y_axis = 25;
	        
		} else {
		
		$y_axis = $y_axis + $rh;
		}
	}
  } // else Zweig Ende
	
	$pdf->SetY($y_axis);
	$pdf->SetX(15);
	$pdf->SetFont('arialb','',5);
	
	$pdf->Cell($breite1,$rh,'Summen',1,0,'L',0);
	$pdf->Cell(12,$rh,fls_form($s_fls),1,0,'R',0);
	if(getConf('vor_nach_b') == 1 || $tt_vun)
	  $pdf->Cell(12,$rh,fls_form($s_vun),1,0,'R',0);
	$pdf->Cell(12,$rh,fls_form($s_fz_b),1,0,'R',0);
	$pdf->Cell(12,$rh,fls_form($s_fz_n),1,0,'R',0);
	$pdf->Cell(10,$rh,fls_form($s_dok),1,0,'R',0);
	$pdf->Cell(14,$rh,fls_form($s_sum),1,0,'R',0);
	$pdf->Cell(12,$rh,fls_form($s_fm),1,0,'R',0);
	$pdf->Cell(12,$rh,geld_form($s_spes),1,0,'R',0);
	$pdf->Cell(12,$rh,km_form($s_kmp),1,0,'R',0);
	$pdf->Cell(12,$rh,km_form($s_kmd),1,0,'R',0);
	$pdf->Cell(12,$rh,km_form($s_kmg),1,0,'R',0);
	$pdf->Cell(12,$rh,fls_form($s_c),1,0,'R',0);
	//bei 267.5 noch eine zeile -- alter wert 273
	if ($pdf->GetY() > 268){ 
		$pdf->AddPage();
		$y_axis = 25;
	} else {
		$y_axis = $y_axis + $rh;
	}
	
	$pdf->SetY($y_axis);
	$pdf->SetX(15);

  if ($_GET["jahr"] == 1)
  {
    $sql  = "SELECT SUM(fls_soll), SUM(fls_gel), SUM(azk_ueb) ";
    $sql .= "FROM tb_x_azk_pers t1 ";

    $sql .= "LEFT JOIN tb_ab_nachw t2 ON t1.nachw_id = t2.nachw_id ";
    $sql .= "WHERE pers_id=".$mit[0]." AND YEAR(t2.datum)=".$dat.";";

    $prs = abfrage($sql);
  }
  else
  {
    $prs = abfrage("select fls_soll, fls_gel, azk_ueb, azk_std
  				from tb_x_azk_pers
  				where nachw_id = {$_GET['nw']}
  				and pers_id = $mit[0];");
  }

	$soll = $prs[0];
	$ist = $prs[1];

	$azk = $prs[2];

  if ($_GET["jahr"] == 1)
  {
  	$pdf->Cell(8,$rh,'AZK','LBT',0,'L',10);
  }
  else
  {
  	$pdf->Cell(12,$rh,'AZK','LBT',0,'L',10);
  }
	$x = (getConf('vor_nach_b') == 1 || $tt_vun) ? 6 : 3;
	$pdf->Cell(12,$rh,'FLS Soll:','BT',0,'L',0);
	$pdf->Cell(11,$rh,fls_form($soll),'BT',0,'R',0);
	$pdf->Cell($x,$rh,'','BT',0,'R',0);

	$pdf->Cell(12,$rh,'FLS geleistet:','BT',0,'L',0);
	$pdf->Cell(12,$rh,fls_form($s_sum),'BT',0,'R',0);
	$pdf->Cell($x,$rh,'','BT',0,'R',0);

	$pdf->Cell(17,$rh,'bertrag ins AZK:','BT',0,'L',0);
	$pdf->Cell(12,$rh,fls_form($azk),'BT',0,'R',0);
	$pdf->Cell($x,$rh,'','BT',0,'R',0);

  /* alle Korrekturen summiert ausgeben */
  if ($_GET["jahr"] == 1)
  {
    $sql  = "SELECT SUM(korrektur) FROM tb_azk WHERE YEAR(datum)=".$dat." ";
    $sql .= "AND pers_id=".$mit[0].";";
  }
  else
  {
    /* eine moegliche AZK Korrektur zeigen */
    $sql  = "SELECT korrektur FROM tb_azk WHERE datum='".$date[1]."' AND ";
    $sql .= "pers_id=".$mit[0].";";
  }

  $korr = abfrage($sql);

  $pdf->Cell(14, $rh, "AZK Korrektur:", "BT", 0, "L", 0);
	$pdf->Cell(12, $rh, fls_form($korr[0]), "BT", 0, "R", 0);

	$pdf->Cell($x, $rh, "", "BT", 0, "R", 0);

  /* Stand AZK sollte den Jahresendstand zeigen wenn gewaehlt */
  if ($_GET["jahr"] == 1)
  {
    $sql = "SELECT datum FROM tb_ab_nachw WHERE nachw_id='".$_GET["nw"]."'";
    $erg = abfrage($sql);

    $feld = explode("-", $erg[0]);
    $jahr = $feld[0];

    /* Stand vom Jahr ermitteln */
    $sql  = "SELECT t1.azk_std FROM tb_x_azk_pers t1 ";
    $sql .= "LEFT JOIN tb_ab_nachw t2 ON t1.nachw_id = t2.nachw_id ";

    $sql .= "WHERE t1.pers_id=".$mit[0]." AND YEAR(datum) ='".$jahr."' ";
    $sql .= "ORDER BY t1.nachw_id DESC LIMIT 1";

    $st_vj = abfrage($sql);
    $stand = $st_vj[0];
  }
  else
  {
    $stand = $prs[3];
  }


	$pdf->Cell(13,$rh,'Stand AZK:','BT',0,'L',0);
	if ($stand < 0){
		$pdf->SetTextColor(255,0,0);
	}
	$pdf->Cell(12,$rh,fls_form($stand),'BTR',0,'R',0);
	
	if ($stand < 0){
		$pdf->SetTextColor(0,0,0);
	}
	
	if ($pdf->GetY() > 260){
		$pdf->AddPage();
		$y_axis = 25;
	} else {
		$y_axis = $y_axis + $rh;
	}
	
	$gs_netto  += $s_fls;
	$gs_fzb    += $s_fz_b;
	$gs_fzn    += $s_fz_n;
	$gs_doku   += $s_dok;
	$gs_brutto += $s_sum;
	$gs_fm     += $s_fm;
	$gs_spesen += $s_spes;
	$gs_kmp    += $s_kmp;
	$gs_kmd    += $s_kmd;
	$gs_kmg    += $s_kmg;
	$gs_c      += $s_c;
	$gs_ver    += $s_ver;
	$gs_vun    += $s_vun;
	$gs_soll   += $soll;
	$gs_azk    += $azk;

  if ($stand > 0) $gs_stand += $stand;
}

$pdf->SetY($y_axis + 5);
$pdf->SetX(15);

$pdf->Cell(15,$rh,'Summen',1,0,'L',0);
$pdf->Cell(12,$rh,fls_form($gs_netto),1,0,'R',0);
if(getConf('vor_nach_b') == 1 || $tt_vun)
  $pdf->Cell(12,$rh,fls_form($gs_vun),1,0,'R',0);
$pdf->Cell(12,$rh,fls_form($gs_fzb),1,0,'R',0);
$pdf->Cell(12,$rh,fls_form($gs_fzn),1,0,'R',0);
$pdf->Cell(10,$rh,fls_form($gs_doku),1,0,'R',0);
$pdf->Cell(14,$rh,fls_form($gs_brutto),1,0,'R',0);
$pdf->Cell(12,$rh,fls_form($gs_fm),1,0,'R',0);
$pdf->Cell(12,$rh,geld_form($gs_spesen),1,0,'R',0);
$pdf->Cell(12,$rh,km_form($gs_kmp),1,0,'R',0);
$pdf->Cell(12,$rh,km_form($gs_kmd),1,0,'R',0);
$pdf->Cell(12,$rh,km_form($gs_kmg),1,0,'R',0);
$pdf->Cell(12,$rh,fls_form($gs_c),1,0,'R',0);

$pdf->SetY($pdf->GetY() + $rh);
$pdf->SetX(15);

$pdf->Cell(8,$rh,'AZK','LBT',0,'L',0);
$pdf->Cell(12,$rh,'FLS Soll:','BT',0,'L',0);
$pdf->Cell(11,$rh,fls_form($gs_soll),'BT',0,'R',0);
$pdf->Cell($x,$rh,'','BT',0,'R',0);
$pdf->Cell(14,$rh,'FLS geleistet:','BT',0,'L',0);
$pdf->Cell(12,$rh,fls_form($gs_brutto),'BT',0,'R',0);
$pdf->Cell($x,$rh,'','BT',0,'R',0);
$pdf->Cell(17,$rh,'bertrag ins AZK:','BT',0,'L',0);
$pdf->Cell(15,$rh,fls_form($gs_azk),'BT',0,'R',0);
$pdf->Cell($x,$rh,'','BT',0,'R',0);
$pdf->Cell(12,$rh,'Stand AZK:','BT',0,'L',0);
$pdf->Cell(16,$rh,fls_form($gs_stand),'BT',0,'R',0);
$pdf->Cell($x,$rh,'','BT',0,'R',0);

$ag_stsatz=getConf('ag_stsatz');

//Falls ag_stsatz keine zahl oder nicht vorhanden dann 18 statt ag_stsatz verwenden
if(is_numeric($ag_stsatz)){
	$pdf->Cell(18,$rh,geld_form($gs_stand * $ag_stsatz),'BTR',0,'R',0);
}else{
	$pdf->Cell(18,$rh,geld_form($gs_stand * 18),'BTR',0,'R',0);
}

$pdf->Output();
exit;
?>
