<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: azv.php 2114 2013-06-25 11:28:03Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 17;
$level = 65;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 7);
require_once($pfad."inc/auth.inc.php");

require_once($pfad."inc/level.inc.php");
require_once($pfad."inc/stw.inc.php");

echo "<table><tr>\n";
echo "<th class=\"cl11\"><a href=\"azv.php?order=persnr\">Personalnr.</a></th>\n";
echo "<th class=\"cl11\"><a href=\"azv.php?order=name\">Name</a></th>\n";
echo "<th class=\"cl11\">FLS / AZK Soll</a></th>\n";
echo "<th class=\"cl11\">Anstellung</a></th>\n";
if(seiteKonfSichtbar('pers_azv_las'))
	echo "<th class=\"cl11\"".stwToolTip("Lebensaltersstufe").">LAS</th>\n";
if(seiteKonfSichtbar('pers_azv_vg'))
	echo "<th class=\"cl11\"".stwToolTip("Verg&uuml;tungsgruppe").">VG</th>\n";
if(seiteKonfSichtbar('pers_and_verwendungsgruppe'))
	echo "<th class=\"cl11\"".stwToolTip("Verwendungsgruppe").">VG</th>\n";
if(seiteKonfSichtbar('pers_and_gehaltsstufe'))
	echo "<th class=\"cl11\"".stwToolTip("Gehaltsstufe").">GS</th>\n";
echo "<th class=\"cl11\">Kinder</th>\n";
echo "<th class=\"cl11\"".stwToolTip("Pensionskasse").">PK</th>\n";
echo "<th class=\"cl11\">Urlaubsanspruch</th>\n";
echo "<th class=\"cl11\">genommen</th>\n";
echo "<th class=\"cl11\">Resturlaub</th></tr>\n";

new stwTabLine(2,30);

if($_SESSION[$AppCode]['ULV'] < 65 && check_nutzer_rechte(76)) {
	$azv = abfrage("select azv from tbh_pers_azv where pers_id='{$_SESSION[$AppCode]['UID']}'");
	$and = "and p.level <= '$azv[0]'";
} else $and = '';

$sql = "select a.pers_id from tb_paz a
		left join tb_personal p using (pers_id)
		where p.status_id = 2 $and
		group by a.pers_id ";
if($_GET['order'] == 'name') $sql .= "order by p.name asc, p.vorname asc;";
else $sql .= "order by p.personalnr asc;";

$res = abfrage1($sql);
while ($row = mysql_fetch_row($res)) {
	echo "<tr class=\"mo\">";

  /* Anstellung aus aktuellster AZV ermitteln - gueltig nur aktuelles Jahr */
  $sql  = "SELECT paz_id, anst, las, vg, urlaub, urlaub_vj, sonderurlaub, ";
  $sql .= "UNIX_TIMESTAMP(bis) FROM tb_paz WHERE pers_id='".$row[0]."' ";
  $sql .= "AND von<='".date("Y", time())."-12-31' ORDER BY von DESC LIMIT 1";
  $paz  = abfrage($sql);

  $name = pers_name($row[0]);

	if ($paz[7] > 0 && $paz[7] < mktime()){
		$style = "style=\"color:#CCCCCC;\"";
		$name .= ', AZV abgelaufen!';
	} else {
		$style = '';
	}

  echo "<td class=\"cl11\"><a href=\"pers_azv.php?pers_id=$row[0]\" ";
  echo "title=\"$name\" $style>" . pers_nummer($row[0]) . "</a></td>";

  echo "<td>".pers_kname($row[0])."</td>\n";
	if ($paz) {
	  $fls = fls_woche($paz[0]);
    echo "<td class=\"cl11\" style=\"text-align:right\">";
    echo fls_form($fls) . "</td>";
    $anst = number_format($paz[1], 2, ',', '');
    echo "<td class=\"cl11\" style=\"text-align:right\">$anst&nbsp;%</td>";
    if(seiteKonfSichtbar('pers_azv_las')) echo "<td class=\"cl11\" style=\"text-align:right\">$paz[2]</td>";
    if(seiteKonfSichtbar('pers_azv_vg')) echo "<td class=\"cl11\" style=\"text-align:right\">$paz[3]</td>";
    if(seiteKonfSichtbar('pers_and_verwendungsgruppe')) {
		$vg = abfrage("select vg from tb_personal where pers_id='$row[0]'");
		echo "<td class=\"cl11\" style=\"text-align:right\">$vg[0]</td>";
	}
    if(seiteKonfSichtbar('pers_and_gehaltsstufe')) echo "<td class=\"cl11\" style=\"text-align:right\">".pers_gehaltsstufe($row[0])."</td>";
  } else {
    if(seiteKonfSichtbar('pers_azv_las')) echo "<td class=\"cl11\"></td>";
    if(seiteKonfSichtbar('pers_azv_vg')) echo "<td class=\"cl11\"></td>";
    if(seiteKonfSichtbar('pers_and_verwendungsgruppe')) {
		$vg = abfrage("select vg from tb_personal where pers_id='$row[0]'");
		echo "<td class=\"cl11\" style=\"text-align:right\">$vg[0]</td>";
	}
    if(seiteKonfSichtbar('pers_and_gehaltsstufe')) echo "<td class=\"cl11\" style=\"text-align:right\">".pers_gehaltsstufe($row[0])."</td>";
  }
  $kinder = abfrage("select count(kind_id) from tb_kinder
                      where pers_id = $row[0] and kigeld = 'j' and kigeld_empf = 'M';");
  echo "<td class=\"cl11\" style=\"text-align:center\">";
  if ($kinder[0] > 0) {
    echo $kinder[0];
  }
  echo "</td>";
  $pens = pers_pension($row[0]);
  if ($pens) {
    echo "<td class=\"cl11\" style=\"text-align:right;color:$pens[1]\">";
    echo $pens[0];
    echo "</td>";
  } else {
    echo "<td class=\"cl11\"></td>";
  }

	echo "<td class=\"cl11\" style=\"text-align:right\">";
	if ($paz){
		$a = $paz[4] + $paz[5] + $paz[6];
		if ($a <> 0){
			echo $a . " Tage";
		}
	} else {
		$a = 0;
	}
	echo "</td>\n";

	echo "<td class=\"cl11\" style=\"text-align:right\">";
	if ($paz){
		$b = urlaub_genommen($row[0]);
		if ($a <> 0){
			echo $b . " Tage";
		}
	}
	echo "</td>\n";

	echo "<td class=\"cl11\" style=\"text-align:right\">";
	if ($a > 0){
		echo $a - $b . " Tage";
	}
	echo "</td>\n";

	echo "</tr>\n";
}
new stwLine(1);

echo "<table><tr><td><a href=\"azv_pr.php?ts=" . time() . "\" target=\"_pdf\">";
echo "<img src=\"img/drucker.png\" title=\"AZV-Liste drucken\" ";
echo "border=\"0\"></a></td></tr></table>\n";

new stwEnd($seite);
?>
