<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

$no_nr = true;

if(isset($rvar_hp_id)) {
	$pdf->AddPage();
	$sql = "select h.proj_id, k.kat, k.text, h.pers_id, date_format(h.datum, '%d.%m.%Y')
			from tb_hp h
			left join tb_projekte p on h.proj_id = p.proj_id
			left join tb_hp_bel b on h.hp_id = b.hp_id
			left join tb_bel_kat k on b.bel_kat_id = k.bel_kat_id
			where h.hp_id = '$rvar_hp_id'";
	$hp = abfrage($sql);
	$footer = "Belehrung: $hp[1]";
	$projekt = new stwProjekt($hp[0]);

	$pdf->SetFont('stw','',18);
	$pdf->SetXY(14,25);
	$pdf->MultiCell(180,8,$footer,0,'L');
	$pdf->SetFont('arial','',10);
	$pdf->ln();
	$pdf->MultiCell(180,6,$hp[2]);

	$pdf->SetXY(15,260);
	$pdf->Cell(25,2, $hp[4],0,1,'C');
	$pdf->SetFont('arial','',6);
	$pdf->Cell(35,4,'');
	$pdf->Cell(50,4,pers_name($hp[3]).', Belehrender','T',0,'C');
	$pdf->Cell(35,4,'');
	$name = ($projekt->h_art == 'TTT' || $projekt->h_art == 'MAE') ? $projekt->hb_name() : $projekt->name();
	$pdf->Cell(50,4,$name,'T',0,'C');
} else {
	$kat = abfrage("select kat, text from tb_bel_kat where bel_kat_id='$rvar_kat'");
	$footer = "Belehrung: $kat[0]";
	foreach($rvar_proj_ids as $proj_id) {
		$pdf->AddPage();
		$sql = "select h.proj_id, h.pers_id, date_format(h.datum, '%d.%m.%Y')
				from tb_hp h
				left join tb_projekte p on h.proj_id = p.proj_id
				left join tb_hp_bel b on h.hp_id = b.hp_id
				where h.proj_id='$proj_id' and b.bel_kat_id='$rvar_kat'
				and h.hp_art = 'b' order by h.datum desc limit 1";
		$hp = abfrage($sql);
		$projekt = new stwProjekt($hp[0]);

		$pdf->SetFont('stw','',18);
		$pdf->SetXY(14,25);
		$pdf->MultiCell(180,8,$footer,0,'L');
		$pdf->SetFont('arial','',10);
		$pdf->ln();
		$pdf->MultiCell(180,6,$kat[1]);

		$pdf->SetXY(15,260);
		$pdf->Cell(25,2, $hp[2],0,1,'C');
		$pdf->SetFont('arial','',6);
		$pdf->Cell(35,4,'');
		$pdf->Cell(50,4,pers_name($hp[1]).', Belehrender','T',0,'C');
		$pdf->Cell(35,4,'');
		$name = ($projekt->h_art == 'TTT' || $projekt->h_art == 'MAE') ? $projekt->hb_name() : $projekt->name();
		$pdf->Cell(50,4,$name,'T',0,'C');
	}
}

$pdf->Output();
exit;
?>
