<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: bereit.php 2778 2017-08-09 08:33:06Z tfreudenberg $
 *
 */
session_start();
require("inc/auth.inc.php");
// Hinweis: ndern neu erst ab >=lvl96 (Einschrnkung unten), jedoch erst, wenn tauschen und neu anlegen mit >=lvl45
// So lange ndern erst ab lvl45
$seite = 14;
$level = 45;
$level_altern = 25;

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function save($datum, $feld, $wert) {
	$exist = abfrage("select bereit_id from tb_bereit where datum='$datum'");
	if($exist[0]) $sql = "update tb_bereit set $feld = '$wert' where bereit_id='$exist[0]'";
	else $sql = "insert into tb_bereit set datum = '$datum', $feld = '$wert'";
	abfrage2($sql);
	$userResp = new xajaxResponse();
	$userResp->assign('Speicherbereich', 'innerHTML', '<input type="button" value="Speichern" onclick="window.location.reload()"> &Auml;nderungen wurden bereits gespeichert');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('save');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/stw.inc.php");
require_once('inc/level.inc.php');

if ($_SESSION[$AppCode]["ULV"] > 25) {
	$recht_aendern=1;
} else {
	$recht_aendern=0;
}

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

$pers_order = getPersOrder($seite);

$self = $_SERVER['PHP_SELF'];

/* Aenderungen speichern */
if (isset ($_REQUEST['bereit'])){

	$fehlerges = "";
	
	if ($recht_aendern) {
	
		foreach ($_REQUEST['bereit'] as $k => $v) {


		// Achtung: Prfung mit isset ist notwendig, damit bei unvollstndig bertragenen
		// Seiten (z. B. weil Seite nicht fertig geladen und onChange ausgelst) kein Murks in die DB kommt

		if (isset($rvar_bereit[$k]["pers_id"]) && $rvar_bereit[$k]["pers_id"]		!= $rvar_bereit[$k]["old_id"] ||
			isset($rvar_bereit[$k]["pers_id_h"]) && $rvar_bereit[$k]["pers_id_h"]		!= $rvar_bereit[$k]["old_id_h"] || 
			isset($rvar_bereit[$k]["pers_id_d"]) && $rvar_bereit[$k]["pers_id_d"]		!= $rvar_bereit[$k]["old_id_d"] ||
			isset($rvar_bereit[$k]["pers_id_f1"]) && $rvar_bereit[$k]["pers_id_f1"]	!= $rvar_bereit[$k]["old_id_f1"] ||
			isset($rvar_bereit[$k]["pers_id_f2"]) && $rvar_bereit[$k]["pers_id_f2"]	!= $rvar_bereit[$k]["old_id_f2"] ||
			isset($rvar_bereit[$k]["pers_id_dh"]) && $rvar_bereit[$k]["pers_id_dh"]	!= $rvar_bereit[$k]["old_id_dh"] ||
			isset($rvar_bereit[$k]["old_check_d"]) && $rvar_bereit[$k]["check_d"]	!= $rvar_bereit[$k]["old_check_d"]) {
			
			$sqlcheck  = "SELECT bereit_id, pers_id, pers_id_h, pers_id_d, pers_id_f1, pers_id_f2, pers_id_dh";
			$sqlcheck .= " FROM tb_bereit WHERE datum = '".$rvar_bereit[$k]["datum"]."'";
			
			$checkres = abfrage($sqlcheck);
			
			$fehler = "";
			
			if ($checkres) {
				if (!$rvar_bereit[$k]["bereit_id"]) {
					$fehler = "Eintrag bereits vorhanden";
				} elseif ((isset($rvar_bereit[$k]["old_id"])              ) &&
						  ($checkres[1] != $rvar_bereit[$k]["old_id"]   ||
						   $checkres[2] != $rvar_bereit[$k]["old_id_h"]   )   ) {
					$fehler = "Eintrag wurde zwischenzeitlich ge&auml;ndert";
				} elseif ((isset($rvar_bereit[$k]["old_id_d"])            ) &&
						  ($checkres[3] != $rvar_bereit[$k]["old_id_d"] ||
						   $checkres[4] != $rvar_bereit[$k]["old_id_f1"]||
						   $checkres[5] != $rvar_bereit[$k]["old_id_f2"]||
						   $checkres[6] != $rvar_bereit[$k]["old_id_dh"]  )   ) {
					$fehler = "Eintrag Tagesbereitschaft wurde zwischenzeitlich ge&auml;ndert";
				}
			} elseif ($rvar_bereit[$k]["bereit_id"]) {
				$fehler = "Eintrag wurde gel&ouml;scht";
			}

			if ($fehler == "") {
			
				if ($rvar_bereit[$k]["bereit_id"]) {
					$sql  = 'update ';
				} else {
					$sql = 'insert into ';
				}
			
				$sql .=	"tb_bereit set ".
						 // bei update sinnlos, spart aber die Prfung auf notwendige Kommas
						"datum = '".$rvar_bereit[$k]["datum"]."'";

				if (!empty($rvar_bereit[$k]["pers_id"]) && $rvar_bereit[$k]["pers_id"] != $rvar_bereit[$k]["old_id"]) {
					$sql .=	", pers_id = '".$rvar_bereit[$k]["pers_id"]."'";
				}
				if (!empty($rvar_bereit[$k]["pers_id_h"]) && $rvar_bereit[$k]["pers_id_h"] != $rvar_bereit[$k]["old_id_h"]) {
					$sql .=	", pers_id_h = '".$rvar_bereit[$k]["pers_id_h"]."'";
				}
				if (!empty($rvar_bereit[$k]["pers_id_d"]) && $rvar_bereit[$k]["pers_id_d"] != $rvar_bereit[$k]["old_id_d"]) {
					$sql .=	", pers_id_d = '".$rvar_bereit[$k]["pers_id_d"]."'";
				}
				if (!empty($rvar_bereit[$k]["pers_id_f1"]) && $rvar_bereit[$k]["pers_id_f1"] != $rvar_bereit[$k]["old_id_f1"]) {
					$sql .=	", pers_id_f1 = '".$rvar_bereit[$k]["pers_id_f1"]."'";
				}
				if (!empty($rvar_bereit[$k]["pers_id_f2"]) && $rvar_bereit[$k]["pers_id_f2"] != $rvar_bereit[$k]["old_id_f2"]) {
					$sql .=	", pers_id_f2 = '".$rvar_bereit[$k]["pers_id_f2"]."'";
				}
				if (!empty($rvar_bereit[$k]["pers_id_dh"]) && $rvar_bereit[$k]["pers_id_dh"] != $rvar_bereit[$k]["old_id_dh"]) {
					$sql .=	", pers_id_dh = '".$rvar_bereit[$k]["pers_id_dh"]."'";
				}
				if (!empty($rvar_bereit[$k]["check_d"]) && $rvar_bereit[$k]["check_d"] != $rvar_bereit[$k]["old_check_d"]) {
					$sql .=	", check_d = '".$rvar_bereit[$k]["check_d"]."'";
				}
				if ($rvar_bereit[$k]["bereit_id"]) {
					$sql .= " where bereit_id = ".$rvar_bereit[$k]["bereit_id"];
				}
				$sql .= ";";
				abfrage2($sql);
			} else {
				if ($fehlerges != "") $fehlerges .= ',';
				$fehlerges .= "Datum ".$rvar_bereit[$k]["datum"].": $fehler<br />";
				/* Erweiterungsmglichkeit: Soll-Werte anzeigen */
			}
		}
		}
	} else {
		$fehlerges = "Keine ausreichenden Rechte um die Bereitschaft zu &auml;ndern!";
	}
	
	if ($fehlerges != "") {
		echo "<span style=\"color:#FF0000;\">";
		echo "<h1 style=\"font-weight:bold; font-size: 30px; text-align:center; text-decoration: blink;\">";
		echo "Warnung - Unstimmigkeiten beim Setzen der Bereitschaft </h1>\n";
		echo "<p style=\"font-size: 15px;\">\n";
		$fehler = explode(',', $fehlerges);
		foreach ($fehler as $eintrag){
			echo "$eintrag<br />\n";
		}
		echo "<br />&Uuml;berpr&uuml;fen Sie die entsprechenden Eintr&auml;ge!</p>\n";
	}
}
/* Ende Aenderungen speichern */

$anz = isset($_GET['anz']) ? $_GET['anz'] : 'a';
switch($anz) {
	case 'a':
		$m_von = isset($_GET['von_monat']) ? $_GET['von_monat'] : date('n');
		$m_bis = isset($_GET['bis_monat']) ? $_GET['bis_monat'] : $m_von+1;
		$j_von = isset($_GET['von_jahr']) ? $_GET['von_jahr'] : date('Y');
		$j_bis = isset($_GET['bis_jahr']) ? $_GET['bis_jahr'] : $j_von;
		$von = mktime(0,0,0,$m_von,1,$j_von);
		$bis = mktime(0,0,0,$m_bis,date('t', mktime(0,0,0,$m_bis,1,$j_bis)),$j_bis);
		break;
	case 'm':
		$tag = isset($_GET['tag']) ? $_GET['tag'] : date('Y-m-01');
		$von = date_my2ts($tag);
		$bis = mktime(0,0,0,date('n',$von),date('t',$von),date('Y',$von));
		break;
	case 'j':
		$tag = isset($_GET['tag']) ? $_GET['tag'] : date('Y-01-01');
		$von = date_my2ts($tag);
		$bis = mktime(0,0,0,12,31,date('Y',$von));
		break;
	default:
		$tag = isset($_GET['tag']) ? $_GET['tag'] : date('Y-m-d');
		$bis = $von = date_my2ts($tag);
		break;
}
$datumanfang = getWochenBeginn($von);
$datumende = getWochenEnde($bis);
$datumw = strtotime(date('Y',$datumanfang).'W'.date('W',$datumanfang));

$aj = date('Y');
?>
<script type="text/javascript"><!--
/* Hilfsfunktionen fr den erweiterten Druckbutton */
  function doTT() {
	var str = "<form name='tempform'><table>";
	str += '<tr><td style="text-align: right; color: black;">von:<\/td><td><input type="text" size="10" maxlength="10" name="tvon" value="';
	str += document.printform.von.value;
	str += '" onkeyup="document.printform.von.value=document.tempform.tvon.value" ';
	str += 'title="Anfang des Zeitraums, f&uuml;r den gedruckt werden soll,\nBeispiele f&uuml;r m&ouml;gliche Eingaben:';
	str += '\n\t15W<?php echo $aj;?>\t\t15. Kalenderwoche im Jahr <?php echo $aj;?>';
	str += '\n\t<?php echo $aj;?>w15\t\t15. Kalenderwoche im Jahr <?php echo $aj;?>';
	str += '\n\t08/<?php echo $aj;?>\t\tAugust <?php echo $aj;?>';
	str += '\n\t18.11.<?php echo $aj;?>\t18. November <?php echo $aj;?>';
	str += '\n\t18.11.<?php echo substr($aj,-2);?>\t\t18. November <?php echo $aj;?>';
	str += '"\/><\/td><\/tr>';
	str += '<tr><td style="text-align: right; color: black;">bis:<\/td><td><input type="text" size="10" maxlength="10" name="tbis" value="';
	str += document.printform.bis.value;
	str += '" onkeyup="document.printform.bis.value=document.tempform.tbis.value" ';
	str += 'title="Ende des Zeitraum, f&uuml;r den gedruckt werden soll,\nBeispiele f&uuml;r m&ouml;gliche Eingaben siehe &#x0022;Zeitraum von&#x0022;" \/><\/td><\/tr>';
	str += '<tr><td style="text-align: right;"><input type="checkbox" name="alle" ';
	if (document.printform.alle.value == "1") str += 'checked="checked" ';
	str += 'onclick="if (document.tempform.alle.checked) {document.printform.alle.value=\'1\'} else {document.printform.alle.value=\'0\'}" \/> <\/td>';
	str += '<td style="color: black;"  onclick="document.tempform.alle.click()">alle anzeigen<\/td><\/tr>';
	str += '<\/table><\/form>';
	Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck-Einst.',TITLEBGCOLOR, '#006600', WIDTH, 130, HEIGHT, 65, FIX, ['gprint',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);
  }
  
/* Sichtbarkeit der Tagesbereitschaften umschalten */
function switch_weekvis (elem) {
	// Von dem aktuellen Element img ber td zum tr (der KW) gehen
	elem = elem.parentNode.parentNode;
	for (var i=1; i <= 7; i++) {
		if (!(elem = elem.nextSibling)) return false;
		while (elem.nodeName != 'TR'){
			if (!(elem = elem.nextSibling)) return false;
		}
		if (elem.id.substring(0,2) == 'KW') {
			return true;
		}
		// Zeilen berspringen, die bereits eine Zuordnung haben
		if (hasClass(elem, 'akt_tagesbereit')) continue;
		// Sichtbarkeit umschalten
		if (elem.style.display == 'none') {
			elem.style.display = 'table-row';
		} else {
			elem.style.display = 'none';
		}
	}
	return true;
}
--></script>
<?php


define ("SEL_ONCHANGE", "onchange=\"option_color(this)\"");
/* Ggf. Verhalten spter ber Hammer einstellbar
if /hammereinstellung) {
	sel_onchange = "onchange=\"this.form.submit()\"";
} else {
	sel_onchange = "onchange=\"option_color(this)\"";
} */

if ($monat != 0) {
	if ($monat != 1) {
		$nav_pjahr = $jahr;
		$nav_pmonat = $monat - 1;
	} else{
		$nav_pjahr = $jahr - 1;
		$nav_pmonat = 12;
	}
	if ($monat != 12) {
		$nav_njahr = $jahr;
		$nav_nmonat = $monat + 1;
	} else{
		$nav_njahr = $jahr + 1;
		$nav_nmonat = 01;
	}
	$nav_ptext = $nav_pmonat."/".$nav_pjahr;
	$nav_ntext = $nav_nmonat."/".$nav_njahr;
	$nav_text = $monat."/".$jahr;
} else {
	$nav_pjahr = $jahr - 1;
	$nav_njahr = $jahr + 1;
	$nav_ptext = "Jahr ".$nav_pjahr;
	$nav_ntext = "Jahr ".$nav_njahr;
	$nav_text = "Jahr ".$jahr;
}

// Die folgende Style-Angabe ist "ganz schlecht" - sorgt aber zumindest im aktuellen Firefox fr das gewnschte Ergebnis
// Besser wre eine nderung des kompletten Layouts...
echo "<form style=\"position: absolute; left:+912px; top:100px;\" name=\"printform\" action=\"bereit_pr.php\" method=\"get\" target=\"_pdf\">\n";
if (($von != "" && $bis != "") || (!isset($_REQUEST['jahr']) && $monat == 0)) {
	echo "<input type=\"hidden\" name=\"von\" value=\"".date('d.m.Y',$datumanfang)."\" />\n";
	echo "<input type=\"hidden\" name=\"bis\" value=\"".date('d.m.Y',$datumende)."\" />\n";
} elseif ($monat != 0) {
	echo "<input type=\"hidden\" name=\"von\" value=\"".$monat."/".$jahr."\" />\n";
	echo "<input type=\"hidden\" name=\"bis\" value=\"".$monat."/".$jahr."\" />\n";
} else {
	echo "<input type=\"hidden\" name=\"von\" value=\"01/".$jahr."\" />\n";
	echo "<input type=\"hidden\" name=\"bis\" value=\"12/".$jahr."\" />\n";
}
echo "<input type=\"hidden\" name=\"alle\" value=\"".$alle."\" />\n";
echo "<input type=\"hidden\" name=\"ts\" value=\"" . time() . "\" />\n";
echo "<span class=\"cl1\" style=\"vertical-align:middle; padding: 10px;\">";
echo "<a href=\"#\" ";
echo stwToolTip('Bereitschaftsplanung drucken<br />Druck-Einstellungen per Rechtsklick', false);
echo "onmousedown=\"if(event.button==2){doTT();}";
echo "else{document.printform.submit();}return false;\" oncontextmenu=\"return false;\"";
echo "><img id=\"gprint\" src=\"img/drucker.png\" border=\"0\" /></a><a href=\"#\" ";
echo "style=\"font-size:small;position:relative;left:0;top:-4px;\" onclick=\"doTT()\"> +</a>";
echo "</span>\n</form>\n";


echo "<form method=\"post\" action=\"".$self;
$urlext = '';
if(isset($_GET['anz'])) $urlext .= "anz=$rvar_anz&";
if(isset($_GET['tag'])) $urlext .= "tag=$rvar_tag&";
if(isset($_GET['von_monat'])) $urlext .= "von_monat=$rvar_von_monat&";
if(isset($_GET['bis_monat'])) $urlext .= "bis_monat=$rvar_bis_monat&";
if(isset($_GET['von_jahr'])) $urlext .= "von_jahr=$rvar_von_jahr&";
if(isset($_GET['bis_jahr'])) $urlext .= "bis_jahr=$rvar_bis_jahr&";
if($urlext != '') echo '?'.substr($urlext,0,-1);
echo "\">\n";
echo "<table style=\"white-space:nowrap\">\n";

echo "<caption style=\"color: #ff0; font-size: 14pt; "
	."font-weight: bold; padding: 3px; text-align: left;";
new stwLineCSS(1);
echo "\">";
echo "<span style=\"padding-right: 50px;\">Bereitschaftsplan</span>\n";
echo "<span style=\"padding: 10px;\">";
echo "Zeitraum ".date('d.m.Y', $datumanfang).' - '.date('d.m.Y', $datumende)."</span>\n";
echo "</caption>\n"; 

$css_spaltenbreite="width:175px;";

echo "<thead>\n";

echo "<tr>";
echo "<th class=\"cl11\" style=\"text-align:center; width:50px;\"" . stwToolTip('Kalenderwoche') . ">KW</th>\n";
echo "<th class=\"cl11\" style=\"text-align:center; width:52px;\">von</th>\n";
echo "<th class=\"cl11\" style=\"text-align:center; width:52px;\">bis</th>\n";
echo "<th class=\"cl11\" style=\"text-align:center; ".$css_spaltenbreite."\">Bereitschaft</th>\n";
echo "<th class=\"cl11\" style=\"text-align:center; ".$css_spaltenbreite."\">Hintergrundbereitschaft</th>\n";
echo "<th class=\"cl11\" style=\"text-align:center; ".$css_spaltenbreite."\">Fahrbereitschaft1</th>";
echo "<th class=\"cl11\" style=\"text-align:center; ".$css_spaltenbreite."\">Fahrbereitschaft2</th>\n";
echo "</tr>\n";
new stwTabLine(2,7);
echo "<input type=\"hidden\" name=\"alle\" value=\"".$alle."\" />\n";
echo "</thead>\n";
echo "<tbody>\n";

/* hufig gebrauchte Results und Zwischenwerte holen */
/* Mitarbeiter mit Bereitschaft/Hintergrundbereitschaft sowie Anzahl derselben */
$sql  = "select pers_id from tb_personal ";
$sql .= "where status_id = '2' and bereitschaft = 'j' ";
if ($pers_order == 2) {
	$sql .= "order by name asc, vorname asc;";
} else {
	$sql .= "order by vorname asc, name asc;";
}
$res_ma_b = abfrage1($sql);
$anz_ma_b = mysql_num_rows($res_ma_b);


$sql  = "select pers_id from tb_personal ";
$sql .= "where status_id = '2' and bereitschaft = 'h' ";
if ($pers_order == 2) {
	$sql .= "order by name asc, vorname asc;";
} else {
	$sql .= "order by vorname asc, name asc;";
}

$res_ma_h = abfrage1($sql);
$anz_ma_h = mysql_num_rows($res_ma_h);

 
/* Bereitschaft (inkl. Hintergrund- und Fahrbereitbereitschaft) fuer das Jahr auslesen */
$sql  = "SELECT UNIX_TIMESTAMP(datum), bereit_id, pers_id, pers_id_h,".
		"pers_id_d, pers_id_f1, pers_id_f2, pers_id_dh, check_d ".
		"FROM tb_bereit ".
		"WHERE datum BETWEEN FROM_UNIXTIME(".$datumw.")".
		" AND FROM_UNIXTIME(".$datumende.") ".
		"ORDER BY datum ASC";
$res_bereit = abfrage1($sql);
$bereit_zeile = mysql_fetch_row($res_bereit);
if (!$bereit_zeile) {
	$bereit_zeile = array ($datumende, "0", "0", "0", "0", "0", "0", "0", false);
}

/* Personenliste Bereitschaft/Hintergrund zusammenketten */
$persstr="";
if ($anz_ma_b > 0) {
	mysql_data_seek($res_ma_b, 0);
	while ($row = mysql_fetch_row($res_ma_b)) {
		if ($persstr) $persstr.=", ";
		$persstr.="'$row[0]'";
	}
}

$persstr_h="";
if ($anz_ma_h > 0) {
	mysql_data_seek($res_ma_h, 0);
	while ($row = mysql_fetch_row($res_ma_h)) {
		if ($persstr_h) $persstr_h.=", ";
		$persstr_h.="'$row[0]'";
	}
}

/* aktuelle KW bestimmen */
$akt_kw = date_isodate_stamp(getWeekFirstDay());

$j = 0;
$t = 7; // Tag der Woche --> 8 = neue KW
$tagesbereit = true;
$ft = feiertage(date("Y", $datumw));

while ($datumw <= $datumende) {

	if ($t==7) {
		/* Bereitschaft fr die KW */
		$tagesbereit = false;
		$t = 0;
	} else {
		/* Tagesbereitschaft */
		$tagesbereit = true;
		if ($datumw < $datumanfang) {
			$datumw = $datumanfang;
			$t = date('w', $datumw);
			if ($t == 0) {
				$t = 7;
			}
		} else {
			$t++;
		}
	}
	
	$mydat = date('Y-m-d', $datumw);
	$be_mas = abfrage1("select pers_id from tb_personal where status_id = '2' and bereitschaft = 'j'");
	$dbers = abfrage1("select * from tb_bereit where (datum BETWEEN DATE_SUB('$mydat', INTERVAL 500 DAY) and '$mydat') order by datum desc");
	$bers = abfrage1("select unix_timestamp(max(datum)), floor(datediff('$mydat', max(datum)) / 7), pers_id from tb_bereit where datum < '$mydat' group by pers_id");
	$bereitschaften = $d_bers = $be_order = $db_order = array();
	$uid_d_txt = 'Tagesbereitschaft: ';
	$uid_f_txt = 'Fahrbereitschaft: ';
	while($ber = mysql_fetch_row($bers)) {
		$bereitschaften['pers_id'][$ber[2]] = $ber[1];
		$bereitschaften['datum_b'][$ber[2]] = "KW " . date('W',$ber[0]);
	}
	while($ber = mysql_fetch_array($dbers)) {
		$bereitschaften['pers_id_d'][$ber['pers_id_d']]++;
		$bereitschaften['pers_id_d'][$ber['pers_id_f1']]++;
		$bereitschaften['pers_id_d'][$ber['pers_id_f2']]++;
		$d_bers[$ber['pers_id_d']][] = $ber['datum'];
		$d_bers[$ber['pers_id_f1']][] = $ber['datum'];
		$d_bers[$ber['pers_id_f2']][] = $ber['datum'];
	}
	while($be_ma = mysql_fetch_row($be_mas)) {
		$db_order[$be_ma[0]] = $bereitschaften['pers_id_d'][$be_ma[0]];
		if(empty($bereitschaften['pers_id'][$be_ma[0]])) $bereitschaften['pers_id'][$be_ma[0]] = 'noch nie';
		$be_order[$be_ma[0]] = $bereitschaften['pers_id'][$be_ma[0]];

	}
	arsort($be_order);
	asort($db_order);
	$tt1 = $tt2 = "<table style=\"white-space:nowrap\" width=\"360\" cellspacing=\"1\" cellpadding=\"0\">";
	$tt1 .= "<tr><th colspan=\"30\" style=\"color:black; text-align:center\">Wie viele Wochen seit letzter Bereitschaft</th></tr><tr>";
	$tt2 .= "<tr><th colspan=\"30\" style=\"color:black; text-align:center\">Summe Tages-Bereitschaft der letzten 500 Tage</th></tr><tr>";
	$cnt = 0;
	foreach($be_order as $i => $v) {
		if($cnt == 0) $tt1 .= "<td class=\"cl20\"><table>";
		$tag = $uid == $i ? "th" : "td";
		$tt1 .= "<tr><$tag style=\"color:black;\">" . pers_kname($i) . "</$tag>";
		$tt1 .= "<$tag style=\"color:black;text-align:center\">";
		$tt1 .= $bereitschaften['pers_id'][$i];
		if(!empty($bereitschaften['datum_b'][$i])) $tt1 .= " (" . $bereitschaften['datum_b'][$i] . ")";
		$tt1 .= "</$tag></tr>";
		$cnt++;
		if($cnt == 10) {
			$cnt=0;
			$tt1 .= "</table></td><td class=\"cl20\" /><td style=\"background-color:black;height:100%\"><img src=\"img/clearpixel.png\" width=\"2\" alt=\"\" /></td><td class=\"cl20\" />";
		}
	}
	if($cnt > 0) $tt1 .= "</table></td>";
	$tt1 .= "</tr></table>";
	$cnt = 0;
	if($ulv < 96) $aktBer[0] = false;
	else $aktBer = abfrage("select pers_id_d from tb_bereit where datum='$mydat'");
	$tt2end = '';
	foreach($db_order as $i => $v) {
		if($cnt == 0) $tt2 .= "<td><table>";
		$tag = $uid == $i ? "th" : "td";
		$tt2 .= "<tr><$tag style=\"color:black;\">" . pers_kname($i) . "</$tag>";
		$tt2 .= "<$tag style=\"color:black;text-align:center\">" . intval($bereitschaften['pers_id_d'][$i]) . "</$tag></tr>";
		if(($uid == $i || $aktBer[0] == $i) && is_array($d_bers[$i])) {
			$tt2end .= "<tr><th class=\"ww\" colspan=\"30\" style=\"color:black;font-size:smaller;\">" . pers_kname($i) . ": ";
			$komma = false;
			foreach($d_bers[$i] as $datum) {
				if($komma) $tt2end .= ", ";
				else $komma = true;
				$tt2end .= date_my2gr($datum);
			}
			$tt2end .= "</th></tr>";
		}
		$cnt++;
		if($cnt == 10) {
			$cnt=0;
		$tt2 .= "</table></td><td class=\"cl20\" /><td style=\"background-color:black;height:100%\"><img src=\"img/clearpixel.png\" width=\"2\" alt=\"\" /></td><td class=\"cl20\" />";
		}
	}
	if($cnt > 0) $tt2 .= "</table></td>";
	$tt2 .= "</tr><tr><td colspan=\"30\" style=\"height:2px;background-color:black\"></td></tr>$tt2end</table>";
	$ber_tt = stwToolTip($tt1,false);
	$d_b_tt = stwToolTip($tt2,false);

	while ($datumw > $bereit_zeile[0]) {
		$bereit_zeile = mysql_fetch_row($res_bereit);
		if (!$bereit_zeile) {
			$bereit_zeile = array ($datumende, "0", "0", "0", "0", "0", "0", "0", false);
		}
	}
	if ($datumw < $bereit_zeile[0]) {
		$bereit['bereit_id'] = $bereit['check_d'] = NULL;
		$bereit['pers_id'] = $bereit['pers_id_h'] =
		$bereit['pers_id_d'] = $bereit['pers_id_f1'] =
		$bereit['pers_id_f2'] = $bereit['pers_id_dh'] = '0';
	} elseif ($datumw == $bereit_zeile[0]) {
		$bereit['bereit_id'] = $bereit_zeile[1];
		$bereit['pers_id'] = $bereit_zeile[2];
		$bereit['pers_id_h'] = $bereit_zeile[3];
		$bereit['pers_id_d'] = $bereit_zeile[4];
		$bereit['pers_id_f1'] = $bereit_zeile[5];
		$bereit['pers_id_f2'] = $bereit_zeile[6];
		$bereit['pers_id_dh'] = $bereit_zeile[7];
		$bereit['check_d'] = $bereit_zeile[8];
	}

	if($bereit['check_d']=='j') $bbereit_zeile = true;
	elseif($bereit['check_d']=='n') $bbereit_zeile = false;
	else $bbereit_zeile = (($bereit['pers_id_d'] + $bereit['pers_id_dh'] + $bereit['pers_id_f1'] + $bereit['pers_id_f2']) > 0);

	echo "<input type=\"hidden\" name=\"bereit[$j][bereit_id]\" value=\"".$bereit['bereit_id']."\" />\n";
	echo "<input type=\"hidden\" name=\"bereit[$j][datum]\" value=\"".$mydat."\" />\n";

	echo "<tr class=\"mo";
	if ($tagesbereit) { 
		if (!$alle && !$bbereit_zeile) {
			echo  "\" style=\"display:none;background-color:white\"";
		} else {
			echo  " akt_tagesbereit\" style=\"background-color:white\"";
		}
	} else {
		echo "\" id=\"KW".date('W',$datumw)."\"";
	}
	echo ">";

	if ($tagesbereit) {
		$tag = ($datumw == mktime(0,0,0,date('n'),date('j'),date('Y'))) ? 'th' : 'td';
		$tt = stwToolTip("Tagesbereitschaft aktivieren / deaktivieren");
		$checked = $bbereit_zeile ? 'checked' : '';
		if($ulv < 96) {
			echo "<td style=\"color:black\" $tt><img src=\"img/".($bbereit_zeile?'':'un')."checked.png\" style=\"position:relative;left:40px\" />";
		} else {
			echo "<input type=\"hidden\" name=\"bereit[$j][old_check_d]\" value=\"".($bbereit_zeile ? 'j' : 'n')."\" />\n";
			echo "<td style=\"color:black\"><input style=\"position:relative;left:40px\" type=\"checkbox\" onchange=\"xajax_save('$mydat','check_d',this.checked?'j':'n')\" $tt name=\"bereit[$j][check_d]\" $checked value=\"j\" />";
		}
		echo strftime('%a', $datumw) . "</td>\n";
		$ft1 = find_key_in_array($ft, $datumw);
		echo "<$tag $d_b_tt style=\"color:black\" ";
		if($ft1) {
			echo "style=\"color:black;background-color:#999999\"";
			echo stwToolTip($ft1);
		}
		echo "class=\"cl11\">" . date("d.m.y", $datumw) . "</$tag>\n";
		echo "<td />\n";
		if(!$bbereit_zeile) {
			echo "</tr>\n";
			$datumw =  mktime(0,0,0,date('n', $datumw),date('j', $datumw) + 1, date('Y', $datumw));
			$j++;
			continue;
		}
	} else {
		// Aktuelle KW vorheben
		$tag = ($datumw == $akt_kw) ? 'th' : 'td';
		echo "<$tag $ber_tt class=\"cl11\">";
		//echo "<img src=\"img/hoch2.png\" width=\"10\" height=\"10\" border=\"0\" alt=\"Nur belegte Tage der KW ".date('W',$datumw)." anzeigen\" />";
		echo "<img src=\"img/runter2.png\" width=\"10\" height=\"10\" border=\"0\" alt=\"Alle Tage der KW ".date('W',$datumw)." anzeigen\" onClick=\"switch_weekvis (this)\"/>";
		echo "KW ".date('W',$datumw)."</$tag>\n";
		echo "<$tag $ber_tt class=\"cl11\">" . date("d.m.y", $datumw) . "</$tag>\n";
		echo "<$tag $ber_tt class=\"cl11\">";
		echo date('d.m.y', mktime(0,0,0,date('n', $datumw),date('j', $datumw) + 6, date('y', $datumw)));
		echo "</$tag>\n";
	}

	/* von/bis fuer Fehlzeiten */
	

	/* Fehlzeiten fr alle Mitarbeiter zu Woche/Datum abfragen */
	if ($persstr != "" || $persstr_h != "") {
		$fz_von = mktime(0,0,0,date('n',$datumw),date('j',$datumw),date('Y'),$datumw);
		$sql  = "select f.pers_id from tb_fehlz f ";
		$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
		$sql .= "where ";
		$sql .= "f.pers_id IN (";
		if ($persstr != "" && $persstr_h != "") {
			$sql .= "$persstr,$persstr_h";
		} elseif ($persstr != "") {
			$sql .= "$persstr";
		} else {
			$sql .= "$persstr_h";
		}
		$sql .= ") and ";
		// $sql .= "(f.antrag = '1' or f.genehmigt = '1') ";   Rein oder raus? Die Zeile war bisher nur bei der Hintergrundbereitschaft drin.
		if (!$tagesbereit) {
			$fz_bis = mktime(23,59,59,date('n',$datumw),date('j',$datumw)+6,date('Y'),$datumw);
			$sql .= "unix_timestamp(t.von) < '$fz_bis' and ";
			$sql .= "unix_timestamp(t.bis) > '$fz_von';";
		} else {
			$sql .= "'$fz_von' BETWEEN unix_timestamp(t.von) and unix_timestamp(t.bis);";
		}
		$res_fehlz = abfrage1($sql);
		$anz_fehlz = mysql_num_rows($res_fehlz);
	} else {
		$anz_fehlz = 0;
	}
	
	
	/* Fr alle in Frage kommenden Mitarbeiter
	   Anzahl der Wochen seit letzter Bereitschaft ermitteln
	   bzw.              Anzahl Tagesbereitsschaften seit 500 Tagen ermitteln
	*/
	if ($persstr != "") {
		if (!$tagesbereit) {
			$sql  = "select floor(datediff('$mydat', max(datum)) / 7), pers_id from tb_bereit ";
			$sql .= "where pers_id IN ($persstr) and datum < '$mydat' ";
			$sql .= "group by pers_id;";
		} else {
			$sql  = "select count(*), tb.pers_ids ";
			$sql .= "from ( ";
			$sql .= "	select pers_id_d  as pers_ids from tb_bereit ";
			$sql .= "		where pers_id_d  IN ($persstr) and (datum BETWEEN DATE_SUB('$mydat', INTERVAL 500 DAY) and '$mydat') ";
			$sql .= "	union all ";
			$sql .= "	select pers_id_f1 as pers_ids from tb_bereit ";
			$sql .= "		where pers_id_f1 IN ($persstr) and (datum BETWEEN DATE_SUB('$mydat', INTERVAL 500 DAY) and '$mydat') ";
			$sql .= "	union all ";
			$sql .= "	select pers_id_f2 as pers_ids from tb_bereit ";
			$sql .= "		where pers_id_f2 IN ($persstr) and (datum BETWEEN DATE_SUB('$mydat', INTERVAL 500 DAY) and '$mydat') ";
			$sql .= ") as tb ";
			$sql .= "group by pers_ids;";
		}
		$res_anzahl = abfrage1($sql);
		$anz_anzahl = mysql_num_rows($res_anzahl);
	} else {
		$anz_anzahl = 0;
	}

	/* durchschnittlichen Wert fr Bereitschaft zum Datum ermitteln */
	if ($anz_ma_b > 0) {
		$summe = 0;
		if ($anz_anzahl > 0) {
			mysql_data_seek($res_anzahl, 0);
			while ($zahl_row = mysql_fetch_row($res_anzahl)) {
				if ($zahl_row[1] == $row[0]) {
					$summe = $summe + $zahl_row[0];
				}
			}
		}
		$durchschnitt = floor($summe / $anz_ma_b);
	} else {
		$durchschnitt = 0;
	}
	
	/* Auswahlfeld Bereitschaft */
	echo "<td class=\"cl11\">";
	if (!$tagesbereit) {
		if($ulv < 96 && !empty($bereit['pers_id'])) echo "<input type=\"hidden\" name=\"bereit[$j][pers_id]\" value=\"".$bereit['pers_id']."\" />\n";
		echo "<input type=\"hidden\" name=\"bereit[$j][old_id]\" value=\"".$bereit['pers_id']."\" />\n";
		echo "<select onchange=\"xajax_save('$mydat','pers_id',this.value)\" name=\"bereit[$j][pers_id]\" size=\"1\" ";
		if($ulv < 96 && !empty($bereit['pers_id'])) echo "disabled ";
	} else {
		if($ulv < 96 && !empty($bereit['pers_id_d'])) echo "<input type=\"hidden\" name=\"bereit[$j][pers_id_d]\" value=\"".$bereit['pers_id_d']."\" />\n";
		echo "<input type=\"hidden\" name=\"bereit[$j][old_id_d]\" value=\"".$bereit['pers_id_d']."\" />\n";
		echo "<select onchange=\"xajax_save('$mydat','pers_id_d',this.value)\" name=\"bereit[$j][pers_id_d]\" size=\"1\" ";
		if($ulv < 96 && !empty($bereit['pers_id_d'])) echo "disabled ";
	}

	$style = " style=\"$css_spaltenbreite ";
	$tt = "";
	
	if (!$tagesbereit) {
		$suchid = $bereit['pers_id'];
	} else {
		$suchid = $bereit['pers_id_d'];
		$durchschnitt_tagesbereit=$durchschnitt;
		$res_anzahl_tagesbereit=$res_anzahl;
	}
	/* Extra Durchlauf fr aktives Optionsfeld */
	if ($suchid) {

		/* Fehlzeiten abfragen */
		$fehlzeiten = false;
		if ($anz_fehlz > 0) {
			mysql_data_seek($res_fehlz, 0);
			while ($fz_row = mysql_fetch_row($res_fehlz)) {
				if ($fz_row[0] == $suchid) {
					$fehlzeiten = true;
					break;
				}
			}
		}
		if ($fehlzeiten > 0) {
			$bgcolor = '#00FFFF';
			$tt = 'Mitarbeiter hat gleichzeitig Bereitschaft und Fehlzeiten!';
		} else {
		/* Fr aktiven Mitarbeiter Wert der Bereitschaft fuer dieses Datum erm.
		   Nur ausfhren, wenn auch Mitarbeiter fr normale Bereitschaft
		*/
			if (strpos($persstr, "'".$suchid."'")!==false) {
				$zahl = 0;
				if ($anz_anzahl > 0) {
					mysql_data_seek($res_anzahl, 0);
					while ($zahl_row = mysql_fetch_row($res_anzahl)) {
						if ($zahl_row[1] == $suchid) {
							$zahl = $zahl_row[0];
							break;
						}
					}
				}

				if ($zahl < $durchschnitt) {
					$bgcolor = '#ff0000';
				} elseif ($zahl == $durchschnitt) {
					$bgcolor = '#ffff00';
				} else { // identisch zu "if ($zahl > $durchschnitt)"
					$bgcolor = '#00ff00';
				}
			} else {
				$bgcolor = '#ffcc00';
			}
		}
		$style .= "background-color: $bgcolor; ";
	}

	$style .= "\" ";
	echo $style;
	if ($tt) {
		echo stwToolTip($tt);
	}
	echo SEL_ONCHANGE;
	echo ">\n";
	$bereit_gesetzt=false;
	if ($recht_aendern) {
		echo "<option value=\"0\">Mitarbeiter w&auml;hlen!</option>\n";
	}

	if ($anz_ma_b > 0) {
		mysql_data_seek($res_ma_b, 0);

		while ($row = mysql_fetch_row($res_ma_b)) {
			if ($suchid == $row[0]) {
				echo "<option selected=\"selected\"";
				$bereit_gesetzt=true;
			} elseif (!$recht_aendern || ($ulv < 96 && $uid != $row[0])) {
				continue;
			} else {
				echo "<option";
			}
			echo ' value="'.$row[0].'"';

			$zahl = 0;
			if ($anz_anzahl > 0) {
				mysql_data_seek($res_anzahl, 0);
				while ($zahl_row = mysql_fetch_row($res_anzahl)) {
					if ($zahl_row[1] == $row[0]) {
						$zahl = $zahl_row[0];
						break;
					}
				}
			}

			/* Fehlzeiten abfragen */
			$fehlzeiten = false;
			if ($anz_fehlz > 0) {
				mysql_data_seek($res_fehlz, 0);
				while ($fz_row = mysql_fetch_row($res_fehlz)) {
					if ($fz_row[0] == $row[0]) {
						$fehlzeiten = true;
						break;
					}
				}
			}
			if ($fehlzeiten > 0){
				$bgcolor = '#00FFFF';
			} else {
				/* Farbgebung Hintergrund je nach Verhaeltnis vergangene Wochen seit
				 * letzter Bereitschaft / Durchschnittswert
				*/
				if ($zahl < $durchschnitt) {
					$bgcolor = '#ff0000';
				} elseif ($zahl == $durchschnitt) {
					$bgcolor = '#ffff00';
				} else { // identisch zu "if ($zahl > $durchschnitt)"
					$bgcolor = '#00ff00';
				}
			}
			echo " style=\"background-color: $bgcolor;\">";
			if ($pers_order == 2) {
				echo pers_name2($row[0]);
			} else {
				echo pers_name($row[0]);
			}
			if ($zahl > 0) {
				echo "&nbsp;($zahl)";
			} else {
				echo "&nbsp;(noch keine)";
			}
			echo "</option>\n";
		}
	}
	
	/* fuer den Ausnahmefall werden auch noch die Mitarbeiter mit Hintergrund-
	 * bereitschaft angeboten, jedoch ohne Anzeige der Zahlen und ohne Farb-
	 * gebung
	*/
	
	if ($anz_ma_h > 0) {
		mysql_data_seek($res_ma_h, 0);	
		while ($row = mysql_fetch_row($res_ma_h)){
			if ($suchid == $row[0]) {
				echo '<option selected="selected"';
				$bereit_gesetzt=true;
			} elseif (!$recht_aendern || ($ulv < 96 && $uid != $row[0])) {
				continue;
			} else {
				echo '<option';
			}
			echo ' value="'.$row[0].'"';
	
			/* Fehlzeiten abfragen */
			$fehlzeiten = false;
			if ($anz_fehlz > 0) {
				mysql_data_seek($res_fehlz, 0);
				while ($fz_row = mysql_fetch_row($res_fehlz)) {
					if ($fz_row[0] == $row[0]) {
						$fehlzeiten = true;
						break;
					}
				}
			}
			if ($fehlzeiten > 0){
				$bgcolor = '#00FFFF';
				echo " style=\"background-color: $bgcolor;\">";
			} else {
				echo ">";
			}
			if ($pers_order == 2) {
				echo pers_name2($row[0]);
			} else {
				echo pers_name($row[0]);
			}
			echo "</option>\n";
		}
	}
	if (!$recht_aendern && !$bereit_gesetzt) {
		echo "<option value=\"0\">Bisher nicht belegt</option>\n";
	}
	echo "</select></td>\n";
	
	
	/* ----- HINTERGRUNDBEREITSCHAFT ----- */
	
	
	/* Fr alle in Frage kommenden Mitarbeiter
	   Anzahl der Wochen seit letzter Bereitschaft ermitteln
	   bzw.              Anzahl Tagesbereitsschaften seit 500 Tagen ermitteln
	*/
	if ($persstr_h != "") {
		if (!$tagesbereit) {
			$sql  = "select floor(datediff('$mydat', max(datum)) / 7), pers_id_h from tb_bereit ";
			$sql .= "where pers_id_h IN ($persstr_h) and datum < '$mydat' ";
			$sql .= "group by pers_id_h;";
		} else {
			$sql  = "select count(*), pers_id_dh from tb_bereit ";
			$sql .= "where pers_id_dh IN ($persstr_h) and (datum BETWEEN DATE_SUB('$mydat', INTERVAL 500 DAY) and '$mydat') ";
			$sql .= "group by pers_id_dh;";
		}
		$res_anzahl = abfrage1($sql);
		$anz_anzahl = mysql_num_rows($res_anzahl);
	} else {
		$anz_anzahl = 0;
	}

	/* durchschnittlichen Wert fr Bereitschaft zum Datum ermitteln */
	if ($anz_ma_h > 0) {
		
		$summe = 0;
		if ($anz_anzahl > 0) {
			mysql_data_seek($res_anzahl, 0);
			while ($zahl_row = mysql_fetch_row($res_anzahl)) {
				if ($zahl_row[1] == $row[0]) {
					$summe = $summe + $zahl_row[0];
				}
			}
		}
		$durchschnitt = floor($summe / $anz_ma_h);
	} else {
		$durchschnitt = 0;
	}
	
	/* Auswahlfeld Hintergrundbereitschaft */
	echo "<td>";
	
	if (!$tagesbereit) {
		if($ulv < 96 && !empty($bereit['pers_id_h'])) echo "<input type=\"hidden\" name=\"bereit[$j][pers_id_h]\" value=\"".$bereit['pers_id_h']."\" />\n";
		echo "<input type=\"hidden\" name=\"bereit[$j][old_id_h]\" value=\"".$bereit['pers_id_h']."\" />\n";
		echo "<select onchange=\"xajax_save('$mydat','pers_id_h',this.value)\" name=\"bereit[$j][pers_id_h]\" size=\"1\" ";
		if($ulv < 96 && !empty($bereit['pers_id_h'])) echo "disabled ";
	} else {
		if($ulv < 96 && !empty($bereit['pers_id_dh'])) echo "<input type=\"hidden\" name=\"bereit[$j][pers_id_dh]\" value=\"".$bereit['pers_id_dh']."\" />\n";
		echo "<input type=\"hidden\" name=\"bereit[$j][old_id_dh]\" value=\"".$bereit['pers_id_dh']."\" />\n";
		echo "<select onchange=\"xajax_save('$mydat','pers_id_dh',this.value)\" name=\"bereit[$j][pers_id_dh]\" size=\"1\" ";
		if($ulv < 96 && !empty($bereit['pers_id_dh'])) echo "disabled ";
	}
	
	$style = " style=\"$css_spaltenbreite ";
	$tt = "";
	if ((!$tagesbereit && $bereit['pers_id_h']) ||
		($tagesbereit  && $bereit['pers_id_dh'])) {
		
		if (!$tagesbereit) {
			$suchid = $bereit['pers_id_h'];
		} else {
			$suchid = $bereit['pers_id_dh'];
		}
		
		/* Fr aktiven Mitarbeiter Wert der Bereitschaft fuer dieses Datum erm.
		   Nur ausfhren, wenn auch Hintergrundmitarbeiter
		*/
		if (strpos($persstr_h, "'".$suchid."'")!==false) {
			$zahl = 0;
			if ($anz_anzahl > 0) {
				mysql_data_seek($res_anzahl, 0);
				while ($zahl_row = mysql_fetch_row($res_anzahl)) {
					if ($zahl_row[1] == $suchid) {
						$zahl = $zahl_row[0];
						break;
					}
				}
			}

			if ($zahl < $durchschnitt) {
				$bgcolor = '#ff0000';
			} elseif ($zahl == $durchschnitt) {
				$bgcolor = '#ffff00';
			} else { // identisch zu "if ($zahl > $durchschnitt)"
				$bgcolor = '#00ff00';
			}
		} else {
			$bgcolor = '#ffcc00';
		}

		$style .= "background-color: $bgcolor; ";

		/* Fehlzeiten abfragen */
		$fehlzeiten = false;
		if ($anz_fehlz > 0) {
			mysql_data_seek($res_fehlz, 0);
			while ($fz_row = mysql_fetch_row($res_fehlz)) {
				if ($fz_row[0] == $suchid) {
					$fehlzeiten = true;
					break;
				}
			}
		}
		if ($fehlzeiten > 0){
			$style .= "text-decoration: blink; ";
			$tt = 'Mitarbeiter hat gleichzeitig Hintergrundbereitschaft und Fehlzeiten!';
		}
	}

	$style .= "\" ";
	echo $style;
	if ($tt) {
		echo stwToolTip($tt)." ";
	}

	echo SEL_ONCHANGE;
	echo ">\n";
	$bereit_gesetzt=false;
	if ($recht_aendern) {
		echo "<option value=\"0\">Mitarbeiter w&auml;hlen!</option>\n";
	}
	
	/* Eintrge fr Optionsfelder mit allen entsprechenden Mitarbeitern aufbauen */
	if ($anz_ma_h > 0) {
		mysql_data_seek($res_ma_h, 0);
		
		while ($row = mysql_fetch_row($res_ma_h)) {
			if ((!$tagesbereit && $bereit['pers_id_h']  == $row[0]) ||
				($tagesbereit  && $bereit['pers_id_dh'] == $row[0])) {
				echo '<option selected="selected"';
				$bereit_gesetzt=true;
			} elseif (!$recht_aendern || ($ulv < 96 && $uid != $row[0])) {
				continue;
			} else {
				echo '<option';
			}
			echo ' value="'.$row[0].'"';
			
			/* Fehlzeiten abfragen */
			$fehlzeiten = false;
			if ($anz_fehlz > 0) {
				mysql_data_seek($res_fehlz, 0);
				while ($fz_row = mysql_fetch_row($res_fehlz)) {
					if ($fz_row[0] == $row[0]) {
						$fehlzeiten = true;
						break;
					}
				}
			}
			$zahl = 0;
			if ($fehlzeiten > 0){
				$bgcolor = '#00FFFF';
			} else {
				/* Fr Mitarbeiter Wert der Bereitschaft fuer dieses Datum erm. */
				if ($anz_anzahl > 0) {
					mysql_data_seek($res_anzahl, 0);
					while ($zahl_row = mysql_fetch_row($res_anzahl)) {
						if ($zahl_row[1] == $row[0]) {
							$zahl = $zahl_row[0];
							break;
						}
					}
				}
				/* Farbgebung Hintergrund je nach Verhaeltnis
				 * Wert der Bereitschaft / Durchschnittswert
				*/
				if ($zahl < $durchschnitt) {
					$bgcolor = '#ff0000';
				} elseif ($zahl == $durchschnitt) {
					$bgcolor = '#ffff00';
				} else { // identisch zu "if ($zahl > $durchschnitt)"
					$bgcolor = '#00ff00';
				}
			}
	
			echo " style=\"background-color: $bgcolor;\">";
			if ($pers_order == 2) {
				echo pers_name2($row[0]);
			} else {
				echo pers_name($row[0]);
			}
			if ($zahl > 0) {
				echo "&nbsp;($zahl)";
			} else {
				echo "&nbsp;(noch keine)";
			}
			echo "</option>\n";
		}
	}


	/* fuer den Ausnahmefall werden auch noch die 'normalen' Bereitschafts-
	 * mitarbeiter angeboten, jedoch ohne Anzeige der Zahlen und ohne Farb-
	 * gebung
	*/

	if ($anz_ma_b > 0) {
		mysql_data_seek($res_ma_b, 0);

		while ($row = mysql_fetch_row($res_ma_b)){
			if ((!$tagesbereit && $bereit['pers_id_h']  == $row[0]) ||
				($tagesbereit  && $bereit['pers_id_dh'] == $row[0])) {
				echo '<option selected="selected"';
				$bereit_gesetzt=true;
			} elseif (!$recht_aendern || ($ulv < 96 && $uid != $row[0])) {
				continue;
			} else {
				echo '<option';
			}
			echo ' value="'.$row[0].'"';
	
			/* Fehlzeiten abfragen */
			$fehlzeiten = false;
			if ($anz_fehlz > 0) {
				mysql_data_seek($res_fehlz, 0);
				while ($fz_row = mysql_fetch_row($res_fehlz)) {
					if ($fz_row[0] == $row[0]) {
						$fehlzeiten = true;
						break;
					}
				}
			}
			if ($fehlzeiten > 0){
				$bgcolor = '#00FFFF';
				echo " style=\"background-color: $bgcolor;\">";
			} else {
				echo ">";
			}
			if ($pers_order == 2) {
				echo pers_name2($row[0]);
			} else {
				echo pers_name($row[0]);
			}
			echo "</option>\n";
		}
	}
	if (!$recht_aendern && !$bereit_gesetzt) {
		echo "<option value=\"0\">Bisher nicht belegt</option>\n";
	}
	
	echo "</select></td>\n";
	
	
	
	/* ----- Fahrbereitschaften ----- */
	
	
	
	if ($tagesbereit) {
	
		$durchschnitt=$durchschnitt_tagesbereit;
		
		if ($persstr != "") {
			$res_anzahl=$res_anzahl_tagesbereit;
			$anz_anzahl = mysql_num_rows($res_anzahl);
		} else {
			$anz_anzahl = 0;
		}
	
		/* Auswahlfeld Fahrbreitschaft 1 */
		echo "<td class=\"cl11\">";
		if($ulv < 96 && !empty($bereit['pers_id_f1'])) echo "<input type=\"hidden\" name=\"bereit[$j][pers_id_f1]\" value=\"".$bereit['pers_id_f1']."\" />\n";
		echo "<input type=\"hidden\" name=\"bereit[$j][old_id_f1]\" value=\"".$bereit['pers_id_f1']."\" />\n";
		echo "<select onchange=\"xajax_save('$mydat','pers_id_f1',this.value)\" name=\"bereit[$j][pers_id_f1]\" size=\"1\" ";
		if($ulv < 96 && !empty($bereit['pers_id_f1'])) echo "disabled ";

		$style = " style=\"$css_spaltenbreite ";
		$tt = "";
	
		$suchid = $bereit['pers_id_f1'];
		/* Extra Durchlauf fr aktives Optionsfeld */
		if ($suchid) {

			/* Fehlzeiten abfragen */
			$fehlzeiten = false;
			if ($anz_fehlz > 0) {
				mysql_data_seek($res_fehlz, 0);
				while ($fz_row = mysql_fetch_row($res_fehlz)) {
					if ($fz_row[0] == $suchid) {
						$fehlzeiten = true;
						break;
					}
				}
			}
			if ($fehlzeiten > 0) {
				$bgcolor = '#00FFFF';
				$tt = 'Mitarbeiter hat gleichzeitig Bereitschaft und Fehlzeiten!';
			} else {
			/* Fr aktiven Mitarbeiter Wert der Bereitschaft fuer dieses Datum erm.
			   Nur ausfhren, wenn auch Mitarbeiter fr normale Bereitschaft
			*/
				if (strpos($persstr, "'".$suchid."'")!==false) {
					$zahl = 0;
					if ($anz_anzahl > 0) {
						mysql_data_seek($res_anzahl, 0);
						while ($zahl_row = mysql_fetch_row($res_anzahl)) {
							if ($zahl_row[1] == $suchid) {
								$zahl = $zahl_row[0];
								break;
							}
						}
					}

					if ($zahl < $durchschnitt) {
						$bgcolor = '#ff0000';
					} elseif ($zahl == $durchschnitt) {
						$bgcolor = '#ffff00';
					} else { // identisch zu "if ($zahl > $durchschnitt)"
						$bgcolor = '#00ff00';
					}
				} else {
					$bgcolor = '#ffcc00';
				}
			}
			$style .= "background-color: $bgcolor; ";
		}

		$style .= "\" ";
		echo $style;
		if ($tt) {
			echo stwToolTip($tt);
		}
		echo SEL_ONCHANGE;
		echo ">\n";
		$bereit_gesetzt=false;
		if ($recht_aendern) {
			echo "<option value=\"0\">Mitarbeiter w&auml;hlen!</option>\n";
		}

		if ($anz_ma_b > 0) {
			mysql_data_seek($res_ma_b, 0);

			while ($row = mysql_fetch_row($res_ma_b)) {
		
				if ($suchid == $row[0]) {
					echo '<option selected="selected"';
					$bereit_gesetzt=true;
				} elseif (!$recht_aendern || ($ulv < 96 && $uid != $row[0])) {
					continue;
				} else {
					echo '<option';
				}
				echo ' value="'.$row[0].'"';
				
				$zahl = 0;
				if ($anz_anzahl > 0) {
					mysql_data_seek($res_anzahl, 0);
					while ($zahl_row = mysql_fetch_row($res_anzahl)) {
						if ($zahl_row[1] == $row[0]) {
							$zahl = $zahl_row[0];
							break;
						}
					}
				}
			
				/* Fehlzeiten abfragen */
				$fehlzeiten = false;
				if ($anz_fehlz > 0) {
					mysql_data_seek($res_fehlz, 0);
					while ($fz_row = mysql_fetch_row($res_fehlz)) {
						if ($fz_row[0] == $row[0]) {
							$fehlzeiten = true;
							break;
						}
					}
				}
				if ($fehlzeiten > 0){
					$bgcolor = '#00FFFF';
				} else {
					/* Farbgebung Hintergrund je nach Verhaeltnis vergangene Wochen seit
					 * letzter Bereitschaft / Durchschnittswert
					*/
					if ($zahl < $durchschnitt) {
						$bgcolor = '#ff0000';
					} elseif ($zahl == $durchschnitt) {
						$bgcolor = '#ffff00';
					} else { // identisch zu "if ($zahl > $durchschnitt)"
						$bgcolor = '#00ff00';
					}
				}
				echo " style=\"background-color: $bgcolor;\">";
				if ($pers_order == 2) {
					echo pers_name2($row[0]);
				} else {
					echo pers_name($row[0]);
				}
				if ($zahl > 0) {
					echo "&nbsp;($zahl)";
				} else {
					echo "&nbsp;(noch keine)";
				}
				echo "</option>\n";
			}
		}
		
		/* fuer den Ausnahmefall werden auch noch die Mitarbeiter mit Hintergrund-
		 * bereitschaft angeboten, jedoch ohne Anzeige der Zahlen und ohne Farb-
		 * gebung
		*/
		
		if ($anz_ma_h > 0) {
			mysql_data_seek($res_ma_h, 0);	
			while ($row = mysql_fetch_row($res_ma_h)){
				if ($suchid == $row[0]) {
					echo '<option selected="selected"';
					$bereit_gesetzt=true;
				} elseif (!$recht_aendern || ($ulv < 96 && $uid != $row[0])) {
					continue;
				} else {
					echo '<option';
				}
				echo ' value="'.$row[0].'"';
		
				/* Fehlzeiten abfragen */
				$fehlzeiten = false;
				if ($anz_fehlz > 0) {
					mysql_data_seek($res_fehlz, 0);
					while ($fz_row = mysql_fetch_row($res_fehlz)) {
						if ($fz_row[0] == $row[0]) {
							$fehlzeiten = true;
							break;
						}
					}
				}
				if ($fehlzeiten > 0){
					$bgcolor = '#00FFFF';
					echo " style=\"background-color: $bgcolor;\">";
				} else {
					echo ">";
				}
				if ($pers_order == 2) {
					echo pers_name2($row[0]);
				} else {
					echo pers_name($row[0]);
				}
				echo "</option>\n";
			}
		}
		if (!$recht_aendern && !$bereit_gesetzt) {
			echo "<option value=\"0\">Bisher nicht belegt</option>\n";
		}
		echo "</select></td>\n";
		
		
		
		/* Auswahlfeld Fahrbereitschaft 2*/
		echo "<td class=\"cl11\">";
		if($ulv < 96 && !empty($bereit['pers_id_f2'])) echo "<input type=\"hidden\" name=\"bereit[$j][pers_id_f2]\" value=\"".$bereit['pers_id_f2']."\" />\n";
		echo "<input type=\"hidden\" name=\"bereit[$j][old_id_f2]\" value=\"".$bereit['pers_id_f2']."\" />\n";
		echo "<select onchange=\"xajax_save('$mydat','pers_id_f2',this.value)\" name=\"bereit[$j][pers_id_f2]\" size=\"1\" ";
		if($ulv < 96 && !empty($bereit['pers_id_f2'])) echo "disabled ";

		$style = " style=\"$css_spaltenbreite ";
		$tt = "";
	
		$suchid = $bereit['pers_id_f2'];
		/* Extra Durchlauf fr aktives Optionsfeld */
		if ($suchid) {

			/* Fehlzeiten abfragen */
			$fehlzeiten = false;
			if ($anz_fehlz > 0) {
				mysql_data_seek($res_fehlz, 0);
				while ($fz_row = mysql_fetch_row($res_fehlz)) {
					if ($fz_row[0] == $suchid) {
						$fehlzeiten = true;
						break;
					}
				}
			}
			if ($fehlzeiten > 0) {
				$bgcolor = '#00FFFF';
				$tt = 'Mitarbeiter hat gleichzeitig Bereitschaft und Fehlzeiten!';
			} else {
			/* Fr aktiven Mitarbeiter Wert der Bereitschaft fuer dieses Datum erm.
			   Nur ausfhren, wenn auch Mitarbeiter fr normale Bereitschaft
			*/
				if (strpos($persstr, "'".$suchid."'")!==false) {
					$zahl = 0;
					if ($anz_anzahl > 0) {
						mysql_data_seek($res_anzahl, 0);
						while ($zahl_row = mysql_fetch_row($res_anzahl)) {
							if ($zahl_row[1] == $suchid) {
								$zahl = $zahl_row[0];
								break;
							}
						}
					}

					if ($zahl < $durchschnitt) {
						$bgcolor = '#ff0000';
					} elseif ($zahl == $durchschnitt) {
						$bgcolor = '#ffff00';
					} else { // identisch zu "if ($zahl > $durchschnitt)"
						$bgcolor = '#00ff00';
					}
				} else {
					$bgcolor = '#ffcc00';
				}
			}
			$style .= "background-color: $bgcolor; ";
		}

		$style .= "\" ";
		echo $style;
		if ($tt) {
			echo stwToolTip($tt);
		}
		echo SEL_ONCHANGE;
		echo ">\n";
		$bereit_gesetzt=false;
		if ($recht_aendern) {
			echo "<option value=\"0\">Mitarbeiter w&auml;hlen!</option>\n";
		}
		if ($anz_ma_b > 0) {
			mysql_data_seek($res_ma_b, 0);

			while ($row = mysql_fetch_row($res_ma_b)) {
		
				if ($suchid == $row[0]) {
					echo '<option selected="selected"';
					$bereit_gesetzt=true;
				} elseif (!$recht_aendern || ($ulv < 96 && $uid != $row[0])) {
					continue;
				} else {
					echo '<option';
				}
				echo ' value="'.$row[0].'"';
				
				$zahl = 0;
				if ($anz_anzahl > 0) {
					mysql_data_seek($res_anzahl, 0);
					while ($zahl_row = mysql_fetch_row($res_anzahl)) {
						if ($zahl_row[1] == $row[0]) {
							$zahl = $zahl_row[0];
							break;
						}
					}
				}
			
				/* Fehlzeiten abfragen */
				$fehlzeiten = false;
				if ($anz_fehlz > 0) {
					mysql_data_seek($res_fehlz, 0);
					while ($fz_row = mysql_fetch_row($res_fehlz)) {
						if ($fz_row[0] == $row[0]) {
							$fehlzeiten = true;
							break;
						}
					}
				}
				if ($fehlzeiten > 0){
					$bgcolor = '#00FFFF';
				} else {
					/* Farbgebung Hintergrund je nach Verhaeltnis vergangene Wochen seit
					 * letzter Bereitschaft / Durchschnittswert
					*/
					if ($zahl < $durchschnitt) {
						$bgcolor = '#ff0000';
					} elseif ($zahl == $durchschnitt) {
						$bgcolor = '#ffff00';
					} else { // identisch zu "if ($zahl > $durchschnitt)"
						$bgcolor = '#00ff00';
					}
				}
				echo " style=\"background-color: $bgcolor;\">";
				if ($pers_order == 2) {
					echo pers_name2($row[0]);
				} else {
					echo pers_name($row[0]);
				}
				if ($zahl > 0) {
					echo "&nbsp;($zahl)";
				} else {
					echo "&nbsp;(noch keine)";
				}
				echo "</option>\n";
			}
		}
		
		/* fuer den Ausnahmefall werden auch noch die Mitarbeiter mit Hintergrund-
		 * bereitschaft angeboten, jedoch ohne Anzeige der Zahlen und ohne Farb-
		 * gebung
		*/
		
		if ($anz_ma_h > 0) {
			mysql_data_seek($res_ma_h, 0);	
			while ($row = mysql_fetch_row($res_ma_h)){
				if ($suchid == $row[0]) {
					echo '<option selected="selected"';
					$bereit_gesetzt=true;
				} elseif (!$recht_aendern || ($ulv < 96 && $uid != $row[0])) {
					continue;
				} else {
					echo '<option';
				}
				echo ' value="'.$row[0].'"';
		
				/* Fehlzeiten abfragen */
				$fehlzeiten = false;
				if ($anz_fehlz > 0) {
					mysql_data_seek($res_fehlz, 0);
					while ($fz_row = mysql_fetch_row($res_fehlz)) {
						if ($fz_row[0] == $row[0]) {
							$fehlzeiten = true;
							break;
						}
					}
				}
				if ($fehlzeiten > 0){
					$bgcolor = '#00FFFF';
					echo " style=\"background-color: $bgcolor;\">";
				} else {
					echo ">";
				}
				if ($pers_order == 2) {
					echo pers_name2($row[0]);
				} else {
					echo pers_name($row[0]);
				}
				echo "</option>\n";
			}
		}
		if (!$recht_aendern && !$bereit_gesetzt) {
			echo "<option value=\"0\">Bisher nicht belegt</option>\n";
		}
		echo "</select></td>\n";
	
	} else {
		echo "<td></td><td></td>\n";
	}
	
	
	echo "</tr>\n";
	
	if ($tagesbereit) {
		$datumw =  mktime(0,0,0,date('n', $datumw),date('j', $datumw) + 1, date('Y', $datumw));
	}
	$j++;
}

echo "</tbody>\n";

new stwTabLine(2,10);
if ($recht_aendern) { 
	echo "<tfoot>\n";
	echo "<tr><td colspan=\"4\" id=\"Speicherbereich\">";
	echo "<input type=\"submit\" name=\"senden\" value=\"Speichern\" ";
	echo stwToolTip("Aktuelle Werte speichern und Anzahl/Farben neu setzen");
	echo "/></td></tr>\n";  
	echo "</tfoot>\n";
}
echo "</table>\n";
echo "</form>\n";

new stwEnd($seite,$von,NULL,NULL,0,0,0,$anz);
?>
