<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: bibo_buch.php 2848 2018-04-19 09:06:58Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();
 $seite = 34;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

if (isset($rvar_buch_id)){
	$buch = abfrage_array( "select buch_id, nr, titel, utitel, kat_id, notizen, autor, ausleihe, 
							unix_timestamp(inventur), inventurnotizen, inventur_pers_id, standort,
							abgangsgrund, abgang_pers_id,
							date_format(abgangsdatum, '%d.%m.%Y') as abgangsdatum,
							date_format(abgangsdatum, '%H:%i') as abgangszeit
							from tb_buch where buch_id = '$rvar_buch_id'" );
}
$kat_id = (isset($_GET['kat_id'])) ? $_GET['kat_id'] : 0;

if(!check_nutzer_rechte(39) && check_nutzer_rechte(92)) {
	$readonly = 'readonly';
	$disabled = true;
} else {
	$disabled = false;
	$readonly = '';
}

echo "<table>\n";
echo "<form action=\"bibo_buch.php\" method=\"get\">\n";
if (isset($rvar_buch_id))
	echo "<input type=\"hidden\" name=\"buch_id\" value=\"$rvar_buch_id\">\n";
echo "<tr><th class=\"cl11\">Kategorie:</th>\n";
echo "<td><table cellpadding=\"0\" cellspacing=\"0\"><tr><td>\n";
echo "<select name=\"kat_id\" size=\"1\" tabindex=\"1\" ";
if($disabled) echo "disabled ";
echo "onChange=\"this.form.submit()\" style=\"width:320px\">\n";
echo "<option value=\"0\">Kategorie w&auml;hlen!</option>\n";

$sql = "select kat_id, kuerzel, name from tb_buch_kat 
		where aktiv='j' ";
if(isset($rvar_buch_id)) $sql .= "or kat_id='$buch[4]' ";
$sql .= "order by kuerzel asc;";
$res = abfrage1($sql);

while ($zeile = mysql_fetch_row($res)) {
	echo "<option value=\"$zeile[0]\"";
	if ($kat_id == $zeile[0]) echo ' selected';
	else if (($kat_id==0) && isset($rvar_buch_id) && $buch[4] == $zeile[0]) echo ' selected';
	echo ">" . $zeile[1] . "&nbsp;-&nbsp;" . $zeile[2] . "</option>\n";
}
echo "</select></td>\n";

$kat = $kat_id ? $kat_id : $buch[4];
if ($ulv >= 65 || check_nutzer_rechte(39)){
	echo "<td style=\"padding-left:20px\"><input type=\"button\" value=\"Kategorien bearbeiten\" ";
	if($disabled) echo "disabled ";
	echo "onClick=\"self.location.href='bibo_kat.php";
	if (isset($rvar_buch_id)) echo "?buch_id=$rvar_buch_id";
	echo "'\"></td>\n";
}
echo "</tr></table></td><th colspan=\"3\" style=\"text-align:center\">Inventur:</th></tr>\n";
echo"</form>\n";

echo "<form action=\"bibo_buch_sql.php\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"kat_id\" value=\"$kat\">\n";
if($disabled)
	echo "<input type=\"hidden\" name=\"ausleihe\" value=\"$buch[7]\">\n";
if (isset($rvar_buch_id))
	echo "<input type=\"hidden\" name=\"buch_id\" value=\"$rvar_buch_id\">\n";

echo "<tr><th class=\"cl11\">Buch Nr.:</th>\n";
echo "<td><input style=\"text-align: right;\" type=\"text\" name=\"nr\" ";
echo "$readonly size=\"3\" maxlength=\"3\" tabindex=\"2\" ";
if (isset($rvar_buch_id) && ($kat_id==0)) {
	$num = $buch[1];
} else {
	$sql = "select max(nr) + 1 from tb_buch where kat_id=$kat_id;";
	$nmb = abfrage($sql);
	$num = sprintf('%03u',$nmb[0]);
}
echo "value=\"$num\">";

if (isset($rvar_buch_id)) {
	echo "<b style=\"position:relative;left:50px;color:#FFCC00\">Buch ID: ";
	echo "<span style=\"color:white\">" . ($rvar_buch_id+1000) . "</span></b>";

	$daten = new stwDaten("20");
	$klammer  = $daten->get_klammer_link($_SESSION["webdir"],
                                      $_SESSION[$AppCode]["UID"],
                                      $_SESSION[$AppCode]["ULV"],
                                      $_GET["buch_id"], "0");
	echo "<span style=\"position:relative;left:375px\">$klammer</span>";
}

printf("</td>\n");

$ic2 = ($buch[8] > 0) ? 1 : 0;
echo "<td class=\"cl1\" style=\"text-align:right;\">gepr&uuml;ft:</td>";
echo "<input type=\"hidden\" name=\"inventur_check2\" value=\"$ic2\">\n";
echo "<td style=\"vertical-align:middle\">";
echo "<input type=\"checkbox\" name=\"inventur_check\" value=\"1\"";
if($buch[8] > 0) {
	echo " checked";
	if($ulv < 97) echo " disabled";
}
echo "></td><td";
if($buch[8] > 0) echo stwToolTip("gepr&uuml;ft durch " . pers_name($buch[10]));
echo ">";
if($buch[8] > 0) echo date('d.m.Y',$buch[8]);
echo "</td></tr>\n";
echo "<tr>\n<th>Autor(en):&nbsp;</th>\n";
echo "<td class=\"cl20\"><input type=\"text\" name=\"autor\" size=\"70\" maxlength=\"100\" tabindex=\"3\"";
if (isset($rvar_buch_id)) echo " $readonly value=\"$buch[6]\"";
echo "></td><td colspan=\"3\" rowspan=\"6\"><textarea name=\"inventurnotizen\" ";
echo "rows=\"8\" style=\"width:100%;\">";
echo "$buch[9]</textarea></td></tr>\n";
?>

<tr>
<th>Titel:&nbsp;</th>
<td><input type=text name=titel size=70 maxlength=100 tabindex=4
    <?php if (isset($rvar_buch_id)) { echo "$readonly value=\"$buch[2]\"";} ?>></td>
</tr>

<tr>
<th>Untertitel:&nbsp;</th>
<td><input type=text name=utitel size=70 maxlength=100 tabindex=5
    <?php if (isset($rvar_buch_id)) { echo "$readonly value=\"$buch[3]\"";} ?>></td>
</tr>

<tr>
<th>Standort:&nbsp;</th>
<td><input type=text name=standort size=70 maxlength=100 tabindex=5
    <?php if (isset($rvar_buch_id)) { echo "$readonly value=\"$buch[11]\"";} ?>></td>
</tr>

<tr>
<th>Stichworte&nbsp;/<br>Notizen&nbsp;:</th>
<td>
<textarea cols=50 rows=3 name=notizen tabindex=6 <?php echo $readonly;?>>
<?php if (isset($rvar_buch_id)) { echo $buch[5]; } ?>
</textarea>
</td></tr>

<tr>
<th>ausleihbar:&nbsp;</th>
<td><input type=radio name=ausleihe value="j" tabindex=7
    <?php if (isset($rvar_buch_id)) {
        if ($buch[7] == "j") {
            echo "checked";}
        } else {
            echo "checked";
        }
		if($disabled) echo " disabled";
    ?>
     >&nbsp;<b>ja</b>&nbsp;
    <input type=radio name=ausleihe value="n" tabindex=8
    <?php if (isset($rvar_buch_id)) {
        if ($buch[7] == "n") {
            echo "checked";
		}
      }
	  if($disabled) echo " disabled";
    ?>
     >&nbsp;<b>nein</b>
     </td>
</tr>
</table>
<?php
new stwLine(2);
echo "<table>";
echo "<tr><th class=\"cl11\">Abgang:</th>\n";
echo "<td colspan=\"3\"><input type=\"checkbox\" name=\"abgang\" tabindex=\"$ti\""; $ti++;
if($disabled) echo " disabled";
if(!empty($buch['abgangsdatum']) && $buch['abgangsdatum']!='00.00.0000') {
	echo " checked> " . $buch['abgangsdatum'];
	if($buch['abgangszeit'] != '00:00') echo " " . $buch['abgangszeit'];
	if(!empty($buch['abgang_pers_id'])) echo " " . pers_kname($buch['abgang_pers_id']);
} else echo ">";
echo "</td></tr>\n";
if(empty($buch['abgangsdatum']) || $buch['abgangsdatum']=='00.00.0000') $buch['abgang_pers_id'] = $uid;
echo "<input type=\"hidden\" name=\"abgang_pers_id\" value=\"{$buch['abgang_pers_id']}\">\n";
if($ulv >= 97) {
	echo "<input type=\"hidden\" name=\"abgangsdatum_old\" value=\"{$buch['abgangsdatum']}\">\n";
	echo "<tr><th class=\"cl11\">Abgangsdatum:</th>\n";
	echo "<td><input type=\"text\" name=\"abgangsdatum\" size=\"11\" maxlength=\"10\" $readonly ";
	echo "tabindex=\"$ti\" "; $ti++;
	echo "value=\"{$buch['abgangsdatum']}\"></td><td class=\"cl1\">TT.MM.JJJJ</td>";
	echo "<td><input type=\"text\" name=\"abgangszeit\" size=\"6\" maxlength=\"5\" $readonly ";
	echo "tabindex=\"$ti\" "; $ti++;
	if($buch['abgangszeit'] != '00:00') echo "value=\"{$buch['abgangszeit']}\"";
	echo "></td><td style=\"width:100%\">hh:mm</td>";
} else {
	echo "<input type=\"hidden\" name=\"abgangsdatum\" value=\"{$buch['abgangsdatum']}\">\n";
	echo "<input type=\"hidden\" name=\"abgangszeit\" value=\"{$buch['abgangszeit']}\">\n";
}
echo "<tr><th class=\"cl11\">Abgangsgrund:</th>\n";
echo "<td colspan=\"30\"><textarea name=\"abgangsgrund\" $readonly ";
echo "rows=\"3\" cols=\"50\" tabindex=\"$ti\">"; $ti++;
echo $buch['abgangsgrund'] . "</textarea></td></tr>\n";
echo "</table>\n";

new stwLine(2);

if ($_SESSION[$AppCode]["ULV"] >= 60 || check_nutzer_rechte(39) || check_nutzer_rechte(92)) {
	if (isset($rvar_buch_id)) {
		echo "<input type=\"hidden\" name=\"buch_id\" value=\"$rvar_buch_id\">\n";
		echo "<input type=\"submit\" value=\"&Auml;ndern!\">\n";
	} else {
		echo "<input type=\"submit\" value=\"Speichern\">\n";
	}
}
echo "</form>\n";
new stwEnd($seite);
?>
