<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: bollwerk.php 2745 2017-05-17 09:14:17Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 82;
 $level = 96;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 require_once($pfad."inc/level.inc.php");

 /* wurde der SSH Zugang eingeschaltet oder abgeschaltet */
 if (getConf("traeger") == "stw" && isset($_GET["ssh_switch"]) && 
     $_SESSION[$AppCode]["ULV"] > 96)
 {
   /* den aktuellen temporaeren Pfad suchen */
   $dir = sys_get_temp_dir();

   if (strlen($dir) > 0)
   {
     if ($_GET["ssh_switch"] == 1)
     {
       $fp = fopen($dir."/ssh_onoff", "w");
       if ($fp)
       {
         /* aktuellen Zeitstempel in der Datei ablegen */
         $erg1 = fwrite($fp, time());
         fclose($fp);
        
         if ($erg1 != strlen(time()))
         {
           printf("<table><tr><th style=\"color:red\">");
           printf("SSH einschalten fehlgeschlagen!</th></tr></table>");
           exit(-1);
         }
       }
       else
       {
         printf("<table><tr><th style=\"color:red\">");
         printf("SSH einschalten fehlgeschlagen!</th></tr></table>");
         exit(-1);
       }
     }
     else
     {
       if (file_exists($dir."/ssh_onoff"))
       {
         if (!unlink($dir."/ssh_onoff"))
         {
           printf("<table><tr><th style=\"color:red\">");
           printf("SSH ausschalten fehlgeschlagen!</th></tr></table>");
           exit(-1);
         }
       }
     }
   }
 }

db_switch(1);

echo "<table>\n";
echo "<tr><td><input type=\"button\" value=\"neuer Zugang\" ";
echo "onClick=\"self.location.href='bollwerk_and.php'\"></td>";

 /* SSH einschalten/ausschalten nur interessant fuer Stellwerk */
 if (getConf("traeger") == "stw" && $_SESSION[$AppCode]["ULV"] > 96)
 {
   /* pruefen wie gross Datei ist - Cache loeschen */
   if (file_exists("/tmp/ssh_onoff")) 
   {
     clearstatcache();
     $size = filesize("/tmp/ssh_onoff");
   }
   else
   {
     $size = 0;
   }

   /* Farben und Buttontext und Aktion festlegen */
   if ($size > 0)
   {
     $farbe = "background-color:#FF0000";
     $btext = "SSH ausschalten";
     
     $aktion = "0";
   }
   else
   {
     $farbe = "background-color:#00FF00";
     $btext = "SSH einschalten";

     $aktion = "1";
   }

   printf("<td><input type=\"button\" value=\"%s\" ", $btext);
   printf("onClick=\"self.location.href='bollwerk.php?ssh_switch=%s'\" ", $aktion);

   printf("name=\"ssh_switch\" style=\"%s\"></td>", $farbe);

   if ($size > 0)
   {
     printf("<th style=\"%s;color:yellow;font-weight:bold\">", $farbe);
     printf("Vorsicht der SSH Server ist eingeschaltet!!!</th>");
   }
 }

echo "</tr>\n</table>\n";

new stwLine(1);

echo <<< HTML
<table>
	<tr>
		<th style="padding-right:10px">Name</th>
		<th>E-Mail</th>
	</tr>
HTML;

new stwTabLine(2,30);

db_switch(2);
$users = abfrage1("select user_id, name, email from tb_user order by name asc;");

while ($user = mysql_fetch_row($users)){
	echo "<tr>\n";
	echo "<td style=\"padding-right:10px\">";
	echo "<a href=\"bollwerk_and.php?user_id=$user[0]\">$user[1]</a></td>\n";
	echo "<td style=\"padding-right:10px\">$user[2]</td>\n";
	echo "<td><a href=\"bollwerk_del.php?user_id=$user[0]\" style=\"color:red\" ";
	echo "onclick=\"return confirm('Soll der Zugang wirklich endg&uuml;ltig gel&ouml;scht werden?')\" ";
	echo "title=\"VORSICHT! Lschen!\">X</a></td>\n";
	echo "</tr>\n";
}

echo "</table>\n";

db_switch(1);
new stwLine(1);
new stwEnd($seite);
?>
