<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: brief_print.php 2524 2016-02-10 14:00:39Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);

 require_once($pfad."inc/func.inc.php");
 require_once($pfad."inc/auth.inc.php");

 $pdf_datei = $pfad."mandant/".$_SESSION[$AppCode]["TR"]."/pdf_5.inc.php";
 require_once($pdf_datei);


if(!empty($_GET['proj_id'])) $projekt = new stwProjekt($_GET['proj_id']);

$pdf=new PDF();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true,40);
$pdf->AliasNbPages();
$pdf->AddPage();

$person = false;

// Adresse
$pdf->SetFont('arial','',11);
$sql = "SELECT t1.name, 
			   t1.name2, 
			   t2.anrede, 
			   t2.name, 
			   t1.strasse, 
			   t1.plz, 
			   t1.ort,
			   t4.vorname,
			   t4.name,
			   t4.teldienst,
			   t4.telmobil,
			   t3.brief_id
		FROM tb_post_ausgang t3
        LEFT JOIN tb_kontakte t1 ON t1.kont_id = t3.kont_id and t1.kh_id='0'
		LEFT JOIN tb_kontakte_ap t2 ON t2.ap_id = t3.ap_id
		LEFT JOIN tb_personal t4 ON t4.pers_id = t3.pers_id 
        WHERE t3.post_out_id = ".$_GET['id'];
$dat = abfrage($sql);
if(empty($dat[0]) && empty($dat[1]) && empty($dat[3])) {
	$person = true;
	$sql = "SELECT t1.vorname, 
			   t1.name, 
			   (if (t1.geschlecht='m','Herr',if(t1.geschlecht='w','Frau',''))), 
			   t1.name, 
			   t1.strasse, 
			   t1.plz, 
			   t1.ort,
			   t4.vorname,
			   t4.name,
			   t4.teldienst,
			   t4.telmobil,
			   t3.brief_id
		FROM tb_post_ausgang t3
        LEFT JOIN tb_personal t1 ON t1.pers_id = t3.ma_id
		LEFT JOIN tb_personal t4 ON t4.pers_id = t3.pers_id
        WHERE t3.post_out_id = ".$_GET['id'];
	$dat = abfrage($sql);
} else if(empty($dat[0]) && empty($dat[1])) {
	$person = true;
	$sql = "SELECT t2.vorname, 
			   t2.name, 
			   t2.anrede, 
			   t2.name, 
			   t2.strasse, 
			   t2.plz, 
			   t2.ort,
			   t4.vorname,
			   t4.name,
			   t4.teldienst,
			   t4.telmobil,
			   t3.brief_id
		FROM tb_post_ausgang t3
		LEFT JOIN tb_kontakte_ap t2 ON t2.ap_id = t3.ap_id
		LEFT JOIN tb_personal t4 ON t4.pers_id = t3.pers_id 
        WHERE t3.post_out_id = ".$_GET['id'];
	$dat = abfrage($sql);
}
$pdf->SetXY(20,57);
$pdf->Cell(4,4,"","LT");
$pdf->Cell(80,4,"");
$pdf->Cell(4,4,"","RT");
$pdf->SetXY(23,59);
$pdf->Cell(80,5,$person ? '' : $dat[0]);
$pdf->SetXY(23,64);
$pdf->Cell(80,5,$person ? $dat[0] . ' ' . $dat[1] : $dat[1]);
if(!$person && !empty($dat[3]))$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(23,69);
$pdf->Cell(80,5,$dat1);
$pdf->SetXY(23,74);
$pdf->Cell(80,5,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(23,81);
$pdf->Cell(80,5,$dat1);
$pdf->SetXY(20,95);
$pdf->Cell(4,4,"","LB");
$pdf->Cell(80,4,"");
$pdf->Cell(4,4,"","RB");
// Info-Zeile
$pdf->SetFont('arial','',8);
$pdf->SetXY(20,110);
$pdf->Cell(50,5,isset($projekt) ? $projekt -> nummer()." / ".substr($_SESSION[$AppCode]['UVN'],0,1).substr($_SESSION[$AppCode]['UNN'],0,1) : '');
$pdf->Cell(50,5,$dat[7]." ".$dat[8]);
$pdf->Cell(32,5,($dat[10] == "") ? $dat[9] : $dat[10]);
$pdf->Cell(33,5,getConf('trort') . ', ' .date("d.m.Y",time()));

// Brieftext
$pdf->SetFont('arial','',9);
$pdf->SetXY(20,120);

$query = "SELECT t1.anrede,t4.text_lang,t4.merkmal,t5.schluss, t6.betreff
		  FROM tb_brief_anrede t1
		  LEFT JOIN tb_brief t2 ON t2.anrede_id = t1.anrede_id
		  LEFT JOIN tbh_briefe_texte t3 ON t3.brief_id = t2.brief_id
		  LEFT JOIN tb_brief_text t4 ON t4.brief_text_id = t3.brief_text_id 
		  LEFT JOIN tb_brief_schluss t5 ON t5.schluss_id = t2.schluss_id
		  LEFT JOIN tb_post_ausgang t6 ON t6.brief_id = t2.brief_id
		  WHERE t2.brief_id = ".$dat[11]."
		  ORDER BY t4.merkmal = 't' desc, t3.sort asc";
		  
$res = abfrage1($query);

while($row = mysql_fetch_array($res))
{
	if (!isset($chk[$row['anrede']])){
		$chk[$row['anrede']] = true;
		$schlusstext = false;
		$pdf->SetFont('arial','b',9);
		$pdf->Cell(50,20,$row['betreff'],0,1);
		$pdf->SetFont('arial','',9);
		$pdf -> SetX(20);
		if(empty($dat[2]) && empty($dat[3]))
			$pdf->Cell(50,5,$row['anrede']." Damen und Herren,");
		else
			$pdf->Cell(50,5,$row['anrede']." ".$dat[2] ." ".$dat[3].",");
		$pdf->SetXY(20,150);
		$trans = array("&auml;" => "", "&ouml;" => "", "&uuml;" => "", "&szlig;" => "");
		$schluss = strtr($row['schluss'], $trans);
	}

	if ($row['merkmal'] == "f" && $schlusstext == false){
		$pdf->Cell(50,5,$schluss,0,1);
		$pdf->Ln(10);
		$pdf -> SetX(20);
		$pdf->Cell(50,5,$dat[7]." ".$dat[8],0,1);
		$pdf -> SetX(20);
		$pdf->Cell(50,30,"",0,1);
		$pdf -> SetX(20);
		$schlusstext = true;
	}
	
	$pdf->MultiCell(160,5,$row['text_lang']);
	$pdf -> Ln();
	$pdf -> SetX(20);
}



$pdf->Output();

?>
