<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: daten_dlg.php 2837 2018-02-14 15:31:03Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Stellware Bereich */
 $seite = 65;
 $ajax = 1;

 /* Pfad zusammenstellen */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 if(!isset($_SESSION[$AppCode]["klammerCopy"])) $_SESSION[$AppCode]["klammerCopy"] = 0;
 require_once($pfad."inc/func.inc.php");

 /* es sollte ein RechteId mitgeschickt worden sein */
 $rechte_id = intval($_GET["rechte_id"]);
 $zahl_id   = intval($_GET["zahl_id"]);
 $zahl_id2  = intval($_GET["zahl_id2"]);
 $url = "rechte_id=".$rechte_id."&zahl_id=".$zahl_id."&zahl_id2=".$zahl_id2;

 $sql = "SELECT rname FROM tb_daten_rechte WHERE rechte_id='".$rechte_id."'";
 $rechtename = abfrage($sql);

 if(isset($_GET['zip'])) {
	/* Liste von vorhandenen Dateien zeigen */
	$sql  = "SELECT datei_id, rname, size, datum, pers_id, sname FROM tb_daten ";
	$sql .= "WHERE rechte_id='".$rechte_id."' AND zahl_id='".$zahl_id."' ";
	$sql .= "AND zahl_id2='".$zahl_id2."' ORDER BY rname ASC";
	$klammerdaten  = abfrage1($sql);
	$sql = "insert into tb_zip_historie set
			rechte_id = '$rechte_id',
			zahl_id = '$zahl_id',
			zahl_id2 = '$zahl_id2',
			pers_id = '{$_SESSION[$AppCode]["UID"]}',
			ts = now();";
	abfrage2($sql);
	$zipfilename = date('Y-m-d');
	if(!empty($rechtename[0])) $zipfilename .= '_' . $rechtename[0];
	$zipfilename .= '.zip';
	$zip = new ZipArchive;
	$zipres = $zip->open($zipfilename, ZipArchive::CREATE);
	while($data = mysql_fetch_row($klammerdaten)) {
		if ($zipres === TRUE) $zip->addFile($pfad."daten/".$data[3]."_".$data[5], $data[1]);
	}
	if($zipres === TRUE) $zip->close();
	header('Content-type: application/zip');
	header('Content-Disposition: attachment; filename="'.$zipfilename.'"');
	readfile($zipfilename);
	unlink($zipfilename);
	exit(0);
 }

 /* --- Abschnitt (X)AJAX --- */
 require_once($pfad . 'inc/xajax_core/xajax.inc.php');

 function calcPasteData($rechte_id, $zahl_id, $zahl_id2){
	$userResp = new xajaxResponse();
	global $AppCode;
	if(empty($_SESSION[$AppCode]["klammerCopy"])) {
		$tt = stwToolTip("keine Datei im Zwischenspeicher");
		$klammerPaste = "<img $tt src=\"".image('paste')."\">";
	} else {
		$dat = abfrage("SELECT rname FROM tb_daten WHERE datei_id='".$_SESSION[$AppCode]["klammerCopy"]."'");
		$tt = stwToolTip("Datei <b>$dat[0]</b> einf&uuml;gen");
		$klammerPaste = "<a href=\"daten_dlg.php?paste=1";
		$klammerPaste .= "&rechte_id=$rechte_id&zahl_id=$zahl_id&zahl_id2=$zahl_id2\">";
		$klammerPaste .= "<img $tt src=\"".image('paste',16,16,0,255,0)."\"></a>";
	}
	$userResp->assign('klammerPaste', 'innerHTML', $klammerPaste);
	return $userResp;
 }
 $xajax = new xajax();
 $xajax->configure('javascript URI', './inc/');
 $xajax->registerFunction('calcPasteData');
 $xajax->processRequest();
 $xajax->printJavascript();
 /* --- Ende Abschnitt (X)AJAX --- */

 require_once($pfad."inc/stwDaten.inc.php");

 /* Warnungen werden selbst behandelt */
 error_reporting(E_ERROR);

 if ($rechte_id == 0 || $zahl_id == 0)
 {
   new stwHead($seite);

   printf("<table><tr><th style=\"color:red\">Keine RechteId ");
   printf("vorhanden. Deshalb Abbruch.</th></tr></table>\n");

   /* HTML Seite abschliessen */
   printf("</body>\n</html>\n");
   exit(0);
 }

 /* Datenobjekt fuer zentrale Verwaltung anlegen - gleich Check ob berechtigt */
 $daten = new stwDaten($rechte_id);
 if (!$daten->check_recht_sehen($_SESSION[$AppCode]["UID"],
                                $_SESSION[$AppCode]["ULV"], $zahl_id, $zahl_id2))
 {
   new stwHead($seite);

   printf("<table><tr><th style=\"color:red\">Keine Recht etwas zu sehen.");
   printf("</th></tr></table>\n</body>\n</html>\n");

   exit(0);
 }

 if(isset($_POST['url'])) {
	$sql = "insert into tb_daten_urls set 
			rechte_id='$rechte_id', 
			link='{$_POST['url']}', 
			name='{$_POST['name']}', 
			datum=unix_timestamp(now()), 
			pers_id='{$_SESSION[$AppCode]["UID"]}',
			level='{$_SESSION[$AppCode]["ULV"]}',
			zahl_id='$zahl_id',
			zahl_id2='$zahl_id2'";
	abfrage2($sql);
 }
 /* Copy & Paste */
 if(isset($_GET['copy'])) {
	$_SESSION[$AppCode]["klammerCopy"] = intval($_GET['copy']);
 }
 if(isset($_GET['paste']) && $daten->check_recht_upload($_SESSION[$AppCode]["UID"],
                                $_SESSION[$AppCode]["ULV"], $zahl_id, $zahl_id2)) {
	 $dat = abfrage_assoc("SELECT * FROM tb_daten WHERE datei_id='".$_SESSION[$AppCode]["klammerCopy"]."'");
	 $_SESSION[$AppCode]["klammerCopy"] = 0;
     /* versuchen die Datei in das Verzeichnis zu verschieben */
     $zeit = time();
     $neu  = md5($_FILES["datei"]["name"]);

     $erg = copy($pfad."daten/".$dat['datum']."_".$dat['sname'], $pfad."daten/".$zeit."_".$neu);
     if ($erg === FALSE)
     {
       printf("<table><tr><th style=\"color:red\">Datei ");
       printf("wurde nicht gespeichert.</th></tr></table>\n");
     }
     else
     {
       /* Rechte noch so aendern das Gruppe lesen kann */
       chmod($pfad."daten/".$zeit."_".$neu, 0640);

       /* in der Datenbank einen Eintrag vornehmen */
       $sql  = "INSERT INTO tb_daten SET rname='".$dat['rname']."', ";
       $sql .= "sname='".$neu."', size='".$dat['size']."', ";
       $sql .= "type='".$dat['type']."', datum='".$zeit."', ";
       $sql .= "pers_id='".$_SESSION[$AppCode]["UID"]."', ";
       $sql .= "level='".$_SESSION[$AppCode]["ULV"]."', ";
       $sql .= "rechte_id='".$rechte_id."', zahl_id='".$zahl_id."', ";
       $sql .= "zahl_id2='".$zahl_id2."'";
       abfrage2($sql);
	 }
 }

 /* HTML Kopfinformationen ausgeben */
 new stwHead($seite);
 printf("<table border=\"0\"><tr><td valign=\"top\">");

 /* wurde eine Datei geschickt -> ablegen */
 if (isset($_POST["dsend"]) && !empty($_FILES["datei"]["name"]) &&
     $daten->check_recht_upload($_SESSION[$AppCode]["UID"],
                                $_SESSION[$AppCode]["ULV"], $zahl_id, $zahl_id2))
 {
   if ($_FILES["datei"]["error"] == 0)
   {
     /* versuchen die Datei in das Verzeichnis zu verschieben */
     $zeit = time();
     $neu  = md5($_FILES["datei"]["name"]);

     $erg = move_uploaded_file($_FILES["datei"]["tmp_name"],
                               $pfad."daten/".$zeit."_".$neu);
     if ($erg === FALSE)
     {
       printf("<table><tr><th style=\"color:red\">Datei ");
       printf("wurde nicht gespeichert.</th></tr></table>\n");
     }
     else
     {
       /* Rechte noch so aendern das Gruppe lesen kann */
       chmod($pfad."daten/".$zeit."_".$neu, 0640);

       /* in der Datenbank einen Eintrag vornehmen */
	   if(strlen($_FILES["datei"]["name"]) > 50) {
		 $ext = strrchr($_FILES["datei"]["name"],'.');
		 $len = 50 - strlen($ext);
		 $dateiname = substr($_FILES["datei"]["name"],0,$len) . $ext;
	   } else $dateiname = $_FILES["datei"]["name"];
       $sql  = "INSERT INTO tb_daten SET rname='".$dateiname;
       $sql .= "', sname='".$neu."', size='".$_FILES["datei"]["size"]."', ";

       $sql .= "type='".$_FILES["datei"]["type"]."', datum='".$zeit."', ";
       $sql .= "pers_id='".$_SESSION[$AppCode]["UID"]."', ";

       $sql .= "level='".$_SESSION[$AppCode]["ULV"]."', ";
       $sql .= "rechte_id='".$rechte_id."', zahl_id='".$zahl_id."', ";

       $sql .= "zahl_id2='".$zahl_id2."'";
       abfrage2($sql);
     }
   }
   else
   {
     printf("<table><tr><th style=\"color:red\">Datei ");
     printf("wurde nicht gespeichert. (Fehler: ");

     printf("%s)</th></tr></table>\n", $_FILES["datei"]["error"]);
   }
 }

 /* wenn Datei geloescht werden soll */
 if (!empty($_GET["rm"]) &&
     $daten->check_recht_del($_SESSION[$AppCode]["UID"],
                             $_SESSION[$AppCode]["ULV"]))
 {
   $sql = "SELECT sname, datum FROM tb_daten WHERE datei_id='".$_GET["rm"]."'";
   $erg = abfrage($sql);

   $ret = unlink($pfad."daten/".$erg[1]."_".$erg[0]);

   $sql = "DELETE FROM tb_daten WHERE datei_id='".$_GET["rm"]."'";
   abfrage2($sql);
 }

 /* wenn Link geloescht werden soll */
 if (!empty($_GET["rem"]) && $daten->check_recht_del($_SESSION[$AppCode]["UID"],$_SESSION[$AppCode]["ULV"])) {
	abfrage2("DELETE FROM tb_daten_urls WHERE id='".$_GET["rem"]."'");
 }

 /* Check ob eine Datei umbenannt wurde. */
 if (isset($_POST["um_ok"]) && !empty($_POST["um_datei"]) &&
     !empty($_POST["um_id"]))
 {
   /* nur Besitzer oder Level groesser 96 darf umbenennen */
   $sql = "SELECT pers_id FROM tb_daten WHERE datei_id='".$_POST["um_id"]."'";
   $erg = abfrage($sql);

   if ($erg[0] == $_SESSION[$AppCode]["UID"] ||
       $_SESSION[$AppCode]["ULV"] > 96)
   {
     $sql  = "UPDATE tb_daten SET rname='".$_POST["um_datei"];
     $sql .= "' WHERE datei_id='".$_POST["um_id"]."'";

     abfrage2($sql);
   }
 }

 /* Bereich zeigen fuer den Daten hochgeladen werden */
 if (!empty($rechtename[0]))
 {
   printf("<table width=\"750\">\n<tr><th style=\"text-align:center\">");
   printf("%s</th></tr></table>\n", $rechtename[0]);
 }

 if ($daten->check_recht_upload($_SESSION[$AppCode]["UID"],
                                $_SESSION[$AppCode]["ULV"], $zahl_id, $zahl_id2))
 {
   new stwLine(1);

   /* Formular um Dateien hochzuladen */
   printf("<form action=\"daten_dlg.php?%s\" method=\"post\" ", $url);
   printf("name=\"fdatei\" enctype=\"multipart/form-data\">\n");

   /* sicherstellen das alle Werte gesetzt wurden */
   if (ini_get("post_max_size") == -1 ||
       ini_get("upload_max_filesize") == -1 ||
       ini_get("max_execution_time") == -1 ||
       ini_get("max_input_time") == -1)
   {
     printf("<table><tr><th style=\"color:red\">Einer der folgenden ");
     printf("Werte ist nicht in der php.ini gesetzt: post_max_size, ");

     printf("upload_max_filesize, max_execution_time oder max_input_time.");
     printf("</th></tr></table>\n</body>\n</html>\n");

     exit(0);
   }

   /* maximale Groesse bestimmen */
   if (ini_get("post_max_size") < ini_get("upload_max_filesize"))
   {
     $size = ini_get("post_max_size");
   }
   else
   {
     $size = ini_get("upload_max_filesize");
   }

   /* maximale Zeit die es dauern darf */
   if (ini_get("session.gc_maxlifetime") < ini_get("max_execution_time"))
   {
     $zeit = ini_get("session.gc_maxlifetime");
   }
   else
   {
     $zeit = ini_get("max_execution_time");
   }

   if ($zeit > ini_get("max_input_time"))
   {
     $zeit = ini_get("max_input_time");
   }

   if (!ini_get("file_uploads") || ini_get("file_uploads") == -1)
   {
     printf("<table><tr><th style=\"color:red\">Dateiuploads ");
     printf("sind nicht m&ouml;glich. Bitte in der php.ini aktivieren.");

     printf("</th></tr></table>\n</body>\n</html>\n");
     exit(0);
   }

   echo "<table width=\"750\" onmouseenter=\"xajax_calcPasteData($rechte_id, $zahl_id, $zahl_id2)\">\n";
   echo "<tr><th>Datei:</th>\n<td>";

   printf("<input type=\"file\" name=\"datei\" size=\"30\"></td>\n<td>");
   printf("<input type=\"submit\" name=\"dsend\" value=\"Hochladen\">");

   printf("</td>\n<td>Max: %sByte in %ss</td>\n", $size, $zeit);
   printf("<td width=\"10\"></td><td><input type=\"button\" value=\"");

   printf("Schlie&szlig;en\" onclick=\"window.close()\"></td>");

   echo "<td id=\"klammerPaste\" class=\"cl11\" style=\"width:100%;text-align:right\">";
   if(empty($_SESSION[$AppCode]["klammerCopy"])) {
		$tt = stwToolTip("keine Datei im Zwischenspeicher");
		echo "<img $tt src=\"".image('paste')."\">";
   } else {
		$dat = abfrage("SELECT rname FROM tb_daten WHERE datei_id='".$_SESSION[$AppCode]["klammerCopy"]."'");
		$tt = stwToolTip("Datei <b>$dat[0]</b> einf&uuml;gen");
		echo "<a href=\"daten_dlg.php?paste=1&$url\"><img $tt src=\"".image('paste',16,16,0,255,0)."\"></a>";
   }
   printf("</td></tr></table>\n</form>\n");
 }

 /* Liste von vorhandenen Dateien zeigen */
 $sql  = "SELECT datei_id, rname, size, datum, pers_id, sname FROM tb_daten ";
 $sql .= "WHERE rechte_id='".$rechte_id."' AND zahl_id='".$zahl_id."' ";
 $sql .= "AND zahl_id2='".$zahl_id2."' ORDER BY rname ASC";
 $klammerdaten  = abfrage1($sql);
 if (mysql_num_rows($klammerdaten) > 0)
 {
   new stwLine(1);
   printf("<table>\n");

   /* Ueberschriften ausgeben */
   echo "<tr><td>";
   if($daten->check_recht_zip($_SESSION[$AppCode]["UID"],$_SESSION[$AppCode]["ULV"])) {
     echo "<a href=\"daten_dlg.php?zip=1&$url\"";
     $tt = "<B>alle Dateien als Zip-Archiv herunterladen</B>";
	 $sql = "select pers_id, date_format(ts, '%d.%m.%Y %H:%i') from tb_zip_historie
			where rechte_id = '$rechte_id' and zahl_id = '$zahl_id' and zahl_id2 = '$zahl_id2'
			order by id desc";
	 $hist = abfrage1($sql);
	 while($hi = mysql_fetch_row($hist)) {
		 $tt .= "<br>-$hi[1] - ".pers_kname($hi[0]);
	 }
	 echo stwToolTip($tt);
     echo "><img src=\"img/zip.png\" /></a>";
   }
   printf("</td><th style=\"text-align:center\">");
   printf("Name</th><td></td><th style=\"text-align:center\">");

   printf("Gr&ouml;sse</th><td></td><th style=\"text-align:center\">");
   printf("Datum</th><td></td><th style=\"text-align:center\">");

   printf("Besitzer</th><th></th></tr>\n");
   new stwTabLine(2, 30);

   while ($zeile = mysql_fetch_row($klammerdaten))
   {
     /* Dateisymbol ausgeben */
     printf("<tr><td><img src=\"img/daten.png\" border=\"0\"></td>");

     /*
      * Dateinamen zeigen:
      *  - Modus Datei umbenennen -> Editbox anbieten und kein Link
      *                              (nur eigene Dateien oder Level hoch genug)
      *  - Modus Datei zeigen     -> genug Rechte vorhanden -> Link
      *                           -> kein Recht vorhanden -> nur Name
      */
     if ($_GET["um"] == $zeile[0] && ($_SESSION[$AppCode]["ULV"] > 96 ||
         $zeile[4] == $_SESSION[$AppCode]["UID"]))
     {
       /* Datei wird umbenannt */
       printf("<td><form action=\"daten_dlg.php?%s\" method=\"post\" ", $url);
       printf("name=\"umbenennen\">");

       printf("<input type=\"text\" name=\"um_datei\" ");
       printf("size=\"%s\" value=\"%s\">", strlen($zeile[1]), $zeile[1]);

       printf("<img src=\"img/clearpixel.png\" ");
       printf("width=\"5\"><input type=\"submit\" value=\"Ok\" ");

       printf("name=\"um_ok\"><input type=\"hidden\" name=\"um_id\" ");
       printf("value=\"%s\"></form></td>", $zeile[0]);
     }
     else
     {
       /*
        * Normalen Dateinamen zeigen - vorher pruefen ob Rechte zum
        * Download vorhanden sind.
        */
       if ($daten->check_recht_download($_SESSION[$AppCode]["UID"],
                                        $_SESSION[$AppCode]["ULV"], $zahl_id, $zahl_id2))
       {
         printf("<td><a href=\"daten_down.php?id=%s\" ", $zeile[0]);

         printf("style=\"color:rgb(204,204,204); font-weight:normal; ");
         printf("font-style:normal\">%s</a></td>", $zeile[1]);
       }
       else
       {
         printf("<td style=\"color:rgb(204,204,204); font-weight: normal; ");
         printf("font-style: normal\">%s</td>", $zeile[1]);
       }
     }

     /* Dateigroesse ausgeben */
     if ($zeile[2] >= 1024)
     {
       $size = $zeile[2]/1024;
       $bez  = "kB";
     }
     else
     {
       $size = $zeile[2];
       $bez  = "Byte";
     }

     printf("<td width=\"5\"></td><td  style=\"text-align:center\">");
     printf("%d %s</td>", $size, $bez);

     /* Datum ausgeben vom Hochladen */
     printf("<td width=\"5\"></td><td>%s</td>", date("d.m.Y H:i", $zeile[3]));

     /* Name vom Besitzer ausgeben */
     printf("<td width=\"5\"></td><td>%s</td>", pers_name($zeile[4]));

     /*
      * Umbenennen Link anbieten - wenn es nicht gerade gemacht wird.
      * Ausserdem darf nur groesser Level 96 oder der Eigentuemer die
      * Datei umbenennen.
      */
     echo "<td width=\"2\"></td><td>";
     if ($_SESSION[$AppCode]["ULV"] > 96 ||
         $_SESSION[$AppCode]["UID"] == $zeile[4])
     {
       if ($_GET["um"] != $zeile[0])
       {
         printf("<a href=\"daten_dlg.php?um=");
         printf("%s", $zeile[0]);

         printf("&%s\" title=\"Datei umbenennen\">", $url);
         printf("<img src=\"img/stift.png\" border=\"0\"></a>");
       }
     }
	 echo "</td><td width=\"2\"></td><td>";

     /* die Dateien duerfen ab Level 97 geloescht werden */
     if ($daten->check_recht_del($_SESSION[$AppCode]["UID"],
                                 $_SESSION[$AppCode]["ULV"]))
     {
       printf("<a href=\"daten_dlg.php?rm=");
       printf("%s&%s\" style=\"color:red\" title=\"Datei ", $zeile[0], $url);

       printf("l&ouml;schen\">X</a>\n");
     }
	 echo "</td><td width=\"8\"></td><td>";
	 echo "<a href=\"daten_dlg.php?copy=$zeile[0]&$url\">";
	 $tt = stwToolTip("Datei (zur &Uuml;berf&uuml;hrung in andere Klammer) kopieren");
	 echo "<img $tt src=\"".($_SESSION[$AppCode]["klammerCopy"]==$zeile[0] ? image('copy',16,16,0,255,0) : image('copy'))."\" /></a>\n";

     printf("</td></tr>\n");
   }	

   printf("</table>\n");
 }
 if ($daten->check_recht_upload($_SESSION[$AppCode]["UID"], $_SESSION[$AppCode]["ULV"], $zahl_id, $zahl_id2)) {
	new stwLine(1);
	/* Formular um Links zu speichern */
	echo "<br><form action=\"daten_dlg.php?$url\" method=\"post\" >\n";
	echo "<table onmouseenter=\"xajax_calcPasteData($rechte_id, $zahl_id, $zahl_id2)\">\n";
	echo "<tr><th>Link:</th>\n";
	echo "<td class=\"cl1\"><input name=\"url\" type=\"text\" size=\"50\" /></td>";
	echo "<td>Bezeichnung:</td>\n";
	echo "<td><input name=\"name\" type=\"text\" size=\"30\" /></td>";
	echo "<td><input type=\"image\" src=\"img/senden.png\" /></td>";
	echo "</tr></table>\n</form>\n";
 }
 $erg = abfrage1("SELECT * FROM tb_daten_urls WHERE rechte_id='$rechte_id' AND zahl_id='$zahl_id' AND zahl_id2='$zahl_id2' ORDER BY id ASC");
 if (mysql_num_rows($erg) > 0) {
	new stwLine(1);
	echo "<table>\n<tr>";
	echo "<th colspan=\"2\" class=\"cl11\" style=\"text-align:center\">Link</th>";
	echo "<th class=\"cl11\" style=\"text-align:center\">Bezeichnung</th>";
	echo "<th class=\"cl11\" style=\"text-align:center\">Datum</th>";
	echo "<th style=\"text-align:center\">angelegt von</th><th></th></tr>\n";
	new stwTabLine(2, 30);
	while ($zeile = mysql_fetch_array($erg)) {
		echo "<tr><td class=\"cl1\"><a href=\"".$zeile['link']."\" target=\"_blank\">";
		echo "<img src=\"img/weltkugel.png\" /></a></td>";
		echo "<td class=\"cl1\"><a href=\"".$zeile['link']."\" target=\"_blank\">" . strcut($zeile['link'],50) . "</a></td>";
		echo "<td class=\"cl1\">" . $zeile['name'] . "</td>";
		echo "<td class=\"cl1\">" . date("d.m.Y H:i", $zeile['datum']) . "</td>";
		echo "<td class=\"cl1\">" . pers_name($zeile['pers_id']) . "</td>";
		echo "<td>";
		if($daten->check_recht_del($_SESSION[$AppCode]["UID"],$_SESSION[$AppCode]["ULV"])) {
			echo "<a href=\"daten_dlg.php?rem=" . $zeile['id'] . "&$url\" style=\"color:red\" title=\"Link entfernen\">X</a>\n";
		}
		echo "</td></tr>\n";
	}
	echo "</table>\n";
 }
 new stwEnd($seite);
?>
