<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: dienstkal.php 2919 2018-12-03 10:30:02Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 10;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);
 require_once($pfad."inc/func.inc.php");

 /* ausgewaehlte Abteilung bestimmen */
 if (!empty($_POST["abteilung"])) $abteilung = $_POST["abteilung"];
 else $abteilung = $_GET["abteilung"];
 if(!isset($_GET['force'])) {
   $wochenplan = abfrage("SELECT wochenplan FROM tb_personal_abt where abt_id='$abteilung'");
   if($wochenplan[0] == 'j' || isset($_POST['ma'])) {
  	 $location = "Location: wochenplan.php?abt_id=$abteilung";
  	 if(isset($_POST['ma'])) $location .= "&ma=".$_POST['ma'];
  	 if(isset($_POST['tag'])) $location .= "&tag=".$_POST['tag'];
  	 header($location);
  	 exit(0);
   }
 }
 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 require_once($pfad."inc/kal.inc.php");
 $heute = mktime(0, 0, 0, date("m"), date("d"), date("Y"));

 /*
  * Erstellt ein Bild wo die ZK fuer einen ganzen Tag dargestellt sind.
  */
 function create_picture_day($tag, $abteilung, $kal_start, $kal_ende)
 {
   /* alle Personen die in dieser Abteilung sind jetzt ermittelt */
   $sql  = "SELECT t1.pers_id FROM tb_personal t1 ";
   $sql .= "LEFT JOIN tbh_pers_abt t2 ON t1.pers_id = t2.pers_id ";

   $sql .= "WHERE t2.abt_id='".$abteilung."' AND t1.status_id = 2 ";
   $sql .= "ORDER BY vorname, name";

   $erg = abfrage1($sql);

   while ($zeile = mysql_fetch_row($erg)) {
     /* jetzt pruefen ob Termine fuer den Tag vorhanden sind */

    $von_ts = date_my2ts($tag);
	$bis_ts = date_tstime($von_ts,'23:59');
	$sql = "select t1.ts_start, t1.ts_ende, t2.empfang, t2.proj_id
			from tb_ab_zk_copy t1 left join tb_ab_zk t2 using(zk_id)
			left join tb_projekte p using(proj_id)
			left join tbh_proj_abt pa using(proj_id)
			where (p.abt_id='$abteilung' or pa.abt_id='$abteilung')
			and t1.pers_id = '$zeile[0]' 
			and t1.ts_start < $bis_ts and t1.ts_ende > $von_ts";
	 $dat  = abfrage1($sql);
     $dienst_array[$zeile[0]] = array();
     $keep = array();
     while ($ter = mysql_fetch_row($dat)) {
		$ter[0] = date_ts2mydt($ter[0]);
		$ter[1] = date_ts2mydt($ter[1]);
     }

     $sql = "SELECT t1.von, t1.bis, t2.empfang, t2.proj_id, t2.ab
			 FROM tb_termine t1
			 LEFT JOIN tb_ab_zk t2 ON t1.termin_id = t2.termin_id
			 LEFT JOIN tb_projekte p USING(proj_id)
			 LEFT JOIN tbh_proj_abt pa USING(proj_id)
			 WHERE (p.abt_id='$abteilung' OR pa.abt_id='$abteilung')
			 AND t1.terminart = 'z' AND t2.pers_id = '$zeile[0]'
			 AND TO_DAYS(von) = TO_DAYS('$tag')";
	 $dat  = abfrage1($sql);
     $dienst_array[$zeile[0]] = $keep;
     while ($ter = mysql_fetch_row($dat)) {
        $projekt = new stwProjekt($ter[3]);
		if($projekt->fls_azk) $keep[] = $ter[0]."_".$ter[1]."_".$ter[2]."_".$ter[4];
     }
	 if(count($keep) > 0) $dienst_array[$zeile[0]] = $keep;
     unset($keep);
   }

   /*
    * Hoehe des Bildes berechnen: Stunden die dargestellt werden * Viertel-
    * stunden * Pixelhoehe
    */
   $hoehe = ($kal_ende - $kal_start) * 4 * 14;
   if (count($dienst_array) != 0)
   {
     $bild = imagecreatetruecolor(12 * count($dienst_array), $hoehe);
   }
   else
   {
     $bild  = imagecreatetruecolor(12, $hoehe);
   }

   if ($bild === FALSE)
   {
     printf("Bild erstellen nicht funktioniert.");
     exit(-1);
   }

   /* Farben festlegen */
   $background = imagecolorallocate($bild, 51, 51, 51);
   $fehlzeit   = imagecolorallocate($bild, 128, 128, 128);
   $feiertag   = imagecolorallocate($bild, 196, 196, 196);
   $text_color = imagecolorallocate($bild, 255, 255, 255);
   $red        = imagecolorallocate($bild, 255, 0, 0);

   $ab_nein = getSkin('zk ab nein');
   $ab_nein = transformColor($ab_nein);
   if($ab_nein[0] == 255 && $ab_nein[1] == 255 && $ab_nein[2] == 255) $ab_nein = array(255,204,0);
   $farbe = imagecolorallocate($bild,$ab_nein[0],$ab_nein[1],$ab_nein[2]);
   $ab_ja = getSkin('zk ab ja');
   $ab_ja = transformColor($ab_ja);
   if($ab_ja[0] == 255 && $ab_ja[1] == 255 && $ab_ja[2] == 255) $ab_ja = array(255,204,0);
   $farbe_ab_ja = imagecolorallocate($bild, $ab_ja[0], $ab_ja[1], $ab_ja[2]);
   $farbe_stunde = imagecolorallocate($bild, 35, 35, 35);
   $farbe_empfang = imagecolorallocate($bild, 75, 145, 180);
   $farbe_empfang_ab_ja = imagecolorallocate($bild, 0, 200, 160);
   imagefill($bild, 0, 0, $background);

   $file = "img/dienst_".mktime()."_".$tag."_".mt_rand().".png";
   $font = "inc/freesans.ttf";

   /* Stundenlinien ausgeben */
   for ($i = 56; $i < $hoehe; $i += 56)
   {
     imageline($bild, 0, $i, 12 * count($dienst_array), $i, $farbe_stunde);
   }

   /* Kalenderstart in Minuten umrechnen */
   $kal_start *= 60;
   $x = 0;

   if (count($dienst_array) > 0) {
	 foreach($dienst_array as $pers => $termine) {
	   $von_ts = date_my2ts($tag);
	   if(arbeitstag($von_ts)) {
	     if(pers_fehlzeit($pers, $von_ts, false)) {
		   imagefilledrectangle($bild, $x + 1, 0, $x + 11, $hoehe, $fehlzeit);
		 }
	   } else {
		   imagefilledrectangle($bild, $x, 0, $x + 11, $hoehe, $feiertag);
	   }
	   $zk_von = $zk_bis = $zk_arbeitszeit = $zk_pause = 0;
	   $amStk = false;

       /* ZK in die jeweilige Spalte zeichnen */
       foreach($termine as $termin) {
		 $feld = explode("_", $termin);
         $empfang = $feld[2];
		 $ab_ja = ($feld[3] == 'j');

         $fe_start = explode(" ", $feld[0]);
         $fe_ende  = explode(" ", $feld[1]);

         $ur_start = explode(":", $fe_start[1]);
         $ur_ende  = explode(":", $fe_ende[1]);

         /* Startzeit und Endzeit in Minuten bestimmen */
         $start = $ur_start[0] * 60 + $ur_start[1] - $kal_start;
         $ende  = $ur_ende[0] * 60 + $ur_ende[1] - $kal_start;

         if ($start < 0) $start = 0;
         if ($ende < 0) $ende = 0;
		 if($start > $zk_bis) {
			if($zk_bis > 0) $zk_pause += $start - $zk_bis;
			if($zk_bis - $zk_von > 360) $amStk = true;
			$zk_arbeitszeit += $zk_bis - $zk_von;
			$zk_von = $start;
		 }
		 if($ende > $zk_bis) {
			$zk_bis = $ende;
		 }
         $start = $start - $start/15;
         $ende  = $ende  - $ende/15;

         /* pruefen ob dieser Termin das Merkmal Empfangsdienst traegt */
         if ($empfang == 0) {
           imagefilledrectangle($bild, $x + 1, $start, $x + 11, $ende, $ab_ja ? $farbe_ab_ja : $farbe);
         } else {
           imagefilledrectangle($bild, $x + 1, $start, $x + 11, $ende, $ab_ja ? $farbe_empfang_ab_ja : $farbe_empfang);
         }
       }
	   $zk_arbeitszeit += $zk_bis - $zk_von;
	   if($zk_bis - $zk_von > 360) $amStk = true;

	   if($zk_arbeitszeit > 600 || $amStk || 
		  $zk_arbeitszeit > 480 && $zk_pause < 45 ||
		  $zk_arbeitszeit > 360 && $zk_pause < 15) $color=$red;
	   else $color = $text_color;
       /* Namen oben */
       imagettftext($bild, 8, 90, $x + 10, 125, $color, $font,
                    pers_name($pers));

       /* Namen unten */
       imagettftext($bild, 8, 90, $x + 10, $hoehe, $color, $font,
                    pers_name($pers));

       $x += 12;
     }
   }

   imagepng($bild, $pfad.$file);
   imagedestroy($bild);

   return $file;
 }

 /* alte Dienstbilder loeschen */
 if ($verzeichnis = opendir("img"))
 {
   $deltime = mktime() - 86400;

   /* alle Dateien durchlaufen */
   while (false !== ($datei = readdir($verzeichnis)))
   {
     /* pruefen ob eine Datei dabei ist die geloescht werden kann */
     $feld = explode("_", $datei);

     /* alles aelter als 24 Stunden loeschen */
     if ($feld[0] == "dienst" && $feld[1] < $deltime)
     {
       unlink("img/".$datei);
     }
   }

   /* Verzeichnishandle schliessen */
   closedir($verzeichnis);
 }

 /* Anzeigemodus bestimmen */
 if (empty($_GET["anz"])) $anz = "w1"; else $anz = $_GET["anz"];

 /* Starttag bestimmen */
 if(empty($_GET["tag"]))
 {
   $tag = mktime(0, 0, 0, date("n"), date("j"), date("Y"));
 }
 else
 {
   $tag = date_isodate_stamp($_GET["tag"]);
 }

 /* den Endezeitpunkt fuer die Darstellung bestimmen */
 switch ($anz)
 {
   case "w1": $wtag = date("w", $tag);
              if ($wtag == 0)
              {
                $start = mktime(0, 0, 0, date("n", $tag), date("j", $tag) - 6,
                                date("Y", $tag));
              }
              else
              {
                $start = mktime(0, 0, 0, date("n", $tag), date("j", $tag) -
                                ($wtag - 1), date("Y", $tag));
              }

              $ende = $start + (7 * 86400);
              break;

   case "w2": $wtag = date("w", $tag);
              if ($wtag == 0)
              {
                $start = mktime(0, 0, 0, date("n", $tag), date("j", $tag) - 6,
                                date("Y", $tag));
              }
              else
              {
                $start = mktime(0, 0, 0, date("n", $tag), date("j", $tag) -
                                ($wtag-1), date("Y", $tag));
              }

              $ende = $start + (14 * 86400);    
              break;

   case "m":  $start = mktime(0, 0, 0, date("n", $tag), 1, date("Y", $tag));
              $ende  = mktime(23, 59, 59, date("n", $tag), date("t", $tag),
                              date("Y", $tag));
              break;

   case "j":  $start = mktime(0, 0, 0, 1, 1, date("Y", $tag));
              $ende  = mktime(23, 59, 59, 12, 31, date("Y", $tag));
              break;

   case "t":  $start = $tag;
              $ende  = $tag + 86400;
              break;

   case "tg": /* grafische Tagesansicht */
              $start = $tag;
              $ende  = $tag + 86400;
              break;
 }

 /* Auswahlzeile einblenden */
 printf("<table><tr>\n");

 /* neue ZK anlegen Button */
 printf("<td class=\"cl1\"><input type=\"button\" value=\"neu\" ");
 printf("%s ", stwToolTip("neuen Termin erstellen"));

 printf("onClick=\"self.location.href='term_and.php'\"></td>\n");

 /* Auswahlfeld Mitarbeiter */
 printf("<th class=\"cl1\">MA:</th>");
 printf("<form action=\"dienstkal.php\" method=\"POST\">\n");
 echo "<input type=\"hidden\" name=\"abteilung\" value=\"$abteilung\" />\n";
 echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\" />\n";
 echo "<input type=\"hidden\" name=\"tag\" value=\"".strftime("%Y-%m-%d",$tag)."\" />\n";

 printf("<td><select name=\"ma\" size=\"1\" onchange=\"this.form.submit()\">\n");
 printf("<option value=\"0\">Mitarbeiter w&auml;hlen!</option>\n");

 $sql  = "SELECT t1.pers_id FROM tb_personal t1 ";
 $sql .= "LEFT JOIN tbh_pers_abt t2 ON t1.pers_id = t2.pers_id ";
 $sql .= "WHERE t2.abt_id='$abteilung' AND t1.status_id = 2 ";
 $sql .= "GROUP BY pers_id ORDER BY vorname, name";
 $pers_abt = abfrage1($sql);
 $pers_abt_cnt = mysql_num_rows($pers_abt);

 while ($zeile = mysql_fetch_row($pers_abt))
 {
   printf("<option value=\"%s\" ", $zeile[0]);
   printf(">%s</option>", pers_name($zeile[0]));
 }

 printf("</select>");
 printf("<td class=\"cl1\"><input type=\"image\" src=\"img/senden.png\">\n");

 printf("</td></form>\n");

 /* ZK direkt ueber Kalender anwaehlen */
 if (getConf("zk_ueb_kal") == 1)
 {
   if (($pers == $_SESSION[$AppCode]["UID"] ||
        $_SESSION[$AppCode]["ULV"] >= 50 ||
        check_bereitschaftsrecht() ||
        $_SESSION[$AppCode]["ULV"] == 47) &&
        is_numeric($_SESSION[$AppCode]["UID"]))
   {
     /* Pruefung ob es ein Abteilungsleiter ist */
     $sql  = "SELECT abt_id FROM tb_personal_abt_leit ";
     $sql .= "WHERE pers_id = '".$_SESSION[$AppCode]["UID"]."'";

     $anzahl = abfrage1($sql);

     if ($_SESSION[$AppCode]["ULV"] > 96 || mysql_num_rows($anzahl) > 0)
     {
       printf("<td class=\"cl1\"><a href=\"dienstplan.php\">DPlan:</a></td>\n");
     }

     /* Dienstplanbereich ab Level 45 erst zeigen */
     if ($_SESSION[$AppCode]["ULV"] >= 45)
     {
       /* Abteilungsauswahl nur zeigen wenn Abteilungen vorhanden sind */
       $sql = "SELECT abt_id, name, wochenplan FROM tb_personal_abt order by name asc";
       $abt = abfrage1($sql);

       if (mysql_num_rows($abt) > 0)
       {
         printf("<form action=\"dienstkal.php\" method=\"POST\">\n");
         printf("<td><select name=\"abteilung\" size=\"1\" ");

         printf("onchange=\"this.form.submit()\">\n");
         printf("<option value=\"0\">Abteilung</option>\n");

         while ($zeile = mysql_fetch_row($abt))
         {
           printf("<option value=\"%s\" ", $zeile[0]);
		   if($zeile[2]=='j') echo " title=\"wochenplan\" style=\"color:#008000\"";
           if ($abteilung == $zeile[0]) {
			   printf("selected");
			   $abtname = $zeile[1];
		   }
           printf(">%s</option>\n", $zeile[1]);
         }

         printf("</td></select><td style=\"padding-right:3px\">\n");
         printf("<input type=\"image\" src=\"img/senden.png\">\n");

         printf("</td>\n</form>\n");
       }
     }
     else
     {
       /* die eigene Abteilung darf angeschaut werden */
       $sql  = "SELECT t2.abt_id, t2.name FROM tbh_pers_abt t1 ";
       $sql .= "LEFT JOIN tb_personal_abt t2 ON t1.abt_id = t2.abt_id ";

       $sql .= "WHERE t1.pers_id = '".$_SESSION[$AppCode]["UID"]."'";
       $abt  = abfrage1($sql);

       if (mysql_num_rows($abt) > 1)
       {
         printf("<form action=\"dienstkal.php\" method=\"POST\">\n");
         printf("<td><select name=\"abteilung\" size=\"1\" ");

         printf("onchange=\"this.form.submit()\">\n");
         printf("<option value=\"0\">Abteilung</option>\n");

         while ($zeile = mysql_fetch_row($abt))
         {
           printf("<option value=\"%s\">%s</option>\n", $zeile[0], $zeile[1]);
         }

         printf("</td></select><td style=\"padding-right:3px\">\n");
         printf("<input type=\"image\" src=\"img/senden.png\">\n");

         printf("</td>\n</form>\n");
       }
       else if (mysql_num_rows($abt) == 1)
       {
         $dat_abt = mysql_fetch_row($abt);

         printf("<form action=\"dienstkal.php\" method=\"POST\">\n");
         printf("<td><input type=\"submit\" value=\"Dienstplan\" ");

         printf("name=\"dienstkal\"></td>\n");
         printf("<input type=\"hidden\" name=\"abteilung\" ");

         printf("value=\"%s\">\n</form>\n", $dat_abt[0]);
       }
     }

     /*
      * Wenn die gezeigte Person Projekte besitzt, wird eine Moeglichkeit
      * angeboten neue ZK direkt vom Kalender aus einzugeben.
      */
     $sql  = "SELECT h.proj_id FROM tbh_pers_proj h ";
     $sql .= "INNER JOIN tb_projekte p ON h.proj_id = p.proj_id ";

     $sql .= "WHERE h.pers_id = '".$_SESSION[$AppCode]["UID"]."' ";
     $sql .= "AND (p.ende IS NULL OR p.ende = '0000-00-00' OR ";

     $sql .= "TO_DAYS(p.ende) >= TO_DAYS(DATE_SUB(CURDATE(), INTERVAL 28 DAY";
     $sql .= "))) ORDER BY p.projektnr";

     $proid_erg = abfrage1($sql);

     if (mysql_num_rows($proid_erg) > 0)
     {
       printf("<form action=\"pro_ab_zk.php\" method=\"GET\">\n");
       printf("<th style=\"padding-left:3px\">ZK:</th>\n");

       printf("<td><select name=\"proj_id\" size=\"1\">\n");

       while ($zeile = mysql_fetch_row($proid_erg))
       {
         $proj1 = new stwProjekt($zeile[0]);

         printf("<option value=\"%s\">%s", $zeile[0], $proj1->nummer());
         printf("</option>\n");
       }

       printf("</select></td>\n<td class=\"cl1\">");
       printf("<input type=\"hidden\" name=\"abr\" value=\"1\">\n");

       printf("<input type=\"image\" src=\"img/senden.png\">\n");
       printf("</form>\n");
     }
   }
 }

 printf("<td><input type=\"button\" value=\"R\" ");
 printf("onClick=\"self.location.href='kal_raum.php'\" ");

 printf("%s></td>\n", stwToolTip("zum Raumnutzungskalender"));
 printf("</tr></table>\n");

 new stwLine(1);
 flush();

 /* grafische Darstellung des Dienstplans starten */
 printf("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
 printf("<tr><td>");

 /* Startzeit und Endzeit ermitteln */
 $kal_start = getConf("kal_von");
 $kal_ende  = getConf("kal_bis");

 $t_beg = mktime($kal_start, 0, 0, date("n"), date("j"), date("Y"));
 $t_end = mktime($kal_ende, 0, 0, date("n"), date("j"), date("Y"));

 kal_tabelle_zeit($t_beg, $t_end, 7);
 printf("</td>");

 /* gruene senkrechte Trennlinie */
 kal_zelle_farbe("#CCCCCC", 2);

 /* Dienstkalender ausgeben */
 $ts = $start;
 while ($ts < $ende)
 {
   $wochentag = strftime("%w", $ts);

   /* nicht Samstage und Sonntage zeigen */
   if ($wochentag != 0 && $wochentag != 6)
   {
     printf("<td><table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
     printf("<tr><td style=\"font-size:7pt;font-weight:bold;color:#FFCC00\">");

     printf("%s</td></tr>\n", strftime("%a, %d.%m.%Y", $ts));

     /* gruene waagerechte Trennlinie */
     printf("<tr><td bgcolor=\"darkgreen\"><img src=\"img/clearpixel.png\" ");
     printf("width=\"1\" height=\"2\" alt=\"leer\"></td></tr>");

     printf("<tr><td>");

     $file = create_picture_day(strftime("%Y-%m-%d", $ts),
                                $abteilung, $kal_start, $kal_ende);

     printf("<img src=\"%s\">\n", $_SESSION["webdir"]."/".$file);
     printf("</td></tr></table></td>");

     if ($wochentag != 5)
     {
       kal_zelle_farbe("#CCCCCC", 2);
     }
     else
     {
       kal_zelle_farbe("white", 2);
     }
   }

   $ts += 86400;
   flush();
  }

 printf("</tr></table>\n");
 new stwLine(1);

 $sql = "select x.nachw_id, unix_timestamp(n.datum) 
		from tb_x_azk_pers x 
		left join tb_ab_nachw n using(nachw_id) 
		where unix_timestamp(datum) < $ende 
		order by datum desc limit 1";
 $nw = abfrage($sql);

 /* wenn Monatsanzeige Soll/Ist fuer jeden Mitarbeiter zeigen */
 if ($anz == "m") $interval = '1 MONTH';
 elseif ($anz == "j") $interval = '1 YEAR';
 elseif ($anz == "t") $interval = '1 DAY';
 elseif ($anz == "w2") $interval = '14 DAY';
 else $interval = '7 DAY';

 printf("<table>\n");

 $dt = $nw[1] ? strftime('%B %Y', $nw[1]) : '';
 $endat = strftime('%d.%m.%Y',$ende-1);
 echo "<tr><td />";
 echo "<td style=\"background-color:#006600\" rowspan=\"".($pers_abt_cnt+3)."\"></td>";
 if($nw[0]) {
	echo "<td style=\"text-align:center\" colspan=\"3\">$dt</td>";
	echo "<td style=\"background-color:#006600\" rowspan=\"".($pers_abt_cnt+3)."\"></td>";
 }
 echo "<td>Stundenplanung ";
 if($anz == 'm') echo strftime('%B',$start);
 if($anz=='m') {
	echo "</td><td style=\"background-color:#006600\" rowspan=\"".($pers_abt_cnt+3)."\"></td>";
	echo "<td colspan=\"3\" style=\"text-align:center\">AZK prognostisch ".strftime('%B',$start)."</td>";
 }
 echo "</tr><tr><td />";
 if($nw[0]) {
	echo "<td style=\"text-align:center\" class=\"cl1\">Soll</td>";
	echo "<td style=\"text-align:center\">gel.</td>";
	echo "<td style=\"text-align:center\" class=\"cl1\">AZK</td>";
 }
 echo "<td class=\"cl1\">Abteilung $abtname ";
 if($anz == "t") echo $endat;
 else {
	$stardat = strftime('%d.%m.',$start);
	echo "$stardat - $endat";
 }
 echo "</td>";
 echo "<td style=\"text-align:center\" class=\"cl1\">Soll</td>";
 echo "<td style=\"text-align:center\">geplant</td>";
 echo "<td style=\"text-align:center\" class=\"cl1\">AZK</td>";
 echo "</tr>\n";
 new stwTabLine(2,12);

 if($pers_abt_cnt > 0) mysql_data_seek($pers_abt,0);
 while ($zeile = mysql_fetch_row($pers_abt))
 {
	$maName = pers_name($zeile[0]);
	echo "<tr class=\"mo\"><th style=\"vertical-align:bottom\">$maName</th>";
	$AZKprognostisch = 0;
	if($nw[0]) {
		$azk = abfrage("select fls_soll, fls_gel, azk_std
						from tb_x_azk_pers
						where nachw_id = '$nw[0]'
						and pers_id = $zeile[0];");
		$AZKprognostisch = $azk[2];
		for($i=0;$i<3;$i++) {
			echo "<td class=\"cl1\" style=\"vertical-align:bottom; text-align:";
			echo is_null($azk[ $i ]) ? "center\"" : "right\"";
			if(is_null($azk[ $i ])) echo ">-";
			else echo ">" . fls_form($azk[ $i ]);
			echo "</td>\n";
		}
	}
	$geleistet = 0;
	echo "<td class=\"cl1\">";
	/* alle Stunden fuer diesen Zeitraum bestimmen */
	$sql = "SELECT t1.proj_id, 
			SUM(unix_timestamp(t2.bis) - unix_timestamp(t2.von))/3600 as ist,
			p.pool
			FROM tb_ab_zk t1 LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id 
			LEFT JOIN tbh_proj_abt t3 ON t1.proj_id = t3.proj_id
			LEFT JOIN tb_projekte p ON t1.proj_id = p.proj_id
			LEFT JOIN tb_hilfeart h ON p.hilfeart_id = h.hilfeart_id
			WHERE h.fls_azk = 1 AND t1.pers_id = '$zeile[0]' AND t3.abt_id = '$abteilung' ";
	if($heute >= $ende) $sql .= "AND t1.ab = 'j' ";
	$sql.= "AND $start <= unix_timestamp(von) AND unix_timestamp(von) < $ende
			GROUP BY proj_id ORDER BY ist desc;";
	$pros = abfrage1($sql);
	while($pro = mysql_fetch_row($pros)) {
		$projekt = new stwProjekt($pro[0]);
		$geleistet += $pro[1];
		flush();
		$abm = date('Y-m-01', $start);
		$soll = $projekt->fls_monat($abm);
		$vm = $projekt->fls_vormonat($abm);
		if($heute < $start) {
			$sql = "SELECT SUM(unix_timestamp(t2.bis) - unix_timestamp(t2.von))/3600 as ist
					FROM tb_ab_zk t1 LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id 
					WHERE t1.proj_id = '$pro[0]' AND t1.ab = 'n'
					AND unix_timestamp(von) >= $heute AND unix_timestamp(von) < $start";
			$fls = abfrage($sql);
			$vm += $fls[0];
		}
		if($heute >= $ende) {
			$fm = $projekt->fls_folgemonat($abm);
			$ist= $projekt->fls_gesamt($abm);
		} else {
			list($y,$m,$d) = explode("-", $abm);
			$sq0 = "select sum(time_to_sec(";
			$sq0.= "if(time_to_sec(z.fls2) > 0, z.fls2, z.fls)";
			$sq0.= ")) / 3600 from tb_ab_zk z ";
			$sq1 = "and z.code != 'U' and z.code != '@' ";
			$sq2 = "and z.code = 'U' ";
			$sq3 = "group by z.proj_id;";
			$sq0.= "left join tb_termine t using(termin_id)
					where z.proj_id = '$pro[0]'
					and month(t.von) = '$m' and year(t.von) = '$y'";
			$gel = abfrage($sq0 . $sq1 . $sq3);
			$ge2 = abfrage($sq0 . $sq2 . $sq3);
			$ist = round($gel[0] + (0.7 * $ge2[0]), 2);
			$fm = $vm + $ist - $soll;
		}
		echo "<table style=\"display:inline;padding-right:10px;\" cellspacing=\"0\" cellspacing=\"0\"><tr><td colspan=\"2\" style=\"text-align:center\">";
		echo "<small><a" . stwToolTip("<b>gesamtes Projekt:</b><br><div style=\"text-align:right\">&Uuml;bertrag Vormonat: " . fls_form($vm) . "<br>SOLL: " .fls_form($soll). "<br>FLS: " .fls_form($ist). "<br>&Uuml;bertrag Folgemonat: " . fls_form($fm) . "</div>");
		echo "href=\"pro_daten.php?proj_id=$pro[0]\">" . projektnummer($pro[0]) . "</a></small></td><td";
		if($anz=='m') echo stwToolTip("&Uuml;bertrag Folgemonat: " . fls_form($fm))."><small>FM: ".geld_form_formular($fm)."</small";
		echo "></td>";
		if($pro[2] > 0) {
			$poolstand = pro_pool_ts($pro[0], $ende);
			$pool_gel = $pro[2] - $poolstand[0];
			$prozent = 100 * $pool_gel/$pro[2];
			if ($prozent < 75) $color = "#00FF00";
			elseif ($prozent >= 75 && $prozent <= 90) $color = "#FFCC00";
			elseif ($prozent > 90 && $prozent <= 100) $color = "#FF9900";
			else $color = "#FF0000";
			echo "<th style=\"text-align:right\"" . stwToolTip('Pool gesamt: ' . fls_form($pro[2]));
			echo "><small style=\"color:$color\">" . geld_form_formular($pro[2]) . "</small></th>";
		}
		echo "</tr>";
		$soll = projekt_fls_soll_pers($pro[0],$zeile[0],$start,$ende);
		echo "<tr><td style=\"text-align:right\" class=\"cl1\"><small".stwToolTip("<b>$maName:</b><br />Projekt-Sollstunden: " . fls_form($soll)).">S: " . geld_form_formular($soll) . "</small></td>";
		echo "<td style=\"text-align:center\"><small".stwToolTip("<b>$maName:</b><br />Fachleistungsstunden im Projekt: " . fls_form($pro[1])).">I: " . geld_form_formular($pro[1]) . "</small></td>";
		echo "<td><small style=\"color:".($pro[1]<$soll ? 'red' : 'lime')."\"".stwToolTip("<b>$maName:</b><br />Differenz IST - SOLL im Projekt: " . fls_form($pro[1]-$soll)).">= " . geld_form_formular($pro[1]-$soll) . "</small></td>";
		if($pro[2] > 0) {
			echo "<th style=\"text-align:right\"><small style=\"color:$color\"" . stwToolTip("Poolstand am $endat:<b> " . fls_form($poolstand[0]) . "</b><br>$poolstand[1]");
			echo ">" . geld_form_formular($poolstand[0]) . "</small></th>";
		}
		
		echo "</tr></table>";
	}
	echo "</td>\n";
	$soll = fls_monat_pers($zeile[0],strftime('%Y-%m-01',$start));
	echo "<td class=\"cl1\" style=\"vertical-align:bottom; text-align:right\">" . fls_form($soll) . "</td>\n";
	echo "<td class=\"cl1\" style=\"vertical-align:bottom; text-align:right\">" . fls_form($geleistet) . "</td>\n";
	echo "<td class=\"cl1\" style=\"vertical-align:bottom; text-align:right\">" . fls_form($AZKprognostisch + $geleistet - $soll) . "</td>\n";
	echo "</tr>\n";
 }

 printf("</table>\n");

 new stwEnd($seite, 1, NULL, NULL, 0, 0, $abteilung);
?>