<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: dienstplan.php 2816 2017-11-28 13:04:38Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 10;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 /*
  * Kopiert vorhandene nicht abgerechnete ZK in Diensttabelle.
  */
 function copy_zk($start, $abt_id)
 {
   /* alte Eintraege fuer diesen Monat und diese Abteilung loeschen */
   $ende  = mktime(0, 0, 0, date("n", $start) + 1, 1, date("Y", $start));

   $sql  = "DELETE FROM tb_ab_zk_copy WHERE abt_id = '".$abt_id."' AND ";
   $sql .= "ts_start >= '".$start."' AND ts_start < '".$ende."'";

   abfrage2($sql);

   /* alle Personen dieser Abteilung ermitteln */
   $sql  = "SELECT pers_id FROM tbh_pers_abt WHERE abt_id = '";
   $sql .= $abt_id."'";

   $erg  = abfrage1($sql);
   while ($zeile = mysql_fetch_row($erg))
   {
     /* alle ZK fuer diesen Monat und diese Person kopieren */
     $sql  = "SELECT t1.zk_id, UNIX_TIMESTAMP(t2.von), ";
     $sql .= "UNIX_TIMESTAMP(t2.bis ) FROM tb_ab_zk t1 ";

     $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";
     $sql .= "WHERE t1.pers_id = '".$zeile[0]."' AND t1.ab = 'n' ";

     $sql .= "AND t2.terminart = 'z' AND UNIX_TIMESTAMP(t2.von) >= '";
     $sql .= $start."' AND UNIX_TIMESTAMP(t2.von) < '".$ende."'";

     $dat = abfrage1($sql);
     while ($zk = mysql_fetch_row($dat))
     {
       $sql  = "REPLACE INTO tb_ab_zk_copy SET zk_id = '".$zk[0]."', ";
       $sql .= "abt_id = '".$abt_id."', ts_start = '".$zk[1];
       $sql .= "', ts_ende = '".$zk[2]."', pers_id='$zeile[0]'";
       abfrage2($sql);
     }
   }
 }

 if(isset($_POST['abt_id_wochenplan'])) {
   $w = isset($_POST['wochenplan']) ? $_POST['wochenplan'] : 'n';
   abfrage2("update tb_personal_abt set wochenplan='$w' where abt_id='{$_POST["abt_id_wochenplan"]}'");
 }

 /* nur Checkboxen sind interessant */
 if (isset($_POST["form_art"]) && $_POST["form_art"] == "check")
 {
   /* alten Zustand ermitteln */
   $sql  = "SELECT al_dienst, gf_dienst, ts_al FROM tb_dienst_monat WHERE ";
   $sql .= "ts_monat = '".$_POST["ts_monat"]."' AND ";

   $sql .= "abt_id = '".$_POST["check_id"]."'";
   $auswahl = abfrage($sql);

   $sql  = "REPLACE INTO tb_dienst_monat SET ts_monat = '";
   $sql .= $_POST["ts_monat"]."', abt_id = '";

   $sql .= $_POST["check_id"]."', ";

   if ($_POST["al_gf"] == "al")
   {
     /* AL Bereich */
     if ($auswahl[0] == 0)
     {
       $sql .= "al_dienst = '{$_SESSION[$AppCode]["UID"]}', ts_al = unix_timestamp(now()), ";
     }
     else
     {
       $sql .= "al_dienst = '0', ts_al = unix_timestamp(now()), ";
     }

     $sql .= "gf_dienst = '".$auswahl[1]."'";
   }
   else
   {
     /* Aktualisierungsbutton wurde gedrueckt */
     if (isset($_POST["bneu"]))
     {
       $sql .= "gf_dienst = '".$auswahl[1]."', ";
      
       /* vorhandene noch nicht abgerechnte ZK fuer diesen Monat kopieren */
       copy_zk($_POST["ts_monat"], $_POST["check_id"]);
     }
     else
     {
       /* GF Bereich */
       if ($auswahl[1] == 0)
       {
         $sql .= "gf_dienst = '{$_SESSION[$AppCode]["UID"]}', ts_gf = unix_timestamp(now()), ";

         /* vorhandene noch nicht abgerechnte ZK fuer diesen Monat kopieren */
         copy_zk($_POST["ts_monat"], $_POST["check_id"]);
       }
       else
       {
         $sql .= "gf_dienst = '0', ts_gf = unix_timestamp(now()), ";
       }
     }

     $sql .= "al_dienst = '".$auswahl[0]."', ts_al = '$auswahl[2]'";
   }

   abfrage2($sql);
 }

 /* Zeitraum bestimmen der zur Auswahl steht */
 $start = mktime(0, 0, 0, date("n") - 2, 1, date("Y"));
 $ende  = mktime(0, 0, 0, date("n") + 1, 1, date("Y"));

 /* alte Eintraege loeschen um Datenbank klein zu halten */
 $sql = "DELETE FROM tb_dienst_monat WHERE ts_monat < '".$start."'";
 abfrage2($sql);

 $sql = "DELETE FROM tb_ab_zk_copy WHERE ts_start < '".$start."'";
 abfrage2($sql);

 /* Auswahlzeile bereitstellen */
 printf("<form action=\"dienstplan.php\" method=\"post\">\n");
 printf("<input type=\"hidden\" name=\"form_art\" value=\"date\">\n");

 printf("<table>\n<tr><th>Dienstplan erstellen f&uuml;r:</th>");

 /* Monatsauswahl anbieten */
 printf("<td><select name=\"ts_monat\" size=\"1\" ");
 printf("onchange=\"this.form.submit()\">");

 do
 {
   printf("<option value=\"%s\" ", $start);

   if (isset($_POST["ts_monat"]))
   {
     if ($_POST["ts_monat"] == $start)
     {
       $timestamp = $start;
       printf("selected ");
     }
   }
   else
   {
     if ($start == $ende)
     {
       $timestamp = $start;
       printf("selected");
     }
   }

   printf(">%s</option>\n", strftime("%B %Y", $start));
   $start = mktime(0, 0, 0, date("n", $start) + 1, 1, date("Y", $start));

 } while ($start <= $ende);

 printf("</select></td></tr></table>\n</form>\n");
 new stwLine(1);

 /*
  * Vorhandene Abteilungen zeigen: Level > 96 alle
  *                                Abteilungsleiter eigene Abteilung
  */
 $erg = abfrage1("SELECT abt_id, name, wochenplan FROM tb_personal_abt order by name asc");

 if (mysql_num_rows($erg) > 0)
 {
   printf("<table>\n");

   while ($zeile = mysql_fetch_row($erg))
   {
     /* GF und Abteilungsleiter duerfen etwas sehen */
     $sql  = "SELECT abt_id FROM tb_personal_abt_leit WHERE pers_id = '";
     $sql .= $_SESSION[$AppCode]["UID"]."' AND abt_id = '".$zeile[0]."'";

     $sehen = abfrage1($sql);
     if ($_SESSION[$AppCode]["ULV"] > 96 || mysql_num_rows($sehen) > 0)
     {
       $sql  = "SELECT al_dienst, gf_dienst, ts_al, ts_gf FROM tb_dienst_monat WHERE ";
       $sql .= "ts_monat = '".$timestamp."' AND abt_id = '".$zeile[0]."'";
       $auswahl = abfrage($sql);

	   if($auswahl[1] > 0) $color = 'red';
	   elseif($auswahl[0] > 0) $color = 'orange';
	   elseif($zeile[2]=='j') $color = 'green';
	   else $color = '';

       echo "<tr class=\"mo\"><th style=\"color:$color\">$zeile[1]</th>";
	   
	   $tt = "Abteilungsleiter: Sperrt &Auml;nderung von Zeitkarten durch den Mitarbeiter &uuml;ber das geplante Kontingent hinaus,<br>wenn $zeile[1] <b>prim&auml;re</b> Abteilung des Projekts ist.<br />";
	   $tt .= "Abteilungsleiter d&uuml;rfen Zeitkarten noch &auml;ndern.";
	   if ($auswahl[0] > 0) {
		  if($auswahl[2] > 0) $tt = "<b>OK gesetzt von " . pers_kname($auswahl[0]) . " am " . date("d.m.Y G:i", $auswahl[2]) . "Uhr</b><br />$tt";
	   }
	   echo "<td".stwToolTip($tt).">";
       /* wenn GF schon gesetzt, darf AL nicht mehr aendern */
       if ($auswahl[1] > 0) {
		   echo "AL: <img src=\"img/".(empty($auswahl[0]) ? 'un' : '')."checked.png\">";
	   } else {
		   printf("<form action=\"dienstplan.php\" method=\"post\">\n");
		   printf("<input type=\"hidden\" name=\"form_art\" value=\"check\">\n");

		   printf("<input type=\"hidden\" name=\"al_gf\" value=\"al\">\n");
		   printf("<input type=\"hidden\" name=\"ts_monat\" value=\"");

		   printf("%s\">\n", $timestamp);

		   printf("<input type=\"hidden\" name=\"check_id\" ");
		   printf("value=\"%s\">\n", $zeile[0]);

		   printf("AL: <input type=\"checkbox\" name=\"al_dienst_");
		   printf("%s\" ", $zeile[0]);

		   if ($auswahl[0] > 0) printf("checked ");

		   printf("value=\"%s\" onclick=\"this.form.submit()\">", $zeile[0]);
		   printf("</form>\n");
	   }
	   $tt = "Gesch&auml;ftsf&uuml;hrer: Sperrt &Auml;nderung von Zeitkarten &uuml;ber das geplante Kontingent hinaus<br>wenn $zeile[1] <b>prim&auml;re</b> Abteilung des Projekts ist.<br />";
	   $tt .= "Nutzer mit Sonderrecht k&ouml;nnen Zeitkarten noch &auml;ndern.";
	   if ($auswahl[1] > 0) {
		  if($auswahl[3] > 0) $tt = "<b>OK gesetzt von " . pers_kname($auswahl[1]) . " am " . date("d.m.Y G:i", $auswahl[3]) . "Uhr</b><br />$tt";
	   }
	   echo "</td><td class=\"cl20\"".stwToolTip($tt).">";
	   if ($_SESSION[$AppCode]["ULV"] > 96) {
		   printf("<form action=\"dienstplan.php\" method=\"post\">\n");
		   printf("<input type=\"hidden\" name=\"form_art\" value=\"check\">\n");

		   printf("<input type=\"hidden\" name=\"al_gf\" value=\"gf\">\n");
		   printf("<input type=\"hidden\" name=\"ts_monat\" value=\"");

		   printf("%s\">\n", $timestamp);

		   printf("<input type=\"hidden\" name=\"check_id\" ");
		   printf("value=\"%s\">\n", $zeile[0]);

		   printf("GF: <input type=\"checkbox\" name=\"gf_dienst");
		   printf("_%s\" ", $zeile[0]);

		   if ($auswahl[1] > 0) printf("checked ");
		   printf("value=\"%s\" ", $zeile[0]);
		   printf("onclick=\"this.form.submit()\">");
		   printf("</form>\n");
	   } else {
		   echo "GF: <img src=\"img/".(empty($auswahl[1]) ? 'un' : '')."checked.png\">";
	   }
	   echo "</td>\n";
       /* Button um Dienstplan zu aktualisieren
       if ($_SESSION[$AppCode]["ULV"] > 96 && $auswahl[1] == "1")
       {
         printf("<td><input type=\"submit\" value=\"neu\" ");
         printf("name=\"bneu\"></td>\n");
       }*/

       echo "<form action=\"dienstplan.php\" method=\"post\">\n";
	   echo "<input type=\"hidden\" name=\"abt_id_wochenplan\" value=\"$zeile[0]\">\n";
	   $checked = $zeile[2]=='j' ? 'checked' : '';
	   echo "<td>Wochenplan:</td>";
	   echo "<td><input type=\"checkbox\" $checked name=\"wochenplan\" value=\"j\" ";
       if ($_SESSION[$AppCode]["ULV"] < 96) echo "disabled ";
       echo "onclick=\"this.form.submit()\"></td></form>\n";

       printf("</tr>\n");
     }
   }

   printf("</table>\n");
 }

 printf("</form>\n");
 new stwEnd($seite);
?>
