<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fahrten.php 2905 2018-11-08 10:00:59Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 26;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

if (isset($_POST['directupdate']) || isset($_POST['fahrt_ok']) || isset($_POST['fahrt_ok2'])) {
	require_once($pfad."inc/func.inc.php");
	extern();
	extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');
}

/* falls eine neue Fahrt angelegt wurde, hier die Daten in DB anlegen */
if (isset($_POST['fahrt_ok']) || isset($_POST['fahrt_ok2']) && empty($_POST['directupdate'])) {
	/* pruefen ob das Datum ok ist */
	$date = check_date($rvar_datum);
	$von  = check_time($rvar_tvon);
	$bis  = check_time($rvar_tbis);
	if ($date === false || empty($rvar_datum)){
		if(empty($rvar_datum)) $rvar_datum = "Feld 'Datum' leer!";
		require_once($pfad."inc/stw.inc.php");
		echo "Datum konnte nicht verarbeitet werden: $rvar_datum<br>";
   	new stwEnd($seite);

   	exit(-1);
	}
	/* Start-, Enddatum pruefen und in Mysql Datum umwandeln */
	$beg = date_time_stamp($date, $von);
	$end = date_time_stamp($date, $bis);
}

$equal=false;
if(isset($_POST['fahrt_ok']) && isset($rvar_zk_id)) {
	$new_zk = array($rvar_km_von, $rvar_km_via1, $rvar_km_via2, $rvar_km_via3, $rvar_km_via4, $rvar_km_via5, $rvar_km_nach, $rvar_km_dienst, $rvar_fahrt_id, $rvar_res_id, $rvar_sphere);
	$sql = "SELECT km_von, km_via1, km_via2, km_via3, km_via4, km_via5, km_nach, km_dienst, fahrt_id, res_id, sphere FROM tb_ab_zk WHERE zk_id = '$rvar_zk_id'";
	$ref_zk = abfrage($sql);
	$equal = true;
	if($ref_zk[7] > 0) {
		for($i=0; $i<11; $i++) if($new_zk[$i] != $ref_zk[$i]) $equal=false;
		if($equal) {
			$sql = "SELECT date_format(von, '%Y-%m-%d %H:%i'), date_format(bis, '%Y-%m-%d %H:%i') FROM tb_termine WHERE termin_id = '$rvar_termin_id'";
			$ref_termin = abfrage($sql);
			if($ref_termin[0] != $beg || $ref_termin[1] != $end) $equal=false;
		}
		if($equal) {
			$sql = "SELECT km_start, km_ende FROM tb_fahrtenhistorie WHERE zk_id = '$rvar_zk_id' order by fh_id desc limit 1";
			$ref_km = abfrage($sql);
			if($ref_km[0] != $rvar_km_anfang || $ref_km[1] != $rvar_km_ende) $equal=false;
		}
	}
}
if($equal) {
/* nothing to do here :) */
} elseif ((isset($_POST['directupdate']) || isset($_POST['fahrt_ok'])) && empty($_POST['fahrt_ok2'])) {
	/* Zwischenformular ausgeben um zu warnen */
	$abgerechnet = isset($_POST['directupdate']) ? false : istMonatAbgerechnet($date);
	if($abgerechnet || isset($rvar_zk_id)) {
		require_once($pfad."inc/stw.inc.php");
		echo "<center>\n<form method=\"post\" action=\"fahrten.php\">\n";
		echo "<table>\n<tr><th style=\"color:red\" colspan=\"2\">";
		if($abgerechnet) echo "Das Datum $date liegt in einem bereits abgerechneten Monat.";
		else echo "Soll die Fahrt wirklich ge&auml;ndert werden?";
		if(!$abgerechnet || check_nutzer_rechte(70)) {
			if($abgerechnet) echo "<br>Trotzdem Eintragung vornehmen?";
			echo "</th></tr>\n";
			echo "<tr><th style=\"text-align:right\">Begr&uuml;ndung:</th><td>";
			echo "<input type=\"text\" name=\"grund\" style=\"width:100%\"></td></tr>\n";
			echo "<tr><td style=\"text-align:right\"><input type=\"submit\" value=\"Ok\" ";
			echo "name=\"fahrt_ok2\"></td>\n";
			echo "<th><input type=\"submit\" value=\"Abbrechen\" name=\"nk\">\n";

			if(isset($_POST['directupdate'])) {
				echo "<input type=\"hidden\" name=\"directupdate\" value=\"1\">\n";
				echo "<input type=\"hidden\" name=\"zk_id\" value=\"$rvar_zk_id\">\n";
				echo "<input type=\"hidden\" name=\"km_dienst\" value=\"$rvar_km_dienst\">\n";
			} else {
				/* alle uebergebenen Daten muessen aufgehoben werden */
				if (isset($rvar_zk_id)) {
					echo "<input type=\"hidden\" name=\"zk_id\" value=\"$rvar_zk_id\">\n";
					echo "<input type=\"hidden\" name=\"termin_id\" value=\"$rvar_termin_id\">\n";
				} else {
					echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
				}

				echo "<input type=\"hidden\" name=\"datum\" value=\"$rvar_datum\">\n";
				echo "<input type=\"hidden\" name=\"km_von\" value=\"$rvar_km_von\">\n";
				echo "<input type=\"hidden\" name=\"tvon\" value=\"$rvar_tvon\">\n";
				echo "<input type=\"hidden\" name=\"tbis\" value=\"$rvar_tbis\">\n";
				echo "<input type=\"hidden\" name=\"km_via1\" value=\"$rvar_km_via1\">\n";
				echo "<input type=\"hidden\" name=\"km_via2\" value=\"$rvar_km_via2\">\n";
				echo "<input type=\"hidden\" name=\"km_via3\" value=\"$rvar_km_via3\">\n";
				echo "<input type=\"hidden\" name=\"km_via4\" value=\"$rvar_km_via4\">\n";
				echo "<input type=\"hidden\" name=\"km_via5\" value=\"$rvar_km_via5\">\n";
				echo "<input type=\"hidden\" name=\"km_nach\" value=\"$rvar_km_nach\">\n";
				echo "<input type=\"hidden\" name=\"km_dienst\" value=\"$rvar_km_dienst\">\n";
				echo "<input type=\"hidden\" name=\"res_id\" value=\"$rvar_res_id\">\n";
				echo "<input type=\"hidden\" name=\"sphere\" value=\"$rvar_sphere\">\n";
				echo "<input type=\"hidden\" name=\"fahrt_id\" value=\"$rvar_fahrt_id\">\n";
				echo "<input type=\"hidden\" name=\"km_anfang\" value=\"$rvar_km_anfang\">\n";
				echo "<input type=\"hidden\" name=\"km_ende\" value=\"$rvar_km_ende\">\n";
			}
		}
		echo "</th></form>\n</tr></table>\n</center>\n";
		/* den Abschluss noch zeigen */
		new stwEnd($seite);
		exit(0);
	}
} elseif (isset($_POST['directupdate']) && isset($_POST['fahrt_ok2'])){
	abfrage2("UPDATE tb_ab_zk SET km_dienst = '$rvar_km_dienst' WHERE zk_id = '$rvar_zk_id'");
	$ts = abfrage("select unix_timestamp(t.von) from tb_ab_zk z left join tb_termine t using(termin_id) where zk_id = '$rvar_zk_id'");
	abfrage2("INSERT INTO tb_fahrtenhistorie SET zk_id = '$rvar_zk_id', 
			  text = '$rvar_grund', pers_id = '{$_SESSION[$AppCode]['UID']}',
			  res_id = '$rvar_res_id', zk_ts = '$ts[0]',
			  km_start = '$rvar_km_anfang', km_ende = '$rvar_km_ende'");
} 
if (empty($_POST['directupdate']) && (isset($_POST['fahrt_ok']) || isset($_POST['fahrt_ok2']))) {
	/* entweder ein neuer Termin oder eine Aenderung */
	if (isset($rvar_zk_id)) $sql = "UPDATE "; else $sql = "INSERT INTO ";

	/* Datum eintragen */
	$sql .= "tb_termine SET von='$beg', bis='$end', terminart = 'a' ";
	if (isset($rvar_zk_id)) $sql .= "WHERE termin_id = '".$rvar_termin_id."'";

	abfrage2($sql);

	/* jetzt die Eintragung einer ZK fuer die Fahrt */
	if (!isset($rvar_zk_id)) $id = mysql_insert_id();
	if (isset($rvar_zk_id)) $sql = "UPDATE "; else $sql = "INSERT INTO ";

	/* die restlichen Felder setzen */
	$sql .= "tb_ab_zk SET km_von = '".$rvar_km_von."', ";
	$sql .= "km_via1 = '".$rvar_km_via1."', km_via2 = '".$rvar_km_via2."', ";
	$sql .= "km_via3 = '".$rvar_km_via3."', km_via4 = '".$rvar_km_via4."', ";
	$sql .= "km_via5 = '".$rvar_km_via5."', km_nach = '".$rvar_km_nach."', ";
	$sql .= "km_dienst = '".$rvar_km_dienst."', res_id = '".$rvar_res_id."', ";
	$sql .= "fahrt_id = '".$rvar_fahrt_id."', sphere='".$rvar_sphere."' ";

	if(isset($rvar_zk_id)) {
		$sql .= ", termin_id = '".$rvar_termin_id."' ";
		$sql .= "WHERE zk_id = '".$rvar_zk_id."'";
	} else {
		$sql .= ", pers_id = '".$rvar_pers_id."', termin_id = '".$id."'";
	}

	abfrage2($sql);
	if(isset($_POST['fahrt_ok2']) || empty($rvar_zk_id)) {
		/* Historie der Aenderungen am Fahrtenbuch */
		$zk_id = isset($rvar_zk_id) ? $rvar_zk_id : mysql_insert_id();
		$ts = date_isodatetime_stamp($beg);
		abfrage2("INSERT INTO tb_fahrtenhistorie SET zk_id = '$zk_id', 
				  text = '$rvar_grund', pers_id = '{$_SESSION[$AppCode]['UID']}',
				  res_id = '$rvar_res_id', zk_ts = '$ts',
				  km_start = '$rvar_km_anfang', km_ende = '$rvar_km_ende'");
	}
}

if(isset($_POST['kal_pkw'])) {
	header("Location: kal_pkw.php");
} elseif (isset($_POST['directupdate']) || isset($_POST['fahrt_ok']) || isset($_POST['fahrt_ok2'])) {
	header("Location: fahrten.php");
}

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");

set_session_url();

/* auszuwertende Parameter ermitteln */
$monat = (isset($_GET['abmonat'])) ? $_GET['abmonat'] : date('n');
$jahr  = (isset($_GET['abjahr'])) ? $_GET['abjahr'] : date('Y');

$pers_order = getPersOrder($seite);
$abcal = ab_cal($monat, $jahr);

$vmm = $abcal['vmm'];
$vmj = $abcal['vmj'];
$fmm = $abcal['fmm'];
$fmj = $abcal['fmj'];

if (isset($_GET['auto'])){
	$auto = $_GET['auto'];
} else {
	$sql  = "select h.res_id from tbh_pers_res h ";
	$sql .= "left join tb_ressourcen r on h.res_id = r.res_id ";
	$sql .= "left join tb_res_typ t using (res_typ)	";
	$sql .= "where h.pers_id = '{$_SESSION[$AppCode]['UID']}' ";
	$sql .= "and t.name = 'PKW' and r.aktiv = 'j'; ";
	$zust = abfrage($sql);
	$auto = ($zust[0] > 0) ? $zust[0] : 'all';
}

$ma = (isset($_GET['ma'])) ? $_GET['ma'] : 'all';
$sort = (isset($_GET['sort'])) ? $_GET['sort'] : 'd';
$self = $_SERVER['PHP_SELF'];

echo "<table><tr>\n";

echo "<td class=\"cl11\" style=\"vertical-align:middle\">\n";
echo "<input type=\"button\" value=\"neu\" ";
echo "onClick=\"self.location.href='fahrten_and.php'\"></td>\n";

echo "<td class=\"cl1\"><a href=\"$self?abmonat=$vmm&abjahr=$vmj";
echo "&auto=$auto&ma=$ma&sort=$sort\">";
echo "<img src=\"img/zurueck.png\" border=\"0\"></a></td>\n";

echo "<form action=\"$self\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"auto\" value=\"$auto\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";

echo "<td class=\"cl1\"><select name=\"abmonat\" ";
echo "onchange=\"this.form.submit()\">\n";

for ($i = 1; $i <= 12; $i++)
{
	$dt = preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", mktime(0,0,0,$i,1,1)));
	echo "<option value=\"$i\"";
	if ($monat == $i) {
		echo " selected ";
	}
	echo ">$dt</option>\n";
}
echo "</select></td>\n";

echo "<td class=\"cl1\"><select name=\"abjahr\" onchange=\"this.form.submit()\">\n";

$y = date('Y') + 1;
$x = $y - 11;

for ($i = $x; $i <= $y; $i++) {
	echo "<option value=\"$i\"";
	if ($jahr == $i) echo ' selected ';
	echo ">$i</option>\n";
}
echo "</select></td></form>\n";

echo "<td class=\"cl20\"><a href=\"$self?abmonat=$fmm&abjahr=$fmj";
echo "&auto=$auto&ma=$ma&sort=$sort\">";
echo "<img src=\"img/vor.png\" border=\"0\"></a></td>\n";

echo "<form action=\"{$_SERVER["PHP_SELF"]}\" method=\"GET\">\n";
echo "<td class=\"cl1\" style=\"vertical-align:middle\">\n";
echo "<input type=\"hidden\" name=\"auto\" value=\"all\">\n";
echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";
echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
$name = $pers_order == 2 ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
$order = $pers_order == 2 ? "p.name asc, p.vorname asc;" : "p.vorname asc, p.name asc;";
$sql = "select p.pers_id, concat($name) from tb_ab_zk z
		left join tb_personal p using(pers_id)
		left join tb_termine t using(termin_id)
		where (z.res_id > 0 or t.terminart='a') and t.von > DATE_SUB('{$abcal['von']}', INTERVAL 2 MONTH)
			or p.pers_id = '$ma' group by pers_id order by $order";
$erg = abfrage1($sql);
echo "<select name=\"ma\" style=\"width:80px\" size=\"1\" tabindex=\"2\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"all\" ";
if ($ma == 'all') echo ' selected ';
echo ">ALLE MAs anzeigen</option>\n";
while ($zeile = mysql_fetch_row($erg)) {
	echo "  <option value=\"$zeile[0]\"";
	if ($ma == $zeile[0]) echo ' selected ';
	echo ">$zeile[1]</option>\n";
}
echo "</select></td></form>\n";

echo "<form action=\"{$_SERVER["PHP_SELF"]}\" method=\"GET\">\n";
echo "<td class=\"cl1\" style=\"vertical-align:middle\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"all\">\n";
echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";
echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
echo "<select name=\"auto\" style=\"width:100px\" size=\"1\" tabindex=\"1\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"all\" ";
if ($auto == 'all') echo ' selected ';
echo ">ALLE Autos anzeigen</option>\n";
$sql = "select r.res_id, r.name from tb_ressourcen r
		left join tb_res_typ t using (res_typ)
		where t.name = 'PKW'
        and (r.aktiv = 'j' or (r.aktiv = 'n'
				and unix_timestamp(r.datum) > unix_timestamp('{$abcal['von']}')))
				order by r.name asc;";
$erg = abfrage1($sql);
while ($zeile = mysql_fetch_row($erg)) {
	echo "  <option value=\"$zeile[0]\"";
	if ($auto == $zeile[0]) echo ' selected ';
	echo ">$zeile[1]</option>\n";
}
echo "</select></td></form>\n";

if($auto != 'all') {
	echo "<td class=\"cl11\" style=\"vertical-align:middle\"><input type=\"button\" value=\"neue Pflege\" ";
	echo "onClick=\"self.location.href='pkw_wart.php?pflege=1&res_id=$auto'\"></td>\n";
}

echo "<td class=\"cl11\" style=\"vertical-align:middle;decoration:none\">";
echo "<a href=\"fahrten_pr_mon.php?detail=1&amp;von={$abcal['von']}&amp;bis={$abcal['bis']}";
if($auto != 'all') echo "&amp;res_id=$auto";
$tt = 'Druck Fahrtenbuch';
echo "\" target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\"" . stwToolTip($tt);
echo "></a></td>";
echo "<td class=\"cl1\" style=\"vertical-align:middle;decoration:none\">";
echo "<a href=\"fahrten_ub_req.php\">";
$tt = 'Druck bersicht Kalenderjahr AKT/SFK/STK';
echo "<img src=\"img/drucker.png\" border=\"0\"" . stwToolTip($tt);
echo "></a></td>";
echo "<td class=\"cl1\" style=\"vertical-align:middle;decoration:none\">";
echo "<a href=\"fahrten_pr_projekte.php?";
echo "ID0=TTP&ID1=TTS&month=$monat&year=$jahr\" target=\"_pdf\">";
$tt = 'Druck TENDER Fahrtkostennachweis';
echo "<img src=\"img/drucker.png\" border=\"0\"" . stwToolTip($tt);
echo "></a></td>\n";

$sql ="select sum(z.km_dienst)
			from tb_ab_zk z
			left join tb_termine t on z.termin_id = t.termin_id
			left join tb_fahrt f on z.fahrt_id = f.fahrt_id
			where z.pers_id = {$_SESSION[$AppCode]['UID']}
			and f.fahrt like 'privat%'
			and to_days(t.von) >= to_days('{$abcal['von']}')
			and to_days(t.von) <= to_days('{$abcal['bis']}');";
$pkm = abfrage($sql);

if ($pkm[0] > 0){
	echo "<td class=\"cl20\"" . stwToolTip('Privat-km');
	echo " style=\"font-size:8pt\">" . km_form($pkm[0]) . "</td>\n";
}

/* ab Level 60 -> Button 'Kosten' */
if ($_SESSION[$AppCode]['ULV'] >= 60){
	echo "<td style=\"vertical-align:middle\"><input type=\"button\" ";
	echo stwToolTip('monatliche Kosten erfassen');
	echo "onClick=\"self.location.href='pkw_kosten.php'\" ";
	echo "value=\"Kosten\">\n";
}

echo "</tr></table>\n";

new stwLine(1);
$letzterKMStand = array();
$eintrag = array();
$kilometeranfangsstand = array();
$kilometerendstand = array();
$where = "where to_days(t.von) >= to_days('{$abcal['von']}')
		and to_days(t.von) <= to_days('{$abcal['bis']}')
		and z.km_dienst > 0
		and (r.res_typ = 1 or t.terminart = 'a')
		and (to_days(t.von) < to_days('2010-09-01') or z.ab = 'j' or z.fahrt_id IS NOT NULL)";
if ($auto != 'all') $where .= " and z.res_id = '$auto'";
if ($ma != 'all') $where .= " and z.pers_id = '$ma'";

if ($sort == 'd'){
	$order = "order by unix_timestamp(t.von) asc, r.name asc;";
} else {
	$order = "order by pr.projektnr asc, f.fahrt asc;";
}

$sql = "select z.zk_id,
		date_format(t.von, '%d.%m.%Y'),
		z.km_von,
		z.km_via1,
		z.km_via2,
		z.km_nach,
		f.fahrt,
		r.name,
		z.km_dienst,
		concat(left(p.vorname, 1), '. ', p.name),
		z.proj_id,
		t.terminart,
		pr.projektnr,
		z.res_id,
		unix_timestamp(t.bis),
		z.pers_id,
		z.ab_monat,
		concat(date_format(t.von, '%k:%i'), ' - ', date_format(t.bis, '%k:%i'))
		from tb_ab_zk z
		left join tb_fahrt f on z.fahrt_id = f.fahrt_id
		left join tb_termine t on z.termin_id = t.termin_id
		left join tb_personal p on z.pers_id = p.pers_id
		left join tb_ressourcen r on z.res_id = r.res_id
		left join tb_projekte pr on z.proj_id = pr.proj_id
		$where
		$order";

$res = abfrage1($sql);

if (mysql_num_rows($res) > 0){
	echo "<table><tr>";
	echo "<th><a href=\"{$_SERVER['PHP_SELF']}?sort=d&abmonat=$monat&auto=$auto&ma=$ma\">Datum</a></th>";
	echo "<td width=5></td>";
	echo "<th>von</th>";
	echo "<td width=5></td>";
	echo "<th>&uuml;ber</th>";
	echo "<td width=5></td>";
	echo "<th>nach</th>";
	echo "<td width=5></td>";
	echo "<th><a href=\"{$_SERVER['PHP_SELF']}?sort=g&abmonat=$monat&auto=$auto&ma=$ma\">Grund</a></th>";
	echo "<td width=5></td>";
	echo "<th>Auto</th>";
	echo "<td width=5></td>";
	echo "<th>km-Start</th>";
	echo "<td width=5></td>";
	echo "<th>km-Ende</th>";
	echo "<td width=5></td>";
	echo "<th>km</th>";
	echo "<td width=5></td>";
	echo "<th>Fahrer</th>";
	echo "</tr>\n";

	new stwTabLine(2,30);

	$k = 0;
	while ($row = mysql_fetch_row($res)){
		$km = km_stand_zk($row[0]);
		$eintrag[ $k ] = $row;
		$kilometeranfangsstand[ $k ] = $km[0];
		$kilometerendstand[ $k ] = $km[1];
		$k++;
	}
	if($sort=='d' && $auto!='all') asort($kilometeranfangsstand);
	foreach($kilometeranfangsstand as $k => $km0) {
		$row = $eintrag[$k];
		$km1 = $kilometerendstand[$k];
		if(empty($letzterKMStand[$row[13]])) {
			$letzterKMStand[$row[13]] = km_stand($row[13], date_my2ts($abcal['von'])-1);
		}
		if($sort=='d' && $auto!='all') {
			if(round($letzterKMStand[$row[13]]) != round($km0) && !empty($letzterKMStand[$row[13]]))
				echo "<tr><th colspan=\"30\" style=\"color:red\">Vorsicht! Anfangs-Kilometerstand ($km0) stimmt nicht mit Endkilometerstand (".$letzterKMStand[$row[13]].") der letzten Fahrt &uuml;berein</th></tr>\n";
		}
		$letzterKMStand[$row[13]] = $km1;
		echo "<tr class=\"mo\">\n";
		if ($row[11] == 'z'){
			$url = "pro_ab_zk.php?zk_id=$row[0]&proj_id=$row[10]";
		} else {
			$url = "fahrten_and.php?zk_id=$row[0]";
		}

		$time = (getConf('abr_fz_uhrzeit') == 1) ? "&nbsp;$row[17]" : "";
		if ((empty($row[16]) && $row[15] == $_SESSION[$AppCode]['UID']) || $_SESSION[$AppCode]['ULV'] >= 65){
			echo "<td><a href=\"$url\">$row[1]</a> $time</td>";
		} else {
			echo "<td>$row[1] $time</td>";
		}

		echo "<td width=5></td>";
		echo "<td>" . strCut($row[2], 10) . "</td>";
		echo "<td width=5></td>";
		echo "<td>" . strCut($row[3], 10) . "</td>";
		echo "<td width=5></td>";
		echo "<td>" . strCut($row[5], 10) . "</td>";
		echo "<td width=5></td>";
		if ($row[11] == 'a'){
			if ($row[6] == "privat"){
				$co = "#969696";
			} else {
				$co = "#FF0000";
			}
			echo "<th style=\"color:$co\">$row[6]</th>\n";
		} else {
			$projekt = new stwProjekt($row[10]);
			$pnr = $projekt->nummer();
			echo "<th>$pnr</th>";
		}
		echo "<td width=5></td>";
		$pkw = "<a href=\"pkw_and.php?res_id=$row[13]\">" . trim(strstr($row[7], " ")) . "</a>";

		echo "<td>$pkw</td>";
		echo "<td width=5></td>";
		echo "<td style=\"text-align:right\">" . km_form($km0). "</td>\n";
		echo "<td width=5></td>";
		echo "<td style=\"text-align:right\">" . km_form($km1). "</td>\n";
		echo "<td width=5></td>";
/*		if(check_nutzer_rechte(72) && $row[15] == $_SESSION[$AppCode]['UID'] && $monat ==date('n')) {
			$urlext = (isset($_GET['sort'])) ? "?sort={$_GET['sort']}&auto={$_GET['auto']}" : "";
			echo "<form method=\"post\" action=\"fahrten.php$urlext\">\n";
			echo "<input type=\"hidden\" name=\"directupdate\" value=\"1\">\n";
			echo "<input type=\"hidden\" name=\"zk_id\" value=\"$row[0]\">\n";
			echo "<td>\n";
			echo "<input type=\"text\" name=\"km_dienst\" value=\"$row[8]\" size=\"4\">\n";
			echo "<input type=\"image\" name=\"save\" src=\"img/enter.png\">\n km";
			echo "</td>\n";
			echo "</form>\n";
		}*/
		echo "<td style=\"text-align:right\">" . km_form($row[8]) . "</td>\n";
		echo "<td width=5></td>";

		/* wurde Fahrt nachtraeglich geaendert? */
		$fhs = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i'), text, unix_timestamp(zeit)
						from tb_fahrtenhistorie where zk_id='$row[0]'");
		$tooltip = ""; $style = "";
		if(mysql_num_rows($fhs)>0){
			$tt = "<ul>";
			$red = false;
			while ($fh = mysql_fetch_row($fhs)) {
				$tt.= "<li> <b> ".pers_kname($fh[0]);
				$tt.= " ".$fh[1]." </b><br> ";
				$tt.= $fh[2]." </li>";
				if($fh[3]>mktime(23,59,59,$monat,date('t',mktime(0,0,0,$monat,1,$jahr)),$jahr))
					$red = true;
			}
			$tt.="</ul>";
			$tooltip = stwToolTip($tt,false);
			$color= $red ? 'red' : '#00FF00';
			if($red || mysql_num_rows($fhs)>1) $style = "style=\"color:$color\"";
		}
		echo "<td $style $tooltip>$row[9]</td>";
		echo "</tr>\n";
	}

	echo "</table>";
	new stwLine(1);
}

if ($abcal['bis'] < date('Y-m-d')){

	// Gesamtuebersicht
	$sql = "select r.res_id, r.name from tb_ressourcen r
			left join tb_res_typ t using (res_typ)
			where t.name = 'PKW'
			and (r.aktiv = 'j' or (r.aktiv = 'n'
				and unix_timestamp(r.datum) > unix_timestamp('{$abcal['von']}')))
			order by r.name asc;";
	$res = mysql_query($sql) or die (mysql_error());

	if (mysql_num_rows($res) > 0){
		echo "<table><tr>";
		echo "<th>Auto</th>";
		echo "<td width=5></td>";
		echo "<th>Anfangsstand</th>";
		echo "<td width=5></td>";
		echo "<th>Endstand</th>";
		echo "<td width=5></td>";
		echo "<th>Kilometer</th>";
		if ($abcal['bis'] < date('Y-m-d') && $_SESSION[$AppCode]['ULV'] >= 60){
			echo "<td width=5></td>";
			$link  = "fahrten_pr_mon.php?";
			$link .= "von={$abcal['von']}&bis={$abcal['bis']}";
			$tt = stwToolTip("Druckt aller <b>Fahrtenb&uuml;cher</b> (ohne Historie)");
			echo "<td class=\"cl11\"><a href=\"$link\" target=\"_blank\" $tt>";
			echo "<img src=\"".image("drucker")."\" /></a></td>";
			$tt = stwToolTip("Druckt aller Fahrtenb&uuml;cher mit <b>Historie</b>");
			echo "<td><a href=\"$link&detail=1\" target=\"_blank\" $tt>";
			echo "<img src=\"".image("drucker")."\" /></a></td>";
		}
		echo "</tr>\n";

		new stwTabLine(2,30);

		while ($row = mysql_fetch_row($res)){
			echo "<tr class=\"mo\">";
			echo "<th><a href=\"pkw_and.php?res_id=$row[0]\">$row[1]</a></td>";
			echo "<td width=5></td>";
			$anf = km_stand($row[0], date_my2ts($abcal['von']), true);
			echo "<td style=\"text-align:right\">".geld_form_formular($anf)."</td>";
			echo "<td width=5></td>";
			$end = km_stand($row[0], date_my2ts($abcal['bis']));
			echo "<td style=\"text-align:right\">".geld_form_formular($end)."</td>";
			echo "<td width=5></td>";
			$diff = $end - $anf;
			echo "<td style=\"text-align:right\">$diff</td>";
			if ($abcal['bis'] < date('Y-m-d') && $_SESSION[$AppCode]['ULV'] >= 60){
				echo "<td width=5></td>";
				$link  = "fahrten_pr_mon.php?res_id=$row[0]&";
				$link .= "von={$abcal['von']}&bis={$abcal['bis']}";
				$tt = stwToolTip("Druckt das <b>Fahrtenbuch</b> (ohne Historie)");
				echo "<td class=\"cl11\"><a href=\"$link\" target=\"_blank\" $tt>";
				echo "<img src=\"".image("drucker")."\" /></a></td>";
				$tt = stwToolTip("Druckt das Fahrtenbuch mit <b>Historie</b>");
				echo "<td><a href=\"$link&detail=1\" target=\"_blank\" $tt>";
				echo "<img src=\"".image("drucker")."\" /></a></td>";
			}
			echo "</tr>\n";
		}
		echo "</table>";
		new stwLine(1);

		$link = "<a href=\"fahrten_pr_pkm.php?von={$abcal['von']}&bis={$abcal['bis']}\" target=\"_pdf\">";
		echo "<table><tr><td>$link<img src=\"" . image("drucker") . "\" /></a></td>";
		echo "<td>$link Druck Abrechnung Privat-km</a></td></tr></table>\n";
		new stwLine(1);
	}
}

new stwEnd($seite);
?>
