<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fahrten_and.php 2905 2018-11-08 10:00:59Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 26;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];
$onload_form = 'fahrtform';
$onload_focus = 'datum';

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);

require_once($pfad . 'inc/func.inc.php');

/* wurde ein Historieneintrag editiert? */
if(isset($_POST['fh_id'])) {
	abfrage2("UPDATE tb_fahrtenhistorie SET text='{$_POST['grund']}' WHERE fh_id='{$_POST['fh_id']}'");
}

/* wenn die ZeitkarteID gesetzt ist notwendige Infos holen */
if (isset($_GET['zk_id'])) {
	$sql  = "SELECT DATE_FORMAT(t.von, '%d.%m.%Y'), z.km_von, z.km_via1, ";
	$sql .= "z.km_via2, z.km_via3, z.km_via4, z.km_via5, z.km_nach, ";
	$sql .= "z.km_dienst, z.fahrt_id, z.res_id, z.pers_id, t.termin_id, ";
	$sql .= "z.ab_monat, UNIX_TIMESTAMP(t.von) as ts_von, DATE_FORMAT(t.von, '%H:%i'), ";
	$sql .= "DATE_FORMAT(t.bis, '%H:%i'), z.sphere FROM tb_ab_zk z ";
	$sql .= "LEFT JOIN tb_termine t ON z.termin_id = t.termin_id ";
	$sql .= "WHERE z.zk_id = '".$_GET['zk_id']."'";
	$zk   = abfrage_array($sql);
// wenn vorhandene ZK -> zum Leistungszeitpunkt aktive Autos
	$sql  = "select r.res_id, r.name, r.pers_id from tb_ressourcen r ";
	$sql .= "left join tb_res_typ t using (res_typ)	where t.name = 'PKW' ";
	$sql .= "and (r.aktiv = 'j' or (r.aktiv = 'n' and ";
	$sql .= "unix_timestamp(r.datum) > $zk[14])) order by r.name asc";
} else {
	$sql  = "select r.res_id, r.name, r.pers_id from tb_ressourcen r ";
	$sql .= "left join tb_res_typ t using (res_typ) where t.name = 'PKW' ";
	$sql .= "and r.aktiv = 'j' order by r.name asc";
}
$pkws = abfrage1($sql);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function kmStand($datum, $von, $res_id, $km){
	$userResp = new xajaxResponse();
	if($res_id > 0) {
		$datum = check_date($datum);
		$ts = date_gr2ts($datum);
		$time = check_time($von);
		if($time) $ts = date_tstime($ts,$time);
		$kmStand = km_stand($res_id,$ts,1);
		$userResp->assign('km_anfang', 'value', 0+$kmStand);
		$userResp->assign('km_ende', 'value', 0+$kmStand+$km);
		$userResp->assign('Speicherbutton', 'style.display', 'inline');
	}
	return $userResp;
}

function checkStatus($datum, $von, $bis, $res_id){
	global $pkws;
	$userResp = new xajaxResponse();
	$autoselectbgcolor = array();
	while($pkw = mysql_fetch_row($pkws)) {
		$autoselectbgcolor[$pkw[0]] = $pkw[0];
	}
	mysql_data_seek($pkws,0);
	$datum = check_date($datum);
	$ts = $von_ts = date_gr2ts($datum);
	$time = check_time($von);
	if($time) $von_ts = date_tstime($ts,$time);
	$time = check_time($bis);
	$bis_ts = date_tstime($ts,$time ? $time : '23:59');
	$sql = "select res_id from tb_ab_zk z
			left join tb_termine t using (termin_id) 
			where unix_timestamp(t.bis) > '$von_ts' ";
	if(isset($_GET['zk_id'])) $sql.= "and zk_id != '{$_GET['zk_id']}' ";
	$sql.= "and unix_timestamp(t.von) < '$bis_ts';";
	$zks = abfrage1($sql);
	$red = false;
	while($zk = mysql_fetch_row($zks)) {
		if($zk[0] > 0) {
			$userResp->assign("pkw$zk[0]", 'style.background', 'red');
			$autoselectbgcolor[$zk[0]] = false;
			if($res_id == $zk[0]) $red = true;
		}
	}
	foreach($autoselectbgcolor as $id) {
		if($id) $userResp->assign("pkw$id", 'style.background', '');
	}
	$userResp->assign("res_id", 'style.background', $red?'red':'#CCCCCC');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('checkStatus');
$xajax->registerFunction('kmStand');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');

echo "<script type=\"text/javascript\"><!--\n";
echo "window.onload = function () {\n";
echo "xajax_checkStatus(datum.value, von.value, bis.value, res_id.value);\n";
echo "}\n\n";
echo "function checkpkw() {\n";
echo "if(document.getElementById('res_id').value == '0') {\n";
echo "return confirm('Kein PKW gew'+unescape('%E4')+'hlt! Trotzdem speichern?');\n";
echo "}\n return true;\n";
echo "}\n";
echo "--></script>\n";

/* Formular ausgeben um Daten einzugeben */
echo "<table><tr><td>\n";
$action = isset($rvar_edit) ? "fahrten_and.php?zk_id=$rvar_zk_id" : "fahrten.php";
echo "<form method=\"post\" onsubmit=\"return checkpkw()\" name=\"fahrtform\" action=\"$action\">\n";
echo "<table>\n";

if(isset($rvar_kal_pkw)) echo "<input type=\"hidden\" name=\"kal_pkw\" value=\"1\" />\n";
$ti = 1;

/* Datum in der Zukunft? Kilometer ausgrauen! */
echo "<script type=\"text/javascript\"><!--\n";
echo "var lastval = '';\n";
echo "function validate() {\n";
echo "var datum = String(document.fahrtform.datum.value);\n";
echo "var h1 = 0;\n";
echo "var uhrzeit = String(document.fahrtform.tbis.value);\n";
echo "var doppelpunkt = uhrzeit.indexOf(':');\n";
echo "if(doppelpunkt == -1) {\n";
echo "if(uhrzeit.length > 3) {\n";
echo "h1 = eval(uhrzeit.substr(0,2));\n";
echo "} else {\n";
echo "h1 = eval(uhrzeit.substr(0,1));\n";
echo "}\n";
echo "} else {\n";
echo "var time1 = uhrzeit.split(':');\n";
echo "h1 = eval(time1[0]);\n";
echo "}\n";
echo "var dat1 = datum.split('.');\n";
echo "var now = '".date('d.m.Y')."';\n";
echo "var h2 = ".date('G').";\n";
echo "var dat2 = now.split('.');\n";
echo "var y1 = eval(dat1[2]); var y2 = eval(dat2[2]);\n";
echo "var m1 = eval(dat1[1]); var m2 = eval(dat2[1]);\n";
echo "var d1 = eval(dat1[0]); var d2 = eval(dat2[0]);\n";
echo "if(y1 > y2 || (y1 == y2 && m1 > m2) || (y1 == y2 && m1 == m2 && d1 > d2) || (y1 == y2 && m1 == m2 && d1 == d2 && h1 > h2)) {\n";
echo " if(document.fahrtform.km_dienst.value != '') lastval = document.fahrtform.km_dienst.value;\n";
echo " document.fahrtform.km_dienst.value = '';\n";
echo " document.fahrtform.km_dienst.disabled = true;\n";
echo " document.fahrtform.km_anfang.disabled = true;\n";
echo " document.fahrtform.km_ende.disabled = true;\n";
echo "} else {\n";
echo " if(lastval != '') document.fahrtform.km_dienst.value = lastval;\n";
echo " document.fahrtform.km_dienst.disabled = false;\n";
echo " document.fahrtform.km_anfang.disabled = false;\n";
echo " document.fahrtform.km_ende.disabled = false;\n";
echo "}\n}\n";
echo "function dienstkm() {\n";
echo "var start = parseInt(document.fahrtform.km_anfang.value);\n";
echo "var ende = parseInt(document.fahrtform.km_ende.value);\n";
echo "if(ende > start) document.fahrtform.km_dienst.value = (ende - start);\n";
echo "else document.fahrtform.km_dienst.value = '';\n";
echo "}\n";
echo "--></script>\n";

/* Datum */
$datum = (isset($rvar_zk_id)) ? $zk[0] : date('d.m.Y');
echo "<tr><th class=\"cl1\" colspan=\"2\">Datum:</th>\n";
echo "<td colspan=\"2\"><table cellspacing=\"0\" cellpadding=\"0\"><tr><td class=\"cl1\">\n";

echo "<input type=\"text\" id=\"datum\" name=\"datum\" size=\"10\" maxlength=\"10\" ";
echo "onblur=\"document.getElementById('Speicherbutton').style.display='none'; xajax_kmStand(datum.value, von.value, res_id.value, km_dienst.value); ";
echo "xajax_checkStatus(datum.value, von.value, bis.value, res_id.value)\" ";
echo "onkeyup=\"validate()\" tabindex=\"$ti\" value=\"$datum\">"; $ti++;
echo " TT.MM.JJJJ </td>\n";
if((getConf('abr_fz_uhrzeit') == 1)){
  /* von Uhrzeit bestimmen */
  if (isset($rvar_zk_id) || isset($rvar_kopie)) $von = $zk[15]; else $von = "";
  echo "<th class=\"cl1\" style=\"text-align: right;\">von:</th>";
  echo "<td class=\"cl1\"><input type=\"text\" id=\"von\" name=\"tvon\" size=\"8\" maxlength=\"8\" ";
  echo "onblur=\"document.getElementById('Speicherbutton').style.display='none'; xajax_kmStand(datum.value, von.value, res_id.value, km_dienst.value); ";
  echo "xajax_checkStatus(datum.value, von.value, bis.value, res_id.value)\" ";
  echo "tabindex=\"$ti\" value=\"$von\"> HH:MM </td>\n"; $ti++;

  /* bis Uhrzeit bestimmen */
  if (isset($rvar_zk_id) || isset($rvar_kopie)) $bis = $zk[16]; else $bis = "";
  echo "<th class=\"cl1\" style=\"text-align: right;\">bis:</th>";
  echo "<td class=\"cl1\">\n<input type=\"text\" id=\"bis\" name=\"tbis\" size=\"8\" maxlength=\"8\" ";
  echo "onblur=\"xajax_checkStatus(datum.value, von.value, bis.value, res_id.value)\" ";
  echo "tabindex=\"$ti\" value=\"$bis\" onkeyup=\"validate()\"> HH:MM </td>\n"; $ti++;
} else {
  echo "<input type=\"hidden\" id=\"von\" name=\"tvon\" value=\"00:00\">\n";
  echo "<input type=\"hidden\" id=\"bis\" name=\"tbis\" value=\"00:00\">\n";
}
echo "</tr></table></td></tr>\n";

/* Fahrt von */
echo "<tr><th>Fahrt</th><th class=\"cl1\" style=\"text-align: right;\">";
echo "von:</th><td><input type=\"text\" name=\"km_von\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"{$zk['km_von']}\"";
echo "></td><td rowspan=\"11\" style=\"white-space: normal;\">\n";

/* Historie der Aenderungen */
if (isset($rvar_zk_id)) {
	echo "<ul>\n";
	$res = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i'), text, fh_id
					from tb_fahrtenhistorie where zk_id='$rvar_zk_id'");
	while ($zeile = mysql_fetch_row($res)) {
		echo "<li><b><font color=\"#FFCC00\">".pers_kname($zeile[0])."</font>";
		echo " &nbsp;&nbsp;".$zeile[1]."</b> &nbsp;&nbsp;";
		if(isset($hist)) {
			if($rvar_edit == $zeile[3] && $zeile[0] == $uid) {
				echo "<input type=\"hidden\" name=\"fh_id\" value=\"$zeile[3]\">\n";
				echo "<input type=\"text\" name=\"grund\"> &nbsp;\n";
				echo "<input type=\"image\" src=\"".Image('enter',16,16,0,0,0)."\" name=\"save\">\n";
			} elseif(empty($zeile[2]) && $zeile[0] == $uid) {
				echo "<a href=\"fahrten_and.php?zk_id=$rvar_zk_id&edit=$zeile[3]\"";
				echo stwToolTip('Begr&uuml;ndung f&uuml;r die &Auml;nderung hinzuf&uuml;gen',false);
				echo "><img src=\"img/stift.png\"></a>";
			} else echo $zeile[2];
		} else $hist=true;
		echo "</li>\n";
	}
	echo "</ul>\n";
}
echo "</td></tr>\n";

/* via 1 */
echo "<tr><td></td><th class=\"cl1\" style=\"text-align: right;\">";
echo "&uuml;ber:</th><td><input type=\"text\" name=\"km_via1\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"{$zk['km_via1']}\"";
echo "></td></tr>\n";

/* via 2 */
echo "<tr><td></td><th class=\"cl1\" style=\"text-align: right;\">";
echo "&uuml;ber:</th><td><input type=\"text\" name=\"km_via2\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"{$zk['km_via2']}\"";
echo "></td></tr>\n";

/* via 3 */
echo "<tr><td></td><th class=\"cl1\" style=\"text-align: right;\">";
echo "&uuml;ber:</th><td><input type=\"text\" name=\"km_via3\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"{$zk['km_via3']}\"";
echo "></td></tr>\n";

/* via 4 */
echo "<tr><td></td><th class=\"cl1\" style=\"text-align: right;\">";
echo "&uuml;ber:</th><td><input type=\"text\" name=\"km_via4\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"{$zk['km_via4']}\"";
echo "></td></tr>\n";

/* via 5 */
echo "<tr><td></td><th class=\"cl1\" style=\"text-align: right;\">";
echo "&uuml;ber:</th><td><input type=\"text\" name=\"km_via5\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"{$zk['km_via5']}\"";
echo "></td></tr>\n";

/* nach */
echo "<tr><td></td><th class=\"cl1\" style=\"text-align: right;\">";
echo "nach:</th><td><input type=\"text\" name=\"km_nach\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"{$zk['km_nach']}\"";
echo "></td></tr>\n";

/* Kilometer */
if(isset($rvar_zk_id)) {
	$km = km_stand_zk($rvar_zk_id);
	$kmanfang = $km[0];
	$kmende = $km[1];
} else $kmende = $kmanfang = '';
if(strpos($kmende,'.')!==false) {
	if(substr($kmende,-1,1) == '0') $kmende = substr($kmende,0,-1);
	if(substr($kmende,-1,1) == '0') $kmende = substr($kmende,0,-1);
	if(substr($kmende,-1,1) == '.') $kmende = substr($kmende,0,-1);
}
if(strpos($kmanfang,'.')!==false) {
	if(substr($kmanfang,-1,1) == '0') $kmanfang = substr($kmanfang,0,-1);
	if(substr($kmanfang,-1,1) == '0') $kmanfang = substr($kmanfang,0,-1);
	if(substr($kmanfang,-1,1) == '.') $kmanfang = substr($kmanfang,0,-1);
}
echo "<tr><th colspan=\"2\" class=\"cl1\">km-stand:</th>\n";
echo "<td class=\"cl20\">Anfang: <input type=\"text\" id=\"km_anfang\" name=\"km_anfang\" size=\"6\" ";
echo "onkeyup=\"dienstkm()\" maxlength=\"8\" tabindex=\"$ti\""; $ti++;
echo " value=\"$kmanfang\"> &nbsp; Ende: <input type=\"text\" id=\"km_ende\" name=\"km_ende\" size=\"6\" ";
echo "onkeyup=\"dienstkm()\" maxlength=\"8\" tabindex=\"$ti\""; $ti++;
echo " value=\"$kmende\"></td>\n";
echo "</tr>\n";
$sph = $zk['sphere'];
if(empty($zk['sphere'])) {
	if($zk[9] == 1 || empty($zk[9])) $sph = 'wgb';
	if($_SESSION[$AppCode]["TR"] == 'jse' && empty($zk[9])) $sph = 'isf';
}
$fahrtenSphere = stwFahrtenSphere($sph);
echo "<tr><th colspan=\"2\" class=\"cl1\">Kilometer:</th>\n";
echo "<td><input type=\"text\" id=\"km_dienst\" name=\"km_dienst\" size=\"7\" readonly ";
echo "style=\"text-align: right;\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"{$zk['km_dienst']}\"";
echo ">&nbsp;km &nbsp; &nbsp; $fahrtenSphere</td></tr>\n";

/* Fahrtzweck */
echo "<tr><th colspan=\"2\" class=\"cl1\">Fahrtzweck:</th>\n";
echo "<td><select name=\"fahrt_id\" size=\"1\" tabindex=\"$ti\""; $ti++;
echo " onchange=\"chgFahrtenSphere(this.value);\">\n";
echo "<option>Fahrtzweck w&auml;hlen!</option>\n";
$sql = "select fahrt_id, fahrt from tb_fahrt order by fahrt_id=9 asc, fahrt asc;";
$res = abfrage1($sql);

$kmsatz[1] = getConf('dienst_pkw_privat');
$kmsatz[9] = getConf('dienst_pkw_privat_erhoeht');

while ($zeile = mysql_fetch_row($res)) {
	echo "<option value=\"$zeile[0]\"";
	if($zeile[0]==9) echo " style=\"font-weight:bold;color:red\"";
	if  (isset($rvar_zk_id)) {
		if ($zk[9] == $zeile[0]) echo ' selected';
	} else {
		if($_SESSION[$AppCode]["TR"] == 'jse') {
			if($zeile[0] == 5) echo ' selected';
		} elseif($zeile[0] == 1) echo ' selected';
	}
  echo ">$zeile[1]";
  if($kmsatz[$zeile[0]]) echo "(".$kmsatz[$zeile[0]]."ct/km)";
  echo "</option>\n";
}
echo "</select></td></tr>\n";


/* Dienstwagen */
echo "<tr><th colspan=\"2\" class=\"cl1\">Dienstwagen:</th>\n";
echo "<td colspan=\"30\"><table cellspacing=\"0\" cellpadding=\"0\"><tr>";
echo "<td style=\"width:220px\"><select name=\"res_id\" id=\"res_id\" size=\"1\" tabindex=\"$ti\""; $ti++;
echo "onchange=\"document.getElementById('Speicherbutton').style.display='none'; xajax_kmStand(datum.value, von.value, res_id.value, km_dienst.value);xajax_checkStatus(datum.value, von.value, bis.value, res_id.value)\" ";
echo ">\n<option value=\"0\">Dienstwagen w&auml;hlen!</option>\n";

while ($zeile = mysql_fetch_array($pkws)) {
	echo "<option id=\"pkw$zeile[0]\" value=\"$zeile[0]\"";
	if  (isset($rvar_zk_id)) {
		if ($zk[10] == $zeile[0]) echo ' selected';
	} elseif(getConf('PKWselZK')) {
		/* wenn neue ZK, dann Standard 'eigenes' Auto (wenn vorhanden) */
		$sql  = "select h.res_id from tbh_pers_res h ";
		$sql .= "left join tb_ressourcen r using(res_id) where r.res_typ = '1' ";
		$sql .= "and h.pers_id = '$uid' limit 1;";
		$pkw = abfrage($sql);
		if (!empty($pkw[0]) && $pkw[0] == $zeile[0]) echo ' selected';
	}
	echo ">$zeile[1]</option>\n";
}
echo "</option></td>";
/*$prev = prevFahrt($rvar_zk_id);
if(!empty($prev[0])) {
	echo "<th style=\"text-align:right\" class=\"cl11\">vorherige Fahrt:</th>";
	echo "<th class=\"cl1\">$prev[3]</th><td class=\"cl1\">".pers_kname($prev[4])."</td>";
	echo "<td>".km_form($prev[1])."</td><td>-</td><td>".km_form($prev[2])."</td>";
}*/
echo "</tr></table></td>";
echo "</tr>\n";

if (isset($rvar_zk_id)) {
	echo "<tr><th colspan=\"2\" class=\"cl1\">Benutzer:</th>\n";
	echo "<td colspan=\"30\"><table cellspacing=\"0\" cellpadding=\"0\"><tr>";
	echo "<td style=\"width:220px\">" . pers_name($zk[11]) . "</td>";
/*	$next = nextFahrt($rvar_zk_id);
	if(!empty($next[0])) {
		echo "<th style=\"text-align:right\" class=\"cl11\">n&auml;chste Fahrt:</th>";
		echo "<th class=\"cl1\">$next[3]</th><td class=\"cl1\">".pers_kname($next[4])."</td>";
		echo "<td>".km_form($next[1])."</td><td>-</td><td>".km_form($next[2])."</td>";
	}*/
	echo "</tr></table></td></tr>\n";
}

echo "</table>\n";
echo "<input type=\"hidden\" name=\"pers_id\" value=\"$uid\">\n";

/* rote Trennlinie fuer den Bedienbutton */
new stwLine(1);

/* Aenderung oder neues Anlegen einer Fahrt */
if (empty($zk[13])) {
	if (isset($rvar_zk_id)) {
		echo "<input type=\"hidden\" name=\"zk_id\" value=\"$rvar_zk_id\">\n";
		echo "<input type=\"hidden\" name=\"termin_id\" value=\"$zk[12]\">\n";
	}

	echo "<table><tr>\n";
	echo "<td><input type=\"submit\" name=\"fahrt_ok\" id=\"Speicherbutton\" value=\"Speichern\">\n";
	echo "</td></tr></table>\n";
}

/* Formular abschliessen */
echo "</form>\n</td></tr></table>\n";

/* Stellware Endelemente anhaengen */
$ts = empty($datum) ? mktime() : date_gr2ts($datum);
new stwEnd($seite, "-$ts", NULL, NULL, 0, 0, 0, NULL, NULL, true);
?>
