<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fahrten_pr_pkm.php 2905 2018-11-08 10:00:59Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 60;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");
define('EURO',chr(128));

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$no_ds = true;

$sql = "select z.pers_id from tb_ab_zk z
        left join tb_termine t on z.termin_id = t.termin_id
        left join tb_fahrt f on z.fahrt_id = f.fahrt_id
		left join tb_personal p on z.pers_id = p.pers_id
        where f.fahrt like 'privat%'
        and to_days(t.von) >= to_days('$rvar_von')
        and to_days(t.von) <= to_days('$rvar_bis')
        group by z.pers_id order by p.personalnr asc;";
$res = mysql_query($sql) or die(mysql_error());

if (mysql_num_rows($res) > 0){
while ($ma = mysql_fetch_row($res)){

list($jahr, $monat, $tag) = explode("-", $rvar_von);
$datum = mktime(0,0,0,$monat,$tag,$jahr);

$footer = "Abrechnung Privatfahrten" . " " . strftime('%B %Y', $datum);
	
$pdf->AddPage();

// berschrift / Titel
$pdf->SetFont('stw','',16);

$pdf->Text(15,26,'Abrechnung Privatfahrten mit Dienstwagen');

$pdf->SetFont('arialb','',14);
$text = pers_nummer($ma[0]) . "   -   " . pers_name($ma[0]) . "   -   " . strftime('%B %Y', $datum);
$pdf->Text(15,33,$text);

$y_axis = 40;
$rh = 5;

$pdf->SetXY(15,$y_axis);
$pdf->SetFont('arialb','',10);

$pdf->Cell(20,$rh, 'Datum',1,0,'C',0);
$pdf->Cell(40,$rh, 'Fahrzeug',1,0,'C',0);
$pdf->Cell(20,$rh, 'km',1,0,'C',0);
$pdf->Cell(20,$rh, 'Satz',1,0,'C',0);


$y_axis = $y_axis + $rh;
$pdf->SetXY(15,$y_axis);

$sql = "select
		date_format(t.von, '%d.%m.%Y'),
		r.name,
		z.km_dienst,
		z.fahrt_id
		from tb_ab_zk z
		left join tb_termine t on z.termin_id = t.termin_id
		left join tb_fahrt f on z.fahrt_id = f.fahrt_id
		left join tb_ressourcen r on z.res_id = r.res_id
		where z.pers_id = $ma[0] and z.res_id > 0
		and f.fahrt like 'privat%'
		and to_days(t.von) >= to_days('$rvar_von')
		and to_days(t.von) <= to_days('$rvar_bis')
		order by to_days(t.von) asc;";
$res1 = mysql_query($sql) or die(mysql_error());
$pdf->SetFont('arial','',9);

$summe = 0;
$kmsatz[1] = getConf('dienst_pkw_privat');
$kmsatz[9] = getConf('dienst_pkw_privat_erhoeht');
$sum[1] = $sum[9] = 0;

while ($row = mysql_fetch_row($res1)){
	$pdf->Cell(20,$rh, "$row[0]",'B',0,'L',0);
	$pdf->Cell(40,$rh, "$row[1]",'B',0,'L',0);
	$pdf->Cell(20,$rh, "$row[2] km",'B',0,'R',0);
	$satz = intval($kmsatz[$row[3]]);
	$pdf->Cell(20,$rh, "$satz ct/km",'B',0,'R',0);
	$y_axis = $y_axis + $rh;
	$pdf->SetXY(15,$y_axis);

	$sum[ $row[3] ] += $row[2];
}

$text = "Summe: ";
if($sum[1] > 0) {
	$text .= $sum[1] . " km  x  0," . $kmsatz[1] . " EUR";
}
if($sum[1] > 0 && $sum[9] > 0) $text .= "  +  ";
if($sum[1] > 0) {
	$text .= $sum[9] . " km  x  0," . $kmsatz[9] . " EUR";
}
$betrag = number_format(($sum[1]*$kmsatz[1] + $sum[9]*$kmsatz[9])/100, 2, ',', '.');
$text .= "  =  $betrag EUR";
$pdf->SetFont('arialb','',14);
$pdf->Text(15,270,$text);
}

$pdf->Output();
exit;
}
?>
