<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fahrten_pr_projekte.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 23);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$iterator = 0;
do {
	$IDs[$iterator] = $_GET['ID' . $iterator];
	$iterator++;
} while (isset($_GET['ID' . $iterator]));

$monat = (isset($_GET['month'])) ? $_GET['month'] : date('n');
$jahr  = (isset($_GET['year'])) ? $_GET['year'] : date('Y');
$rh = 4.5;

$traeger = array(0 => '');
$trs = abfrage1("select traeger_art_id, kurzname from tb_traeger_art");
while($tr = mysql_fetch_row($trs)) {
	$traeger[ $tr[0] ] = $tr[1];
}

$lpd=abfrage_array("SELECT *, unix_timestamp(von) as von_ts, unix_timestamp(bis) as bis_ts
					FROM tbh_lom_proj_default WHERE art='TTT' AND (von<='$jahr-$monat-01' or von='0000-00-00') 
					AND (bis>='$jahr-$monat-01' or bis='0000-00-00') ORDER BY von ASC LIMIT 1");
if(isset($_GET['all'])) {
	$von_ts = $lpd['von_ts'];
	$bis_ts = date_tstime($lpd['bis_ts'],'23:59');
}
$pdf=new PDF('l','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

$footer = "km-Abrechnung";

foreach ($IDs as $ID) {
  if($ID == 'TTS') $footer = "km - Abrechnung Tender Sozialpdagogen";
  else if($ID == 'TTP') $footer = "km - Abrechnung Tender Praxiseinstze";
  else $footer = "km-Abrechnung " . $ID;

  for($sab = 0; $sab < 2; $sab++) {
	$y_axis = 40;
	if($lpd['sab_tr'] > 0) $and = $sab ? "AND r.traeger_art_id != '{$lpd['sab_tr']}'" : "AND r.traeger_art_id = '{$lpd['sab_tr']}'";
	else $and = '';
	$sql = "select ha.hilfeart,
			date_format(t.von, '%d.%m.%Y'),
			z.km_von,
			z.km_nach,
			z.km_dienst,
			concat(left(p.vorname, 1), '. ', p.name),
			f.fahrt,
			z.proj_id,
			r.name,
			z.km_via1,z.km_via2,z.km_via3,z.km_via4,z.km_via5,
			z.inhalte,
			r.traeger_art_id,
			z.zk_id
			from tb_ab_zk z
			left join tb_fahrt f on z.fahrt_id = f.fahrt_id
			left join tb_termine t on z.termin_id = t.termin_id
			left join tb_personal p on z.pers_id = p.pers_id
			left join tb_ressourcen r on z.res_id = r.res_id
			left join tb_projekte pr on z.proj_id = pr.proj_id
			left join tb_hilfeart ha on pr.hilfeart_id = ha.hilfeart_id
			where ha.hilfeart = '$ID'
			$and
			AND z.km_dienst > 0 ";
	if(isset($_GET['all'])) {
		if($bis_ts>0) $sql .= "AND unix_timestamp(t.von) < $bis_ts ";
		$sql .= "AND unix_timestamp(t.von) >= $von_ts ";
	} else {
		$sql.= "AND year(t.von) = '$jahr'
				AND month(t.von) = '$monat' ";
	}
	$sql.= "order by ha.hilfeart asc,t.von;";
	$res = abfrage1($sql);
	if(mysql_num_rows($res) == 0) 
		continue;

	$pdf->AddPage();
	$pdf->SetFont('stw','',20);
	$pdf->Text(15,32,$footer);

	$pdf->SetFont('arialb','',10);
	if($sab && strlen($lpd['sab2an']) > 0) $pdf->Text(120,13,"Antragsnummer: " . $lpd['sab2an']);
	if($sab==0 && strlen($lpd['sab_an']) > 0) $pdf->Text(120,13,"Antragsnummer: " . $lpd['sab_an']);

	$pdf->SetXY(15,$y_axis);
	$pdf->Cell(30,7, 'Projekt-Nr',1,0,'C',0);
	$pdf->Cell(20,7, 'Datum',1,0,'C',0);
	$pdf->Cell(30,7, 'von',1,0,'C',0);
	$pdf->Cell(85,7, 'ber',1,0,'C',0);
	$pdf->Cell(30,7, 'nach',1,0,'C',0);
	$pdf->Cell(30,7, 'Kennz.',1,0,'C',0);
	$pdf->Cell(10,7, 'km',1,0,'C',0);
	$pdf->Cell(30,7, 'Betreuer',1,1,'C',0);

	$sum = 0;

	$pdf->SetFont('arial','',8);
	$pdf->SetDrawColor(0,0,0);
	while ($row = mysql_fetch_row($res)){
		$pdf->SetFillColor(255,255,255);
		$fill = 0;
		$ProjNr = $row[6];
		if ($row[11] != 'a') {
			$projekt = new stwProjekt($row[7]);
			$ProjNr = $projekt->nummer();
		}
		$ueber = $row[9];
		for($u=10;$u<14;$u++)
		  if(!empty($row[$u])) $ueber .= ", ".$row[$u];
	  $pdf->Cell(30,$rh, $ProjNr,'T',0,'L',0);
		$pdf->Cell(20,$rh, $row[1],'T',0,'C',0);
		$pdf->Cell(30,$rh, $row[2],'T',0,'C',0);
		$pdf->Cell(85,$rh, $ueber, 'T',0,'C',0);
		$pdf->Cell(30,$rh, $row[3],'T',0,'C',0);
		$pdf->Cell(30,$rh, $row[8] . ($traeger[ $row[15] ] ? ' ('.$traeger[ $row[15] ].')' : ''),'T',0,'C',0);
		$pdf->Cell(10,$rh, $row[4],'T',0,'R',0);
		$pdf->Cell(30,$rh, $row[5],'T',1,'C',0);
		$dienst = abfrage("select dienst_start, dienst_ende from tb_ab_zk_dienst where zk_id='$row[16]'");
		if($dienst[0]) {
			$txt = 'Reisezeit: ' . strftime("%H:%M", $dienst[0]) . '-' . strftime("%H:%M", $dienst[1]);
		} else $txt = '';
		$pdf->SetFont('arial','',7);
		$pdf->Cell(30,$rh,$txt,'B',0,'L',0);
		$pdf->SetFont('arial','',8);
		$pdf->MultiCell(235,$rh, $row[14],'B','L');

		$sum = $sum + $row[4];
		$y_axis = $y_axis + $rh;
		$y_axis = $pdf->GetY();

		if ($y_axis > 175){
			$pdf->AddPage();
			$pdf->SetFont('stw','',20);
			$pdf->Text(15,32,$footer);
			$y_axis = 40;
			$pdf->SetXY(15,$y_axis);
			$pdf->SetFont('arialb','',10);
			$pdf->Cell(30,7, 'Projekt-Nr',1,0,'C',0);
			$pdf->Cell(20,7, 'Datum',1,0,'C',0);
			$pdf->Cell(30,7, 'von',1,0,'C',0);
			$pdf->Cell(85,7, 'ber',1,0,'C',0);
			$pdf->Cell(30,7, 'nach',1,0,'C',0);
			$pdf->Cell(30,7, 'Kennz.',1,0,'C',0);
			$pdf->Cell(10,7, 'km',1,0,'C',0);
			$pdf->Cell(30,7, 'Betreuer',1,1,'C',0);
			$pdf->SetFont('arial','',8);
		}
	}

	$pdf->SetFont('arialb','',9);

	$pdf->Cell(265,$rh, " ",'BT',1,'C',0);
	$satz = abfrage("select kmsatz from tbh_lom_proj_default where art='TTT' and von<='$jahr-$monat-01' order by von desc limit 1");
	if(empty($satz[0])) $satz[0] = 22;
	$kmsatz = $satz[0] / 100;
	$output = sprintf("Summe:  %01.2f  x  %01.2f", $kmsatz, $sum);
	$pdf->Cell(235,$rh, $output,'BL',0,'R',0);
	$cash = $sum * $kmsatz;
	$output = sprintf("=  %01.2f Euro", $cash);
	$pdf->Cell(30,$rh, $output,'BR',1,'L',0);
  }
}
$pdf->Output();
exit;
?>
