<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fahrten_ub_pr.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, 'de_DE@euro');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetLeftMargin(15);
$pdf->SetAutoPageBreak(true, 25);
$pdf->AliasNbPages();

$footer = "km-Abrechnung ";
$footer .= "Projekt Nr. ";
$pro = new stwProjekt($rvar_proj_id);
$footer .= $pro->nummer() . ", Kalenderjahr $rvar_jahr";

$pdf->AddPage();

$rh = 4;

$pdf->SetFont('stw','',14);
$pdf->Text(15,30,$footer);
$pdf->SetLineWidth('0.1');

$pdf->SetFont('Arial','B',7);
$pdf->SetXY(15,35);
$pdf->Cell(13,$rh,'Datum',1,0,'C');
$pdf->Cell(25,$rh,'von',1,0,'C');
$pdf->Cell(25,$rh,'ber',1,0,'C');
$pdf->Cell(25,$rh,'ber',1,0,'C');
$pdf->Cell(25,$rh,'ber',1,0,'C');
$pdf->Cell(25,$rh,'nach',1,0,'C');
$pdf->Cell(12,$rh,'km',1,1,'C');

$pdf->SetFont('Arial','',6);

$sql  = "select date_format(t.von, '%d.%m.%Y') as von, z.km_von, z.km_via1, ";
$sql .= "z.km_via2, z.km_via3, z.km_nach, ";
$sql .= "z.km_dienst + z.km_privat as km_sum, month(t.von), ";
$sql .= "unix_timestamp(t.von) as von_ts from tb_ab_zk z ";
$sql .= "left join tb_termine t on z.termin_id = t.termin_id ";
$sql .= "where z.proj_id = '$rvar_proj_id' ";
$sql .= "and (z.km_dienst > 0 or z.km_privat > 0) ";
$sql .= "and year(t.von) = '$rvar_jahr' ";
$sql .= "and z.ab = 'j' ";
$sql .= "order by t.von asc;";

$res = abfrage1($sql);

$summe1 = 0;
$summe2 = 0;
$count1 = 1;

while($row = mysql_fetch_array($res)){

	$mon1 = date('n', $row['von_ts']);

  if ($mon1 != $mon2 && $count1 > 1 ){
		$pdf->SetFont('Arial','B',6);
		$pdf->Cell(138,$rh,"Zwischensumme $mont",1);
    $pdf->Cell(12,$rh,"$summe1 km",1,1,'R');
    $summe1 = 0;
    $pdf->SetFont('Arial','',6);
  }

  $summe1 += $row['km_sum']; /* Zwischensumme */
	$summe2 += $row['km_sum']; /* Gesamtsumme */

	$pdf->Cell(13,$rh,$row[0],1);
	$pdf->Cell(25,$rh,$row[1],1);
	$pdf->Cell(25,$rh,$row[2],1);
  $pdf->Cell(25,$rh,$row[3],1);
  $pdf->Cell(25,$rh,$row[4],1);
  $pdf->Cell(25,$rh,$row[5],1);
  $pdf->Cell(12,$rh,"$row[6] km",1,1,'R');

	$mon2 = $mon1;
	$mont = strftime('%B %Y', $row['von_ts']);
	$count1++;
}

/* letzte Zwischensumme */
if (mysql_num_rows($res) > 0){
	$pdf->SetFont('Arial','B',6);
	$pdf->Cell(138,$rh,"Zwischensumme $mont",1);
	$pdf->Cell(12,$rh,"$summe1 km",1,1,'R');

	$zw = "Gesamtsumme Kalenderjahr $rvar_jahr";
	$pdf->SetFont('Arial','B',6);
	$pdf->Cell(138,$rh,$zw,1);
	$pdf->Cell(12,$rh,"$summe2 km",1,1,'R');
}

$pdf->Output();
exit;
?>
