<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fb.php 2881 2018-08-23 07:20:05Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 43;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 6);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function savenote($id,$text){
	$userResp = new xajaxResponse();
	$userResp->call("tt_HideInit()");
	$sql = "UPDATE tb_projekte set fb_note='$text' WHERE proj_id = '$id';";
	abfrage2($sql);
	$userResp->assign("note_$id", 'src', empty($text) ? 'img/daten.png' : 'img/daten_gruen.png');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('savenote');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");

 $user  = $_SESSION[$AppCode]["UID"];
 $level = $_SESSION[$AppCode]["ULV"];

 $pers_order = getPersOrder($seite);
 $pra_nr = isset($_GET['pra']) ? $_GET['pra'] : 30;

 /*
  * Sonderzugangsberechtigung fuer KWG, Fachberater oder Level hoch genug.
  */
 if (check_nutzer_rechte(18) || pers_fb($user,true))
 {
   /* aktueller Benutzer oder gewaehlter Mitarbeiter */
   if (isset($_GET["ma"]))
   {
     $pers = $_GET["ma"];
   }
   else
   {
     if (pers_fb($user,true) || $level >= 96) $pers = $user; else $pers = "kwg";
   }

  // Sortierung
  if (empty($_GET['sort'])){
  	$sort = 'prio';
  } else {
  	$sort = $_GET['sort'];
  }

  //Prioritaet aendern
  if(isset($_GET['proj_id']) && isset($_GET['prio'])) {
	$sql  = "UPDATE tb_projekte SET fb_prio='";
	$sql .= $_GET['prio'] . "' WHERE proj_id='";
	$sql .= $_GET['proj_id'] . "';";
	abfrage2($sql);
  }

  // Notizfeld fuer Fachberatung
  echo "<script type=\"text/javascript\"><!--\n";
  echo "function doNotizTT(id) {\n";
  echo "var str = '<form name=\"tempform\">'\n";
  echo "        + '<textarea name=\"notiz\" style=\"width:300px;height:100px;margin:10px\" onkeyup=\"'\n";
  echo "        + \"var element = document.getElementById('hidden_note_\" + id + \"');\"\n";
  echo "        + 'element.value = this.value;\">'\n";
  echo "        + document.getElementById('hidden_note_'+id).value + '</textarea><br><input type=\"button\" value=\"speichern\" onclick=\"xajax_savenote('\n";
  echo "        + id + ',tempform.notiz.value)\"</form>';\n";
  echo "Tip(str, BGCOLOR, '#333333', CLOSEBTN, 1, DELAY, 0, TITLE, 'Notizen:',TITLEBGCOLOR, '#006600', BORDERCOLOR, '#666666', WIDTH, 320, HEIGHT, 140, FIX, ['note_'+id,-10,-25], STICKY, 1);\n}\n";
  echo "--></script>\n";

  // Menue: Projektarten
  $pas = abfrage1("select pra_id, kname, titel, nr_von, nr_bis from tb_projektart where aktiv = 1 order by sort asc;");
  echo "<table cellpadding=\"5\"><tr>\n";
  $eigHzE = 0;
  while ($pa = mysql_fetch_row($pas)){
	$sql  = "select proj_id from tb_projekte where fb_id = {$_SESSION[$AppCode]['UID']} and projektnr >= $pa[3] and projektnr <= $pa[4]";
	if($pa[0] < 12) {
		$sql .= " and (ende is null or ende = '0000-00-00' or to_days(ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY)))";
	}
	$sql .= ";";
	$eig = abfrage1($sql);
	if($pa[0] < 2) $eigHzE += mysql_num_rows($eig);
	if($pa[0] == 1 && isset($_GET['pra']) && $_GET['pra']==0) $class = 'menuinactive';
	else $class = ($pa[0] == $pra_nr) ? 'menuactive' : 'menuinactive';
	echo "<td ";
	if($pa[0] > 2) echo "rowspan=\"2\"";
	else echo "style=\"font-size:9pt;padding:0\"";
	echo " class=\"$class\"><a href=\"fb.php?pra=$pa[0]&ma=$pers&sort=$sort\"";
	if(projektgruppe() && $proj_gruppe_pra==$pa[0] && !empty($proj_gruppe_pra_name_neu)) {
		$pa[1] = $proj_gruppe_pra_name_neu;
	} elseif ($pa[1] != $pa[2]){
		echo " title=\"$pa[2]\"";
	}
	if (mysql_num_rows($eig) > 0){
		echo " style=\"color:lime\" ";
	}
	echo ">$pa[1]</a></td>\n";
  }
  echo "</tr>";
  $class = ($pra_nr == 30) ? 'menuactive' : 'menuinactive';
  echo "<tr><td colspan=\"2\" class=\"$class\"><a href=\"fb.php?pra=30&ma=$pers&sort=$sort\" style=\"font-size:6pt;";
  if($eigHzE > 0) echo "color:lime;";
  echo "\">Hilfen zur Erziehung</a></td></tr>\n";
  echo "</table>\n";
  new stwLine(1);

  if($pra_nr == 30) { 
	$pra_rng = array(0,1999);
  } else {
	$pra_rng = abfrage("select nr_von, nr_bis from tb_projektart where pra_id = '$pra_nr'");
  }

  // Tabelle fr Schalter
  echo "<table>\n";
  echo "<form name=\"fb_form\" method=\"get\" action=\"{$_SERVER["PHP_SELF"]}\">\n";
  echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
  echo "<tr>\n";

  // Schalter fr Mitarbeiter -> ab Level 96!
  echo "<th style=\"vertical-align:middle;padding-right:3px\">FachberaterIn:</th>\n";
  echo "<td style=\"vertical-align:middle\">";

  if (check_nutzer_rechte(18) || pers_fb($user,true) || $level >= 96){
  	echo "<select name=\"ma\" size=\"1\" tabindex=\"2\" ";
  	echo "onChange=\"this.form.submit()\">\n";
	echo "<option value=\"all\"";
  	if($pers == 'all') echo ' selected';
	echo ">ALLE</option>\n";
  	echo "<option style=\"background-color:#FF69B4\" value=\"kwg\" ";
  	echo ($pers == 'kwg') ? 'selected ' : '';
	$kwgs=abfrage1("SELECT p.proj_id
					FROM tb_projekte p 
					LEFT JOIN tb_hp hp ON (p.proj_id = hp.proj_id) 
					LEFT JOIN tb_hilfeart ha ON p.hilfeart_id = ha.hilfeart_id 
					LEFT JOIN tb_pb_zr zr ON p.proj_id = zr.proj_id 
					WHERE (p.ende IS NULL OR p.ende = '0000-00-00' OR TO_DAYS(p.ende) >= TO_DAYS(CURDATE())) 
					AND ((p.projektnr < '$pra_rng[1]' AND p.projektnr >= $pra_rng[0]) OR (CURDATE() >= zr.von AND CURDATE() <= zr.bis) OR (CURDATE() >= zr.von AND (zr.bis IS NULL OR zr.bis = '0000-00-00')))
					AND hp.hp_art = 'k' AND (hp.and_datum IS NULL OR hp.and_datum = '0000-00-00') 
					GROUP BY p.proj_id");
	$kwg_cnt = mysql_num_rows($kwgs);
  	echo ">Kindeswohlgef&auml;hrdung";
	for($i = 20; $i<(42-strlen($kwg_cnt)); $i++)
		echo "&nbsp;";
	echo "$kwg_cnt</option>\n";
	echo "<option style=\"color:#FF6600;font-weight:bold;background-color:#554433\" value=\"fb\"";
  	if($pers == 'fb') echo ' selected';
	echo ">Fallbegleitung: Ja</option>\n";
	$order = ($pers_order == 2) ? "pers.name asc, pers.vorname asc" : "pers.vorname asc, pers.name asc";
	$sql = "SELECT f.pers_id from tbh_pers_fb f left join tb_personal pers using(pers_id) order by $order;";
	$mit = abfrage1($sql);
	if(mysql_num_rows($mit) == 0) {
		update_fb();
		$mit = abfrage1($sql);
	}
	while ($row = mysql_fetch_row($mit)){
		$sum = abfrage("SELECT count(p.proj_id)
						FROM tb_projekte p 
						WHERE p.fb_id > 0 AND (p.ende IS NULL OR p.ende = '0000-00-00' OR 
						TO_DAYS(p.ende) >= TO_DAYS(CURDATE())) AND 
						( p.projektnr < 900 OR p.projektnr >= 1000 AND p.projektnr < 2000 ) 
						AND p.fb_id = '$row[0]' group by p.fb_id");
		echo "<option value=\"$row[0]\" ";
		echo ($pers == $row[0]) ? 'selected ' : '';
		$name = ($pers_order == 2) ? pers_name2($row[0]) : pers_name($row[0]);
		echo ">" . $name;
		for($i = strlen($name); $i<35; $i++) echo "&nbsp;";
		if($sum[0]) echo "HzE:";
		for($i = 0; $i<3-strlen($sum[0]); $i++) echo "&nbsp;";		
		echo "$sum[0]</option>\n";
	}
  	echo "</select>\n";
  	echo "</td>\n";
  	echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
  } else {
    if($pers == 'kwg'){
      echo "<span style=\"color:#FF69B4; font-weight:bold\">";
      echo "Kindeswohlgef&auml;hrdung</span>";
    } else {
      echo pers_name($pers);
    }
  	echo "</td>\n";
  }

  // Ende Tabelle fr Schalter
  echo "</tr>\n";
  echo "</form>\n";
  echo "</table>\n";
  new stwLine(1);
  flush();
  if ($sort == 'hb'){
  	$order = ($pers_order == 2) ? "order by pe.name asc, pe.vorname asc" : "order by pe.vorname asc, pe.name asc";
  } else {
  	$order = "order by sort desc, IF(p.fb_prio > 0, p.fb_prio, 1.9) desc, p.projektnr asc";
  }

  /* SQL Anfrage zusammenstellen. */
  $sql  = "SELECT p.proj_id, p.fb_prio, b.pers_id, ";
  $sql .= "IF (k.hp_id > 0, 7, IF (p.fb_prio > 0, p.fb_prio, 1.9)) AS SORT, ";
  $sql .= "k.ressourcen, c.pers_id as tandem, pe.teldienst, ";
  $sql .= "pe.telmobil, p.fb_note, unix_timestamp(p.ende) ";
  /* Tabellen zusammenbringen */
  $sql .= "FROM tb_projekte p ";
  $sql .= "LEFT JOIN tbh_pers_proj b ON p.proj_id = b.proj_id ";
  $sql .= "AND b.personaltyp_id = '1' ";

  $sql .= "LEFT JOIN tbh_pers_proj c ON p.proj_id = c.proj_id ";
  $sql .= "AND c.personaltyp_id = '8' ";
  $sql .= "LEFT JOIN tb_personal pe ON b.pers_id = pe.pers_id ";

  $sql .= "LEFT JOIN tb_hp k ON (p.proj_id = k.proj_id AND ";
  $sql .= "k.hp_art = 'k' AND (k.and_datum IS NULL OR ";
  $sql .= "k.and_datum = '0000-00-00')) ";
  $sql .= "LEFT JOIN tb_hp a ON (p.proj_id = a.proj_id AND a.hp_art = 'ag') ";
  $sql .= "LEFT JOIN tb_hilfeart ha ON p.hilfeart_id = ha.hilfeart_id ";

  /* Bedingungen an Auswahl stellen */
  $where  = "WHERE p.projektnr < $pra_rng[1] AND p.projektnr >= $pra_rng[0] ";
  $where .= "AND (a.hp_id IS NULL OR a.hp_id IS NOT NULL AND a.fb_ok IS NULL) ";
  $where .= "AND (p.ende IS NULL OR p.ende = '0000-00-00' OR ";
  $where .= "TO_DAYS(p.ende) >= TO_DAYS(DATE_SUB(CURDATE(), INTERVAL 42 DAY)) OR ";
  $where .= "(a.fb_ok IS NULL AND a.hp_id IS NOT NULL)) ";

  $sql .= $where;

  /* ist es eine KWG Anzeige */
  if ($pers == "kwg") {
    $sql .= "AND k.hp_art = 'k' AND (k.and_datum IS NULL OR ";
    $sql .= "k.and_datum = '0000-00-00') ";
  } elseif($pers != 'all' && $pers != 'fb') {
    $sql .= "AND p.fb_id = '".$pers."' ";
  } else $sql .= "AND p.fb_id > 0 ";
  $sql .= "GROUP BY p.proj_id ";

  /* Sortierung beachten */
  $sql .= $order;
  $proj = abfrage1($sql);

  $zeilen = array();
  $projekte = array();
  $sortierung = array();
  $fallbegleitung = array();
  $i = 9999;
  $ges = mysql_num_rows($proj);
  $be1st = -1;
  while ($row = mysql_fetch_row($proj)){
	$pro = new stwProjekt($row[0]);
	if(!empty($row[9]) && empty($pro->beginn_ts())) continue;
	$projekte[$row[0]] = $pro;
	$fallbegleitung[$row[0]] = $pro->fallbegleitung();
	if($pers == 'fb') {
		if($fallbegleitung[$row[0]]) {
			$sortierung[$row[0]] = $i;
			$i--;
		}
	} else {
		$sortierung[$row[0]] = ($fallbegleitung[$row[0]] ? 5 : $row[3]) . "_$i";
		$i--;
	}
	$tt = $style = $text = $seit = '';
	if ( personenprojekt($pro->id) ){
		$sql = "select hp_id, date_format(datum, '%d.%m.%Y'),
				date_format(and_datum, '%d.%m.%Y'),
				unix_timestamp(datum), unix_timestamp(and_datum),
				datum, and_datum from tb_hp where proj_id = $pro->id
				and hp_art = 'r' order by (and_datum='0000-00-00') desc, and_datum desc limit 1";
		$re = abfrage($sql);
		$id = 0;
		$kwg  = abfrage("SELECT hp_id FROM tb_hp WHERE hp_art='k' AND proj_id='".$pro->id."' AND and_datum IS NULL;");
  		if (empty($re[0])){
			$seit = round((mktime() - $pro->beginn_ts()) / (60*60*24*7) , 0);
  			$text = "keine ($seit W)";
  		} elseif($re[4] > mktime() || empty($re[4])) {
			$le = abfrage( "select hp_id from tb_hp where proj_id = $pro->id and hp_art = 'r' 
							order by (and_datum='0000-00-00') desc, and_datum desc limit 1,1");
			if(empty($le[0])) {
				$seit = round((mktime() - $pro->beginn_ts()) / (60*60*24*7) , 0);
			} else {
				$id = $le[0];
				$le = abfrage("select round((to_days(curdate()) - to_days(and_datum))/7)
							   from tb_hp where hp_id = '$le[0]'");
				$seit = $le[0];
			}
			if(empty($re[4])) {
				$tt = stwToolTip('beantragt');
				if($sort == 'refl' && $be1st == -1) $be1st = $row[0];
				$text = "be: $re[1] ($seit W)";
			} else {
				$text = "$re[2] ($seit W)";
			}
		} else {
			$le = abfrage("select round((to_days(curdate()) - to_days(and_datum))/7)
						   from tb_hp where hp_id = '$re[0]'");
			$seit = $le[0];
			$id = $re[0];
			$text = "$re[2] ($seit W)";
		}
		$style = ($seit > 4 && $fallbegleitung[$key]) ? "color:#FF6600;" : '';
		if($seit > 4 && !empty($kwg[0])) $style = "color:#FF69B4;";
		if($id > 0) {
			$reflex = abfrage("select prozess, fok_g, fok_s, fok_h, ergebnis from tb_hp_re where hp_id='$id'");
			$ueberschrift = array('Prozessreflexion', 'Fokus&nbsp;Gruppe', 'Fokus&nbsp;Berater/Supervisor', 'Fokus&nbsp;Hauptbetreuer', 'Ergebnis');
			$tt = '';
			for($j=0; $j<5; $j++) {
				if(!empty($reflex[$j])) $tt .= "<b>" . $ueberschrift[$j] . ":</b> " . $reflex[$j] . "<br />";
			}
			if(substr($text,0,3) == 'be:') $tt .= "<b>neue Reflexion beantragt</b>";
			if($tt != '') $tt = stwToolTip("<b><u>Auswertung letzte Reflexion:</u></b><br />" . $tt);
		}
		if(substr($text,0,3) == 'be:') $seit = "BE_" . sprintf('%04d',$seit);
//		elseif($seit > 4 && !empty($kwg[0])) $seit = "KWG_" . sprintf('%04d',$seit);
		else $seit = "E_" . sprintf('%04d',$seit);
	}
	if($sort == 'refl') $sortierung[$row[0]] = $seit . '_' . $i;
	$reflexionen[$row[0]] = "<td $tt style=\"padding-right:3px;$style\">$text</td>\n";
	$zeilen[$row[0]] = $row;
  }
  $cnt = 9999 - $i;
  
  $sql = "SELECT COUNT(p.proj_id) from tb_projekte p 
          LEFT JOIN tb_hp a ON (p.proj_id = a.proj_id AND a.hp_art = 'ag')
		  $where";
		  
  $count = abfrage($sql);

  echo "<table>\n";
  echo "<tr>\n";
  echo "<th  colspan=\"2\" style=\"padding-right:3px\">";
  echo "<a href=\"{$_SERVER['PHP_SELF']}?ma=$pers&sort=prio\">";
  echo "Priorit&auml;t</a></th>\n";
  echo "<th style=\"padding-right:3px\">Projekt-Nr.</th>\n";
  echo "<th style=\"padding-right:3px\"".stwToolTip('Notiz f&uuml;r die Fachberatung')."><img src=\"img/daten.png\" /></th>\n";
  echo "<th style=\"padding-right:3px\"></th>\n";
  echo "<th style=\"padding-right:3px\"></th>\n";
  echo "<td colspan=\"3\" style=\"text-align:right\"".stwToolTip("Anzahl Projekte")."id=\"pr_cnt\">$cnt / $count[0]</td>\n";
  echo "<th style=\"padding-right:3px\">Std./W.</th>\n";
  echo "<th style=\"padding-right:3px\">Vorname</th>\n";
  echo "<th style=\"padding-right:3px\">Name</th>\n";
  echo "<th style=\"padding-right:3px\" title=\"Sachbearbeiter\">Sachbearb.</th>\n";
  echo "<th style=\"padding-right:3px\">FB</th>\n";
  echo "<th style=\"padding-right:3px\">";
  echo "<a href=\"{$_SERVER['PHP_SELF']}?ma=$pers&sort=hb\">Betreuer</a></th>\n";
  echo "<th style=\"padding-right:3px\">Vertretung</th>\n";
  echo "<th style=\"padding-right:3px\">Vormonat</th>\n";
  echo "<th style=\"padding-right:3px\">FLS Soll</th>\n";
  echo "<th style=\"padding-right:3px\">geleistet</th>\n";
  echo "<th style=\"padding-right:3px\">&Uuml;bertrag</th>\n";
  echo "<th></th>\n";
  echo "<th><a href=\"{$_SERVER['PHP_SELF']}?ma=$pers&sort=refl\">";
  echo "Reflexion</a></th>\n";
  echo "</tr>\n";
  flush();

  if (count($sortierung) > 0){
	new stwTabLine(2,30);
	if($sort != 'hb') arsort($sortierung);
	$prios = abfrage1("SELECT * FROM tb_prio");
	foreach($sortierung as $key => $val) {
  		$row = $zeilen[$key];
		$pro = $projekte[$key];
		if($key == $be1st) new stwTabLine(2,30);
  		echo "<tr class=\"mo\">\n";
  		echo "<form method=\"get\" action=\"{$_SERVER["PHP_SELF"]}\">\n";
  		echo "<input type=\"hidden\" name=\"ma\" value=\"$pers\">\n";
  		echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
  		echo "<input type=\"hidden\" name=\"proj_id\" value=\"$row[0]\">\n";
  		echo "<td style=\"padding-right:2px\">";
  		$tt = '';
		if($row[1] == 3) $style = "background-color:#FF0000;";
  		elseif($row[1] == 2) $style = "background-color:#FFFF00;";
		else $style="";
		if($row[3]==7) {
			$style .= "border:3px solid hotpink;";
			$tt = stwToolTip("KWG");
		} elseif($fallbegleitung[$row[0]]) {
			$style .= "border:3px solid #FF6600;";
			$tt = stwToolTip("fb");
		}
  		echo "<select style=\"$style\" $tt name=\"prio\" size=\"1\" onChange=\"this.form.submit()\">\n";
  		echo "<option value=\"0\"></option>\n;";
  		while ($prio = mysql_fetch_assoc($prios)){
  		  echo "<option value=\"{$prio['prio']}\"";
  		  if($prio['prio'] == $row[1]) echo " selected";
  		  echo ">".$prio['prioritaet']."</option>\n";
  		}
		mysql_data_seek($prios,0);
  		echo "</select>\n";
  		echo "</td></form>\n";

	    printf("<td style=\"vertical-align:middle\">");
  		/* Icon KWG einblenden, wenn aktuelle KWG (prio = 7) */
  		if ($row[3] == 7) {
			echo kwg_icon($pro->id);
		}
		/* Einverstaendniserklaerung Sachbericht */
		$pro->sbS();
		echo "</td>\n";

  		// Projektnr -> Link zum Datenblatt
  		echo "<td style=\"padding-right:3px\">";

		$zeit = $pro->beginn_ts();
		$lm = $pro->ListenMarkierung($ma);
		$tg = $lm['tg'];
		$ti = $lm['ti'];
		$co = $lm['co'];
		$blink = $lm['blink'];
		if($lm['co'] == '#00FF00'){ /*Anfrage!*/
			$co = "#00A600";
			if ((empty($zeit) || $zeit == 0) && (empty($zeile[1]) 
			  || $zeile[1] == "0000-00-00")) $co = "#00FF00";
			else if (((time() + 60*60*24*14) > date_gr2ts(date_my2gr($zeile[1])))
			  && (empty($zeit) || $zeit == 0)) $blink = "name=\"blink\"";
			if(!empty($zeit) && $zeit != 0) {
			  if($pro->hb() == NULL)
			  $ti = "Beginn: " . date('d.m.Y',$zeit);
			  if($pro->hb() == NULL) {
				$ti = "KEIN BETREUER! " . $ti;
				$blink = "name=\"blink\"";
			  }
			}
			else if(!empty($zeile[1]) && $zeile[1] != "0000-00-00")
			  $ti = "voraussichtlicher Beginn: " . date_my2gr($zeile[1]);
			else $ti = "Anfrage ohne voraussichtlichen Beginn";
		}
		echo "<a href=\"$tg.php?proj_id=$pro->id\" style=\"color:$co\"";
		if (strlen($ti) > 0) echo stwToolTip($ti, false);
		else {
			$zle = abfrage("select t2.vorname, t2.name from tbh_pers_proj t1
							left join tb_personal t2 using(pers_id)
							where t1.proj_id = '$pro->id' and personaltyp_id = '1';");
			if (strlen($zle[1])>0){
				$hb = "Hauptbetreuer: " . $zle[0] . " " . $zle[1];
				echo stwToolTip($hb);
			}
		}
		echo " $blink>";
		echo $pro->nummer();
		echo "</a></td>\n";

		/* Notizfeld fuer Fachberater */
		echo "<input type=\"hidden\" id=\"hidden_note_$pro->id\" value=\"$row[8]\" />\n";
		echo "<td><img id=\"note_$pro->id\" src=\"img/daten";
		if(!empty($row[8])) echo "_gruen";
		echo ".png\" alt=\"?\" onclick=\"doNotizTT($pro->id)\"";
		if(!empty($row[8])) echo stwToolTip($row[8]);
		echo "/></td>";

  		// letzten Projektbericht ermitteln
  			$pb_last_datum = abfrage("select max(datum) from tb_hp t1
  									left join tb_pb t2 on t1.hp_id=t2.hp_id
  									where t1.proj_id = $pro->id
  									and t1.hp_art = 'pb' and t2.fertig=1;");
  		if (is_null($pb_last_datum[0])){
  			echo "<td></td>\n";
  		} else {
  			$pb1 = abfrage("select p.t1_es, p.t1_pr,
  							p.t2_es, p.t2_pr,
  							p.t3_es, p.t2_pr,
  							p.t4_es, p.t2_pr, h.hp_id
  							from tb_pb p
  							left join tb_hp h using(hp_id)
  							where h.proj_id = $pro->id
  							and h.hp_art = 'pb'
  							and h.datum = '$pb_last_datum[0]';");
  			if (in_array(1, $pb1)){
  				$pb_farbe = '#FF0000';
  			} elseif (in_array(2, $pb1)){
  				$pb_farbe = '#FFFF00';
  			} else {
  				$pb_farbe = '#00FF00';
  			}
  			echo "<td style=\"color:$pb_farbe; font-weight: bold; text-align:center\" ";
  			echo "title=\"Projektbericht\"><a href=\"pro_pb.php?hp_id=$pb1[8]&";
  			echo "proj_id=$pro->id\">B</a></td>\n";
  		}

		echo "<td>" . $pro->Euro() . "</td>\n";

		$hp = abfrage("select hp_id, datum from tb_hp 
						where proj_id='$pro->id'
						and hp_art in ('h','h2')
						order by datum desc limit 1");
		echo "<td>";
		if($hp[0]) {
			$query  = "SELECT t1.minimalkonsens FROM tb_hp_eg t1 "
					. "INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id "
					. "WHERE t2.proj_id = '$pro->id'";
			$hauptziel = abfrage($query);
			$title = empty($hauptziel[0]) ? "<b>Hilfeplan</b><br />" : "<b>Hauptziel:</b><br />$hauptziel[0]";
			$ziele  = abfrage1("SELECT nummer, ziel FROM tb_hp_praxisziele"
							. " WHERE hp_id IN ("
								. " SELECT hp_id FROM tb_hp"
								. " WHERE proj_id = '$pro->id'"
								. " AND datum <= '$hp[1]')"
							. " AND LE='1' AND HE='1' AND ASD='1' AND"
							. " (erledigt IS NULL OR erledigt = '0000-00-00')"
							. " ORDER BY nummer ASC");
			if(mysql_num_rows($ziele) > 0) {
			  $title .= "<br /><b>Praxisziele:</b><br /><ol style=\"margin:0px;\">";
			  while($ziel = mysql_fetch_row($ziele)) {
				$title .= "<li value='$ziel[0]'>$ziel[1]</li>";
			  }
			  $title .= "</ol>";
			}
			$tt = stwToolTip($title);
			echo "<a style=\"color:white\" $tt href=\"pro_hp2.php?proj_id=$pro->id&amp;hp_id=$hp[0]\">HP</a>";
		}
		echo "</td>\n";
		$daten = new stwDaten(18);
		$link  = $daten->get_klammer_link($_SESSION["webdir"],
										  $_SESSION[$AppCode]["UID"],
										  $_SESSION[$AppCode]["ULV"],
										  $pro->id, "0");
		echo "<td>$link</td>\n";

		echo "<td style=\"vertical-align:middle\">";
		echo "<a href=\"pro_ab_zk.php?proj_id=".$pro->id."&amp;abr=1\"";
		echo stwToolTip('neue Zeitkarte erfassen') . ">";
		echo "<img border=\"0\" src=\"img/karte.png\" alt=\"Karte\"/></a></td>\n";

  		// Wochenstunden -> Link zur Abrechnung
		echo "<td style=\"padding-right:3px;text-align:right;";
		$tt = "<b>Abrechnung</b>";
		if($pro->kontaktst()) {
			echo "background-color:#554433";
			$tt .= "<br>KLS = " . fls_form($pro->wost_kontaktstunden());
		}
		if($fallbegleitung[$key]) $tt.= "<br>Fallbegleitung: ja";
		echo "\"" . stwToolTip($tt,false) . '>';
		echo "<a href=\"pro_ab.php?proj_id=$pro->id\"";
		if($fallbegleitung[$key]) echo " style=\"color:#FF6600\""; 
		echo ">" . fls_form($pro->wost());
		echo "</a></th>\n";


  		// Vorname Hilfeempfnger
  		echo "<td style=\"padding-right:3px\"";
  		$vorname = $pro->vname();
  		if (strlen($vorname) > 12){
  		  echo stwToolTip($vorname);
  		  $vorname = strCut($vorname, 12);
  		}
  		echo ">$vorname</td>\n";

  		// Nachname Hilfeempfnger
  		echo "<td style=\"padding-right:3px\"";
  		$nachname = $pro->nname();
  		if (strlen($nachname) > 12){
  		  echo stwToolTip($nachname);
  		  $nachname = strCut($nachname, 12);
  		}
  		echo ">$nachname</td>\n";

  		// Name Sachbearbeiter
  		$sb = abfrage ("select anrede, name from tb_kontakte_ap
  					where ap_id = $pro->sb;");
  		$dat = ($sb[0] == "Frau") ? 'Fr.' : 'Hr.';
  		echo "<td style=\"padding-right:3px\"";
      $sachb = $dat . ' ' . $sb[1];
  		if (strlen($sachb) > 12){
  		  echo stwToolTip($sachb);
  		  $sachb = strCut($sachb, 12);
  		}
  		echo ">$sachb</td>\n";

		if($pro->fb) {
			echo "<td".pers_toolTip($pro->fb).">" . pers_initialen($pro->fb) . "</td>";
		} else echo "<th".stwToolTip('kein FB')."style=\"color:red\">?</th>";

  		echo "<td ";
		$betr = pers_kname($row[2]);
  		// Name Hauptbetreuer
		$sql  = "select v.geklaert, v.beschreibung, v.vertreter_id, ";
		$sql .= "IF(t.von < DATE_ADD(CURDATE(),INTERVAL 14 DAY) AND t.von > CURDATE(), 0, 1),";
		$sql .= "date_format(t.von, '%d.%m.'), date_format(t.bis, '%d.%m.'), a.name, ";
		$sql .= "unix_timestamp(t.von), unix_timestamp(t.bis) ";
		$sql .= "from tb_termine t ";
		$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
		$sql .= "left join tb_fehlz f on t.termin_id = f.termin_id ";
		$sql .= "left join tbh_fehlz_vertretung v on (f.fehlz_id = v.fehlz_id and v.proj_id = '$pro->id') ";
		$sql .= "where t.von < DATE_ADD(CURDATE(),INTERVAL 14 DAY) and t.bis >= CURDATE() ";
		$sql .= "and f.pers_id = '$row[2]' ";
		$sql .= "group by t.termin_id";
		$erg = abfrage($sql);
		$farbe = '';
	    $titel = $row[6];
	    if (empty($titel)) $titel = $row[7]; else if($row[7]) $titel .= " | ".$row[7];
		$vertretung = '';
		if ($erg) {
		  if($erg[0]) $titel .= "<br>".pers_kname($erg[2]) . ":";
		  else {
			if(arbeitstage($erg[7], $erg[8]) > 3) $titel .= "<br>Vertretung nicht geklrt";
		  }
		  $titel .= " <b>$erg[4] - $erg[5]</b> $erg[6]<br>$erg[1]";
		  if($erg[3] == 1) {
			$zle2= abfrage("select t2.vorname, t2.name, t1.pers_id, t2.teldienst,"
						. " t2.telmobil"
						. " from tbh_pers_proj t1"
						. " left join tb_personal t2 using(pers_id)"
						. " where t1.proj_id = '$pro->id' and personaltyp_id = '8';");
			if($zle2[2]) {
				$sql = "SELECT termin_id FROM tb_fehlz LEFT JOIN tb_termine USING(termin_id)
						WHERE pers_id = '$zle2[2]' AND von <= CURDATE() AND bis >= CURDATE()";
				$tandem_fehlz = abfrage1($sql);
				if(mysql_num_rows($tandem_fehlz)>0) {
					$titel .= "<br><b>gleichzeitige&nbsp;Fehlzeit&nbsp;Tandem</b>";
					$farbe = "color:#FF0000;\" name=\"blink";
				} else {
					$name = pers_kname($zle2[2]);
					$titel = $zle2[3];
					if (empty($titel)) $titel = $zle2[4]; else if($zle2[4]) $titel .= " | ".$zle2[4];
				}
			} else $farbe = "color:#FF0000;";
		  } elseif(arbeitstage($erg[7], $erg[8]) > 3) $farbe = "color:#00FF00;";
		}

	    if(strlen($titel)>0) echo stwToolTip($titel);
		echo " style=\"padding-right:3px;$farbe\">$betr</td>\n";

		// Name Vertretung
		$betr = $vtitel = "";
		$vertrg = $eingearbeitet = false;
  		echo "<td ";
		$sql = "select h.pers_id, pt.personaltyp, h.personaltyp_id,
				h.eingearbeitet_pers_id from tbh_pers_proj h
				left join tb_personal pers on h.pers_id = pers.pers_id
				left join tb_personaltyp pt on h.personaltyp_id = pt.personaltyp_id
				where h.proj_id = $pro->id and h.personaltyp_id IN (3,8,2,9)
				order by pt.sort asc, pers.vorname asc, pers.name asc;";
		$bes = abfrage1($sql);
		while ($be = mysql_fetch_row($bes)){
			if(strlen($vtitel)==0) $betr = pers_kname($be[0]);
			if(strlen($vtitel)>0) $vtitel .= "<br>";
			$vtitel .= pers_name($be[0]);
			$vtitel .= " - $be[1]";
			if($be[2]==3 || $be[2]==8 || $be[2]==9) $vertrg = true;
			if($be[3]>0) $eingearbeitet = true;
		}
		if($pro->beginn_ts() < (mktime() - 2419200) && $pro->nr < 900) {
			if(empty($betr)) $betr='KEINE Vertr.';
			if(!$vertrg) {
				if(strlen($vtitel)>0) $vtitel .= "<br>";
				$vtitel .= "<b>KEINE Vertretung!</b>";
				$vertretung = "color:red;\" name=\"blink";
			} elseif(!$eingearbeitet) {
				if(strlen($vtitel)>0) $vtitel .= "<br>";
				$vtitel .= "<b>Vertretung noch nicht eingearbeitet!</b>";
				$vertretung .= "\" name=\"blink";
			}
		}
		if (strlen($betr) > 12){
 		  $betr = strCut($betr, 12);
  		}
	    if(strlen($vtitel)>0) echo stwToolTip($vtitel,false);
		echo " style=\"padding-right:3px;$vertretung\">$betr</td>\n";

  		/*
  		 * Uebertraege fuer dieses Projekt zum aktuellen Zeitpunkt
  		 * ausgeben.
  		 */
  		$dat_u = date("Y-m-d", mktime(0,0,0, date("n"), 1, date("Y")));
  		stunden_zelle($pro->fls_vormonat($dat_u));

		$r_cnt=abfrage("select sum(time_to_sec(fls)/3600)
						from tb_ab_zk where proj_id = '$pro->id'
						and ab = 'j' and code = 'R' and ab_monat is NULL");
		$tt = "";
		$kontaktst = $pro->kontaktst($dat_u);
		if($kontaktst) $tt .= "KLS = " . fls_form($pro->wost_kontaktstunden());
		if($fallbegleitung[$key]) $tt .= "<br>Fallbegleitung: ja";
		$tt2 = "Fahrzeit: " . fls_form($pro->fls_fz($dat_u));
		if($r_cnt[0]>0 || $fallbegleitung[$key]) $tt2 .= "<br>Fallbegleitende Zeit: " . fls_form($r_cnt[0]);
		stunden_zelle($pro->fls_monat($dat_u), $tt, 'cl1', $kontaktst, $fallbegleitung[$key]);
		stunden_zelle($pro->fls_gesamt($dat_u), $tt2, 'cl1', false, $r_cnt[0]>0);
  		stunden_zelle($pro->fls_folgemonat($dat_u));

		/*
		 * Das 'P' Zeichen wird besonders eingefaerbt um folgende Merkmale
		 * zu zeigen: - gruen:  weniger als 75% verbraucht
		 *            - gelb:   75% bis 90%
		 *            - rot:    ueber 90%
		 *            - blinkt: ab 100%
		 */
		echo "<td style=\"text-align:center\">" . $pro->pool_P() . "</td>";
		echo $reflexionen[$key];
		echo "</tr>\n";
		flush();
  	}
  }
  /* -- Ende Haupttabelle --*/


  if ($_SESSION[$AppCode]['ULV'] >= 96 && $pers != 'kwg'){
  	$pros = abfrage1("select p.proj_id
  					from tb_projekte p
  					left join tb_pb_zr zr on p.proj_id = zr.proj_id
  					where (p.ende is null or p.ende = '0000-00-00' or
  							to_days(p.ende) >= to_days(curdate()))
  					and (p.fb_id is null or p.fb_id = 0)
  					and ((curdate() >= zr.von and curdate() <= zr.bis)
  						or (curdate() >= zr.von and
  							(zr.bis is null or zr.bis = '0000-00-00')))
  					order by p.projektnr asc;");

  	if (mysql_num_rows($pros) > 0){
  	  new stwTabLine(1,30);
  		echo "<tr><th style=\"color:red\" colspan=\"30\">";
  		echo "Projekte mit aktuellem Projektzeitraum und ohne Fachberater:</th></tr>\n";
  		new stwTabLine(2,30);
		flush();
  		while ($proj = mysql_fetch_assoc($pros)){
  			echo "<tr><td></td>";
  			echo "<td colspan=\"3\"><a href=\"pro_daten.php?proj_id=".$proj['proj_id']."\">";
  			echo projektnummer($proj['proj_id']) . "</a></td></tr>\n";
  		}
  	}
  }
  echo "</table>\n";

  new stwLine(1);

  if ($pers == 'kwg'){
    $sql = "select p.proj_id, hp.hp_id
    			from tb_projekte p
    			left join tb_prio t2 on p.fb_prio = t2.prio
    			left join tbh_pers_proj b on p.proj_id = b.proj_id
    			  and b.personaltyp_id = 1
    			left join tb_personal pe on b.pers_id = pe.pers_id
    			left join tb_hp hp on (p.proj_id = hp.proj_id and hp.hp_art = 'k'
    				and (hp.and_datum is null or hp.and_datum = '0000-00-00'))
    			left join tb_hilfeart ha on p.hilfeart_id = ha.hilfeart_id
    			where hp.hp_art = 'k'
				and p.projektnr < $pra_rng[1] AND p.projektnr >= $pra_rng[0]
    			  and (hp.and_datum is null or hp.and_datum = '0000-00-00')
    			and (p.ende is null or p.ende = '0000-00-00' or
    				to_days(p.ende) >= to_days(curdate()))
    			order by p.projektnr asc;";
    $res = abfrage1($sql);

    if (mysql_num_rows($res) > 0){

      while ($proj = mysql_fetch_row($res)){
        $pro = new stwProjekt($proj[0]);

        echo "<table width=\"750\">\n";
        echo "<tr><th style=\"padding-right:5px\">Projekt-Nr.:</th>\n";
        echo "<td style=\"padding-right:15px\"><a href=\"pro_daten.php?proj_id=$pro->id\">";
        echo $pro->nummer() . "</a></td>\n";
        echo "<th style=\"padding-right:5px\">Klient:&nbsp;</th>\n";
        echo "<td style=\"padding-right:15px\">" .  $pro->name() . "</td>\n";

        // Jugendamt und Sachbearbeiter ermitteln
        $ja = abfrage("select t3.name2, t3.kont_id from tb_kontakte_ap t2
                       left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                       where t2.ap_id = $pro->sb;");

        echo "<th style=\"padding-right:5px\">Jugendamt:</th>";
        echo "<td>$ja[0]</td>\n";
        echo "</tr></table>\n";
		flush();

        // Zeitkarten mit Kindeswohlgefaehrdung!
        $kwg = abfrage("select datum, unix_timestamp(and_datum), and_datum
                        from tb_hp where hp_id = $proj[1];");

        $sql = "select date_format(t.von,'%d.%m.%Y'),
        		time_format(t.von,'%k:%i'),
        		time_format(t.bis,'%k:%i'),
        		time_format(a.fls,'%k:%i'),
        		time_format(sec_to_time(unix_timestamp(t.bis) - unix_timestamp(t.von) -
        			time_to_sec(a.fls)),'%k:%i'),
        		a.pers_id,
        		a.code,
        		a.inhalte2,
        		a.zk_id,
        		a.proj_id,
        		(concat(left(b.vorname,1), '. ', b.name)),
        		a.ab,
        		a.ab_monat,
        		a.nachw_id,
        		t.termin_id,
        		unix_timestamp(t.bis) - unix_timestamp(t.von) - time_to_sec(a.fls),
        		a.kwg
        		from tb_ab_zk a
        		left join tb_termine t using (termin_id)
        		left join tb_personal b on a.pers_id = b.pers_id
        		where a.proj_id = $pro->id
        		and a.ab = 'j'
        		and a.kwg > 0
        		and (a.ab_monat is null or a.ab_monat = '0000-00-00')
        		and to_days(t.von) >= to_days('$kwg[0]') ";

        if (!empty($kwg[1])){
        	$sql .= "and to_days(t.bis) <= to_days('$kwg[2]') ";
        }
        $sql .= "order by unix_timestamp(t.von) asc;";
        $zks = abfrage1($sql);

        if (mysql_num_rows($zks) > 0){
          new stwLine(2);

          echo "<table>\n";
          echo "<tr><th colspan=\"99\" style=\"color:hotpink\">";
          echo "Zeitkarten:</th></tr>\n";
          echo "<tr><th style=\"padding-right:5px\">Datum</th>\n";
          echo "<th></th>\n";
          echo "<th style=\"padding-right:5px\">von</th>\n";
          echo "<th style=\"padding-right:5px\">bis</th>\n";
          echo "<th style=\"padding-right:5px\">FLS</th>\n";
          echo "<th style=\"padding-right:5px\">Fahrt</th>\n";
          echo "<th style=\"padding-right:5px\">Betreuer</th>\n";
          echo "<th style=\"padding-right:5px\">Code</th>\n";
          echo "<th>Inhalte intern</th>\n</tr>\n";
		  flush();

          $tooltip = abfrage("select ressourcen from tb_hp where hp_art = 'k'
                              and proj_id = $pro->id and and_datum is null;");

          while ($row = mysql_fetch_row($zks)) {
          	new stwTabLine(2,30);
          	echo "<tr>";

          	if ($row[11] == 'j' || $row[11] == 'u'){
          		$co = $zk_ab_ja;
          		$ti = "abrechnungsrelevant";
          		if (!empty($row[12])){
          			$co = $zk_abgerechnet;
          			$ti = "abgerechnet";
          			if (!empty($row[13])){
          				$co = $zk_abgelegt;
          				$ti = "abgelegt";
          			}
          		}
          	} else {
          		$co = $zk_ab_nein;
          		$ti = "Termin";
          	}
          	$st = "style=\"color:$co\"";
          	$ti = "title=\"$ti\"";
          	echo "  <td style=\"padding-right:5px\">";
          	echo "<a href=\"pro_ab_zk.php?zk_id=$row[8]&proj_id=$row[9]\" $st $ti>";
          	echo $row[0] . "</a></td>\n";
          	echo "<td class=\"cl1\"><img style=\"padding-top:3px\" src=\"img/icon_kwg.png\"";
			echo stwToolTip("<b>Kindeswohlgef&auml;hrdung!</b>           <br>" . $tooltip[0]) . "></td>\n";
          	echo "  <td style=\"padding-right:5px;text-align:right\">$row[1]</td>";
          	echo "  <td  style=\"padding-right:5px;text-align:right\">$row[2]</td>";
          	echo "  <td  style=\"padding-right:5px;text-align:right\">$row[3]</td>";

          	if ($row[15] < 0){
          		$style = "name=\"blink\" style=\"color:red;padding-right:5px\"";
          	} else {
          		$style = "style=\"padding-right:5px\"";
          	}
          	echo "  <td $style>";
          	if(!empty($row[15])){
          		echo $row[4];
          	}
          	echo "  </td>";
          	echo "  <td style=\"padding-right:5px\">$row[10]</td>";
          	echo "  <td style=\"padding-right:5px;text-align:center\">$row[6]</td>";
          	$inh = wordwrap($row[7], 60, '<br>', 1);
          	echo "  <td>". nl2br($inh) . "</td>";
          	echo "</tr>\n";
			flush();
          }
          echo "</table>\n";
          new stwLine(2);
        }

        // Reflexionen
        $sql = "select h.hp_id,
        		date_format(h.datum, '%d.%m.%Y'),
        		date_format(h.and_datum, '%d.%m.%Y'),
        		r.frage,
        		r.ergebnis
        		from tb_hp h
        		left join tb_hp_re r using (hp_id)
        		where h.proj_id = $pro->id
        		and r.kwg = 1
        		and to_days(h.datum) >= to_days('$kwg[0]')
        		and to_days(h.datum) >= to_days(now())-28 ";

        if (!empty($kwg[1])){
        	$sql .= "and to_days(h.and_datum) <= to_days('$kwg[2]') ";
        }
        $rflx = abfrage1($sql);

        if (mysql_num_rows($rflx) > 0){
          if (mysql_num_rows($zks) == 0){
            new stwLine(2);
          }

          echo "<table>\n";
          echo "<tr><th colspan=\"99\" style=\"color:hotpink\">Reflexionen :</th></tr>\n";
          echo "<tr><th style=\"padding-right:5px\">beantragt</th>\n";
          echo "<th style=\"padding-right:5px\"></th>\n";
          echo "<th style=\"padding-right:5px\">Datum</th>\n";
          echo "<th style=\"padding-right:5px\">Fragestellung</th>\n";
          echo "<th style=\"padding-right:5px\">Ergebnis</th>\n</tr>\n";

          new stwTabLine(2,99);
		  flush();

          while ($row = mysql_fetch_row($rflx)){
          	echo "<tr>\n";
          	echo "<td style=\"padding-right:5px\">";
          	echo "<a href=\"pro_re.php?hp_id=$row[0]&proj_id=$rvar_proj_id\">$row[1]</a></td>\n";
			echo "<td class=\"cl1\"><img style=\"padding-top:3px\" src=\"img/icon_kwg.png\"";
			echo stwToolTip("<b>Kindeswohlgef&auml;hrdung!</b>           <br>" . $tooltip[0]) . '>';
         	echo "<td style=\"padding-right:5px\">";
          	echo ($row[2] != '00.00.0000') ? $row[2] : '';
          	echo "</td>\n";
          	$inh = wordwrap($row[3], 50, '<br>', 1);
          	echo "<td style=\"padding-right:5px\">$inh</td>\n";
          	$inh = wordwrap($row[4], 50, '<br>', 1);
          	echo "<td style=\"padding-right:5px\">$inh</td>\n";
          	echo "</tr>\n";
			flush();
          }
          echo "</table>\n";
        }

        new stwLine(1);
      }
    }
  }
}
new stwEnd($seite);
?>