<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 */

/*
* Funktion die die POST und GET Variablen aus der Tabelle verarbeitet. Bei
* GET Variablen muss als Trennung ein '&' und bei POST Variablen ein ';' rein.
*/
function convert_zeichenkette($str, $trenn_zeichen)
{
   /* Mitte von Zeichenkette als Trenner nutzen */
   $trenn = explode("%$%", $str);

   /* Arrays erstellen mit den Schluesseln und Werten */
   $werte = explode("%#%", $trenn[0]);
   $keys  = explode("%#%", $trenn[1]);

   $rueck = "";

   /* Zeichenkette zusammenstellen */
   for ($i = 0; $i < count($keys); $i++) {
     /* Key + Werte (bei vorkommen von Pipe | als Array ausgewertet) */
     if (strpos($werte[$i],"|") === false) {
        if ($i != 0) $rueck .= $trenn_zeichen;
        $rueck .= $keys[$i]."=".$werte[$i];
     } else {
        $tok = strtok($werte[$i], "|");
        while ($tok !== false) {
           if ($i != 0) $rueck .= $trenn_zeichen;
           $rueck .= $keys[$i]."[]=".$tok;
           $tok = strtok("|");
        }
     }
   }
   return $rueck;
}

/*
* Wertet die uebergebenen Argumente aus und gibt eine Zeichenkette fuer
* den Dateilink aus. Die Userrechte gehen bei der Ausgabe mit ein
* (Entwickler muss Recht haben Link zu sehen).
*/
function get_file_link($uri, $get, $post, $style, $ulv)
{
   $datei = $uri;

   /* die GET Variablen anhaengen */
   if (check_nutzer_rechte(63) && strlen($get) > 0)
   {
     $uri .= "?".convert_zeichenkette($get, "&");
   }

   /* die POST Variablen anzeigen */

   if (check_nutzer_rechte(63) && strlen($post) > 0)
   {
     $title = "POST: ".convert_zeichenkette($post, ";");
     $info  = "(P)";
   }
   else
   {
     $title = "";
     $info  = "";
   }

   $ret  = "<td class=\"cl1\"";

   if (check_nutzer_rechte(63))
   {
     $ret .= "><a href=\"".$uri."\" ".$style;

     if (strlen($title) > 0) stwToolTip($title);
     $ret .= ">".$datei."&nbsp;".$info."</a>";
   }
   else
   {
     $ret .= $style.">".$datei;
   }

   $ret .= "</td>\n";
   return $ret;
}

if(!isset($onlyincludes)) {

	set_session_url();

	/* -- eventuelle Betaetigung des Programmierer-Schalters speichern --*/
	if (isset($_POST['erl_pr'])){
	  $sql = 'update tb_web_feedback set ';
	  if ($_POST['erl_pr'] == 1){
		$datetime = date('Y-m-d H:i:s');
		$sql .= "erl_pr = 1, erl_pr_time = '$datetime', ";
		$sql .= "erl_pr_id = '{$_POST['uid']}' ";
	  } else {
		$sql .= "erl_pr = NULL, erl_pr_time = NULL, erl_pr_id = NULL ";
	  }
	  $sql .= "where feedback_id = '{$_POST['feedback_id']}';";
	  abfrage2($sql);
	}

	/* -- eventuelle Betaetigung des GF-Schalters speichern --*/
	if (isset($_POST['erl_gf'])){
	  $sql = 'update tb_web_feedback set ';
	  if ($_POST['erl_gf'] == 1){
		$datetime = date('Y-m-d H:i:s');
		$sql .= "erl_gf = 1, erl_gf_time = '$datetime', ";
		$sql .= "erl_gf_id = '{$_POST['uid']}' ";
	  } else {
		$sql .= "erl_gf = NULL, erl_gf_time = NULL, erl_gf_id = NULL ";
	  }
	  $sql .= "where feedback_id = '{$_POST['feedback_id']}';";
	  abfrage2($sql);
	}

	/* -- Bearbeitung durch Programmierer setzen bzw. loeschen-- */
	if ($_POST['bearb_id'] <> 0){
	  $sql = 'update tb_web_feedback set ';
	  if ($_POST['bearb_id'] == -1){
		$sql .= "bearb_id = NULL, bearb_time = NULL ";
	  } else {
		$datetime = date('Y-m-d H:i:s');
		$bid = $_POST['bearb_id'];
		$sql .= "bearb_id = '$bid', bearb_time = '$datetime' ";
	  }
	  $sql .= "where feedback_id = '{$_POST['feedback_id']}';";
	  abfrage2($sql);
	}

	if ($sort == 'pro'){
		$order = ' order by t3.projektnr asc, sort1 desc, unix_timestamp(now()) - unix_timestamp(t1.datetime) asc';
	} elseif ($sort == 'prg'){
		$order = ' order by t1.erl_pr desc, sort1 desc, unix_timestamp(now()) - unix_timestamp(t1.datetime) asc';
	} elseif ($sort == 'datei'){
		$order = ' order by t1.datei asc, sort1 desc, unix_timestamp(now()) - unix_timestamp(t1.datetime) asc';
	} else {
		$order = ' order by t1.erl_gf asc, sort1 desc, unix_timestamp(now()) - unix_timestamp(t1.datetime) asc';
	}

	$sql = "select distinct t1.datei,
			t1.feedback,
			date_format(datetime,'%d.%m.%Y'),
			t1.pers_id,
			t1.feedback_id,
			date_format(t1.datetime, '%H:%i'),
			t1.erl_pr,
			t1.erl_gf,
			t1.proj_id,
			t1.prio,
			if (t1.proj_id is null or t1.proj_id = 0, 99, prio) as sort1,
			t1.postval,
			t1.getval,
			t1.bearb_id,
			date_format(t1.bearb_time, '%d.%m.%Y, %H:%i Uhr') as be_time,
			c.wert
			from tb_web_feedback t1
			left join tb_projekte t3 on t1.proj_id = t3.proj_id
			left join tbh_pers_proj h on t1.proj_id = h.proj_id
			left join tb_complexity c on t1.complexity = c.complexity
			$where
			$order;";

	$res = abfrage1($sql);

	$ank = mysql_num_rows($res);
	if ($ank > 0) {
		echo "<table><tr>\n";
		echo "<td class=\"cl1\"></td>\n";
		echo "<th class=\"cl1\"><a href=\"$self?all=$all&ma=$ma&sort=1$cal_url\">";
		echo "Nr.</a></th>\n";
		echo "<td class=\"cl1\"></td>\n";
		echo "<th class=\"cl1\"><a href=\"$self?all=$all&ma=$ma&sort=datei$cal_url\">";
		echo "Datei</a></th>\n";
		echo "<th class=\"cl1\" style=\"text-align:center\"><a href=\"$self?all=$all&ma=$ma&sort=aufwand$cal_url\">";
		echo "Aufwand</a></th>\n";
		echo "<th class=\"cl1\"><a href=\"$self?all=$all&ma=$ma&sort=pro$cal_url\">";
		echo "Projekt</a></th>\n";
		echo "<th class=\"cl1\">Feedback</th>\n";
		echo "<th class=\"cl1\">Datum</th>\n";
		echo "<th class=\"cl1\">Benutzer</th>\n";
		echo "<th class=\"cl1\"" . stwToolTip('Programmierer') . ">\n";
		echo "<a href=\"$self?all=$all&ma=$ma&sort=prg$cal_url\">Pr.</a></th>\n";
		echo "<th class=\"cl1\"" . stwToolTip('Gesch&auml;ftsf&uuml;hrung');
		echo ">GF</th>\n</tr>\n";
		
		while ($row = mysql_fetch_array($res)){
			new stwTabLine(2,30);

		  /* Farbselektion durchfuehren */
		  if ($row[7] == 1) {
			$style = "style=\"color:#999999\"" . stwToolTip('erledigt');
		  } elseif ($row[9] > 2) {
			switch ($row[9]) {
				case 3:
					$style  = "style=\"color: #FF0000;\"";
					$style .= stwToolTip('Priorit&auml;t hoch');
					break;
				case 4:
					$style  = "style=\"color: #FF8000;\"";
					if (!isset($_REQUEST['print'])) $style .= " name=\"blink\"";
					$style .= stwToolTip('Bug');
					break;
				case 5:
					$style  = "style=\"color: #FF0000;\"";
					if (!isset($_REQUEST['print'])) $style .= " name=\"blink\"";
					$style .= stwToolTip('dringend');
					break;
			}
		  } elseif ($row[9] < 2) {
			$style = "style=\"color:#CCCCCC\" " . stwToolTip('Priorit&auml;t niedrig');
		  } elseif ($row['bearb_id'] > 0) {
			$tt  = 'in Bearbeitung durch ' . pers_name($row['bearb_id']);
			$tt .= ' seit ' . $row['be_time'];
			$style = "style=\"color:#B7FF00\" " .stwToolTip($tt);
		  } else {
			$style = '';
		  }

		  echo "<tr>\n";

		  /* Klammer fuer Datei-Anhaenge */
		  echo "<td class=\"cl1\">";
		  $daten = new stwDaten("24");
		  echo $daten->get_klammer_link($_SESSION["webdir"], $_SESSION[$AppCode]["UID"],
										$_SESSION[$AppCode]["ULV"], $row[4], "0");
		  echo "</td>\n";

		  /* Feedback Nummer mit moeglichen Farben anzeigen */
		  echo "<td class=\"cl1\">";
		  echo "<a name=\"$ank\" style=\"position:relative;left:0;top:-350px;\"></a>";
		  echo "<a href=\"feedback_and.php?feedback_id=$row[4]&goto=1\" ";
		  echo " $style>";
		  echo $row[4];
		  echo "</a>";
		  echo "</td>\n";

		  /* -- Checkbox Bearbeitung -- */
		  echo "<form action=\"$self?sort=$sort".$linkadditionals."#$ank\" method=\"POST\">\n";
		  echo "<input type=\"hidden\" name=\"feedback_id\" value=\"$row[4]\">\n";

			if ($row['bearb_id'] > 0){
				$datx = -1;
				echo "<input type=\"hidden\" name=\"bearb_id\" value=\"$datx\">\n";
				$tt = 'Markierung <b><i>in Bearbeitung</i></b> l&ouml;schen';
			$ck = 'checked';
			} else {
				$datx = $uid;
				$tt  = 'als <b><i>in Bearbeitung</i></b> markieren';
				$ck = '';
			}
			echo "<td class=\"cl1\">";
			echo "<input type=\"checkbox\" name=\"bearb_id\" value=\"$datx\"";
		  echo stwToolTip($tt) . " onChange=\"this.form.submit()\" $ck>\n";
			echo "</form></td>\n";

		/* Ausgabe Dateiinfo */
		printf("%s", get_file_link($row[0], $row[12], $row[11], $style, $ulv));

		/* Aufwand */
		echo "<td style=\"text-align:center\">$row[15]</td>";

		  if ($row[8] > 0){
			$pro = new stwProjekt($row[8]);
			$pnr = $pro->nummer();

			/* Ausgabe des Projektnamens mit einem Link und title */
			  echo "<td class=\"cl1\">";
			  if ($uid == $pro->hb() || $ulv >= 97){
					echo "<a href=\"pro_daten.php?proj_id=$pro->id\" ";
			  echo stwToolTip(pers_name($pro->hb()));
			  echo ">$pnr</a></td>\n";
			} else {
				echo $pnr . "</td>\n";
			}

			/* gleich noch pruefen ob der Hauptbetreuer die Seite gerade anschaut */
			$hauptbetreuer = ($uid == $pro->hb()) ? 1 : 0;
		  } else {
			echo "<td></td>\n";

			/* kein Projekt also auch kein Hauptbetreuer */
			$hauptbetreuer = 0;
			}
		  echo "<td class=\"cl1\">";
		  echo wordwrap(str_replace("\r\n", '', nl2br($row[1])), 45, '<br />');
		  echo "</td>\n";
		  echo "<td class=\"cl1\">$row[2]<br>$row[5] Uhr</td>\n";
		  echo "<td class=\"cl1\">" . pers_kname($row['pers_id']) . "</td>\n";

		  if ($hauptbetreuer == 1 || $ulv >= 97){
			echo "<form action=\"$self?sort=$sort".$linkadditionals."#$ank\"";
			echo " method=\"POST\">\n";
			  echo "<input type=\"hidden\" name=\"uid\" value=\"$uid\">\n";
			  echo "<input type=\"hidden\" name=\"feedback_id\" value=\"$row[4]\">\n";
			  if ($row[6] > 0){
				$tt = 'Erledigt-Markierung l&ouml;schen';
				$col = 'green';
				$val = 0;
			  } else {
				$tt = 'als erledigt markieren';
				$col = 'red';
				$val = 1;
			  }

			  echo "<input type=\"hidden\" name=\"erl_pr\" value=\"$val\">\n";
			  echo "<td class=\"cl1\">\n";
			echo "<input type=\"image\" src=\"img/icon_$col.png\"";
			echo stwToolTip($tt) . ">\n";
			  echo "</form>\n";

			} else {
				if ($row[6] > 0) {
					$col = 'green';
					$pr = abfrage("select erl_pr_id, date_format(erl_pr_time, '%d.%m.%Y - %H:%i')
										 from tb_web_feedback where feedback_id = $row[4];");
				$title = 'erledigt: ' . pers_kname($pr[0]) . ", $pr[1]";
			} else {
				$col = 'red';
				$title = "noch nicht vom Programmierer erledigt";
			}
			  echo "<td class=\"cl1\">";
			  echo "<img src=\"img/icon_$col.png\"" . stwToolTip($title) . "></td>\n";
			}

			if ($ulv >= 97){
			  echo "<form action=\"$self?sort=$sort".$linkadditionals."#$ank\"";
			  echo " method=\"POST\">\n";
			  echo "<input type=\"hidden\" name=\"uid\" value=\"$uid\">\n";
			  echo "<input type=\"hidden\" name=\"feedback_id\" value=\"$row[4]\">\n";
			  if ($row[7] > 0){
				$tt = 'Erledigt-Markierung l&ouml;schen';
				$col = 'green';
				$val = 0;
			  } else {
				$tt = 'als erledigt markieren';
				$col = 'red';
				$val = 1;
			  }
			  echo "<input type=\"hidden\" name=\"erl_gf\" value=\"$val\">\n";
			  echo "<td class=\"cl1\">\n";
			echo "<input type=\"image\" src=\"img/icon_$col.png\"";
			echo stwToolTip($tt) . ">\n";
			  echo "</form>\n";
			} else {
				if ($row[7] > 0) {
					$col = 'green';
				$gf = abfrage("select erl_gf_id, date_format(erl_gf_time, '%d.%m.%Y - %H:%i')
										from tb_web_feedback where feedback_id = $row[4];");
				$title = pers_kname($gf[0]) . ", $gf[1]";
			} else {
				$col = 'red';
				$title = "noch nicht vom Gesch&auml;ftsf&uuml;hrer als erledigt markiert";
			}
			echo "<td class=\"cl1\">";
			echo "<img src=\"img/icon_$col.png\"" . stwToolTip($title) . "></td>\n";
			}
		  echo "</tr>\n";
		  $ank--;
		}

		echo "</table>\n";
		new stwLine(1);
	}
}
?>