<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fehlz.graph.inc.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 37;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
require_once("inc/auth.inc.php");
require_once("inc/level.inc.php");
require_once("inc/func.inc.php");

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german"); 

$self = $_SERVER['PHP_SELF'];
$pers_order = getPersOrder($seite);

echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
echo "<html>\n<head>\n";
echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=".getConf('char_encoding')."\">\n";
echo "<link href=\"{$_SESSION['webdir']}/img/stellware.ico\" rel=\"shortcut icon\">\n";
echo "<link href=\"".$_SESSION['webdir']."/inc/stellware.css\" rel=\"stylesheet\" type=\"text/css\">\n";
echo "<base target=\"_top\">\n";
echo "<title>Include-Datei: Graphische Fehlzeitenkalender-ansicht</title>\n</head>\n";
echo "<body style=\"margin:0; padding:0; border:0; height:100%\">\n";

if($_GET['abmonat']) $monat = $_GET['abmonat'];
elseif ($_GET['anz'] == 'j') $monat = 'all';
elseif ($_GET['tag']) {
	if(strlen($_GET['tag']) == 4) $monat = 'all';
	else $monat = substr($_GET['tag'], 5, 2);
} else $monat = date('n');
if($_GET['abjahr']) $jahr  = $_GET['abjahr'];
elseif ($_GET['tag']) $jahr = substr($_GET['tag'], 0, 4);
else $jahr = date('Y');
$daten = ($monat == 'all')  ? ab_cal(1, $jahr) : ab_cal($monat, $jahr);
$graphic = ($_GET['graph'] == 1);

if($monat == 'all') {
	$von = date('Y-m-d', mktime(0,0,0,1,1,$jahr));
	$bis = date('Y-m-d', mktime(0,0,0,12,31,$jahr));
} elseif($_GET['anz'] == 'a') {
	$von_monat = empty($_GET['von_monat']) ? $monat : $_GET['von_monat'];
	$bis_monat = empty($_GET['bis_monat']) ? $von_monat : $_GET['bis_monat'];
	$von_jahr = empty($_GET['von_jahr']) ? $jahr : $_GET['von_jahr'];
	$bis_jahr = empty($_GET['bis_jahr']) ? $von_jahr : $_GET['bis_jahr'];
	$von = date('Y-m-d', mktime(0,0,0,$von_monat,1,$von_jahr));
	$bis = date('Y-m-d', mktime(0,0,0,$bis_monat,date('t',mktime(0,0,0,$bis_monat,1,$bis_jahr)),$bis_jahr));
} elseif(($_GET['anz'] == 't') && isset($_GET['tag'])) {
	$von = $_GET['tag'];
	$bis = $_GET['tag'];
} elseif((($_GET['anz']=='w1')||($_GET['anz']=='w2')) && isset($_GET['tag'])) {
	$tag =  date_isodate_stamp($_GET['tag']);
	$wtag = date('w', $tag);
	if ($wtag == 0){
		$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
	} else {
		$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
	}
	$bis_ts = $von_ts + (6 * 90000);
	$von = date('Y-m-d', $von_ts);
	$bis = date('Y-m-d', $bis_ts);
} else {
	$von = $daten['von'];
	$bis = $daten['bis'];
}
$von_ts = date_isodate_stamp($von);
$bis_ts = date_isodate_stamp($bis) + 43200; //Wegen Winterzeit vorsichtshalber 1/2Tag draufgerechnet

$select  = "select f.fehlz_id, date_format(t.von, '%d.%m.%Y') as von_dt, ";
$select .= "date_format(t.bis, '%d.%m.%Y') as bis_dt, ";
$select .=	"concat(left(p.vorname, 1), '. ', p.name) as person, a.name, ";
$select .= "unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts, ";
$select .= "f.antrag, f.genehmigt, t.terminart, f.pers_id, year(t.von) as jahr, ";
$select .= "p.besch_id, f.titel, a.farbe ";
if($pers_order == 1) $order = "order by p.vorname asc, p.name asc;";
else $order = "order by p.name asc, p.vorname asc;";
$where0  = "where ((unix_timestamp(p.eintritt) < '$bis_ts' or unix_timestamp(p.anstellung) < '$bis_ts')
			and (unix_timestamp(p.austritt) > '$von_ts' 
				or (unix_timestamp(p.austritt) = 0 is NULL or unix_timestamp(p.austritt) = 0) and p.status_id = '2')) ";
$where0 .= "and to_days(t.von) <= to_days('$bis') ";
$where0 .= "and to_days(t.bis) >= to_days('$von') ";
$where0 .= "and (f.genehmigt=1 or t.von>curdate()) ";
if(empty($_SESSION[$AppCode]['fz_ma_str'])) $where = "and false ";
else $where = "and f.pers_id in ({$_SESSION[$AppCode]['fz_ma_str']}) ";
$from  = "from tb_personal p left join tb_fehlz f on p.pers_id = f.pers_id ";
$from .= "left join tb_termine t on f.termin_id = t.termin_id ";
$from .= "left join tb_personalart pa on p.p_art_id = pa.p_art_id ";
$from .= "left join tb_terminart a on t.terminart = a.terminart ";

$res = abfrage1($select . $from . $where0 . $where . $order);

$rest1 = 0;

$td = mktime(0,0,0,date('n'),date('j'),date('Y'));
$style = "style=\"height:14px;font-size:9px;text-align:center;background-color:#000000\"";
$style2 = "style=\"height:14px;font-size:9px;text-align:center;background-color:#505050\"";
$clear = "<img src=\"img/clearpixel.png\" width=\"12\" height=\"14\"";
?>
<script type="text/javascript"><!--
function highlight(x,y,color) {
	var tds = document.getElementsByName(x);
	for (var c = 0; c < tds.length; c++) {
		tds[c].style.backgroundColor=color;
	}
	if(color != '#999999') color='transparent';
	var imgs = document.getElementsByName(y);
	for (c = 0; c < imgs.length; c++) {
		imgs[c].style.backgroundColor=color;
	}
}
//-->
</script>
<?php
echo "<table style=\"background-color:#666666\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\">\n";
$fehlzeiten = array();
$arbeitstag = array();
$ft = feiertage(date('Y',$von_ts));
echo "<tr>";
for($i=$von_ts;$i<=$bis_ts;$i+=90000){
	$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
	if(($i == $von_ts) || (date("j",$i) == 1)){
		$span = date("t",$i) - date("j",$i) + 1;
		echo "<td $style colspan=\"$span\">";
		if($span > 3) echo strftime("%B",$i);
		else echo substr(strftime("%B",$i),0,3);
		echo "</td>\n";
	}
}
echo "<td $style><img src=\"img/clearpixel.png\" border=\"0\" width=\"1\" height=\"14\"></td>";
echo "</tr><tr>";
$cnt = $personal = array();
$pers = explode(',',$_SESSION[$AppCode]['fz_ma_str']);
$ma_count = count($pers);
foreach($pers as $per){
	$fehlzeiten[ $per ][ 0 ][ 0 ] = $per;
}
for($i=$von_ts;$i<=$bis_ts;$i+=90000){
	/* Arbeitstage: Sommer-/Winterzeit umgehen: Timestamp neu berechnen! */
	$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
	$arbeitstag[$i] = arbeitstag($i);
	$cnt[ $i ] = 0;
	$personal[ $i ] = $ma_count;
	$onmouseover = "onmouseover=\"highlight('$i','0','#999999')\" onmouseout=\"highlight('$i','0','".($arbeitstag[$i] ? '#000000' : '#505050')."')\"";
	echo "<th $onmouseover name=\"$i\" ";
	if($arbeitstag[$i]) echo $style;
	else {
		echo $style2;
		$ft1 = find_key_in_array($ft, $i);
		echo "title=\"$ft1\" ";
	}
	echo "width=\"12\">".date("j",$i)."</th>\n";
}
echo "<td $style2><img src=\"img/clearpixel.png\" border=\"0\" width=\"1\" height=\"14\"></td></tr>\n";

while ($row = mysql_fetch_array($res)){
	for($i=$von_ts;$i<=$bis_ts;$i+=90000){
		$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
		if($i >= $row['von_ts'] && $i <= $row['bis_ts']) {
			/* Vorbeugen, dass Fehlzeit doppelt gezaehlt wird */
			if(empty($fehlzeiten[ $row['pers_id'] ][ $i ][ 1 ])) $cnt[ $i ]++;
			$fehlzeiten[ $row['pers_id'] ][ $i ][ 0 ] = "style=\"height:14px;background-color:".$row['farbe']."\"";
			$fehlzeiten[ $row['pers_id'] ][ $i ][ 1 ] = $row['fehlz_id'];
			$fehlzeiten[ $row['pers_id'] ][ $i ][ 2 ] = "title=\"{$row['name']}\"";
		}
	}
}

$pers_data = abfrage1( "select pers_id, unix_timestamp(eintritt), unix_timestamp(austritt) 
						from tb_personal where pers_id in ({$_SESSION[$AppCode]['fz_ma_str']})" );
while($pd = mysql_fetch_row($pers_data)) {
	if($pd[1] > $von_ts) {
		for($i=$von_ts;$i<$pd[1];$i+=90000){
			$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
			if(empty($fehlzeiten[ $pd[0] ][ $i ][ 1 ])) $personal[ $i ]--;
			$fehlzeiten[ $pd[0] ][ $i ][ 0 ] = "style=\"height:14px;background-color:#505050\"";
			$fehlzeiten[ $pd[0] ][ $i ][ 1 ] = 0;
			$fehlzeiten[ $pd[0] ][ $i ][ 2 ] = "title=\"vor dem Eintrittsdatum\"";
		}
	}
	if($pd[2] > 0 && $pd[2] < $bis_ts) {
		for($i=$pd[2];$i<=$bis_ts;$i+=90000){
			$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
			if(empty($fehlzeiten[ $pd[0] ][ $i ][ 1 ])) $personal[ $i ]--;
			$fehlzeiten[ $pd[0] ][ $i ][ 0 ] = "style=\"height:14px;background-color:#505050\"";
			$fehlzeiten[ $pd[0] ][ $i ][ 1 ] = 0;
			$fehlzeiten[ $pd[0] ][ $i ][ 2 ] = "title=\"nach dem Austrittsdatum\"";
		}
	}
}

foreach($fehlzeiten as $fehlzeit)
{
	$onmouseover = "onmouseover=\"highlight('0','".$fehlzeit[0][0]."','#999999')\" onmouseout=\"highlight('0','".$fehlzeit[0][0]."','".($arbeitstag[$i] ? '#000000' : '#505050')."')\"";
	echo "<tr $style>";
	for($i=$von_ts;$i<=$bis_ts;$i+=90000){
		$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
		$onmouseover = "onmouseover=\"highlight('$i','".$fehlzeit[0][0]."','#999999')\" onmouseout=\"highlight('$i','".$fehlzeit[0][0]."','".($arbeitstag[$i] ? '#000000' : '#505050')."')\"";
		if(isset($fehlzeit[$i][1])) {
			echo "<td $onmouseover ".$fehlzeit[$i][0].">";
			if($fehlzeit[$i][1] > 0) echo "<a ".$fehlzeit[$i][2]." href=\"fehlz_and.php?fehlz_id=".$fehlzeit[$i][1]."\">$clear></a>";
			else echo "<b ".$fehlzeit[$i][2]." >$clear></b>";
			echo "</td>\n";
		} else {
			echo "<td name=\"$i\" ".($arbeitstag[$i] ? $style : $style2)." $onmouseover>$clear name=\"".$fehlzeit[0][0]."\"></td>\n";
		}
	}
	echo "</tr>";
}
for($i=$von_ts;$i<=$bis_ts;$i+=90000){
	$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
	echo "<td $style title=\"von ".$personal[ $i ]." Mitarbeitern ".$cnt[ $i ]." abwesend, ".($personal[ $i ] - $cnt[ $i ])." anwesend\"><b>".$cnt[ $i ]."</b></td>\n";
}

echo "</table>";
echo "</body></html>\n";
?>
