<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fehlz.php 2926 2018-12-19 16:04:31Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 37;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 9);

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');

set_session_url();

$self = $_SERVER['PHP_SELF'];
$pers_order = getPersOrder($seite);

$ma = isset($_GET['ma']) ? $_GET['ma'] : $uid;
$p_art = (!empty($_GET['p_art'])) ? $_GET['p_art'] : 'all';
$tr = (!empty($_GET['tr'])) ? $_GET['tr'] : 'all';
if($_GET['abmonat']) $monat = $_GET['abmonat'];
elseif ($_GET['anz'] == 'j') $monat = 'all';
elseif ($_GET['tag']) {
	if(strlen($_GET['tag']) == 4) $monat = 'all';
	else $monat = substr($_GET['tag'], 5, 2);
} else $monat = ($ma=='all' ? date('n') : 'all');
if($_GET['abjahr']) $jahr  = $_GET['abjahr'];
elseif ($_GET['tag']) $jahr = substr($_GET['tag'], 0, 4);
else $jahr = date('Y');
$daten = ($monat == 'all')  ? ab_cal(1, $jahr) : ab_cal($monat, $jahr);
$graphic = ($_GET['graph'] == 1);

if($_GET['anz'] == 'a') {
	$von_monat = empty($_GET['von_monat']) ? ($monat=='all' ? 1 : $monat) : $_GET['von_monat'];
	$bis_monat = empty($_GET['bis_monat']) ? $von_monat : $_GET['bis_monat'];
	$von_jahr = empty($_GET['von_jahr']) ? $jahr : $_GET['von_jahr'];
	$bis_jahr = empty($_GET['bis_jahr']) ? $von_jahr : $_GET['bis_jahr'];
	$von = date('Y-m-d', mktime(0,0,0,$von_monat,1,$von_jahr));
	$bis = date('Y-m-d', mktime(0,0,0,$bis_monat,31,$bis_jahr));
} elseif($monat == 'all') {
	$von = date('Y-m-d', mktime(0,0,0,1,1,$jahr));
	$bis = date('Y-m-d', mktime(0,0,0,12,31,$jahr));
} elseif(($_GET['anz'] == 't') && isset($_GET['tag'])) {
	$von = $_GET['tag'];
	$bis = $_GET['tag'];
} elseif((($_GET['anz']=='w1')||($_GET['anz']=='w2')) && isset($_GET['tag'])) {
	$tag =  date_isodate_stamp($_GET['tag']);
	$wtag = date('w', $tag);
	if ($wtag == 0){
		$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
	} else {
		$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
	}
	$bis_ts = $von_ts + (7 * 86400);
	$von = date('Y-m-d', $von_ts);
	$bis = date('Y-m-d', $bis_ts);
} else {
	$von = $daten['von'];
	$bis = $daten['bis'];
}
$von_ts = date_isodate_stamp($von);
$bis_ts = date_isodate_stamp($bis);

$ti = 1;

if(isset($_GET['jahresplan'])) {
	if($ulv >= 97 || check_nutzer_rechte(114)) {
		$exist = abfrage("select ts from tb_jahresplan where jahr='{$_GET['jahresplan']}' and abt_id='0'");
		$sql = "select f.fehlz_id, t.von, t.bis from tb_fehlz f 
				left join tb_termine t using(termin_id) 
				left join tb_terminart a using(terminart)
				where a.neu='n' and year(von)='{$_GET['jahresplan']}'";
		$fehlzs = abfrage1($sql);
		if(empty($exist[0])) {
			abfrage2("insert into tb_jahresplan set jahr='{$_GET['jahresplan']}', abt_id=0, pers_id='{$_SESSION[$AppCode]["UID"]}', ts=unix_timestamp(now())");
			while($fehlz = mysql_fetch_row($fehlzs)) {
				abfrage2("insert into tb_fehlz_planung set fehlz_id='$fehlz[0]', pers_id='{$_SESSION[$AppCode]["UID"]}', ts=unix_timestamp(now()), checked='j', von='$fehlz[1]', bis='$fehlz[2]'");
			}
		} else {
			while($fehlz = mysql_fetch_row($fehlzs)) {
				$fzp = abfrage("select checked from tb_fehlz_planung where fehlz_id='$fehlz[0]' order by id desc limit 1");
				if($fzp[0] != 'j') abfrage2("insert into tb_fehlz_planung set fehlz_id='$fehlz[0]', pers_id='{$_SESSION[$AppCode]["UID"]}', ts=unix_timestamp(now()), checked='j', von='$fehlz[1]', bis='$fehlz[2]'");
			}
		}
	} elseif(substr($tr,0,3) == 'abt') {
		$abtleit = abfrage1("select pers_id from tb_personal_abt_leit where pers_id='{$_SESSION[$AppCode]["UID"]}' and abt_id='".substr($tr,3)."'");
		if($abtleit[0] == $_SESSION[$AppCode]["UID"]) {
			$exist = abfrage("select ts from tb_jahresplan where jahr='{$_GET['jahresplan']}' and abt_id='".substr($tr,3)."'");
			$sql = "select f.fehlz_id, t.von, t.bis from tb_fehlz f
					left join tb_termine t using(termin_id) 
					left join tb_personal p using(pers_id)
					where a.neu='n' and year(von)='{$_GET['jahresplan']}'
					and p.standard_abteilung = '" . substr($tr,3) . "';";
			$fehlzs = abfrage1($sql);
			if(empty($exist[0])) {
				abfrage2("insert into tb_jahresplan set jahr='{$_GET['jahresplan']}', abt_id='".substr($tr,3)."', pers_id='{$_SESSION[$AppCode]["UID"]}', ts=unix_timestamp(now())");
				while($fehlz = mysql_fetch_row($fehlzs)) {
					abfrage2("insert into tb_fehlz_planung set fehlz_id='$fehlz[0]', pers_id='{$_SESSION[$AppCode]["UID"]}', ts=unix_timestamp(now()), checked='j', von='$fehlz[1]', bis='$fehlz[2]'");
				}
			} else {
				while($fehlz = mysql_fetch_row($fehlzs)) {
					$fzp = abfrage("select checked from tb_fehlz_planung where fehlz_id='$fehlz[0]' order by id desc limit 1");
					if($fzp[0] != 'j') abfrage2("insert into tb_fehlz_planung set fehlz_id='$fehlz[0]', pers_id='{$_SESSION[$AppCode]["UID"]}', ts=unix_timestamp(now()), checked='j', von='$fehlz[1]', bis='$fehlz[2]'");
				}
			}
		}
	}
}

echo "<table><tr>\n";
echo "<td class=\"cl11\" style=\"vertical-align: middle;\">";
echo "<input type=\"button\" value=\"neu\" ";
echo stwToolTip('neue Fehlzeit anlegen');
echo "onClick=\"self.location.href='fehlz_and.php";
if($ma != 'all') echo "?ma=$ma";
echo "'\"></td>\n";

$link = "fehlz.php?p_art=$p_art&tr=$tr&ma=$ma";
if($_GET['anz']=='a') {
	$link .= "&anz=a&von_monat=".$_GET['von_monat'];
	$link .= "&bis_monat=".$_GET['bis_monat'];
	$link .= "&von_jahr=".$_GET['von_jahr'];
	$link .= "&bis_jahr=".$_GET['bis_jahr'];
} elseif(isset($_GET['tag']))	$link .= "&tag=".$_GET['tag']."&anz=".$_GET['anz'];
else $link .= "&abmonat=$monat&abjahr=$jahr";
echo "<td style=\"vertical-align:middle\" class=\"cl11\">";
if(isset($_GET['graph']) && $_GET['graph']==1) {
	echo "<input type=\"button\" value=\"text\" style=\"width:75px\" ";
	echo stwToolTip('Fehlzeiten&uuml;bersicht in Textform');
	echo "onClick=\"self.location.href='$link&graph=0'\">";
} else {
	echo "<input type=\"button\" value=\"grafisch\" style=\"width:75px\" ";
	echo stwToolTip('grafische Fehlzeitenansicht');
	echo "onClick=\"self.location.href='$link&graph=1'\">";
}
echo "</td>";

/* Auswahlfeld Mitarbeiter */

/* Abteilungen des angemeldeten Benutzers abrufen */
$sql_uid_abt = "SELECT DISTINCT a.abt_id
				FROM tb_personal_abt a
				LEFT JOIN tb_personal_abt_leit al ON a.abt_id = al.abt_id
				LEFT JOIN tbh_pers_abt pa ON a.abt_id = pa.abt_id
				WHERE al.pers_id = '$uid'
				OR pa.pers_id = '$uid'";
$abts = abfrage1($sql_uid_abt);

$ma_all = $ma_f = $ma_m = array();

if ($_SESSION[$AppCode]['ULV'] >= 60 || is_fokus($uid) || check_nutzer_rechte(42) || check_nutzer_rechte(60)){

  $sql  = "select p.pers_id, p.geschlecht from tb_personal p ";
  if (substr($tr,0,3) == 'abt') {
	$sql .= "left join tbh_pers_abt a on a.pers_id = p.pers_id ";
	$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
  }
  $sql .= " where ((unix_timestamp(p.eintritt) < '$bis_ts' or unix_timestamp(p.eintritt) IS NULL)
			and (unix_timestamp(p.austritt) > '$von_ts' 
				or (unix_timestamp(p.austritt) = 0 or unix_timestamp(p.austritt) is NULL) 
			and p.status_id = '2')) ";
  if ($p_art != 'all') $sql .= "and p.p_art_id = '$p_art' ";
  if (substr($tr,0,1) != 'a') $sql .= "and p.standard_traeger_art_id = '$tr' ";
  if (substr($tr,0,3) == 'abt') {
	$sql .= "and (a.abt_id = " . substr($tr,3) . " ";
	$sql .= "or l.abt_id = " . substr($tr,3) . ") ";
  }
  $sql .= "group by p.pers_id ";
  if($pers_order == 1) $sql .= "order by p.vorname asc, p.name asc;";
  else $sql .= "order by p.name asc, p.vorname asc;";
  $erg = abfrage1($sql);

  echo "<th style=\"vertical-align: middle;\"";
  echo stwToolTip('Mitarbeiter') . ">MA:</th>\n";
  echo "<form action=\"$self\" method=\"get\">\n";
  if($_GET['anz'] == 'a') {
	echo "<input type=\"hidden\" name=\"anz\" value=\"a\">\n";
	echo "<input type=\"hidden\" name=\"von_monat\" value=\"{$_GET['von_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_monat\" value=\"{$_GET['bis_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"von_jahr\" value=\"{$_GET['von_jahr']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_jahr\" value=\"{$_GET['bis_jahr']}\">\n";
  }
  echo "<input type=\"hidden\" name=\"p_art\" value=\"all\">\n";
  echo "<input type=\"hidden\" name=\"tr\" value=\"$tr\">\n";
  if(isset($_GET['tag'])) {
	echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
	echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";
  }
  echo "<input type=\"hidden\" name=\"graph\" value=\"$graphic\">\n";
  echo "<td class=\"cl11\"style=\"vertical-align: middle;\">";
  echo "<select name=\"ma\" style=\"width:120px\" tabindex=\"$ti\" ";
  echo "onchange=\"this.form.submit()\">\n"; $ti++;

  echo "<option value=\"all\" title=\"alle anzeigen\"";
  echo "style=\"font-weight: bold;\"";
  if ($ma == 'all')	echo ' selected';
  echo ">ALLE</option>\n";

  echo "<option value=\"all\">----------</option>\n";
  echo "<option value=\"f\"";
  if ($ma == 'f')	echo ' selected';
  echo ">&nbsp;weiblich</option>\n";
  echo "<option value=\"m\"";
  if ($ma == 'm')	echo ' selected';
  echo ">&nbsp;m&auml;nnlich</option>\n";
  echo "<option value=\"all\">----------</option>\n";
  echo "<option value=\"k\" title=\"in Projekten mit Vertretungskl&auml;rung involvierte KollegInnen\"";
  if ($ma == 'k')	echo ' selected';
  echo ">&nbsp;projektinvolvierte</option>\n";
  echo "<option value=\"all\">----------</option>\n";

  while ($zeile = mysql_fetch_row($erg)) {
    echo "<option value=\"$zeile[0]\" title=\"". pers_name($zeile[0]) . "\"";
    if ($_GET['ma'] == $zeile[0] || (!isset($_GET['ma']) && $uid == $zeile[0])){
      echo ' selected';
    }
	echo '>' . ($pers_order==1 ? pers_kname($zeile[0]) : pers_kname2($zeile[0])) . "</option>\n";
	$ma_all[] = $zeile[0];
	if($zeile[1] == 'm') $ma_m[] = $zeile[0];
	if($zeile[1] == 'w') $ma_f[] = $zeile[0];
  }
  echo "</select></td></form>\n";

} elseif (mysql_num_rows($abts) > 0){ /* Benutzer darf Abteilung sehen */

	$sql  = "select distinct p.pers_id, p.geschlecht ";
	$sql .= "from tb_personal p ";
	$sql .= "left join tbh_pers_abt pa on p.pers_id = pa.pers_id ";
	$sql .= "where ((unix_timestamp(p.eintritt) < '$bis_ts' or unix_timestamp(p.eintritt) IS NULL)
			 and (unix_timestamp(p.austritt) > '$von_ts' 
				or (unix_timestamp(p.austritt) = 0 or unix_timestamp(p.austritt) is NULL)
			 and p.status_id = '2')) ";
	$sql .= "and pa.abt_id in ($sql_uid_abt) ";
	if($pers_order == 1) $sql .= "order by p.vorname asc, p.name asc;";
	else $sql .= "order by p.name asc, p.vorname asc;";
	$erg = abfrage1($sql);

  echo "<th class=\"cl1\" style=\"vertical-align: middle;\"";
  echo stwToolTip('Mitarbeiter') . ">MA:</th>\n";
  echo "<form action=\"$self\" method=\"get\">\n";
  if($_GET['anz'] == 'a') {
	echo "<input type=\"hidden\" name=\"anz\" value=\"a\">\n";
	echo "<input type=\"hidden\" name=\"von_monat\" value=\"{$_GET['von_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_monat\" value=\"{$_GET['bis_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"von_jahr\" value=\"{$_GET['von_jahr']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_jahr\" value=\"{$_GET['bis_jahr']}\">\n";
  }
  echo "<input type=\"hidden\" name=\"p_art\" value=\"all\">\n";
  echo "<input type=\"hidden\" name=\"tr\" value=\"$tr\">\n";
  echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
  echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";
  echo "<td class=\"cl11\"style=\"vertical-align: middle;\">";
  echo "<select name=\"ma\" size=\"1\" tabindex=\"$ti\" ";
  echo "onchange=\"this.form.submit()\">\n"; $ti++;

  echo "<option value=\"all\" title=\"alle anzeigen\"";
  echo "style=\"font-weight: bold;\"";
  if ($ma == 'all')	echo ' selected';
  echo ">ALLE</option>\n";

  echo "<option value=\"all\">----------</option>\n";
  echo "<option value=\"f\"";
  if ($ma == 'f')	echo ' selected';
  echo ">&nbsp;weiblich</option>\n";
  echo "<option value=\"m\"";
  if ($ma == 'm')	echo ' selected';
  echo ">&nbsp;m&auml;nnlich</option>\n";
  echo "<option value=\"all\">----------</option>\n";
  echo "<option value=\"k\" title=\"in Projekten mit Vertretungskl&auml;rung involvierte KollegInnen\"";
  if ($ma == 'k')	echo ' selected';
  echo ">&nbsp;involvierte Kollegen</option>\n";
  echo "<option value=\"all\">----------</option>\n";

  while ($zeile = mysql_fetch_row($erg)) {
    echo "<option value=\"$zeile[0]\" title=\"". pers_name($zeile[0]) . "\"";
    if ($_GET['ma'] == $zeile[0] || (!isset($_GET['ma']) && $uid == $zeile[0])){
      echo ' selected';
    }
	echo '>' . ($pers_order==1 ? pers_kname($zeile[0]) : pers_kname2($zeile[0])) . "</option>\n";
	$ma_all[] = $zeile[0];
	if($zeile[1] == 'm') $ma_m[] = $zeile[0];
	if($zeile[1] == 'w') $ma_f[] = $zeile[0];
  }
  echo "</select></td></form>\n";

} else {
	echo "<th class=\"cl1\" style=\"color:lime; vertical-align: middle;\">";
	echo pers_name($uid) . "</th>\n";
}


/* Personalart */
if ($ulv >= 60 || check_nutzer_rechte(42) == true){
  echo "<th style=\"vertical-align: middle;\"";
  echo stwToolTip('Personalart') . ">PA:</th>\n";
  echo "<form action=\"$self\" method=\"get\">\n";
  if($_GET['anz'] == 'a') {
	echo "<input type=\"hidden\" name=\"anz\" value=\"a\">\n";
	echo "<input type=\"hidden\" name=\"von_monat\" value=\"{$_GET['von_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_monat\" value=\"{$_GET['bis_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"von_jahr\" value=\"{$_GET['von_jahr']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_jahr\" value=\"{$_GET['bis_jahr']}\">\n";
  }
  echo "<input type=\"hidden\" name=\"ma\" value=\"".(is_numeric($ma) ? 'all' : $ma)."\">\n";
  echo "<input type=\"hidden\" name=\"tr\" value=\"$tr\">\n";
  echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
  echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";
  echo "<input type=\"hidden\" name=\"graph\" value=\"$graphic\">\n";
  echo "<td class=\"cl11\" style=\"vertical-align: middle;\">";
  echo "<select name=\"p_art\" size=\"1\" tabindex=\"$ti\" "; $ti++;
  echo "onchange=\"this.form.submit()\">\n";
  echo "<option value=\"all\" title=\"alle anzeigen\" ";
  echo "style=\"font-weight: bold;\"";
  if ($p_art == 'all')	echo ' selected';
  echo ">ALLE</option>\n";

  $sql  = "select p_art_id, IF(kurzname IS NULL, personalart, kurzname), beschreibung from tb_personalart ";
  $sql .= "order by IF(kurzname IS NULL, personalart, kurzname) asc;";
  $erg = abfrage1($sql);

  while ($zeile = mysql_fetch_row($erg)) {
    echo "<option value=\"$zeile[0]\" title=\"$zeile[2]\"";
    if ($p_art == $zeile[0]) echo ' selected';
	  echo ">$zeile[1]</option>\n";
  }
  echo "</select></td></form>\n";
}


/* Traeger */
if ($ulv >= 60 || check_nutzer_rechte(42) == true){
  echo "<th style=\"vertical-align: middle;\"";
  echo stwToolTip("Tr&auml;ger / Abteilung") . ">Tr./Abt.:</th>\n";
  echo "<form action=\"$self\" method=\"get\">\n";
  if($_GET['anz'] == 'a') {
	echo "<input type=\"hidden\" name=\"anz\" value=\"a\">\n";
	echo "<input type=\"hidden\" name=\"von_monat\" value=\"{$_GET['von_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_monat\" value=\"{$_GET['bis_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"von_jahr\" value=\"{$_GET['von_jahr']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_jahr\" value=\"{$_GET['bis_jahr']}\">\n";
  }
  echo "<input type=\"hidden\" name=\"ma\" value=\"".(is_numeric($ma) ? 'all' : $ma)."\">\n";
  echo "<input type=\"hidden\" name=\"p_art\" value=\"$p_art\">\n";
  echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
  echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";
  echo "<input type=\"hidden\" name=\"graph\" value=\"$graphic\">\n";
  echo "<td class=\"cl11\" style=\"vertical-align: middle;\">";
  echo "<select name=\"tr\" style=\"width:120px\" tabindex=\"$ti\" "; $ti++;
  echo "onchange=\"this.form.submit()\">\n";
  echo "<option value=\"all\" title=\"alle anzeigen\" ";
  echo "style=\"font-weight: bold;\"";
  if ($tr == 'all')	echo ' selected';
  echo ">ALLE</option>\n";
  echo "<option value=\"all\">----------</option>\n";

  $sql  = "select traeger_art_id, traeger_art, kurzname from tb_traeger_art ";
  $sql .= "order by kurzname asc;";
  $erg = abfrage1($sql);

  while ($zeile = mysql_fetch_row($erg)) {
    echo "<option value=\"$zeile[0]\" title=\"$zeile[1]\"";
    if ($tr == $zeile[0]) echo ' selected';
	  echo ">$zeile[2]</option>\n";
  }
  echo "<option value=\"all\">----------</option>\n";
  $abts = abfrage1("SELECT abt_id, name FROM tb_personal_abt order by name asc");
  while ($abt = mysql_fetch_row($abts)){
	echo "<option value=\"abt$abt[0]\"";
	if ($tr == "abt$abt[0]") echo ' selected';
	echo ">$abt[1]</option>\n";
  }
  echo "</select></td></form>\n";
} elseif (mysql_num_rows($abts) > 0){
  echo "<th class=\"cl1\" style=\"vertical-align: middle;\">Abteilung:</th>\n";
  echo "<form action=\"$self\" method=\"get\">\n";
  if($_GET['anz'] == 'a') {
	echo "<input type=\"hidden\" name=\"anz\" value=\"a\">\n";
	echo "<input type=\"hidden\" name=\"von_monat\" value=\"{$_GET['von_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_monat\" value=\"{$_GET['bis_monat']}\">\n";
	echo "<input type=\"hidden\" name=\"von_jahr\" value=\"{$_GET['von_jahr']}\">\n";
	echo "<input type=\"hidden\" name=\"bis_jahr\" value=\"{$_GET['bis_jahr']}\">\n";
  }
  echo "<input type=\"hidden\" name=\"ma\" value=\"all\">\n";
  echo "<input type=\"hidden\" name=\"p_art\" value=\"$p_art\">\n";
  echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
  echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";
  echo "<input type=\"hidden\" name=\"graph\" value=\"$graphic\">\n";
  echo "<td class=\"cl11\" style=\"vertical-align: middle;\">";
  echo "<select name=\"tr\" size=\"1\" tabindex=\"$ti\" "; $ti++;
  echo "onchange=\"this.form.submit()\">\n";
  if ($tr == 'all')	{
	echo "<option value=\"all\" selected title=\"alle anzeigen\" ";
	echo "style=\"font-weight: bold;\">ALLE</option>\n";
  }
  $abts = abfrage1("SELECT abt_id, name FROM tb_personal_abt where abt_id in ($sql_uid_abt) order by name asc");
  while ($abt = mysql_fetch_row($abts)){
	echo "<option value=\"abt$abt[0]\"";
	if ($tr == "abt$abt[0]") echo ' selected';
	echo ">$abt[1]</option>\n";
  }
  echo "</select></td></form>\n";
}
/* Druckersymbol */
if($graphic) {
	if($monat == 'all') {
		$von = date('Y-m-d', mktime(0,0,0,1,1,$jahr));
		$bis = date('Y-m-d', mktime(0,0,0,12,31,$jahr));
	} elseif($_GET['anz'] == 'a') {
		$von_monat = empty($_GET['von_monat']) ? $monat : $_GET['von_monat'];
		$bis_monat = empty($_GET['bis_monat']) ? $von_monat : $_GET['bis_monat'];
		$von_jahr = empty($_GET['von_jahr']) ? $jahr : $_GET['von_jahr'];
		$bis_jahr = empty($_GET['bis_jahr']) ? $von_jahr : $_GET['bis_jahr'];
		$von = date('Y-m-d', mktime(0,0,0,$von_monat,1,$von_jahr));
		$bis = date('Y-m-d', mktime(0,0,0,$bis_monat,date('t',mktime(0,0,0,$bis_monat,1,$bis_jahr)),$bis_jahr));
	} elseif(($_GET['anz'] == 't') && isset($_GET['tag'])) {
		$von = $_GET['tag'];
		$bis = $_GET['tag'];
	} elseif((($_GET['anz']=='w1')||($_GET['anz']=='w2')) && isset($_GET['tag'])) {
		$tag =  date_isodate_stamp($_GET['tag']);
		$wtag = date('w', $tag);
		if ($wtag == 0){
			$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$bis_ts = $von_ts + (6 * 86400);
		$von = date('Y-m-d', $von_ts);
		$bis = date('Y-m-d', $bis_ts);
	} else {
		$von = $daten['von'];
		$bis = $daten['bis'];
	}
	$von_ts = date_isodate_stamp($von);
	$bis_ts = date_isodate_stamp($bis);

	echo "<form name=\"printform\" action=\"fehlz_graph_pr.php\" method=\"get\" target=\"_pdf\">\n";
	echo "<input type=\"hidden\" name=\"von\" value=\"$von\">\n";
	echo "<input type=\"hidden\" name=\"bis\" value=\"$bis\">\n";
	echo "<input type=\"hidden\" name=\"p_art\" value=\"$p_art\">\n";
	echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
	echo "<input type=\"hidden\" name=\"tr\" value=\"$tr\">\n";
	echo "<input type=\"hidden\" name=\"format\" value=\"L\">\n";
	echo "<input type=\"hidden\" name=\"pages\" value=\"1\">\n";
	echo "<input type=\"hidden\" name=\"ts\" value=\"" . time() . "\">\n";
?>
<script type="text/javascript"><!--
  function doTT() {
	var selec1 = '';
	var selec2 = '';
	if(document.printform.format.value == 'P') selec1 = 'selected'; else selec2 = 'selected';
	var str = "<form name='tempform'>"
	str += '<select name="for2" onchange="document.printform.format.value=document.tempform.for2.value"><option value="P"';
	str += selec1;
	str += '>Hochformat</option><option value="L" ';
	str += selec2;
	str += '>Querformat</option></select><br>';
	str += '<br>Seiten: <input type="text" size="2" name="pags" value="';
	str += document.printform.pages.value;
	str += '" style="text-align:center" onkeyup="document.printform.pages.value=document.tempform.pags.value">';
	str += '</form>';
	Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck-Einst.',TITLEBGCOLOR, '#006600', WIDTH, 100, HEIGHT, 50, FIX, ['gprint',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);
  }
--></script>
<?php
	echo "<td class=\"cl1\" style=\"vertical-align:middle;\">";
	echo "<a href=\"#\" ";
	echo stwToolTip('Fehlzeitenliste (aktuelle Anzeige, grafisch) drucken<br>Druck-Einstellungen per Rechtsklick', false);
	echo "onmousedown=\"if(event.button==2){doTT();}";
	echo "else{document.printform.submit();}return false;\" oncontextmenu=\"return false;\"";
	echo "><img id=\"gprint\" src=\"img/drucker.png\" border=\"0\"></a><a href=\"#\" ";
	echo "style=\"font-size:small;position:relative;left:0;top:-4px;\" onClick=\"doTT()\"> +</a>";
	echo "</td>\n</form>\n";
} else {
	echo "<td class=\"cl1\" style=\"vertical-align:middle;\"><a href=\"";
	echo "fehlz_pr.php?abmonat=$monat&abjahr=$jahr&ma=$ma&p_art=$p_art&tr=$tr&pagebreak=1&ts=" . time() . "\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\"";
	$tt = 'Fehlzeitenliste (aktuelle Anzeige, nur genehmigte) drucken';
	echo stwToolTip($tt) . "></a></td>\n";

	echo "<td class=\"cl1\" style=\"vertical-align:middle;\"><a href=\"";
	echo "fehlz_pr.php?abmonat=$monat&abjahr=$jahr&ma=$ma&p_art=$p_art&tr=$tr&ts=" . time() . "\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\"";
	$tt = 'Fehlzeitenliste ohne Seitenumbruch drucken';
	echo stwToolTip($tt) . "></a></td>\n";
}

echo "<td />\n";

$AL = false;
if(substr($tr,0,3) == 'abt') {
	$sql = "select pers_id from tb_personal_abt_leit where pers_id='{$_SESSION[$AppCode]["UID"]}' and abt_id='".substr($tr,3)."'";
	$abtleit = abfrage($sql);
	if($abtleit[0] == $_SESSION[$AppCode]["UID"]) $AL = true;
}
$plan0 = abfrage_assoc("select * from tb_jahresplan where jahr='$jahr' and abt_id='0'");
if ($AL || $ulv >= 97 || check_nutzer_rechte(114)) {
	$confirm = '';
	if(empty($plan0['pers_id']) && substr($tr,0,3) == 'abt') {
		$plan_abt = abfrage_assoc("select * from tb_jahresplan where jahr='$jahr' and abt_id='".substr($tr,3)."'");
	} else $plan_abt = array();
	echo "<td><input type=\"button\" value=\"Plan".$jahr."\" ";
	if($plan0['pers_id']>0) {
		echo "style=\"background-color:white;color:black\" ";
		echo stwToolTip("Jahresplanung $jahr bereits am ".date('d.m.Y H:i',$plan0['ts'])." Uhr von ".pers_name($plan0['pers_id'])." erstellt.<br>Klick nimmt alle noch nicht verplanten Fehlzeiten aus aktueller Ansicht in Jahresplanung auf.",false);
	} elseif($plan_abt['pers_id']>0) {
		echo "style=\"background-color:#CCCCCC;color:black\" ";
		echo stwToolTip("Jahresplanung $jahr durch Abteilungsleiter ".pers_name($plan_abt['pers_id'])." am ".date('d.m.Y H:i',$plan_abt['ts'])." Uhr erstellt.<br>Klick nimmt alle noch nicht verplanten Fehlzeiten aus aktueller Ansicht in Jahresplanung auf.",false);
	} else {
		echo "style=\"background-color:black;color:white\" ";
		echo stwToolTip("<b>Achtung!</b> Hiermit wird die Jahresplanung $jahr erstellt");
		$confirm = "if(confirm('Achtung!\\n\\nJahresplanung $jahr erstellen?')) ";
	}
	$url = "fehlz.php?jahresplan=$jahr";
	if(isset($_GET['p_art'])) $url .= "&p_art=" . $_GET['p_art'];
	if(isset($_GET['abmonat'])) $url .= "&abmonat=" . $_GET['abmonat'];
	if(isset($_GET['abjahr'])) $url .= "&abjahr=" . $_GET['abjahr'];
	if(isset($_GET['tr'])) $url .= "&tr=" . $_GET['tr'];
	if(isset($_GET['graph'])) $url .= "&graph=" . $_GET['graph'];
	if(isset($_GET['ma'])) $url .= "&ma=" . $_GET['ma'];
	if(isset($_GET['anz'])) $url .= "&anz=" . $_GET['anz'];
	if(isset($_GET['tag'])) $url .= "&tag=" . $_GET['tag'];
	echo " onclick=\"" . $confirm . "self.location.href='$url'\" /></td>";
}

echo "</tr>\n</table>\n";

if($graphic) {
	new stwLine(1);

	if($pers_order == 1) $order = "order by p.vorname asc, p.name asc;";
	else $order = "order by p.name asc, p.vorname asc;";
	$where = '';
	if ($ma == 'all') {
		$mas = implode(",", $ma_all);
		$where .= "and p.pers_id in ($mas) ";
	} elseif($ma == 'f') {
		if(empty($ma_f)) $where .= "and false ";
		else {
			$mas = implode(",", $ma_f);
			$where .= "and p.pers_id in ($mas) ";
		}
	} elseif($ma == 'm') {
		if(empty($ma_m)) $where .= "and false ";
		else {
			$mas = implode(",", $ma_m);
			$where .= "and p.pers_id in ($mas) ";
		}
	} elseif($ma == 'k') {
		$where .= "and p.pers_id in (
			select distinct pers_id from tbh_pers_proj where proj_id in (
				select distinct tpp.proj_id from tbh_pers_proj tpp 
				left join tb_projekte tp using(proj_id) 
				left join tb_hilfeart tha using(hilfeart_id) 
				where tpp.pers_id='$uid' 
				and (tp.ende is NULL or tp.ende = '0000-00-00' or unix_timestamp(tp.ende) > '$bis_ts')
				and (tha.vertretung = 0 or tha.vertretung is NULL)
			)
		) ";
	} else $where .= "and p.pers_id = '$ma' ";
	if ($p_art != 'all') $where .= "and pa.p_art_id = '$p_art' ";
	if (substr($tr,0,1) != 'a') $where .= "and p.standard_traeger_art_id = '$tr' ";
	if (substr($tr,0,3) == 'abt') {
		$where .= "and (h.abt_id = " . substr($tr,3) . " ";
		$where .= "or l.abt_id = " . substr($tr,3) . ") ";
	}
	$from  = "from tb_personal p left join tb_fehlz f on p.pers_id = f.pers_id ";
	$from .= "left join tb_termine t on f.termin_id = t.termin_id ";
	$from .= "left join tb_personalart pa on p.p_art_id = pa.p_art_id ";
	$from .= "left join tb_terminart a on t.terminart = a.terminart ";
	if (substr($tr,0,3) == 'abt') {
		$from .= "left join tbh_pers_abt h on h.pers_id = p.pers_id ";
		$from .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
	}

	$td = mktime(0,0,0,date('n'),date('j'),date('Y'));
	$style = "style=\"height:14px;font-size:9px;text-align:center;background-color:#333333\"";
	$style2 = "style=\"height:14px;font-size:9px;text-align:center;background-color:#000000\"";
	$rowspan = 4;
	$mas = array();
	$height = 65;
	$sql = "SELECT p.pers_id $from where ((unix_timestamp(p.eintritt) < '$bis_ts' or unix_timestamp(p.eintritt) IS NULL)
			and (unix_timestamp(p.austritt) > '$von_ts' 
			or (unix_timestamp(p.austritt) = 0 or unix_timestamp(p.austritt) is NULL) and p.status_id = '2')) $where 
			GROUP BY p.pers_id $order";
	$pers = abfrage1($sql);
	$ma_count = mysql_num_rows($pers);
	while ($per = mysql_fetch_row($pers)){
		$mas[ $per[0] ] = $per[0];
		$rowspan++;
		$height += 15;
	}
?>
<script type="text/javascript"><!--
  var dragobjekt = null;
  var dragx = 0;
  var posx = 0;

  function draginit() {
    document.onmousemove = drag;
    document.onmouseup = dragstop;
  }

  function dragstart(element) {
    dragobjekt = element;
    dragx = posx - dragobjekt.offsetLeft;
	origW = dragobjekt.style.width;
  }

  function dragstop() {
    dragobjekt=null;
  }

  function drag(ereignis) {
    posx = document.all ? window.event.clientX : ereignis.pageX;
    if(dragobjekt != null) {
	  dragobjekt.style.width = parseInt(origW) + (posx - dragx -120) + 'px';
    }
  }
--></script>
<?php
	echo "<table style=\"background-color:#666666\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\">\n";
	echo "<tr><td colspan=\"2\"><img src=\"img/clearpixel.png\" border=\"0\" width=\"1\" height=\"14\"></td>";
	echo "<td name=\"fehlinhalte\" rowspan=\"$rowspan\" onmousedown=\"dragstart(this);return false;\" style=\"width:750px;height:100%;position:relative;left:0;top:0;cursor:e-resize;\">";
	$_SESSION[$AppCode]['fz_ma_str'] = implode(",", $mas);
	echo "<iframe name=\"fehlframe\" margin=\"0\" frameborder=\"0\" width=\"100%\" height=\"$height\" src=\"".str_replace('fehlz.php','fehlz.graph.inc.php',$link) . "\"></iframe>";
	echo "<script><!--\n draginit();\n --></script>\n<img style=\"height:".$height."px;width:3px;background-color:#CCCCCC;\" src=\"img/clearpixel.png\">\n";
	echo "</td></tr><tr><td colspan=\"2\"><img src=\"img/clearpixel.png\" border=\"0\" width=\"1\" height=\"14\"></td></tr>\n";
	foreach($mas as $ma) {
		echo "<tr><th $style><nobr>".pers_kname($ma)."</nobr></th><td><img src=\"img/clearpixel.png\" border=\"0\" width=\"1\" height=\"14\"></td></tr>\n";
	}
	echo "<tr><td $style2><b>Anzahl: $ma_count</b></td><td><img src=\"img/clearpixel.png\" border=\"0\" width=\"1\" height=\"14\"></td></tr>\n";
	echo "<tr><td colspan=\"2\"><img src=\"img/clearpixel.png\" border=\"0\" width=\"100\" height=\"22\"></td></tr></table>\n";
} else {
	include "fehlz.inc.php";
}
new stwEnd( $seite, mktime(0, 0, 0, $monat=='all' ? 1 : $monat, 1, $jahr), NULL, NULL, 0, 0, 0, empty($_GET['anz']) ? ($monat=='all' ? 'j' : NULL) : NULL );
?>
