<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fehlz_and.php 2926 2018-12-19 16:04:31Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();
$seite = 37;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function Planung($fehlz_id, $pers_id, $check, $von, $bis) {
	global $AppCode;
    $von = date_time_stamp(check_date($von));
    $bis = date_time_stamp(check_date($bis));
	$checked = $check ? ($_SESSION[$AppCode]["ULV"]<97 ? 'al' : 'j') : 'n';
	$sql = "insert into tb_fehlz_planung set fehlz_id='$fehlz_id',
			pers_id='$pers_id', ts=unix_timestamp(now()),
			checked='$checked', von='$von', bis='$bis'";
	abfrage2($sql);
	$userResp = new xajaxResponse();
	$userResp->assign('planung', 'disabled', 'disabled');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('Planung');
/* --- Ende Abschnitt (X)AJAX --- */

/*
* Hier die Auswertung des abgesendeten Formulars und Sprung zu verschiedenen
* Zielen zurueck.
*/
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$uid = $_SESSION[$AppCode]['UID'];
$ulv = $_SESSION[$AppCode]['ULV'];

$pers_order = getPersOrder($seite);

if ($_POST['chg'] == '1') {
  if(substr($_POST['senden'], -9) == 'Speichern' || $_POST['antrag'] == 1) {
	if (check_date($rvar_von) && $rvar_von != ''
			&& check_date($rvar_bis) && $rvar_bis != ''){
    $beginn = date_time_stamp(check_date($rvar_von));
    $ende = date_time_stamp(check_date($rvar_bis));

	if(isset($rvar_fehlz_id)) {
		$planung = abfrage("select checked, von, bis from tb_fehlz_planung where fehlz_id='$rvar_fehlz_id' order by id desc limit 1");
		if($planung[0] == 'j' && ($planung[1] != $beginn || $planung[2] != $ende)) {
			$sql = "insert into tb_fehlz_planung set fehlz_id='$rvar_fehlz_id',
					pers_id='$uid', ts=unix_timestamp(now()),
					checked='n', von='$beginn', bis='$ende'";
			abfrage2($sql);
		}
	}
    $beg = date_isodatetime_stamp($beginn);
    $end = date_isodatetime_stamp($ende);

	if($beginn > $ende) $page_err = 7;
	elseif(date('Y',$beg) != date('Y',$end)) $page_err = 8;
	else {
    /* Fehlzeiten duerfen unter Level 61 bzw. ohne Recht aus Rechteobjekt 42
     * nur fuers kommende Kalenderjahr erstellt werden */
    $lvl = abfrage("select level from tb_personal where pers_id='$rvar_pers_id'");
    if (date('Y', $beg) <= date('Y') && !check_nutzer_rechte(10001) && $rvar_antrag != 1 && (($ulv < 61
    		&& (check_nutzer_rechte(42)==false || (check_nutzer_rechte(42) && $lvl[0] >= $ulv)))
		  	|| ($rvar_pers_id == $uid && $ulv < 97)) && empty($_POST['fokus']) && empty($_POST['genehmigt'])){
		    $page_err = check_nutzer_rechte(42) ? 6 : 2;
		} else {
			  if(istMonatAbgerechnet(check_date($rvar_von)) && $_POST['senden'] != "trotzdem Speichern") {
				$FehlzeitenWarnung  = "<br><font color=\"#FF0000\" name=\"blink\"><b>Achtung! ";
				$FehlzeitenWarnung .= "Fehlzeit liegt au&szlig;erhalb der Monatsabrechnung!</b></font><br>";
				$darftrotzdem = false;
				if($ulv >= 96) $darftrotzdem = true;
				elseif($lvl[0] <= 5) {
					if(check_al_rechte($rvar_pers_id) == 2) $darftrotzdem = true;
				}
				if($darftrotzdem) {
					$FehlzeitenWarnung .= "<br><input type=\"submit\" name=\"senden\" value=\"trotzdem Speichern\">\n";
					$FehlzeitenWarnung .= "&nbsp; &nbsp; &nbsp; &nbsp;";
				} else {
					$FehlzeitenWarnung .= "<b>&Auml;nderung nicht m&ouml;glich</b><br><br>";
				}
				if((isset($_SESSION[$AppCode]['url'])))
				  $FehlzeitenWarnung .= "<a href=\"".$_SESSION[$AppCode]['url']."\">zur&uuml;ck</a>";
			  } else {
				if(substr($_POST['senden'], -9) == 'Speichern') {
				  $url = (isset($_SESSION[$AppCode]['url'])) ?
					$_SESSION[$AppCode]['url'] : 'fehlz.php';
				  header("Location: $url");
				}
				$FehlzeitenWarnung = false;

		  if(isset($rvar_fehlz_id)) {
			//abfragen der alten Werte fuer geaendert-Timestamp
			$t_old = abfrage("select date_format(von,'%Y-%m-%d %H:%i'), date_format(bis,'%Y-%m-%d %H:%i'), terminart from tb_termine where termin_id='$rvar_termin_id'");
		  }
		  //Daten fuer tb_termine ZUERST!
		  $sql  = (isset($rvar_fehlz_id)) ? 'update ' : 'insert into ';
		  $sql .= "tb_termine set von = '$beginn',
  						bis = '$ende',
  						terminart = '$rvar_terminart' ";
		  $sql .= (isset($rvar_fehlz_id)) ? " where termin_id = $rvar_termin_id;" : ';';
      abfrage2($sql);

      // Insert-ID aus tb_termine ermitteln
      if (!isset($rvar_fehlz_id)) $id = mysql_insert_id();

      // Daten fuer tb_fehlz
      $sql  = (isset($rvar_fehlz_id)) ? 'update ' : 'insert into ';
      $sql .= "tb_fehlz set pers_id = '$rvar_pers_id', termin_id = ";
      $sql .= (isset($rvar_fehlz_id)) ? "'$rvar_termin_id', " : "'$id', ";
      $sql .= "titel = '$rvar_titel'";
	  if(empty($rvar_fehlz_id)) $sql .= ", angelegt_pers_id = '$uid', angelegt_ts = unix_timestamp(now())";
	  else {
		$geand = false;
		if($t_old[0]!=$beginn || $t_old[1]!=$ende || $t_old[2]!=$rvar_terminart) $geand = true;
		else {
			$fehlz_old = abfrage("select pers_id, titel from tb_fehlz where fehlz_id = '$rvar_fehlz_id'");
			if($fehlz_old[0] != $rvar_pers_id || $fehlz_old[1] != $rvar_titel) $geand = true;
		}
		if($geand) $sql .= ", and_pers_id = '$uid', and_ts = unix_timestamp(now())";
	  }
			if ($rvar_antrag == 1){
				if (isset($rvar_fehlz_id)){
					$sql .= ", antrag = '1'";

					$sql_1  = "select antrag_pers_id, antrag_ts from tb_fehlz ";
					$sql_1 .= "where fehlz_id = '$rvar_fehlz_id';";
					$dat_1 = abfrage_assoc($sql_1);

					if (empty($dat_1['antrag_pers_id'])) {
						$sql .= ", antrag_pers_id = '$uid'";
					}

					if (empty($dat_1['antrag_ts'])) {
						$sql .= ", antrag_ts = unix_timestamp(now())";
					}

				} else {
					$sql .= ", antrag = '1', antrag_pers_id = '$uid', ";
					$sql .= "antrag_ts = unix_timestamp(now())";
				}
			} else {
				$sql .= ", antrag = NULL, antrag_pers_id = NULL, antrag_ts = NULL";
			}


			if ($rvar_fokus == 1){
				if (isset($rvar_fehlz_id)){
					$sql .= ", fokus = '1'";

					$sql_1  = "select fokus_pers_id, fokus_ts from tb_fehlz ";
					$sql_1 .= "where fehlz_id = '$rvar_fehlz_id';";
					$dat_1 = abfrage_assoc($sql_1);

					if (empty($dat_1['fokus_pers_id'])) {
						$sql .= ", fokus_pers_id = '$uid'";
					}

					if (empty($dat_1['fokus_ts'])) {
						$sql .= ", fokus_ts = unix_timestamp(now())";
					}

				} else {
					$sql .= ", fokus = '1', fokus_pers_id = '$uid', ";
					$sql .= "fokus_ts = unix_timestamp(now())";
				}
			} else {
				$sql .= ", fokus = NULL, fokus_pers_id = NULL, fokus_ts = NULL";
			}


			if ($rvar_genehmigt == 1){
				if (isset($rvar_fehlz_id)){
					$sql .= ", genehmigt = '1'";

					$sql_1  = "select genehmigt_pers_id, genehmigt_ts from tb_fehlz ";
					$sql_1 .= "where fehlz_id = '$rvar_fehlz_id';";
					$dat_1 = abfrage_assoc($sql_1);

					if (empty($dat_1['genehmigt_pers_id'])) {
						$sql .= ", genehmigt_pers_id = '$uid'";
					}

					if (empty($dat_1['genehmigt_ts'])) {
						$sql .= ", genehmigt_ts = unix_timestamp(now())";
					}

				} else {
					$sql .= ", genehmigt = '1', genehmigt_pers_id = '$uid', ";
					$sql .= "genehmigt_ts = unix_timestamp(now())";
				}
			} else {
				$sql .= ", genehmigt = NULL, genehmigt_pers_id = NULL, genehmigt_ts = NULL";
			}

			$sql .= (isset($rvar_fehlz_id)) ? " where fehlz_id = '$rvar_fehlz_id';" : ';';

			abfrage2($sql);

      $fid = isset($rvar_fehlz_id) ? $rvar_fehlz_id : mysql_insert_id();
	  
	  abfrage2("DELETE FROM tbh_za WHERE fehlz_id='$fid'");
	  if($rvar_terminart=='w' || $rvar_terminart=='wbf' || $rvar_terminart=='wbu') {
		$sql  = (empty($rvar_awb_id)) ? "INSERT INTO " : "UPDATE ";
		$sql .= "tb_awb SET pers_id = '$rvar_pers_id', fehlz_id = '$fid', awb_kat_id='$rvar_awb_kat_id'";
		$sql .= (empty($rvar_awb_id)) ? ";" : " WHERE awb_id = '$rvar_awb_id';";
		abfrage2($sql);
		if(!empty($rvar_za)) {
			abfrage2("INSERT INTO tbh_za SET awb_id='$rvar_za', fehlz_id='$fid'");
		}
	  }

	  // War Fehlzeit vorher mal Weiterbildung?
	  if(isset($rvar_fehlz_id) && $rvar_terminart!='w' && $rvar_terminart!='wbf' && $rvar_terminart!='wbu') {
		abfrage2("delete from tb_awb where fehlz_id='$rvar_fehlz_id'");
	  }

	  // Zwischentabelle Fehlzeitenueberschneidung
	  update_fehlz_ueberschneidung($rvar_pers_id);

      /* alle Projekte im Cache zuruecksetzen fuer diese Person */
      azk_cache_pers_reset($rvar_pers_id);
	  $rvar_fehlz_id = $fid;
	  }
  	}
   }
  } else {
  	$page_err = 3;
  }
 }
 $TmpVon = $rvar_von;
 $TmpBis = $rvar_bis;
 $TmpMitarbeiter = $rvar_pers_id;
 $TmpArt = $rvar_terminart;
 $TmpTitel = $rvar_titel;
 $TmpAntrag = $rvar_antrag ? true : false;
 $TmpFokus = $rvar_fokus ? true : false;
 $TmpGenehmigung = $rvar_genehmigt ? true : false;
 $TmpZa = $rvar_za;
 $TmpAwbKat = $rvar_awb_kat_id;
 if($TmpAntrag || $TmpFokus || $TmpGenehmigung) $showWarning = true;
} else $showWarning = false;

if (isset($_POST['vertr_projekt'])){
  if(($_POST['beschr'] != "") && ($_POST['beschr'] != " ")) {
	/* pruefen, ob schon Eintrag zu diesen IDs in der Tabelle vorhanden */
	$sql  = "SELECT v.vertreter_id, v.vertrdatum FROM tbh_fehlz_vertretung v ";
	$sql .= "WHERE fehlz_id='$rvar_fehlz_id' AND proj_id='".$_POST['vertr_projekt']."' ";
	$sql .= "AND vertreter_id='$uid';";
    $erg  = abfrage1($sql);
    if (mysql_num_rows($erg) > 0) {
		$sql  = "UPDATE tbh_fehlz_vertretung SET vertreter_id='". $uid . "', geklaert=1, ";
		$sql .= "vertrdatum = now(), beschreibung = '".$_POST['beschr'] . "' ";
		$sql .= "WHERE fehlz_id='$rvar_fehlz_id' AND proj_id='".$_POST['vertr_projekt']."';";
    } else {
		/* noch kein Eintrag vorhanden */
		$sql  = "INSERT INTO tbh_fehlz_vertretung SET fehlz_id='$rvar_fehlz_id', ";
		$sql .= "proj_id='".$_POST['vertr_projekt']."', beschreibung = '".$_POST['beschr']."', ";
		$sql .= "vertreter_id='". $uid ."', geklaert=1, vertrdatum = now();";
    }
	abfrage2($sql);
  }
  else $ErrorMessage = "<b>Schreiben nicht m&ouml;glich, Vertretungsvereinbarung wurde nicht ausgef&uuml;llt!</b>";
}

if (isset($_POST['uncheck_projekt'])){
	$sql  = "UPDATE tbh_fehlz_vertretung SET vertreter_id = $uid, ";
	$sql .= "vertrdatum = now(), beschreibung = null, geklaert = 0 ";
	$sql .= "WHERE fehlz_id='$rvar_fehlz_id' AND proj_id='".$_POST['uncheck_projekt']."';";
	abfrage2($sql);
}

 /*
  * Ab hier wird das normale Standeingabeformular fuer Fehlzeiten gezeigt.
  * Deshalb zusaetzliche Dateien einbinden.
  */
require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');

if (isset($rvar_fehlz_id)){

	$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%Y') as von, ";
	$sql .= "date_format(t.bis, '%d.%m.%Y') as bis, f.pers_id, t.terminart, ";
	$sql .= "t.termin_id, to_days(t.von) - to_days(curdate()) as frist, ";
	$sql .= "f.antrag, f.genehmigt, f.titel, f.fokus, ";
	$sql .= "f.antrag_ts, f.antrag_pers_id, f.fokus_ts, f.fokus_pers_id, ";
	$sql .= "f.genehmigt_ts, f.genehmigt_pers_id, f.abgerechnet, ";
	$sql .= "f.angelegt_pers_id, f.angelegt_ts, f.and_pers_id, f.and_ts, ";
	$sql .= "year(t.von) as jahr from tb_fehlz f ";
	$sql .= "left join tb_termine t using (termin_id) ";
	$sql .= "where fehlz_id = '$rvar_fehlz_id';";

	$fz = abfrage_assoc($sql);
} else $fz = array();

$lvl = abfrage("select level from tb_personal where pers_id = '{$fz['pers_id']}'");

$vorgesetzter = false;
if($ulv >= 97) $vorgesetzter = true;
elseif($fz['pers_id'] != $uid) {
	/* Abteilungen des Benutzers abfragen */
	$sql  = "select h.abt_id from tbh_pers_abt h ";
	$sql .= "left join tb_personal_abt_leit l on h.abt_id = l.abt_id ";
	$sql .= "where h.pers_id = '{$fz['pers_id']}' and l.pers_id = '$uid' and l.personal='j';";
	$abts = abfrage1($sql);
	if(mysql_num_rows($abts) > 0) $vorgesetzter = true;
}

echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"POST\">\n";
echo "<input type=\"hidden\" name=\"chg\" value=\"1\">\n";

echo "<table><tr><td class=\"cl20\"><table>\n";

$ti = 1;

$readonly = '';
if ($ulv < 96 && (($fz['genehmigt'] == 1) ||
	(empty($fz['genehmigt']) && $fz['antrag'] == 1 && $ulv < 65 && !$vorgesetzter) ||
	($fz['jahr'] <= date('Y') && !check_nutzer_rechte(10001) && $fz['pers_id'] == $uid)
	)){
	$readonly = "readonly";
	if(check_al_rechte($fz['pers_id'])) {
		if(!istMonatAbgerechnet($fz['von'])) $readonly = '';
	}
}

echo "<tr><th class=\"cl1\">von:</th>\n";
echo "<td colspan=\"2\"><input type=\"text\" $readonly id=\"von\" name=\"von\" size=\"11\" ";
echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;

if(isset($TmpVon)) echo " value=\"$TmpVon\"";
elseif(isset($_GET['tag'])) echo " value=\"".date_my2gr($_GET['tag'])."\"";
elseif (isset($rvar_fehlz_id)) {
	echo " value=\"{$fz['von']}\"";
}
echo ">&nbsp;&nbsp;TT.MM.JJJJ</td><td style=\"text-align:right\">";

if(isset($rvar_fehlz_id) && ($fz['terminart']=='w' || $fz['terminart']=='wbf' || $fz['terminart']=='wbu')) {
	$awb = abfrage("select awb_id from tb_awb where fehlz_id='$rvar_fehlz_id'");
	echo "<a href=\"wtb_and.php?".(empty($awb[0]) ? "fehlz_id=$rvar_fehlz_id" : "awb_id=$awb[0]")."\">AWB</a>";
}

echo "</td>\n</tr>\n<tr><th class=\"cl1\">bis:</th>\n";
echo "<td colspan=\"2\"><input type=\"text\" $readonly id=\"bis\" name=\"bis\" size=\"11\" ";
echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
if(isset($TmpBis)) echo " value=\"$TmpBis\"";
elseif(isset($_GET['tag'])) {
	if(substr($_GET['anz'],0,1) == 'w') echo " value=\"".date('d.m.Y',getWochenEnde(date_my2ts($_GET['tag'])))."\"";
	else echo " value=\"".date_my2gr($_GET['tag'])."\"";
} elseif (isset($rvar_fehlz_id)) {
	echo "value=\"{$fz['bis']}\"";
}
echo ">&nbsp;&nbsp;TT.MM.JJJJ</td><td style=\"text-align:right\">";

if(isset($rvar_fehlz_id) && ($fz['terminart']=='w' || $fz['terminart']=='wbf' || $fz['terminart']=='wbu') && !empty($awb[0])) {
   $daten = new stwDaten("35");
   $link  = $daten->get_klammer_link($_SESSION["webdir"],$uid,$ulv,$awb[0], "0");
   echo $link;
}
echo "</td></tr>\n";

echo "<tr><th class=\"cl1\">Mitarbeiter:</th>\n";
echo "<td colspan=\"3\">";
if (check_nutzer_rechte(42)){
  echo "<select name=\"pers_id\" size=\"1\" tabindex=\"$ti\" style=\";width:100%\">\n";
  $ti++;

  $order = ($pers_order == 2) ? "name asc, vorname asc" : "vorname asc, name asc";
  $res = abfrage1("select pers_id from tb_personal
                  where (status_id=2 or pers_id='{$fz['pers_id']}')
                  order by $order");
  while ($zeile = mysql_fetch_row($res)) {
    echo "<option";
    if(isset($TmpMitarbeiter)) {
      if ($TmpMitarbeiter == $zeile[0]) echo ' selected';
    } elseif(isset($rvar_ma)) {
      if ($rvar_ma == $zeile[0]) echo ' selected';
    } elseif (isset($rvar_fehlz_id)) {
      if ($fz['pers_id'] == $zeile[0]) echo ' selected';
    } else {
      if ($uid == $zeile[0])  echo ' selected';
    }
    echo " value=\"$zeile[0]\">" . ($pers_order==2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
  }
  echo "</select>\n";
} else {
	$pid = (isset($rvar_fehlz_id))? $fz['pers_id'] : $uid;
	echo pers_name($pid);
	echo "\n<input type=\"hidden\" name=\"pers_id\" value=\"$pid\">\n";
}
echo "</td></tr>\n";

echo "<tr><th class=\"cl1\">Art der Fehlzeit:</th>\n";
echo "<td colspan=\"3\"><span style=\"outline:1px ridge white;\">";
$style = "font-weight:bold;background-color:#333333;";
echo "<select name=\"terminart\" size=\"1\" onchange=\"document.getElementById('senden').style.display='none';this.form.submit();\" style=\"";
echo $style . " color: #CCCCCC;width:100%\" tabindex=\"$ti\">\n"; $ti++;

echo "<option value=\"u\" style=\"$style color: #CCCCCC;\">Art der Fehlzeit w&auml;hlen!</option>\n";

$sql  = "select terminart, name, farbe from tb_terminart ";
$sql .= "where terminart in('u','k','w','f','wbf','ef','uf','kk','kf','ez','wbu','kol','ms','wol') ";
$sql .= "order by name asc;";

$res = abfrage1($sql);

/* Personalart des angemeldeten Nutzers ermitteln */
$sql  = "SELECT p_art_id FROM tb_personal WHERE pers_id = '$uid';";

$part = abfrage($sql);

/*
 * Verschiedene Fehlzeitarten anbieten - wenn Mitarbeiter ein "MAE" oder "TTT"
 * Mitglied ist, zwei zusaetzliche Arten anbieten (entschuldigtes Fehlen und
 * unentschuldigtes Fehlen.
 */
while ($zeile = mysql_fetch_row($res)){
	$color = (($zeile[2] == NULL) || ($zeile[2] == "")) ? "#CCCCCC" : $zeile[2];
	if ($zeile[0] == 'ef' || $zeile[0] == 'uf'){
		if ($part[0] == 18 || $part[0] == 17 || $ulv > 96 ||
     		check_nutzer_rechte(42)){
    	echo '<option';
    	if(isset($TmpArt)) {
			if ($TmpArt == $zeile[0]) echo ' selected';
    	}
    	elseif ($fz['terminart'] == $zeile[0]) echo ' selected';
    	echo " value=\"$zeile[0]\" style=\"$style color: $color;\">$zeile[1]</option>\n";
     }
  } else {
    echo '<option';
   	if(isset($TmpArt)) {
		if ($TmpArt == $zeile[0]) echo ' selected';
	}
  	elseif ($fz['terminart'] == $zeile[0]) echo ' selected';
  	echo " value=\"$zeile[0]\" style=\"$style color: $color;\">$zeile[1]</option>\n";
  }
}
echo "</select></span></td></tr>\n";

$terminart = isset($TmpArt) ? $TmpArt : $fz['terminart'];
if($terminart=='w' || $terminart=='wbf' || $terminart=='wbu') {
	$awb = empty($rvar_fehlz_id) ? array() : abfrage_array("select * from tb_awb where fehlz_id='$rvar_fehlz_id'");
	if(!empty($awb['awb_id'])) echo "<input type=\"hidden\" name=\"awb_id\" value=\"".$awb['awb_id']."\">\n";
	echo "<tr><th class=\"cl1\">Zusatzausbildung:</th>\n<td colspan=\"3\">";
	$res = abfrage1("select a.awb_id, date_format(a.beginn, '%d.%m.%Y'), 
					 date_format(a.ende, '%d.%m.%Y'), k.name, a.titel, 
					 date_format(t.von, '%d.%m.%Y'), date_format(t.bis, '%d.%m.%Y')
					 from tb_awb a
					 left join tb_awb_kat k using(awb_kat_id)
					 left join tb_fehlz f using(fehlz_id)
					 left join tb_termine t using(termin_id)
					 where a.za='1' and a.pers_id='".(isset($TmpMitarbeiter) ? $TmpMitarbeiter : $fz['pers_id'])."'");
	echo "<select name=\"za\" size=\"1\" style=\"width:100%\" onchange=\"document.getElementById('senden').style.display='none';this.form.submit();\">\n";
	echo "<option value=\"0\">nicht Bestandteil einer Zusatzausbildung</option>\n";
	if(isset($TmpZa)) $za = $TmpZa;
	else {
		$zuau = abfrage("select awb_id from tbh_za where fehlz_id='$rvar_fehlz_id'");
		$za = $zuau[0];
	}
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option value=\"$zeile[0]\" title=\"$zeile[4]\"";
		if($zeile[0]==$za) echo " selected";
		$wvon = $zeile[1]=='00.00.0000' ? $zeile[5] : $zeile[1];
		$wbis = $zeile[2]=='00.00.0000' ? $zeile[6] : $zeile[2];
		if(substr($wvon,0,6) == '01.01.') $wvon = substr($wvon,-4);
		if(substr($wbis,0,6) == '01.01.') $wbis = substr($wbis,-4);
		echo ">$wvon - $wbis $zeile[3]</option>\n";
	}
	echo "</select>\n</td>";
	echo "</tr>\n<tr><th class=\"cl1\">";
	if (check_nutzer_rechte(79)){
		echo " <a href=\"awb_kat.php\"" . stwToolTip('Kategorien bearbeiten') . '>';
		echo "<img border=\"0\" src=\"img/edit.png\"></a>";
	}
	echo "Kategorie:</th>\n<td colspan=\"3\">";
	echo "<select name=\"awb_kat_id\" size=\"1\" tabindex=\"$ti\" style=\"width:100%\">\n";
	$ti++;
	echo "<option value=\"0\">Bitte Kategorie w&auml;hlen!</option>\n";
	$res = abfrage1("select * from tb_awb_kat where aktiv='j' or awb_kat_id='".$awb['awb_kat_id']."' order by name asc");
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if(isset($TmpAwbKat)) {
		  if ($TmpAwbKat == $zeile[0]) echo ' selected';
		} elseif (isset($rvar_fehlz_id)) {
		  if ($awb['awb_kat_id'] == $zeile[0]) echo ' selected';
		}
		echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
	}
	echo "</select>\n";
	echo "</td></tr>\n";
}

echo "<tr><th class=\"cl1\">Titel:</th>\n";
echo "<td colspan=\"3\"><input type=\"text\" name=\"titel\" style=\"width:100%\" ";
echo "maxlength=\"50\" tabindex=\"$ti\""; $ti++;
if(isset($TmpTitel)) echo "value=\"$TmpTitel\"";
elseif (isset($rvar_fehlz_id)) echo "value=\"{$fz['titel']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Fehlzeit geplant:</th>\n";
echo "<td /><td class=\"cl11\">";
if($fz['angelegt_pers_id'] > 0) echo pers_name($fz['angelegt_pers_id']);
echo "</td><td class=\"cl11\">";
if($fz['angelegt_ts']) echo date('d.m.y H:i', $fz['angelegt_ts']);
echo "</td></tr>\n";

if(isset($rvar_fehlz_id) && in_array($terminart, array('u','f','w','wbf','wbu','kf'))) {
	$exist = abfrage("select ts from tb_jahresplan where jahr='{$fz['jahr']}' and abt_id='0'");
	echo "<tr><th class=\"cl1\">in Planung ".$fz['jahr'].":</th>\n";
	echo "<td style=\"width:18px;height:18px;vertical-align:middle;text-align:center;";
	if(empty($exist[0])) {
		echo "\"><img src=\"img/unchecked.png\"" . stwToolTip("Aufnahme von Zeitkarten in Jahresplanung<br>erst nach Erstellung in Fehlzeiten&uuml;bersicht m&ouml;glich") . "/>";
	} else {
		$stdabt = abfrage("select standard_abteilung from tb_personal where pers_id='{$fz['pers_id']}'");
		$planung = abfrage_assoc("select * from tb_fehlz_planung where fehlz_id='$rvar_fehlz_id' order by id desc limit 1");
		if($planung['checked'] == 'al') {
			$col = abfrage("select farbe from tb_personal_abt where abt_id='$stdabt[0]'");
			echo "background-color:$col[0]";
		}
		echo "\">";
		echo "<input type=\"checkbox\" id=\"planung\" tabindex=\"$ti\" "; $ti++;
		echo "onclick=\"xajax_Planung($rvar_fehlz_id,$uid,this.checked,von.value,bis.value)\" ";
		if(!empty($planung['id'])) {
			$sql = "select checked, date_format(von, '%d.%m.%y'), 
					date_format(bis, '%d.%m.%y'), pers_id, ts 
					from tb_fehlz_planung where fehlz_id='$rvar_fehlz_id' 
					order by id desc";
			$plans = abfrage1($sql);
			$tt = '';
			while($plan = mysql_fetch_row($plans)) {
				$tt .= "<input type=\"checkbox\"";
				if($plan[0]!='n') $tt .= ' checked';
				$tt .= "/> " . $plan[1] . ' - ' . $plan[2] . ' <b>';
				$tt .= pers_kname($plan[3]) . '</b> am ';
				$tt .= date('d.m.y H:i', $plan[4]) . "<br />";
			}
			$tt = stwToolTip($tt,false);
		} else $tt = '';
		if ($planung['checked'] == 'j')	echo ' checked';
		if ($ulv < 97) {
			if ($planung['checked'] == 'al')	echo ' checked';
			$abtleit = abfrage("select pers_id from tb_personal_abt_leit where pers_id='$uid' and abt_id='$stdabt[0]'");
			if($abtleit[0] != $uid) echo ' disabled';
		}
		echo $tt . "/></td>\n<td class=\"cl11\">";
		if($planung['pers_id'] > 0) {
			if($planung['checked'] == 'al') {
				echo "<span" . stwToolTip(pers_name($planung['pers_id']) . ' ' . date('d.m.y H:i', $planung['ts'])) . ">vom AL bef&uuml;rwortet</span>";
			} else echo pers_name($planung['pers_id']);
		}
		echo "</td>\n<td>";
		if($planung['ts'] && $planung['checked'] != 'al') echo date('d.m.y H:i', $planung['ts']);
	}
	echo "</td></tr>\n";
}
/* Antrag */
echo "<tr><td class=\"cl1\"><b style=\"color:#FFCC00\">Fehlzeit gekl&auml;rt:</b><br>(ehemals: Antrag)</td>\n";
echo "<td style=\"width:18px;height:18px;vertical-align:middle;text-align:center;\"><input type=\"checkbox\" name=\"antrag\" value=\"1\" ";
echo "onclick=\"document.getElementById('senden').style.display='none';this.form.submit();\" ";
echo "tabindex=\"$ti\""; $ti++;
if(isset($TmpAntrag)) {
	if ($TmpAntrag == 1) echo ' checked';
}
elseif ($fz['antrag'] == 1)	echo ' checked';
if ($ulv < 65
	&& (empty($rvar_fehlz_id) || $fz['frist'] > 28 
	|| ($lvl[0] >= $ulv  && $fz['pers_id'] != $uid)))
	echo ' disabled';
echo "></td>\n";

echo "<td class=\"cl11\">";
if ($fz['antrag_pers_id'] > 0) echo pers_name($fz['antrag_pers_id']);
echo "</td>\n";

echo "<td>";
if ($fz['antrag_ts'] > 0) echo date('d.m.y H:i', $fz['antrag_ts']);
echo "</td></tr>\n";


/* Befuerwortung durch Fokus */
echo "<tr><th class=\"cl1\">Bef&uuml;rwortung Fokus:</th>\n";
echo "<td style=\"width:18px;height:18px;vertical-align:middle;text-align:center;\"><input type=\"checkbox\" name=\"fokus\" value=\"1\" ";
echo "tabindex=\"$ti\""; $ti++;
if(isset($TmpFokus)) {
	if ($TmpFokus == 1) echo ' checked';
} elseif ($fz['fokus'] == 1) echo ' checked';
if ($ulv < 70 && pers_fokus($fz['pers_id']) != $uid) {
	$abteilungen = abfrage1("select abt_id from tb_personal_abt_leit where pers_id='$uid'");
	if(mysql_num_rows($abteilungen) == 0) echo ' disabled';
	else {
		$abts = '';
		while ($abteilung = mysql_fetch_row($abteilungen)) {
			$abts .= ($abts == '') ? $abteilung[0] : ",$abteilung[0]";
		}
		$persabt = abfrage1("select abt_id from tbh_pers_abt where pers_id='".$fz['pers_id']."' and abt_id in ($abts)");
		if(mysql_num_rows($persabt) == 0) echo ' disabled';
	}
}
echo "></td>\n";

echo "<td class=\"cl11\">";
if ($fz['fokus_pers_id'] > 0) echo pers_name($fz['fokus_pers_id']);
echo "</td>\n";

echo "<td>";
if ($fz['fokus_ts'] > 0) echo date('d.m.y H:i', $fz['fokus_ts']);
echo "</td></tr>\n";


/* Genehmigung */
if($fz['genehmigt'] == 1 && ((empty($fz['antrag']) && empty($TmpAntrag)) || $ulv < 97))
	echo "<input type=\"hidden\" name=\"genehmigt\" value=\"1\">\n";
echo "<tr><th class=\"cl1\">Genehmigung:</th>\n";
echo "<td style=\"width:18px;height:18px;vertical-align:middle;text-align:center;\"><input type=\"checkbox\" name=\"genehmigt\" ";
echo "value=\"1\" tabindex=\"$ti\""; $ti++;
if(empty($fz['antrag']) && empty($TmpAntrag)) echo ' disabled';
if(isset($TmpGenehmigung)) {
	if ($TmpGenehmigung == 1) echo ' checked';
}
elseif ($fz['genehmigt'] == 1) echo ' checked';

if (($lvl[0] < $ulv && $vorgesetzter && empty($fz['genehmigt'])) || $ulv >= 97){
} else {
	echo ' disabled';
}
echo "></td>\n";

echo "<td class=\"cl11\">";
if ($fz['genehmigt_pers_id'] > 0) echo pers_name($fz['genehmigt_pers_id']);
echo "</td>\n";

echo "<td>";
if ($fz['genehmigt_ts'] > 0) echo date('d.m.y H:i', $fz['genehmigt_ts']);
echo "</td></tr>\n";

echo "<tr>\n";
/* Uebersicht Abrechnung 'Kind Krank' */
if($fz['terminart'] == "kk")
{
	new stwTabLine(2,5);
	echo "<th class=\"cl1\">Abgerechnet:</th>\n";
	echo "<td colspan=\"4\">";
	echo $fz['abgerechnet'] ? strftime("%B %Y", date_isodatetime_stamp($fz['abgerechnet'])) : "Nein";
	if(date_time_stamp(check_date($fz['bis'])) < "2009-04-01 00:00") 
		echo ", Fehlzeit liegt zu weit zurueck!";
	echo "</td>\n";
}

new stwTabLine(1,5);

echo "<td colspan=\"5\">";
if($vorgesetzter || empty($_GET['ab']) && ($ulv > 5 || $pid == $uid)) {
  if (isset($rvar_fehlz_id)) {
	echo "<input type=\"hidden\" name=\"termin_id\" value=\"{$fz['termin_id']}\">\n";
	echo "<input type=\"hidden\" name=\"fehlz_id\" value=\"$rvar_fehlz_id\">\n";
	$darfspeichern = false;
	if (empty($fz['genehmigt']) || $ulv >= 96) $darfspeichern = true;
	elseif(check_al_rechte($fz['pers_id'])) {
		if(isset($TmpVon)) {
			if(!istMonatAbgerechnet($TmpVon)) $darfspeichern = true;
		} elseif(!istMonatAbgerechnet($fz['von'])) $darfspeichern = true;
	}
	if($darfspeichern) {
		echo "<input type=\"submit\" name=\"senden\" id=\"senden\" style=\"width:90px\" value=\"Speichern\" ";
		echo "tabindex=\"$ti\">\n";
	}
  } else {
	echo "<input type=\"submit\" name=\"senden\" id=\"senden\" value=\"Speichern\" ";
	echo "tabindex=\"$ti\">\n";
  }
}
if($fz['angelegt_pers_id'] > 0) {
	echo " &nbsp; Angelegt am " . date('d.m.Y', $fz['angelegt_ts']);
	echo " von " . pers_kname($fz['angelegt_pers_id']);
}
if($fz['and_pers_id'] > 0) {
	echo "<br><img src=\"img/clearpixel.png\" height=\"1\" style=\"width:90px\">\n ";
	echo "&nbsp;zuletzt ge&auml;ndert am " . date('d.m.Y', $fz['and_ts']);
	echo " von " . pers_kname($fz['and_pers_id']);
}
echo "</td></tr>\n";

if($FehlzeitenWarnung) {
  new stwTabLine(1,5);
  echo "<tr><td colspan=\"4\">$FehlzeitenWarnung</td></tr>\n";
}

echo "</form>\n";
echo "</tr></table></td>\n";
/* Tabelle fuer Projektliste */
if(isset($rvar_fehlz_id) || $showWarning) {
 $von = isset($TmpVon) ? $TmpVon : $fz['von'];
 $von_ts = date_gr2ts($von);
 $bis = isset($TmpBis) ? $TmpBis : $fz['bis'];
 $bis_ts = date_gr2ts($bis);
 $nextFZ = abfrage("select unix_timestamp(t.von), date_format(t.bis, '%d.%m.%Y') 
					from tb_fehlz f left join tb_termine t using (termin_id) 
					where unix_timestamp(t.von)>'$bis_ts' 
					and f.pers_id = '{$fz['pers_id']}'
					order by von asc limit 1");
 if($nextFZ[0] > 0 && arbeitstage($bis_ts, $nextFZ[0]) < 3) $bis = $nextFZ[1];
 $prevFZ = abfrage("select unix_timestamp(t.bis), date_format(t.von, '%d.%m.%Y') 
					from tb_fehlz f left join tb_termine t using (termin_id) 
					where unix_timestamp(t.bis)<'$von_ts' 
					and f.pers_id = '{$fz['pers_id']}'
					order by bis desc limit 1");
 if($prevFZ[0] > 0 && arbeitstage($prevFZ[0], $von_ts) < 3) {
	$von = $prevFZ[1];
	$von_ts = date_gr2ts($von);
}

$done = abfrage("SELECT vertreter_id FROM tbh_fehlz_vertretung WHERE fehlz_id='$rvar_fehlz_id' and geklaert=1 limit 1");
 if(arbeitstage($von_ts, $bis_ts) > 3 || $done[0]>0 || isset($rvar_vertretungsvereinbarung)) {
  $persId = isset($TmpMitarbeiter) ? $TmpMitarbeiter : $fz['pers_id'];
  $mindestensEins = true;
  $mindestensEinsNochNichtAbgehakt = false;
  echo "<td>$ErrorMessage<table>\n";
  $sql  = "select distinct h.proj_id from tbh_pers_proj h ";
  $sql .= "inner join tb_projekte p on h.proj_id = p.proj_id ";
  $sql .= "left join tb_hilfeart a on a.hilfeart_id = p.hilfeart_id ";
  $sql .= "left join tb_personaltyp s ON h.personaltyp_id = s.personaltyp_id ";
  $sql .= "left join tbh_pers_proj p2 on h.proj_id = p2.proj_id ";
  $sql .= "where h.pers_id = '$persId' ";
  $sql .= "and (a.vertretung = 0 or a.vertretung is NULL) ";
  $sql .= "and (h.personaltyp_id IN (1,8,9)) ";
  $sql .= "and (p.ende is NULL or p.ende = '0000-00-00' or ";
  $sql .= "to_days(p.ende) > to_days('".date_gr2my($von)."')) ";
  $sql .= "order by (p.projektnr >= 900) asc, s.sort asc, p.projektnr asc";
  $res = abfrage1($sql);
  while ($zeile = mysql_fetch_row($res)){
	$projekt = &new stwProjekt($zeile[0]);
	if( ($projekt->nr<5000) && ($projekt->beginn())
	&& (date_gr2ts($projekt->beginn()) < $bis_ts)){
	  $showIt = false;
	  if($ulv >= 97) $showIt = true;
	  else {
		$sql  = "select personaltyp_id from tbh_pers_proj ";
		$sql .= "where pers_id=$uid and proj_id=".$projekt->id;
		$sql .= " and personaltyp_id in (1,2,3,8,9)";
		$abf  = abfrage1($sql);
		if(mysql_num_rows($abf)>0) $showIt = true;
	  }
	  if($showIt) {
	    if($mindestensEins) {
	      $mindestensEins = false;
	      echo "<tr><th>Projektnr.</th><th>Vertretung</th><th colspan=\"3\">gekl&auml;rt</th></tr>\n";
	      new stwTabLine(2,5);
	    }
		$sql  = "SELECT t2.vorname, t2.name, t1.pers_id, t2.teldienst, ";
		$sql .= "t2.telmobil, t1.personaltyp_id FROM tbh_pers_proj t1 ";	
		$sql .= "LEFT JOIN tb_personal t2 ON t1.pers_id = t2.pers_id ";
		$sql .= "WHERE t1.proj_id='".$projekt->id."' AND t1.personaltyp_id IN ";
		$sql .= "(3,8,9) ORDER BY t1.personaltyp_id DESC LIMIT 1";
		$ver  = abfrage($sql);
	
		$sql  = "SELECT v.vertreter_id, date_format(v.vertrdatum,'%d.%m.%Y'), ";
		$sql .= "v.beschreibung, v.geklaert FROM tbh_fehlz_vertretung v ";
		$sql .= "WHERE fehlz_id='$rvar_fehlz_id' AND proj_id='".$projekt->id."';";
		$ver2  = abfrage($sql);
		$klar = $ver2[3] ? $ver2[1] : "";
		if($ver2[3]) $checked = "checked ";
		else {
			$checked = "";
			$mindestensEinsNochNichtAbgehakt = true;
		}
		if($ver2[3])
			$tt = "wurde von " . pers_kname($ver2[0]) . " gekl&auml;rt";
		else if($ver2[1])
			$tt = "am $ver2[1] als ungekl&auml;rt markiert (" . pers_kname($ver2[0]) . ")";
		else
			$tt = "Vertretung als gekl&auml;rt markieren";
	
		$name = $style = '';
		if (empty($ver[1])) {
			$vertr = "";
			if(!($ver2[3])) {
				$name = "name=\"blink\"";
			}
		} else {
			$vertr = substr($ver[0], 0, 1).". ".$ver[1];
			$fz = abfrage("SELECT f.fehlz_id, a.farbe, a.name, 
						  date_format(t.von, '%d.%m.'), date_format(t.bis, '%d.%m.')
						  FROM tb_fehlz f
						  LEFT JOIN tb_termine t on f.termin_id = t.termin_id
						  LEFT JOIN tb_terminart a on t.terminart = a.terminart
						  WHERE f.pers_id = '$ver[2]'
						  AND t.von <= '".date_gr2my($bis)."' 
						  AND t.bis >= '".date_gr2my($von)."';");
			if(!empty($fz[0])) {
				$style = "style=\"color:$fz[1]\"" . stwToolTip("<b>$fz[3] - $fz[4]</b> $fz[2]");
			}
		}
		$urlext  = "abmonat=" . date("n",$von_ts);
		$urlext .= "&abjahr=" . date("Y",$von_ts);
		$urlext .= "&proj_id=" . $projekt->id;
		echo "<tr><td $name>".$projekt->link('',true,false,$persId)."</td>\n<td $style>$vertr</td>\n";
	
		if($ver2[3]) {
			echo "<form action=\"{$_SERVER['PHP_SELF']}?fehlz_id=$rvar_fehlz_id\" ";
			echo "method=\"POST\">\n<td>\n";
		} else {
			echo "<form method=\"POST\" action=\"pro_ab.php?";
			echo "abmonat=" . date("n",$von_ts);
			echo "&abjahr=" . date("Y",$von_ts);
			echo "&proj_id=".$projekt->id."\"><td colspan=\"3\">\n";
			echo "<input type=\"hidden\" name=\"fehlz_id\" value=\"$rvar_fehlz_id\">\n";
		}
		echo "<input type=\"checkbox\" $checked ";
		if(isset($rvar_fehlz_id) || (!$showWarning)) echo "onclick=\"this.form.submit();document.getElementById('senden').style.display='none';\" ";
		echo stwToolTip($tt) . "> &nbsp;$klar</td>\n";
		echo "</form>\n";
		if($ver2[3]) {
		  if($von_ts > time()) {
			echo "<td><form style=\"height:2px;\" action=\"{$_SERVER['PHP_SELF']}";
			echo "?fehlz_id=$rvar_fehlz_id\" method=\"POST\">\n";
			echo "<input type=\"hidden\" name=\"uncheck_projekt\" value=\"".$projekt->id."\">\n";
			echo "<input type=\"image\" src=\"img/del_kal.png\" ";
			echo stwToolTip("Vertretungsvereinbarung l&ouml;schen");
			echo "style=\"background-color: #333333\"></form></td>\n";
		  }
		  echo "<td><a href=\"pro_ab.php?$urlext\" ".stwToolTip($ver2[2]);
		  echo "><img src=\"img/stift.png\"></a></td>\n";
		}
	  }
	}
  }
  new stwTabLine(1,5);
  if($showWarning && $mindestensEinsNochNichtAbgehakt) {
	echo "<tr><td colspan=\"5\" style=\"color:#FF0000\"><b>";
	echo "Es liegen nicht alle Vertretungsvereinbarungen vor!<br>";
	echo "Setzen des Hakens sollte erst nach einer Kl&auml;rung erfolgen.</b></td></tr>";
	new stwTabLine(1,5);
  }
  echo "</table>\n";
 } else {
	echo "<td><input type=\"button\" onclick=\"self.location.href='fehlz_and.php?fehlz_id=$rvar_fehlz_id&vertretungsvereinbarung=1'\" ";
	echo "style=\"width:300px;background-image:url(img/runter.png);background-repeat:no-repeat;background-position:285px\" value=\"Vertretungskl&auml;rung (optional)\" /></td>\n";
 }
}
echo "</td></tr></table>\n";
if(isset($TmpVon)) $dat = date_gr2ts($TmpVon);
elseif (isset($rvar_fehlz_id)) $dat = date_gr2ts($fz['von']);
else $dat = 1;
new stwEnd($seite, $dat);
?>
