<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fehlz_graph_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter('private');
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
$pdf_datei = "mandant/{$_SESSION[$AppCode]['TR']}/pdf_1.inc.php";
require_once($pfad . $pdf_datei);
require_once($pfad . 'inc/func.inc.php');

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german");
$pers_order = getPersOrder(37);

$ma     = $_GET['ma'];
$p_art  = $_GET['p_art'];
$tr     = $_GET['tr'];
$format = $_GET['format'];
$von    = $_GET['von'];
$bis    = $_GET['bis'];
$pages  = $_GET['pages'];
$width  = $format=='P' ? 185 : 265;

$von_ts = date_isodate_stamp($von);
$bis_ts = date_isodate_stamp($bis);

$w = ($bis_ts - $von_ts) / 86400;
$w = ($width-35) / max(1,$w);
$w = min($w,3.8);

$von_tss = array();
$bis_tss = array();
$mpp = 0;
if($pages > 1) {
	$monate = 0;
	list($jahr1, $monat1, $tag1) = explode("-", $von);
	list($jahr2, $monat2, $tag2) = explode("-", $bis);
	while($jahr1<$jahr2 || ($jahr1==$jahr2 && $monat1<=$monat2)) {
		$monat1++;
		if($monat1 >= 13) {
			$monat1 -= 12;
			$jahr1 ++;
		}
		$monate++;
	}
	if($pages >= $monate) {
		$pages = $monate;
		$mpp = 1;
	} elseif(2*$pages >= $monate) {
		$pages = ceil($monate/2);
		$mpp = 2;
	} elseif(3*$pages >= $monate) {
		$pages = ceil($monate/3);
		$mpp = 3;
	} else $mpp = ceil($monate/$pages);
} else {
	$von_tss[0] = $von_ts;
	$bis_tss[0] = $bis_ts + 43200;
}

$j = 0;
for($i=0;$i<$mpp*$pages;$i++) {
	$ts = mktime(0,0,0,date('n', $von_ts)+$i,($i==0) ? date('j', $von_ts) : 1,date('Y', $von_ts));
	if($i % $mpp == 0) {
		$von_tss[$j] = $ts;
	}
	if($i % $mpp == $mpp-1) {
		$ts = mktime(0,0,0,date('n', $ts),date('t', $ts),date('Y', $ts));
		$bis_tss[$j] = min($ts,$bis_ts) + 43200;
		$j++;
	}
}
$w = ($bis_tss[0] - $von_tss[0]) / 86400;
$w = ($width-35) / max(1,$w);
$w = min($w,3.8);

$pdf = new PDF($format,'mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25);
$pdf->SetLeftMargin(15);
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$footer = "Fehlzeitenbersicht ".date_my2gr($von)." - ".date_my2gr($bis);
if($ma == 'all') {
  $footer2 = '';
  if(substr($tr,0,3) == 'abt') {
	$abt = abfrage("select name from tb_personal_abt where abt_id='".substr($tr,3)."'");
	$footer2 .= "Abteilung: $abt[0]";
  } elseif(substr($tr,0,1) != 'a') {
	$traeger = abfrage("select traeger_art from tb_traeger_art where traeger_art_id='$tr'");
	$footer2 .= "Trger: $traeger[0]";
  }
  if($p_art != 'all') {
	$pa = abfrage("select beschreibung, personalart from tb_personalart where p_art_id='$p_art'");
	if($footer2 != '') $footer2 .= $format=='P' ? "\n" : ', ';
	$footer2 .= "Personalart: " . (empty($pa[0]) ? $pa[1] : $pa[0]);	
  }
} else $footer2 = pers_name($ma);
$footer2 = str_replace("&auml;", "", $footer2);
$footer2 = str_replace("&uuml;", "", $footer2);
$footer2 = str_replace("&ouml;", "", $footer2); 
$footer2 = str_replace("&szlig;","", $footer2); 

$select  = "select f.fehlz_id, date_format(t.von, '%d.%m.%Y') as von_dt, ";
$select .= "date_format(t.bis, '%d.%m.%Y') as bis_dt, ";
$select .=	"concat(left(p.vorname, 1), '. ', p.name) as person, a.name, ";
$select .= "unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts, ";
$select .= "f.antrag, f.genehmigt, t.terminart, f.pers_id, year(t.von) as jahr, ";
$select .= "p.besch_id, f.titel, a.farbe ";
if($pers_order == 1) $order = "order by p.vorname asc, p.name asc;";
else $order = "order by p.name asc, p.vorname asc;";
$where0  = "where to_days(t.von) <= to_days('$bis') ";
$where0 .= "and to_days(t.bis) >= to_days('$von') ";
$where0 .= "and (f.genehmigt=1 or t.von>curdate()) ";
$where = '';
if ($ma != 'all' && $p_art == 'all') $where .= "and f.pers_id = '$ma' ";
if ($p_art != 'all') $where .= "and pa.p_art_id = '$p_art' ";
if (substr($tr,0,1) != 'a') $where .= "and p.standard_traeger_art_id = '$tr' ";
if (substr($tr,0,3) == 'abt') {
	$where .= "and (h.abt_id = " . substr($tr,3) . " ";
	$where .= "or l.abt_id = " . substr($tr,3) . ") ";
}
$from  = "from tb_personal p left join tb_fehlz f on p.pers_id = f.pers_id ";
$from .= "left join tb_termine t on f.termin_id = t.termin_id ";
$from .= "left join tb_personalart pa on p.p_art_id = pa.p_art_id ";
$from .= "left join tb_terminart a on t.terminart = a.terminart ";
if (substr($tr,0,3) == 'abt') {
	$from .= "left join tbh_pers_abt h on h.pers_id = p.pers_id ";
	$from .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
}

$res = abfrage1($select . $from . $where0 . $where . $order);
$fehlzeiten = array();
$pers = abfrage1("SELECT p.pers_id " . $from . " where status_id = 2 " . $where . " group by p.pers_id " . $order);
$anzahl = max(1,mysql_num_rows($pers));
$rh = min(4,(($format=='P' ? 240 : 150)/$anzahl));
while ($per = mysql_fetch_row($pers)){
	$fehlzeiten[ 0 ][ $per[0] ] = $per[0];
}
$arbeitstag = array();
while ($row = mysql_fetch_array($res)){
	for($i=$von_ts;$i<=$bis_ts;$i+=90000){
		$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
		if($i >= $row['von_ts'] && $i <= $row['bis_ts']) {
			$fehlzeiten[ $i ][ $row['pers_id'] ] = $row['farbe'];
		}
	}
}

for($j=0;$j<$pages;$j++) {
	$pdf->AddPage();
	$pdf->SetFillColor(255,255,255);

	$pdf->SetFont('stw','',13);
	$pdf->SetXY(25,7.5);
	$pdf->Cell($width,8, $footer,0,1,'C');
	$pdf->SetFont('stw','',10);
	$pdf->SetXY($width-70,16);
	if($format=='P') $pdf->MultiCell(70,4.5,$footer2,0,'L');
	else $pdf->Cell(63,4.5, $footer2,0,1,'R');
	$pdf->SetFont('arial','',5);
	$x = 50; 
	$x1 = $x;
	$monn = '';
	for($i=$von_tss[$j];$i<=$bis_tss[$j];$i+=90000){
		$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
		$arbeitstag[$i] = arbeitstag($i);
		$pdf->SetXY($x,29);
		if(!$arbeitstag[$i]) $pdf->SetFillColor(238,238,238);
		$pdf->Cell($w,3, date("j",$i),1,0,'C',1);
		if($monn=='') $monn = strftime("%B",$i);
		if($monn != strftime("%B",$i)) {
			$pdf->SetFillColor(238,238,238);
			$pdf->SetXY($x1,26);
			$pdf->Cell($x-$x1,3,$monn,1,0,'C',1);
			$monn = strftime("%B",$i);
			$x1 = $x;
		}
		$x += $w;
		$pdf->SetFillColor(255,255,255);
	}

	$pdf->SetFillColor(238,238,238);
	$pdf->SetXY($x1,26);
	$pdf->Cell($x-$x1,3,$monn,1,0,'C',1);
	$pdf->SetFillColor(255,255,255);

	$x = 15; 
	$y = 32;
	$fontsize = min(8, ceil(($format=='P'?450:280)/$anzahl));
	$pdf->SetFont('arial','',$fontsize);

	foreach($fehlzeiten[ 0 ] as $f) {
		$pdf->SetXY($x,$y);
		$pdf->Cell(35,$rh, ($pers_order==1 ? pers_kname($f) : pers_kname2($f)),'RTB',0,'R');
		$y += $rh;
	}

	$x = 50; 
	for($i=$von_tss[$j];$i<=$bis_tss[$j];$i+=90000){
		$y = 32;
		$i = mktime(0,0,0,date('n',$i),date('j',$i),date('Y',$i));
		foreach($fehlzeiten[0] as $f) {
			$pdf->SetXY($x,$y);
			if(empty($fehlzeiten[$i][$f])) {
				if(!$arbeitstag[$i]) $pdf->SetFillColor(238,238,238);
				$pdf->Cell($w,$rh,'',1,0,'C',1);
				$pdf->SetFillColor(255,255,255);
			} else {
				$r = hexdec(substr($fehlzeiten[$i][$f],1,2));
				$g = hexdec(substr($fehlzeiten[$i][$f],3,2));
				$b = hexdec(substr($fehlzeiten[$i][$f],5,2));
				$pdf->SetFillColor($r, $g, $b);
				$pdf->Cell($w,$rh,'',1,0,'C',1);
				$pdf->SetFillColor(255,255,255);
			}
			$y += $rh;
		}
		$x += $w;
	}
}
$pdf->Output();
exit;
?>
