<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fehlz_plan_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, 'de_DE@euro');

if ($rvar_abmonat == 'all'){
	$von = mktime(0,0,0,1,1,$rvar_abjahr);
	$bis = mktime(0,0,0,12,31,$rvar_abjahr);
} else {
	$von = mktime(0,0,0,$rvar_abmonat,1,$rvar_abjahr);
	$bis = mktime(0,0,0,$rvar_abmonat,date('t', $von),$rvar_abjahr);
}

$my_von = date('Y-m-d', $von);
$my_bis = date('Y-m-d', $bis);

$textm = strftime("%B", $von);
$textj = date('Y', $von);


$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

if ($rvar_ma != 'all' && $rvar_p_art != 'all'){
	$where = "and f.pers_id = '$rvar_ma' ";
	$name = ' - ' . pers_name($rvar_ma) . ' - ';
} else {
	if ($rvar_p_art == 'all'){
		$where = ' ';
	} else {
		$where = "and p.p_art_id = '$rvar_p_art' ";
	}
	$name = '';
}


if ($rvar_abmonat == 'all'){
	$footer = "Liste geplanter Fehlzeiten $name $textj";
} else {
	$footer = "Liste geplanter Fehlzeiten $name $textm $textj";
}

$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);
$pdf->AliasNbPages();
$pdf->SetAutoPageBreak(true, 25);

$pdf->AddPage();

$pdf->SetFont('stw','',14);
$pdf->Text(15,28,$footer);

$rh = 4;
$pdf->SetDrawColor(0,0,0);
$pdf->SetLineWidth('0.3');

/* Ueberschriften */
$pdf->SetFont('Arial','B',8);
$pdf->SetFillColor(232,232,232);
$pdf->SetY(32);
$pdf->SetX(15);
$pdf->Cell(20,$rh,'Personal-Nr.',1,0,'C');
$pdf->Cell(40,$rh,'Name',1,0,'C');
$pdf->Cell(20,$rh,'von',1,0,'C');
$pdf->Cell(20,$rh,'bis',1,0,'C');
$pdf->Cell(40,$rh,'Grund',1,0,'C');
$pdf->Cell(15,$rh,'Tage',1,1,'C');

$pdf->SetLineWidth('0.1');

$sql  = "select f.pers_id from tb_fehlz f ";
$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
$sql .= "where to_days(t.von) <= to_days('$my_bis') ";
$sql .= "and to_days(t.bis) >= to_days('$my_von') and f.genehmigt != 1 ";
$sql .= $where;
$sql .= "group by f.pers_id order by p.personalnr asc;";
$res = abfrage1($sql);

//$y_axis = $y_axis + $rh;



while ($row = mysql_fetch_row($res)) {
	$pnr = pers_nummer($row[0]);
	$pdf->SetFont('Arial','B',7);
	$pdf->Cell(20,$rh,$pnr,1,0,'L',0);
	$name = pers_name($row[0]);
	$pdf->Cell(40,$rh,$name,1,0,'L',0);

	$summe = 0;

	$sql  = "select unix_timestamp(t.von), unix_timestamp(t.bis), ";
	$sql .= "a.name from tb_fehlz f ";
	$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
	$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
	$sql .= "where f.pers_id = '$row[0]' ";
	$sql .= "and to_days(t.von) <= to_days('$my_bis') ";
	$sql .= "and to_days(t.bis) >= to_days('$my_von') and f.genehmigt != 1 ";
	$sql .= "order by unix_timestamp(t.von) asc;";
	$erg = abfrage1($sql);

	while ($zeile = mysql_fetch_row($erg)){
		$pdf->SetFont('Arial','',7);

		$v = date('d.m.Y', $zeile[0]);
		$b = date('d.m.Y', $zeile[1]);
		$pdf->SetX(75);
		$pdf->Cell(20,$rh,$v,1,0,'R',0);
		$pdf->Cell(20,$rh,$b,1,0,'R',0);
		$pdf->Cell(40,$rh,$zeile[2],1,0,'L',0);

		$ts1 = $zeile[0];
		$ts2 = $zeile[1];

		if ($zeile[0] < $von){
			$ts1 = $von;
		}

		if ($zeile[1] > $bis){
			$ts2 = $bis;
		}

		$tage = arbeitstage($ts1, $ts2);
		$pdf->Cell(15,$rh,$tage,1,1,'R',0);

		$summe = $summe + $tage;

	}

	$pdf->SetFont('Arial','B',7);
	$pdf->SetX(115);
	$pdf->Cell(40,$rh,'Summe :',0,0,'R',0);
	$pdf->Cell(15,$rh,"$summe",1,1,'R',0);

}

$pdf->Output();
exit;
?>
