<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fehlz_pr.php 2316 2014-07-23 06:35:44Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter('private');
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
$pdf_datei = "mandant/{$_SESSION[$AppCode]['TR']}/pdf_1.inc.php";
require_once($pfad . $pdf_datei);
require_once($pfad . 'inc/func.inc.php');

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

class FehlzeitenPDF extends PDF
{

	function printMitarbeiter($monat, $jahr, $ma)
	{
		global $rh;
		global $von;
		global $bis;
		global $pagebreak;

		$daten = ($monat == 'all')  ? ab_cal(1, $jahr) : ab_cal($monat, $jahr);

		$textm = str_replace('ä', "", strftime("%B", $von));
		$textj = date('Y', $von);

		$name = ($ma == 'all') ? '' : pers_nummer($ma) . ' - ' .pers_name($ma) . ' ';

		if ($monat == 'all'){
			$footer = "Fehlzeitenliste: $name - Jahr $textj";
		} else {
			$footer = "Fehlzeitenliste: $name - $textm $textj";
		}

		if($pagebreak) $this->AddPage('P');
		else $this->Cell(15,$rh,'',0,1,'C');

		$this->SetFont('Arial','B',12);
		$this->Cell(100,$rh,$footer,0,1);
		$this->Ln($rh/2);

		$this->SetDrawColor(0,0,0);
		$this->SetLineWidth('0.3');

		/* Ueberschriften */
		$this->SetFont('Arial','B',9);
		$this->SetFillColor(232,232,232);
		$this->Cell(20,$rh,'von',1,0,'C',0);
		$this->Cell(20,$rh,'bis',1,0,'C',0);
		$this->Cell(40,$rh,'Grund',1,0,'C',0);
		$this->Cell(15,$rh,'Urlaub',1,0,'C',0);
		$this->Cell(15,$rh,'Weiterb.',1,0,'C',0);
		$this->Cell(15,$rh,'Krank',1,0,'C',0);
		$this->Cell(15,$rh,'KK',1,0,'C',0);
		$this->Cell(15,$rh,'FZA',1,1,'C',0);

		$this->SetLineWidth('0.1');
		$this->SetFont('Arial','',9);

		$sum_ur = 0;
		$sum_wb = 0;
		$sum_kr = 0;
		$sum_kk = 0;
		$sum_fz = 0;

		$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%Y') as von_dt, ";
		$sql .= "date_format(t.bis, '%d.%m.%Y') as bis_dt, a.name, t.terminart, ";
		$sql .= "unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts ";
		$sql .= "from tb_fehlz f ";
		$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
		$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
		$sql .= "where f.pers_id = '$ma' and unix_timestamp(t.von) <= '$bis' ";
		$sql .= "and unix_timestamp(t.bis) >= '$von' and f.genehmigt = '1' ";
		$sql .= "order by t.von asc;";

		$res = abfrage1($sql);

		while ($fz = mysql_fetch_assoc($res)){

			$von_at = ($fz['von_ts'] < $von) ? $von : $fz['von_ts'];
	  	$bis_at = ($fz['bis_ts'] > $bis) ? $bis : $fz['bis_ts'];
	  	$tage = arbeitstage($von_at, $bis_at);
//			$tage = arbeitstage($fz['von_ts'], $fz['bis_ts']);

			$fza = array('f', 'wbf', 'kf');

			if ($fz['terminart'] == 'u' || $fz['terminart'] == 'wbu') $sum_ur += $tage;
			if ($fz['terminart'] == 'w') $sum_wb += $tage;
			if ($fz['terminart'] == 'k') $sum_kr += $tage;
			if ($fz['terminart'] == 'kk') $sum_kk += $tage;
			if (in_array($fz['terminart'], $fza)) $sum_fz += $tage;

			$this->Cell(20,$rh,$fz['von_dt'],1,0,'R');
			$this->Cell(20,$rh,$fz['bis_dt'],1,0,'R');
			$this->Cell(40,$rh,$fz['name'],1);

			$tu = ($fz['terminart'] == 'u' || $fz['terminart'] == 'wbu') ? $tage : '';
			$this->Cell(15,$rh,$tu,1,0,'C');

			$tw = ($fz['terminart'] == 'w') ? $tage : '';
			$this->Cell(15,$rh,$tw,1,0,'C');

			$tk = ($fz['terminart'] == 'k') ? $tage : '';
			$this->Cell(15,$rh,$tk,1,0,'C');

			$kk = ($fz['terminart'] == 'kk') ? $tage : '';
			$this->Cell(15,$rh,$kk,1,0,'C');

			$tf = (in_array($fz['terminart'], $fza)) ? $tage : '';
			$this->Cell(15,$rh,$tf,1,1,'C');

		}

		$this->SetLineWidth('0.3');
		$this->SetFont('Arial','B',9);
		$this->Cell(80,$rh,'Summen',1,0,'L',0);
		$this->Cell(15,$rh,$sum_ur,1,0,'C');
		$this->Cell(15,$rh,$sum_wb,1,0,'C');
		$this->Cell(15,$rh,$sum_kr,1,0,'C');
		$this->Cell(15,$rh,$sum_kk,1,0,'C');
		$this->Cell(15,$rh,$sum_fz,1,1,'C');
	}
}

$ma    = $_GET['ma'];
$p_art = $_GET['p_art'];
$tr    = $_GET['tr'];
$monat = $_GET['abmonat'];
$jahr  = $_GET['abjahr'];
$pagebreak  = ($_GET['pagebreak'] == 1);

if ($monat == 'all'){
	$von = mktime(0,0,0,1,1,$jahr);
	$bis = mktime(0,0,0,12,31,$jahr);
} else {
	$von = mktime(0,0,0,$monat,1,$jahr);
	$bis = mktime(0,0,0,$monat,date('t', $von),$jahr);
}

$pdf = new FehlzeitenPDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25);
$pdf->SetLeftMargin(15);
$pdf->SetAutoPageBreak(true, 25);
$pdf->AliasNbPages();
$rh = 4.5;

if(!$pagebreak) $pdf->AddPage('P');

/* alle aktiven betreuer oder Einzelmitarbeiter? */
$ma_sql = ($ma == 'all') ? '' : "and f.pers_id = '$ma' ";

/* Traeger */
$ma_tr = is_numeric($tr) ? "and p.standard_traeger_art_id = '$tr' " : '';
if (substr($tr,0,3) == 'abt') {
	$ma_tr = "and (h.abt_id = " . substr($tr,3) . " or l.abt_id = " . substr($tr,3) . ") ";
}

/* Abfrage fuer Seitenschleife aufbauen */
$sql  = "select f.pers_id from tb_fehlz f ";
$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
if (substr($tr,0,3) == 'abt') {
	$sql .= "left join tbh_pers_abt h on h.pers_id = p.pers_id ";
	$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
}
$sql .= "where unix_timestamp(t.von) <= '$bis' ";
$sql .= "and unix_timestamp(t.bis) >= '$von' and f.genehmigt = '1' ";
$sql .= $ma_sql . $ma_tr;
$sql .= "group by f.pers_id order by p.personalnr asc;";
$res = abfrage1($sql);

while ($row = mysql_fetch_row($res)){
	$pdf->printMitarbeiter($monat, $jahr, $row[0]);
}

$pdf->Output();
exit;
?>
