<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ga.php 2732 2017-04-12 09:53:36Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 32;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 6);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

/* Anzeigemodus ermitteln */
$anz = (isset($_GET['anz'])) ? $_GET['anz'] : 'w1';

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

$tg = date('Y-m-d', $tag);

switch ($anz){
	case 'w1':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (42 * 86400);
		break;


	case 'w2':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (7 * 86400);
		break;

	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;

	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;

	case 't';
		$sql_beg = $tag;
		$sql_end = $tag;
		break;
}


/* WHERE-Bedingung aufbauen */
if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
	$where  = "where unix_timestamp(t6.von) < '$sql_end'";
	$where .= "and unix_timestamp(t6.bis) > '$sql_beg'";
}

/*
* Vielleicht ein neuer Termin angelegt oder geaendert - hier pruefen ob
* Zeitkorrektur notwendig war.
*/
if (isset($_GET["korr"]) && $_GET["korr"] == 1)
{
 printf("<table>\n<tr><th style=\"color:red\">Der Endtermin lag vor dem ");
 printf("Starttermin.<br>Automatische Korrektur (Startzeit + 60 Minuten) ");

 printf("durchgef&uuml;hrt.");
 printf("</th></tr></table>\n");

 new stwLine(1);
}

printf("<table width=\"750\">\n<tr><td class=\"cl20\">");

/* erst ab Level 45 freigeben */
if ($_SESSION[$AppCode]["ULV"] >= 45)
{
 printf("<input type=\"button\" value=\"neu\" ");
 printf("onClick=\"self.location.href='ga_and.php?neu=1'\">");
}

echo "</td>\n";

echo "<td class=\"cl20\"><a href=\"ga_orte.php\">Orte</a></td>\n";
echo "<td class=\"cl20\"><a href=\"ga_art_list.php?tg=ga\">Arten</a></td>\n";
echo "<td class=\"cl20\"><a href=\"ga_katn.php\">Kategorien</a></td>\n";

if ($_SESSION[$AppCode]['ULV'] >= 45){
	echo "<td><input type=\"button\" value=\"zugeordnete Handlungsschritte\" ";
	echo "onClick=\"self.location.href='ga_kat_hs.php'\"></td>\n";
}

echo "<td width=\"100%\" style=\"text-align:right\"><a href=\"ga_pr.php?ts=" . time() . "\" target=\"_pdf\">";
echo "<img src=\"img/drucker.png\" title=\"Liste drucken\" border=\"0\"></a></td>\n";

echo "</tr></table>\n";
new stwLine(1);


echo "<table><tr>\n";
echo "<th class=\"cl1\" colspan=\"3\">Datum</th>\n";
echo "<th class=\"cl1\">Beginn</th>\n";
echo "<th class=\"cl1\">p&auml;d.&nbsp;LTG</th>\n";
echo "<th class=\"cl1\">inh.&nbsp;LTG</th>\n";
echo "<th class=\"cl1\">Ort/Raum</th>\n";
echo "<th class=\"cl1\">Kategorie</th>\n";
echo "<th class=\"cl1\">Thema</th>\n";
echo "<th class=\"cl1\"></th>\n</tr>\n";

$sql = "select t1.ga_id,
							date_format(t6.von, '%d.%m.%y') as von_tag,
							date_format(t6.von, '%H:%i') as von_zeit,
							concat(left(t2.vorname, 1), '. ', t2.name) as paed,
							concat(left(t5.vorname, 1), '. ', t5.name) as inh,
							t3.ga_ort,
							t7.ga_kat,
							t1.thema,
							to_days(t6.von) as von_to_days,
							to_days(curdate()) as heute_to_days,
							week(t6.von, 1) von_woche,
							unix_timestamp(t6.von) as von_ts,
							t1.termin_id
							from tb_ga t1
							left join tb_personal t2 on t1.pers_id = t2.pers_id
							left join tb_ga_ort t3 on t1.ort_id = t3.ort_id
							left join tb_personal t5 on t1.inhalt = t5.pers_id
							left join tb_termine t6 on t1.termin_id = t6.termin_id
							left join tb_ga_kat t7 on t1.kat_id = t7.kat_id
							$where
							order by unix_timestamp(t6.von) asc;";
$res = abfrage1($sql);

$w1 = $vt = -1;
while ($row = mysql_fetch_assoc($res)){
	if($vt == $row['von_tag']) new stwTabLine('#555555',30);
	elseif($w1 != $row['von_woche']) new stwTabLine(1,30);
	else new stwTabLine(2,30);
	$vt = $row['von_tag'];
	$w1 = $row['von_woche'];

	echo "<tr class=\"mo\">";
	$dow = strftime('%a', $row['von_ts']);
	echo "<td class=\"cl1\">$dow</td>";
	if ($row['von_to_days'] >= $row['heute_to_days']) {
		$style = '';
	} else {
		$style = "style=\"color:#CCCCCC\"";
	}
	echo "<td class=\"cl1\"><a href=\"ga_and.php?ga_id={$row['ga_id']}\" ";
	echo "$style>{$row['von_tag']}</a></td>";

	$daten = new stwDaten("32");
	$link  = $daten->get_klammer_link($_SESSION["webdir"],
									 $_SESSION[$AppCode]["UID"],
									 $_SESSION[$AppCode]["ULV"],
									 $row['ga_id'], "0");
	echo "<td class=\"cl1\">$link</td>\n";
	echo "<td class=\"cl1\" style=\"text-align: right;\">{$row['von_zeit']}</td>\n";
	echo "<td class=\"cl1\">{$row['paed']}</td>\n";
	echo "<td class=\"cl1\">{$row['inh']}</td>\n";

	if (strlen($row['ga_ort']) > 20){
		echo "<td class=\"cl1\"";
		echo stwToolTip($row['ga_ort']);
		echo '>' . strCut($row['ga_ort'], 20) . "</td>\n";
	} else {
		echo "<td class=\"cl1\">{$row['ga_ort']}</td>\n";
	}

	if (strlen($row['ga_kat']) > 20){
		echo "<td class=\"cl1\"";
		echo stwToolTip($row['ga_kat']);
		echo '>' . strCut($row['ga_kat'], 20) . "</td>\n";
	} else {
		echo "<td class=\"cl1\">{$row['ga_kat']}</td>\n";
	}

	if (strlen($row['thema']) > 20){
		echo "<td class=\"cl1\"";
		echo stwToolTip($row['thema']);
		echo '>' . strCut($row['thema'], 20) . "</td>\n";
	} else {
		echo "<td class=\"cl1\">{$row['thema']}</td>\n";
	}

	echo "<td class=\"cl1\"><a href=\"ga_det_pr.php?ga_id={$row['ga_id']}&ts=" . time() . "\" ";
	echo "target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" " . stwToolTip('Gruppenarbeit drucken');
	echo " border=\"0\"></a></td>\n";

  /* GA Termine loeschen */
  if (($_SESSION[$AppCode]["ULV"] >= 96 || $_SESSION[$AppCode]["ULV"] == 48) && ga_loeschbar($row['ga_id']))
  {
    printf("<td><a href=\"kal_del_sql.php?ktyp=g&");

		echo "ga_id=".$row['ga_id']."&termin_id=".$row['termin_id']."&ln=ga.php";
		if (isset($_GET['anz'])) echo "&anz=" . $_GET['anz'];

		echo "\" " . stwToolTip('<b>VORSICHT!</b> L&ouml;schen!');
		echo " style=\"color:red\">X</a>";

    printf("</td>\n");
  }

	echo "</tr>\n";
}
new stwTabLine(1,19);
echo "</table>\n";
new stwEnd($seite, 1);
?>
