<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ga_det_pr.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);
 require_once($pfad."inc/auth.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

$footer = "Gruppenarbeit";

$pdf->AddPage();

$pdf->SetFont('stw','',24);
$titel = "Gruppenarbeit";
$pdf->Text(15,35,$titel);
$pdf->Line(15,40,195,40);

$ga = abfrage("select t1.*,
				date_format(t2.von, '%d.%m.%Y, %H:%i Uhr'),
				date_format(t2.bis, '%d.%m.%Y, %H:%i Uhr')
			   from tb_ga t1
			   left join tb_termine t2 using (termin_id)
			   where ga_id = $rvar_ga_id;");

$y_axis = 45;
$rh = 6;

$pdf->SetXY(15,$y_axis);
$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Beginn :',0,0,'L',0);
$pdf->SetFont('arial','',12);
$pdf->Cell(30,$rh,$ga[13],0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Ende :',0,0,'L',0);
$pdf->SetFont('arial','',12);
$pdf->Cell(30,$rh,$ga[14],0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Thema :',0,0,'L',0);
$pdf->SetFont('arial','',12);
$pdf->Cell(60,$rh, "$ga[4]",0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'pdagog. Leitung :',0,0,'L',0);
$lt = pers_name($ga[1]);
$pdf->SetFont('arial','',12);
$pdf->Cell(60,$rh, $lt,0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'inhaltl. Leitung :',0,0,'L',0);
$lt = pers_name($ga[6]);
$pdf->SetFont('arial','',12);
$pdf->Cell(60,$rh, $lt,0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Referent :',0,0,'L',0);
$ref = abfrage("select concat(vorname, ' ', name)
				from tb_kontakte_ap where ap_id = '$ga[10]';");
$pdf->SetFont('arial','',12);
$pdf->Cell(60,$rh, $ref[0],0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Essen :',0,0,'L',0);
$lt = pers_name($ga[11]);
$pdf->SetFont('arial','',12);
$pdf->Cell(60,$rh, $lt,0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Ort / Raum :',0,0,'L',0);
$lt = abfrage("select ga_ort from tb_ga_ort where ort_id = $ga[2]");
$pdf->SetFont('arial','',12);
$pdf->Cell(60,$rh, "$lt[0]",0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Veranstaltungsart :',0,0,'L',0);
$lt = abfrage("select ga_art from tb_ga_art where art_id = $ga[3]");
$pdf->SetFont('arial','',12);
$pdf->Cell(60,$rh, "$lt[0]",0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Notizen :',0,0,'L',0);
$y_axis = $pdf->GetY();
$x = $pdf->GetX();
// $pdf->SetXY($x,$y_axis);
$pdf->SetFont('arial','',12);
$pdf->MultiCell(120,5,$ga[5]);

// $y_axis = $pdf->GetY();

$cn = abfrage("select count(distinct person_id), count(distinct pers_id)
				from tbh_ga_pp where ga_id = $rvar_ga_id;");

$zahl = $cn[0] + $cn[1];

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Anzahl Personen :',0,0,'L',0);
$pdf->SetFont('arial','',12);
$pdf->Cell(60,$rh, $zahl,0,0,'L',0);

$pdf->Ln($rh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(50,$rh, 'Eigenbeteiligung :',0,0,'L',0);
$pdf->SetFont('arial','',12);

if ($ga[9] <> 0){
	$eb = number_format($ga[9], 2, ',', '.') . " EUR";
} else {
	$eb = '-';
}

$pdf->Cell(60,$rh, $eb,0,0,'L',0);

$y_axis = $pdf->GetY() + (1.5 * $rh);
$pdf->SetXY(15,$y_axis);
$pdf->Line(15,$y_axis,195,$y_axis);
$y_axis = $y_axis + (0.5 * $rh);
$pdf->SetXY(15,$y_axis);
$pdf->SetFont('stw','',16);
$pdf->Cell(50,$rh, 'Teilnehmerliste:',0,1,'L',0);

$pdf->SetFont('arialb','',11);
$pdf->SetX(149);
$pdf->Cell(20,$rh, 'Shuttle',0,0,'C',0);
$pdf->Cell(30,$rh, 'Betreuer',0,1,'C',0);
$pdf->Cell(29,$rh, 'Proj-Nr.', 'B', 0, 'L', 0);
$pdf->Cell(40,$rh, 'Teilnehmer','B',0,'L',0);
$pdf->Cell(10,$rh, 'Alter','B',0,'C',0);
$pdf->Cell(30,$rh, 'Wohnort','B',0,'L',0);
$pdf->Cell(25,$rh, 'Betreuer','B',0,'L',0);
$pdf->Cell(10,$rh, 'hin','B',0,'C',0);
$pdf->Cell(10,$rh, 'rck','B',0,'C',0);
$pdf->Cell(15,$rh, 'Beob.','B',0,'C',0);
$pdf->Cell(15,$rh, 'aktiv','B',1,'C',0);


$rh = 5;
/*
$y_axis = $pdf->GetY() + $rh;
$pdf->SetXY(15,$y_axis);
*/
// Teilnehmerliste
$sql = "select t1.person_id,
			t1.pers_id,
			concat(t2.vorname, ' ', t2.name),
			concat(left(t3.vorname, 1), '. ', t3.name),
			t4.ort,
			t1.shuttle1,
			t1.shuttle2,
			(year(curdate())-year(t2.geboren))-(right(curdate(),5)<right(t2.geboren,5)),
			t1.typ
			from tbh_ga_pp t1
			left join tb_personen t2 on t1.person_id = t2.person_id
			left join tb_personal t3 on t1.pers_id = t3.pers_id
			left join tb_p_adressen t4 on t2.adress_id = t4.adress_id
			where ga_id = $rvar_ga_id
			order by t2.vorname asc, t2.name asc;";
$res = mysql_query($sql) or die (mysql_error());


while ($row = mysql_fetch_row($res)) {
	$pdf->SetFont('arial','',10);

        /* Projekt soll mit angezeigt werden - Daten ermitteln */
	$ask1  = "SELECT proj_id FROM tbh_ga_pp t1 LEFT JOIN ";
	$ask1 .= "tbh_proj_personen t2 USING(person_id) WHERE ";

        $ask1 .= "ga_id=".$rvar_ga_id." AND t2.person_id=".$row[0].";";
	$erg1 = mysql_query($ask1);

        if ($erg1 && mysql_num_rows($erg1) == 1)
	{
	  $zeile = mysql_fetch_row($erg1);

          /* Projektnummer ist in der ersten Spalte vorhanden */
	  $projekt = &new stwProjekt($zeile[0]);
          $pdf->Cell(29, $rh, $projekt->nummer(), 0, 0, 'L', 0);
        }
	else
	{
	  $pdf->Cell(29, $rh, "", 0, 0, 'L', 0);
	}

	$pdf->Cell(40,$rh, $row[2],0,0,'L',0);
	if ($row[7] > 100){
		$alter = '';
	} else {
		$alter = $row[7];
	}
	$pdf->Cell(10,$rh, $alter,0,0,'C',0);
	$pdf->Cell(30,$rh, strCut($row[4], 15),0,0,'L',0);
	$pdf->Cell(25,$rh, $row[3],0,0,'L',0);
	
	$pdf->SetFont('arialb','',10);

	$hin = ($row[5]) ? 'X' : '';
	$zur = ($row[6]) ? 'X' : '';
	$pdf->Cell(10,$rh, $hin,0,0,'C',0);
	$pdf->Cell(10,$rh, $zur,0,0,'C',0);

	$beob = ($row[8] == 1) ? 'X' : '';
	$aktiv = ($row[8] == 2) ? 'X' : '';
	$pdf->Cell(15,$rh, $beob,0,0,'C',0);
	$pdf->Cell(15,$rh, $aktiv,0,1,'C',0);
	
}

$pdf->Ln(10);

$pdf->SetFont('arialb','',11);

$pdf->Cell(50,6,'frei fr andere Aufgaben :', 'B',1);

$pdf->SetFont('arial','',10);

$bets = abfrage1("select g.pers_id
		from tbh_ga_pp g
		left join tb_personal p using (pers_id)
		where ga_id = $rvar_ga_id
		and typ = 0
		group by g.pers_id
		order by p.vorname asc, p.name asc;");

while ($bet = mysql_fetch_row($bets)){
	$pdf->Cell(50,$rh, pers_name($bet[0]),0,1);
}

$pdf->Output();
exit;
?>
