<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: gehalt.php 2739 2017-05-11 10:34:05Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 64;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function ButtonAendern($text){
	$userResp = new xajaxResponse();
	if ($text == 'Speichern'){
		$userResp->assign('SpeichernButton', 'value', 'Berechnen');
		$userResp->assign('SperrenButton', 'style.display', 'none');
	}
	return $userResp;
}

function azk_kosten_in_agsv_pr($check){
	global $AppCode;
	$userResp = new xajaxResponse();
	$_SESSION[$AppCode]['azk_in_agsv'] = $check ? 1 : 0;
	$userResp->assign('azk_kosten_in_agsv', 'value', $_SESSION[$AppCode]['azk_in_agsv']);
	$userResp->call("tt_HideInit()");
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('ButtonAendern');
$xajax->registerFunction('azk_kosten_in_agsv_pr');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');

$self = $_SERVER['PHP_SELF'];

/* auszuwertende Parameter ermitteln */
$monat = (isset($_REQUEST['abmonat'])) ? $_REQUEST['abmonat'] : date('n');
$jahr  = (isset($_REQUEST['abjahr']))  ? $_REQUEST['abjahr'] : date('Y');

if(isset($_POST['anlage_fk'])) {
	list($ja,$ap) = explode("-", $rvar_ja);
	if(empty($ap)) $ap=0;
	abfrage2("replace into tb_anlage_fk set jahr='$jahr', anschreiben='$rvar_anschreiben', kont_id='$ja', ap_id='$ap'");
}

$abcal = ab_cal($monat, $jahr);

$vmm = $abcal['vmm'];
$vmj = $abcal['vmj'];
$vmv = $abcal['vmv'];
$vmb = $abcal['vmb'];
$fmm = $abcal['fmm'];
$fmj = $abcal['fmj'];
$von = $abcal['von'];
$bis = $abcal['bis'];

$kalendertage = kalendertage(date_my2ts($von),date_my2ts($bis));
$kinderzus = kinderzuschlag($von);
$pk_zuschuss = getConf('pk_zuschuss');
$az_basis = az_basis($von);
$vml = getConf('vml');

$ts1 = mktime(0,0,0,$monat,1,$jahr);
$ts2 = mktime(0,0,0,$monat,date('t', $ts1),$jahr);

/* Filter Traeger */
$traeger = (isset($_REQUEST['traeger'])) ? $_REQUEST['traeger'] : 'all';

/* Farbe fuer Unterschiede zum Vormonat */
$vmDiffColor = "#777777";
/* Farbe fuer Aenderungen wegen Kind Krank, krank ohne Lohn */
$kkChangeColor = '#AA0000';
/* Farbe fuer Elternzeit */
$ezColor = abfrage("select farbe from tb_terminart where terminart='ez'");

$konf = ($ulv >= 97 && $_GET['konfmask']==1);
$disabled = ($konf) ? 'disabled' : '';

/* nur Geschaeftsfuehrer (ab Level 97) und im Rechteobjekt 46 gespeicherte
 * Nutzer sehen auf dieser Seite (Gehaltsliste) ueberhaupt irgendetwas
*/
if ($konf || check_nutzer_rechte(46)){

	/* falls Gehaltslistenentsperrung uebergeben wurde */
	if ($ulv >= 98 && $_REQUEST['entsperren'] == 1){
		$tempdatum = abfrage("select day(max(ab_monat)), month(max(ab_monat)) from tb_gehalt where sperre=1 and traeger = '$traeger'");
		if($tempdatum[0] == 2) {
			$sql = "delete from tb_gehalt
					where ab_monat = '$von'
					and traeger = '$traeger';";
			abfrage2($sql);
			if($tempdatum[1] == $monat) {
				$sql = "update tb_gehalt
						set ab_monat = '$von'
						where ab_monat = '$jahr-$monat-02'
						and traeger = '$traeger';";
				abfrage2($sql);
				echo "<b style=\"color:white\">Hinweis: Es lag eine korrigierte Liste vor. Diese wurde zur&uuml;ckgesetzt!</b><br />\n";
			}
		} else {
			$sql = "update tb_gehalt set sperre = NULL
					where ab_monat = '$von'
					and traeger = '$traeger';";
			abfrage2($sql);
		}
	}

	if(isset($_POST['restore'])) {
		abfrage2("delete from tb_gehalt where ab_monat = '$von' and traeger = '$traeger'");
	}

	if(isset($_POST['konf'])) {
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_zulagen_proz_anst', '$rvar_gehalt_zulagen_proz_anst');");
		
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_name', '".(empty($rvar_gehalt_name) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_vorname', '".(empty($rvar_gehalt_vorname) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_kinder', '".(empty($rvar_gehalt_kinder) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_urlaub', '".(empty($rvar_gehalt_urlaub) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_kindkrank', '".(empty($rvar_gehalt_kindkrank) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_entgeltgruppe', '".(empty($rvar_gehalt_entgeltgruppe) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_verwendungsgruppe', '".(empty($rvar_gehalt_verwendungsgruppe) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_lebensaltersstufe', '".(empty($rvar_gehalt_lebensaltersstufe) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_gehaltsstufe', '".(empty($rvar_gehalt_gehaltsstufe) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_grundverguetung', '".(empty($rvar_gehalt_grundverguetung) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_sonderzahlung', '".(empty($rvar_gehalt_sonderzahlung) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_anstellung', '".(empty($rvar_gehalt_anstellung) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_wochenstunden', '".(empty($rvar_gehalt_wochenstunden) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_gvanst', '".(empty($rvar_gehalt_gvanst) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_zulage', '".(empty($rvar_gehalt_zulage) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_zulage1', '".(empty($rvar_gehalt_zulage1) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_zulage_erl1', '".(empty($rvar_gehalt_zulage_erl1) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_zulage2', '".(empty($rvar_gehalt_zulage2) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_zulage_erl2', '".(empty($rvar_gehalt_zulage_erl2) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_zulage3', '".(empty($rvar_gehalt_zulage3) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_zulage_erl3', '".(empty($rvar_gehalt_zulage_erl3) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_kinderzuschlag', '".(empty($rvar_gehalt_kinderzuschlag) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_sz_euro', '".(empty($rvar_gehalt_sz_euro) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_vml', '".(empty($rvar_gehalt_vml) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_pensionskasse', '".(empty($rvar_gehalt_pensionskasse) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_brutto_as', '".(empty($rvar_gehalt_brutto_as) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_entgeltumwandlung', '".(empty($rvar_gehalt_entgeltumwandlung) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_stsvbr', '".(empty($rvar_gehalt_stsvbr) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_brutto_vs_max', '".(empty($rvar_gehalt_brutto_vs_max) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_stsvbrvs', '".(empty($rvar_gehalt_stsvbrvs) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_pk_proz', '".(empty($rvar_gehalt_pk_proz) ? 'n' : 'j')."');");
		abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('gehalt_felder_loeschen', '".(empty($rvar_gehalt_felder_loeschen) ? 'n' : 'j')."');");
	} elseif($_POST['button2'] == 'Korrektur erzeugen') {
		abfrage2("update tb_gehalt set ab_monat = DATE_ADD('{$_POST['ab_monat']}', INTERVAL 1 DAY) where ab_monat = '{$_POST['ab_monat']}' and traeger = '". $_POST['traeger'] ."';");

		foreach ($_POST['pers_id'] as $k => $pers_id) {
			$fehltage = $_POST['fehlz'][$k];
			$elternzeit = $_POST['elternzeit'][$k];
			$ma = abfrage_assoc("select pers_id, vml, standard_traeger_art_id, vg, bags, 
								zulage1, zulage_erl1, zulage2, zulage_erl2, zulage3, zulage_erl3, 
								name, vorname, status_id, besch_id from tb_personal 
								where pers_id = '$pers_id'");

			$paz=abfrage_assoc("select anst, vg as eg, las as es, anst_ez from tb_paz 
								where pers_id ='$pers_id' 
								and von < '$bis' order by von desc limit 1;");

			$gehalt = abfrage_assoc("select grund, besitz, sonder_proz, sonder, umwand, 
									zulage1, zulage2, zulage3, zulage_erl1, zulage_erl2, zulage_erl3 
									from tb_gehalt where pers_id = '{$ma['pers_id']}' 
									and ab_monat = '$jahr-$monat-02'");

			$sql  = "insert into tb_gehalt set sperre = '1', pers_id = '$pers_id', ";
			$sql .= "ab_monat = '$von', traeger = '$traeger', ";
			$sql .= "grund = '".$gehalt['grund']."', ";
			$sql .= "besitz = '".$gehalt['besitz']."', ";
			$vml_pers = ($ma['vml'] == 'j') ? round($paz['anst'] * $vml / 100, 2) : 0;
			$sql .= "vml = '$vml_pers', ";
			$sonder = $gehalt['grund'] > 0 ? sonderzahlung($gehalt['sonder_proz'], $pers_id, $monat, $jahr) : 0;
			$sql .= "sonder = '$sonder', ";
			$sql .= "sonder_proz = '".$gehalt['sonder_proz']."', ";
			$sql .= "umwand = '" . $gehalt['umwand'] . "', ";
			/* Anzahl der Kinder ermitteln, fuer der Mitarbeiter Kindergeld bezieht */
			$ki = abfrage("select count(kind_id) as kinder from tb_kinder where pers_id = '$pers_id' and kigeld = 'j' and kigeld_empf = 'M';");
			$sql .= "kinder = '$ki[0]', ";
			/* Anzahl der im angezeigten Monat genommenen Urlaubstage ermitteln */			
			$urlaube = abfrage1("select unix_timestamp(t.von) as von_ts, 
								unix_timestamp(t.bis) as bis_ts, t.terminart
								from tb_fehlz f 
								left join tb_termine t on f.termin_id = t.termin_id 
								where f.pers_id = '$pers_id' 
								and (t.terminart = 'u' or t.terminart = 'k')
								and unix_timestamp(t.von) <= '$ts2' 
								and unix_timestamp(t.bis) > '$ts1' and f.genehmigt = '1';");
			$urlaub = $krank = 0;
			while ($dat1 = mysql_fetch_assoc($urlaube)){
				$von1 = ($dat1['von_ts'] < $ts1) ? $ts1 : $dat1['von_ts'];
				$bis1 = ($dat1['bis_ts'] > $ts2) ? $ts2 : $dat1['bis_ts'];
				if($dat1['terminart'] == 'k') $krank += kalendertage($dat1['von_ts'], $dat1['bis_ts']);
				else $urlaub += kalendertage($dat1['von_ts'], $dat1['bis_ts']);
			}
			$sql .= "urlaub = '$urlaub', ";
			$sql .= "krank = '$krank', ";
			$sql .= "eg = '". $paz['eg'] ."', ";
			$sql .= "es = '". $paz['es'] ."', ";
			if ($ki[0] > 0){
				$kinderzus_pers = round($ki[0] * $kinderzus * $paz['anst'] / 100, 2);
			} else $kinderzus_pers = 0;
			$sql .= "kiz = '$kinderzus_pers', ";
			$pens = pers_pension($pers_id, $von);
			$pensionskasse = $pens[0] + (($gehalt['umwand'] / 100) * $pk_zuschuss);
			$sql .= "pk = '$pensionskasse', ";
			$brutto_vs  = $gehalt['grund'];
			if ($ki[0] > 0) $brutto_vs += ($ki[0] * $kinderzus);
			$brutto_vs += $gehalt['besitz'];
			$brutto_vs += $gehalt['zulage1'];
			$brutto_vs += $gehalt['zulage2'];
			$brutto_vs += $gehalt['zulage3'];
			$brutto_vs += sonderzahlung($gehalt['sonder_proz'], $pers_id, $monat, $jahr, 2);
			$brutto_vs += $vml;
			$brutto_vs += $pensionskasse;
			$sql .= "brutto_vs = '$brutto_vs', ";
			$sql .= "anst = '".$paz['anst']."', ";
			$brutto_as  = $gehalt['grund'];
			if(seiteKonfSichtbar('gehalt_zulagen_proz_anst')) {
				$brutto_as += $gehalt['zulage1'];
				$brutto_as += $gehalt['zulage2'];
				$brutto_as += $gehalt['zulage3'];
				$brutto_as  = round($brutto_as * $paz['anst'] / 100, 2);
			} else {
				$brutto_as  = round($brutto_as * $paz['anst'] / 100, 2);
				$brutto_as += $gehalt['zulage1'];
				$brutto_as += $gehalt['zulage2'];
				$brutto_as += $gehalt['zulage3'];
			}
			$brutto_as += $gehalt['besitz'];
			$brutto_as += $kinderzus_pers;
			$brutto_as += $sonder;
			$brutto_as += $vml_pers;
			$brutto_as += $pensionskasse;

			if($fehltage > 0) {
				$ZwErgebn  = $paz['anst'] * $gehalt['grund']/100 + $kinderzus_pers + $gehalt['besitz'];
				$ZwErgebn /= $kalendertage;
				$brutto_as -= $ZwErgebn * $fehltage;
			}
			if($elternzeit > 0) {
				if ($ki[0] > 0){
					$kinderzus_elternzeit = round($ki[0] * $kinderzus * $paz['anst_ez'] / 100, 2);
				} else $kinderzus_elternzeit = 0;
				$ZwErgebn  = $paz['anst_ez'] * $gehalt['grund']/100 + $kinderzus_elternzeit + $gehalt['besitz'];
				$ZwErgebn /= $kalendertage;
				$brutto_as += $ZwErgebn * $elternzeit;
			}
			$sql .= "brutto_as = '$brutto_as', ";
			$brutto_st = $brutto_as - $pensionskasse - $gehalt['umwand'];
			$sql .= "brutto_st = '$brutto_st', ";
			$sql .= "zulage1 = '".($gehalt['zulage1'] != 0 ? $gehalt['zulage1'] : $ma['zulage1'])."', ";
			$sql .= "zulage2 = '".($gehalt['zulage2'] != 0 ? $gehalt['zulage2'] : $ma['zulage2'])."', ";
			$sql .= "zulage3 = '".($gehalt['zulage3'] != 0 ? $gehalt['zulage3'] : $ma['zulage3'])."', ";
			$sql .= "zulage_erl1 = '".(is_null($gehalt['zulage_erl1']) ? $ma['zulage_erl1'] : $gehalt['zulage_erl1'])."', ";
			$sql .= "zulage_erl2 = '".(is_null($gehalt['zulage_erl2']) ? $ma['zulage_erl2'] : $gehalt['zulage_erl2'])."', ";
			$sql .= "zulage_erl3 = '".(is_null($gehalt['zulage_erl3']) ? $ma['zulage_erl3'] : $gehalt['zulage_erl3'])."', ";
			$sql .= "vg = '". $ma['vg'] ."', ";
			/* Gehaltsstufe */
			$gs = pers_gehaltsstufe($ma['pers_id'],$von);
			$sql .= "gs = '$gs', ";
			$sql .= "fehlz = '$fehltage' ";

			abfrage2($sql);
		}
	} elseif ($_POST['button1'] == 'Speichern' || $_POST['button1'] == 'Berechnen' || $_REQUEST['sperren'] == 'Gehaltsliste sperren'){
		/* falls zu speichernde Daten uebergeben wurden -> bearbeiten */
		foreach ($_POST['pers_id'] as $k => $v) {

			/* Sind Daten vorhanden? */
			$sql  = "select grund, besitz, vml, sonder_proz, umwand from tb_gehalt ";
			$sql .= "where pers_id = '{$_POST['pers_id'][$k]}' ";
			$sql .= "and ab_monat = '{$_POST['ab_monat']}';";
			$res1 = abfrage1($sql);

			/* wurden Daten uebergeben ? */
			if ($_POST['grund'][$k] <> 0 || $_POST['besitz'][$k] <> 0 ||
				$_POST['sonder'][$k] <> 0 || $_POST['umwand'][$k] <> 0 ||
				$_POST['pk'][$k] <> 0){ /* ja, es wurden Daten uebergeben */

				$sql  = (mysql_num_rows($res1) > 0) ? 'update ' : 'insert into ';
				$sql .= "tb_gehalt set ";
				$sql .= "grund = '".str_replace(',','.',$_POST['grund'][$k])."', ";
				$sql .= "besitz = '".str_replace(',','.',$_POST['besitz'][$k])."', ";
				$sql .= "vml = '".str_replace(',','.',$_POST['vml'][$k])."', ";
				$sql .= "sonder = '".str_replace(',','.',$_POST['sonder'][$k])."', ";
				$sql .= "sonder_proz = '".str_replace(',','.',$_POST['sonder_proz'][$k])."', ";
				$sql .= "umwand = '".str_replace(',','.',$_POST['umwand'][$k])."', ";
				$sql .= "kinder = '". $_POST['kinder'][$k] ."', ";
				$sql .= "urlaub = '". $_POST['urlaub'][$k] ."', ";
				$sql .= "krank = '". $_POST['krank'][$k] ."', ";
				$sql .= "eg = '". $_POST['eg'][$k] ."', ";
				$sql .= "es = '". $_POST['es'][$k] ."', ";
				$sql .= "kiz = '".str_replace(',','.',$_POST['kiz'][$k])."', ";
				$sql .= "pk = '".str_replace(',','.',$_POST['pk'][$k])."', ";
				$sql .= "brutto_vs = '".str_replace(',','.',$_POST['brutto_vs'][$k])."', ";
				$sql .= "anst = '".str_replace(',','.',$_POST['anst'][$k])."', ";
				$sql .= "brutto_as = '".str_replace(',','.',$_POST['brutto_as'][$k])."', ";
				$sql .= "brutto_st = '".str_replace(',','.',$_POST['brutto_st'][$k])."', ";
				$sql .= "traeger = '". $_POST['traeger'] ."', ";
				$sql .= "zulage1 = '".str_replace(',','.',$_POST['zulage1'][$k])."', ";
				$sql .= "zulage2 = '".str_replace(',','.',$_POST['zulage2'][$k])."', ";
				$sql .= "zulage3 = '".str_replace(',','.',$_POST['zulage3'][$k])."', ";
				$sql .= "zulage_erl1 = '".str_replace(',','.',$_POST['zulage_erl1'][$k])."', ";
				$sql .= "zulage_erl2 = '".str_replace(',','.',$_POST['zulage_erl2'][$k])."', ";
				$sql .= "zulage_erl3 = '".str_replace(',','.',$_POST['zulage_erl3'][$k])."', ";
				$sql .= "vg = '". $_POST['vg'][$k] ."', ";
				$sql .= "gs = '". $_POST['gs'][$k] ."', ";
				$sql .= "fehlz = '". $_POST['fehlz'][$k] ."' ";
				if($_POST['button2'] == 'Korrektur erzeugen') $sql .= ", sperre = '1' ";

				if (mysql_num_rows($res1) > 0){
					$sql .= "where pers_id = '{$_POST['pers_id'][$k]}' ";
					$sql .= "and ab_monat = '{$_POST['ab_monat']}';";
				} else {
					$sql .= ", pers_id = '{$_POST['pers_id'][$k]}', ";
					$sql .= "ab_monat = '{$_POST['ab_monat']}';";
				}

				abfrage2($sql);

			} else {
				/* nein, es wurden keine Daten uebergeben */

				/* Wenn Daten vorhanden sind -> loeschen! */
				if (mysql_num_rows($res1) > 0){
					$sql  = "delete from tb_gehalt ";
					$sql .= "where pers_id = '{$_POST['pers_id'][$k]}' ";
					$sql .= "and ab_monat = '{$_POST['ab_monat']}' limit 1;";
					abfrage2($sql);
				}
			}
			
			/* Sind AGSV-Daten vorhanden? */
			$sql  = "select pers_id from tb_agsv where pers_id='{$_POST['pers_id'][$k]}' ";
			$sql .= "and ab_monat = '{$_POST['ab_monat']}';";
			$res2 = abfrage1($sql);

			$sql  = "select p.krankenkasse, k.* from tb_personal p ";
			$sql .= "left join tb_krankenkasse k on p.krankenkasse = k.kurzname ";
			$sql .= "where p.pers_id='{$_POST['pers_id'][$k]}';";
			$kk = abfrage($sql);
			
			$sql  = (mysql_num_rows($res2) > 0) ? 'update ' : 'insert into ';
			$sql .= "tb_agsv set ";
			if(empty($kk[1])) $sql .= "kkname = '$kk[0]'";
			else {
				$sql .= "kkname = '$kk[0]', ";
				$sql .= "kv = '$kk[4]', ";
				$sql .= "rv = '$kk[5]', ";
				$sql .= "av = '$kk[6]', ";
				$sql .= "pv = '$kk[7]', ";
				$sql .= "iu = '$kk[8]', ";
				$sql .= "u1 = '$kk[9]', ";
				$sql .= "u2 = '$kk[10]', ";
				$sql .= "pk = '{$_POST['pkproz'][$k]}'";
			}
			if (mysql_num_rows($res2) > 0){
				$sql .= "where pers_id = '{$_POST['pers_id'][$k]}' ";
				$sql .= "and ab_monat = '{$_POST['ab_monat']}';";
			} else {
				$sql .= ", pers_id = '{$_POST['pers_id'][$k]}', ";
				$sql .= "ab_monat = '{$_POST['ab_monat']}';";
			}
			abfrage2($sql);
		}
	}

	/* falls Gehaltslistensperre uebergeben wurde 
	 * durch <='$von' auch alle ungesperrten Vormonate gesperrt */
	if ($ulv >= 98 && $_REQUEST['sperren'] == 'Gehaltsliste sperren'){
		$sql = "select pers_id from tb_personal
				where status_id = 2 and (besch_id = 1 or besch_id = 4)
				and if(anstellung is null or anstellung='0000-00-00' , 
				(eintritt < '$bis' or eintritt is null or eintritt='0000-00-00'), 
				(anstellung < '$bis' or anstellung is null or anstellung='0000-00-00'))
				and (austritt>'$von' or austritt is null or austritt='0000-00-00')
				and standard_traeger_art_id = '$traeger'";
		$mas = abfrage1($sql);
		while($ma = mysql_fetch_row($mas)) {
			$sql = "update tb_gehalt set sperre = '1' where ab_monat <= '$von' and pers_id = '$ma[0]';";
			abfrage2($sql);
		}
	}

	if(!isset($_SESSION[$AppCode]['azk_in_agsv'])) $_SESSION[$AppCode]['azk_in_agsv'] = 1;
	echo "<input type=\"hidden\" id=\"azk_kosten_in_agsv\" value=\"{$_SESSION[$AppCode]['azk_in_agsv']}\" />\n";
	$anlage_fk = abfrage_array("select * from tb_anlage_fk where jahr='$jahr'");
	echo "<input type=\"hidden\" id=\"anlage_fk_anschreiben\" value=\"";
	echo str_replace('"','&quot;',$anlage_fk['anschreiben']) . "\" />\n";
	echo "<input type=\"hidden\" id=\"anlage_fk_empfaenger\" value=\"{$anlage_fk['kont_id']}";
	if(!empty($anlage_fk['ap_id'])) echo "-".$anlage_fk['ap_id'];
	echo "\" />\n";

	echo "<script type=\"text/javascript\"><!--\n";
	echo "  function doTT() {\n";
	echo "    str = '<br />AZK-Kosten ausweisen: <input type=\"checkbox\" ';\n";
	echo "    if(document.getElementById('azk_kosten_in_agsv').value == 1) str += 'checked ';\n";
	echo "    str += 'onchange=\"xajax_azk_kosten_in_agsv_pr(this.checked)\" /> ';\n";
	echo "    Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'AG-SV Druck-Einstellungen',TITLEBGCOLOR, '#006600', WIDTH, 180, HEIGHT, 40, FIX, ['agsv_pr',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "  }\n";
	echo "  function updateAnlage_fk() {\n";
	echo "    document.getElementById('anlage_fk_anschreiben').value = document.getElementById('fk_anschreiben').value;\n";
	echo "    document.getElementById('anlage_fk_empfaenger').value = document.getElementById('fk_ja').value;\n";
	echo "  }\n";
	echo "  function doTT2() {\n";
	echo "    str = 'Anschreiben: <br />';\n";
	echo "    str += '<form method=\"post\" action=\"gehalt.php?abmonat=$monat&abjahr=$jahr&traeger=$traeger\"> ';\n";
	echo "    str += '<textarea style=\"width:598px;height:200px\" id=\"fk_anschreiben\" name=\"anschreiben\" onkeyup=\"updateAnlage_fk()\">';\n";
	echo "    str += document.getElementById('anlage_fk_anschreiben').value;\n";
	echo "    str += '</textarea><br /><br />';\n";
	echo "str += 'Empf&auml;nger: <select onchange=\"updateAnlage_fk()\" style=\"width:300px\" id=\"fk_ja\" name=\"ja\">';\n";
	echo "str += '<option value=\"0\">-- bitte w&auml;hlen --</option>';\n";
	$jas = abfrage1("select kont_id, kurzname, name from tb_kontakte where kont_art_id='1' order by kurzname asc");
	while ($ja = mysql_fetch_row($jas)){
		$selected = ($anlage_fk['ap_id']==0 && $anlage_fk['kont_id']==$ja[0]) ? 'selected' : '';
		echo "str += '<option style=\"font-weight:bold\" ';\n";
		echo "if(document.getElementById('anlage_fk_empfaenger').value == '$ja[0]') str += 'selected ';\n";
		echo "str += 'value=\"$ja[0]\">$ja[1] - $ja[2]</option>';\n";
		$aps = abfrage1("SELECT ap_id, vorname, name 
						FROM tb_kontakte_ap where kont_id='$ja[0]' 
						and aktiv = 'j' order by name asc, vorname asc");
		while ($ap = mysql_fetch_row($aps)){
			$selected = ($anlage_fk['ap_id']==$ap[0] && $anlage_fk['kont_id']==$ja[0]) ? 'selected' : '';
			echo "str += '<option ';\n";
			echo "if(document.getElementById('anlage_fk_empfaenger').value == '$ja[0]-$ap[0]') str += 'selected ';\n";
			echo "str += 'value=\"$ja[0]-$ap[0]\">$ja[1] - $ap[1] $ap[2]</option>';\n";				
		}
	}
	echo "str += '</select><input style=\"position:relative;left:145px\" type=\"submit\" name=\"anlage_fk\" value=\"Speichern\" />';\n";

	echo "    str += '</form>';\n";
	echo "    Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, TITLE, 'Anlage FK Druck-Einstellungen',TITLEBGCOLOR, '#006600', WIDTH, 600, HEIGHT, 250, FIX, ['anlage_fk',-200,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "  }\n";
	echo "--></script>\n";

	/* --- Kopfzeile --- */
	echo "<table><tr><th class=\"cl1\" style=\"vertical-align: middle;\">";
	echo "Gehaltsliste f&uuml;r:</th>\n";

	/* Schalter fuer Abrechnungsmonat */
	echo "<td class=\"cl1\" style=\"vertical-align: middle;\">";
	echo "<a href=\"$self?abmonat=$vmm&abjahr=$vmj&traeger=$traeger\">";
	echo "<img src=\"img/zurueck.png\" border=\"0\"></a></td>\n";

	echo "<form action=\"$self\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"traeger\" value=\"$traeger\">\n";

	echo "<td class=\"cl1\" style=\"vertical-align: middle;\">";
	echo "<select name=\"abmonat\" onchange=\"this.form.submit()\">\n";

	for ($i = 1; $i <= 12; $i++)
	{
		$dt = preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", mktime(0,0,0,$i,1,1)));
		echo "<option value=\"$i\"";
		if ($monat == $i) {
			echo " selected ";
		}
		echo ">$dt</option>\n";
	}
	echo "</select></td>\n";

	echo "<td class=\"cl1\" style=\"vertical-align: middle;\">";
	echo "<select name=\"abjahr\" onchange=\"this.form.submit()\">\n";

	$y = date('Y') + 1;
	$x = $y - 11;

	for ($i = $x; $i <= $y; $i++) {
		echo "<option value=\"$i\"";
		if ($jahr == $i) echo ' selected ';
		echo ">$i</option>\n";
	}
	echo "</select></td></form>\n";

	echo "<td class=\"cl20\" style=\"vertical-align: middle;\">";
	echo "<a href=\"$self?abmonat=$fmm&abjahr=$fmj&traeger=$traeger\">";
	echo "<img src=\"img/vor.png\" border=\"0\"></a></td>\n";

	echo "<td class=\"cl20\">";
	echo "<a href=\"anlage_fk_pr.php?jahr=$jahr&amp;traeger=$traeger&amp;ts=".time();
	echo "\" target=\"_pdf\"" . stwToolTip("Anlage FK $jahr drucken");
	echo "><img id=\"anlage_fk\" src=\"img/drucker.png\" /></a> <a href=\"#\" ";
	echo "style=\"font-size:small;position:relative;top:-4px;\" onClick=\"doTT2()\">+</a></td>\n";

	echo "<th class=\"cl1\" style=\"vertical-align: middle;\">";
	echo "Tr&auml;ger/Abt.:</th>\n";

	echo "<form action=\"$self\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
	echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";

	echo "<td class=\"cl20\" style=\"vertical-align: middle;\">";
	echo "<select name=\"traeger\" onchange=\"this.form.submit()\">\n";

	echo "<option value=\"all\"";
	if ($traeger == 'all') echo ' selected';
	echo ">alle</option>\n";
	echo "<option value=\"all\">--------</option>\n";

	$sql  = "select traeger_art_id, kurzname from tb_traeger_art ";
	$sql .= "order by traeger_art asc;";
	$tras = abfrage1($sql);

	/*Abfrage, ob gesperrt/gespeichert, fuer korrekte Darstellung bei 'Alle'*/
	while ($tra = mysql_fetch_row($tras)){
		echo "<option value=\"$tra[0]\"";
		if ($traeger == $tra[0]) echo ' selected';
		echo ">$tra[1]</option>\n";
		/* abfragen, ob Liste bereits gesperrt wurde */
		if($tra[0] == 'all') $sperre[$tra[0]] = false;
		else {
			$sql  = "select sperre from tb_gehalt ";
			$sql .= "where ab_monat = '$von' and traeger = '$tra[0]' and sperre=1 limit 1;";
			$res = abfrage1($sql);
			$sperre[$tra[0]] = (mysql_num_rows($res) > 0);
		}
		/* abfragen, ob bereits Daten gespeichert wurden */
		if($tra[0] == 'all') $daten[$tra[0]] = false;
		else {
			$sql  = "select pers_id from tb_gehalt ";
			$sql .= "where ab_monat = '$von' and traeger = '$tra[0]' limit 1;";
			$res = abfrage_assoc($sql);
			$daten[$tra[0]] = ($res['pers_id'] > 0) ? true : false;
		}
	}
	echo "<option value=\"all\">--------</option>\n";

	$abts = abfrage1("SELECT abt_id, name FROM tb_personal_abt order by name asc");
	while ($abt = mysql_fetch_row($abts)){
		echo "<option value=\"abt$abt[0]\"";
		if ($traeger == "abt$abt[0]") echo ' selected';
		echo ">$abt[1]</option>\n";
	}
	echo "</select></td></form>\n";

	echo "<form action=\"$self\" method=\"post\">\n";

	if(substr($traeger,0,1) == 'a') $urlext = "&abt=".substr($traeger,3);
	else $urlext = "&traeger=$traeger";
	echo "<td class=\"cl20\"><a href=\"agsv_pr.php?ab_monat=$von".$urlext."&ts=" . time() . "\" target=\"_pdf\">";
	echo "<img id=\"agsv_pr\" src=\"img/drucker.png\" title=\"&Uuml;bersicht AG SV drucken\" border=\"0\"></a> <a href=\"#\" ";
	echo "style=\"font-size:small;position:relative;top:-4px;\" onClick=\"doTT()\">+</a></td>\n";

	/* Wenn Traegerfilter nicht auf 'alle', Daten in tb_gehalt vorhanden sind,
	 * noch keine Sperre vorhanden und Nutzerlevel ab 97,
	 * dann Button 'Gehaltsliste sperren' anbieten
	*/
	if (substr($traeger,0,1) != 'a' && $daten[$traeger] == true && $sperre[$traeger] == false && $ulv >= 98) {
		echo "<td class=\"cl20\" style=\"vertical-align: middle;\" ";
		echo "id=\"SperrenButton\">";
		echo "<input type=\"submit\" name=\"sperren\" value=\"Gehaltsliste sperren\" /></td>\n";
	}

	/* Wenn Traegerfilter nicht auf 'alle', keine Daten in tb_gehalt,
	 * keine Sperre vorhanden und Nutzerlevel ab 97,
	 * dann Button 'Daten vom Vormonat uebernehmen' anbieten	*/
	if (substr($traeger,0,1) != 'a' && $sperre[$traeger] == false && $ulv >= 98){
		$sql  = "select sperre from tb_gehalt ";
		$sql .= "where ab_monat = '$vmv' and traeger = '$traeger' limit 1;";
		$sperrvm = abfrage_assoc($sql);
		echo "<td class=\"cl20\" style=\"vertical-align: middle;\">";
		echo "<input type=\"button\"value=\"Daten vom Vormonat &uuml;bernehmen\" ";
		echo "onClick=\"";
		if($daten[$traeger]) echo "if(confirm('Es liegen bereits gespeicherte Daten in diesem Monat vor.\\nDiese werden beim Fortfahren &uuml;berschrieben / gel&ouml;scht.')) ";
		echo "self.location.href='$self?abmonat=$monat&abjahr=$jahr";
		echo "&traeger=$traeger&vormonat=1'\"></td>\n";
	}

	/* Entsperren, wenn Sperre vorhanden und Benutzerlevel ab 97 
	 * nur noch fuer zuletzt getaetigte Sperrung moeglich */
	if ($sperre[$traeger] == true && $ulv >= 98){
		$sql  = "SELECT count(*) as c FROM tb_gehalt ";
		$sql .= "WHERE ab_monat > DATE_ADD('$von', INTERVAL 1 DAY) ";
		$sql .= "AND traeger = '$traeger' ";
		$sql .= "AND sperre = '1';";
		$res = abfrage_assoc($sql);
		echo "<td class=\"cl20\" style=\"vertical-align: middle;\">";
		echo "<input type=\"button\" ";
		if($res['c'] > 0) {
			echo "value=\"Entsperren nicht m&ouml;glich\" disabled";
			echo stwToolTip('Gehaltsliste entsperren nur bei letztem gesperrten Monat m&ouml;glich');
		}
		else {
			echo "value=\"Gehaltsliste entsperren\" ";
			echo "onClick=\"self.location.href='$self?abmonat=$monat&abjahr=$jahr";
			echo "&traeger=$traeger&entsperren=1'\"";
		}
		echo "></td>\n";
	}
	
	/* Druckersymbol zum Drucken der Gerhaltsliste
	 * wir nur angezeigt, wenn Liste gesperrt und somit zum Drucken
	 * freigegeben wurde
	 */
	if ($sperre[$traeger] == true){
	  if($_SESSION[$AppCode]['TR'] == 'nwg') {
		$abtag = 1;
		echo "<td style=\"vertical-align: middle;\"><a href=\"mandant/nwg/gehalt_pr.php?";
		echo "abmonat=$monat&abjahr=$jahr&traeger=$traeger&sort=eintritt&ts=" . time() . "\"";
		echo stwToolTip('Gehaltsliste sortiert nach Eintrittsdatum drucken');
		echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\0\"></a></td>";
		echo "<td style=\"vertical-align: middle;\"><a href=\"mandant/nwg/gehalt_pr.php?";
		echo "abmonat=$monat&abjahr=$jahr&traeger=$traeger&sort=vorr&ts=" . time() . "\"";
		echo stwToolTip('Gehaltsliste sortiert nach Datum n&auml;chste Vorr&uuml;ckung drucken');
		echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\0\"></a></td>";		
		echo "<td style=\"vertical-align: middle;\"><a href=\"mandant/nwg/gehalt_pr.php?";
		echo "abmonat=$monat&abjahr=$jahr&traeger=$traeger&ts=" . time() . "\"";
		echo stwToolTip('Liste mit Kostenstellen und Zulagen drucken');
		echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\0\"></a></td>";
	  } else {
		$vormonat = $monat==1 ? 12 : $monat-1;
		$vorjahr  = $monat==1 ? $jahr-1 : $jahr;
		echo "<td style=\"vertical-align:middle; padding-right:10px;\"><a href=\"gehalt_pr.php?";
		echo "abmonat=$vormonat&abjahr=$vorjahr&traeger=$traeger&ts=" . time() . "\"";
		echo stwToolTip("Gehaltsliste Vormonat drucken");
		echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\0\"></a></td>";
		$ab_monat_2 = abfrage1("select pers_id from tb_gehalt where traeger = '$traeger' and ab_monat = '$jahr-$monat-02'");
		if(mysql_num_rows($ab_monat_2) > 0) {
			echo "<td style=\"vertical-align: middle;\"><a href=\"gehalt_pr.php?";
			echo "abmonat=$monat&abjahr=$jahr&abtag=2&traeger=$traeger&ts=" . time() . "\"";
			echo stwToolTip('Gehaltsliste (veraltet) drucken');
			echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\0\"></a></td>";
			$abtag = "&abtag=1";
		} else $abtag = '';
		echo "<td style=\"vertical-align: middle;\"><a href=\"gehalt_pr.php?";
		echo "abmonat=$monat&abjahr=$jahr" . $abtag . "&traeger=$traeger&ts=" . time() . "\"";
		$korrigiert = empty($abtag) ? 'aktuelle Ansicht' : 'korrigiert';
		echo stwToolTip("Gehaltsliste ($korrigiert) drucken");
		echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\0\"></a></td>";
	  }
	}

	echo "</tr></table>\n";
	/* Ende Kopfzeile */
	new stwLine(1);

	echo "<table>\n";

	echo "<input type=\"hidden\" name=\"ab_monat\" value=\"$von\">\n";
	echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
	echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";
	echo "<input type=\"hidden\" name=\"traeger\" value=\"$traeger\">\n";
	$link = "gehalt.php?abmonat=$monat&abjahr=$jahr&traeger=$traeger";
	if($konf) {
		$gzpa = seiteKonfSichtbar('gehalt_zulagen_proz_anst');
		echo "<span style=\"position:absolute; top:110px; left:800px;\">";
		echo "Zulagen 1 - 3 prozentual an AZV anpassen: &nbsp; ";
		echo "<input type=\"radio\" name=\"gehalt_zulagen_proz_anst\" value=\"j\"";
		if($gzpa) echo " checked";
		echo "> Ja &nbsp; ";
		echo "<input type=\"radio\" name=\"gehalt_zulagen_proz_anst\" value=\"n\"";
		if(!$gzpa) echo " checked";
		echo "> Nein</span>\n";
	}
	echo "<tr><th class=\"cl1\" colspan=\"2\">";
	if(!$konf) echo "<a href=\"$link&order=persnr\">";
	echo "Personalnr.";
	if(!$konf) echo "</a>";
	echo "</th>\n";

	$seiteKonfSichtbar = array();

	if($konf || seiteKonfSichtbar('gehalt_name')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\">";
		if(!$konf) echo "<a href=\"$link&order=name\">";
		echo "Name";
		if(!$konf) echo "</a>";
		echo "</th>\n";
		$seiteKonfSichtbar['gehalt_name'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_vorname')) {
		echo "<th class=\"cl1\">";
		if(!$konf) echo "<a href=\"$link&order=vorname\">";
		echo "Vorname";
		if(!$konf) echo "</a>";
		echo "</th>\n";
		$seiteKonfSichtbar['gehalt_vorname'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_kinder')) {
		echo "<th class=\"cl1\"" . stwToolTip('Kinder mit Kindergeldbezug');
		echo ">Ki.</th>\n";
		$seiteKonfSichtbar['gehalt_kinder'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_urlaub')) {
		echo "<th class=\"cl1\"" . stwToolTip('Urlaub in diesem Monat');
		echo ">Url.</th>\n";
		$seiteKonfSichtbar['gehalt_urlaub'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_kindkrank')) {
		echo "<th class=\"cl1\"" . stwToolTip('Fehlzeiten ohne Lohnzahlung in diesem Monat');
		echo ">FoL</th>\n";
		$seiteKonfSichtbar['gehalt_kindkrank'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_entgeltgruppe')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Entgeltgruppe') . ">EG</th>\n";
		$seiteKonfSichtbar['gehalt_entgeltgruppe'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_verwendungsgruppe')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Verwendungsgruppe') . ">VG</th>\n";
		$seiteKonfSichtbar['gehalt_verwendungsgruppe'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_lebensaltersstufe')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Lebensaltersstufe') . ">LAS</th>\n";
		$seiteKonfSichtbar['gehalt_lebensaltersstufe'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_gehaltsstufe')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Gehaltsstufe') . ">GS</th>\n";
		$seiteKonfSichtbar['gehalt_gehaltsstufe'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_grundverguetung')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Grundverg&uuml;tung') . ">GV</th>\n";
		$seiteKonfSichtbar['gehalt_grundverguetung'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_sonderzahlung')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Sonderzahlung in Prozent') . ">SZ %</th>\n";
		$seiteKonfSichtbar['gehalt_sonderzahlung'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_anstellung')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Anstellung') . ">Anst.</th>\n";
		$seiteKonfSichtbar['gehalt_anstellung'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_wochenstunden')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Stunden pro Woche') . ">h/w</th>\n";
		$seiteKonfSichtbar['gehalt_wochenstunden'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_gvanst')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Grundverg&uuml;tung nach Anstellung') . ">GVAnst.</th>\n";
		$seiteKonfSichtbar['gehalt_gvanst'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_zulage')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Zulage') . ">Zulage</th>\n";
		$seiteKonfSichtbar['gehalt_zulage'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_zulage1')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Zulage 1') . ">Zulage&nbsp;1</th>\n";
		$seiteKonfSichtbar['gehalt_zulage1'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_zulage_erl1')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Erl&auml;uterung Zulage 1') . ">Erl&auml;uterung<br>Zulage 1</th>\n";
		$seiteKonfSichtbar['gehalt_zulage_erl1'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_zulage2')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Zulage 2') . ">Zulage&nbsp;2</th>\n";
		$seiteKonfSichtbar['gehalt_zulage2'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_zulage_erl2')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Erl&auml;uterung Zulage 2') . ">Erl&auml;uterung<br>Zulage 2</th>\n";
		$seiteKonfSichtbar['gehalt_zulage_erl2'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_zulage3')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Zulage 3') . ">Zulage&nbsp;3</th>\n";
		$seiteKonfSichtbar['gehalt_zulage3'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_zulage_erl3')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Erl&auml;uterung Zulage 3') . ">Erl&auml;uterung<br>Zulage 3</th>\n";
		$seiteKonfSichtbar['gehalt_zulage_erl3'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_kinderzuschlag')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Kinderzuschlag nach §19a AVR') . ">KiZ</th>\n";
		$seiteKonfSichtbar['gehalt_kinderzuschlag'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_sz_euro')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Sonderzahlung in &euro;') . ">SZ&nbsp;&euro;</th>\n";
		$seiteKonfSichtbar['gehalt_sz_euro'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_vml')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Verm&ouml;genswirksame Leistungen') . ">VmL</th>\n";
		$seiteKonfSichtbar['gehalt_vml'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_pensionskasse')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Pensionskasse Arbeitgeber') . ">PK</th>\n";
		$seiteKonfSichtbar['gehalt_pensionskasse'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_brutto_as')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Bruttogehalt lt. Anstellung') . ">Brutto AS</th>\n";
		$seiteKonfSichtbar['gehalt_brutto_as'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_entgeltumwandlung')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Entgeltumwandlung') . ">EU</th>\n";
		$seiteKonfSichtbar['gehalt_entgeltumwandlung'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_stsvbr')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Steuer / SV Brutto') . ">St./SV Br.</th>\n";
		$seiteKonfSichtbar['gehalt_stsvbr'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_brutto_vs_max')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Maximal m&ouml;gliches Brutto Vollstelle') . ">Brutto VS<br>max.&nbsp;mgl.</th>\n";
		$seiteKonfSichtbar['gehalt_brutto_vs_max'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_stsvbrvs')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Steuer / SV Brutto Vollstelle') . ">St./SV/Br.VS</th>\n";
		$seiteKonfSichtbar['gehalt_stsvbrvs'] = true;
	}

	if($konf || seiteKonfSichtbar('gehalt_pk_proz')) {
		echo "<th class=\"cl1\" style=\"text-align: center;\"";
		echo stwToolTip('Prozentualer Anteil Pensionskasse') . ">PK%</th>\n";
		$seiteKonfSichtbar['gehalt_pk_proz'] = true;
	}
	echo "</tr>\n";

	if (substr($traeger,0,1) != 'a'){
		/* Summenvariablen initialisieren */
		$sum_gv = $sum_zu = $sum_kiz = $sum_sz = $sum_vml = $sum_pk = $sum_bas = 0;
		$sum_eu = $sum_sbr = $sum_bvs = $sum_fehltage = $sum_gvanst = 0;
	}

	new stwTabLine(2,30);
	if($konf){
		$chex = array('name', 'vorname', 'kinder', 'urlaub', 'kindkrank', 'entgeltgruppe', 'verwendungsgruppe', 'lebensaltersstufe', 
		              'gehaltsstufe', 'grundverguetung', 'sonderzahlung', 'anstellung', 'wochenstunden', 'gvanst', 'zulage', 'zulage1', 
		              'zulage_erl1', 'zulage2', 'zulage_erl2', 'zulage3', 'zulage_erl3', 'kinderzuschlag', 'sz_euro', 'vml', 
					  'pensionskasse', 'brutto_as', 'entgeltumwandlung', 'stsvbr', 'brutto_vs_max', 'stsvbrvs', 'pk_proz');
		echo "<tr><td colspan=\"2\" style=\"text-align:center\"><input type=\"checkbox\" checked disabled></td>\n";
		for($i=0; $i<sizeof($chex); $i++) {
			$name = 'gehalt_' . $chex[$i];
			$checked = seiteKonfSichtbar($name) ? 'checked' : '';
			echo "<td style=\"text-align:center\"><input type=\"checkbox\" $checked name=\"$name\"></td>\n";
		}
		echo "</tr>\n";
		/* auf der Konfigurationsseite wollen wir keine Personaldaten sehen */
		$mas = abfrage1('select pers_id from tb_personal where 0');
	} else {
		$sql  = "select distinct p.pers_id, p.vml, p.standard_traeger_art_id, p.vg, p.bags, ";
		$sql .= "p.zulage1, p.zulage_erl1, p.zulage2, p.zulage_erl2, p.zulage3, p.zulage_erl3, ";
		$sql .= "p.name, p.vorname, p.status_id, p.besch_id from tb_personal p ";
		if (substr($traeger,0,3) == 'abt') {
			$sql .= "left join tbh_pers_abt a on a.pers_id = p.pers_id ";
			$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
		}
		$sql .= "where  if(p.anstellung is null or p.anstellung='0000-00-00' , ";
		$sql .= "(p.eintritt < '$bis' or p.eintritt is null or p.eintritt='0000-00-00'), ";
		$sql .= "(p.anstellung < '$bis' or p.anstellung is null or p.anstellung='0000-00-00')) ";
		$sql .= "and (p.austritt>'$von' or p.austritt is null or p.austritt='0000-00-00') ";

		if (substr($traeger,0,1) != 'a') $sql .= "and p.standard_traeger_art_id = '$traeger' ";
		if (substr($traeger,0,3) == 'abt') {
			$sql .= "and (a.abt_id = " . substr($traeger,3) . " ";
			$sql .= "or l.abt_id = " . substr($traeger,3) . ") ";
		}
		$sql .= "order by ";
		if($_GET['order'] == 'name') $sql .= "p.name asc, p.vorname asc, p.personalnr asc;";
		elseif($_GET['order'] == 'vorname') $sql .= "p.vorname asc, p.name asc, p.personalnr asc;";
		else $sql .= "p.personalnr asc;";
		$mas = abfrage1($sql);
	}
	$ti = 1;
	$ma_cnt = 0;
	while ($ma = mysql_fetch_assoc($mas)) {
	  if($sperre[$ma['standard_traeger_art_id']] == true || ($ma['status_id'] == 2 && ($ma['besch_id'] == 1 || $ma['besch_id'] == 4))) {
		/* Gehaltsliste abfragen */
		$sql  = "select grund, besitz, sonder_proz, sonder, umwand, ";
		$sql .= "zulage1, zulage2, zulage3, zulage_erl1, zulage_erl2, zulage_erl3 ";

		/* bei sperre auch gespeicherte, nicht eingegebene Daten abfragen */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
			$sql .= ", kinder, urlaub, krank, eg, es, kiz, pk, brutto_vs, anst, ";
			$sql .= " brutto_as, brutto_st, sonder, vml, vg, gs, fehlz ";
		}
		$sql .= "from tb_gehalt where pers_id = '{$ma['pers_id']}' ";
		if ($sperre[$ma['standard_traeger_art_id']] == true) $sql .= "and sperre = '1' ";
		$sql .= "and ab_monat = ";
		/*$gehalt des Vormonats abgefragt um Unterschiede zum Vormonat hervorzuheben*/
		$gehaelter = abfrage1($sql . "'$von';");
		if(mysql_num_rows($gehaelter) == 0 && $sperre[$ma['standard_traeger_art_id']] == true) continue;
		$gehalt = mysql_fetch_assoc($gehaelter);
		$gehaltvm = abfrage_assoc($sql . "'$vmv';");

		echo "<input type=\"hidden\" name=\"pers_id[]\" ";
		echo "value=\"{$ma['pers_id']}\">\n";

		/* Anstellung, Entgeltgruppe und Einstufung
		 * aus der jeweils
		 aktuellen AZV ermitteln
		*/
		$sql  = "select anst, vg as eg, las as es, paz_id, ";
		$sql .= "von, unix_timestamp(von) as von_ts, ";
		$sql .= "bis, unix_timestamp(bis) as bis_ts, anst_ez ";
		$sql .= "from tb_paz where (pers_id ='{$ma['pers_id']}'";
		if($ts1 > time()) $sql .= " or pers_id='-{$ma['pers_id']}'";
		$sql .= ") and von < '$bis' order by von desc limit 1;";
		$paz = abfrage_assoc($sql);

		echo "<tr class=\"mo\"><td class=\"cl1\"><a href=\"pers_and.php?";
		echo "pers_id={$ma['pers_id']}\"" . stwToolTip($ma['vorname'] . ' ' . $ma['name']);
		echo '>' . pers_nummer($ma['pers_id']) . "</a></td>\n";
		$ma_cnt++;

		echo "<td class=\"cl1\">";
		if ($sperre[$ma['standard_traeger_art_id']] != true) {
		  if($paz['bis_ts'] < $ts1) {
			echo "<a href=\"pers_azv.php?pers_id=".$ma['pers_id']."\"";
			echo stwToolTip('keine g&uuml;ltige Arbeitszeitvereinbahrung');
			echo "style=\"color:red\">AZV</a>";
		  } elseif($paz['von_ts'] < $ts2 && $paz['von_ts'] > $ts1) {
			$sql  = "select paz_id from tb_paz where (pers_id ='{$ma['pers_id']}'";
			if($ts1 > time()) $sql .= " or pers_id='-{$ma['pers_id']}'";
			$sql .= ") and von < '{$paz['von']}' and bis >= '$von' order by von desc limit 1;";
			$lastpaz = abfrage($sql);
			if(empty($lastpaz[0])) echo "<a href=\"pers_azv_and.php?pers_id=".$ma['pers_id']."&paz_id=".$ma['paz_id']."\">AZV</a>";
			else {
				echo "<a href=\"pers_azv_and.php?pers_id=".$ma['pers_id']."&paz_id=".$paz['paz_id']."\"";
				echo stwToolTip('Arbeitszeitvereinbahrung beginnt nicht zum Monatsersten');
				echo "style=\"color:hotpink\">AZV</a>";
			}
		  } elseif($paz['bis_ts'] > $ts1 && $paz['bis_ts'] < $ts2) {
			$sql  = "select paz_id from tb_paz where (pers_id ='{$ma['pers_id']}'";
			if($ts1 > time()) $sql .= " or pers_id='-{$ma['pers_id']}'";
			$sql .= ") and von > '{$paz['bis']}' order by von asc limit 1;";
			$lastpaz = abfrage($sql);
			if(empty($lastpaz[0])) echo "<a href=\"pers_azv_and.php?pers_id=".$ma['pers_id']."&paz_id=".$ma['paz_id']."\">AZV</a>";
			else {
				echo "<a href=\"pers_azv_and.php?pers_id=".$ma['pers_id']."&paz_id=".$paz['paz_id']."\"";
				echo stwToolTip('Arbeitszeitvereinbahrung endet nicht zum Monatsletzten');
				echo "style=\"color:hotpink\">AZV</a>";
			}
		  } elseif($paz['bis_ts'] < $ts2) {
			echo "<a href=\"pers_azv_and.php?pers_id=".$ma['pers_id']."&paz_id=".$paz['paz_id']."\"";
			echo stwToolTip('Arbeitszeitvereinbahrung l&auml;uft in diesem Monat aus');
			echo "style=\"color:#FF6600\">AZV</a>";
		  } else echo "<a href=\"pers_azv_and.php?pers_id=".$ma['pers_id']."&paz_id=".$ma['paz_id']."\">AZV</a>";
		}
		echo "</td>\n";

		if($seiteKonfSichtbar['gehalt_name']) {
			echo "<td class=\"cl1\">" . $ma['name'] . "</td>";
		}

		if($seiteKonfSichtbar['gehalt_vorname']) {
			echo "<td class=\"cl1\">" . $ma['vorname'] . "</td>";
		}

		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_kinder']) {
			echo "<td class=\"cl1\" style=\"text-align: center;\">";
			if($gehalt['kinder'] != $gehaltvm['kinder']) {
				$tempString = "Vormonat: " . $gehaltvm['kinder'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['kinder'] > 0) echo $gehalt['kinder'];
			if($gehalt['kinder'] != $gehaltvm['kinder']) echo "</span>";
			echo "</td>\n";
		  }
		} else {
			/* Anzahl der Kinder ermitteln, fuer der Mitarbeiter Kindergeld bezieht */
			$sql  = "select count(kind_id) as kinder from tb_kinder ";
			$sql .= "where pers_id = '{$ma['pers_id']}' ";
			$sql .= "and unix_timestamp(geboren) <= '$ts2' ";
			$sql .= "and kigeld = 'j' and kigeld_empf = 'M';";
			$ki = abfrage_assoc($sql);
			echo "<input type=\"hidden\" name=\"kinder[]\" value=\"{$ki['kinder']}\">\n";
			if($seiteKonfSichtbar['gehalt_kinder']) {
				/* Anzahl Kinder ausgeben */
				echo "<td class=\"cl1\" style=\"text-align: center;\">";
				if ($ki['kinder'] > 0) echo $ki['kinder'];
				echo "</td>\n";
			}
		}

		/* Urlaubstage */
		if ($sperre == true){
		  if($seiteKonfSichtbar['gehalt_urlaub']) {
			echo "<td class=\"cl1\" style=\"text-align: center;\">";
			if ($gehalt['urlaub'] > 0) echo $gehalt['urlaub'];
			echo "</td>\n";
		  }
		} else {
			/* Anzahl der im angezeigten Monat genommenen Urlaubstage ermitteln */
			$sql  = "select unix_timestamp(t.von) as von_ts, ";
			$sql .= "unix_timestamp(t.bis) as bis_ts from tb_fehlz f ";
			$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
			$sql .= "where f.pers_id = '{$ma['pers_id']}' and t.terminart = 'u' ";
			$sql .= "and unix_timestamp(t.von) < '$ts2' ";
			$sql .= "and unix_timestamp(t.bis) > '$ts1' and f.genehmigt = '1';";
			$urlaube = abfrage1($sql);

			$urlaub = 0;

			while ($dat1 = mysql_fetch_assoc($urlaube)){
				$von1 = ($dat1['von_ts'] < $ts1) ? $ts1 : $dat1['von_ts'];
				$bis1 = ($dat1['bis_ts'] > $ts2) ? $ts2 : $dat1['bis_ts'];
				$urlaub += kalendertage($dat1['von_ts'], $dat1['bis_ts']);
			}

			echo "<input type=\"hidden\" name=\"urlaub[]\" value=\"$urlaub\">\n";
			/* Anzahl der im angezeigten Monat genommenen Urlaubstage ausgeben */
			if($seiteKonfSichtbar['gehalt_urlaub']) {
				echo "<td class=\"cl1\" style=\"text-align: center;\">";
				if ($urlaub > 0) echo $urlaub;
				echo "</td>\n";
			}
		}

		/* Fehltage ohne Lohn */
		$fehl_anz = $fehltage = $elternzeit = 0;
		$sql   = "SELECT unix_timestamp(t.von), unix_timestamp(t.bis), t.terminart ";
		$sql  .= "FROM tb_fehlz f LEFT JOIN tb_termine t USING ( termin_id ) ";
		$sql  .= "WHERE t.terminart in ('kk','ez','kol','wol') AND pers_id = '{$ma['pers_id']}' ";
		$sql  .= "AND unix_timestamp(t.von) <= $ts2 AND unix_timestamp(t.bis) >= $ts1;";
		$res = abfrage1($sql);
		while ($kk = mysql_fetch_row($res)) {
			if($kk[1] > 0) {
				$at = kalendertage(max($kk[0],$ts1), min($kk[1],$ts2));
				$fehltage += $at;
				$fehl_anz += arbeitstage(max($kk[0],$ts1), min($kk[1],$ts2));
				if($kk[2] == 'ez') $elternzeit += $at;
			}				
		}
		echo "<input type=\"hidden\" name=\"fehlz[]\" value=\"$fehltage\">\n";
		echo "<input type=\"hidden\" name=\"elternzeit[]\" value=\"$elternzeit\">\n";
		$sum_fehltage += $fehltage;

		if($seiteKonfSichtbar['gehalt_kindkrank']) {
			$color = $fehl_anz < $fehltage ? 'color:#FF9900' : '';
			$tt = $fehl_anz < $fehltage ? stwToolTip("zur Weiterverarbeitung wird inklusive Feiertagen<br />(insgesamt $fehltage Tage) gerechnet") : '';
			echo "<td class=\"cl1\" $tt style=\"text-align:center;$color;\">";
			if ($fehl_anz > 0) echo $fehl_anz;
			echo "</td>\n";
		}

		/* Beginn/Ende der Anstellung in diesem Monat? */
		$tsMin = $ts1;
		$tsMax = $ts2;
		$austritt = abfrage("select unix_timestamp(austritt), unix_timestamp(eintritt) from tb_personal where pers_id='{$ma['pers_id']}'");
		if($austritt[0] >= $ts1 && $austritt[0] < $ts2) $tsMax = $austritt[0];
		if($austritt[1] > $ts1) $tsMin = $austritt[1];
		if($paz['von_ts'] > $ts1) $tsMin = max($tsMin,$paz['von_ts']);
		if($paz['bis_ts'] < $ts2 && $paz['bis_ts'] >= $ts1) $tsMax = min($tsMax,$paz['bis_ts']);
		if($tsMin > $ts1) {
			$tsBefore = mktime(0, 0, 0, date("m",$tsMin), date("d",$tsMin)-1, date("Y",$tsMin));
			$fehltage += kalendertage($ts1,$tsBefore);
		}
		if($tsMax < $ts2) {
			$tsAfter = mktime(0, 0, 0, date("m",$tsMax), date("d",$tsMax)+1, date("Y",$tsMax));
			$fehltage += kalendertage($tsAfter,$ts2);
		}

		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_entgeltgruppe']) {
			echo "<td class=\"cl1\" style=\"text-align: center;\">";
			if($gehalt['eg'] != $gehaltvm['eg']) {
				$tempString = "Vormonat: " . $gehaltvm['eg'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if (strlen($gehalt['eg']) > 0) echo $gehalt['eg'];
			if($gehalt['eg'] != $gehaltvm['eg']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_entgeltgruppe']) {
			/* Entgeltgruppe ausgeben */
			echo "<input type=\"hidden\" name=\"eg[]\" value=\"{$paz['eg']}\">\n";
			echo "<td class=\"cl1\" style=\"text-align: center;\">";
			if (strlen($paz['eg']) > 0) echo $paz['eg'];
			echo "</td>\n";
		}


		/* Verwendungsgruppe */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_verwendungsgruppe']) {
			echo "<td class=\"cl1\" style=\"text-align: center;\">";
			if($gehalt['vg'] != $gehaltvm['vg']) {
				$tempString = "Vormonat: " . $gehaltvm['vg'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['vg'] > 0) echo $gehalt['vg'];
			if($gehalt['vg'] != $gehaltvm['vg']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_verwendungsgruppe']) {
			/* Verwendungsgruppe ausgeben */
			echo "<input type=\"hidden\" name=\"vg[]\" value=\"{$ma['vg']}\">\n";
			echo "<td class=\"cl1\" style=\"text-align: center;\">";
			if ($ma['vg'] > 0) echo $ma['vg'];
			echo "</td>\n";
		}


		/* Einstufung */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_lebensaltersstufe']) {
			echo "<td class=\"cl1\" style=\"text-align: center;\">";
			if($gehalt['es'] != $gehaltvm['es']) {
				$tempString = "Vormonat: " . $gehaltvm['es'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			echo $gehalt['es'];
			if($gehalt['es'] != $gehaltvm['es']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_lebensaltersstufe']) {
			/* Einstufung ausgeben */
			echo "<input type=\"hidden\" name=\"es[]\" value=\"{$paz['es']}\">\n";
			echo "<td class=\"cl1\" style=\"text-align: center;\">";
			if (strlen($paz['es']) > 0) echo $paz['es'];
			echo "</td>\n";
		}


		/* Gehaltsstufe */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_gehaltsstufe']) {
			echo "<td class=\"cl1\" style=\"text-align: center;\">";
			if($gehalt['gs'] != $gehaltvm['gs']) {
				$tempString = "Vormonat: " . $gehaltvm['gs'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['gs'] > 0) echo $gehalt['gs'];
			if($gehalt['gs'] != $gehaltvm['gs']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_gehaltsstufe']) {
			/* Gehaltsstufe ausgeben */
			$gs = pers_gehaltsstufe($ma['pers_id'],"$jahr-$monat-01");
			echo "<input type=\"hidden\" name=\"gs[]\" value=\"$gs\">\n";
			echo "<td class=\"cl1\" style=\"text-align: center;\">$gs</td>\n";
		}


		/* Grundverguetung */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_grundverguetung']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['grund'] != $gehaltvm['grund']) {
				$tempString = "Vormonat: " . $gehaltvm['grund'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['grund'] > 0) echo geld_form_web($gehalt['grund']);
			elseif($gehalt['grund'] < 0) echo "<b style=\"color:red\">".$gehalt['grund']."</b>";
			if($gehalt['grund'] != $gehaltvm['grund']) echo "</span>";
			echo "</td>\n";
		  }
		} else {
		  if($seiteKonfSichtbar['gehalt_grundverguetung']) {
			/* Eingabefeld Grundverguetung */
			echo "<td class=\"cl1\"><input type=\"text\" name=\"grund[]\" ";
			echo "onkeyup=\"xajax_ButtonAendern(SpeichernButton.value)\" ";
			echo "size=\"8\" tabindex=\"$ti\" style=\"text-align: right;\"";
			$gv = '';
			if($_REQUEST['vormonat'] == 1){
				/*eingegebene Grundverguetung des Vormonats uebernehmen*/
				$gv = $gehaltvm['grund'];
			} elseif ($gehalt['grund'] != 0){
				$gv = $gehalt['grund'];
			} elseif(!empty($ma['bags'])) {
				$gv = pers_grundverguetung($ma['pers_id'],"$jahr-$monat-01");
			}
			echo " value=\"$gv\"></td>\n";
		  } else {
			echo "<input type=\"hidden\" name=\"grund[]\" ";
			if ($gehalt['grund'] != 0) echo " value=\"" . geld_form_formular($gehalt['grund']) . "\"";
			echo ">\n";
		  }
		}
		$sum_gv += $gehalt['grund'];


		/* Sonderzahlung in Prozent */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_sonderzahlung']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['sonder_proz'] != $gehaltvm['sonder_proz']) {
				$tempString = "Vormonat: " . $gehaltvm['sonder_proz'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['sonder_proz'] > 0) echo proz_form($gehalt['sonder_proz']);
			elseif($gehalt['sonder_proz'] < 0) echo "<b style=\"color:red\">".$gehalt['sonder_proz']."</b>";
			if($gehalt['sonder_proz'] != $gehaltvm['sonder_proz']) echo "</span>";
			echo "</td>\n";
		  }
		} else {
		  if($seiteKonfSichtbar['gehalt_sonderzahlung']) {
			/* Eingabefeld Sonderzahlung in Prozent */
			echo "<td class=\"cl1\"><input type=\"text\" name=\"sonder_proz[]\" ";
			echo "size=\"6\" tabindex=\"$ti\" style=\"text-align: right;\" ";
			echo "onkeyup=\"xajax_ButtonAendern(SpeichernButton.value)\" ";
			if($_REQUEST['vormonat'] == 1){
				/*eingegebene Sonderzahlung des Vormonats uebernehmen*/
				echo " value=\"" . $gehaltvm['sonder_proz'] . "\"";
			} elseif ($gehalt['sonder_proz'] != 0) {
				echo " value=\"" . geld_form_formular($gehalt['sonder_proz']) . "\"";
			}
			echo "></td>\n";
		  } else {
			echo "<input type=\"hidden\" name=\"sonder_proz[]\" ";
			if ($gehalt['sonder_proz'] != 0) echo " value=\"" . geld_form_formular($gehalt['sonder_proz']) . "\"";
			echo ">\n";
		  }
		}


		/* Anstellung */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_anstellung']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($elternzeit > 0) {
				$anst_ez = abfrage("select anst_ez from tb_paz 
									where pers_id='{$ma['pers_id']}'
									and von < '$bis' order by von desc limit 1");
				$tempString = "Anstellung w&auml;hrend Elternzeit: " . proz_form($anst_ez[0],2,true);
				echo "<span style=\"background-color:black; color:$ezColor[0]\" ";
				echo stwToolTip($tempString) . ">";
			} elseif($gehalt['anst'] != $gehaltvm['anst']) {
				$tempString = "Vormonat: " . proz_form($gehaltvm['anst']);
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['anst'] > 0) echo proz_form($gehalt['anst']);
			if($elternzeit > 0 || $gehalt['anst'] != $gehaltvm['anst']) echo "</span>";
			echo "</td>\n";
			$sum_anst += $gehalt['anst'];
		  }
		} else {
			if($seiteKonfSichtbar['gehalt_anstellung']) {
				/* Anstellung als Prozentzahl ausgeben */
				echo "<td class=\"cl1\" style=\"text-align: right;\">";
				if ($paz['anst'] > 0) echo proz_form($paz['anst'], 2);
				echo "</td>\n";
			}
			echo "<input type=\"hidden\" name=\"anst[]\" value=\"{$paz['anst']}\">\n";
			$sum_anst += $paz['anst'];
		}


		/* Anstellung (Wochenstunden) */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_wochenstunden']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['anst'] != $gehaltvm['anst']) {
				$tempString = "Vormonat: " . fls_form($gehaltvm['anst'] * $az_basis / 100, 2);
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['anst'] > 0) echo fls_form($gehalt['anst'] * $az_basis / 100, 2);
			if($gehalt['anst'] != $gehaltvm['anst']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_wochenstunden']) {
			/* Anstellung */
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if ($paz['anst'] > 0) echo fls_form($paz['anst'] * $az_basis / 100, 2);
			echo "</td>\n";
		}


		/* Anstellung nach Grundverguetung*/
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_gvanst']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if(($gehalt['anst'] * $gehalt['grund']/100) != ($gehaltvm['anst'] * $gehaltvm['grund']/100)) {
				$tempString = "Vormonat: " . ($gehaltvm['anst'] * $gehaltvm['grund']/100);
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['anst'] > 0) echo geld_form_web($gehalt['anst'] * $gehalt['grund']/100);
			if(($gehalt['anst'] * $gehalt['grund']/100) != ($gehaltvm['anst'] * $gehaltvm['grund']/100)) echo "</span>";
			echo "</td>\n";
			$sum_gvanst += $gehalt['anst'] * $gehalt['grund']/100;
		  }
		} elseif($seiteKonfSichtbar['gehalt_gvanst']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if ($paz['anst'] > 0) echo geld_form_web($paz['anst'] * $gehalt['grund']/100);
			echo "</td>\n";
			$sum_gvanst += $paz['anst'] * $gehalt['grund']/100;
		}
		$sum_gv += $gehalt['grund'];


		/* Zulage */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_zulage']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['besitz'] != $gehaltvm['besitz']) {
				$tempString = "Vormonat: " . $gehaltvm['besitz'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['besitz'] > 0) echo geld_form_web($gehalt['besitz']);
			elseif($gehalt['besitz'] < 0) echo "<b style=\"color:red\">".$gehalt['besitz']."</b>";
			if($gehalt['besitz'] != $gehaltvm['besitz']) echo "</span>";
			echo "</td>\n";
		  }
		} else {
		  if($seiteKonfSichtbar['gehalt_zulage']) {
			/* Eingabefeld Zulage */
			echo "<td class=\"cl1\"><input type=\"text\" name=\"besitz[]\" ";
			echo "size=\"8\" tabindex=\"$ti\" style=\"text-align: right;\" ";
			echo "onkeyup=\"xajax_ButtonAendern(SpeichernButton.value)\" ";
			if($_REQUEST['vormonat'] == 1){
				/*eingegebene Zulage des Vormonats uebernehmen*/
				echo " value=\"" . $gehaltvm['besitz'] . "\"";
			} elseif ($gehalt['besitz'] != 0){
				echo " value=\"" . geld_form_formular($gehalt['besitz']) . "\"";
			}
			echo "></td>\n";
		  } else {
			echo "<input type=\"hidden\" name=\"besitz[]\" ";
			if ($gehalt['besitz'] != 0) echo " value=\"" . geld_form_formular($gehalt['besitz']) . "\"";
			echo ">\n";
		  }
		}
		$sum_zu += $gehalt['besitz'];


		/* Zulage 1 */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_zulage1']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['zulage1'] != $gehaltvm['zulage1']) {
				$tempString = "Vormonat: " . $gehaltvm['zulage1'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['zulage1'] > 0) echo geld_form_web($gehalt['zulage1'] * $gehalt['anst'] / 100);
			elseif($gehalt['zulage1'] < 0) echo "<b style=\"color:red\">".$gehalt['zulage1']."</b>";
			if($gehalt['zulage1'] != $gehaltvm['zulage1']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_zulage1']) {
			echo "<input type=\"hidden\" name=\"zulage1[]\" ";
			if(!is_null($gehalt['zulage1'])) {
				if ($gehalt['zulage1'] != 0) echo " value=\"" . geld_form_formular($gehalt['zulage1']) . "\"";
			} elseif ($ma['zulage1'] != 0) echo " value=\"" . geld_form_formular($ma['zulage1']) . "\"";
			echo ">\n";
			echo "<td class=\"cl1\">" . ($ma['zulage1']<>0 ? geld_form_web($ma['zulage1'] * $paz['anst'] / 100) : '') . "</td>";
		}
		$sum_zu += $gehalt['zulage1'];


		/* Erlaeuterung Zulage 1 */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_zulage_erl1']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['zulage_erl1'] != $gehaltvm['zulage_erl1']) {
				$tempString = "Vormonat: " . $gehaltvm['zulage_erl1'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if (strlen($gehalt['zulage_erl1']) > 0) echo $gehalt['zulage_erl1'];
			if($gehalt['zulage_erl1'] != $gehaltvm['zulage_erl1']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_zulage_erl1']) {
			echo "<input type=\"hidden\" name=\"zulage_erl1[]\" ";
			if (!is_null($gehalt['zulage_erl1'])) echo " value=\"" . $gehalt['zulage_erl1'] . "\"";
			elseif (!empty($ma['zulage_erl1'])) echo " value=\"" . $ma['zulage_erl1'] . "\"";
			echo ">\n";
			echo "<td class=\"cl1\">" . $ma['zulage_erl1'] . "</td>\n";
		}


		/* Zulage 2 */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_zulage2']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['zulage2'] != $gehaltvm['zulage2']) {
				$tempString = "Vormonat: " . $gehaltvm['zulage2'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['zulage2'] > 0) echo geld_form_web($gehalt['zulage2'] * $gehalt['anst'] / 100);
			elseif($gehalt['zulage2'] < 0) echo "<b style=\"color:red\">".$gehalt['zulage2']."</b>";
			if($gehalt['zulage2'] != $gehaltvm['zulage2']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_zulage2']) {
			echo "<input type=\"hidden\" name=\"zulage2[]\" ";
			if(!is_null($gehalt['zulage2'])) {
				if ($gehalt['zulage2'] != 0) echo " value=\"" . geld_form_formular($gehalt['zulage2']) . "\"";
			} elseif ($ma['zulage2'] != 0) echo " value=\"" . geld_form_formular($ma['zulage2']) . "\"";
			echo ">\n";
			echo "<td class=\"cl1\">" . ($ma['zulage2']<>0 ? geld_form_web($ma['zulage2'] * $paz['anst'] / 100) : '') . "</td>";
		}
		$sum_zu += $gehalt['zulage2'];


		/* Erlaeuterung Zulage 2 */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_zulage_erl2']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['zulage_erl2'] != $gehaltvm['zulage_erl2']) {
				$tempString = "Vormonat: " . $gehaltvm['zulage_erl2'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if (strlen($gehalt['zulage_erl2']) > 0) echo $gehalt['zulage_erl2'];
			if($gehalt['zulage_erl2'] != $gehaltvm['zulage_erl2']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_zulage_erl2']) {
			echo "<input type=\"hidden\" name=\"zulage_erl2[]\" ";
			if (!is_null($gehalt['zulage_erl2'])) echo " value=\"" . $gehalt['zulage_erl2'] . "\"";
			elseif (!empty($ma['zulage_erl2'])) echo " value=\"" . $ma['zulage_erl2'] . "\"";
			echo ">\n";
			echo "<td class=\"cl1\">" . $ma['zulage_erl2'] . "</td>\n";
		}


		/* Zulage 3 */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_zulage3']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['zulage3'] != $gehaltvm['zulage3']) {
				$tempString = "Vormonat: " . $gehaltvm['zulage3'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['zulage3'] > 0) echo geld_form_web($gehalt['zulage3'] * $gehalt['anst'] / 100);
			elseif($gehalt['zulage3'] < 0) echo "<b style=\"color:red\">".$gehalt['zulage3']."</b>";
			if($gehalt['zulage3'] != $gehaltvm['zulage3']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_zulage3']) {
			echo "<input type=\"hidden\" name=\"zulage3[]\" ";
			if(!is_null($gehalt['zulage3'])) {
				if ($gehalt['zulage3'] != 0) echo " value=\"" . geld_form_formular($gehalt['zulage3']) . "\"";
			} elseif ($ma['zulage3'] != 0) echo " value=\"" . geld_form_formular($ma['zulage3']) . "\"";
			echo ">\n";
			echo "<td class=\"cl1\">" . ($ma['zulage3']<>0 ? geld_form_web($ma['zulage3'] * $paz['anst'] / 100) : '') . "</td>";
		}
		$sum_zu += $gehalt['zulage3'];


		/* Erlaeuterung Zulage 3 */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_zulage_erl3']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['zulage_erl3'] != $gehaltvm['zulage_erl3']) {
				$tempString = "Vormonat: " . $gehaltvm['zulage_erl3'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if (strlen($gehalt['zulage_erl3']) > 0) echo $gehalt['zulage_erl3'];
			if($gehalt['zulage_erl3'] != $gehaltvm['zulage_erl3']) echo "</span>";
			echo "</td>\n";
		  }
		} elseif($seiteKonfSichtbar['gehalt_zulage_erl3']) {
			echo "<input type=\"hidden\" name=\"zulage_erl3[]\" ";
			if (!is_null($gehalt['zulage_erl3'])) echo " value=\"" . $gehalt['zulage_erl3'] . "\"";
			elseif (!empty($ma['zulage_erl3'])) echo " value=\"" . $ma['zulage_erl3'] . "\"";
			echo ">\n";
			echo "<td class=\"cl1\">" . $ma['zulage_erl3'] . "</td>\n";
		}


		/* Kinderzuschlag */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_kinderzuschlag']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['kiz'] != $gehaltvm['kiz']) {
				$tempString = "Vormonat: " . $gehaltvm['kiz'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['kiz'] > 0) echo geld_form_web($gehalt['kiz']);
			if($gehalt['kiz'] != $gehaltvm['kiz']) echo "</span>";
			echo "</td>\n";
			$sum_kiz += $gehalt['kiz'];
		  }
		} else {
		  if($seiteKonfSichtbar['gehalt_kinderzuschlag']) {
			/* Kinderzuschlag ermitteln, wenn Kinder vorhanden */
			if ($ki['kinder'] > 0){
				echo "<td class=\"cl1\" style=\"text-align: right;\">";
				$kinderzus_pers = round($ki['kinder'] * $kinderzus * $paz['anst'] / 100, 2);
				echo geld_form_web($kinderzus_pers) . "</td>\n";
			} else {
				$kinderzus_pers = 0;
				echo "<td></td>\n";
			}
		  }
		  echo "<input type=\"hidden\" name=\"kiz[]\" value=\"$kinderzus_pers\">\n";
		  $sum_kiz += $kinderzus_pers;
		}



		/* Sonderzahlung in Euro */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_sz_euro']) {
			echo "<td class=\"cl1\" style=\"text-align:right;";
			$sonder = sonderz($gehalt['sonder_proz'], $ma['pers_id'], $monat, $jahr);
			$tt = $sonder[1];
			if($gehalt['sonder'] != $gehaltvm['sonder']) {
				$tt .= "<br>Vormonat: " . $gehaltvm['sonder'];
				echo "background-color:$vmDiffColor;";
			}
			echo "\"" . stwToolTip($tt) . ">";
			if ($gehalt['sonder'] > 0) echo geld_form_web($gehalt['sonder']);
			if($gehalt['sonder'] != $gehaltvm['sonder']) echo "</span>";
			echo "</td>\n";
			$sum_sz += $gehalt['sonder'];
		  }
		} else {
			if ($gehalt['grund'] > 0){
				$sonderz = sonderz($gehalt['sonder_proz'], $ma['pers_id'], $monat, $jahr);
				$sonder = $sonderz[0];
				if($seiteKonfSichtbar['gehalt_sz_euro']) {
					echo "<td class=\"cl1\" ";
					if(strlen($sonderz[1]) > 0) echo stwToolTip($sonderz[1]);
					echo " style=\"text-align: right;\">";
					if ($sonder > 0) echo geld_form_web($sonder);
					echo "</td>\n";
				}
				$sum_sz += $sonder;
			} else {
				$sonder = 0;
				if($seiteKonfSichtbar['gehalt_sz_euro']) {
					echo "<td class=\"cl1\" style=\"text-align: center;\"";
					echo stwToolTip('Sonderzahlung in Prozent noch nicht gespeichert!');
					echo ">?</td>\n";
				}
			}
			echo "<input type=\"hidden\" name=\"sonder[]\" value=\"$sonder\">\n";
		}


		/* vermoegenswirksame Leistungen */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_vml']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['vml'] != $gehaltvm['vml']) {
				$tempString = "Vormonat: " . $gehaltvm['vml'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['vml'] > 0) echo geld_form_web($gehalt['vml']);
			if($gehalt['vml'] != $gehaltvm['vml']) echo "</span>";
			echo "</td>\n";
			$sum_vml += $gehalt['vml'];
		  }
		} else {
			/* VmL ermitteln */
			if ($ma['vml'] == 'j' && $kalendertage > ($fehltage - $elternzeit)){
				$vml_pers = round($paz['anst'] * $vml / 100, 2);
				if($seiteKonfSichtbar['gehalt_vml']) {
					echo "<td class=\"cl1\" style=\"text-align: right;\">";
					echo geld_form_web($vml_pers) . "</td>\n";
				}
			} else {
				$vml_pers = 0;
				if($seiteKonfSichtbar['gehalt_vml']) echo "<td></td>\n";
			}
			echo "<input type=\"hidden\" name=\"vml[]\" value=\"$vml_pers\">\n";
			$sum_vml += $vml_pers;
		}


		/* Pensionskasse */
		$pens = pers_pension($ma['pers_id'], "$jahr-$monat-01");
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_pensionskasse']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if(intval($gehalt['pk']) > intval($pens[0])) {
				$tempString = $pk_zuschuss . "% Zuschuss Pensionskasse";
				echo "<span style=\"background-color:black\" ";
				echo stwToolTip($tempString) . ">";
			} elseif($gehalt['pk'] != $gehaltvm['pk']) {
				$tempString = "Vormonat: " . $gehaltvm['pk'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['pk'] > 0) echo geld_form_web($gehalt['pk']);
			if($gehalt['pk'] > $pens[0] || $gehalt['pk'] != $gehaltvm['pk']) echo "</span>";
			echo "</td>\n";
			$sum_pk += $gehalt['pk'];
		  }
		} else {
			if($paz['anst'] > 0 && $kalendertage > ($fehltage - $elternzeit))
				$pensionskasse = $pens[0] + (($gehalt['umwand'] / 100) * $pk_zuschuss);
			else $pensionskasse = 0;
			if($seiteKonfSichtbar['gehalt_pensionskasse']) {
				echo "<td class=\"cl1\" style=\"text-align: right; color: $pens[1]\">";
				echo geld_form_web($pensionskasse) . "</td>\n";
			}
			echo "<input type=\"hidden\" name=\"pk[]\" value=\"$pensionskasse\">\n";
			$sum_pk += $pensionskasse;
		}

		/* Bruttogehalt lt. Anstellung */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_brutto_as']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['brutto_as'] != $gehaltvm['brutto_as']) {
				$tempString = "Vormonat: " . $gehaltvm['brutto_as'];
				echo "<span style=\"background-color:$vmDiffColor;";
				if($tsMin > $ts1 || $tsMax < $ts2) $tempString .= "<br />Anstellungsverh&auml;ltnis nicht &uuml;ber die Dauer des gesamten Monats";
				if($fehltage > 0) {
					$tempString .= "<br />Fehlzeiten-bedingte Abz&uuml;ge";
					echo "color:$kkChangeColor;font-weight:bold;";
				}
				echo "\" " . stwToolTip($tempString) . ">";
			}
			if ($gehalt['brutto_as'] != 0) echo geld_form_web($gehalt['brutto_as']);
			if($gehalt['brutto_as'] != $gehaltvm['brutto_as']) echo "</span>";
			echo "</td>\n";
			$sum_bas += $gehalt['brutto_as'];
		  }
		} else {
			/* Bruttogehalt lt. Anstellung ermitteln */
			$brutto_as  = $gehalt['grund'];
			if(seiteKonfSichtbar('gehalt_zulagen_proz_anst')) {
				$brutto_as += $gehalt['zulage1'];
				$brutto_as += $gehalt['zulage2'];
				$brutto_as += $gehalt['zulage3'];
				$brutto_as  = round($brutto_as * $paz['anst'] / 100, 2);
			} else {
				$brutto_as  = round($brutto_as * $paz['anst'] / 100, 2);
				$brutto_as += $gehalt['zulage1'];
				$brutto_as += $gehalt['zulage2'];
				$brutto_as += $gehalt['zulage3'];
			}
			$brutto_as += $gehalt['besitz'];
			$brutto_as += $kinderzus_pers;
			$brutto_as += $sonder;
			$brutto_as += $vml_pers;
			$brutto_as += $pensionskasse;

			/* Bruttogehalt lt. Anstellung ausgeben */
			if($fehltage > 0) /*falls Ausfall wegen Kind krank*/ {
				/* brutto_as(neu) = brutto_as(alt) - (((GVAnst + Kinderzulage) / Arbeitstage) * 'Kind Krank Tage') */
				$ZwErgebn  = $paz['anst'] * $gehalt['grund']/100 + $kinderzus_pers + $gehalt['besitz'];
				$ZwErgebn /= $kalendertage;
				$brutto_as -= $ZwErgebn * $fehltage;
			}
			if($elternzeit > 0 && $gehalt['grund'] > 0) /*falls Elternzeit*/ {
				/* brutto_as(neu) = brutto_as(alt) + (((GVAnst(mit reduzierter Anstellung) + Kinderzulage) / Arbeitstage) * 'Elternzeit') */
				$kinderzus_ez = round($ki['kinder'] * $kinderzus * $paz['anst_ez'] / 100, 2);
				$ZwErgebn  = $paz['anst_ez'] * $gehalt['grund']/100 + $kinderzus_ez + $gehalt['besitz'];
				$ZwErgebn /= $kalendertage;
				$brutto_as += $ZwErgebn * $elternzeit;
			}
			if($seiteKonfSichtbar['gehalt_brutto_as']) {
				echo "<td class=\"cl1\" style=\"text-align: right;\">";
				if ($brutto_as != 0) echo geld_form_web($brutto_as);
				echo "</td>\n";
			}
			echo "<input type=\"hidden\" name=\"brutto_as[]\" value=\"$brutto_as\">\n";
			$sum_bas += $brutto_as;
		}


		/* Entgeltumwandlung */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_entgeltumwandlung']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['umwand'] != $gehaltvm['umwand']) {
				$tempString = "Vormonat: " . $gehaltvm['umwand'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['umwand'] > 0) echo geld_form_web($gehalt['umwand']);
			elseif($gehalt['umwand'] < 0) echo "<b style=\"color:red\">".$gehalt['umwand']."</b>";
			if($gehalt['umwand'] != $gehaltvm['umwand']) echo "</span>";
			echo "</td>\n";
		  }
		} else {
		  if($seiteKonfSichtbar['gehalt_entgeltumwandlung']) {
			/* Eingabefeld Entgeltumwandlung */
			echo "<td class=\"cl1\"><input type=\"text\" name=\"umwand[]\" ";
			echo "size=\"8\" tabindex=\"$ti\" style=\"text-align: right;\" ";
			echo "onkeyup=\"xajax_ButtonAendern(SpeichernButton.value)\" ";
			if($_REQUEST['vormonat'] == 1){
				/*eingegebene Entgeltumwandlung des Vormonats uebernehmen*/
				echo " value=\"" . $gehaltvm['umwand'] . "\"";
			} elseif ($gehalt['umwand'] != 0) {
				echo " value=\"" . geld_form_formular($gehalt['umwand']) . "\"";
			}
			echo "></td>\n";
		  } else {
			echo "<input type=\"hidden\" name=\"umwand[]\" ";
			if ($gehalt['umwand'] != 0) echo " value=\"" . geld_form_formular($gehalt['umwand']) . "\"";
			echo ">\n";
		  }
		}
		$sum_eu += $gehalt['umwand'];


		/* Steuer / SV Brutto */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_stsvbr']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['brutto_st'] != $gehaltvm['brutto_st']) {
				$tempString = "Vormonat: " . $gehaltvm['brutto_st'];
				echo "<span style=\"background-color:$vmDiffColor;";
				if($fehltage > 0) {
					echo "color:$kkChangeColor;font-weight:bold;";
					if($tsMin > $ts1 || $tsMax < $ts2) $tempString .= "<br />Anstellungsverh&auml;ltnis nicht &uuml;ber die Dauer des gesamten Monats";
					else $tempString .= "<br />Fehlzeiten-bedingte Abz&uuml;ge";
				}
				echo "\" " . stwToolTip($tempString) . ">";
			}
			if ($gehalt['brutto_st'] > 0) echo geld_form_web($gehalt['brutto_st']);
			if($gehalt['brutto_st'] != $gehaltvm['brutto_st']) echo "</span>";
			echo "</td>\n";
			$sum_sbr += $gehalt['brutto_st'];
		  }
		} else {
			/* Steuer / SV Brutto ermitteln */
			$brutto_st = $brutto_as - $pensionskasse - $gehalt['umwand'];

			/* Steuer / SV Brutto ausgeben */
			if($seiteKonfSichtbar['gehalt_stsvbr']) {
				echo "<td class=\"cl1\" style=\"text-align: right;\">";
				if ($brutto_st > 0) echo geld_form_web($brutto_st);
				echo "</td>\n";
			}
			echo "<input type=\"hidden\" name=\"brutto_st[]\" value=\"$brutto_st\">\n";
			$sum_sbr += $brutto_st;
		}



		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_brutto_vs_max']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			if($gehalt['brutto_vs'] != $gehaltvm['brutto_vs']) {
				$tempString = "Vormonat: " . $gehaltvm['brutto_vs'];
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($gehalt['brutto_vs'] > 0) echo geld_form_web($gehalt['brutto_vs']);
			if($gehalt['brutto_vs'] != $gehaltvm['brutto_vs']) echo "</span>";
			echo "</td>\n";
		  }
		  $sum_bvs += $gehalt['brutto_vs'];
		} else {
			/* Brutto Vollstelle ermitteln */
			$brutto_vs  = $gehalt['grund'];

			if ($ki['kinder'] > 0){
				$brutto_vs += ($ki['kinder'] * $kinderzus);
			}

			$brutto_vs += $gehalt['besitz'];
			$brutto_vs += $gehalt['zulage1'];
			$brutto_vs += $gehalt['zulage2'];
			$brutto_vs += $gehalt['zulage3'];
			$brutto_vs += sonderzahlung($gehalt['sonder_proz'], $ma['pers_id'], $monat, $jahr, 2);
			$brutto_vs += $vml;
			$brutto_vs += $pensionskasse;

			/* Brutto Vollstelle ausgeben */
			if($seiteKonfSichtbar['gehalt_brutto_vs_max']) {
				echo "<td class=\"cl1\" style=\"text-align: right;\">";
				if ($brutto_vs > 0) echo geld_form_web($brutto_vs);
				echo "</td>\n";
			}
			echo "<input type=\"hidden\" name=\"brutto_vs[]\" value=\"$brutto_vs\">\n";
			$sum_bvs += $brutto_vs;
		}

		/* St./SV/ Br.VS */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
			$StSVBrVS = $gehalt['brutto_vs'] 
					- $gehalt['pk'] 
					- sonderzahlung($gehalt['sonder_proz'], $ma['pers_id'], $monat, $jahr, 2)
					- (($gehalt['vml'] > 0) ? 0 : $vml);
			$vormonat = ($monat - 1 == 0) ? 12 : $monat - 1;
			$jahrvm = ($monat - 1 == 0) ? $jahr - 1 : $jahr;
			$StSVBrVSvm = $gehaltvm['brutto_vs'] 
					- $gehaltvm['pk'] 
					- sonderzahlung($gehaltvm['sonder_proz'], $ma['pers_id'], $vormonat, $jahrvm, 2)
					- (($gehaltvm['vml'] > 0) ? 0 : $vml);
			if($seiteKonfSichtbar['gehalt_stsvbrvs']) {
				echo "<td class=\"cl1\" style=\"text-align: right;\">";
				if($StSVBrVS != $StSVBrVSvm) {
					$tempString = "Vormonat: " . $StSVBrVSvm;
					echo "<span style=\"background-color:$vmDiffColor\" ";
					echo stwToolTip($tempString) . ">";
				}
				if ($StSVBrVS > 0) echo geld_form_web($StSVBrVS);
				if($StSVBrVS != $StSVBrVSvm) echo "</span>";
				echo "</td>\n";
			}
		} else {
			$StSVBrVS  = $gehalt['grund'];

			if ($ki['kinder'] > 0){
				$StSVBrVS += ($ki['kinder'] * $kinderzus);
			}

			$StSVBrVS += $gehalt['besitz'];
			$StSVBrVS += $gehalt['zulage1'];
			$StSVBrVS += $gehalt['zulage2'];
			$StSVBrVS += $gehalt['zulage3'];
			if($vml_pers > 0) $StSVBrVS += $vml;

			if($seiteKonfSichtbar['gehalt_stsvbrvs']) {
				echo "<td class=\"cl1\" style=\"text-align: right;\">";
				if ($StSVBrVS > 0) echo geld_form_web($StSVBrVS);
				echo "</td>\n";
			}
		}

		/* Prozentualer Anteil Pensionskasse */
		if ($sperre[$ma['standard_traeger_art_id']] == true){
		  if($seiteKonfSichtbar['gehalt_pk_proz']) {
			echo "<td class=\"cl1\" style=\"text-align: right;\">";
			$pkproz = ($StSVBrVS) ? (($gehalt['pk'] / (($gehalt['anst'] == 0 ? 100 : $gehalt['anst'])/100)) / $StSVBrVS)*100 : 0;
			$pkprozvm = ($StSVBrVSvm) ? (($gehaltvm['pk'] / (($gehaltvm['anst'] == 0 ? 100 : $gehaltvm['anst'])/100)) / $StSVBrVSvm)*100 : 0;
			if(proz_form($pkproz) != proz_form($pkprozvm)) {
				$tempString = "Vormonat: " . proz_form($pkprozvm);
				echo "<span style=\"background-color:$vmDiffColor\" ";
				echo stwToolTip($tempString) . ">";
			}
			if ($pkproz > 0) echo proz_form($pkproz);
			if($pkproz != $pkprozvm) echo "</span>";
			echo "</td>\n";
		  }
		} else {
			$pkproz = ($StSVBrVS) ? (($pensionskasse / (($paz['anst'] == 0 ? 100 : $paz['anst'])/100)) / $StSVBrVS)*100 : 0;
			if($seiteKonfSichtbar['gehalt_pk_proz']) {
				echo "<td class=\"cl1\" style=\"text-align: right;\">";
				if ($pkproz > 0) echo proz_form($pkproz, 2);
				echo "</td>\n";
			}
			echo "<input type=\"hidden\" name=\"pkproz[]\" value=\"$pkproz\">\n";
		}

		echo "</tr>\n";
	  }
	}

	new stwTabLine(2,30);

		echo "<tr>";

		echo "<th class=\"cl1\">Summen:</th>\n";
		$colspan = 1;
		if($seiteKonfSichtbar['gehalt_name']) $colspan++;
		if($seiteKonfSichtbar['gehalt_vorname']) $colspan++;
		if($seiteKonfSichtbar['gehalt_kinder']) $colspan++;
		if($seiteKonfSichtbar['gehalt_urlaub']) $colspan++;
		if($seiteKonfSichtbar['gehalt_kindkrank']) $colspan++;
		if($seiteKonfSichtbar['gehalt_entgeltgruppe']) $colspan++;
		if($seiteKonfSichtbar['gehalt_verwendungsgruppe']) $colspan++;
		if($seiteKonfSichtbar['gehalt_lebensaltersstufe']) $colspan++;
		if($seiteKonfSichtbar['gehalt_gehaltsstufe']) $colspan++;
		echo "<td colspan=\"$colspan\">Mitarbeiter: $ma_cnt</td>\n";
		/* Summe Grundverguetungen */
		if($seiteKonfSichtbar['gehalt_grundverguetung']) echo "<td class=\"cl1\" style=\"text-align: right;\">" . geld_form_web($sum_gv) . "</td>\n";
		if($seiteKonfSichtbar['gehalt_sonderzahlung']) echo "<td></td>\n";
		if($seiteKonfSichtbar['gehalt_anstellung']) echo "<td class=\"cl1\">".proz_form($sum_anst)."</td>\n";
		if($seiteKonfSichtbar['gehalt_wochenstunden']) echo "<td class=\"cl1\">".fls_form($sum_anst * $az_basis / 100, 2)."</td>\n";
		if($seiteKonfSichtbar['gehalt_gvanst']) echo "<td>".geld_form_web($sum_gvanst)."</td>\n";
		/* Summe Zulagen */
		$zulagen = 0;
		if($seiteKonfSichtbar['gehalt_zulage']) $zulagen++;
		if($seiteKonfSichtbar['gehalt_zulage1']) $zulagen++;
		if($seiteKonfSichtbar['gehalt_zulage2']) $zulagen++;
		if($seiteKonfSichtbar['gehalt_zulage3']) $zulagen++;
		if($seiteKonfSichtbar['gehalt_zulage_erl1']) $zulagen++;
		if($seiteKonfSichtbar['gehalt_zulage_erl2']) $zulagen++;
		if($seiteKonfSichtbar['gehalt_zulage_erl3']) $zulagen++;
		if($zulagen > 0) echo "<td class=\"cl1\" colspan=\"$zulagen\" style=\"text-align: right;\">" . geld_form_web($sum_zu) . "</td>\n";
		/* Summe Kinderzuschlaege */
		if($seiteKonfSichtbar['gehalt_kinderzuschlag']) echo "<td class=\"cl1\" style=\"text-align: right;\">" . geld_form_web($sum_kiz) . "</td>\n";
		/* Summe Sonderzahlungen */
		if($seiteKonfSichtbar['gehalt_sz_euro']) echo "<td class=\"cl1\" style=\"text-align: right;\">" . geld_form_web($sum_sz) . "</td>\n";
		/* Summe VmL */
		if($seiteKonfSichtbar['gehalt_vml']) echo "<td class=\"cl1\" style=\"text-align: right;\">" . geld_form_web($sum_vml) . "</td>\n";
		/* Summe Pensionskasse */
		if($seiteKonfSichtbar['gehalt_pensionskasse']) echo "<td class=\"cl1\" style=\"text-align: right;\">" . geld_form_web($sum_pk) . "</td>\n";
		/* Summe Brutto lt. Anstellung */
		if($seiteKonfSichtbar['gehalt_brutto_as']) echo "<td class=\"cl1\" style=\"text-align: right;\">" . geld_form_web($sum_bas) . "</td>\n";
		/* Summe Entgeltumwandlung */
		if($seiteKonfSichtbar['gehalt_entgeltumwandlung']) echo "<td class=\"cl1\" style=\"text-align: right;\">" . geld_form_web($sum_eu) . "</td>\n";
		/* Summe Steuer / SV Brutto */
		if($seiteKonfSichtbar['gehalt_stsvbr']) echo "<td class=\"cl1\" style=\"text-align: right;\">" . geld_form_web($sum_sbr) . "</td>\n";
		/* Summe Brutto Vollstelle */
		if($seiteKonfSichtbar['gehalt_brutto_vs_max']) echo "<td class=\"cl1\" style=\"text-align: right;\">" . geld_form_web($sum_bvs) . "</td>\n";
		if($seiteKonfSichtbar['gehalt_stsvbrvs']) echo "<td></td>\n";
		if($seiteKonfSichtbar['gehalt_pk_proz']) echo "<td></td>\n";

		echo "<tr>\n";
		new stwTabLine(2,30);

		echo "</table>\n";

	if($konf) echo "<input type=\"hidden\" name=\"konf\" value=\"1\">\n";

	/* Speichern-Button */
	echo "<table><tr><td class=\"cl20\"><input type=\"submit\" ";
	if($konf) {
		$button_value = 'Speichern';
	} elseif (substr($traeger,0,1) == 'a'){
		$button_value  = 'Speichern nur bei einem gew&auml;hlten ';
		$button_value .= 'Tr&auml;ger m&ouml;glich!';
		echo 'disabled ';
	} elseif ($sperre[$traeger] == true) {
		$button_value  = 'Liste ist gesperrt!';
		echo 'disabled ';
	} else {
		$button_value = 'Speichern';
	}
	echo "value=\"$button_value\" name=\"button1\" ";
	echo "id=\"SpeichernButton\" tabindex=\"$ti\"></td>";
	if($button_value == 'Speichern' && ( seiteKonfSichtbar('gehalt_felder_loeschen') || $konf )) {
		if($konf) {
			$checked = seiteKonfSichtbar('gehalt_felder_loeschen') ? 'checked' : '';
			echo "<td><input type=\"checkbox\" $checked name=\"gehalt_felder_loeschen\"></td>\n";
		}
		echo "<td><input $disabled type=\"submit\" name=\"restore\" value=\"Eingabefelder zur&uuml;cksetzen\"></td>\n";
	} elseif($button_value == 'Liste ist gesperrt!' && $sum_fehltage != $gehalt['fehlz'] && empty($abtag)) {
		echo "<td><input type=\"submit\" name=\"button2\" value=\"Korrektur erzeugen\"></td>\n";
	}
	echo "</tr></table>\n</form>\n";

} else {

	/* unberechtige Benutzer bekommen eine entsprechende Fehlermeldung */
	echo "<p style=\"font-size:18pt; color:red; text-align:center; ";
	echo "font-weight: bold;\">Sie haben keine ausreichende<br>Berechtigung ";
	echo "f&uuml;r diese Seite!</p>\n";

}

new stwLine(1);
new stwEnd($seite);
?>
