<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: gehalt_pr.php 2748 2017-05-22 05:53:59Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter('private');
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 65;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);
require_once($pfad."inc/auth.inc.php");
require_once($pfad . 'inc/level.inc.php');

$pdf_datei = 'mandant/' . $_SESSION[$AppCode]['TR'] . '/pdf_2.inc.php';
require_once($pfad . $pdf_datei);
require_once($pfad . 'inc/func.inc.php');

/* spezielle Stellwerk-Funktionen einbinden */
//require_once($pfad . '/mandant/' . $_SESSION[$AppCode]['TR'] . '/stw_func.inc.php');

/* deutschen Zeichensatz setzen */
setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

/* PDF starten - A4 Querformat, Millimeter */
$pdf = new PDF('L', 'mm', 'A4');

/* stw Font hinzufuegen */
$pdf->AddFont('stw', '', 'stw.php');

/* linken Rand einstellen */
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);
$pdf->AliasNbPages();

$monat = $_GET['abmonat'];
$jahr  = $_GET['abjahr'];
$tag2 = ($_GET['abtag'] == 2);
$traeger = $_GET['traeger'];

$abcal = ab_cal($monat, $jahr, $tag2 ? 2 : 0);
$vmv = $abcal['vmv'];
$vmb = $abcal['vmb'];

$von = $abcal['von'];
$bis = $abcal['bis'];

$von_ts = date_isodate_stamp($von);
$bis_ts = date_isodate_stamp($bis);

$ts1 = mktime(0,0,0,$monat,$tag2 ? 2 : 1,$jahr);
$ts2 = mktime(23,59,59,$monat,date('t', $ts1),$jahr);

$abmonat_text = strftime('%B %Y', date_isodate_stamp($abcal['von']));

if ($traeger != 'all'){
	$sql  = "select traeger_art from tb_traeger_art ";
	$sql .= "where traeger_art_id = '$traeger';";
	$res = abfrage($sql);
	$traeger_name = $res[0];
} else {
	$traeger_name = 'Stellwerk';
}

$txt1 = 'Gehaltsliste ' . $traeger_name . ' ' . $abmonat_text;
if($_GET['abtag'] == 1) $txt1 .= ' (berarbeitet)';
$footer = $txt1;
$ezColor = abfrage("select farbe from tb_terminart where terminart='ez'");
$ezCol = transformColor($ezColor[0]);
$pdf->SetFillColor(0);

$zh = 4.5; /* Variable fuer Zeilenhoehe */

$sql  = "select distinct p.pers_id, p.vml, p.standard_traeger_art_id, p.vg, p.bags, ";
$sql .= "p.zulage1, p.zulage_erl1, p.zulage2, p.zulage_erl2, p.zulage3, p.zulage_erl3, ";
$sql .= "p.name, p.vorname, p.status_id, p.besch_id from tb_personal p ";
if (substr($traeger,0,3) == 'abt') {
	$sql .= "left join tbh_pers_abt a on a.pers_id = p.pers_id ";
	$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
}
$sql .= "where  if(p.anstellung is null or p.anstellung='0000-00-00' , ";
$sql .= "(p.eintritt < '$bis' or p.eintritt is null or p.eintritt='0000-00-00'), ";
$sql .= "(p.anstellung < '$bis' or p.anstellung is null or p.anstellung='0000-00-00')) ";
$sql .= "and (p.austritt>'$von' or p.austritt is null or p.austritt='0000-00-00') ";

if (substr($traeger,0,1) != 'a') $sql .= "and p.standard_traeger_art_id = '$traeger' ";
if (substr($traeger,0,3) == 'abt') {
	$sql .= "and (a.abt_id = " . substr($traeger,3) . " ";
	$sql .= "or l.abt_id = " . substr($traeger,3) . ") ";
}
$sql .= "order by p.personalnr asc;";
$mas = abfrage1($sql);

/* Summenvariablen initialisieren */
$sum_gv = $sum_an = $sum_zu = $sum_kiz = $sum_sz = $sum_vml = $sum_pk = $sum_bas = 0;
$sum_eu = $sum_sbr = $sum_bvs = $sum_gvanst = 0;

$cnt = 0;
while ($ma = mysql_fetch_assoc($mas)) {
	if($cnt % 35 == 0) {
		$pdf->AddPage();
		$pdf->SetFont('stw', '', 14);
		$pdf->Text(100, 13, $txt1);

		$pdf->SetXY(15, 25);
		$pdf->SetFont('Arial', 'B', 8);
		$pdf->Cell(18,$zh,'Personalnr.',1,0,'C');
		$pdf->Cell(22,$zh,'Name',1,0,'C');
		$pdf->Cell(5,$zh,'Ki.',1,0,'C');
		$pdf->Cell(6,$zh,'FoL',1,0,'C');
		$pdf->Cell(7,$zh,'EG',1,0,'C');
		$pdf->Cell(7,$zh,'ES',1,0,'C');
		$pdf->Cell(17,$zh,'GV',1,0,'C');
		$pdf->Cell(15,$zh,'SZ %',1,0,'C');
		$pdf->Cell(15,$zh,'Anst.',1,0,'C');
		$pdf->Cell(15,$zh,'GVAnst.',1,0,'C');
		$pdf->Cell(15,$zh,'Zulage',1,0,'C');
		$pdf->Cell(15,$zh,'KiZ',1,0,'C');
		$pdf->Cell(15,$zh,'SZ ' . chr(128),1,0,'C');
		$pdf->Cell(15,$zh,'VmL',1,0,'C');
		$pdf->Cell(15,$zh,'PK',1,0,'C');
		$pdf->Cell(15,$zh,'Brutto AS',1,0,'C');
		$pdf->Cell(15,$zh,'EU',1,0,'C');
		$pdf->Cell(15,$zh,'St./SV Br.',1,0,'C');
		$pdf->Cell(17,$zh,'Brutto VS',1,1,'C');
		$pdf->SetFont('Arial', '', 7);
		$DoHead = false;
	}

	/* Gehaltsliste abfragen */
	$sql  = "select grund, besitz, vml, sonder, umwand, kinder, ";
	$sql .= "eg, es, kiz, pk, brutto_vs, anst, brutto_as, brutto_st, ";
	$sql .= "sonder_proz, fehlz from tb_gehalt where sperre=1 ";
	$sql .= "and pers_id = '{$ma['pers_id']}' and ab_monat = '$von';";
	$gehaelter = abfrage1($sql);
	if(mysql_num_rows($gehaelter) == 0) continue;
	$gehalt = mysql_fetch_assoc($gehaelter);

	$pdf->Cell(18,$zh,pers_nummer($ma['pers_id']),1);
	$pdf->Cell(22,$zh,pers_kname($ma['pers_id']),1);

	/* Anzahl Kinder ausgeben */
	$kinder = ($gehalt['kinder'] != 0) ? $gehalt['kinder'] : '';
	$pdf->Cell(5,$zh,$kinder,1,0,'C');

	/* Fehlzeiten ohne Lohnzahlung */
	$pdf->Cell(6,$zh,$gehalt['fehlz'],1,0,'C');

	/* Entgeltgruppe ausgeben */
	$eg_pdf = (strlen($gehalt['eg']) != 0) ? $gehalt['eg'] : '';
	$pdf->Cell(7,$zh,$eg_pdf,1,0,'C');


	/* Einstufung ausgeben */
	$es_pdf = ($gehalt['es'] != 0) ? $gehalt['es'] : '';
	$pdf->Cell(7,$zh,$es_pdf,1,0,'C');


	/* Grundverguetung ausgeben */
	$grund_pdf = ($gehalt['grund'] != 0) ? geld_form_pdf($gehalt['grund']) : '';
	$pdf->Cell(17,$zh,$grund_pdf,1,0,'R');
	$sum_gv += $gehalt['grund'];

	/* Sonderzahlung % ausgeben */
	$sonder_proz_pdf = ($gehalt['sonder_proz'] != 0) ? proz_form($gehalt['sonder_proz']) : '';
	$pdf->Cell(15,$zh,$sonder_proz_pdf,1,0,'R');

	/* Anstellung als Prozentzahl ausgeben */
	$anst_pdf = ($gehalt['anst'] != 0) ? proz_form($gehalt['anst'], 2) : '';
	if($gehalt['fehlz']) {
		$sql   = "SELECT unix_timestamp(t.von), unix_timestamp(t.bis) ";
		$sql  .= "FROM tb_fehlz f LEFT JOIN tb_termine t USING ( termin_id ) ";
		$sql  .= "WHERE t.terminart='ez' AND pers_id = '{$ma['pers_id']}' ";
		$sql  .= "AND unix_timestamp(t.von) <= $ts2 AND unix_timestamp(t.bis) >= $ts1;";
		$ez = abfrage1($sql);
		if(mysql_num_rows($ez) > 0) {
			$pdf->SetFillColor($ezCol[0],$ezCol[1],$ezCol[2]);
			$pdf->Cell(15,$zh,$anst_pdf,1,0,'R',1);
			$pdf->SetFillColor(0);
		} else $pdf->Cell(15,$zh,$anst_pdf,1,0,'R');
	} else {
		$pdf->Cell(15,$zh,$anst_pdf,1,0,'R');
	}
	$sum_an += $gehalt['anst'];

	/* Grundverguetung Anstellung */
	$gvanst_pdf = ($gehalt['anst'] > 0) ? geld_form_pdf($gehalt['anst'] * $gehalt['grund']/100) : '';
	$pdf->Cell(15,$zh,$gvanst_pdf,1,0,'R');
	$sum_gvanst += ($gehalt['anst'] * $gehalt['grund']/100);

	/* Zulage ausgeben */
	$besitz_pdf = ($gehalt['besitz'] != 0) ? geld_form_pdf($gehalt['besitz']) : '';
	$pdf->Cell(15,$zh,$besitz_pdf,1,0,'R');
	$sum_zu += $gehalt['besitz'];

	/* Kinderzuschlag ermitteln */
	$kiz_pdf = ($gehalt['kiz'] != 0) ? geld_form_pdf($gehalt['kiz']) : '';
	$pdf->Cell(15,$zh,$kiz_pdf,1,0,'R');
	$sum_kiz += $gehalt['kiz'];

	/* Sonderzahlung Euro ausgeben */
	$sonder_pdf = ($gehalt['sonder'] != 0) ? geld_form_pdf($gehalt['sonder']) : '';
	$pdf->Cell(15,$zh,$sonder_pdf,1,0,'R');
	$sum_sz += $gehalt['sonder'];

	/* vermoegenswirksame Leistungen ausgeben */
	$vml_pdf = ($gehalt['vml'] != 0) ? geld_form_pdf($gehalt['vml']) : '';
	$pdf->Cell(15,$zh,$vml_pdf,1,0,'R');
	$sum_vml += $gehalt['vml'];

	/* Pensionskasse */
	$pens = pers_pension($ma['pers_id'], "$jahr-$monat-01");
	$pk_pdf = ($gehalt['pk'] != 0) ? geld_form_pdf($gehalt['pk']) : '';
	if(intval($gehalt['pk']) > intval($pens[0])) {
		$pdf->SetTextColor(255,255,255);
		$pdf->Cell(15,$zh,$pk_pdf,1,0,'R',1);
		$pdf->SetTextColor(0);
	} else {
		$pdf->Cell(15,$zh,$pk_pdf,1,0,'R');
	}
	$sum_pk += $gehalt['pk'];

	/* Brutto lt. Anstellung ausgeben */
	$brutto_as_pdf = ($gehalt['brutto_as'] != 0) ? geld_form_pdf($gehalt['brutto_as']) : '';
	if($kktage) $pdf->SetTextColor(170,0,0);
	$pdf->Cell(15,$zh,$brutto_as_pdf,1,0,'R');
	if($kktage) $pdf->SetTextColor(0,0,0);
	$sum_bas += $gehalt['brutto_as'];

	/* Entgeltumwandluung ausgeben */
	$umwand_pdf = ($gehalt['umwand'] != 0) ? geld_form_pdf($gehalt['umwand']) : '';
	$pdf->Cell(15,$zh,$umwand_pdf,1,0,'R');
	$sum_eu += $gehalt['umwand'];

	/* Steuerbrutto ausgeben */
	$brutto_st_pdf = ($gehalt['brutto_st'] != 0) ? geld_form_pdf($gehalt['brutto_st']) : '';
	if($kktage) $pdf->SetTextColor(170,0,0);
	$pdf->Cell(15,$zh,$brutto_st_pdf,1,0,'R');
	if($kktage) $pdf->SetTextColor(0,0,0);
	$sum_sbr += $gehalt['brutto_st'];

	/* Brutto Vollstelle ausgeben */
	$brutto_vs_pdf = ($gehalt['brutto_vs'] != 0) ? geld_form_pdf($gehalt['brutto_vs']) : '';
	$pdf->Cell(17,$zh,$brutto_vs_pdf,1,1,'R');
	$sum_bvs += $gehalt['brutto_vs'];

	$cnt++;
}

/* Summenzeile ausgeben */

$pdf->SetFont('Arial', 'B', 8);

$pdf->Cell(25, $zh, 'Summen:','LTB',0,'L');
$pdf->Cell(40, $zh, "$cnt Mitarbeiter",'RTB',0,'R');

$pdf->SetFont('Arial', 'B', 7);

$pdf->Cell(17, $zh, geld_form_pdf($sum_gv),1,0,'R');
$pdf->Cell(15, $zh, '',1);
$pdf->Cell(15, $zh, proz_form($sum_an),1,0,'R');
$pdf->Cell(15, $zh, geld_form_pdf($sum_gvanst),1,0,'R');
$pdf->Cell(15, $zh, geld_form_pdf($sum_zu),1,0,'R');
$pdf->Cell(15, $zh, geld_form_pdf($sum_kiz),1,0,'R');
$pdf->Cell(15, $zh, geld_form_pdf($sum_sz),1,0,'R');
$pdf->Cell(15, $zh, geld_form_pdf($sum_vml),1,0,'R');
$pdf->Cell(15, $zh, geld_form_pdf($sum_pk),1,0,'R');
$pdf->Cell(15, $zh, geld_form_pdf($sum_bas),1,0,'R');
$pdf->Cell(15, $zh, geld_form_pdf($sum_eu),1,0,'R');
$pdf->Cell(15, $zh, geld_form_pdf($sum_sbr),1,0,'R');
$pdf->Cell(17, $zh, geld_form_pdf($sum_bvs),1,1,'R');


$pdf->Output();
?>
