<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ger_ep_pr.php 2798 2017-09-15 05:05:58Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");

$zh = 4.5;
$no_nr = true;

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(15.0);

$von = date_gr2my($_SESSION[$AppCode]["ger_ep_von"]);
$bis = date_gr2my($_SESSION[$AppCode]["ger_ep_bis"]);
if(isset($_GET['inv_id'])) {
	$sql = "select * from tb_ger_ep e left join tb_ger_inventur i using(inv_id)
			where inv_id='{$_GET['inv_id']}'
			group by ger_id order by i.datum desc";
} elseif($_SESSION[$AppCode]["ger_ep_clean"]) $sql = "select ger_id from tb_ger where ger_id in (" . implode(',',$_SESSION[$AppCode]["ger_ep"]) . ") ";
else {
	$sql = "select * from tb_ger_ep e left join tb_ger_inventur i using(inv_id)
			where i.datum >= '$von' and i.datum <= '$bis'
			group by ger_id order by i.datum desc";
}
$eps = abfrage1($sql);
while($ep = mysql_fetch_array($eps)) {
	$ger = abfrage("select g.typ, g.name, g.standort, g.inventnr, concat(k.kuerzel,'/',g.nr) 
					from tb_ger g left join tb_ger_kat k using (kat_id) where g.ger_id='{$ep['ger_id']}'");
	$pdf->AddPage();
    $pdf->SetY(10);
	$pdf->SetFont('stw','',10);
	$pdf->Cell(190,$zh,"$ger[0] $ger[1] $ger[2]",0,0,'C');
    $pdf->SetY(25);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(35,$zh,'Prfung nach UVV');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(10,$zh,'VBG4',0,0,'R');
    $pdf->SetFont('stw','',10);
	$pdf->Cell($zh,$zh,strpos($ep['prmod'],'vbg')===false ? '' : 'X',1,0,'C');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,'ZN 1/494',0,0,'R');
    $pdf->SetFont('stw','',10);
	$pdf->Cell($zh,$zh,strpos($ep['prmod'],'zn')===false ? '' : 'X',1,0,'C');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(28,$zh,'DIN VDE 0702',0,0,'R');
    $pdf->SetFont('stw','',10);
	$pdf->Cell($zh,$zh,strpos($ep['prmod'],'vde')===false ? '' : 'X',1,0,'C');
	$pdf->Ln(7);

    $pdf->SetFont('stw','',10);
	$pdf->Cell(180,$zh,'Elektrisches Gert/Anlage',0,1);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Typ',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(70,$zh,$ep['typ']);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Nennspannung',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,empty($ep['unenn']) ? '' : $ep['unenn'].' V');
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(18,$zh,'cos',0,0,'R');
	$pdf->SetFont('symbol','b',8);
	$pdf->Cell(2,$zh,'j',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,$ep['wirkfaktor']);
	$pdf->Ln($zh);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Hersteller',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(70,$zh,$ep['hersteller']);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Nennstrom',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,empty($ep['inenn']) ? '' : $ep['inenn'].' A');
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Schutzklasse',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,$ep['schutzklasse']);
	$pdf->Ln($zh);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Fabrik Nr.',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(70,$zh,$ep['fabriknr']);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Nennleistung',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,empty($ep['pnenn']) ? '' : $ep['pnenn'].' W');
	$pdf->Ln($zh);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Gert Nr.',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(70,$zh,$ger[4]);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Frequenz',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,empty($ep['frequenz']) ? '' : $ep['frequenz'].' Hz');
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(20,$zh,'Inventar Nr.',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,$ger[3]);
	$pdf->Ln(7);

    $pdf->SetFont('stw','',10);
	$pdf->Cell(35,$zh,'Sichtprfung');
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(40,$zh,'i.O.',0,0,'R');
	$pdf->Cell(40,$zh,'n.i.O.');
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(35,$zh,'Prfdatum',0,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,date_my2gr($ep['datum']),0,1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(70,$zh,'Gehuse / Schutzabdeckungen');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['gehaeuse']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['gehaeuse']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Anschlussleitungen, -stecker');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['stecker']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['stecker']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Zugentlastungsvorrichtung');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['zugentlastung']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['zugentlastung']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Leitungsfhrung / Biege- Kantenschutz ');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['leitung']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['leitung']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Bemessung Schutzorgane ');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['schutzorgane']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['schutzorgane']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Khlluftffnungen');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['kuehl']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['kuehl']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Betriebsmittelkennzeichnungen Bauteile ');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['betrkennz']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['betrkennz']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Lesbarkeit von Sicherheitsaufschriften');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['lesbarkeit']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['lesbarkeit']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Schutzart / Dichtungen');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['dichtungen']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['dichtungen']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Funktionsfhigkeit von Sicherheitseinrichtungen');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['sicherheit']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['sicherheit']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Funktion Bettigungselemente / elektr. Funktion');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['elektrfunk']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['elektrfunk']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Klemmenplne/Schaltungsunterlagen');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['klemmplan']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['klemmplan']=='n'?'X':'',1);
	$pdf->Ln(6);

	$pdf->SetFont('arial','b',8);
	$pdf->Cell(104,$zh,'nicht erkennbar',0,0,'R');
	$pdf->Cell(75,$zh,'erkennbar',0,1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(90,$zh,'Mechanische Gefhrdung');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['mechgefahr']=='j'?'X':'',1);
	$pdf->Cell(16,2,'');
	$pdf->Cell(4,4,$ep['mechgefahr']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(90,$zh,'Unzulssige Eingriffe und nderungen');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['eingriffe']=='j'?'X':'',1);
	$pdf->Cell(16,2,'');
	$pdf->Cell(4,4,$ep['eingriffe']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(90,$zh,'Anzeichen von berlastung und unsachgemem Gebrauch');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['ueberlastung']=='j'?'X':'',1);
	$pdf->Cell(16,2,'');
	$pdf->Cell(4,4,$ep['ueberlastung']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(90,$zh,'Sicherheitsbeeintrchtigende Verschmutzung und Korrosion');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['korrosion']=='j'?'X':'',1);
	$pdf->Cell(16,2,'');
	$pdf->Cell(4,4,$ep['korrosion']=='n'?'X':'',1);
	$pdf->Ln(6);

	$pdf->SetFont('arial','b',8);
	$pdf->Cell(80,$zh,'vorhanden',0,0,'R');
	$pdf->Cell(75,$zh,'nicht vorhanden',0,1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(70,$zh,'Erforderliche Luftfilter');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['luftfilter']=='j'?'X':'',1);
	$pdf->Cell(16,2,'');
	$pdf->Cell(4,4,$ep['luftfilter']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(70,$zh,'Kennzeichnung der Anwendungskategorie');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['anwendung']=='j'?'X':'',1);
	$pdf->Cell(16,2,'');
	$pdf->Cell(4,4,$ep['anwendung']=='n'?'X':'',1);
	if(strlen($ep['etc']) > 0) {
		$pdf->SetFont('arial','',8);
		$pdf->Ln($zh);
		$pdf->Cell(70,$zh,$ep['etc']);
		$pdf->SetFont('stw','',10);
		$pdf->Cell(4,4,$ep['etcjn']=='j'?'X':'',1);
		$pdf->Cell(16,2,'');
		$pdf->Cell(4,4,$ep['etcjn']=='n'?'X':'',1);
	}
	$pdf->Ln(7);

    $pdf->SetFont('stw','',10);
	$pdf->Cell(30,$zh,'Messung');
    $pdf->SetFont('arial','b',8);
	$pdf->Cell(30,$zh,'Messwert',0,0,'R');
	$pdf->Cell(15,$zh,'i.O.',0,0,'R');
	$pdf->Cell(35,$zh,'n.i.O.',0,1);
    $pdf->SetFont('arial','',8);
	$pdf->Cell(40,$zh,'Schutzleiter-Messung');
	$pdf->Cell(15,$zh,$ep['mwschutzleiter'],0,0,'R');
	$pdf->SetFont('symbol','',8);
	$pdf->Cell(15,$zh,'W');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['schutzleiter']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['schutzleiter']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(40,$zh,'FI-Schutz-Messung');
	$pdf->Cell(15,$zh,$ep['mwfi'],0,0,'R');
	$pdf->Cell(15,$zh,'V/ms');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['fi']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['fi']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(40,$zh,'Isolationswiderstand');
	$pdf->Cell(15,$zh,$ep['mwisolation'],0,0,'R');
	$pdf->SetFont('symbol','',8);
	$pdf->Cell(15,$zh,'MW');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['isolation']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['isolation']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(40,$zh,'Ersatzableitstrom');
	$pdf->Cell(15,$zh,$ep['mwersatz'],0,0,'R');
	$pdf->Cell(15,$zh,'mA');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['ersatz']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['ersatz']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(40,$zh,'Schutzleiterstrom');
	$pdf->Cell(15,$zh,$ep['mwischutz'],0,0,'R');
	$pdf->Cell(15,$zh,'mA');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['ischutz']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['ischutz']=='n'?'X':'',1);
    $pdf->SetFont('arial','',8);
	$pdf->Ln($zh);
	$pdf->Cell(40,$zh,'Berhrungstrom');
	$pdf->Cell(15,$zh,$ep['mwiberuehr'],0,0,'R');
	$pdf->Cell(15,$zh,'mA');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['iberuehr']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['iberuehr']=='n'?'X':'',1);
	$pdf->Ln(7);

    $pdf->SetFont('stw','',10);
	$pdf->Cell(60,$zh,'Auswertung');
    $pdf->SetFont('arial','b',8);
	$pdf->Cell(15,$zh,'Run',0,0,'R');
	$pdf->Cell(35,$zh,'Stop',0,1);
    $pdf->SetFont('arial','',8);
	$pdf->Cell(70,$zh,'CPU-Abfrage Programm-Status');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['cpu']=='j'?'X':'',1);
	$pdf->Cell(3,2,'');
	$pdf->Cell(4,4,$ep['cpu']=='n'?'X':'',1);
	$pdf->Ln(7);

	$pdf->SetFont('arial','b',8);
	$pdf->Cell(80,$zh,'Fehler    vorhanden',0,0,'R');
	$pdf->Cell(75,$zh,'nicht vorhanden',0,1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(70,$zh,'Fehlerdiagnose');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['fehler']=='j'?'X':'',1);
	$pdf->Cell(16,2,'');
	$pdf->Cell(4,4,$ep['fehler']=='n'?'X':'',1);
	$pdf->Ln(7);

    $pdf->SetFont('stw','',10);
	$pdf->Cell(60,$zh,'Hinweise fr den Auftraggeber/Betreiber',0,1);
    $pdf->SetFont('arial','',8);
	$pdf->Cell(77,$zh,'Bei der berprfung wurden keine Mngel festgestellt');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['hinw']=='ok'?'X':'',1);
	$pdf->Ln($zh);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(77,$zh,'Mngel wurden durch Reparatur beseitigt');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['hinw']=='rep'?'X':'',1);
	$pdf->Ln($zh);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(77,$zh,'Auf festgestellte Mngel hingewiesen');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['hinw']=='hinw'?'X':'',1);
	$pdf->Ln($zh);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(77,$zh,'Das elektrische Gert darf nicht weiter verwendet werden');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['hinw']=='n'?'X':'',1);
	$pdf->Ln(7);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(77,$zh,'Prfplakette angebracht');
    $pdf->SetFont('stw','',10);
	$pdf->Cell(4,4,$ep['done']=='j'?'X':'',1);
	$pdf->Ln(7);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(35,$zh,'Nchster Prftermin');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,$zh,date_my2gr($ep['datum_n']),0,0,'R');
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(50,$zh,'Prfer',0,0,'R');
	$pdf->SetFont('arial','',6);
	$pdf->Cell(65,3,'','B',2,'C');
	$pdf->Cell(65,3,'Unterschrift',0,0,'C');
	$pdf->Ln(7);
	$pdf->SetFont('arial','b',8);
	$pdf->Cell(35,$zh,'verwendete Messgerte');
	$pdf->SetFont('arial','',8);
	$messgs = abfrage1("select * from tb_ger_ep_mess_ger order by fabrikant asc, typ asc");
	while($messg = mysql_fetch_row($messgs)) {
		$val = 1 << ($messg[0]-1);
		if(($ep['messgeraet'] & $val) > 0) $pdf->Cell(25,$zh,"$messg[1] $messg[2]",0,2);
	}
}
$pdf->Output();
exit;
?>