<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ab.inc.php 2867 2018-06-14 07:42:51Z tfreudenberg $
 *
 */

 /*
  * Prueft die beiden angegebenen Zeitstempel. Je nach Groesse wird die
  * entsprechende Farbe zurueckgegeben.
  *
  * $ts_dat - Zeitstempel wenn ZK eingetragen wurde
  * $ts_zk  - Zeitstempel der ZK
  */
 function ab_last_zk_style($ts_dat, $ts_zk, $ab='j')
 {
   $style = "";

   if ($ts_dat == 0 || $ab=='n') return "";

   if ($ts_dat > $ts_zk)
   {
     /* ZK nicht Null und schon vor ZK Ende eingegeben */
     if ($ts_zk != 0) $style = "color:red";
   }
   else if ($ts_dat < $ts_zk && date("d.m.Y", $ts_dat) == date("d.m.Y", $ts_zk))
   {
     /* ZK wurde nach der Leistung eingegeben aber am selben Tag */
     $style = "color:#00FF00";
   }
   else if ($ts_dat < $ts_zk && date("d.m.Y", $ts_dat) != date("d.m.Y", $ts_zk))
   {
     /* ZK wurde nach der Leistung abgegeben aber erst am Folgetag */
     $style = "color:#FFCC00";
   }

   return $style;
 }

 /*
  * Prueft die beiden angegebenen Zeitstempel. Je nach Groesse wird der
  * entsprechende Text zurueckgegeben.
  *
  * $ts_dat - Zeitstempel wenn ZK eingetragen wurde
  * $ts_zk  - Zeitstempel der ZK
  */
 function ab_last_zk_title($ts_dat, $ts_zk)
 {
   $title = "";

   if ($ts_dat > $ts_zk)
   {
     /* ZK nicht Null und schon vor ZK Ende eingegeben */
     if ($ts_zk != 0) $title = "Eingabe vor Ende Zeitkarte eingegeben";
   }
   else if ($ts_dat < $ts_zk && date("d.m.Y", $ts_dat) == date("d.m.Y", $ts_zk))
   {
     /* ZK wurde nach der Leistung eingegeben aber am selben Tag */
     $title = "Eingabe am selben Tag " . date("G:i", $ts_zk) . " Uhr";
   }
   else if ($ts_dat < $ts_zk && date("d.m.Y", $ts_dat) != date("d.m.Y", $ts_zk))
   {
     /* ZK wurde nach der Leistung abgegeben aber erst am Folgetag */
     $title  = "Zeitkarte wurde erst am " . date("d.m.Y G:i", $ts_zk) . " Uhr eingegeben";
   }

   return $title;
 }

 /*
  * Gibt die einzelnen Verlaufzeilen fuer die gewuenschte ZK aus.
  */
 function ab_historie($zk_id, $cols)
 {
   if(empty($zk_id)) return;
   /* den weiteren Verlauf der ZK Aenderungen anzeigen */
   $sql  = "SELECT ts_change, ts_pers, ts_zk_end, verlauf_id FROM tb_ab_zk_verlauf WHERE ";
   $sql .= "zk_id = '".$zk_id."' and ab='j' ORDER BY ts_change desc";
   $erg  = abfrage1($sql);

   while ($zeile = mysql_fetch_row($erg))
   {
	 $last = abfrage("SELECT verlauf_id FROM tb_ab_zk_verlauf WHERE zk_id = '$zk_id' ORDER BY ts_change desc limit 1");
	 if($last[0] == $zeile[3]) continue;
	 $style = ab_last_zk_style($zeile[2], $zeile[0]);
     $title = ab_last_zk_title($zeile[2], $zeile[0]);

     if ($zeile[0] != 0)
     {
       $datum = date("d.m.Y H:i", $zeile[0]);
     }
     else
     {
       $datum = "";
     }

     if ($zeile[1] != 0) $name = pers_name($zeile[1]); else $name = "";

     printf("<tr><td colspan=\"%s\"></td><td colspan=\"2\" ", $cols);
     printf("style=\"%s\" title=\"%s\">", $style, $title);

     if (!empty($datum) && !empty($name)) printf("%s, %s", $datum, $name);
     printf("</td></tr>\n");
   }
 }

?>
