<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: azk.inc.php 2919 2018-12-03 10:30:02Z tfreudenberg $
 *
 */

 /* WICHTIG ERST NACH func.inc.php EINBINDEN um Projekterstellung zu erhalten */

 /*
  * AZK Cache aktualisieren. ProjektID, Datum und eine offene
  * Datenbankverbindung werden benoetigt.
  */
 function azk_update_cache($proj_id, $datum)
 {
   if ($proj_id == 0) return;

   /* Datum bereinigen - nur Jahr und Monat interessant */
   $feld = explode("-", $datum);
   $datum = $feld[0]."-".$feld[1]."-01";

   /* alten Eintrag fuer dieses Projekt und dieses Datum suchen */
   $sql  = "SELECT * FROM tb_azk_proj WHERE proj_id ='".$proj_id."' ";
   $sql .= "AND datum='".$datum."';";

   $erg  = abfrage1($sql);

   /* wenn etwas vorhanden zuruecksetzen */
   if (mysql_num_rows($erg) > 0) azk_cache_proj_reset($proj_id);

   /* Projekt anlegen um Cache zu aktualisieren */
   $pro = new stwProjekt($proj_id);

   /* Folgemonat Cache aktualisieren */
   $pro->fls_folgemonat($datum);

   /* Vormonat aktualisieren */
   $pro->fls_vormonat($datum);

   /* Monat aktualisieren */
   $pro->fls_monat($datum);

   /* Gesamt aktualisieren */
   $pro->fls_gesamt($datum);
 }

 /*
  * AZK Cache komplett zuruecksetzen.
  */
 function azk_cache_reset()
 {
   abfrage2("DELETE FROM tb_azk_proj");
 }

 /*
  * AZK Cache fuer ein Projekt und ab einem bestimmten Monat
  * zuruecksetzen.
  */
 function azk_cache_reset_proj_date($proj_id, $datum)
 {
   /* kleiner Sicherheitscheck ob Datum ok ist */
   if ($datum{4} == "-" && $datum{7} == "-")
   {
     $sql  = "DELETE FROM tb_azk_proj WHERE proj_id = '";
     $sql .= $proj_id."' and datum >= '".$datum."'";
     abfrage2($sql);
   }
   else
   {
     azk_cache_proj_reset($proj_id);
   }
 }

 /*
  * AZK Cache ab einem bestimmten Monat zuruecksetzen.
  */
 function azk_cache_reset_date($datum)
 {
   /* kleiner Sicherheitscheck ob Datum ok ist */
   if ($datum{4} == "-" && $datum{7} == "-")
   {
     $sql  = "DELETE FROM tb_azk_proj WHERE datum >= '".$datum."'";
     abfrage2($sql);
   }
 }

 /*
  * Ein Projekt komplett aus dem Cache loeschen.
  */
 function azk_cache_proj_reset($proj_id)
 {
   $sql  = "DELETE FROM tb_azk_proj WHERE proj_id = '";
   $sql .= $proj_id."'";

   abfrage2($sql);
 }

 /*
  * Alle Cacheeintraege zuruecksetzen fuer diese Person.
  */
 function azk_cache_pers_reset($pers_id)
 {
   /* alle Fachberaterprojekte ermitteln */
   $sql = "SELECT proj_id FROM tb_projekte WHERE fb_id=".$pers_id.";";
   $erg = abfrage1($sql);

   /* Cacheeintraege fuer diese Projekte loeschen */
   if (mysql_num_rows($erg) > 0)
   {
     while ($zeile = mysql_fetch_row($erg))
     {
       $sql = "DELETE FROM tb_azk_proj WHERE proj_id=".$zeile[0].";";
       abfrage2($sql);
     }
   }

   /* alle noch dazugehoerigen Projekte heraussuchen */
   $sql = "SELECT proj_id FROM tbh_pers_proj WHERE pers_id=".$pers_id.";";
   $erg = abfrage1($sql);

   /* Cacheeintraege fuer dieses Projekte loeschen */
   if (mysql_num_rows($erg) > 0)
   {
     while ($zeile = mysql_fetch_row($erg))
     {
       $sql = "DELETE FROM tb_azk_proj WHERE proj_id=".$zeile[0].";";
       abfrage2($sql);
     }
   }
 }

 /*
  * Berechnet die Summe der Dokustunden fuer den gewuenschten Monat
  * und die Person.
  */
 function fls_gel_pers_doku($pers_id, $abm)
 {
   /* alle Projekte ermitteln die es fuer diesen Monat gibt */
   $sql  = "SELECT proj_id FROM tb_ab_zk WHERE ab_monat = '".$abm."' ";
   $sql .= "AND pers_id = '".$pers_id."' GROUP BY proj_id";

   $proj = abfrage1($sql);
   $doku = 0.0;

   /* jetzt fuer diese Projekte die Dokustunden bestimmen */
   while ($zeile = mysql_fetch_row($proj))
   {
     $pro   = new stwProjekt($zeile[0]);
     $doku += $pro->fls_doku_pers($pers_id, $abm);
   }

   return $doku;
 }

 /*
  * Berechnet die Summe der C Zeiten fuer den gewuenschten Monat
  * und die angegebene Person.
  */
 function fls_gel_pers_c_zeiten($pers_id, $abm)
 {
   /* NachweisID fuer dieses Datum bestimmen */
   $sql  = "SELECT nachw_id FROM tb_ab_nachw WHERE datum = '".$abm."'";
   $nw   = abfrage($sql);

   /* alle Projekte ermitteln die es fuer diesen Monat gibt */
   $sql  = "SELECT proj_id FROM tb_ab_zk WHERE ab_monat = '".$abm."' ";
   $sql .= "AND pers_id = '".$pers_id."' GROUP BY proj_id";

   $proj  = abfrage1($sql);
   $sum_c = 0.0;

   /* jetzt fuer diese Projekte die C Zeiten bestimmen */
   while ($zeile = mysql_fetch_row($proj))
   {
     $sql  = "SELECT SUM(TIME_TO_SEC(fls))/3600 FROM tb_ab_zk ";
     $sql .= "WHERE nachw_id = '".$nw[0]."' AND pers_id = '".$pers_id."' ";

     $sql .= "AND proj_id = '".$zeile[0]."' AND code = 'C'";
     $erg  = abfrage($sql);

     $sum_c += $erg[0];
   }

   return $sum_c;
 }

 /*
  * Berechnet fuer die gewuenschte Person den aktuellen AZK Stand fuer
  * den angegebenen Monat.
  */
 function fls_azk_stand($pers_id, $abm)
 {
   $sql = "SELECT azk_start FROM tb_personal WHERE pers_id = '".$pers_id."'";
   $start = abfrage($sql);

   /* AZK Startwert vorhanden */
   $azk = $start[0];

   /* alle Daten bis zum gewuenschten Termin holen */
   $sql  = "SELECT datum, UNIX_TIMESTAMP(datum) FROM tb_ab_nachw ";
   $sql .= "WHERE TO_DAYS(datum) <= TO_DAYS('".$abm."')";

   $nw   = abfrage1($sql);

   /* Dokuhalbierungseinstellung holen fuer Schleife */
   $einstellung_doku  = getConf("doku_halb");

   /* jetzt alle Monate durchgehen */
   while ($zeile = mysql_fetch_row($nw))
   {
     $fls_geleistet = fls_gel_pers_azk($pers_id, $zeile[0]);
     $gesamt_doku   = 0.0;

     /* Dokustundenhalbierung ab August 2007 wenn eingestellt */
     if ($einstellung_doku == "1" && $zeile[1] >= 1185919200)
     {
       /* Dokustunden fuer diesen Monat bestimmen */
       $gesamt_doku  = fls_gel_pers_doku($pers_id, $zeile[0]);
       $gesamt_czeit = fls_gel_pers_c_zeiten($pers_id, $zeile[0]);

       /* geleistete Stunden Minus die Dokustunden */
       $fls_geleistet -= $gesamt_doku;

       /* Dokustunden halbieren */
       $gesamt_doku /= 2.0;

       /* C Zeiten abziehen und wenn negativ auf 0.0 setzen */
       $gesamt_doku -= $gesamt_czeit;
       if ($gesamt_doku < 0.0) $gesamt_doku = 0.0;

       /* das Ergebnis wieder zu den geleisteten Stunden hinzuaddieren */
       $fls_geleistet += round($gesamt_doku, 2);
     }

     $azk += $fls_geleistet;
   }

   /*
    * zum AZK Stand die Korrekturwerte aus der tb_azk
    * addieren (Korrektur jeden Monat moeglich)
    */
   $sql  = "SELECT SUM(korrektur) FROM tb_azk ";
   $sql .= "WHERE pers_id='".$pers_id."' AND ";

   $sql .= "datum <= '".$abm."' GROUP BY pers_id;";
   $azk_kor = abfrage($sql);

   $azk += $azk_kor[0];
   return $azk;
 }

 /*
  * Gibt den aktuellen Stand des AZK Kontos aus der Zwischentabelle
  * tb_x_azk_pers zurueck fuer die gewuenschte Person.
  */
 function fls_azk_stand_akt_temp($pers_id)
 {
   /* sicherstellen das $pers_id nicht leer ist */
   if (empty($pers_id)) return 0.0;

	$monat_teil = abfrage1("SELECT DISTINCT ab_monat
							FROM tb_ab_zk WHERE ab = 'j'
							AND nachw_id IS NULL and ab_monat IS NOT NULL");
	if(mysql_num_rows($monat_teil) > 0) {
		$twm = "nachw_id not in (";
		while($abm = mysql_fetch_row($monat_teil)) {
			$nw = abfrage("select nachw_id from tb_ab_nachw where datum='$abm[0]'");
			$twm .= "'$nw[0]',";
		}
		$twm = substr($twm,0,-1) . ")";
	} else $twm = '';

   $sql = "SELECT azk_std FROM tb_x_azk_pers WHERE pers_id='".$pers_id."' ";
   if($twm != '') $sql .= "AND $twm ";
   $sql .= "ORDER BY nachw_id DESC LIMIT 1";

   $azk  = abfrage($sql);
   return $azk[0];
 }

?>
