<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: azk_charts.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

function azk_chart1($stamp, $c1, $c2, $c3, $c4){
	
	$img = imagecreate(250, 50);
	$bgcol = imagecolorallocate($img, 255,255,255);
	
	$gesamt = $c1 + $c2 + $c3 + $c4;
	
	if ($gesamt != 0) {
		$b1 = round((250 * $c1 / $gesamt), 0);
		$p1 = round((100 * $c1 / $gesamt), 0);
		
		$b2 = round((250 * $c2 / $gesamt), 0);
		$p2 = round((100 * $c2 / $gesamt), 0);
		
		$b3 = round((250 * $c3 / $gesamt), 0);
		$p3 = round((100 * $c3 / $gesamt), 0);
		
		$b4 = round((250 * $c4 / $gesamt), 0);
		$p4 = round((100 * $c4 / $gesamt), 0);
	} else {
		$b1 = $b2 = $b3 = $b4 = 0;
		$p1 = $p2 = $p3 = $p4 = 0;
	}
	$col1 = imagecolorallocate($img, 255, 0, 0);
	$col2 = imagecolorallocate($img, 0, 128, 0);
	$col3 = imagecolorallocate($img, 0, 0, 255);
	$col4 = imagecolorallocate($img, 255, 255, 0);
	
	imagefilledrectangle($img,0,0,$b1,30,$col1);
	imagefilledrectangle($img,$b1,0,$b1 + $b2,30,$col2);
	imagefilledrectangle($img,$b1 + $b2,0,$b1 + $b2 + $b3,30,$col3);
	imagefilledrectangle($img,$b1 + $b2 + $b3,0,$b1 + $b2 + $b3 + $b4,30,$col4);
	
	$txtcol = imagecolorallocate($img, 0,0,0);
	
	$t1 = $p1 . "% FLS Rest";
	$t2 = $p2 . "% Fahrzeit";
	$t3 = $p3 . "% VER";
	$t4 = $p4 . "% C-Zeit";
	
	$font = 'inc/freesans.ttf';
	
	imagettftext($img, 8, 0, 2, 46, $txtcol, $font, $t1);
	imagettftext($img, 8, 0, 78, 46, $txtcol, $font, $t2);
	imagettftext($img, 8, 0, 148, 46, $txtcol, $font, $t3);
	imagettftext($img, 8, 0, 200, 46, $txtcol, $font, $t4);
	
	$file = "img/azk_c1_" . $stamp . ".png";
	imagepng($img, $file);
	imagedestroy($img);
	
	return $file;
}

function azk_chart2($stamp, $c1, $c2){
	
	$img = imagecreate(250, 50);
	$bgcol = imagecolorallocate($img, 255,255,255);
	
	if ($c1 > $c2){
		$gesamt = $c1;
	} else {
		$gesamt = $c2;
	}

  if ($gesamt != 0)
  {
		$b1 = round((250 * $c1 / $gesamt), 0);
	  $b2 = round((250 * $c2 / $gesamt), 0);
  }
  else
  {
    $b1 = 0;
    $b2 = 0;
  }

	$col1 = imagecolorallocate($img, 255, 0, 0);
	$col2 = imagecolorallocate($img, 0, 128, 0);
	
	imagefilledrectangle($img,0,0,$b1,15,$col1);
	imagefilledrectangle($img,0,15,$b2,30,$col2);
	
	$txtcol = imagecolorallocate($img, 0,0,0);
	
	$t1 = $c1 . " Eur max. Sp.";
	$t2 = $c2 . " Eur IST-Spesen";
	
	$font = 'inc/freesans.ttf';
	
	imagettftext($img, 8, 0, 150, 46, $txtcol, $font, $t1);
	imagettftext($img, 8, 0, 20, 46, $txtcol, $font, $t2);
	
	imagefilledrectangle($img,134,34,146,46,$col1);
	imagefilledrectangle($img,4,34,16,46,$col2);
	
	$file = "img/azk_c2_" . $stamp . ".png";
	imagepng($img, $file);
	imagedestroy($img);
	
	return $file;
}


function azk_chart3($stamp, $c1, $c2, $c3){

	$img = imagecreate(250, 50);
	$bgcol = imagecolorallocate($img, 255,255,255);
	
	if ($c2 + $c3 > $c1){
		$gesamt = $c2 + $c3;
	} else {
		$gesamt = $c1;
	}
	
	if ($gesamt != 0) {
		$b1 = round((250 * $c1 / $gesamt), 0);
		$b2 = round((250 * $c2 / $gesamt), 0);
		$b3 = round((250 * $c3 / $gesamt), 0);
	} else {
		$b1 = $b2 = $b3 = 0;
	}
	$col1 = imagecolorallocate($img, 255, 0, 0);
	$col2 = imagecolorallocate($img, 0, 0, 255);
	$col3 = imagecolorallocate($img, 0, 128, 0);
	
	imagefilledrectangle($img,0,0,$b1,15,$col1);
	imagefilledrectangle($img,0,15,$b2,30,$col2);
	imagefilledrectangle($img,$b2,15,$b2+$b3,30,$col3);
	
	$txtcol = imagecolorallocate($img, 0,0,0);
	
	$t1 = $c1 . " Eur max.";
	$t2 = $c2 . " Eur priv.";
	$t3 = $c3 . " Eur Dienst";
	
	$font = 'inc/freesans.ttf';
	
	imagettftext($img, 8, 0, 185, 46, $txtcol, $font, $t1);
	imagettftext($img, 8, 0, 20, 46, $txtcol, $font, $t2);
	imagettftext($img, 8, 0, 96, 46, $txtcol, $font, $t3);
	
	imagefilledrectangle($img,169,34,181,46,$col1);
	imagefilledrectangle($img,4,34,16,46,$col2);
	imagefilledrectangle($img,80,34,92,46,$col3);

	$file = "img/azk_c3_" . $stamp . ".png";
	imagepng($img, $file);
	imagedestroy($img);
	
	return $file;
}?>
