<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: cache.inc.php 1088 2008-09-04 05:51:56Z dschniegler $
 *
 */

 /* Datei befindet sich in inc - Dateiname und Verzeichnis entfernen */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);
 require($pfad."conf/conf.inc.php");

 /*
  * stwCache ist die Klasse die versucht die Berechnungen der AZK durch
  * Cachetabellen zu beschleunigen.
  */
 class stwCache
 {
   private $proj_id; /* Cache bezieht sich immer auf ein Projekt */
   private $datum;   /* Datum auf das sich dieses Cacheinstanz bezieht */

   private $valid;   /* ob mit gueltigen Werten gearbeitet wird */
   private $db;      /* Verbindung zum SQL Server sichern */

   /*
    * Konstruktor der Klasse erwartet die ProjektID und ein Datum mit
    * Jahres- und Monatsangabe.
    */
   public function stwCache($proj_id = 0, $datum = "")
   {
     /* Variable initialisieren wenn gueltige Werte vorhanden */
     if ($proj_id > 0 && strlen($datum) == 10)
     {
       $this->proj_id = $proj_id;
       $this->datum   = $datum;

       $this->valid = true;
       $this->db = "";
     }
     else
     {
       $this->valid = false;
     }
   }

   /*
    * Holt den aktuellen Wert fuer die FLS im Monat aus der Cachetabelle.
    * Falls dieser Wert nicht vorhanden ist wird eine NULL zurueckgegeben.
    */
   public function get_fls_monat()
   {
     if (!$this->valid) return NULL;

     $sql  = "SELECT monat FROM tb_azk_proj WHERE proj_id='".$this->proj_id."'";
     $sql .= " AND datum='".$this->datum."' AND monat IS NOT NULL;";

     $erg  = $this->db_query($sql);
     if (!$erg || mysql_num_rows($erg) != 1) return NULL;

     /* Ergebnis ausgeben */
     $zeile = mysql_fetch_row($erg);
     return $zeile[0];
   }

   /*
    * Interne Datenbankabfragefunktion die innerhalb dieser Klasse genutzt wird.
    */
   private function db_query($sql)
   {
     global $conf_srv;
     global $conf_dbn;

     global $conf_dbu;
     global $conf_dbp;

     /* sichergehen das eine Anweisung geschickt wurde */
     if (empty($sql)) return false;

     /* Datenbankverbindung herstellen */
     if (empty($this->db))
     {
       $this->db = mysql_connect($conf_srv, $conf_dbu, $conf_dbp);
       if (!$this->db) return false;

       /* Datenbank waehlen */
       $erg = mysql_select_db($conf_dbn, $this->db);
       if (!$erg) return false;
     }

     /* ausfuehren der Anweisung */
     $res = mysql_query($sql, $this->db);
     if (!$res) return false;

     return $res;
   }
 }

?>
