<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: install.php 2759 2017-06-19 07:59:05Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Datenbankdatei einlesen - Funktionen dafuer einbinden */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);
 require_once($pfad."inc/mysql_diff.php"); 

 /*
  * Nutzer hat noch keine Konfiguration angelegt. Also werden mit dieser
  * Funktion ihm alle Eingabefelder gezeigt die notwendig sind. Dieses
  * Formular wird direkt vom eigenem Aufrufer wieder verarbeitet.
  * 
  */
 function install_form_nutzer_eingaben()
 {
   printf("<center>\n");
   printf("<form method=\"post\" action=\"%s\" name=", $_SERVER["PHP_SELF"]);

   printf("\"install\">\n<table>\n");

   /* Servername */
   printf("<tr><td>Datenbankserver</td></tr>\n<tr><td>");
   printf("<input type=\"text\" name=\"inst_serv\" maxlength=\"150\">");

   /* Datenbankname */
   printf("</td></tr>\n<tr><td>Datenbank</td></tr>\n");
   printf("<tr><td><input type=\"text\" name=\"inst_db\" maxlength=\"150\">");

   /* Benutzer */
   printf("</td></tr>\n<tr><td>Loginname Datenbankserver</td></tr>\n<tr>");
   printf("<td><input type=\"text\" name=\"inst_login\" maxlength=\"150\">");
   printf("</td></tr>\n");

   /* Passwort */
   printf("<tr><td>Passwort Datenbankserver</td></tr>\n");

   printf("<tr><td><input type=\"password\" name=\"inst_pass\" ");
   printf(" maxlength=\"50\"></td></tr>\n");

   /* Administrator anlegen */
   printf("<tr><td>Administratorname</td></tr>\n");

   printf("<tr><td><input type=\"text\" name=\"admin_login\" ");
   printf(" maxlength=\"50\"></td></tr>\n");

   /* Passwort fuer Administrator */
   printf("<tr><td>Passwort f&uuml;r Administrator</td></tr>\n");

   printf("<tr><td><input type=\"password\" name=\"admin_pass\" ");
   printf("maxlength=\"50\"></td></tr>\n");

   /* Passwort wiederholen */
   printf("<tr><td>Passwort wiederholen</td></tr>\n");

   printf("<tr><td><input type=\"password\" name=\"admin_pass2\" ");
   printf("maxlength=\"50\"></td></tr>\n");

   printf("</table>\n");

   /* Button der die Aktion ausloest */
   printf("<input type=\"submit\" name=\"install\" value=\"OK\">\n");
   printf("</form></center>\n");
 }

 /*
  * Der Nutzer hat alle Konfigurationsangaben in einem Formular gemacht.
  * Hier werden diese Angaben ueberprueft und anschliessend die notwendige
  * Konfigurationsdatei angelegt.
  */
 function install_konf_anlegen($server, $db, $dblogin, $dbpass, $login,
                               $pass1, $pass2)
 {
   /* hoffentlich alle Felder ausgefuellt */
   if (!strlen($server) || !strlen($db) || !strlen($dblogin) || 
       !strlen($dbpass) || !strlen($login) || !strlen($pass1) || 
       !strlen($pass2)) return "Fehler: Nicht alle Felder ausgefuellt.";

   /* die beiden Passwoerter fuer den Admin sollten uebereinstimmen */
   if ($pass1 != $pass2)
   {
     return "Fehler: Die beiden Passwoerter stimmen nicht ueberein.";
   }

   /* Konfigurationstemplate einlesen */
   $fp = fopen("conf/conf.inc.php.tmpl", "r");
   if (!$fp)
   {
     $text  = "Fehler: Konfigurationstemplate 'conf/conf.inc.tmpl'";
     $text .= " konnte nicht geoeffnet werden.";

     return $text;
   }

   /* Zeilenweise einlesen */
   while (!feof($fp))
   {
     $zeilen[] = fgets($fp, 150);
   }

   /* Template schliessen */
   fclose($fp);

   /* Konfigurationsdatei anlegen */
   $fp = fopen("conf/conf.inc.php", "w");
   if (!$fp)
   {
     $text  = "Fehler: Konfigurationsdatei 'conf/conf.inc.php' konnte ";
     $text .= "nicht angelegt werden.";

     return $text;
   }

   /* jetzt jede Zeile rauschreiben ausser die vier neuen Angaben */
   for ($i = 0; $i < count($zeilen); $i++)
   {
     /*
      * Analyse durchfuehren ob diese Zeile ersetzt werden muss. Am Ende
      * dieser Schleife wird geprueft ob ein Text ersetzt wurde.
      */
     unset($text);

     /* Server */
     if (substr($zeilen[$i], 1, 8) == "conf_srv")
     {
       $text  = chr(36)."conf_srv = \"";
       $text .= chop(strip_tags($server))."\";\n";
     }

     /* Datenbank */
     if (substr($zeilen[$i], 1, 8) == "conf_dbn")
     {
       $text  = chr(36)."conf_dbn = \"";
       $text .= chop(strip_tags($db))."\";\n";
     }

     /* User */
     if (substr($zeilen[$i], 1, 8) == "conf_dbu")
     {
       $text  = chr(36)."conf_dbu = \"";
       $text .= chop(strip_tags($dblogin))."\";\n";
     }

     /* Passwort */
     if (substr($zeilen[$i], 1, 8) == "conf_dbp")
     {
       $text  = chr(36)."conf_dbp = \"";
       $text .= chop(strip_tags($dbpass))."\";\n";
     }

     /* wenn Text nicht gesetzt dann Templatezeile nutzen */
     if (!isset($text)) $text = $zeilen[$i];

     /* Zeile rausschreiben wenn etwas vorhanden ist */
     if (strlen($text) > 0) fwrite($fp, $text);
   }

   /* Datei schliessen */
   fclose($fp);

   /*
    * Die Datenbank wird mit den Daten aus der mysql/stellware.sql
    * gefuellt. Die Annahme dabei ist, dass die Datenbank noch nichts
    * enthaellt. Immerhin installiert der Nutzer gerade erst die
    * Software.
    *
    * Zuerst die Daten noch einmal behandeln bevor sie ans System
    * uebergeben werden.
    */
   $server  = escapeshellcmd(chop(strip_tags($server)));
   $dbwahl  = escapeshellcmd(chop(strip_tags($db)));

   $dblogin = escapeshellcmd(chop(strip_tags($dblogin)));
   $dbpass  = escapeshellcmd($dbpass);

   /* Struktur in Inhalt der Datenbank holen */
   $datei_inhalt = file_get_contents($pfad."mysql/stellware.sql");
   if (!$datei_inhalt)
   {
     $text  = "Fehler: Datenbankstruktur konnte aus Datei nicht ";
     $text .= "ausgelesen werden.";

     return $text;
   }

   /* Datenbankunterschied holen */
   $erg = sql_get_diff($dblogin, $dbpass, $server, $dbwahl, $datei_inhalt,
                       $sql_update_zeilen);

   if ($erg != 0)
   {
     $text = "Fehler: Unterschiede Datenbank und Datei nicht ermittelt.";
     return $text;
   }

   /* Datenbankverbindung oeffnen */
   $db = mysql_connect($server, $dblogin, $dbpass);
   if (!$db)
   {
     $text  = "Fehler: Verbindung zur Datenbank nicht moeglich.";
     return $text;
   }

   /* Datenbank auswaehlen */
   $erg = mysql_select_db($dbwahl, $db);
   if (!$erg)
   {
     $text = "Fehler: Datenbankauswahl gescheitert.";
     return $text;
   }

   /* Befehler ausfuehren */
   $text = "";
   foreach ($sql_update_zeilen as $anweisung)
   {
     $erg = mysql_query($anweisung);
     if (!$erg)
     {
       $text .= "Fehler: ".$anweisung."<br>";
     }
   }

   /* den Administrator in tb_personal anlegen */
   $admin  = escapeshellcmd($login);
   $ad_pas = escapeshellcmd($pass1);

   /* Administrator anlegen und dafuer Befehl zusammenstellen */
   $insert  = "INSERT INTO tb_personal SET personalnr='000', ";
   $insert .= "name='Administrator', vorname='Paul', pass='".md5($ad_pas)."', ";

   $insert .= "level='99', p_art_id='7', besch_id='2', status_id='2', ";
   $insert .= "login='".$admin."', anmeldung='j'";

   $erg = mysql_query($insert);
   if (!$erg)
   {
     $text .= "Fehler: Administrator konnte nicht angelegt werden.";
   }

   /* Warnungen -> Abbruch */
   if (strlen($text) > 0) return $text;
   return "Ok";
 }

?>
