<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: mysql_diff.php 2063 2013-03-16 16:53:17Z tfreudenberg $
 *
 */

 /*
  * Alle Doppelleerzeichen und Zeilenendzeichen werden entfernt.
  */
 function sql_clean_string($text)
 {
   /* Zeilenende entfernen */
   $text = str_replace("\n", "", $text);  
   $text = str_replace("\r", "", $text);

   /* die Schleife erst abbrechen bis es keine Aenderungen mehr gibt */
   do
   {
     $len1 = strlen($text);
     $text = str_replace("  ", " ", $text);

     $len2  = strlen($text);
   } while ($len1 != $len2);

   return $text;
 }

 /*
  * Holt aus einer Zeichenkette die ganzen INSERT Anweisungen und
  * gibt diese als ein Array zurueck.
  */
 function sql_get_inserts_from_sql_string($text)
 {
   $i = 0;
   do
   {
     if ($i + 11 < strlen($text))
     {
       if (substr($text, $i, 12) == "INSERT INTO ")
       {
         $tmp = ""; $klammer = 0; $raus = 0; $nicht = 0;

         /* Insert gefunden - Text rausholen */
         while ($raus != 1)
         {
           if ($text[$i] == "'")
           {
             if ($nicht == 1) $nicht = 0; else $nicht = 1;
           }

           if ($text[$i] == "(" && $nicht != 1) $klammer++;
           if ($text[$i] == ")" && $nicht != 1) $klammer--;

           if ($text[$i] == ";" && $klammer == 0) $raus = 1;

           $tmp .= $text[$i];
           $i++;
         }

         /* Insert einhaengen in Array */
         $insert[] = $tmp;
         $i--;
       }
     }

     $i++;
   } while ($i < strlen($text));

   return $insert;
 }

 /*
  * Versucht aus einer Zeichenkette die CREATE Anweisungen in einem
  * Array zu sammeln.
  */
 function sql_get_tables_from_string($text)
 {
   $i = 0;

   do
   {
     if ($i + 12 < strlen($text))
     {
       if (substr($text, $i, 13) == "CREATE TABLE ")
       {
         $tmp = "";

         /* Tabelle gefunden - Text rausholen */
         while ($text[$i] != ";")
         {
           $tmp .= $text[$i];
           $i++;
         }

         /* wenn vorhanden IF NOT EXTISTS loeschen */
         $tmp = str_replace("IF NOT EXISTS ", "", $tmp);

         /* Tabelle einhaengen in Array */
         $tabellen[] = $tmp;
       }
     }

     $i++;
   } while ($i < strlen($text));

   return $tabellen;
 }

 /*
  * Holt die Spaltendefinitionen und Schluessel aus dem String.
  */
 function sql_get_spalten_gesamt($text)
 {
   /* erste Klammer suchen */
   $i = 0; while ($text[$i] != "(") $i++; $i++;
   if ($text[$i] == " ") $i++;

   /* letzte Klammer suchen */
   $j = strlen($text); $j--;
   while ($text[$j] != ")") $j--;

   /* Text verkuerzen */
   $text = substr($text, $i, $j - $i);

   return $text;
 }

 /*
  * Vergleicht die beiden Arrays und gibt die Unterschiede vom ersten
  * Array zurueck.
  */
 function sql_diff_first_array($first, $second, $para)
 {
   /* Variablendefinition */
   $erg = array();

   for ($i = 0; $i < count($first); $i++)
   {
     /* Stand durchlaufen */
     $j = 0; $found = 0;
     do
     {
       if ($para == 0)
       {
         $text1  = $first[$i]." default '0'";  
         $text2 = $first[$i]." default ''";

         if ($second[$j] == $first[$i] || $text1 == $second[$j] ||
             $text2 == $second[$j]) $found = 1;
       }
       else
       {
         $text1 = $second[$i]." default '0'";
         $text2 = $second[$i]." default ''";

         if (count($first) > $j)
         {
           if ($text1 == $first[$j] || $text2 == $first[$j]) $found = 1;
         }

         if ($second[$j] == $first[$i]) $found = 1;
       }

       $j++;
     } while ($j < count($second) && $found == 0);

     /* wurde nicht gefunden */
     if ($found == 0) $erg[] = $first[$i];
   }

   return $erg;
 }

 /*
  * Versucht aus einer Zeichenkette die einzelnen Spalten zu ermitteln.
  */
 function sql_get_spalten_array($text)
 {
   /*
    * Trennung eigentlich nach einem Komma aber nicht wenn dieses Komma
    * innerhalb einer Klammerung steht
    */
   $pos = 0; $spalte = ""; $klammer = 0;
   do
   {
     /* Klammerung beachten und Kommatrennung deaktivieren */
     if ($text[$pos] == "(") $klammer = 1;
     if ($text[$pos] == ")")
     {
       $klammer = 0;

       /* innerhalb der Klammern kann es unnoetige Leerzeichen geben */
       $spalte = str_replace("( `", "(`", $spalte);
       $spalte = str_replace("` , `", "`,`", $spalte);

       $spalte = str_replace("`, `", "`,`", $spalte);

       /* ist vor der Klammer ein Leerzeichen entfernen */
       if ($spalte[strlen($spalte) - 1] == " ")
       {
         $spalte = substr($spalte, 0, strlen($spalte) - 1);
       }
     }

     /* Trennzeichen erkannt und nicht innerhalb einer Klammerung */
     if ($text[$pos] == "," && $klammer == 0)
     {
       $erg[] = $spalte;
       $spalte = "";
     }
     else
     {
       /* das Leerzeichen nach dem Komma weglassen */
       if (!(strlen($spalte) == 0 && $text[$pos] == " "))
       {
         $spalte .= $text[$pos];
       }
     }

     $pos++;

   } while ($pos < strlen($text));

   /* Rest in der Spaltendefinition einhaengen */
   if (strlen($spalte) > 0) $erg[] = $spalte;

   return $erg;
 }

 /*
  * Vegleicht die beiden uebergebenen Tabellendefinitionen und analysiert
  * die Spaltendefinitionen. Sollten sie sich unterscheiden wird ein
  * ALTER Statement zurueckgegeben.
  */
 function sql_compare_spalten($ziel, $stand, $tabelle)
 {
   /* Ziel braucht eine Vorreinigung weil Schreibweisen unterschiedlich */
   $ziel = str_replace(" INT( 5 ) ", " int(5) ", $ziel);
   $ziel = str_replace(" UNSIGNED ", " unsigned ", $ziel);

   $ziel = str_replace(" AUTO_INCREMENT ", " auto_increment ", $ziel);
   $ziel = str_replace(" VARCHAR( 50 ) ", " varchar(50) ", $ziel);

   $ziel = str_replace(" TEXT ", " text ", $ziel);
   $ziel = str_replace(" DEFAULT ", " default ", $ziel);

   $ziel = str_replace(" TINYINT( 1 ) ", " tinyint(1) ", $ziel);
   $ziel = str_replace(" VARCHAR( 10 ) ", " varchar(10) ", $ziel);

   $ziel = str_replace(" VARCHAR( 100 ) ", " varchar(100) ", $ziel);
   $ziel = str_replace(" VARCHAR(100) ", " varchar(100) ", $ziel);

   $ziel = str_replace(" VARCHAR(10) ", " varchar(10) ", $ziel);
   $ziel = str_replace(" unsigend ", " unsigned ", $ziel);
   
   $ziel = str_replace(" CURRENT_TIMESTAMP", " current_timestamp", $ziel);

   /* in dem Fall das der aktuelle Stand auch upper case enthaelt */
   $stand = str_replace(" DEFAULT ", " default ", $stand);
   $stand = str_replace(" AUTO_INCREMENT", " auto_increment", $stand);

   $stand = str_replace(" CURRENT_TIMESTAMP", " current_timestamp", $stand);
   $stand = str_replace(" ON UPDATE ", " on update ", $stand);

   $ziel  = sql_get_spalten_gesamt($ziel);
   $stand = sql_get_spalten_gesamt($stand);

   /* zerlegt in die einzelnen Spalten */
   $ziel_feld  = sql_get_spalten_array($ziel);
   $stand_feld = sql_get_spalten_array($stand);

   /* Leerzeichen zum Anfang entfernen */
   for ($i = 0; $i < count($ziel_feld); $i++)
   {
     if ($ziel_feld[$i][0] == " ") $ziel_feld[$i] = substr($ziel_feld[$i], 1);
   }

   /* noch einmal Leerzeichen entfernen */
   for ($i = 0; $i < count($stand_feld); $i++)
   {
     if ($stand_feld[$i][0] == " ")
     {
       $stand_feld[$i] = substr($stand_feld[$i], 1);
     }
   }

   /*
    * bevor die Unterschiede ermittelt werden koennen, muessen ein paar
    * Sonderfaelle bearbeitet werden
    */
   if (!(strpos($ziel_feld[0], " PRIMARY KEY ") === false))
   {
     $feld = explode(" ", $ziel_feld[0]);
     $ziel_feld[0] = str_replace(" PRIMARY KEY ", "", $ziel_feld[0]);

     $ziel_feld[] = "PRIMARY KEY (".$feld[0].")";
   }

   for ($i = 0; $i < count($ziel_feld); $i++)
   {
     $feld = explode(" ", $ziel_feld[$i]);
     if ($feld[0] == "INDEX")
     {
       $name = substr($feld[1], 1, strlen($feld[1]) - 2);
       $ziel_feld[$i] = "KEY ".$name." ".$feld[2];
     }
   }

   $alter = sql_diff_first_array($ziel_feld, $stand_feld, 0);
   $drop  = sql_diff_first_array($stand_feld, $ziel_feld, 1);

   /* Variablendefinition */
   $keep = array();

   /*
    * In dem 'alter' und 'drop' Arrays liegen alle Spalten die nicht gefunden
    * wurden. Dabei koennen die Spaltennamen doch noch vorhanden sein. Ist dies
    * der Fall wird die drop Anweisung entfernt und nur das alter Kommando
    * genutzt.
    */
   $change = array();

   for ($i = 0; $i < count($drop); $i++)
   {
     $feld = explode(" ", $drop[$i]);
     if ($feld[0] != "KEY")
     {
       $j = 0; $found = 0;
       do
       {
         $test = explode(" ", $alter[$j]);
         if ($test[0] == $feld[0] && $test[0] != "KEY") $found = 1;
         $j++;
       } while ($j < count($alter) && $found == 0);

       if ($found == 1) $change[] = $feld[0];
       if ($found == 0) $keep[] = $drop[$i];
     }
     else
     {
       $keep[] = $drop[$i];
     }
   }

   /* in 'change' sind alle Spalten die nur veraendert werden muessen */
   $drop = $keep;
   $sql  = array();

   /* alle DROP Anweisungen anhaengen */
   for ($i = 0; $i < count($drop); $i++)
   {
     $feld = explode(" ", $drop[$i]);

     if ($feld[0] == "KEY")
     {
       $sql[] = "ALTER TABLE ".$tabelle." DROP KEY ".$feld[1].";";
     }
     else if ($feld[0] == "FULLTEXT")
     {
       $sql[] = "ALTER TABLE ".$tabelle." DROP KEY ".$feld[2].";";
     }
     else
     {
       $sql[] = "ALTER TABLE ".$tabelle." DROP COLUMN ".$feld[0].";";
     }
   }

   for ($i = 0; $i < count($alter); $i++)
   {
     /* pruefen ob ADD oder CHANGE */
     $j = 0; $found = 0; $test = explode(" ", $alter[$i]);
     
     while ($j < count($change) && $found == 0)
     {
       if ($test[0] == $change[$j] && $test[0] != "KEY") $found = 1;
       $j++;
     }

     /* wenn es gefunden wurde ist es CHANGE */
     if ($found == 1)
     {
       if ($test[0] == "PRIMARY" && strpos($alter[$i], "KEY") !== FALSE)
       {
         $sql[] = "ALTER TABLE ".$tabelle." DROP PRIMARY KEY, ADD ".$alter[$i].";";
       }
       else
       {
         $sql[] = "ALTER TABLE ".$tabelle." CHANGE ".$test[0]." ".$alter[$i].";";
       }
     }
     else
     {
       $sql[] = "ALTER TABLE ".$tabelle." ADD ".$alter[$i].";";
     }
   }

   return $sql;
 }

 /*
  * Liefert die Unterschiede zwischen dem Datenbankdump und der
  * aktuellen Datenbankstruktur. Das Ergebnis wird in dem Argument
  * abgelegt. Dieses Argument sollte eine Zeichenkettenliste sein.
  */
 function sql_get_diff($db_user, $db_pass, $db_serv, $db_data, $datei, &$sql)
 {
   /* Datenbankverbindung herstellen */
   $db = mysql_connect($db_serv, $db_user, $db_pass);
   if (!$db) return 1;

   $erg = mysql_select_db($db_data, $db);
   if (!$erg) return 1;

   /* String so anpassen, dass er in etwa dem entspricht was erwartet wird  */
   $datei = sql_clean_string($datei);

   /* die Tabellen aus dem String holen */
   $datei_tab = sql_get_tables_from_string($datei);
   $datei_ins = sql_get_inserts_from_sql_string($datei);

   /* alle aktuellen Tabellenstrukturen aus DB holen */
   $result = mysql_query("SHOW TABLES", $db);
   if (!$result) return 1;

   /* Variablendefinition */
   $sql_tab = array();
   $tabellen = array();

   /* Liste der DB Tabellen */
   for ($i = 0; $i < mysql_num_rows($result); $i++)
   {
     $zeile = mysql_fetch_row($result);
     $tabellen[] = $zeile[0];
   }

   /* CREATE SYNTAX holen */
   for ($i = 0; $i < count($tabellen); $i++)
   {
     $query = "SHOW CREATE TABLE ".$tabellen[$i];
     $result = mysql_query($query, $db);
     if (!$result) return 1;

     for ($d = 0; $d < mysql_num_rows($result); $d++)
     {
       /* $zeile[1] enthaelt Tabelleninfos */
       $zeile     = mysql_fetch_row($result);
       $sql_tab[] = sql_clean_string($zeile[1]);
     }
   }

   /*
    * Alle Dateitabellen durchgehen und pruefen ob in DB schon
    * vorhanden und gleich sind.
    */
   for ($i = 0; $i < count($datei_tab); $i++)
   {
     /* in der 2 Spalte befindet sich der Tabellenname */
     $tab = explode(" ", $datei_tab[$i]);

     /* ist diese Tabelle schon vorhanden */
     $j = 0; $found = 0;
     while ($found == 0 && $j < count($sql_tab))
     {
       $pos = strpos($sql_tab[$j], $tab[2]);
       if (!($pos === false)) $found = 1; else $j++;
     }

     /* wurde gefunden dann Spaltenvergleich */
     if ($found == 1)
     {
       /* wurde gefunden - Zeichenketten gleich */
       if ($sql_tab[$j] != $datei_tab[$i])
       {
         /* Zeichenketten anders - Spaltenvergleich notwendig */
         $alter = sql_compare_spalten($datei_tab[$i], $sql_tab[$j], $tab[2]);
         if (!empty($alter))
         {
           for ($k = 0; $k < count($alter); $k++)
           {
             $sql[] = $alter[$k];
           }
         }
       }
     }
     else
     {
       /* wurde nicht gefunden komplett anlegen */
       $sql[] = $datei_tab[$i].";";
     }
   }

   /* Tabellen bis hier fertig, jetzt die internen Daten */
   foreach ($datei_ins as $insert)
   {
     /* Tabellenname extrahieren */
     $zwischen = explode(" ", $insert, 4);
     $tabelle = $zwischen[2];

     /* Primaeren Schluessel aus der Tabelle holen */
     $ask = "SHOW COLUMNS FROM ".$tabelle;
     $erg = mysql_query($ask, $db);

     $fehler = mysql_errno($db);
     if (!$erg && $fehler != 1146) return 1;

     if ($fehler != 1146) /* Fehler abfangen wenn Tabelle noch nicht vorhanden */
     {
       for ($i = 0; $i < mysql_num_rows($erg); $i++)
       {
         $zeile = mysql_fetch_row($erg);

         /* $zeile[0] hat den Spaltennamen und $zeile[3] ob key */
         if ($zeile[3] == "PRI")
         {
           $struktur[] = $i;         /* Position der Value */
           $struktur[] = $zeile[0];  /* Spaltenname */
         }
       }

       $spalten = sql_get_spalten_array(sql_get_spalten_gesamt($insert));

       /* jetzt fuer jeden primaeren Key schaun ob value vorhanden */
       $ask  = "SELECT * FROM ".$tabelle." WHERE ".$struktur[1];
       $ask .= "=".$spalten[$struktur[0]];

       $i = 2;
       while ($i < count($struktur))
       {
         $ask .= " AND ".$struktur[$i + 1]."=".$spalten[$struktur[$i]];
         $i += 2;
       }

       $vor = mysql_query($ask, $db);
       if (!$vor) return 1;

       /* wenn nicht vorhanden dann einhaengen */
       if (mysql_num_rows($vor) == 0) $sql[] = $insert;
     }
     else
     {
       $sql[] = $insert;
     }

     /* primaeren Schluessel loeschen */
     unset($struktur);
   }

   /*
    * bisher nur Dump mit DB verglichen -> jetzt schaun was in DB zu viel
    * vorhanden ist
    */
   foreach ($datei_tab as $datei)
   {
     /* alle im Dump vorhandenen Tabellennamen ermitteln */
     $create = explode(" ", $datei, 4);

     $name = $create[2];
     $name = str_replace("`", "", $name);

     $tab[] = $name;
   }

   /* jetzt schaun ob alle Tabellen in DB sind auch im Dump sind */
   $erg = array_diff($tabellen, $tab);
   foreach ($erg as $table) $sql[] = "DROP TABLE ".$table.";";

   /* Datenbankverbindung schliessen */
   mysql_close($db);

   return 0;
 }

 /*
  * Liefert die statischen Tabellen die in der Datei definiert sind.
  */
 function sql_get_delete_static($datei, &$sql)
 {
   $pos = 0;

   do
   {
     $pos = strpos($datei, ":static", $pos);

     if ($pos !== FALSE)
     {
       $static = $pos;

       /* den Anfang suchen um den Tabellennamen zu finden */
       while ($datei[$pos] != " ") --$pos; ++$pos;

       $tab = substr($datei, $pos, $static - $pos);
       if ($tab != "table_name") $sql[] = "DROP TABLE ".$tab.";";

       $pos = $static + 7;
     }
   } while ($pos !== FALSE);

   return 0;
 }

?>
