/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: stellware.js 2869 2018-06-20 08:02:40Z tfreudenberg $
 *
 * Diese JavaScript-Quelle enthaelt ausschlielich ladbare Funktionen
 */

function checkAll1(state){
	var checkboxes = document.getElementsByName('zk_id[]');
	for(var n = 0; n < checkboxes.length; n++){
		checkboxes[n].checked = state;
	}
}


/**
* Zeit des Servers im Browserfenster aktualisieren
* (der Inhalt des Elements mit der ID time wird jede Sekunde aktualisiert)

* @author Simon Sobisch

*/

function servertime(){
	
	var element; 
	
	if (serverzeit == null) {
		serverzeit = new Date();

		element = document.getElementById('time_sec');
		if (!element) return;
		serverzeit.setSeconds(element.innerHTML.substring(1,3));
		element.parentNode.removeChild(element);
		
		element = document.getElementById('time');
		if (!element) return;
		serverzeit.setMinutes(element.innerHTML.substring(3,5));
		serverzeit.setHours(element.innerHTML.substring(0,2));
	} else {
		element = document.getElementById('time');
		if (!element) return;
		serverzeit.setMilliseconds(serverzeit.getMilliseconds() + 1040);
	}

	var StundenJetzt = serverzeit.getHours();
	var MinutenJetzt = serverzeit.getMinutes();
	var SekundenJetzt = serverzeit.getSeconds();

	// einstellige Werte erweitern
	if (StundenJetzt < 10) {
		StundenJetzt = '0' + StundenJetzt;
	}
	if (MinutenJetzt < 10) {
		MinutenJetzt = '0' + MinutenJetzt;
	}

	element.innerHTML = StundenJetzt + ':' + MinutenJetzt + ' Uhr';
	window.setTimeout('servertime()', 1000);

	/* wenn schon aller 1s aufgerufen, countdown auch gleich hier */
	element = document.getElementById('time_to_logout');
	if(doCountdown) {
		var Time = element.innerHTML.split(":");
		var Minuten = parseInt(Time[0]);
		var Sekunden = parseInt(Time[1]);
		if(Minuten==0 && Sekunden==0) {
			if(SekundenJetzt == 0 && MinutenJetzt % 5 == 0) xajax_countdown();
			return;
		}
		if(Minuten==0 && Sekunden < 45) {
			if(Sekunden < 2) {
				document.getElementById('loginTable').style.display = 'block';
				document.getElementById('refreshTable').style.display = 'none';
				document.getElementById('loginTablePassword').focus();
			} else {
				document.getElementById('loginTable').style.display = 'none';
				document.getElementById('refreshTable').style.display = 'block';
				document.getElementById('SekToRefresh').innerHTML = Sekunden-1;
			}
			if(Sekunden % 2 == 0) element.style.color = '#FFFFFF';
			else element.style.color = '#FF0000';
		} else {
			element.style.color = '#CCCCCC';
			document.getElementById('loginTable').style.display = 'none';
			document.getElementById('refreshTable').style.display = 'none';
		}

		if((Minuten==0 && Sekunden < 10) || Sekunden%10==0) xajax_countdown();
		else {
			if(Sekunden==0) {
				Minuten--;
				Sekunden = 59;
			} else Sekunden--;
			if(Sekunden<10) element.innerHTML = Minuten+':0'+Sekunden;
			else element.innerHTML = Minuten+':'+Sekunden;
		}
	} else element.innerHTML = '0:00';
}

/* Prfung, ob ein Element eine bestimmte Klasse zugewiesen hat */
function hasClass(elem, cls) {
    return elem.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
}

/* Dem aktuellen Select bei Auswahl einer option dessen Farbe zuweisen */
function option_color (selectelem) {
	selectelem.style.backgroundColor=selectelem.options[selectelem.selectedIndex].style.backgroundColor;
}

