<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: stw.inc.php 2928 2018-12-31 10:38:52Z tfreudenberg $
 *
 */

/* Ggf. Session fuer die Stellwarenutzung starten */
if (!isset($_SESSION)) {
	session_start();
}

/* Datei befindet sich in inc - Dateiname und Verzeichnis entfernen */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);
require_once($pfad."inc/func.inc.php");

// start jeder Datei:

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

// sicherstellen, dass die Variablen initialisiert sind
// --> verschoben nach func.inc.php

$uid = $_SESSION[$AppCode]['UID'];
$ulv = $_SESSION[$AppCode]['ULV'];

if (!isset($seite)) $seite = NULL;

$lastPath = strripos($_SERVER['PHP_SELF'], '/');
$pathSubstr = substr($_SERVER['PHP_SELF'], 0, $lastPath);
$lastPath = strripos($pathSubstr, '/');
/* im konf-Verzeichnis? */
if(substr($pathSubstr, $lastPath) == '/konf') $pathDots = '../';
else {
	$pathSubstr = substr($pathSubstr, 0, $lastPath);
	$lastPath = strripos($pathSubstr, '/');
	/* in einem Mandanten-Verzeichnis? */
	if(substr($pathSubstr, $lastPath) == '/mandant') $pathDots = '../../';
	else $pathDots='';
}

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function countdown(){
	global $AppCode;
	$userResp = new xajaxResponse();
	$time = $_SESSION[$AppCode]['AUTOLOGOUT'] - time();
	if($time < 0) $time = 0;
	$userResp->assign("time_to_logout",'innerHTML',dec2time_hhmm($time/60));
	return $userResp;
}

function refreshSession(){
	global $AppCode;
	$userResp = new xajaxResponse();
	if($_SESSION[$AppCode]['AUTOLOGOUT'] >= time()) {
		global $seite;
		$sql = "SELECT session FROM tb_web_seite WHERE seite='$seite';";
		$erg = abfrage1($sql);
		if (mysql_num_rows($erg) > 0) {
			$zeile = mysql_fetch_row($erg);
			$time  = $zeile[0];
		} else $time  = 900;
		$_SESSION[$AppCode]['AUTOLOGOUT'] = time() + $time;
		$userResp->assign("time_to_logout",'innerHTML',dec2time_hhmm($time/60));
		$userResp->assign("time_to_logout",'style.color','#CCCCCC');
	} else $userResp->call("window.open('".$_SESSION['webdir']."/anmeldung.php', '_blank')");
	return $userResp;
}

function pool_p($proj_id){
	$userResp = new xajaxResponse();
	$projekt = new stwProjekt($proj_id);
	$text  = "P";
	$style = $projekt->pool_style();
	$pool_st = $projekt->pool_st();
	$pool_geleistet = $projekt->pool_geleistet();
	$pool_rechnung = fls_form(getConf('p_rech') ? $projekt->pool_rechnung() : $pool_geleistet);
	if($pool_rechnung != fls_form($pool_geleistet)) $style .= " name=\"blink\"";
	$pool_stand = $projekt->pool_stand();
	$titel = fls_form($pool_st)." - ".fls_form($pool_geleistet);
	if($pool_rechnung != fls_form($pool_geleistet)) $titel .= " <b>($pool_rechnung in Rechnung gestellt)</b>";
	if(($pool_stand > $pool_st - $pool_geleistet + 0.25) || ($pool_stand < $pool_st - $pool_geleistet - 0.25)) {
		$uebertrag = $pool_st - $pool_stand - $pool_geleistet;
		$titel .= $uebertrag>0 ? ' - ' : ' + ';
		$titel .= fls_form($uebertrag>0 ? $uebertrag : (-1 * $uebertrag));
		$titel .= " (Pool&uuml;bertragungen)";
	}
	$titel .= " = " . fls_form($pool_stand);
	$userResp->assign("pool_p_".$proj_id,'innerHTML',"<b".stwToolTip($titel)."$style>$text</b>");
	return $userResp;
}

function updatePostCheck($val, $uid, $check){
	$userResp = new xajaxResponse();
	$art = explode("_", $val);
	if(empty($art[2])) {
		$query = "UPDATE ";
		$query .= ($art[1] == "i") ? "tb_post_eingang" : "tb_post_ausgang";
		$query .= " SET ok = '".($check ? $uid : 0)."', ok_datum = '".date('Y-m-d',time())."'";
		$query .= " WHERE hp_id = ".$art[0];
	} else {
		$query="UPDATE tb_post_ok SET ok = '".($check ? $uid : 0)."', ok_datum = '".date('Y-m-d',time())."'
				WHERE hp_id='$art[0]' AND personaltyp_id='$art[3]'
				AND id2='$art[2]' AND typ='$art[1]'";
	}
	abfrage2($query);
	$userResp->assign($val, 'disabled', 'disabled');
	return $userResp;
}

function do_ewald($pers_id){
	global $AppCode;
	$ewaldtext = ewald($pers_id);
	$userResp = new xajaxResponse();
	$userResp->assign("ewaldtext",'value',$ewaldtext);
	$userResp->assign("ewaldname",'value',pers_kname($pers_id));
	$userResp->call('show_ewald()');
	return $userResp;
}

function ewald_ab_proj_kont($uid, $proj_id, $ab_monat, $ts) {
	global $AppCode;
	$userResp = new xajaxResponse();
	$sql = "update tb_ab_proj_kont
			set	ok_hb = 'j',
			pers_id_hb = '{$_SESSION[$AppCode]['UID']}',
			datetime_hb = now()
			where proj_id = '$proj_id'
			and ab_monat = '$ab_monat';";
	abfrage2($sql);
	kontrolle($proj_id,$ab_monat);
	$sql = "delete from tb_ewald
			where pers_id='$uid' and ewaldkategorie_id='1'
			and id1='$proj_id' and id2='$ts' limit 1";
	abfrage2($sql);
	$userResp->assign("chk_".$proj_id."_".$ab_monat, 'disabled', 'disabled');
	$_SESSION[$AppCode]["EWALDreason"]--;
	if($_SESSION[$AppCode]["EWALDreason"] <= 0) $userResp->call("tt_HideInit()");
	return $userResp;
}

function ewald_teamok($uid, $team_id) {
	global $AppCode;
	$userResp = new xajaxResponse();
	abfrage2("insert into tbh_team_protokoll set gelesen=now(), pers_id='$uid', team_id='$team_id', gelesen_pers_id='{$_SESSION[$AppCode]['UID']}'");
	$userResp->assign("chk_team_".$team_id, 'disabled', 'disabled');
	abfrage2("delete from tb_ewald where pers_id='$uid' and ewaldkategorie_id=4 and id1='$team_id'");
	$_SESSION[$AppCode]["EWALDreason"]--;
	if($_SESSION[$AppCode]["EWALDreason"] <= 0) $userResp->call("tt_HideInit()");
	return $userResp;
}

function ewald_wp_hb($uid, $wp_hb) {
	global $AppCode;
	$userResp = new xajaxResponse();
	abfrage2("update tb_wochenplan set hb='{$_SESSION[$AppCode]['UID']}', hb_ts=now() 
			  where pers_id='$uid' and unix_timestamp(datum)='$wp_hb'");
	abfrage2("delete from tb_ewald where pers_id='$uid' and ewaldkategorie_id=6 and id1='$wp_hb'");	
	$userResp->assign("chk_wp_".$wp_hb, 'disabled', 'disabled');
	$_SESSION[$AppCode]["EWALDreason"]--;
	if($_SESSION[$AppCode]["EWALDreason"] <= 0) $userResp->call("tt_HideInit()");
	return $userResp;
}

function ewald_azk_hb($uid, $dat) {
	global $AppCode;
	$userResp = new xajaxResponse();
	abfrage2("update tb_azk_kontrolle set hb='{$_SESSION[$AppCode]['UID']}', hb_ts=now() 
			  where pers_id='$uid' and datum='$dat'");
	$sql = "delete from tb_ewald
			where pers_id='$uid' and ewaldkategorie_id='2'
			and id1='3' and id2='".date_my2ts($dat)."' limit 1";
	abfrage2($sql);
	$userResp->assign("chk_azk", 'disabled', 'disabled');
	$_SESSION[$AppCode]["EWALDreason"]--;
	if($_SESSION[$AppCode]["EWALDreason"] <= 0) $userResp->call("tt_HideInit()");
	return $userResp;
}

function ewald_snooze($uid, $team_id, $x) {
	global $AppCode;
	$userResp = new xajaxResponse();
	$sql = "replace into tb_team_pers_reminder set team_id='$team_id', pers_id='$uid', remind=";
	$sql.= empty($x) ? "NULL" : "date_add(curdate(), INTERVAL $x DAY)";
	abfrage2($sql);
	if(empty($x)) $userResp->assign("snooze_".$team_id."_".$x, 'style.background', 'green');
	else $userResp->assign("snooze_".$team_id."_".$x, 'style.top', '-2px');
	abfrage2("delete from tb_ewald where pers_id='$uid' and ewaldkategorie_id=5 and id1='$team_id'");
	$_SESSION[$AppCode]["EWALDreason"]--;
	if($_SESSION[$AppCode]["EWALDreason"] <= 0) $userResp->call("tt_HideInit()");
	return $userResp;
}

function ewald_snooze2($uid, $fehlz_id, $x) {
	global $AppCode;
	$userResp = new xajaxResponse();
	$sql = "replace into tb_fehlz_pers_reminder set fehlz_id='$fehlz_id', pers_id='$uid', remind=";
	$sql.= empty($x) ? "NULL" : "date_add(curdate(), INTERVAL $x DAY);";
	abfrage2($sql);
	abfrage2("delete from tb_ewald where pers_id='$uid' and ewaldkategorie_id=9 and id1='$fehlz_id';");
	if(empty($x)) $userResp->assign("snooze2_".$fehlz_id."_".$x, 'style.background', 'green');
	else $userResp->assign("snooze2_".$fehlz_id."_".$x, 'style.top', '-2px');
	$_SESSION[$AppCode]["EWALDreason"]--;
	if($_SESSION[$AppCode]["EWALDreason"] <= 0) $userResp->call("tt_HideInit()");
	return $userResp;
}

function ewald_snooze3($uid, $proj_id, $x) {
	global $AppCode;
	$userResp = new xajaxResponse();
	$sql = "replace into tb_proj_frist_pers_reminder set proj_id='$proj_id', pers_id='$uid', remind=";
	$sql.= empty($x) ? "NULL" : "date_add(curdate(), INTERVAL $x DAY);";
	abfrage2($sql);
	abfrage2("delete from tb_ewald where pers_id='$uid' and ewaldkategorie_id=11 and id1='$proj_id';");
	if(empty($x)) $userResp->assign("snooze3_".$proj_id."_".$x, 'style.background', 'green');
	else $userResp->assign("snooze3_".$proj_id."_".$x, 'style.top', '-2px');
	$_SESSION[$AppCode]["EWALDreason"]--;
	if($_SESSION[$AppCode]["EWALDreason"] <= 0) $userResp->call("tt_HideInit()");
	return $userResp;
}

function ewald_befristung_uncheck($uid, $proj_id) {
	global $AppCode;
	$userResp = new xajaxResponse();
	abfrage2("update tb_projekte set befristung='n' where proj_id='$proj_id'");
	abfrage2("delete from tb_ewald where pers_id='$uid' and ewaldkategorie_id=11 and id1='$proj_id';");
	$_SESSION[$AppCode]["EWALDreason"]--;
	if($_SESSION[$AppCode]["EWALDreason"] <= 0) $userResp->call("tt_HideInit()");
	return $userResp;
}

function ewald_pende($proj_id, $ende) {
	$enddat = date_gr2my(check_date($ende, 1));
	if(projektbeginn_ts($proj_id) > date_gr2ts($ende)) $enddat = NULL;
	$frist = empty($enddat) ? "befristung='n'," : '';
	abfrage2("update tb_projekte set $frist ende='$enddat' where proj_id='$proj_id'");
}

function klammerCopy($id) {
	global $AppCode;
	$userResp = new xajaxResponse();
	$userResp->assign("copy_".$_SESSION[$AppCode]["klammerCopy"], 'src', image('copy'));
	$userResp->assign("copy_$id", 'src', image('copy',16,16,0,255,0));
	$userResp->assign("copyKlammerId", 'value', $id);
	$_SESSION[$AppCode]["klammerCopy"] = $id;
	return $userResp;
}

if(!$xajax) {
	$xajax = new xajax();
	$xajax->configure('javascript URI', './'.$pathDots.'inc/');
}
$xajax->registerFunction('countdown');
$xajax->registerFunction('refreshSession');
$xajax->registerFunction('pool_p');
$xajax->registerFunction('updatePostCheck');
$xajax->registerFunction('do_ewald');
$xajax->registerFunction('ewald_ab_proj_kont');
$xajax->registerFunction('ewald_teamok');
$xajax->registerFunction('ewald_wp_hb');
$xajax->registerFunction('ewald_azk_hb');
$xajax->registerFunction('ewald_snooze');
$xajax->registerFunction('ewald_snooze2');
$xajax->registerFunction('ewald_snooze3');
$xajax->registerFunction('ewald_befristung_uncheck');
$xajax->registerFunction('ewald_pende');
$xajax->registerFunction('klammerCopy');
$xajax->processRequest();
/* --- Ende Abschnitt (X)AJAX --- */

new stwHead($seite,'',$ajax);

if ($_GET['print'] == 1){
	$trname = getConf('trname');
	echo "<table width=\"750\" border=\"0\"><tr>\n";
	echo "<th style=\"font-size:14pt;\">$trname</th>\n";
	echo "<th style=\"font-size:14pt;text-align:right\">";
	echo "Datenschutz beachten!</th>\n";
	echo "</tr><tr>\n";
	echo "<td>Stellware Ausdruck : ";
	echo strftime('%d.%m.%Y, %H:%M Uhr', time()). "</td>\n";
	$druckseite=str_replace('&print=1', '', $_SERVER['REQUEST_URI']);
	$druckseite=str_replace('?print=1&', '?', $druckseite);
	$druckseite=str_replace('?print=1', '', $druckseite);
	echo "<td style=\"text-align:right\">" . $druckseite. "</td></tr>\n";
	new stwTabLine(2,30);
	echo "</table>\n";
} else {
	new stwMenu($seite);
}

/* uebergebene oder definierte Fehler anzeigen */
if (isset($_GET['err'])){
	stwFehler($_GET['err']);
} elseif (isset($page_err)){
	stwFehler($page_err);
}

/* Farben-Variablen setzen */
$zk_ab_nein = getSkin('zk ab nein');
$zk_ab_ja = getSkin('zk ab ja');
$zk_abgerechnet = getSkin('zk abgerechnet');
$zk_abgelegt = getSkin('zk abgelegt');

echo "<input type=\"hidden\" id=\"copyKlammerId\" value=\"".intval($_SESSION[$AppCode]["klammerCopy"])."\" />";

if ($_GET['print'] != 1) {
	echo "<table id=\"loginTable\" cellpadding=\"20\" style=\"display:none;border:5px solid red;background-color:#333333;position:absolute;width:500px;height:400;top:50%;left:50%;margin-top:-200px;margin-left:-250px;\">";
	echo "<tr><th style=\"font-size:18pt; color:red\">Ihre Sitzung ist abgelaufen. <br><br> Bitte melden Sie sich erneut an!</th></tr>\n";
	echo "<tr><td>";
	echo "<form action=\"login.php?selfdestruct=1\" onsubmit=\"temp_window = window.open('anmeldung.php','_temp')\" method=\"post\" target=\"_temp\">\n";
	echo "<input type=\"hidden\" name=\"user_id\" value=\"".$_SESSION[$AppCode]['UID']."\" />\n";
	echo "<table cellpadding=\"2\">\n<tr><th>Benutzer:</th><td>";
	$pers = abfrage("select login from tb_personal where pers_id='{$_SESSION[$AppCode]['UID']}'");
	echo "<select style=\"width:200px\" disabled><option>$pers[0]</option></select>";
	echo "</td></tr><tr><th>Passwort:</th><td>";
	echo "<input type=\"password\" name=\"passwd\" id=\"loginTablePassword\" style=\"width:200px\" maxlength=\"30\" tabindex=\"2\" />";
	echo "</td></tr>";
	new stwTabLine(2,30);
	echo "<tr><td colspan=\"2\"><input type=\"submit\" onclick=\"document.getElementById('loginTable').style.display='none'\" value=\"Anmelden\"></td></tr></table>";
	echo "</form>\n";
	echo "</td></tr></table>";

	echo "<table id=\"refreshTable\" cellpadding=\"20\" style=\"display:none;border:5px solid red;background-color:#333333;position:absolute;width:500px;height:400;top:50%;left:50%;margin-top:-200px;margin-left:-250px;\">";
	echo "<tr><th style=\"font-size:18pt;text-align:center\"><u>Achtung</u><br><br>Ihre Sitzung l&auml;uft in <span id=\"SekToRefresh\">30</span> Sekunden ab. <br><br><a href=\"#\" style=\"color:#FFFFFF\" ";
	echo "onclick=\"xajax_refreshSession(); document.getElementById('refreshTable').style.display='none';\">Hier klicken</a>";
	echo ", um Timer zur&uuml;ckzusetzen!</th></tr></table>\n";

	echo "<table width=\"750\">\n<tr>\n";

    // sicherstellen das die Variable gesetzt ist
    if (!isset($_SESSION[$AppCode]["OK"])) $_SESSION[$AppCode]["OK"] = NULL;

	if ($_SESSION[$AppCode]["OK"]) {
		/* gelbes Nachrichtensymbol, um neue Nachrichten zu schreiben */
		echo "<td class=\"cl11\">";
		echo "<a href=\"{$_SESSION['webdir']}/nachr_and.php\">";
		echo "<img border=\"0\" src=\"{$_SESSION['webdir']}/img/brief.png\"";  
		echo stwToolTip('neue Nachricht verfassen');
		echo " alt=\"\" /></a></td>\n";

		/* gruenes Nachrichtensymbol, um erhaltene Nachrichten zu melden */
		$mails = abfrage1("select distinct nachr_id
							from tb_nachr_an
							where pers_id = '{$_SESSION[$AppCode]['UID']}'
							and (gel is null or unix_timestamp(gel) = 0)
							and (erl is null or unix_timestamp(erl) = 0);");
		if (mysql_num_rows($mails) > 0){
			$mail = mysql_num_rows($mails);
			$title = $mail . ' neue Nachricht';
			if ($mail > 1) $title .= 'en';


			echo "<td><a href=\"".$_SESSION["webdir"]."/nachr.php\">";

			echo "<img border=\"0\" src=\"{$_SESSION['webdir']}/img/brief_gruen.png\"";  
			echo stwToolTip($title);
			echo " alt=\"\" /></a></td><td style=\"color:#00FF00;font-weight:bold;\" class=\"cl11\">";
			echo $mail . "</td>\n";
		}

		/* rotes Nachrichtensymbol, um noch nicht erledigte, gesendete Nachrichten
		   mit Merkmal Wiedervorlage Absender zu melden */
		$mails = abfrage1("select distinct nachr_id
							from tb_nachr
							where von = '{$_SESSION[$AppCode]['UID']}'
							and erledigt = 1 and erledigt_dt is NULL;");
		if (mysql_num_rows($mails) > 0){
			$mail = mysql_num_rows($mails);
			$title = $mail . ' unerledigte Nachricht';
			if ($mail > 1) $title .= 'en';
			$title .= ' zur Wiedervorlage Absender';
			echo "<td><a href=\"{$_SESSION['webdir']}/nachr.php?wv=1&erl=1&ans=2\">";

			echo "<img border=\"0\" src=\"{$_SESSION['webdir']}/img/brief_rot.png\"";     
			echo stwToolTip($title);
			echo " alt=\"\" /></a></td><td style=\"color:#FF0000;font-weight:bold;\" class=\"cl11\">";
			echo $mail . "</td>\n";
		}

	  /* Falls der Nutzer offene Projektberichte hat, werden diese hier gezeigt. */
	  $sql  = "SELECT t1.hp_id, t1.proj_id FROM tb_hp t1 LEFT JOIN tb_pb t2 ON ";
	  $sql .= "t1.hp_id = t2.hp_id WHERE t1.hp_art='pb' AND t1.pers_id='";

	  $sql .= $_SESSION[$AppCode]["UID"]."' AND t2.fertig IS NULL";
	  $erg  = abfrage1($sql);

	  if (mysql_num_rows($erg) > 0)
	  {
	    /* Auflistung aller PB nach der Post */
	    while ($zeile = mysql_fetch_row($erg))
	    {
	      /* Bestimmung der Farbe */
	      $sql  = "SELECT t1_es, t1_pr, t2_es, t2_pr, t3_es, t3_pr, t4_es, ";
	      $sql .= "t4_pr FROM tb_pb WHERE hp_id='".$zeile[0]."'";

	      $pb   = abfrage($sql);
	      if (in_array(1, $pb))
	      {
	        $farbe = "#FF0000";
	      }
	      elseif (in_array(2, $pb))
	      {
	        $farbe = "#FFFF00";
	      }
	      else
	      {
	        $farbe = "#00FF00";
	      }

	      /* Titel soll die Projektnummer sein */
	      $pro = new stwProjekt($zeile[1]);

	      echo "<td class=\"cl11\"><a href=\"".$_SESSION["webdir"]."/pro_pb.php?hp_id=";
	      echo $zeile[0]."&proj_id=".$zeile[1]."&link=index.php\" style=";

	      echo "\"color:".$farbe."\" title=\"".$pro->nummer()."\">PB</a></td>\n";
	    }
	  }
	} else {
		echo "<td>Sie sind nicht angemeldet.</td>";
	}
	flush();
	if (isset($_SESSION[$AppCode]) && $_SESSION[$AppCode]['OK']) {
		if(!isset($_SESSION[$AppCode]['laufzeit'])) {
			$_SESSION[$AppCode]['laufzeit'] = intval( getConf("laufzeiterfassung") );
		}
		$laufzeiterfassung = $_SESSION[$AppCode]['laufzeit'];
		echo "<td class=\"cl11\" style=\"text-align:center; color:#00FFFF\">";
		echo "Bereitschaft:&nbsp;";
		echo bereitschaft();
		echo "</td>\n";
		flush();
		echo "<td class=\"cl11\">";
		echo "<a href=\"".$_SESSION['webdir']."/password.php\" ";
		echo stwToolTip("Benutzername und Passwort &auml;ndern");
		echo "><img src=\"".image('person')."\" alt=\"Passwort\" />";
		echo "</a></td>\n";
		echo "<td>{$_SESSION[$AppCode]['UVN']}&nbsp;{$_SESSION[$AppCode]['UNN']} ist angemeldet.</td>\n";
		echo "<td class=\"cl20\" ";
		echo stwToolTip("<b>Zeit bis zum automatischen Abmelden</b><br />Klicken Sie hier, um Zeit zur&uuml;ckzusetzen.",false);
		$time = $_SESSION[$AppCode]['AUTOLOGOUT'] - time();
		$time = dec2time_hhmm($time/60);
		echo "><a href=\"#\" style=\"color:#CCCCCC\" id=\"time_to_logout\" ";
		echo "onclick=\"xajax_refreshSession()\"";
		echo ">$time</a></td>\n";
		echo "<td style=\"text-align: right;\">";
		echo "<a href=\"".$_SESSION['webdir']."/logout.php\">Abmelden</a></td>\n";
	} else {
		$laufzeiterfassung = intval( getConf("laufzeiterfassung") );
		echo "<td style=\"text-align: right;\">";
		echo "<a href=\"".$_SESSION['webdir']."/anmeldung.php\">Anmelden</a></td>\n";
	}
	echo "</tr>\n";
	echo "</table>\n";
	new stwLine(1);
	if($laufzeiterfassung) {
		global $laufzeit_id;
		list($url, $urlext) = explode("?", str_replace($_SESSION["webdir"]."/", "", $_SERVER["REQUEST_URI"]));
		abfrage2("insert into tb_laufzeit set pers_id='{$_SESSION[$AppCode]['UID']}', seite='$url', urlext='$urlext', ts1=unix_timestamp(now());");
		$laufzeit_id = mysql_insert_id();
	}
	flush();
}

?>
