<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: stwEnd.inc.php 2916 2018-11-27 11:00:08Z tfreudenberg $
 *
 */

 /* Datei befindet sich in inc - Dateiname und Verzeichnis entfernen */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

 require_once($pfad."inc/func.inc.php");
 require_once($pfad."inc/stwDaten.inc.php");

 /*
  * Klasse stwEnd sollte am Ende jeder Datei genutzt werden um die rechte
  * Seite in Stellware einzublenden. Diese beinhaltet einen Hilfebereich,
  * Dateienbereich und ein Feedbackbereich.
  */
 class stwEnd
 {
   var $datei;      /* Datei in der diese Klasse eingebunden ist. */
   var $datei_ohne; /* Datei ohne Dateiendung */

   /*
    * Konstruktor: $datei_zahl_id - zu bestimmten Seiten sollen Dateien
    *              $datei_zahl_id2  gezeigt werden; diese besitzen meist
    *                               eine oder zwei IDs die hier mit uebergeben
    *                               wird
    *              $zusatz_id       Ggf. weitere ID (z. B. pra_nr bei pro.php) 
    */
  function stwEnd($seite, $cal = NULL, $lom_user = NULL, $lom_action = NULL,
                  $datei_zahl_id = 0, $datei_zahl_id2 = 0, $abteilung = 0,
                  $anz = NULL, $zusatz_id1 = NULL, $zusatz_id2 = NULL,
                  $zusatz_id3 = NULL, $zusatz_id4 = NULL, $zusatz_id5 = NULL)
  {
    global $AppCode;    /* Sessionvariable holen */
    global $zeit_start; /* Zeitmessung Seitenaufbau */

	/* wir geben die Seite schon mal aus, bevor wir weitermachen */
	flush();

    /*
     * Hier wird ermittelt in welche Seite diese Klasse eingebunden wird.
     * Diese wird in der Klassenvariable $datei abgelegt.
     */
    $this->datei = str_replace($_SESSION["webdir"]."/", "",
                               $_SERVER["REQUEST_URI"]);
    $pos = strpos($this->datei, ".php");

    $this->datei      = substr($this->datei, 0, $pos + 4);
    $this->datei_ohne = substr($this->datei, 0, $pos);

    /*
     * Eine Stellwareseite besteht aus einer grossen Tabelle mit zwei Spalten.
     * Hier wird die erste Spalte abgeschlossen und die zweite begonnen.
     */
    echo "</td>\n";

    /*
     * Die rechte Spalte wird nur gezeigt wenn ein Nutzer angemeldet ist. Wird
     * diese Seite ausgedruckt, soll die rechte Haelfte auch nicht erscheinen.
     */
    if ($_SESSION[$AppCode]['OK'] && empty($_GET['print'])){
    	/* die rechte Spalte starten */
      echo "<td valign=\"top\">\n<table width=\"235\" border=\"0\">\n";

      /* Tabelle starten die die Icons enthaelt und die Hilfe */
	    new stwTabLine(1, 30);

      /*
       * Hilfebereich inklusive Sourcecodeanzeige und Konfigurationstool und
       * WIKI globale Hilfe und WIKIweb und WIKI ADA.
       */
      echo "<tr><td><table><tr><td>";

	  echo "<a href=\"http://de.stellware.wikia.com/wiki/".$this->datei_ohne."\" ";
      echo "title=\"Hilfe: das Stellware Wiki\" ";

      echo " style=\"font-style:normal;font-size:8pt\" target=\"_blank\">";
      echo "Hilfe</a></td>";

      /* WIKI WIKIweb nur Stellwerk interessant. */
      if (getConf("traeger") == "stw")
      {
        echo "<td><a href=\"http://bollwerk.stlw.de/stwebwiki\" ";
        echo "title=\"Anleitung Website\" ";

        echo "target=\"_blank\"><img border=\"0\" alt=\"\" src=\"";

        echo $_SESSION['webdir']."/img/weltkugel.png\"/>";
        echo "</a></td>";

        /* Demolink anbieten */
        echo "<td><a href=\"http://192.168.0.253/stellwaredemo/\" ";
        echo "title=\"interne Stellware Demo\" ";

        echo "style=\"font-style:normal;font-size:8pt\" ";
        echo "target=\"_blank\">Demo</a></td>\n";

        /* WIKI ADA */
        echo "<td><a href=\"https://192.168.0.240/adawiki\" ";
        echo "title=\"Allgemeine Dienstanweisung\" ";

        echo " style=\"font-style:normal;font-size:8pt\" ";
        echo "target=\"_blank\">ADA</a></td>";
      }

      /* Sourcecodeanzeigeicon fr  alle zeigen. */
      $view_link = abfrage("SELECT wert FROM tb_konf WHERE name='viewvc'");

      /* Pfad zum Konfigurationsbild, URL fuer Quelltext */
      $bild = $_SESSION['webdir']."/img/datei.png";
      $url  = $view_link[0]."/stellware/trunk/stellware";

      /* Pfadangaben herausschneiden um Dateinamen zu erhalten */
      $zwi  = str_replace($_SESSION['webdir'], "", $_SERVER["REQUEST_URI"]);

      /* alles was nach .php kommt wegschneiden */
      $url .= substr($zwi, 0, strpos($zwi, ".php") + 4);
      $url .= "?view=markup";

      /* jetzt den Link zum Quelltext ausgeben */
      echo "<td><a href=\"".$url."\" target=\"_blank\" ";
      echo "title=\"ViewVC Quelltext zeigen\">";

      echo "<img border=\"0\" alt=\"\" src=\"".$bild."\"/></a></td>";

      /* Seitenkonfiguration ab Level > 96 anzeigen. */
      if ($_SESSION[$AppCode]["ULV"] > 96 && $this->datei != "daten_dlg.php")
      {
        /* Bezeichnung fuer die Seite besorgen, fuer Titel */
        $sql = "SELECT name FROM tb_web_seite WHERE seite=".$seite.";";
        $titel = abfrage($sql);

        /* Pfad zum Konfigurationsbild */
        $bild = $_SESSION['webdir']."/img/edit.png";

        /* Ausgabe des Konfigurationsicons */
        echo "<td><a href=\"".$_SESSION["webdir"]."/seite_konf.php";
        echo "?seite=".(string)$seite."&amp;name=".$this->datei_ohne."\" ";

        echo "title=\"".$titel[0]." ";
        echo "konfigurieren\"><img border=\"0\" alt=\"\" src=\"".$bild."\"/></a></td>";
      }

      /* Drucken Button fuer diese Seite bereitstellen */
      $uri1 = str_replace("&", "&amp;", $_SERVER["REQUEST_URI"]);
      if (strpos($uri1, "?") > 0) $dat = "&amp;"; else $dat = "?";

      $uri2 = $uri1.$dat."print=1";
      echo "<td><a href=\"".$uri2."\" target=\"_print\">";

      echo "<img src=\"".$_SESSION["webdir"]."/img/drucker.png\" title=\"";
      echo "Seite drucken\" border=\"0\" alt=\"Drucker\"/></a></td>";

      /* Downloadsymbol auf jeder Seite anbieten */
      $daten_dlg = new stwDaten("14");
      if (isset($seite) && $this->datei != "daten_dlg.php")
      {
        /* Klammersymbol ausgeben */
        echo "<td>"; 
        echo $daten_dlg->get_klammer_link($_SESSION["webdir"],
                                            $_SESSION[$AppCode]["UID"],
                                            $_SESSION[$AppCode]["ULV"],
                                            $seite, "0");
        echo "</td>";
      }
      echo "<td><span id=\"time\">".date("H:i",time())."<span id=\"time_sec\" style=\"display:none\">:".date("s",time())."</span> Uhr</span></td>\n";
      echo "</tr>\n</table></td></tr>\n";

		$seiten_mit_suche= array("feedback.php", "pro.php", "pc.php", "vormerkliste.php", "pers.php");

		if (isset($seite) && in_array($this->datei, $seiten_mit_suche)) {
			echo "<tr><td><table><tr>";
			echo "<td><img src=\"".$_SESSION["webdir"]."/img/lupe.png\" alt=\"\"/></td>\n";
			echo "<form action=\"".$_SERVER['PHP_SELF']."\" method=\"post\">\n";
			echo "<td width=\"100%\">";
			echo "<input type=\"text\" name=\"suche\" style=\"width:100%\" maxlength=\"50\"";
			if(isset($_POST['suche'])) echo "value=\"{$_POST['suche']}\"";
			echo " />\n";

			if($zusatz_id1 != 0) echo "<input type=\"hidden\" name=\"zusatz_id1\" value=\"".$zusatz_id1."\" />\n";
			if($zusatz_id2 != 0) echo "<input type=\"hidden\" name=\"zusatz_id2\" value=\"".$zusatz_id2."\" />\n";
			if(isset($_GET['ma'])) echo "<input type=\"hidden\" name=\"ma\" value=\"".$_GET['ma']."\" />\n";
			
			echo "</td><td><input type=\"image\" src=\"img/senden.png\" title=\"Suche starten\"/></td></form>\n";
			echo "</tr></table></td></tr>\n";
		}
		new stwTabLine(1, 30);
		/* Hilfetext ausgeben wenn vorhanden */
		$sql = "SELECT hilfe FROM tb_web_hilfe WHERE datei = '".$this->datei."'";
		$hlf = abfrage($sql);

		/* Level 97 und hoeher darf Hilfe hinzufuegen */
		if (check_nutzer_rechte(78)) {
			echo "<tr><td>\n";  
			echo "<form action=\"".$_SESSION["webdir"]."/web_hlf_sql.php\"><table>\n";
			echo "<tr><td><textarea rows=\"5\" cols=\"30\" ";
			
			echo "name=\"hilfe\" id=\"hilfe\" style=\"font-size:8pt;width:100%\">$hlf[0]</textarea>";
			echo "<input type=\"hidden\" name=\"datei\" value=\"".$this->datei."\"/>\n";
			
			echo "<input type=\"hidden\" name=\"seite\" value=\"".$seite."\"/>\n";
			
			echo "<input type=\"hidden\" name=\"uri\" value=\"";
			echo str_replace("&", "&amp;", $_SERVER["REQUEST_URI"]);
			echo "\" />\n";
			echo "</td></tr>"; 
			
			echo"<tr><td ";
			echo "colspan=\"30\" style=\"text-align:center\">";
			echo "<input type=\"submit\" value=\"Hilfe speichern\"/>";
			echo "</td></tr>\n";
			
			echo "</table></form>\n";
			echo "</td></tr>\n";
			new stwTabLine(1, 30);
		} elseif (!empty($hlf[0])) {
			echo "<tr><td style=\"font-size:8pt; white-space:normal\" ";
			echo ">".str_replace("\r\n",'<br />',$hlf[0])."</td></tr>\n";
			
			new stwTabLine(1, 30);
		}

      /* wenn gewaehlt wurde den Kalender mit anzeigen */
      if ($cal > 0 || $cal < 0) {
        /*
         * Den anzuzeigenden Mitarbeiter ermitteln und zusaetzlich Variable
         * setzen die zeigt ob es der eigene Kalender ist.
         */
        if (isset($_GET['ma'])) {
			$ma = $_GET['ma'];
			if ($ma == $_SESSION[$AppCode]['UID']) {
				$show = true;
			} else {
				$show = false;
			}
        } else {
			$ma = $_SESSION[$AppCode]['UID'];
			$show = true;
        }

        /* Variablen zur Anzeige der option "Alle Monate" und "Alle Jahre" initialisieren */
		$alleJahre = false;
		$alleMonate = false;
		$monatsausw = false;

        /* Level 96 und drueber darf alles sehen */
        if ($_SESSION[$AppCode]["ULV"] > 95) $show = true;

				/* Ermittlung des Anzeigemodus */
				if(empty($anz)) {
				  if (empty($_GET['anz'])){
					if($cal > 1 || $cal < -1) $anz = 't';
					else $anz = getConf('kal_st_anz');
				  } else {
					$anz = $_GET['anz'];
				  }
				}
				/* Ermittlung des anzuzeigenden Tages */
				if(empty($_GET['tag'])){
					/*falls $cal > 1 wurde timestamp des anzuzeigenden Tages bergeben*/
					if($cal > 1) $tag = $cal;
					elseif($cal < -1) $tag = -$cal;
					else $tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
				} else {
					if($_GET['tag'] == "0000-00-00") $tag = 0;
					elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
					  $anz = 'j';
					  $tag = mktime(0,0,0,1,1,$_GET['tag']);
					}
					else $tag =  date_isodate_stamp($_GET['tag']);
				}

				$wst = mktime(0,0,0,date('n', $tag), date('j', $tag), date('Y', $tag));
				while (date('w', $wst) != 1){
					$wst = mktime(0,0,0,date('n', $wst), date('j', $wst) - 1, date('Y', $wst));
				}

				$mon = mktime(0,0,0,date('n', $tag),1,date('Y', $tag));
				$kst = mktime(0,0,0,date('n', $mon), date('j', $mon) - 7,date('Y', $mon));
				while (date('w', $kst) != 1){
					$kst = mktime(0,0,0,date('n', $kst), date('j', $kst) - 1, date('Y', $kst));
				}

				$tg = date('Y-m-d', $tag);

        /* Anzeige auf Seiten mit zusaetzlichen GET-Parametern
           -> URL-Erweiterung $url_ext zusammenstellen und
              gegebenenfalls $show auf true setzen, damit auch dann zurueck-
              geblaettert werden kann, wenn die Daten eines anderen Benutzers
              angezeigt werden */

        if ($this->datei == "kal2.php"){
			$alleMonate = $alleJahre = true;
        }
        if ($this->datei == "inventarisierung.php"){
			if(!isset($_GET['anz'])) $anz='j';
			$alleMonate = true;
        }
        if ($this->datei == "lom.php"){
        	/* LOM */
			$url_ext = "&amp;user=".$lom_user."&amp;action=".$lom_action;
			$alleMonate = true;
			$monatsausw = true;

        } elseif (substr($this->datei, 0, 4) == 'post'){
        	/* Postein- und ausgang */
        	global $traeger;
        	$url_ext = '&amp;traeger=' . $traeger;
        	if (isset($_GET['art'])) $url_ext .= "&amp;art=".$_GET['art'];
        	if (isset($_GET['sort'])) $url_ext .= "&amp;sort=".$_GET['sort'];
        	if (isset($_GET['ressort_id'])) $url_ext .= "&amp;ressort_id=".$_GET['ressort_id'];
        	$show = true;
			$alleMonate = $alleJahre = true;

        } elseif ($this->datei == "feedback.php"){
        	/* Stellware-Feedback-Seite */
        	global $sort;
					$url_ext = '&amp;all=1&amp;sort=' . $sort;
					$show = true;

        } elseif ($this->datei == "dienstkal.php") {
          /* Dienstkalender mit Abteilungsanzeige */
          $url_ext = "&amp;abteilung=".$abteilung;
		  if(isset($_GET['force'])) $url_ext .= "&amp;force=1";
        } elseif ($this->datei == "control.php") {
          /* Kalender nur auf erster Controlling-Seite */
          $url_ext = "&amp;page=1";
		  $alleMonate = $alleJahre = true;

        } elseif ($this->datei == "re.php") {
        	/* Reflexionsliste */
        	global $lsort;
        	global $eig;
        	global $fb;
        	$url_ext = "&amp;all=1&amp;lsort=$lsort&amp;eig=$eig&amp;fb=$fb";
        	$show = true;

        } elseif ($this->datei == "pro.php"){
        	/* Projektliste */
        	global $lsort;
        	global $pra_nr;
        	$url_ext = "&amp;all=1&amp;lsort=$lsort&amp;pra=$pra_nr";
			if(isset($_GET['vertr'])) $url_ext .= "&amp;vertr=".$_GET['vertr'];
			if(isset($_GET['proj']))  $url_ext .= "&amp;proj=".$_GET['proj'];
        	$show = true;
			$alleMonate = $alleJahre = true;

        } elseif ($this->datei == 'nachr.php'){
        	/* Nachrichtenliste */
        	global $ans;
        	global $erl;
        	$url_ext = "&amp;erl=$erl&amp;ans=$ans";
			if(isset($_GET['wv'])) $url_ext .= "&amp;wv=".$_GET['wv'];
        	$show = true;
			$alleMonate = $alleJahre = true;

		} elseif ($this->datei == 'kasse.php'){
        	/* Kassenpruefung */
        	global $traeger;
        	global $erl;
        	$url_ext = "&amp;erl=$erl&amp;traeger=$traeger";
        	$show = true;
			$alleMonate = $alleJahre = true;

        } elseif ($this->datei == 'qs.php'){
        	/* IQS-Liste */
        	global $all;
        	global $eig;
        	global $pr_gruppe;
        	$url_ext = "&amp;all=$all&amp;eig=$eig&amp;pr_gruppe=$pr_gruppe";
        	$show = true;
			$alleMonate = true;

        } elseif ($this->datei == "auf.php"
        				|| $this->datei == "ga.php"
        				|| $this->datei == "team.php") {
        	/* auf diesen Seiten $show auf true setzen */
        	$show = true;
			$alleMonate = $alleJahre = true;
       		if (isset($_GET['ext']))	 $url_ext .= "&amp;ext=" 	 . $_GET['ext'];
       		if (isset($_GET['art']))	 $url_ext .= "&amp;art=" 	 . $_GET['art'];
       		if (isset($_GET['tr']))	 	 $url_ext .= "&amp;tr=" 	 . $_GET['tr'];
       		if (isset($_GET['pot']))	 $url_ext .= "&amp;pot=" 	 . $_GET['pot'];
       		if (isset($_GET['abt']))	 $url_ext .= "&amp;abt=" 	 . $_GET['abt'];
       		if (isset($_GET['aut']))	 $url_ext .= "&amp;aut=" 	 . $_GET['aut'];
       		if (isset($_GET['zust']))	 $url_ext .= "&amp;zust=" 	 . $_GET['zust'];
        } elseif ($this->datei == 'ga_and.php'){
        	$show = true;
       		$url_ext = "";
       		if (isset($_GET['ga_id'])) $url_ext .= "&amp;ga_id=" . $_GET['ga_id'];
        } elseif ($this->datei == 'team_and.php'){
        	$show = true;
       		$url_ext = "";
       		if (isset($_GET['team_id'])) $url_ext .= "&amp;team_id=" . $_GET['team_id'];
        } elseif ($this->datei == 'team_art_and.php'){
        	$show = true;
       		$url_ext = "&amp;team_art_id=" . $_GET['team_art_id'];
			$alleMonate = $alleJahre = true;
       	} elseif ($this->datei == 'kal_raum.php'){
       		/* Raumkalender */
       		global $rm;
       		$url_ext = "&rm=$rm";
       		$show = true;
			$alleMonate = $alleJahre = true;
       	} elseif ($this->datei == 'kal_pkw.php'){
       		/* PKW-Kalender */
       		if (isset($_GET['res_id'])) $url_ext .= "&amp;res_id=" . $_GET['res_id'];
       		$show = true;
			$alleMonate = $alleJahre = true;
        } elseif ($this->datei == "pro_ab_zk.php") {
        	/* Zeitkarte */
        	$url_ext = "";
       		if (isset($_GET['zk_id']))	 $url_ext .= "&amp;zk_id="	 . $_GET['zk_id'];
       		if (isset($_GET['abr']))	 $url_ext .= "&amp;abr=" 	 . $_GET['abr'];
       		if (isset($_GET['proj_id'])) $url_ext .= "&amp;proj_id=" . $_GET['proj_id'];
       		if (isset($_GET['pers_id'])) $url_ext .= "&amp;pers_id=" . $_GET['pers_id'];
       		if (isset($_GET['kt']))		 $url_ext .= "&amp;kt="		 . $_GET['kt'];
       		if (isset($_GET['nr']))		 $url_ext .= "&amp;nr="		 . $_GET['nr'];
       		if (isset($_GET['abre']))	 $url_ext .= "&amp;abre=" 	 . $_GET['abre'];
			$alleMonate = $alleJahre = true;

        } elseif ($this->datei == "pro_ab.php") {
        	/* Zeitkartenuebersicht */
        	$url_ext = "";
       		if (isset($_GET['proj_id'])) $url_ext .= "&amp;proj_id=" . $_GET['proj_id'];
       		if (isset($_GET['all'])) 	 $url_ext .= "&amp;all=" 	 . $_GET['all'];
       		if (isset($_GET['sort'])) 	 $url_ext .= "&amp;sort=" 	 . $_GET['sort'];
       		if (isset($_GET['ma']))	 	 $url_ext .= "&amp;ma="		 . $_GET['ma'];
       		if (isset($_GET['akte']))	 $url_ext .= "&amp;akte=" 	 . $_GET['akte'];
       		if (isset($_GET['erl_auf'])) $url_ext .= "&amp;erl_auf=" . $_GET['erl_auf'];
       		if(empty($_GET['anz'])) $anz = 'm';

		} elseif ($this->datei == "fehlz.php") {
			/* Fehlzeiten */
			$url_ext = "";
			if (isset($_GET['p_art']))	$url_ext .= "&amp;p_art="	. $_GET['p_art'];
			if (isset($_GET['tr']))		$url_ext .= "&amp;tr="		. $_GET['tr'];
			if (isset($_GET['graph']))	$url_ext .= "&amp;graph="	. $_GET['graph'];
			$alleMonate = true;
			$monatsausw = true;
			$show = true;
			if(isset($_GET['abmonat']) && $_GET['abmonat'] == 'all') $anz = 'j';

		} elseif ($this->datei == "bereit.php") {
			/* Bereitschaft */
			$url_ext = "";
			$alleMonate = true;
			$monatsausw = true;
			$show = true;
			if(isset($_GET['abmonat']) && $_GET['abmonat'] == 'all') $anz = 'j';

		} elseif ($this->datei == "lom_and.php") {
			/* Tagesdoku bei LOM/TENDER Einsatzplanung */
			$url_ext = "";
			if (isset($_GET['lom_id']))	$url_ext .= "&amp;lom_id="	. $_GET['lom_id'];
			if (isset($_GET['page']))	$url_ext .= "&amp;page="	. $_GET['page'];

		} elseif ($this->datei == "pro_daten.php") {
			/* Datenblatt */
			$url_ext = "&amp;hhk=1&amp;proj_id=" . $_GET['proj_id'];
			$alleMonate = $alleJahre = true;
			$monatsausw = true;
			$show = true;
			if(empty($_GET['tag'])) $anz = 'a';
			$_GET['von_jahr'] = date('Y', $mon) - 2;
			$_GET['bis_jahr'] = date('Y', $mon);

		} elseif ($this->datei == "pro_gruppe_and.php") {
			/* Projektgruppen */
			$url_ext  = "&amp;proj_id=" . $_GET['proj_id'];
			$url_ext .= "&amp;page=" . $_GET['page'];
			if (isset($_GET['klient']))	$url_ext .= "&amp;klient="	. $_GET['klient'];
			if (isset($_GET['codex']))	$url_ext .= "&amp;codex="	. $_GET['codex'];
			if (isset($_GET['hhk']))	$url_ext .= "&amp;hhk="		. $_GET['hhk'];
			$show = true;
			$alleMonate = true;
			$monatsausw = true;

		} elseif ($this->datei == "term_and.php") {
			if (isset($_GET['termin_id']))	$url_ext .= "&amp;termin_id="	. $_GET['termin_id'];

		} elseif ($this->datei == "wochenplan.php") {
			if (isset($_GET['abt_id']))	$url_ext .= "&amp;abt_id="	. $_GET['abt_id'];

		} elseif ($this->datei == "konf/muell.php") {
			if (isset($_GET['order']))	$url_ext .= "&amp;order="	. $_GET['order'];
			if(isset($_GET['site']))	$url_ext .= "&amp;site="	. $_GET['site'];
			$alleMonate = $alleJahre = $monatsausw = $show = true;

		} elseif ($this->datei == "ab2.php") {
			$url_ext .= "&amp;page=2";
			$alleMonate = true;

		} elseif ($this->datei == "abteilung.php") {
			if(isset($_GET['ma']) || isset($_GET['abt'])) {
				$url_ext .= "&amp;ma=" . (isset($_GET['ma']) ? $_GET['ma'] : 0);
				$url_ext .= "&amp;abt=" . (isset($_GET['abt']) ? $_GET['abt'] : 0);
			} else {
				$url_ext .= "&amp;ma=" . getPersEinst($_SESSION[$AppCode]['UID'], 33, 0);
				$url_ext .= "&amp;abt=" . getPersEinst($_SESSION[$AppCode]['UID'], 34, 0);
			}
			$anz = 't';

		} else {
			/* sonst -> keine URL-Erweiterung */
			$url_ext = '';
		}

        // sicherstellen das Variable gesetzt wurde
        if (!isset($url_ext)) $url_ext = NULL;

		/* ToDo: Validitt: <form> nur auerhalb <table> */

		$urlEX = explode("&amp;", $url_ext);
		echo "<tr><td style=\"text-align:center\">\n";
		echo "<table align=\"center\"><tr>\n";
		$vormonat = date('Y-m-d', mktime(0,0,0,date('n', $mon) - 1, 1, date('Y', $mon)));

        /* Vormonat darf nur gezeigt werden wenn es der eigene Kalender ist */
        if ($show)
        {
          echo "<td><a href=\"{$_SERVER['PHP_SELF']}?ma=$ma&amp;anz=m&amp;tag=$vormonat$url_ext\">";
          echo "<img src=\"" . $_SESSION['webdir'] . "/img/zurueck.png\" ";
          echo "width=\"14\" height=\"19\" alt=\"zur&uuml;ck\" border=\"0\"/></a></td>\n";

          echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
		  foreach($urlEX as $inp){
			if(!empty($inp)) {
			  $value = explode("=", $inp);
			  echo "<input type=\"hidden\" name=\"" . $value[0] . "\" value=\"" . $value[1] . "\" />\n";
			}
		  }
          echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\" />\n";
          echo "<input type=\"hidden\" name=\"anz\" value=\"m\" />\n";
          echo "<td><select name=\"tag\" size=\"1\" onchange=\"this.form.submit()\">\n";
		  if($alleMonate) {
			echo "<option value=\"" . strftime('%Y', $mon) . "\"";
			if($anz == 'j') echo ' selected';
			echo ">alle zeigen</option>\n";
		  }
		  if($monatsausw) {
			echo "  <option onClick=\"self.location.href='" . $_SERVER['PHP_SELF'];
			echo "?anz=a$url_ext'\"";
			if($anz == 'a') echo ' selected';
			echo ">- Auswahl -</option>\n";
		  }
		  for ($i=1;$i<13;$i++)
		  {
		    $monDateStamp = mktime(0,0,0,$i, 1, date('Y', $mon));
		    $monDate = date('Y-m-d',$monDateStamp);
			echo "<option value=\"$monDate\"";
			if ((date('n', $mon) == $i) && (($anz != 'j' && $anz != 'a') || (!$alleMonate))) echo ' selected';
			echo ">".preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", $monDateStamp))."</option>\n";
		  };
      	  echo "</select></td><td><input style=\"width:10px; height:19px\" type=\"image\" src=\"";
      	  echo $_SESSION['webdir'] . "/img/senden.png\"/></td></form>\n";
        } else {
          echo "<td></td>\n<th>".preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", $mon))."</th>\n";
        }

		$folgemonat = date('Y-m-d', mktime(0,0,0,date('n', $mon) + 1, 1, date('Y', $mon)));
		echo "<td style=\"padding-right:5px\"><a href=\"{$_SERVER['PHP_SELF']}?ma=$ma&amp;anz=m&amp;tag=$folgemonat$url_ext\">";
		echo "<img src=\"" . $_SESSION['webdir'] . "/img/vor.png\" width=\"14\" ";
		echo "height=\"19\" alt=\"vor\" border=\"0\"/></a></td>\n";

        $vorjahr = date('Y-m-d', mktime(0,0,0,date('n', $mon), 1, date('Y', $mon) - 1));

        /* Vorjahr darf nur gezeigt werden wenn es der eigene Kalender ist */
        if ($show)
        {
          echo "<td><a href=\"{$_SERVER['PHP_SELF']}?ma=$ma&amp;anz=j&amp;tag=$vorjahr$url_ext\">";
          echo "<img src=\"" . $_SESSION['webdir'] . "/img/zurueck.png\" width=\"14\" ";
          echo "height=\"19\" alt=\"zur&uuml;ck\" border=\"0\"/></a></td>\n";

          echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
		  foreach($urlEX as $inp){
			if(!empty($inp)) {
			  $value = explode("=", $inp);
			  echo "<input type=\"hidden\" name=\"" . $value[0] . "\" value=\"" . $value[1] . "\"/>\n";
			}
		  }
          echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\"/>\n";
          echo "<input type=\"hidden\" name=\"anz\" value=\"j\"/>\n";
          echo "<td><select name=\"tag\" size=\"1\" onchange=\"this.form.submit()\">\n";
		  if($monatsausw) {
			echo "  <option onClick=\"self.location.href='" . $_SERVER['PHP_SELF'];
			echo "?anz=a$url_ext'\"";
			if($anz == 'a') echo ' selected';
			echo ">Ausw</option>\n";
		  }

      $sql  = "SELECT date_format(von,'%Y') FROM tb_termine ";
      $sql .= "WHERE YEAR(von) > 1970 ORDER BY von asc LIMIT 1";

		  $abf = abfrage($sql);
		  for ($j=$abf[0];$j<(date("Y",time()) + 6);$j++)
		  {
		    $jahrDateStamp = mktime(0,0,0,1,1,$j);
		    $jahrDate = date('Y-m-d',$jahrDateStamp);
			echo "<option value=\"$jahrDate\"";
			if (date('Y', $mon) == $j && $anz != 'a') echo ' selected';
			echo ">" . $j . "</option>\n";
		  };
		  if($alleJahre) {
			echo "<option value=\"0000-00-00\"";
			if ($tag == "0" && $anz != 'a') echo ' selected';
			echo ">ALLE</option>\n";
		  }
      	  echo "</select></td><td><input style=\"width:10px; height:19px\" type=\"image\" src=\"";
      	  echo $_SESSION['webdir'] . "/img/senden.png\"/></td></form>\n";
        } else {
          echo "<td></td>\n<th>".strftime("%Y", $mon)."</th>\n";
        }

				$folgejahr = date('Y-m-d', mktime(0,0,0,date('n', $mon), 1, date('Y', $mon) + 1));
				echo "<td style=\"padding-right:10px\"><a href=\"{$_SERVER['PHP_SELF']}?ma=$ma&amp;anz=j&amp;tag=$folgejahr$url_ext\">";
				echo "<img src=\"" . $_SESSION['webdir'] . "/img/vor.png\" width=\"14\" height=\"19\" alt=\"vor\" border=\"0\"/></a></td>\n";

				echo "</tr></table></td></tr>\n";
				new stwTabLine(2,30);

		if($anz == 'a') {
			$von_monat = empty($_GET['von_monat']) ? date('n', $mon) : $_GET['von_monat'];
			$bis_monat = empty($_GET['bis_monat']) ? $von_monat : $_GET['bis_monat'];
			$von_jahr = empty($_GET['von_jahr']) ? date('Y', $mon) : $_GET['von_jahr'];
			$bis_jahr = empty($_GET['bis_jahr']) ? $von_jahr : $_GET['bis_jahr'];
			$abf = abfrage("SELECT date_format(von,'%Y') FROM tb_termine WHERE von > '1970' ORDER BY von asc LIMIT 1");
			echo "<tr><td>\n<table width=\"100%\">\n<form action=\"{$_SERVER['PHP_SELF']}\" method=\"GET\">\n";
			foreach($urlEX as $inp){
			  if(!empty($inp)) {
			    $value = explode("=", $inp);
			    echo "<input type=\"hidden\" name=\"" . $value[0] . "\" value=\"" . $value[1] . "\"/>\n";
			  }
			}
			echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\"/>\n";
			echo "<input type=\"hidden\" name=\"anz\" value=\"a\"/>\n";
			echo "<tr><th rowspan=\"2\" width=\"12%\" style=\"text-align:center\">von:</th><td width=\"32%\">";
			echo "<select name=\"von_monat\" size=\"1\" style=\"width:100%\">\n";
			for ($i=1;$i<13;$i++) {
				$monDateStamp = mktime(0,0,0,$i, 1, date('Y', $mon));
				echo "<option value=\"$i\"";
				if ($i == $von_monat) echo ' selected';
				echo ">".preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", $monDateStamp))."</option>\n";
			}
			echo "</select></td>";
			echo "<th rowspan=\"2\" width=\"12%\" style=\"text-align:center\">bis:</th><td width=\"32%\">";
			echo "<select name=\"bis_monat\" style=\"width:100%\" size=\"1\">\n";
			for ($i=1;$i<13;$i++) {
				$monDateStamp = mktime(0,0,0,$i, 1, date('Y', $mon));
				echo "<option value=\"$i\"";
				if ($i == $bis_monat) echo ' selected';
				echo ">".preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", $monDateStamp))."</option>\n";
			}
			echo "</select></td><td rowspan=\"2\"><input style=\"width:17px; height:35px\" type=\"image\" src=\"";
			echo $_SESSION['webdir'] . "/img/senden.png\"/></td></tr>\n";

			echo "<tr><td><select name=\"von_jahr\" size=\"1\" style=\"width:100%\">\n";
			for ($j=$abf[0];$j<(date("Y",time()) + 6);$j++) {
				echo "<option value=\"$j\"";
				if ($j == $von_jahr) echo ' selected';
				echo ">$j</option>\n";
			}
			echo "</select></td>";
			echo "<td><select name=\"bis_jahr\" size=\"1\" style=\"width:100%\">\n";
			for ($j=$abf[0];$j<(date("Y",time()) + 6);$j++) {
				echo "<option value=\"$j\"";
				if ($j == $bis_jahr) echo ' selected';
				echo ">$j</option>\n";
			}
			echo "</select></td></tr></form></table></td></tr>\n";
			new stwTabLine(2,30);
		}
				echo "<tr><td><table><tr>\n<td style=\"text-align:center\">";
				if($this->datei == "fehlz.php") {
					echo "<a href=\"$self?tag=$tg&amp;anz=$anz".substr($url_ext,0,-1)."1";
					if($_GET['anz'] == 'a') echo "&amp;von_monat=$von_monat&amp;bis_monat=$bis_monat&amp;von_jahr=$von_jahr&amp;bis_jahr=$bis_jahr";
					echo "\"" . stwToolTip("grafische Ansicht") . ">KW</a>";
				} else echo "KW";
				echo "</td>\n";

				$y = 1;
				$day = $kst;

				while ($y <= 7){
					echo "<td style=\"text-align:center\">" . strftime('%a', $day) . "</td>\n";
					$day += 86400;
					$y++;
				}
				echo "<td style=\"text-align:center\">";
				if($this->datei == "fehlz.php") {
					echo "<a href=\"$self?tag=$tg&amp;anz=$anz".substr($url_ext,0,-1)."0";
					if($_GET['anz'] == 'a') echo "&amp;von_monat=$von_monat&amp;bis_monat=$bis_monat&amp;von_jahr=$von_jahr&amp;bis_jahr=$bis_jahr";
					echo "\"" . stwToolTip("&Uuml;bersicht in Textform") . ">4W</a>";
				} else echo "4W";
				echo "</td>\n</tr>\n";
				new stwTabLine(2,30);

				//Kalender aufbauen
				$d = 1;
				$day = $kst;

        /* Wenn Variable true darf alles gezeigt werden */
        $abjetzt = false;
		if($this->datei == 'pro_gruppe_and.php' && isset($_GET['proj_id'])) {
			$check = abfrage("select schule, familie, hobbys from tb_projekte where proj_id='{$_GET['proj_id']}'");
		} else $check=array();

				while ($d <= 70){

          /*
           * Der eigene Kalender darf alles zeigen. Fremde Kalender darf die
           * aktuelle Woche und die Zukunft gezeigt werden.
           */
          if (!$abjetzt)
          {
            $grenze = mktime(0, 0, 0, date("m"), date("d") - 35, date("Y"));
            $grenze = mktime(0, 0, 0, date("m", $grenze), date("d", $grenze) -
                             date("w", $grenze) + 1, date("Y", $grenze));

            if ($day >= $grenze) $abjetzt = true;
          }

					if (date('w', $day) == 1){

						$wday = $day;
						echo "<tr>\n";

						if ($anz == 'w1' && $day == $wst){
							$bgcol0 = "background-color:#FFFFFF;";
							$style1 = "style=\"color:#000000\"";
						} else {
							$bgcol0 = '';
							$style1 = "style=\"color:#FFFF00\"";
						}

            /* nur eigenen Kalender Vergangenheit zeigen */
            if ($show)
            {
              // sicherstellen das Variable gueltig ist
              if (!isset($self)) $self = NULL;

              echo "<td style=\"text-align:center;$bgcol0\">";
              echo "<a href=\"$self?anz=w1$url_ext&amp;tag=" . date('Y-m-d', $day);
              echo "&amp;ma=$ma\" $style1>". date('W', $day) . "</a></td>\n";
            }
            else
            {
              printf("<td style=\"text-align:center;%s", $bgcol0);

              /* Zukunft darf gezeigt werden - Wochenspalte */
              if ($abjetzt)
              {
                printf("\"><a href=\"%s?anz=w1", $self);

                printf("%s&amp;tag=%s&amp;ma=", $url_ext, date("Y-m-d", $day));
                printf("%s\" %s>%s</a>", $ma, $style1, date("W", $day));
              }
              else
              {
                printf(";color:#FFFF00\">%s", date("W", $day));
              }

              printf("</td>\n");
            }
          }

					$style2 = "text-align:center;";
					if (date('n', $day) == date('n', $tag)){
						if (date('w', $day) == 0 || date('w', $day) == 6){
							$style2 .= "background-color:#600000";
						} else {
							$style2 .= "background-color:#606060";
						}
					} else {
						$style2 .= "background-color:black";
					}

          /*
           * Nur wenn es der eigene Kalender ist, darf in die Vergangenheit
           * gegangen werden. Bis zur aktuellen Woche alle Links nicht anbieten.
           */
		  if($anz == 'tg') $t = 'tg';
		  else $t = $this->datei == "kal2.php" ? getConf('kal2tag') : 't';
		  if ($show)
          {
            echo "<td style=\"$style2\">";
            echo "<a ";
			if($cal < 0) {
				$dval = date('d.m.Y', $day);
				echo "href=\"#\" onclick=\"var d=document.getElementById('datum');if(d";
				if($this->datei == 'team_and.php' && isset($_GET['team_id'])) echo " && confirm('Aktuelles Sitzungsdatum auf $dval &auml;ndern?')";
				echo ") { d.value='$dval'; ";
				if($zusatz_id2===true) echo "xajax_checkStatus(d.value, document.getElementById('von').value, document.getElementById('bis').value); ";
				echo "} \" ";
			} else echo "href=\"$self?anz=$t$url_ext&amp;tag=" . date('Y-m-d', $day) . "&amp;ma=$ma\" ";
            if ($anz == $t && $day == $tag){
             $style3 = "style=\"color:black;background-color:#FFFFFF\"";
            } elseif($this->datei == 'pro_gruppe_and.php' && $day < time()) {
				$wDay = date('w', $day);
				if( !feiertag($day) && (($check[0] && $wDay < 6 && $wDay > 0) ||
					($check[1] && $wDay == 6)) || ($check[2] && (feiertag($day) || $wDay == 0)) ) {
					$sql = "select p.proj_id, unix_timestamp(g.von), unix_timestamp(g.bis) + 86400
							from tbh_projekt_gruppe g
							left join tb_projekte p using(proj_id)
							left join tbh_proj_personen pp using(proj_id)
							left join tb_personen pers using(person_id)
							where g.proj_id_gruppe = '{$_GET['proj_id']}'
							and pers.name is not null and pers.vorname is not null
							and unix_timestamp(g.von) <= $day
							and (g.bis is null or unix_timestamp(g.bis) >= $day);";
					$grprojs = abfrage1( $sql );
					$anwesend = true;
					while($grpr = mysql_fetch_row($grprojs)) {
						$anw = abfrage("select terminart from tbh_proj_anwesenheit where proj_id='$grpr[0]' and datum = '".date('Y-m-d',$day)."'");
						if(is_null($anw[0])) $anwesend = false;
					}
					$style3 = $anwesend ? '' : "style=\"color:#FF3333\"".stwToolTip("Anwesenheit nicht gekl&auml;rt");
				} else $style3 = '';
            } else {
				$style3 = '';
            }
            echo " $style3>" ;
            echo date('d', $day) ."</a>";
          }
          else
          {
            if ($abjetzt)
            {
              echo "<td style=\"$style2\"><a href=\"$self?anz=$t";
              printf("%s&amp;tag=%s&amp;ma=%s\" ", $url_ext, date("Y-m-d", $day), $ma);

              if ($anz == $t && $day == $tag)
              {
                printf("style=\"color:black;background-color:#FFFFFF\"");
              }

              printf(">%s</a></td>\n", date("d", $day));
            }
            else
            {
              printf("<th style=\"%s\">%s</th>", $style2, date("d", $day));
            }
          }

					if (date('w', $day) == 0){

						if ($anz == 'w2' && $wday == $wst){
							$bgcol0 = "background-color:#FFFFFF;";
							$style1 = "style=\"color:#000000\"";
						} else {
							$bgcol0 = '';
							$style1 = "style=\"color:#FFFF00\"";
						}

            $w4 = floor($day / (60*60*24*7)) % 4;
            if($w4 == 0) $w4=4;
            /* nur eigener Kalender darf Vergangenheit zeigen */
            if ($show)
            {
              echo "<td style=\"text-align:center;$bgcol0\">";
              echo "<a href=\"$self?anz=w2$url_ext&amp;tag=" . date('Y-m-d', $wday);
              echo "&amp;ma=$ma\" $style1>$w4</a>";
            }
            else
            {
              printf("<td style=\"text-align:center;%s", $bgcol0);

              if ($abjetzt)
              {
                printf("\"><a href=\"%s?anz=w2", $bgcol0, $self);
                printf("%s&amp;tag=%s&amp;ma=", $url_ext, date("Y-m-d", $wday));

                printf("%s\" %s>%s</a>", $ma, $style1, $w4);
              }
              else
              {
                printf(";color:#FFFF00\">%s", $w4);
              }
            }

						echo "</td>\n</tr>\n";
					}
					$day = mktime(0,0,0, date('n', $day), date('j', $day) + 1, date('Y', $day));
					$d++;
				}

				echo "</table></td></tr>\n";
        new stwTabLine(1,9);
			}

      /*
       * Der Bereich fuer die Dateinamen - mindestens die erste Zahl sollte
       * gefuellt sein.
       */
      if ($datei_zahl_id != 0 && $this->datei != "daten_dlg.php")
      {
        /* pruefen ob Seitenname ein Rechteobjekt hat */
        $sql  = "SELECT rechte_id, rname, rseite FROM tb_daten_rechte WHERE ";
        $sql .= "name='".$this->datei_ohne."' AND rseite > 0";

        $rec = abfrage1($sql);
        $count = mysql_num_rows($rec);

        while ($rechte = mysql_fetch_row($rec))
        {
          /* stwDaten Objekt erstellen und pruefen ob Rechte vorhanden sind */
          $daten = new stwDaten($rechte[0]);

          if ($daten->check_recht_sehen($_SESSION[$AppCode]["UID"],
                                        $_SESSION[$AppCode]["ULV"]))
          {
            /* pruefen ob fuer diese Seite schon Dateien vorhanden sind */
            $sql  = "SELECT datei_id, rname FROM tb_daten WHERE rechte_id='";
            $sql .= $rechte[0]."' AND zahl_id='".$datei_zahl_id."' AND ";
            $sql .= " zahl_id2='".$datei_zahl_id2."' ORDER BY rname ASC LIMIT ".$rechte[2];
            $erg  = abfrage1($sql);

            if (mysql_num_rows($erg) > 0)
            {
              /* Ueberschrift Dateien */
              printf("<tr><th colspan=\"30\" style=\"font-size:8pt\">Dateien");
              if (!empty($rechte[1])) printf(" %s", $rechte[1]);

              printf("</th></tr>\n");

              new stwTabLine(2, 30);
              printf("<tr><td><table>\n");

              while ($zeile = mysql_fetch_row($erg))
              {
                printf("<tr><td><img src=\"%s", $_SESSION["webdir"]);
                printf("/img/daten.png\" border=\"0\" alt=\"\"/>");
                printf("</td>\n<td style=\"vertical-align:middle;");

                if ($daten->check_recht_download($_SESSION[$AppCode]["UID"],
                                                 $_SESSION[$AppCode]["ULV"]))
                {
                  printf("\"><a href=\"daten_down.php?id=%s\" ", $zeile[0]);
                  printf("style=\"font-size:8pt; color: rgb(204,204,204); ");

                  printf("font-weight: normal; font-style:normal; ");
                  printf("vertical-align:middle\" title=\"%s\">", $zeile[1]);

                  printf("%s</a>", strCut($zeile[1], 28));
                }
                else
                {
                  /* wenn sehen darf aber nicht downloaden */
                  printf("font-size: 8pt; color: rgb(204,204,204); ");
                  printf("font-weight: normal; font-style:normale; ");

                  printf("vertical-align:middle\" title=\"%s\">", $zeile[1]);
                  printf("%s", strCut($zeile[1], 28));
                }

                printf("</td></tr>\n");
              }

              printf("</table></td></tr>\n");
              $count--;

              if ($count > 0) new stwTabLine(2, 30);
              $none_hier = 1;
            }
            else
            {
              $none_hier = 0;
            }

            if ($none_hier > 0) new stwTabLine(1, 30);
          }
        }
      }

      /*
       * Da auf jeder Seite Dateien hochgeladen werden koennen,
       * kann eigentlich immer etwas gezeigt werden.
       */
      $sql  = "SELECT rechte_id, rname, rseite FROM tb_daten_rechte WHERE ";
      $sql .= "name='konf/menu' AND rseite > 0";

      if ($this->datei != "daten_dlg.php") $rec = abfrage1($sql);
      $count = mysql_num_rows($rec);

      while ($rechte = mysql_fetch_row($rec))
      {
        /* stwDaten Objekt erstellen und pruefen ob Rechte vorhanden sind */
        $daten = new stwDaten($rechte[0]);

        if ($daten->check_recht_sehen($_SESSION[$AppCode]["UID"],
                                      $_SESSION[$AppCode]["ULV"]))
        {
          /* pruefen ob fuer diese Seite schon Dateien vorhanden sind */
          $sql  = "SELECT datei_id, rname FROM tb_daten WHERE rechte_id='";
          $sql .= $rechte[0]."' AND zahl_id='".$seite."' AND ";
          $sql .= " zahl_id2='0' ORDER BY rname ASC LIMIT ".$rechte[2];
          $erg  = abfrage1($sql);

          if (mysql_num_rows($erg) > 0)
          {
            /* Ueberschrift Dateien */
            printf("<tr><th colspan=\"30\" style=\"font-size:8pt\">Dateien");
            if (!empty($rechte[1])) printf(" %s", $rechte[1]);

            printf("</th></tr>\n");

            new stwTabLine(2, 30);
            printf("<tr><td><table>\n");

            while ($zeile = mysql_fetch_row($erg))
            {
              printf("<tr><td><img src=\"%s", $_SESSION["webdir"]);
              printf("/img/daten.png\" border=\"0\" alt=\"\"/>");
              printf("</td>\n<td style=\"vertical-align:middle;");

              if ($daten->check_recht_download($_SESSION[$AppCode]["UID"],
                                               $_SESSION[$AppCode]["ULV"]))
              {
                printf("\"><a href=\"daten_down.php?id=%s\" ", $zeile[0]);
                printf("style=\"font-size:8pt; color: rgb(204,204,204); ");

                printf("font-weight: normal; font-style:normal; ");
                printf("vertical-align:middle\" title=\"%s\">", $zeile[1]);

                printf("%s</a>", strCut($zeile[1], 28));
              }
              else
              {
                /* wenn sehen darf aber nicht downloaden */
                printf("font-size: 8pt; color: rgb(204,204,204); ");
                printf("font-weight: normal; font-style:normale; ");

                printf("vertical-align:middle\" title=\"%s\">", $zeile[1]);
                printf("%s", strCut($zeile[1], 28));
              }

              printf("</td></tr>\n");
            }

            printf("</table></td></tr>\n");
            $count--;

            if ($count > 0) new stwTabLine(2, 30);
            $none_hier = 1;
          }
          else
          {
            $none_hier = 0;
          }

          if ($none_hier > 0) new stwTabLine(1, 30);
        }
      }

      /* Personal bestimmter Abteilungen anzeigen, das heute da ist */
      if ($_SESSION[$AppCode]["ULV"] > 5 && $this->datei != "daten_dlg.php") {

        /* Abteilungsnummer bestimmen */
        $sql = "SELECT abt_id, name, farbe FROM tb_personal_abt WHERE sort>=0 ORDER BY (sort>0) DESC, sort ASC";
        $di_abt_ids = abfrage1($sql);
		$personaNonGrata = array(); // Personal, das wir ignorieren wollen

	  if (mysql_num_rows ($di_abt_ids)) {
		$tr = true;
		echo "<tr><td><table width=\"100%\" cellpadding=\"1\" cellspacing=\"0\">\n";
		while ($di_abt_id = mysql_fetch_row($di_abt_ids)) {
			if($tr) echo "<tr>";
			echo "<td width=\"50%\"><table width=\"100%\">";
			$res = abfrage1("select pers_id from tb_personal_abt_leit where abt_id = $di_abt_id[0]");
			$tt = "";
			while ($row = mysql_fetch_row($res)) {
				$sql = "SELECT concat(vorname, ' ', name), teldienst, telmobil
						FROM tb_personal WHERE pers_id = '$row[0]'";
				$pers = abfrage($sql);
				$divider = (empty($pers[1]) || empty($pers[2])) ? "" : "|";
				$tt .= "<div><b>$pers[0]</b> $pers[1] $divider $pers[2]</div>";
			}
			if(!empty($tt)) $tt = stwToolTip("<b><u>Abteilungsleiter:</u></b>$tt", false);
			$co = (empty($di_abt_id[2])) ? "" : "color:$di_abt_id[2];";
			echo "<tr><th colspan=\"2\" style=\"font-size:8pt;$co\"$tt>$di_abt_id[1]</th></tr>\n";
			new stwTabLine(2, 2);

			$di_ts_zeit = time();

			/* Abteilungspersonal bestimmen das heute da ist: */
			/* Schritt 1: In Frage kommende Projekte holen */
			$sql = "SELECT p.proj_id FROM tbh_proj_abt pa 
					LEFT JOIN tb_projekte p USING(proj_id) 
					LEFT JOIN tb_hilfeart h USING (hilfeart_id)
					WHERE h.fls_azk = 1 AND pa.abt_id = '$di_abt_id[0]'";
			$di_pros = abfrage1($sql);
			while($pro = mysql_fetch_row($di_pros)) {
				/* Schritt 1: Zeitkarten abfragen */
				$sql = "SELECT t2.pers_id, t2.empfang, t2.zk_id,
						time_format(t3.von,'%H:%i'), time_format(t3.bis,'%H:%i')
						FROM tb_ab_zk t2 
						LEFT JOIN tb_termine t3 ON t2.termin_id = t3.termin_id
						WHERE t2.proj_id = '$pro[0]' AND t2.ab = 'n' AND t3.terminart = 'z' 
						AND UNIX_TIMESTAMP(t3.von) <= '$di_ts_zeit' 
						AND UNIX_TIMESTAMP(t3.bis) >= '$di_ts_zeit' group by t2.pers_id";
				$di_pers = abfrage1($sql);

				while ($di_zeile = mysql_fetch_row($di_pers)){
					if($personaNonGrata[ $di_zeile[0] ]) continue;
					$sql="SELECT concat(left(vorname,1), '.&nbsp;', name), teldienst, telmobil, farbe, status_id, telstw FROM tb_personal WHERE pers_id = '$di_zeile[0]'";
					$pers = abfrage_array($sql);
					if($pers['status_id'] != 2) {
						$personaNonGrata[ $di_zeile[0] ] = true;
						continue;
					}
					if(pers_fehlzeit($di_zeile[0],false,0) > 0) {
						$personaNonGrata[ $di_zeile[0] ] = true;
						continue;
					}
					/* Empfangsdienst */
					if ($di_zeile[1] == "1") {
						$tt = "Empfangsdienst";
						$sign = "E";
					} else {
						$tt="";
						$sign = "";
					}

					/* Dienstgang */
					$sql = "SELECT dienst_start, dienst_ende FROM tb_ab_zk_dienst WHERE zk_id = '".$di_zeile[2]."'";

					$di_erg = abfrage1($sql);
					if (mysql_num_rows($di_erg) > 0) {
						$di_dat = mysql_fetch_row($di_erg);
						if ($di_dat[0] > 0 && $di_dat[1] == 0) {
							$tt = "Dienstgang";
							$sign = "D";
						}
					}

					echo "<tr><td>";
					echo "<a href=\"".$_SESSION["webdir"]."/nachr_and.php?empf=$di_zeile[0]\">";
					echo "<img border=\"0\" src=\"".$_SESSION["webdir"]."/img/brief.png\" alt=\"\"/></a>";
					if($sign != "") echo "<span style=\"font-size:8pt;vertical-align:top;color:white;padding-left:1px;\"" . stwToolTip($tt) . ">$sign</span>";
					$tt = $pers[5];
					if (empty($tt)) $tt = $pers[1]; else if($pers[1]) $tt .= " | ".$pers[1];
					if (empty($tt)) $tt = $pers[2]; else if($pers[2]) $tt .= " | ".$pers[2];
					$tt = stwToolTip("<b>$di_zeile[3] - $di_zeile[4]</b><br>$tt",false);
					$co = (empty($pers[3])) ? '' : "color:$pers[3];";
					echo "</td><th width=\"100%\"><a href=\"".$_SESSION["webdir"]."/pers_and.php?pers_id=$di_zeile[0]\" ";
					echo "style=\"font-size:8pt;font-style:normal;$co\" $tt>$pers[0]</th></tr>\n";
				}
			}
			echo "</table></td>";
			$tr = !$tr;
			if($tr) {
				echo "</tr>";
				new stwTabLine(1, 2);
			}
		}
		if(!$tr) {
			echo "</tr>";
			new stwTabLine(1, 2);
		}
		echo "</table></td></tr>\n";
	  }
	  }
				/* Feedbackbereich */
				if ($_SESSION[$AppCode]["ULV"] > 5) {
					echo "<tr><th style=\"font-size:8pt\">Feedback / W&uuml;nsche</th></tr>\n";
					new stwTabLine(2,30);
		
					$sql	= "select feedback_id, feedback, proj_id from tb_web_feedback "
							. "where datei = '$this->datei' and erl_gf is null "
							. "and prio >= 2 order by time asc;";
					$fbs = abfrage1($sql);
		
					if (mysql_num_rows($fbs) > 0) {
					  while ($fb = mysql_fetch_row($fbs)) {
						$tt = "[" . $fb[0] . "]";
						echo "<tr><td style=\"font-size:8pt;white-space:normal\" ";
						if(!empty($fb[2])) {
							$fbpro = new stwProjekt($fb[2]);
							$tt .= " <b>" . $fbpro->nummer() . "</b> " . $fbpro->hb_name();
						}
						echo stwToolTip($tt) . ">";
						if (check_nutzer_rechte(1) || $_SESSION[$AppCode]['ULV'] == 25){
							echo "<a href=\"{$_SESSION['webdir']}/feedback_and.php?";
							echo "feedback_id={$fb[0]}\" style=\"font-weight:normal; ";
							echo "color: #ccc; text-decoration:none; font-style:normal\">";
						}
		
						echo str_replace("\r\n", '', nl2br($fb[1]));
						if ($_SESSION[$AppCode]['ULV'] >= 96 ||
							$_SESSION[$AppCode]['ULV'] == 25){
							echo "</a>";
						}
						echo "</td></tr>\n";
						new stwTabLine(2,30);
					}
				}
		
				echo "<tr><th style=\"font-size:8pt\">neuer Eintrag:</th></tr>\n";
				echo "<tr><td>";
				echo "<form action=\"{$_SESSION['webdir']}/web_fdb_sql.php\" ";
				echo "method=\"post\"><table>\n";
				echo "<tr><td><textarea rows=\"5\" cols=\"30\" name=\"feedback\" ";
				echo "style=\"font-size:8pt; width:100%\"></textarea></td></tr>\n";
		
				/* die $_POST Variablen als eine Zeichenkette zusammenfassen */
				$post = "";
				if (count($_POST) > 0 && $this->datei != "password.php" &&
					 $this->datei != "bollwerk.php") {
					foreach ($_POST as $val) {
						if (!is_array($val)) {
							$post .= $val."%#%";
						} else {
							$post .= "|".implode("|",$val)."%#%";
						
						}
					}
					$post  = substr($post, 0, strlen($post) - 3);
					$post .= "%$%";
		
					/* die Schluessel rausholen */
					$keys = array_keys($_POST);
					foreach ($keys as $key) $post .= $key."%#%";
		
					$post  = strip_tags(substr($post, 0, strlen($post) - 3));
				}
				
				/* die $_GET Variablen alle als Zeichenkette zusammenfassen */
				$get = "";
				if (count($_GET) > 0&& $this->datei != "password.php" &&
					$this->datei != "bollwerk.php") {
					foreach ($_GET as $val) {
						if (!is_array($val)) {
							$get .= $val."%#%";
						} else {
							$get .= "|".implode("|",$val)."%#%";
						
						}
					}
					$get  = substr($get, 0, strlen($get) - 3);
				
					$get .= "%$%";
				
					/* die Schluessel rausholen */
					$keys = array_keys($_GET);
					foreach ($keys as $key) $get .= $key."%#%";
				
					$get  = strip_tags(substr($get, 0, strlen($get) - 3));
				}
	
				echo "<tr><td style=\"text-align:center\">";
				/* als Hidden Elemente die $post und $get Variablen ablegen 
				 * display:none um beim Versenden von HTML-Tags ungewollte Ausgabe zu vermeiden */
				echo "<div style=\"display:none\">\n";
				echo "<input type=\"hidden\" name=\"postval\" value=\"".$post."\"/>\n";
				echo "<input type=\"hidden\" name=\"getval\" value=\"".$get."\"/>\n";
				echo "</div>";
	
				echo "<input type=\"hidden\" name=\"prio\" value=\"2\"/>\n";
				echo "<input type=\"hidden\" name=\"pers_id\" value=\"";
				echo $_SESSION[$AppCode]["UID"]. "\"/>\n";
				echo "<input type=\"hidden\" name=\"datei\" value=\"$this->datei\"/>\n";
				echo "<input type=\"hidden\" name=\"seite\" value=\"$seite\"/>\n";
				echo "<input type=\"hidden\" name=\"uri\" value=\"";
				echo str_replace("&", "&amp;", $_SERVER["REQUEST_URI"]);
				echo "\" />\n";
				echo "<input type=\"submit\" value=\"Feedback speichern\" /></td></tr>\n";
				echo "</table></form>\n";
				echo "</td></tr>\n";
	
				new stwTabLine(1,30);
			} // Level 5 ab hier wieder
	
			if (!empty($zeit_start)) {
				$zeit = explode(" ",microtime()); // Zeitstempel inkl. Nanosekunden ermitteln
				$zeit_ende = $zeit[0] + $zeit[1]; // akt. Zeit speichern

				$laufzeit = $zeit_ende - $zeit_start; // Laufzeit ermitteln
				$laufzeit = round($laufzeit, 4); // Laufzeit auf 6 Stellen nach dem Komma runden

				echo "<tr><td>\n";
				echo "erstellt in $laufzeit Sek.";
				echo "</td></tr>\n";

				new stwTabLine(1, 30);
			}

			echo "</table>\n";
			echo "</td>\n";
		}

		echo "</tr>\n</table>\n";
		/* Uhr anschubbsen, falls Seitenaufbau zu lange dauerte */
		echo "<script type=\"text/javascript\"><!--\n";
		echo "servertime();\n";
		echo "\n--></script>\n";

		if(getConf('textarea_resize')) {
			/* Textareas automatisch resizen (ausser wysiwyg-Editoren) */
			echo "<script type=\"text/javascript\"><!--\n";
			echo "var textarea = document.getElementsByTagName('textarea');\n";
			echo "for (var j = 0; j < textarea.length; j++) {\n";
			echo " if(textarea[j].id=='editor') continue;\n";
			echo " textarea[j].style.height = 0;\n";
			echo " textarea[j].style.height = (32+textarea[j].scrollHeight) + 'px';\n";
			echo " textarea[j].addEventListener('keyup', function() {\n";
			echo "  this.style.height = 0;\n";
			echo "  this.style.height = (32+this.scrollHeight) + 'px';\n";
			echo " }, false);\n";
			echo "}\n--></script>\n";
		}
		echo "</body>\n</html>\n";
		global $laufzeit_id;
		if($laufzeit_id) abfrage2("update tb_laufzeit set ts2=unix_timestamp(now()) where id='$laufzeit_id'");
	} // Konstruktor zu Ende
 }

?>
