<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: index.php 2904 2018-11-07 21:01:46Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /*
  * Warnungen werden selbst behandelt: Grund Zugriff auf conf.inc.php
  * kann Warnungen werfen wenn nicht vorhanden ist.
  */
 error_reporting(E_ERROR);

 /*
  * Jetzt feststellen ob schon Stellware konfiguriert wurde. Ist dies nicht
  * der Fall, werden alle notwendigen Parameter vom Nutzer abgefragt und
  * anschliessend die Datenbank initialisiert.
  */
 $fp = fopen("conf/conf.inc.php", "r");
 if (!$fp)
 {
   /* noch keine Standardsachen vorhanden - ein paar Hilfsfunktionen holen */
   require("inc/html.php");
   require("inc/install.php");

   /*
    * noch keine Konfiguration vorhanden - wir sind zurueck mit den
    * Nutzerangaben
    */
   if (isset($_POST["install"]))
   {
     $erg = install_konf_anlegen($_POST["inst_serv"], $_POST["inst_db"],
                                 $_POST["inst_login"], $_POST["inst_pass"],
                                 $_POST["admin_login"], $_POST["admin_pass"],
                                 $_POST["admin_pass2"]);

     /* moeglichen Fehler zeigen */
     if (substr($erg, 0, 7) == "Fehler:")
     {
       send_html_header("Stellware Konfiguration Fehler");

       echo "<center>\n<table>\n";
       echo "<tr bgcolor=\"#FF0000\">\n<th>\n<h1>$erg</h1>\n</th>\n";
       echo "</tr>\n</table>\n</center>\n";
       send_html_tail();
       /* Abbruch wegen Fehler */
       exit(0);
     }
   }
   else
   {
     /*
      * noch keine Konfiguration vorhanden - Nutzer alle Angaben abfragen
      */
     send_html_header("Stellware Konfiguration");
     install_form_nutzer_eingaben();

     send_html_tail();
   }
 }

 /* alles vorhanden - los geht es */
 $_SESSION['basedir'] = dirname(__FILE__);

 /*
  * Versuchen den lokalen Pfad zu den Verzeichnissen zu ermitteln.
  */
 $tmp = $_SERVER['REQUEST_URI'];

 /* wurde diese Datei mit index.php aufgerufen oder / */
 $pos = strpos($tmp, "index.php");
 if ($pos)
 {
   $_SESSION['webdir'] = substr($tmp, 0, $pos - 1);
 }
 else
 {
   $_SESSION['webdir'] = substr($tmp, 0, strlen($tmp) - 1);
 }

 /* Seitennummer innerhalb des Menues */
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 9);

  require_once($pfad."inc/func.inc.php");

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function pd_plusminus($uid, $hp_id) {
	$userResp = new xajaxResponse();
	$plusminus = abfrage("select pers_id from tbh_pers_post_vertr_warten where pers_id='$uid' and hp_id='$hp_id'");
	if($plusminus[0]) {
		abfrage2("delete from tbh_pers_post_vertr_warten where pers_id='$uid' and hp_id='$hp_id'");
		$userResp->assign("plusminus_$hp_id", 'src', 'img/minus.png');
	} else {
		abfrage2("insert into tbh_pers_post_vertr_warten set pers_id='$uid', hp_id='$hp_id'");
		$userResp->assign("plusminus_$hp_id", 'src', 'img/plus.png');
	}
	return $userResp;
}

function EinkaufGenehmigen($uid) {
	$userResp = new xajaxResponse();
	$genehmigen = '';
	$gf = abfrage1("select pers_id from tb_benutzerrechte where pers_id='$uid' and obj_id='99'");
	$gf = (mysql_num_rows($gf) > 0);
	$pa = abfrage( "select nr_von, nr_bis from tb_projektart where pra_id='11'");
	$vmlabteilungen = abfrage1("select abt_id from tb_personal_abt_leit where pers_id='$uid' and vml='j'");
	if(mysql_num_rows($vmlabteilungen) > 0) {
		$abteilungen = '';
		while($abt = mysql_fetch_row($vmlabteilungen)){
			if($abteilungen != '') $abteilungen .= ',';
			$abteilungen .= $abt[0];
		}
		$sql = "select v.vm_id, v.prio from tb_vormerkliste v
				left join tb_projekte p using(proj_id)
				where (p.familie is NULL or p.familie = '') 
				and (p.hobbys is NULL or p.hobbys = '') 
				and (v.empf_pers_id=0 or v.empf_pers_id is NULL) and v.abt_id in($abteilungen)";
		$vmls = abfrage1($sql);
		$X = 0;
		$prio = 0;
		$url = "vormerkliste.php?state=all";
		while ($vml = mysql_fetch_row($vmls)) {
			$bar = abfrage1("select vm_id from tbh_pers_vormerk where vm_id='$vml[0]' and abteilungsleiter in('b','l','k','r')");
			if(mysql_num_rows($bar) > 0) continue;
			$leiter_oks = abfrage1("select pers_id from tbh_pers_vormerk 
									where vm_id = '$vml[0]' and abteilungsleiter = 'j'");
			if(mysql_num_rows($leiter_oks) % 2 == 0) {
				$X++;
				if($vml[1] > $prio) $prio = $vml[1];
				$url .= "&amp;vmid[]=$vml[0]";
			}
		}
		if($X > 0) {
			if($prio==1) $color='lightgrey';
			elseif($prio==2) $color='yellow';
			else $color='red';
			$genehmigen .= "<th colspan=\"3\"><a href=\"$url\" style=\"color:$color\">$X Vormerkung";
			if($X>1) $genehmigen .= "en";
			$genehmigen .= " genehmigen</a></th>\n";
			$zeigAufgaben = true;
		}
	}
	/* Einkaufsprojekte genehmigen*/
	if($gf) {
		$sql = "select proj_id from tb_projekte 
				where projektnr >= $pa[0] and projektnr < 18000 
				and problemlage = 'checked'
				and (ende is null or ende = '0000-00-00')
				and (familie is null or familie != 'checked')
				and (hobbys is null or hobbys != 'checked')";
		$pros = abfrage1($sql);
		$X = mysql_num_rows($pros);
		if($X > 0) {
			$zeigAufgaben = true;
			$url = "pro.php?pra=11";
			while($pro = mysql_fetch_row($pros)) {
				$url .= "&amp;pid[]=$pro[0]";
			}
			$genehmigen .= "<th colspan=\"3\"><a href=\"$url\" style=\"color:red\">$X Bestellung";
			if($X>1) $genehmigen .= "en";
			$genehmigen .= " genehmigen</a></th>\n";
		}
	}
	$userResp->assign("genehmigen", 'innerHTML', $genehmigen);
	return $userResp;
}

function zkUeberschneidung($uid) {
	$userResp = new xajaxResponse();
	$tms = abfrage1("select
					unix_timestamp(t.von),
					unix_timestamp(t.bis),
					z.proj_id, z.zk_id, z.code
					from tb_termine t
					left join tb_ab_zk z on t.termin_id = z.termin_id
					left join tb_projekte p on z.proj_id = p.proj_id
					left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id
					left join tbh_projekt_gruppe g on (z.proj_id = g.proj_id)
					where z.ab = 'j'
					and g.proj_id_gruppe is null
					and h.hilfeart != 'ALG' and h.hilfeart != 'CZT'
					and (z.ab_monat is null or z.ab_monat = '0000-00-00')
					and z.pers_id = '$uid'
					and z.code!='S'
					order by unix_timestamp(t.von) asc;");
	$von = $bis = $pro = $zk = 0;
	$head = false;
	$txt = '';
	while ($tm = mysql_fetch_row($tms)){
		if (!zk_ueber($tm[4]) && $tm[0] < $bis && $tm[1] > $von){
			if (!$head){
				$head = true;
				$txt .= "<td><table width=\"370\">\n";
				$txt .= "<tr><td bgcolor=\"red\" colspan=\"20\"></td></tr>\n";
				$txt .= "<tr><th colspan=\"30\" style=\"color:red;\" name=\"blink\">";
				$txt .= "&Uuml;berschneidende Zeitkarten! Korrigieren!</th></tr>\n";
				$txt .= "<tr><td bgcolor=\"green\" colspan=\"20\"></td></tr>\n";
			}


			$txt .= "<tr>";
			$txt .= "<td style=\"padding-right:5px\">";
			$txt .= "<a href=\"pro_ab_zk.php?zk_id=$zk&proj_id=$pro\" ";
			$txt .= stwToolTip('Zeitkarte &auml;ndern') . '>';
			$txt .= date('d.m.Y', $von) . "</a></td>";
			$txt .= "<td style=\"padding-right:5px;text-align:right\">" . date('H:i', $von) . "</td>";
			$txt .= "<td>-</td>";
			$txt .= "<td style=\"padding-right:5px\">" . date('H:i', $bis) . "</td>";
			$proj1 = new stwProjekt($pro);
			$txt .= "<td style=\"padding-right:5px\">";
			$txt .= "<a href=\"pro_ab.php?proj_id=$tm[2]\"";
			$txt .= stwToolTip('Abrechnungs&uuml;bersicht') . ">";
			$txt .= $proj1->nummer() . "</a></td></tr>\n";

			$txt .= "<tr>\n";
			$txt .= "<td style=\"padding-right:5px\">";
			$txt .= "<a href=\"pro_ab_zk.php?zk_id=$tm[3]&proj_id=$tm[2]\" ";
			$txt .= stwToolTip('Zeitkarte &auml;ndern') . ">";
			$txt .= date('d.m.Y', $tm[0]) . "</a></td>";
			$txt .= "<td style=\"padding-right:5px;text-align:right\">" . date('H:i', $tm[0]) . "</td>";
			$txt .= "<td>-</td>";
			$txt .= "<td style=\"padding-right:5px\">" . date('H:i', $tm[1]) . "</td>";
			$proj2 = new stwProjekt($tm[2]);
			$txt .= "<td style=\"padding-right:5px\">";
			$txt .= "<a href=\"pro_ab.php?proj_id=$tm[2]\"" . stwToolTip('Abrechnungs&uuml;bersicht') . ">";
			$txt .= $proj2->nummer() . "</a></td></tr>\n";

			$txt .= "<tr><td bgcolor=\"green\" colspan=\"20\"></td></tr>\n";
		}

		$von = $tm[0];
		$bis = $tm[1];
		$pro = $tm[2];
		$zk  = $tm[3];

	}
	if($head) {
		$txt .= "</table></td>\n";
	}
	$userResp->assign("zk_ueberschn", 'innerHTML', $txt);
	return $userResp;
}

function pdWarnung() {
	$userResp = new xajaxResponse();
	/* abfragen, ob aktive Angestellte ohne die fuer die Buchhaltung
	 * erforderlichen Personaldaten vorhanden sind
	*/
	$sql  = "select pers_id from tb_personal ";
	$sql .= "where status_id = '2' and (besch_id = '1' or besch_id = '4') and (";
	if(seiteKonfSichtbar('pers_and_strasse')) $sql .= "isnull(strasse) or length(strasse) = 0 or ";
	if(seiteKonfSichtbar('pers_and_plz')) $sql .= "isnull(plz) or length(plz) = 0 or ";
	if(seiteKonfSichtbar('pers_and_ort')) $sql .= "isnull(ort) or length(ort) = 0 or ";
	if(seiteKonfSichtbar('pers_and_geboren')) $sql .= "isnull(geboren) or geboren = '0000-00-00' or ";
	if(seiteKonfSichtbar('pers_and_behindert')) $sql .= "isnull(behinderung) or ";
	if(seiteKonfSichtbar('pers_and_krankenkasse')) {
		$sql .= "isnull(krankenkasse) or length(krankenkasse) = 0 or ";
		$sql .= "krankenkasse = '--- bitte whlen ---' or ";
	}
	if(seiteKonfSichtbar('pers_and_rvnr')) $sql .= "isnull(vers_nr) or length(vers_nr) = 0 or ";
	if(seiteKonfSichtbar('pers_and_lohnsteuerklasse')) $sql .= "isnull(steuerkl) or length(steuerkl) = 0 or ";
	if(seiteKonfSichtbar('pers_and_steuerfreibetrag')) $sql .= "isnull(freibetrag) or ";
	if(seiteKonfSichtbar('pers_and_kirche')) $sql .= "isnull(kirche) or ";
	if(seiteKonfSichtbar('pers_and_bank')) $sql .= "isnull(bank) or length(bank) = 0 or ";
	if(seiteKonfSichtbar('pers_and_iban')) $sql .= "isnull(iban) or length(iban) < 15 or left(iban,2) > 0 or ";
	if(seiteKonfSichtbar('pers_and_bic')) $sql .= "isnull(bic) or length(bic) not in (8,11) or ";
	if(seiteKonfSichtbar('pers_and_anstellung')) $sql .= "isnull(anstellung) or anstellung = '0000-00-00'";
	$sql .= ") order by vorname asc, name asc;";

	$mas = abfrage1($sql);
	$txt = '';

	if (mysql_num_rows($mas) > 0){
		$txt .= "<td><table width=\"370\">\n";
		if ($trennung == 1){
			$txt .= "<tr><td bgcolor=\"red\" colspan=\"20\"></td></tr>\n";
		} else {
			$trennung = 1;
		}

		/* ermitteln ob der heutige Tag zwischen dem 15. und dem 20. oder dem 27.
		 * des Monats und dem Monatsletzten liegt.
		*/

		/* Monatsletzter */
		$ml = date('t');
		$heute = date('n');

		if (($heute >= 15 && $heute <= 20) || ($heute >= 27 && $heute <= $ml)){
			$style = "style=\"color:red;\" name=\"blink\"";
		} else {
			$style = '';
		}

		/* Meldung ausgeben */
		$txt .= "<tr><th $style>Personaldaten aktualisieren:</th></tr>\n";
		new stwTabLine(2,5);

		/* Personalnummern mit Personalnamen im Tooltip ausgeben */
		while ($ma = mysql_fetch_assoc($mas)){
			$txt .= "<tr><td><a href=\"pers_and.php?pers_id={$ma['pers_id']}&highlight=1\"";
			$txt .= stwToolTip(pers_name($ma['pers_id']));
			$txt .= '>' . pers_nummer($ma['pers_id']) . "</a></td></tr>\n";
		}
		$txt .= "</table></td>";
	}
	$userResp->assign("pd_warnung", 'innerHTML', $txt);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('pd_plusminus');
$xajax->registerFunction('EinkaufGenehmigen');
$xajax->registerFunction('zkUeberschneidung');
$xajax->registerFunction('pdWarnung');
/* --- Ende Abschnitt (X)AJAX --- */

set_session_url();
setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

/* Falls Session abgelaufen/nicht angemeldet:
 * Redirect auf die eigentlich aufgerufene Seite */
if (getConf("auto_return") && isset($_SESSION[$AppCode]["OLDSITE"])) {
	$red_seite=$_SESSION[$AppCode]["OLDSITE"];
	unset($_SESSION[$AppCode]["OLDSITE"]);
	header('Location: '.$red_seite);
	exit();
}

  require_once($pfad."inc/stw.inc.php");
  require_once($pfad."inc/stwDaten.inc.php");
 
 if ($_SESSION[$AppCode]['OK'])
 {
	/* Elektronischen Verwaltungsleiter jetzt schon zeigen?! */
	if(getConf('kontrolle_hb_zwang') && isset($_GET['login'])) {
		echo "<script language=\"JavaScript\" type=\"text/javascript\">\n";
		if($_SESSION[$AppCode]["EWALDreason"]) echo "xajax_do_ewald({$_SESSION[$AppCode]['UID']});\n";
		echo "</script>\n";
	}
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit EWALD: $laufzeit Sek. -->\n";
	}
	flush();

	 /* --------------------- BEGINN DASHBOARD --------------------- */

   /* Warnung das Passwort wurde seit 6 Monaten nicht geaendert */
   $sql  = "SELECT pass_datum FROM tb_personal WHERE pers_id = '$uid';";
   $erg  = abfrage($sql);

   if ($erg[0] < mktime(date("G"), date("i"), date("s"), date("n") - 6,
                        date("j"), date("Y")))
   {
     echo "<table width=\"750\"><tr><td align=\"center\">";
     echo "<a href=\"password.php\" name=\"blink\" style=\"color:red\">";
     echo "Das Passwort wurde seit 6 Monaten nicht ";
     echo "ge&auml;ndert!</a></td></tr></table>";
     new stwLine(1);
   }

   /* Warnungen wenn Festplattenplatz knapp wird */
   if ($ulv > 59) {
     $path  = dirname(__FILE__);
     $total = disk_total_space($path)/1024;
	 /* Nur wenn Stellware Festplattenkapazitaet lesen kann */
	 if($total > 0) {
       $free  = disk_free_space($path)/1024;
       $proz  = number_format(100*$free/$total, 2);

       /* nur zeigen wenn nur noch 10 Prozent frei */
       if ($proz < 10) {
         echo "<table width=\"750\"><tr>";
         echo "<th name=\"blink\" style=\"color:red;";
         echo "text-align:center\" align=\"center\">";
         echo "Festplatte: $proz%% nur noch frei!</th></tr></table>\n";
         new stwLine(1);
       }
     }
   }
   
   /* Anzeige ueberfaelliger Bibliotheksrueckgaben */
   $sql  = "SELECT a.buch_id, b.titel, date_format(a.von, '%d.%m.%Y') FROM tb_buch_aus a ";
   $sql .= "left join tb_buch b on a.buch_id = b.buch_id where a.pers_id = $uid ";
   $sql .= "and a.bis = '0000-00-00' and (to_days(curdate()) > to_days(von) + 14)";
   $res = abfrage1($sql);
   if (mysql_num_rows($res) > 0){
     echo "<table>";
     while ($re = mysql_fetch_row($res)){
       echo "<tr><td><a  style=\"color:#FF0000\" href=\"bibo_buch.php?buch_id=$re[0]\"";
       echo stwToolTip("ausgeliehen seit $re[2] - R&uuml;ckgabe &uuml;berf&auml;llig");
       echo ">R&uuml;ckgabeerinnerung der Bibliothek: $re[1]</a></td></tr>";
     }
     echo "</table>";
     new stwLine(1);
   }
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit Bibliotheksrueckgaben: $laufzeit Sek. -->\n";
	}
  if($ulv > 5) {
	/* Postbereich startet - zuerst Check ob Haken gesetzt wurde */
	if (!empty($_POST["ok"])) {
		$art = explode("_", $_POST["ok"]);
		$post_check = new stwPost("h", $art[0]);
		$post_check->updateCheck($uid,$art[3],$art[2],$art[1]);
	}

	echo "<form method=\"post\" name=\"post\" action=\"{$_SERVER['PHP_SELF']}\">\n";
	echo "<table width=\"750\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\n";

	// Anzeige Dashboard Posteingang / Ausgang
	$post_in = new stwPost("i");
	$post_out = new stwPost("o");
	$post_dashboard = $post_in -> displayDashboard("Posteingang","post_in","rgb(51,153,51)",false);
	$post_dashboard .= $post_out -> displayDashboard("Postausgang","post_out","#FF0000",false);
	if (!empty($post_dashboard)) $post_dashboard .= "<tr><td bgcolor=\"#006400\" colspan=\"30\"></td></tr>\n";
	$post_dashboard .= $post_in -> displayDashboard("Posteingang","post_in","rgb(51,153,51)",true);
	$post_dashboard .= $post_out -> displayDashboard("Postausgang","post_out","#FF0000",true);

	$post_dashboard_inactive = $post_in -> displayDashboard("Posteingang","post_in","rgb(51,153,51)",true,true);
	$post_dashboard_inactive .= $post_out -> displayDashboard("Postausgang","post_out","#FF0000",true,true);
	if (!empty($post_dashboard_inactive)) {
		$post_dashboard .= "<tr><th colspan=\"30\" style=\"font-size:8pt\">";
		$post_dashboard .= "<img id=\"pdplus\" src=\"img/plus.png\" onclick=\"getElementById('pdminus').style.display='inline'; 
							getElementById('pdplus').style.display='none'; 
							var tr = document.getElementsByName('hidden_post'); 
							for(var i=0; i<tr.length; i++) {tr[i].style.display='table-row';}\" />";
		$post_dashboard .= "<img id=\"pdminus\" src=\"img/minus.png\" style=\"display:none\" onclick=\"getElementById('pdplus').style.display='inline'; 
							getElementById('pdminus').style.display='none'; 
							var tr = document.getElementsByName('hidden_post'); 
							for(var i=0; i<tr.length; i++) {tr[i].style.display='none';}\" />";
		$post_dashboard .= " &nbsp; <img src=\"" . image(",,,,1111",4,9) . "\" height=\"9\" width=\"230\"> &nbsp; ";
		$post_dashboard .= "fr HB zur&uuml;ckgestellte Post in Vertretung &nbsp; ";
		$post_dashboard .= " &nbsp; <img src=\"" . image(",,,,1111",4,9) . "\" height=\"9\" width=\"250\"> &nbsp; ";
		$post_dashboard .= $post_dashboard_inactive . "</th></tr>\n";
	}

	$neueRessortPost = 0;
	$pers_al = false;
	$pores = abfrage1("select hp_id, ressort_id from tbh_hp_ressort where erledigt='n'");
	abfrage2("delete from tbh_pers_hp_ressort_aktiv where pers_id='$uid'");
	while($pore = mysql_fetch_row($pores)) {
		$abteilungsleiter = array();
		$hp_id=$pore[0];
		$ressort_id=$pore[1];
		$done = abfrage("select id, aktiv, unix_timestamp(ok), ok_pers_id from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and pers_id='$uid'");
		if($done[1]=='j' && $done[2]==0) { 
			$neueRessortPost++;
			abfrage2("insert into tbh_pers_hp_ressort_aktiv values($uid,$hp_id,$ressort_id)");
			continue;
		}
		if($done[1]=='n' || $done[2]>0) { continue; }
		$pre = abfrage("select pr_id from tbh_pers_ressort where ressort_id='$ressort_id' and pers_id = '$uid' and betreuer!='v' and optional='n' limit 1");
		if($pre[0] > 0) {
			$neueRessortPost++;
			abfrage2("insert into tbh_pers_hp_ressort_aktiv values($uid,$hp_id,$ressort_id)");
			continue;
		}
		$pre = abfrage("select pr_id from tbh_pers_ressort where ressort_id='$ressort_id' and pers_id = '-1' and betreuer!='v' and optional='n' limit 1");
		if($pre[0] > 0) {
			if(pers_fb($uid)) {
				$pzs = abfrage1("select id2 from tbh_postzuordnung where typ='p' and posttyp='h' and id='$hp_id'");
				while($pz = mysql_fetch_row($pzs)) {
					$fb = abfrage("SELECT fb_id FROM tb_projekte WHERE proj_id='$pz[0]'");
					if($fb[0] == $uid) {
						$neueRessortPost++;
						abfrage2("insert into tbh_pers_hp_ressort_aktiv values($uid,$hp_id,$ressort_id)");
						continue 2;
					}
				}
			}
		}
		$pre = abfrage("select pr_id from tbh_pers_ressort where ressort_id='$ressort_id' and pers_id = '-2' and betreuer!='v' and optional='n' limit 1");
		if($pre[0] > 0) {
			$r_abt = abfrage1("select id from tb_ressort where ressort_id='$ressort_id' and auswahl='a'");
			$h_abt = abfrage1("select id from tbh_ressort where ressort_id='$ressort_id' and auswahl='a'");
			if(mysql_num_rows($r_abt) == 0 && mysql_num_rows($h_abt) == 0) {
				$sql = "select abt_id from tb_personal_abt_leit where pers_id='$uid'";
			} else {
				$sql = "select l.abt_id from tb_personal_abt_leit l 
						left join tb_ressort r on (r.ressort_id='$ressort_id' and r.auswahl='a' and r.id=l.abt_id)
						left join tbh_ressort h on (h.ressort_id='$ressort_id' and h.auswahl='a' and h.id=l.abt_id)
						where l.pers_id='$uid' and (r.ressort_id IS NOT NULL or h.ressort_id IS NOT NULL)";
			}
			$abls = abfrage1($sql);
			$pers_al = (mysql_num_rows($abls) > 0);
			while($al = mysql_fetch_row($abls)){
				$abteilungsleiter[ $al[0] ] = $al[0];
			}
			$al_string = implode(",", $abteilungsleiter);
		}
		if($pers_al) {
			$pzs = abfrage1("select id2, typ from tbh_postzuordnung where posttyp='h' and id='$hp_id'");
			while($pz = mysql_fetch_row($pzs)) {
				if($pz[1] == 'm') { // Mitarbeiter
					$abts = abfrage1("select abt_id from tbh_pers_abt where pers_id='$pz[0]' and abt_id in ($al_string)");
					if(mysql_num_rows($abts) > 0) {
						$neueRessortPost++;
						abfrage2("insert into tbh_pers_hp_ressort_aktiv values($uid,$hp_id,$ressort_id)");
						continue 2;
					}
				}
				if($pz[1] == 'r') { // Rechnungen Vormerkposten
					$abt = abfrage("select abt_id from tb_vormerkliste where vm_id='$pz[0]'");
					if(in_array($abt[0],$abteilungsleiter)) {
						$neueRessortPost++;
						abfrage2("insert into tbh_pers_hp_ressort_aktiv values($uid,$hp_id,$ressort_id)");
						continue 2;
					}
				}
				if($pz[1] == 'p') { //Projekte
					$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$pz[0]' and abt_id in ($al_string)");
					if(mysql_num_rows($abts) > 0) {
						$neueRessortPost++;
						abfrage2("insert into tbh_pers_hp_ressort_aktiv values($uid,$hp_id,$ressort_id)");
						continue 2;
					}
				}
			}
		}
	}
	if($neueRessortPost) {
		$neueRessortPostString = "<a href=\"post_ressort.php\" style=\"color:white\">PostRessort ($neueRessortPost)</a>";
	} else $neueRessortPostString = '';

	if (!empty($post_dashboard) || $neueRessortPost){
		echo "<tr><th colspan=\"2\">Post &nbsp; $neueRessortPostString</th></tr>\n";
	}
	if (!empty($post_dashboard)){
		echo "<tr><td colspan=\"2\"><table border=\"0\">";
		echo $post_dashboard;
		new stwTabLine(1,30);
		echo "</table>";
		echo "</td></tr>";
	}

		echo "</table>\n"; // Ende Tabelle Post
	echo "</form>\n"; /* Postbereich Ende */
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit POST: $laufzeit Sek. -->\n";
	}
  }

	/* BEGINN abgerechnete ZEITKARTE OHNE Genehmigung */
	$sql  = "select p.proj_id, t.termin_id, date_format(t.von, '%d.%m.%Y') as tag, ";
	$sql .= "date_format(t.von, '%H:%i') as von, date_format(t.bis, '%H:%i') as bis, ";
	$sql .= "a.pers_id, a.inhalte, a.zk_id ";
	$sql .= "from tb_ab_zk a left join tb_termine t using (termin_id) ";
	$sql .= "left join tb_personal b on a.pers_id = b.pers_id ";
	$sql .= "left join tb_terminart r on r.terminart = t.terminart ";
	$sql .= "left join tb_projekte p on a.proj_id = p.proj_id ";
	$sql .= "left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id ";
	$sql .= "left join tbh_pers_proj pp on p.proj_id = pp.proj_id ";
	$sql .= "where pp.pers_id = '$uid' and h.hilfeart = 'TTT' and a.ab = 'j' ";
	$sql .= "and a.sperre = 'n' and to_days(now()) > to_days(t.von) ";
	/* erst ab April 2010 - und auch nur nicht-abgerechnete */
	$sql .= "and unix_timestamp(t.von) > 1270080000 and isnull(a.ab_monat)";
	$zks = abfrage1($sql);

	if(mysql_num_rows($zks) > 0) {
		echo "<table><tr><th colspan=\"30\" style=\"color:red\">";
		echo "abgerechnete ZEITKARTE OHNE Genehmigung!!</th></tr>\n";
		new stwTabLine(2,30);
		while ($zk = mysql_fetch_array($zks)) {
			echo "<tr><td class=\"cl11\">";
			echo "<a href=\"pro_ab_zk.php?zk_id={$zk['zk_id']}&proj_id={$zk['proj_id']}\" ";
			echo "style=\"color:$zk_ab_ja\">" . $zk['tag'] . "</a></td>\n";
			$projekt = new stwProjekt($zk['proj_id']);
			echo "<td class=\"cl11\"><a href=\"pro_daten.php?proj_id={$zk['proj_id']}\">";
			echo $projekt->nummer() . "</a></td>\n";
			echo "<td class=\"cl11\">" . $zk['von'] . " - " . $zk['bis'] . "</td>\n";
			echo "<td class=\"cl11\"><a href=\"pers_and.php?pers_id={$zk['pers_id']}\">";
			echo pers_kname($zk['pers_id']) . "</a></td>";
			echo "<td class=\"cl11\"";
			if(strlen($zk['inhalte']) > 80) echo stwToolTip($zk['inhalte']);
			echo ">" . strCut($zk['inhalte'], 80) . "</td></tr>\n";
		}
		echo "</table>\n";
		new stwLine(1);
	}
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit ZEITKARTE OHNE Genehmigung: $laufzeit Sek. -->\n";
	}
	flush();
	/* ENDE abgerechnete ZEITKARTE OHNE Genehmigung */

	// Beginn Tabelle DASHBOARD
	echo "<table width=\"750\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\"><tr>\n";

	// Zelle / Tabelle fuer Spalte A
	echo "<td><table width=\"370\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\n";

	/* Modul A0: Unterschriften einholen
		 Wenn Auftraggeber mit Merkmal Unterschrift Leistungsempfaenger
		 -- UND --
		 Wenn der Benutzer Hauptbetreuer bei Projekten mit Klientunterschrift ist
		 -- UND --
		 Rechnungen ohne Postausgang fuer diese Projekte vorhanden sind, wird
		 der Benutzer an die Einholung der Klientenunterschriften erinnert */

	/* Gibt es Rechnungen ohne Postausgang? */
	$sql  = "select proj_id from tb_rechnung where post_out_id is null ";
	$sql .= "and datum >= date_sub(curdate(), interval 14 day);";
	$res = abfrage1($sql);

	if (mysql_num_rows($res) > 0){ /* Ja, es gibt RE ohne Postausgang. */

		/* Tabellenbeginn wurde noch nicht ausgegeben */
		$tabelle = false;

		while ($re = mysql_fetch_row($res)){

			$pro = new stwProjekt($re[0]);

			/* Hauptbetreuer -> $hbe */
			$hbe = $pro->hb();

			/* fuer den Fall, dass der Hauptbetreuer grad Fehlzeit hat:
			   wer ist Vertretung? */
			$vertetung = abfrage("SELECT pers_id FROM tbh_pers_proj
								  					WHERE proj_id = '$pro->id'
								  					AND personaltyp_id = '3';");

			/* Projektnr wird ausgegeben, wenn der Hauptbetreuer keine Fehlzeit hat
			   und angemeldet ist ODER
			   wenn der HB Fehlzeit hat und der Vertreter angemeldet ist */
			if ($pro->sig == 'j' && ($hbe == $uid || ($vertetung[0] == $uid && pers_fehlzeit($hbe)))) {

				$trennung = 1;

				if ($tabelle != true){ /* Tabellenbeginn ausgeben, wenn noch nicht erfolgt */
					echo "<tr><td><table width=\"370\">\n";
					echo "<tr><th>Unterschrift Leistungsempf&auml;nger einholen:</a></th></tr>\n";
					$tabelle = true;
				}

				echo "<tr><td><a href=\"pro_daten.php?proj_id=$pro->id\"";
				echo stwToolTip('zum Datenblatt') . '>' . $pro->nummer();
				echo "</a></td></tr>\n";
			}
		}
		if ($tabelle == true){
			echo "</table></td></tr>\n";
		}
		if (!empty($zeit_start)) {
			$zeit = explode(" ",microtime());
			$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
			$zeit_ende = $zeit[0] + $zeit[1];
			$laufzeit = $zeit_ende - $zeit_last;
			$laufzeit = round($laufzeit, 4);
			echo "<!-- Abarbeitungszeit Unterschriften einholen: $laufzeit Sek. -->\n";
		}
		flush();
	}
	/* Ende Modul A0: Unterschriften einholen */

	/* Modul A1: AUFGABEN */
	// Abfrage Aufgaben
	$zeigAufgaben = false;
	$sql = "select t1.aufgabe_id, t2.prioritaet, date_format(t1.termin,'%d.%m.%Y'),
			t3.pers_id, t1.autor, t1.titel, t1.erledigt, t2.farbe,
			t4.vorname, t4.name, left(t5.vorname, 1), t5.name, date_format(t1.erl_datum,'%d.%m.%Y'),
			to_days(t1.termin), to_days(curdate())
			from tb_aufgaben t1
			left join tb_prio t2 using (prio)
			left join tbh_pers_auf t3 on t1.aufgabe_id = t3.aufgabe_id
			left join tb_personal t4 on t3 .pers_id = t4.pers_id
			left join tb_personal t5 on t1.autor = t5.pers_id
			where t1.erledigt < 100 and t3.pers_id = '$uid'
			and to_days(t1.termin) <= (to_days(curdate()) + 28)
			order by t1.termin asc, t1.prio desc limit 3;";
	$auf = abfrage1($sql);
	if(mysql_num_rows($auf) > 0) $zeigAufgaben = true;

	echo "<tr id=\"aufgabentable\"><td><table width=\"370\">\n";
	// Zeile Aufgaben: wird spaeter ausgeblendet, falls keine vorhanden
	if ($trennung == 1){
		new stwTabLine(1,30);
	}

	echo "<tr><th colspan=\"3\"><a href=\"auf.php\">Aufgaben</a></th>";
	/* Vormerkliste: Geschaeftsfuehrer */
	$gf = abfrage1("select pers_id from tb_benutzerrechte where pers_id='$uid' and obj_id='99'");
	$gf = (mysql_num_rows($gf) > 0);
	$pa = abfrage( "select nr_von, nr_bis from tb_projektart where pra_id='11'");
	/* Einkaufsprojekte / Vertragsprojekte */
	if($gf) {
		$sql = "select proj_id from tb_projekte 
				where projektnr >= 18000 and projektnr <= $pa[1] 
				and (ende is null or ende = '0000-00-00')
				and (einverst is NULL or einverst = '0')
				and problemlage = 'checked'
				and (anfrage_std_kont_fz is NULL or anfrage_std_kont_fz = '0')";
		$pros = abfrage1($sql);
		$X = mysql_num_rows($pros);
		if($X > 0) {
			$zeigAufgaben = true;
			$url = "pro.php?pra=11";
			while($pro = mysql_fetch_row($pros)) {
				$url .= "&amp;pid[]=$pro[0]";
			}
			echo "<th colspan=\"3\"><a href=\"$url\" style=\"color:red\">$X Vertragsprojekt";
			if($X>1) echo "e";
			echo " genehmigen</a></th>\n";
		}
	}
	echo "</tr>";
	/* Vormerkliste: Vormerkungen genehmigen */
	echo "<tr id=\"genehmigen\"></tr>";
	echo "<script type=\"text/javascript\"><!--\n xajax_EinkaufGenehmigen($uid);\n--></script>\n";
	$bearbeiten = '';
	/* Vormerkliste: genehmigte Vormerkungen in Einkaufsprojekte */
	$vmlabteilungen = abfrage1("select abt_id from tb_personal_abt_vml where pers_id='$uid'");
	if(mysql_num_rows($vmlabteilungen) > 0) {
		$abteilungen = '';
		while($abt = mysql_fetch_row($vmlabteilungen)){
			if($abteilungen != '') $abteilungen .= ',';
			$abteilungen .= $abt[0];
		}
		$sql = "select vm_id, prio from tb_vormerkliste where (proj_id=0 or proj_id is NULL)
				and (empf_pers_id=0 or empf_pers_id is NULL) and abt_id in($abteilungen)";
		$vmls = abfrage1($sql);
		$X = 0;
		$prio = 0;
		$url = "vormerkliste.php?state=all";
		while ($vml = mysql_fetch_row($vmls)) {
			$bar = abfrage1("select vm_id from tbh_pers_vormerk where vm_id='$vml[0]' and abteilungsleiter in('b','l','k','r')");
			if(mysql_num_rows($bar) > 0) continue;
			$leiter_oks = abfrage1("select pers_id from tbh_pers_vormerk 
									where vm_id = '$vml[0]' and abteilungsleiter = 'j'");
			if(mysql_num_rows($leiter_oks) % 2 == 1) {
				$X++;
				if($vml[1] > $prio) $prio = $vml[1];
				$url .= "&amp;vmid[]=$vml[0]";
			}
		}
		if($X > 0) {
			if($prio==1) $color='lightgrey';
			elseif($prio==2) $color='yellow';
			else $color='red';
			$bearbeiten .= "<th colspan=\"3\"><a href=\"$url\" style=\"color:$color\">$X Vormerkung";
			if($X>1) $bearbeiten .= "en";
			$bearbeiten .= " bestellen</a></th>\n";
			$zeigAufgaben = true;
		}
	}
	/* Vormerkliste: genehmigte Einkaufsprojekte bestellen */
	$sql = "select proj_id from tbh_pers_proj pp
			left join tb_projekte p using(proj_id)
			where pp.pers_id='$uid' and pp.personaltyp_id = 1
			and p.projektnr >= $pa[0] and p.projektnr < 18000 
			and (p.kostenzus is null or p.kostenzus = '0000-00-00')
			and (p.kostenzus_ende is null or p.kostenzus_ende = '0000-00-00')
			and (p.einverst > 0 or p.anfrage_std_kont_fz > 0)";
	$ekps = abfrage1($sql);
	$X = mysql_num_rows($ekps);
	if($X > 0) {
		$zeigAufgaben = true;
		$url = "pro.php?pra=11";
		while($ekp = mysql_fetch_row($ekps)) {
			$url .= "&amp;pid[]=$ekp[0]";
		}
		$bearbeiten .= "<th colspan=\"3\"><a href=\"$url\" style=\"color:red\">$X Bestellung";
		if($X>1) $bearbeiten .= "en";
		$bearbeiten .= " bearbeiten</a></th>\n";
	}
	if(strlen($bearbeiten) > 0) echo "<tr>$bearbeiten</tr>";
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit Vormerkliste: $laufzeit Sek. -->\n";
	}
	flush();

	/* alle weiteren Aufgaben... */
	while ($zeile = mysql_fetch_row($auf)) {
		echo "<tr>";
		echo "<td style=\"color:$zeile[7];padding-right:5px\">$zeile[1]</td>";

		if ($zeile[6] == 100){
			$style = "style=\"color:#CCCCCC\"";
			$text = stwToolTip('Aufgabe erledigt');
		} elseif ($zeile[13] < $zeile[14]){
			$style = "style=\"color:#FF0000\"";
			$text = stwToolTip('Aufgabe &uuml;berf&auml;llig');
		} elseif ($zeile[6] > 0 && $zeile[6] < 100){
			$style = "style=\"color:#00FF00\"";
			$text = stwToolTip('Aufgabe begonnen');
		} else {
			$style = '';
			$text = '';
		}

		echo "<td style=\"padding-right:5px\">";
		echo "<a href=\"auf_and.php?aufgabe_id=$zeile[0]\" $style $text>$zeile[2]</a></td>";
		$zust = pers_kname($zeile[3]);
		$aut  = pers_kname($zeile[4]);
		$caut = pers_farbe($zeile[4]);

		echo "<td class=\"cl1\" style=\"color: $caut;\"";
		echo stwToolTip('Aufgabe erstellt von') . ">$aut</td>\n";
		echo "<td class=\"cl1\">$zeile[5]</td>";
		echo "<td class=\"cl1\" style=\"text-align:right;\">$zeile[6]&nbsp;%</td>";
		if ($_GET["all"] == 1 && $zeile[6] == 100){
			echo "<td class=\"cl1\" style=\"text-align:right;\">$zeile[12]</td>";
		}
		echo "</tr>\n";
	}
	echo "</table>\n";
	echo "</td></tr>\n"; // Ende Zeile Aufgaben
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit AUFGABEN: $laufzeit Sek. -->\n";
	}
	flush();
	/* ENDE Modul A1: AUFGABEN */
	if($zeigAufgaben) {
		if($trennung != 1) $trennung = 1;
	} else {
		echo "<script type=\"text/javascript\"><!--\n";
		echo "document.getElementById('aufgabentable').style.display='none';\n";
		echo "\n--></script>\n";
	}

	/* PKW Wartungen */
	echo "<tr><td><table width=\"370\">";
	if ($trennung == 1) new stwTabLine(1,30);
	$pkws = abfrage1("select res_id from tbh_pers_res where pers_id='$uid' and ver=1");
	$pkw_line_to_be_drawn = true;
	while($pkw = mysql_fetch_row($pkws)) {
		$bis = mktime(23,59,59, date('n'), date('j'), date('Y'));
		$km_stand = km_stand($pkw[0], $bis);
		$wartung = abfrage("select unix_timestamp(datum_n), km_n, date_format(datum_n,'%d.%m.%Y') 
							from tb_res_wartung where typ='w' and res_id='$pkw[0]' order by datum desc limit 1");
		if(($wartung[0] > 0 && $wartung[0] < $bis) || ($wartung[1] > 0 && $wartung[1] < $km_stand)) {
			$auto = abfrage("select name from tb_ressourcen where res_id='$pkw[0]'");
			$trennung = 1;
			echo "<tr><th><a href=\"pkw_and.php?res_id=$pkw[0]\">$auto[0]</a></th><td>";
			if($wartung[0] > 0 && $wartung[0] < $bis) {
				echo "n&auml;chste Wartung war f&uuml;r den $wartung[2] vorgesehen";
			} else {
				echo "n&auml;chste Wartung war f&uuml;r bei $wartung[1] km f&auml;llig";
			}
		}
	}
	echo "</table></td></tr>\n";
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit PKW Wartungen: $laufzeit Sek. -->\n";
	}
	flush();

	/* Modul A2: SITZUNGEN */
	if ($ulv >= 96 || $ulv == 47) {
		$and = "and (t1.strategie = 1 or t4.pers_id = '$uid' or t6.pers_id = '$uid')";
	} else {
		$and = "and (t4.pers_id = '$uid' or t6.pers_id = '$uid')";
	}

	$sql = "select distinct t1.team_id,
			date_format(t2.von,'%d.%m.%Y'),
			date_format(t2.von,'%H:%i'),
			t1.thema,
			t3.kurzname,
			t3.farbe,
			t1.essen,
			t1.andacht,
			t1.weiter,
			t3.name
			from tb_team t1
			left join tb_termine t2 on t1.termin_id = t2.termin_id
			left join tb_team_art t3 on t1.team_art_id = t3.team_art_id
			left join tb_team_art_abt t5 on t1.team_art_id = t5.team_art_id
			left join tbh_pers_abt t6 on t5.abt_id = t6.abt_id
			left join tb_team_art_pers t4 on t1.team_art_id = t4.team_art_id
			where to_days(t2.von) <= to_days(date_add(curdate(), INTERVAL 10 DAY))
			and to_days(t2.von) >= to_days(curdate())
			and (t4.nur_protokoll = 'n' or t5.nur_protokoll = 'n')
			$and
			order by unix_timestamp(t2.von) asc;";

	$team = abfrage1($sql);

	if (mysql_num_rows($team) > 0){
		echo "<tr><td><table width=\"370\">\n";
		if ($trennung == 1){
			new stwTabLine(1,30);
		}
		echo "<tr><th colspan=\"5\"><a href=\"team.php\">Sitzungen</a></th></tr>\n";

		while ($row = mysql_fetch_row($team)){
			echo "<tr>\n";
			echo "<td style=\"padding-right:5px\">";
			echo "<a href=\"team_and.php?team_id=$row[0]\">$row[1]</a></td>";
			echo "<td style=\"padding-right:5px;text-align:right\">$row[2]</td>";
			echo "<td style=\"color:$row[5];padding-right:5px;\"";
			echo stwToolTip($row[9]) . ">$row[4]</td>\n";
			echo "<td style=\"padding-right:5px\">$row[3]</td>\n";

			$mit = abfrage("select * from tbh_team_pers
							where team_id = $row[0]
							and pers_id = '$uid';");

			$org = array($row[6], $row[7], $row[8]);

			if (empty($mit[0]) && !in_array($uid, $org)){
				echo "<td><a href=\"team_and.php?team_id=$row[0]\" ";
				echo "style=\"color:red\">Anmelden!</a></td>";
			}

			echo "</tr>\n";
		}
		echo "</table></td></tr>\n";
		if (!empty($zeit_start)) {
			$zeit = explode(" ",microtime());
			$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
			$zeit_ende = $zeit[0] + $zeit[1];
			$laufzeit = $zeit_ende - $zeit_last;
			$laufzeit = round($laufzeit, 4);
			echo "<!-- Abarbeitungszeit SITZUNGEN: $laufzeit Sek. -->\n";
		}
		flush();
	}
	/* Ende Modul A2: SITZUNGEN */


	/* Modul A3.1: Erinnerungen und Warnungen zu Projektberichten
	 *             Teil 1: Benutzer = Hauptbetreuer
	*/
	$pbs = fehlendePB($uid, 1);
	// Tabelle nur bei vorhandenen faelligen oder ueberfaelligen PB aufbauen!
	if (count($pbs) > 0) {
		echo "<tr><td><table width=\"370\">\n";
		if ($trennung == 1){
			new stwTabLine(1,30);
		} else {
			$trennung = 1;
		}
		echo "<tr><th style=\"padding-right:10px\">Projektberichte</th>";
		echo "<th style=\"padding-right:10px\">Zeitraum</th></tr>\n";
		new stwTabLine(2,30);
		foreach ($pbs as $pb){
			echo "<tr>\n";
			$pro = new stwProjekt($pb['proj_id']);
			echo "<td style=\"padding-right:10px\"><a href=\"pro_pb.php?proj_id=$pro->id\"";
			echo stwToolTip($pro->name());
			if($pb['status'] == 3) echo " name=\"blink\" style=\"color:#FF0000;\" ";
			if($pb['status'] == 2) echo " name=\"blink\" style=\"color:#FF00FF;\" ";
			echo ">" . $pro->nummer() . "</a></td>";
			echo "<td style=\"padding-right:10px\"";
			echo stwToolTip(date('d.m.Y', $pb['von']) . '&nbsp;-&nbsp;' . date('d.m.Y', $pb['bis']));
			echo '>' . $pb['anz'] . "</td>\n";
			echo "</tr>\n";
		}
		echo "</table></td></tr>\n";
		if (!empty($zeit_start)) {
			$zeit = explode(" ",microtime());
			$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
			$zeit_ende = $zeit[0] + $zeit[1];
			$laufzeit = $zeit_ende - $zeit_last;
			$laufzeit = round($laufzeit, 4);
			echo "<!-- Abarbeitungszeit Projektberichte: $laufzeit Sek. -->\n";
		}
		flush();
	}
	/* ENDE Modul A3.1: Erinnerungen und Warnungen zu Projektberichten
	 *                  Teil 1: Benutzer = Hauptbetreuer
	*/


	/* Modul A3.2: Erinnerungen und Warnungen zu Projektberichten
	 *             Teil 2: Benutzer = Fachberater
	*/

	// Abfrage, ob Benutzer ueberhaupt irgendwo Fachbarater ist
	// (beschleunigt Dashboard bei den meisten Benutzern)
	$fb = abfrage1("select proj_id from tb_projekte
					where fb_id = '$uid';");
	if (mysql_num_rows($fb) > 0){
		$pbs = fehlendePB($uid, 2);
		// Tabelle nur bei vorhandenen ueberfaelligen PB aufbauen!
		if (count($pbs) > 0 && (search_index_of_key($pbs,'status',2) != -1)) {
			echo "<tr><td><table width=\"370\">\n";
			if ($trennung == 1){
				new stwTabLine(1,30);
			} else {
				$trennung = 1;
			}
			echo "<tr><th colspan=\"5\">fehlende Projektberichte (Fachberatung)</th></tr>\n";
			echo "<tr><th style=\"padding-right:10px\">Projekt-Nr.</th>";
			echo "<th style=\"padding-right:10px\">Hauptbetreuer</th>";
			echo "<th style=\"padding-right:10px\">Zeitraum</th></tr>\n";
			new stwTabLine(2,30);
			foreach ($pbs as $pb){
				// PB nur anzeigen, wenn ueberfaellig
				if ($pb['status'] == 2){
					echo "<tr>\n";
					$pro = new stwProjekt($pb['proj_id']);
					echo "<td style=\"padding-right:10px\">";
					echo "<a href=\"pro_pb.php?proj_id=$pro->id\"";
					echo stwToolTip($pro->name());
					echo ($pb['status'] == 2) ? " style=\"color:#FF0000\" " : '';
					echo ">" . $pro->nummer() . "</a></td>";
					echo "<td style=\"padding-right:10px\">". pers_kname($pro->hb()) . "</td>\n";
					echo "<td style=\"padding-right:10px\"";
			    echo stwToolTip(date('d.m.Y', $pb['von']) . '&nbsp;-&nbsp;' . date('d.m.Y', $pb['bis']));
			    echo '>' . $pb['anz'] . "</td>\n";
					echo "</tr>\n";
				}
			}
			echo "</table></td></tr>\n";
			if (!empty($zeit_start)) {
				$zeit = explode(" ",microtime());
				$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
				$zeit_ende = $zeit[0] + $zeit[1];
				$laufzeit = $zeit_ende - $zeit_last;
				$laufzeit = round($laufzeit, 4);
				echo "<!-- Abarbeitungszeit &uuml;berf&auml;llige PB: $laufzeit Sek. -->\n";
			}
			flush();
		}
	}
	/* ENDE Modul A3.2: Erinnerungen und Warnungen zu Projektberichten
   *                  Teil 2: Benutzer = Fachberater
  */


	/* Modul A3.3: Erinnerung an zu erledigende Projektberichte fuer Fachberater
	 *
	 * Abfrage, ob Benutzer ueberhaupt irgendwo Fachberater ist
	 * (beschleunigt Dashboard bei den meisten Benutzern)
	*/

	/* Session-Variable print_pb zuruecksetzen (falls Skript mehrfach aufgerufen wird */
	unset($_SESSION[$AppCode]['print_pb']);

	if (mysql_num_rows($fb) > 0){

		$sql  = "select b.hp_id, h.proj_id, date_format(h.datum, '%d.%m.%Y') as datum ";
		$sql .= "from tb_pb b ";
		$sql .= "left join tb_hp h on b.hp_id = h.hp_id ";
		$sql .= "left join tb_projekte p on h.proj_id = p.proj_id ";
		$sql .= "where p.fb_id = '$uid' ";
		$sql .= "and b.fertig = 1 ";
		$sql .= "and (b.erl_fb is null or b.erl_fb = 0);";
		$pbs = abfrage1($sql);
		if (mysql_num_rows($pbs) > 0){
			echo "<tr><td><table width=\"370\">\n";
			if ($trennung == 1){
				new stwTabLine(1,30);
			} else {
				$trennung = 1;
			}
			echo "<tr><th colspan=\"5\">zu erledigende Projektberichte (Fachberatung)</th>\n";

			/* falls mehr als 1 Projektbericht -> Button zum Ausdruck aller PB anzeigen */
			if (mysql_num_rows($pbs) > 1) {
				echo "<td colspan=\"1\" style=\"text-align: right;\">";
				echo "<a href=\"pro_pr_pb.php?print_all=1&ts=" . time() . "\"  target=\"_pdf\">";
				echo "<img src=\"img/drucker.png\" alt=\"drucken\" border=\"0\" ";
				echo stwToolTip('<b>ALLE</b> unten angezeigten Projektberichte drucken');
				echo "></a></td>\n";
			}

			echo "</tr>\n";

			echo "<tr><th style=\"padding-right:10px\">Datum</th>";
			echo "<th style=\"padding-right:10px\">Projekt-Nr.</th>";
			echo "<th style=\"padding-right:10px\">Hauptbetreuer</th></tr>\n";
			new stwTabLine(2,30);
			while ($pb = mysql_fetch_assoc($pbs)){
				$pro = new stwProjekt($pb['proj_id']);
				echo "<tr><td style=\"padding-right:10px\">";
				echo "<a href=\"pro_pb.php?proj_id=$pro->id&hp_id={$pb['hp_id']}&link=index.php\" ";
				$cl = abfrage("select t1_es, t1_pr,
							t2_es, t2_pr,
							t3_es, t2_pr,
							t4_es, t2_pr
							from tb_pb
							where hp_id = {$pb['hp_id']};");
				if (in_array(1, $cl)){
					$farbe = '#FF0000';
				} elseif (in_array(2, $cl)){
					$farbe = '#FFFF00';
				} else {
					$farbe = '#00FF00';
				}
				echo "style=\"color:$farbe\">{$pb['datum']}</a></td>\n";
				echo "<td style=\"padding-right:10px\"";
				echo stwToolTip($pro->name());
				echo ">" . $pro->nummer() . "</td>";
				echo "<td style=\"padding-right:10px\">". pers_kname($pro->hb()) . "</td>\n";

				$link = "pro_pr_pb.php?hp_id=".$pb['hp_id']."&proj_id=".$pro->id;
				echo "<td width=\"5\"></td>";
				echo "<td>";
				echo "<a href=\"$link&ts=" . time() . "\"  target=\"_pdf\">";
				echo "<img src=\"img/drucker.png\" alt=\"drucken\" border=\"0\"";
				echo stwToolTip('Projektbericht drucken') . "></a></td></tr>\n";

				/* Sessionvariable print_pb wird vom Druckskript ausgelesen, falss
				   alle angezeigten Projektberichte auf einmal ausgedruckt werden sollen */
				$_SESSION[$AppCode]['print_pb'][][$pro->id] = $pb['hp_id'];
			}
			echo "</table></td></tr>\n";
			if (!empty($zeit_start)) {
				$zeit = explode(" ",microtime());
				$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
				$zeit_ende = $zeit[0] + $zeit[1];
				$laufzeit = $zeit_ende - $zeit_last;
				$laufzeit = round($laufzeit, 4);
				echo "<!-- Abarbeitungszeit PB FB: $laufzeit Sek. -->\n";
			}
			flush();
		}
	}
	/* Ende Modul A3.3 */


	/* Ende Zelle/Tabelle fuer Spalte A */
	echo "</table></td>\n";


	/* Trennung zwischen Spalten A und B */
	echo "<td width=\"10\">&nbsp;&nbsp;</td>";


	/* Zelle / Tabelle fuer Spalte B */
	echo "<td><table width=\"370\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\n";

	$trennung = 0;

	/* Modul B12: GF-Feedback */
	if ($ulv >= 98){
		$fbs = abfrage1("select fb_id from tb_feedback where erledigt = 'n';");
		if (mysql_num_rows($fbs) > 0){
			echo "<tr><td><table width=\"370\">\n";
			if ($trennung == 1){
				new stwTabLine(1,30);
			} else {
				$trennung = 1;
			}
			echo "<tr><td><a name=\"blink\" href=\"feedb.php\">";
			echo "unerledigte Feedbacks an die Gesch&auml;ftsleitung</a>";
			echo "</td><tr>\n</table></td></tr>\n";
			if (!empty($zeit_start)) {
				$zeit = explode(" ",microtime());
				$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
				$zeit_ende = $zeit[0] + $zeit[1];
				$laufzeit = $zeit_ende - $zeit_last;
				$laufzeit = round($laufzeit, 4);
				echo "<!-- Abarbeitungszeit GF-Feedback: $laufzeit Sek. -->\n";
			}
			flush();
		}
	}
	/* Ende Modul B12: GF-Feedback */

	/* Modul B13: Kassenpruefung */
	if( $ulv >= 96 ) {
		$sql = "SELECT *, to_days(curdate())-to_days(datum) as ddiff
				FROM tb_kassenpruefung kp left join tb_kasse k using(kasse_id) WHERE ";
		if(date('N') >= 5) $sql .= "to_days(datum) <= to_days(CURDATE())";
		else {
			$wday = date('N');
			$sql .= "to_days(datum) <= to_days(date_sub(curdate(), INTERVAL $wday DAY))";
		}
		$sql .= " AND (gf_pers_id IS NULL OR gf_pers_id <= 0) AND kassenpruefer_pers_id > 0 ";
		$sql .= "ORDER BY kp.datum DESC";

		$kps = abfrage1($sql);

		if (mysql_num_rows($kps) > 0){
			echo "<tr><td><table width=\"370\">\n";
			if ($trennung == 1){
				new stwTabLine(1,30);
			} else {
				$trennung = 1;
			}
			while ($kp = mysql_fetch_array($kps)){
				$blink = '';
				$tt = $kp['notizen'];
				if($kp['ddiff'] > date('N')) {
					$blink = "name=\"blink\"";
					$tt .= "<br />Kassenpr&uuml;fung best&auml;tigen!";
				}
				if(date('N') >= 5 && $kp['transfer'] != 0) $blink = "name=\"blink\"";
				if($kp['transfer'] != 0) $tt .= "<br />Transfer: " . $kp['transfer'] . "! <b>Geld holen!</b>";
				$tt = stwToolTip($tt);
				echo "<tr><th $blink><a href=\"kasse_and.php?kp_id=".$kp['kp_id']."\" style=\"color:white;\" $tt>";
				echo "Kassenpr&uuml;fung: Kasse ". $kp['nr'] . " (".date_my2gr($kp['datum']).")</a></th>\n";
				echo "<td style=\"text-align:right\"><a href=\"kasse_pr.php?kp_id=".$kp['kp_id']."&ts=" . time() . "\" target=\"_pdf\">";
				$tt = stwToolTip(($kp['transfer'] < 0) ? "Ausgabebeleg drucken" : "Einnahmebeleg drucken");
				echo "<img src=\"img/drucker.png\" $tt></a></td></tr>\n";
			}
			echo "</table></td></tr>\n";
			if (!empty($zeit_start)) {
				$zeit = explode(" ",microtime());
				$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
				$zeit_ende = $zeit[0] + $zeit[1];
				$laufzeit = $zeit_ende - $zeit_last;
				$laufzeit = round($laufzeit, 4);
				echo "<!-- Abarbeitungszeit Kassenpr&uuml;fung: $laufzeit Sek. -->\n";
			}
			flush();
		}
	}
	/* ENDE Modul B13: Kassenpruefung */

	/* Modul B14: Einverstaendniserklaerung Sachberichte */
	$erster = mktime(0,0,0,1,1,date('Y'));
	$letztes = mktime(0,0,0,1,1,date('Y')-1);
	$sql = "select sp.proj_id from tb_sachbericht s
			left join tb_sachbericht_proj sp using(sb_id)
			left join tb_projekte p using(proj_id)
			left join tbh_pers_proj pp on (sp.proj_id=pp.proj_id and pp.pers_id = '$uid')
			where s.einverst='j' and pp.personaltyp_id = 1 and (p.einverst IS NULL or p.einverst = 0)
			and ((unix_timestamp(s.bis) < '$erster' and unix_timestamp(s.bis) >= '$letztes')
			or (TO_DAYS(p.ende) < (TO_DAYS(curdate()) + 42)))";
	$evesbs = abfrage1($sql);
	if(mysql_num_rows($evesbs) > 0) {
		echo "<tr><td><table width=\"370\">";
		if ($trennung == 1){
			new stwTabLine(1,30);
		} else {
			$trennung = 1;
		}
		echo "<tr><td><a href=\"pro.php?sb=1&hb=$uid\" style=\"color:red\">";
		echo "Fehlende Haken: Einverst&auml;ndniserkl&auml;rung Sachberichte</a>";
		echo "</td><tr>\n</table></td></tr>";
		if (!empty($zeit_start)) {
			$zeit = explode(" ",microtime());
			$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
			$zeit_ende = $zeit[0] + $zeit[1];
			$laufzeit = $zeit_ende - $zeit_last;
			$laufzeit = round($laufzeit, 4);
			echo "<!-- Abarbeitungszeit Einverst&auml;ndniserkl&auml;rung Sachberichte: $laufzeit Sek. -->\n";
		}
		flush();
	}
	/* ENDE Modul B14: Einverstaendniserklaerung Sachberichte */

	/* Modul B1: Geburtstage */

  /* alle Geburtstage der vergangenen und der kommenden Woche holen */
	$sql  = "SELECT pers_id, TO_DAYS(CONCAT(DATE_FORMAT(CURDATE(), ";
  $sql .= "'%Y-'), RIGHT(geboren, 5))) - TO_DAYS(CURDATE()), ";

  $sql .= "DATE_FORMAT(geboren, '%d.%m.') FROM tb_personal WHERE ";
  $sql .= "status_id = '2' AND TO_DAYS(CONCAT(DATE_FORMAT(CURDATE(), '%Y-'),";

  $sql .= " RIGHT(geboren, 5))) - TO_DAYS(CURDATE()) < '7' ";
  $sql .= "AND TO_DAYS(CONCAT(DATE_FORMAT(CURDATE(), '%Y-'), ";

  $sql .= "RIGHT(geboren, 5))) - TO_DAYS(CURDATE()) > '-7' ";
  $sql .= "ORDER BY MONTH(geboren) ASC, DAYOFMONTH(geboren) ASC";

	$geb = abfrage1($sql);

	$rahmen = false;

	while ($row = mysql_fetch_row($geb)){
		if (pers_geb_berechtigt($row[0], $uid) == true){
			if ($rahmen != true){
				echo "<tr><td><table width=\"370\">\n";
				echo "<tr><th colspan=\"2\">Geburtstage</th></tr>\n";
				$rahmen = true;
				$trennung = 1;
			}
			if($row[1] == 0) {
				$tt = "hat heute Geburtstag";
				$color="color:red;";
			} elseif($row[1] > 0) {
				if($row[1] == 1) $tt = "hat morgen Geburtstag";
				else $tt = "hat in $row[1] Tagen Geburtstag";
				$color="color:#32CD32;";
			} else {
				$color="";
				$t = -1 * $row[1];
				if($t == 1) $tt = "hatte gestern Geburtstag";
				else $tt = "hatte vor $t Tagen Geburtstag";
			}
			echo "<tr><td width=\"100\" style=\"padding-right:15px;$color\"";
			echo stwToolTip($tt) . ">";
			echo pers_name($row[0]) . "</td>";
			echo "<td style=\"$color\"".stwToolTip($tt).">$row[2]</td>";
			echo "</tr>\n";
		}
	}

	if ($rahmen == true) {
		echo "</table></td></tr>\n";
		if (!empty($zeit_start)) {
			$zeit = explode(" ",microtime());
			$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
			$zeit_ende = $zeit[0] + $zeit[1];
			$laufzeit = $zeit_ende - $zeit_last;
			$laufzeit = round($laufzeit, 4);
			echo "<!-- Abarbeitungszeit Geburtstage: $laufzeit Sek. -->\n";
		}
		flush();
	}
	/* Ende Modul B1: Geburtstage */



	/* Modul B2: Abwesenheit */

	/* alle aktuellen und Fehlzeiten der kommenden Woche abfragen */
	$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%y') as von, ";
	$sql .= "date_format(t.bis, '%d.%m.%y') as bis, p.pers_id, a.name, ";

	$sql .= "unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts, ";
	$sql .= "f.genehmigt_pers_id from tb_fehlz f ";

	$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
	$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";

	$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
	$sql .= "where to_days(t.von) <= to_days(date_add(curdate(), INTERVAL 7 DAY)) ";

	$sql .= "and to_days(t.bis) >= to_days(curdate()) ";
	$sql .= "and (f.genehmigt_pers_id > 0 or f.fokus_pers_id > 0) ";

	if(getConf(ez3monVerbergen)) {
		$sql .= "and (t.terminart != 'ez'
					or year(t.bis) > (year(t.von)+1)
					or (year(t.bis) = year(t.von) and month(t.bis) > (month(t.von)+1))
					or (year(t.bis) = (year(t.von)+1) and (month(t.von) < 12 or month(t.bis) > 1)))";
	}

	$sql .= "order by unix_timestamp(t.von) asc, p.name asc;";

	$abw = abfrage1($sql);

	$rahmen = false;
	$heute = mktime(0,0,0,date('n'),date('j'),date('Y'));

	while ($row = mysql_fetch_array($abw)){
		if (pers_abw_berechtigt($row['pers_id'], $uid) == true){
			if ($rahmen != true){
				echo "<tr><td><table width=\"370\">\n";
				if ($trennung == 1){
					new stwTabLine(1,30);
				} else {
					$trennung = 1;
				}

				echo "<tr><th colspan=\"3\"><a href=\"fehlz.php\">";
				echo "Abwesenheit</a></th></tr>";
				$rahmen = true;
			}
			$backgr = $row['genehmigt_pers_id']>0 ? '' : 'style="background-color:#666666;"';
			$tt = $row['genehmigt_pers_id']>0 ? '' : "<br>Fehlzeit beantragt und durch Fokus bef&uuml;rwortet";
			if ($row['von_ts'] <= $heute && $row['bis_ts'] >= $heute){
				$style  = "style=\"color:red;font-weight:bold;\" ";
				$style .= stwToolTip('<b>aktuell</b>'.$tt,false) . " class=\"cl11\"";
			} else {
				$style  = "style=\"color:#32CD32;font-weight:bold;\" ";
				$style .= stwToolTip('<b>k&uuml;nftig</b>'.$tt,false) . " class=\"cl11\"";
			}
			echo "<tr $backgr><td><a $style href=\"fehlz_and.php?fehlz_id=$row[0]&amp;ab=j\">";
			echo $row['von'] . "&nbsp;-&nbsp;" . $row['bis'] . "</td></td>";
			echo "<td class=\"cl11\">" . pers_kname($row['pers_id']) . "</td>\n";
			echo "<td class=\"cl11\">" . $row['name'] . "</td>\n";
			echo "</tr>\n";
		}
	}
	if ($rahmen == true) echo "</table></td></tr>\n";

	/* Fehlzeiten - Vertretungsklaerung */
	$sql  = "select f.fehlz_id, f.pers_id, t.von, unix_timestamp(t.bis), date_format(t.von,'%d.%m.%Y') ";
	$sql .= "from tb_fehlz f left join tb_termine t on f.termin_id = t.termin_id ";
	$sql .= "where to_days(t.von) <= to_days(date_add(curdate(), INTERVAL 35 DAY)) ";
	$sql .= "and to_days(t.von) >= to_days(curdate()) ";
	$sql .= "and (f.genehmigt is NULL or f.genehmigt = 0)";
	$res = abfrage1($sql);
	if (mysql_num_rows($res) > 0){
		$mindestensEinEintrag = false;
		echo "<tr><td><table width=\"370\">";
		while ($fz = mysql_fetch_row($res)){
		  if(arbeitstage(date_gr2ts($fz[4]), $fz[3]) > 3) {
			$zuKlaeren = false;
			$sql  = "select distinct h.proj_id, p.projektnr from tbh_pers_proj h ";
			$sql .= "inner join tb_projekte p on h.proj_id = p.proj_id ";
			$sql .= "left join tb_hilfeart a on a.hilfeart_id = p.hilfeart_id ";
			$sql .= "left join tb_personaltyp s ON h.personaltyp_id = s.personaltyp_id ";
			$sql .= "left join tbh_pers_proj p2 on h.proj_id = p2.proj_id ";
			$sql .= "where h.pers_id = '$fz[1]' ";
			$sql .= "and (a.vertretung = 0 or a.vertretung is NULL) ";
			$sql .= "and (h.personaltyp_id in (1,8,9)) ";
			$sql .= "and (p.ende is NULL or p.ende = '0000-00-00' or ";
			$sql .= "to_days(p.ende) > to_days('$fz[2]')) ";
			$sql .= "order by (p.projektnr >= 900) asc, s.sort asc, p.projektnr asc";
			$pros = abfrage1($sql);
			if (mysql_num_rows($pros) > 0){
				while ($pro = mysql_fetch_row($pros)){
					if($pro[1]<5000) {
						$sql  = "select personaltyp_id from tbh_pers_proj ";
						$sql .= "where pers_id=$uid and proj_id=".$pro[0];
						$sql .= " and personaltyp_id in (1,3,8,9)";
						$abf  = abfrage1($sql);
						if(mysql_num_rows($abf)>0) {
							$beginn = abfrage("select unix_timestamp(and_datum)
												from tb_hp
												where proj_id = '$pro[0]'
												and hp_art in ('h','h2','s')
												and prognose = 'n'
												and and_datum is not null
												and and_datum != '0000-00-00'
												order by unix_timestamp(and_datum) asc
												limit 1;");
							if(($beginn[0]) && ($beginn[0] < $fz[3])) {
								$sql  = "SELECT count('fehlz_id') FROM tbh_fehlz_vertretung v ";
								$sql .= "WHERE fehlz_id='$fz[0]' AND proj_id='$pro[0]' ";
								$sql .= "AND v.geklaert=1";
								$cnt = abfrage($sql);
								if(!$cnt[0]) $zuKlaeren = true;
							}
						}
					}
				}
			}
			if($zuKlaeren) {
				if(!$mindestensEinEintrag) new stwTabLine(1,1);
				$mindestensEinEintrag = true;
				$style = ($uid == $fz[1]) ? "color:red" : "color:#32CD32";
				echo "<tr><td><a style=\"$style\" href=\"fehlz_and.php?fehlz_id=$fz[0]\">";
				echo "Vertretung f&uuml;r Fehlzeit " . pers_kname($fz[1]);
				echo " ab $fz[4] kl&auml;ren!</a></td></tr>";
			}
		  }
		}
		echo "</table></td></tr>";
		if (!empty($zeit_start)) {
			$zeit = explode(" ",microtime());
			$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
			$zeit_ende = $zeit[0] + $zeit[1];
			$laufzeit = $zeit_ende - $zeit_last;
			$laufzeit = round($laufzeit, 4);
			echo "<!-- Abarbeitungszeit Abwesenheit: $laufzeit Sek. -->\n";
		}
		flush();
	}
	/* Ende Modul B2: Abwesenheit */


	/* Modul B3: IQS */

	/*
   * Bereich um den Projekthauptbetreuern offene IQS zu zeigen. QSS hat schon
   * bestaetigt aber der Hauptbetreuer noch nicht.
   */
  $sql  = "SELECT t1.hp_id, t2.proj_id, UNIX_TIMESTAMP(t2.datum) FROM ";
  $sql .= "tb_hp_qs t1 LEFT JOIN tb_hp t2 ON t1.hp_id = t2.hp_id ";
  $sql .= "LEFT JOIN tbh_pers_proj t3 ON t2.proj_id = t3.proj_id ";
  $sql .= "WHERE t1.gepr_qss = 'j' AND t1.gepr_hb != 'j' AND ";
  $sql .= "t3.personaltyp_id = '1' AND t3.pers_id = '$uid'";

  $erg  = abfrage1($sql);
  if (mysql_num_rows($erg) > 0)
  {
    echo "<tr><td><table width=\"370\">\n";
    if ($trennung == 1) new stwTabLine(1, 30); else $trennung = 1;

    /* jede IQS ausgeben */
    while ($zeile = mysql_fetch_row($erg))
    {
      $pro = new stwProjekt($zeile[1]);

      /* mehr als 14 Tage Zeit vergangen - rot blinken */
      if ((time() - $zeile[2]) > 1209600)
      {
        $style = "name=\"blink\" style=\"color:red;\"";
        $title = stwToolTip('seit 14 Tagen kein OK vom Hauptbetreuer');
      }
      else
      {
        $style = '';
      }

      echo "<tr><td><a href=\"pro_qs.php?hp_id=$zeile[0]&proj_id=$zeile[1]";
      echo "&jump=1\" $style $title>IQS " . $pro->nummer();
      echo " best&auml;tigen</a></td></tr>\n";
    }

    echo "</table></td></tr>\n";
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit IQS: $laufzeit Sek. -->\n";
	}
	flush();
  }
  /* ENDE Modul B3: IQS */


	/* Modul B4: ZEITKARTENUEBERSCHNEIDUNGEN */
	echo "<tr id=\"zk_ueberschn\"></tr>\n";
	echo "<script type=\"text/javascript\"><!--\n xajax_zkUeberschneidung($uid);\n--></script>\n";
	/* Ende Modul B4: ZEITKARTENUEBERSCHNEIDUNGEN */


	/* Modul B5: LOM-EINSATZVORBEREITUNG */

	 /*
	  * Anzeige der Einsatzvorbereitung die noch offen ist oder die
	  * die gerade laeuft.
	  *
	  * Auswahlkriterien: - nur fuer angemeldeten Nutzer
	  *                   - ab aktuellen Tag
	  */
	 $sql  = "SELECT date_format(t2.von,'%d.%m.%Y'), t3.ga_art, t1.thema, ";
	 $sql .= "t4.vorname, t4.name, t1.lom_id, ";
	 $sql .= "TO_DAYS(t2.von), TO_DAYS(t1.ev_adatum), TO_DAYS(CURDATE()) ";
	 $sql .= "FROM tb_lom t1 ";
	 $sql .= "LEFT JOIN tb_termine t2 ON t2.termin_id = t1.termin_id ";
	 $sql .= "LEFT JOIN tb_ga_art t3 ON t1.art_id = t3.art_id ";
	 $sql .= "LEFT JOIN tb_personal t4 ON t1.pers_id = t4.pers_id ";
	 $sql .= "WHERE t1.ev_pers_id = '$uid' ";
	 $sql .= "and TO_DAYS(t2.von) >= TO_DAYS(CURDATE()) ";
	 $sql .= "ORDER BY UNIX_TIMESTAMP(t2.von) ASC;";

	 $erg  = abfrage1($sql);
	 if (mysql_num_rows($erg) > 0)
	 {
	   /* Ausgabe starten */
	   echo "<tr><td><table width=\"370\">\n";
	   if ($trennung == 1){
			new stwTabLine(1,30);
		} else {
			$trennung = 1;
		}

	   /* Ueberschrift Einsatzvorbereitung ausgeben */
	   echo "<tr><th colspan=\"4\">";
	   echo "<a href=\"lom.php\"" . stwToolTip('LOM Projekte &Uuuml;bersicht');
	   echo ">Einsatzvorbereitung</a></th></tr>\n";

	   /* jeden Datensatz fuer die Einsatzvorbereitung durchgehn */
	   for ($i = 0; $i < mysql_num_rows($erg); $i++)
	   {
	     $zeile = mysql_fetch_row($erg);
	     echo "<tr>\n";

	     /* festlegen der Datumsfarbe - groesser gleich 7 Tage */
	     if (($zeile[6] < $zeile[8] + 7) &&
	         (empty($zeile[7]) || $zeile[7] > $zeile[8]))
	     {
	       /*
	        * nicht mehr als 7 Tage Zeit um Vorbereitung zu starten
	        * keine Vorbereitung oder Startdatum liegt in der Zukunft
	        */
	       $style = "style=\"color:red\"";
	     }
	     else if (($zeile[6] >= $zeile[8] + 7) &&
	              (empty($zeile[7]) || $zeile[7] > $zeile[8]))
	     {
	       /*
	        * ueber 7 Tage noch Zeit um Vorbereitung zu starten
	        * noch nichts passiert oder der Termin liegt in der
	        * Zukunft
	        */
	       $style = "style=\"color:yellow\"";
	     }
	     else
	     {
	       $style = "";
	     }

	     /* Datum */
	     echo "<td><a href=\"lom_and.php?lom_id=$zeile[5]\" $style";
	     echo stwToolTip('LOM Projekt bearbeiten') . ">$zeile[0]</a></td>\n";

	     /* Art */
	     echo "<td>$zeile[1]</td>\n";

	     /* Thema */
	     echo "<td>$zeile[2]</td>\n";

	     /* paed. Leiter */
	     echo "<td>$zeile[3]&nbsp;$zeile[4]</td>\n";

	     echo "</tr>\n";
	   }
	   echo "</table></td></tr>\n";
		if (!empty($zeit_start)) {
			$zeit = explode(" ",microtime());
			$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
			$zeit_ende = $zeit[0] + $zeit[1];
			$laufzeit = $zeit_ende - $zeit_last;
			$laufzeit = round($laufzeit, 4);
			echo "<!-- Abarbeitungszeit LOM-EINSATZPLANUNG: $laufzeit Sek. -->\n";
		}
	   flush();

	 } // Ende Einsatzvorbereitung
	/* ENDE Modul B5: LOM-EINSATZPLANUNG */


	/* Modul B6.1: FEHLZEITEN */
	// Abfragen fuer Untertabelle Fehlzeiten
	$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%y'), ";
	$sql .= "date_format(t.bis, '%d.%m.%y'), ";
	$sql .= "concat(left(p.vorname, 1), '. ', p.name), a.name, p.pers_id ";
	$sql .= "from tb_fehlz f ";
	$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
	$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
	$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
	$sql .= "where f.pers_id = '$uid' ";
	$sql .= "and to_days(t.von) - to_days(curdate()) <= '28' ";
	$sql .= "and to_days(t.bis) - to_days(curdate()) >= '0' ";
	$sql .= "and (f.antrag is null or f.antrag = 0) ";
	$sql .= "order by unix_timestamp(t.von) asc;";
	$fez = abfrage1($sql);

	$b_gen = false;
	if ($ulv >= 96){
		$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%y'), ";
		$sql .= "date_format(t.bis, '%d.%m.%y'), ";
		$sql .= "concat(left(p.vorname, 1), '. ', p.name), a.name, p.pers_id, ";
		$sql .= "to_days(t.von) - to_days(now()), p.standard_abteilung, f.fokus, f.antrag ";
		$sql .= "from tb_fehlz f ";
		$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
		$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
		$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
		$sql .= "where (f.antrag = 1 or f.fokus = 1) and f.genehmigt IS NULL ";
		$sql .= "order by unix_timestamp(t.von) asc;";
		$gen = abfrage1($sql);
		$b_gen = true;
	} else{
		$sql  = "select distinct f.fehlz_id, date_format(t.von, '%d.%m.%y'), ";
		$sql .= "date_format(t.bis, '%d.%m.%y'), ";
		$sql .= "concat(left(p.vorname, 1), '. ', p.name), a.name, p.pers_id, ";
		$sql .= "to_days(t.von) - to_days(now()), p.standard_abteilung, f.fokus, f.antrag ";
		$sql .= "from tb_fehlz f ";
		$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
		$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
		$sql .= "left join tbh_pers_abt pa on f.pers_id = pa.pers_id ";
		$sql .= "left join tb_personal_abt_leit al on pa.abt_id = al.abt_id ";
		$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
		$sql .= "where (f.antrag = 1 or f.fokus = 1) and f.genehmigt IS NULL ";
		$sql .= "and al.pers_id = '$uid' and al.personal='j' ";
		$sql .= "order by unix_timestamp(t.von) asc;";
		$gen = abfrage1($sql);
		$b_gen = true;
	}

	if (is_fokus($uid)){
		$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%y'), ";
		$sql .= "date_format(t.bis, '%d.%m.%y'), ";
		$sql .= "concat(left(p.vorname, 1), '. ', p.name), a.name, p.pers_id ";
		$sql .= "from tb_fehlz f ";
		$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
		$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
		$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
		$sql .= "where f.antrag = 1 and f.genehmigt IS NULL ";
		$sql .= "and f.fokus IS NULL and p.fokus = '$uid' ";
		$sql .= "order by unix_timestamp(t.von) asc;";

		$fok = abfrage1($sql);
	}

	if (mysql_num_rows($fez) > 0 || ($b_gen && mysql_num_rows($gen) > 0) ||
	   (is_fokus($uid) && mysql_num_rows($fok) > 0)) {
		// Untertabelle Fehlzeiten, wenn MA "abwesend" (Urlaub, krank, ...) sind
		echo "<tr><td><table width=\"370\">\n";
		if ($trennung == 1){
			new stwTabLine(1,30);
		} else {
			$trennung = 1;
		}
		/* Anzeige */
		if (mysql_num_rows($fez) > 0){
			echo "<tr><th colspan=\"10\"><a href=\"fehlz.php\">";
			echo "Fehlzeiten beantragen!</a></th></tr>";
			while ($row = mysql_fetch_row($fez)){
				echo "<tr><td class=\"cl1\"><a href=\"fehlz_and.php?fehlz_id=$row[0]\">";
				echo $row[1] . "&nbsp;-&nbsp;" . $row[2] . "</a></td>";
				echo "<td>".pers_nummer($row[5])."</td>";
				echo "<td class=\"cl1\">$row[3]</td>";
				echo "<td class=\"cl1\">" . print_stdabt_link($row[5],true) . "</td>";
				echo "<td>$row[4]</td></tr>\n";
			}
		}

		if ($b_gen && mysql_num_rows($gen) > 0) {
			$tr = false;
			while ($row = mysql_fetch_row($gen)){
				if($row[6] > 3 && check_al_rechte($row[5]) < 2) {
					$sql = "select pers_id from tb_personal_abt_leit
							where personal='j' and abt_id='$row[7]'";
					$abl = abfrage1($sql);
					if(mysql_num_rows($abl) > 0) continue;
				}
				if($tr == false) {
					echo "<tr><th colspan=\"10\"><a href=\"fehlz.php\">";
					echo "Fehlzeiten genehmigen!</a></th></tr>";
					$tr = true;
				}
				$backgr = $row[8]>0 ? ' style="background-color:#666666;"' : '';
				echo "<tr><td class=\"cl1\"";
				if(empty($row[9]) && $row[8]>0) echo stwToolTip("<b>Fehler:</b> Fokus gesetzt, Antrag nicht") . "style=\"background-color:hotpink\"";
				elseif($row[6] <= 7) echo " style=\"background-color:red\"";
				else echo $backgr;
				echo "><a href=\"fehlz_and.php?fehlz_id=$row[0]\"";
				if($row[6] <= 3) echo " name=\"blink\"";
				echo ">" . $row[1] . "&nbsp;-&nbsp;" . $row[2] . "</a></td>";
				echo "<td $backgr>".pers_nummer($row[5])."</td>";
				echo "<td $backgr class=\"cl1\"";
				if(arbeitstage(date_gr2ts($row[1]),date_gr2ts($row[2])) > 3) {
					$sql  = "select distinct h.proj_id from tbh_pers_proj h ";
					$sql .= "inner join tb_projekte p on h.proj_id = p.proj_id ";
					$sql .= "left join tb_hilfeart a on a.hilfeart_id = p.hilfeart_id ";
					$sql .= "left join tb_personaltyp s ON h.personaltyp_id = s.personaltyp_id ";
					$sql .= "left join tbh_pers_proj p2 on h.proj_id = p2.proj_id ";
					$sql .= "left join tbh_fehlz_vertretung v on p.proj_id = v.proj_id ";
					$sql .= "where h.pers_id = '$row[5]' and p.projektnr < 5000 ";
					$sql .= "and (v.geklaert = 0 or v.geklaert is NULL) ";
					$sql .= "and (a.vertretung = 0 or a.vertretung is NULL) ";
					$sql .= "and (h.personaltyp_id IN (1,8,9)) ";
					$sql .= "and (p.ende is NULL or p.ende = '0000-00-00' or ";
					$sql .= "to_days(p.ende) > to_days('".date_gr2my($row[1])."')) ";
					$res = abfrage1($sql);
					$blink = false;
					while($zeile = mysql_fetch_row($res)) {
						$beg = projektbeginn_ts($zeile[0]);
						if($beg && $beg < date_gr2ts($row[2])) {
							$blink = true;
							break;
						}
					}
					if($blink) echo " name=\"blink\"" . stwToolTip("noch nicht alle Vertretungen gekl&auml;rt");
				}
				echo ">$row[3]</td>";
				echo "<td $backgr class=\"cl1\">" . print_stdabt_link($row[5],true) . "</td>";
				echo "<td $backgr>$row[4]</td>";
				echo "</tr>\n";
			}
		}

		if (is_fokus($uid) && mysql_num_rows($fok) > 0) {
			echo "<tr><th colspan=\"10\"><a href=\"fehlz.php\">";
			echo "Fehlzeiten bef&uuml;rworten!</a></th></tr>";
			while ($row = mysql_fetch_row($fok)){
				echo "<tr><td class=\"cl1\"><a href=\"fehlz_and.php?fehlz_id=$row[0]\">";
				echo $row[1] . "&nbsp;-&nbsp;" . $row[2] . "</a></td>";
				echo "<td>".pers_nummer($row[5])."</td>";
				echo "<td class=\"cl1\">$row[3]</td>";
				echo "<td class=\"cl1\">" . print_stdabt_link($row[5],true) . "</td>";
				echo "<td>$row[4]</td>";
				echo "</tr>\n";
			}
		}

	echo "</table></td></tr>\n";
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit FEHLZEITEN: $laufzeit Sek. -->\n";
	}
	flush();

	} // Ende Untertabelle Fehlzeiten
	/* ENDE Modul B6.1 FEHLZEITEN */


	/* Modul B6.2 - FEHLZEITENUEBERSCHNEIDUNGEN */

  /* sichtbar ab Level 96 */
    $sql = "select fehlz_id, pers_id from tb_fehlz_ueberschneidung order by pers_id asc";
    $fzus = abfrage1($sql);

    $showHeader = true;
	$lastPers = 0;
	/* zeigt ueberschneidende Fehlzeiten wenn vorhanden an */
	while ($fzu = mysql_fetch_row($fzus)) {
		if ($ulv < 96 && check_al_rechte($fzu[1]) != 2) continue;
		if ($showHeader) {
			/* Ueberschrift fuer diesen Bereich ausgeben */
			echo "<tr><td><table width=\"370\">\n";

			/* rote Trennlinie wenn darueber etwas ist */
			if ($trennung == 1) new stwTabLine(1,30); else $trennung = 1;
			echo "<tr><th colspan=\"99\">Fehlzeiten&uuml;berschneidungen!</th></tr>\n";
			$showHeader = false;
		}
		if($lastPers != $fzu[1]) new stwTabLine(2,30);
		$sql = "SELECT date_format(t2.von, '%d.%m.%y'),
				date_format(t2.bis, '%d.%m.%y'),
				t1.pers_id, t3.name
				FROM tb_fehlz t1
				LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id
				LEFT JOIN tb_terminart t3 ON t2.terminart = t3.terminart
				WHERE t1.fehlz_id = '$fzu[0]';";
		$fz = abfrage($sql);

		echo "<tr><td class=\"cl11\"><a href=\"fehlz_and.php?";
		echo "fehlz_id=$fzu[0]\">$fz[0] - $fz[1]</a></td>\n";
		echo "<td class=\"cl11\">" . pers_kname($fz[2]) . "</td>\n";
		echo "<td class=\"cl11\">$fz[3]</td></tr>\n";
		$lastPers = $fzu[1];
	}
	if (!empty($zeit_start)) {
		$zeit = explode(" ",microtime());
		$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
		$zeit_ende = $zeit[0] + $zeit[1];
		$laufzeit = $zeit_ende - $zeit_last;
		$laufzeit = round($laufzeit, 4);
		echo "<!-- Abarbeitungszeit FEHLZEITENUEBERSCHNEIDUNGEN: $laufzeit Sek. -->\n";
	}
	if($showHeader == false) {
		echo "</table></td></tr>\n";
		flush();
	}
  /* ENDE Modul B6.2 FEHLZEITENUEBERSCHNEIDUNGEN */


	/* Modul B7: HONORARFESTLEGUNGEN */
	$sql  = "select z.proj_id, z.pers_id from tb_ab_zk z ";
	$sql .= "left join tbh_pers_proj t on z.proj_id = t.proj_id ";
	$sql .= "and z.pers_id = t.pers_id ";
	$sql .= "left join tb_personal p on z.pers_id = p.pers_id ";
	$sql .= "where p.besch_id = 2 and (t.kl_id = 0 or t.kl_id is null) ";
	$sql .= "and (z.ab_monat is null or z.ab_monat = '0000-00-00' ";
	$sql .= "or z.ab_monat = '') and z.ab = 'j' and z.code != 'r' ";
	$sql .= "group by z.pers_id order by p.name asc, p.vorname asc;";
	$hon = abfrage1($sql);

	if (mysql_num_rows($hon) > 0 && $ulv >= 96){
		echo "<tr><td><table width=\"370\">\n";
		if ($trennung == 1){
			new stwTabLine(1,30);
		} else {
			$trennung = 1;
		}
		echo "<tr><th colspan=\"3\">";
		echo "Honorars&auml;tze festlegen!</th></tr>\n";

		while ($row = mysql_fetch_row($hon)){
			$pro = new stwProjekt($row[0]);
			echo "<tr><td class=\"cl1\">";
			echo "<a href=\"pro_betr.php?proj_id=$pro->id&pers_id=$row[1]\">";
			echo $pro->nummer() . "</a></td><td>" . pers_kname($row[1]) . "</td>";
			echo "</tr>\n";
		}
		echo "</table></td></tr>\n";
		if (!empty($zeit_start)) {
			$zeit = explode(" ",microtime());
			$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
			$zeit_ende = $zeit[0] + $zeit[1];
			$laufzeit = $zeit_ende - $zeit_last;
			$laufzeit = round($laufzeit, 4);
			echo "<!-- Abarbeitungszeit Honorarfestlegungen: $laufzeit Sek. -->\n";
		}
		flush();
	}
	/* ENDE Modul B7: Honorarfestlegungen */


	/* Modul B8: Personaldaten aktualisieren */

	/* Wenn Benutzerlevel ab 97 oder Benutzer im entsprechenden Rechteobjekt
	 * gespeichert, dann pruefen, ob gewisse Personaldaten aller aktiven
	 * Angestellten vorhanden sind. Wenn Daten fehlen, dann die entsprechenden
	 * Mitarbeiter auflisten
	 *
	 * Erweiterung fkrueger, 30.01.2009:
	 * Auflistung kann ber Konfiguration ausgeblendet werden (pd_zeige_warnung)
	*/

	/* Level ab 97 oder Rechteobjekt 45 erforderlich ... */
	if ( check_nutzer_rechte(45) && intval( getConf("pd_zeige_warnung") ) ) {
		echo "<tr id=\"pd_warnung\"></tr>\n";
		echo "<script type=\"text/javascript\"><!--\n xajax_pdWarnung();\n--></script>\n";
	}
	/* ENDE Modul B8: Personaldaten aktualisieren */


	/* Modul B8: AZV-Daten aktualisieren */

	/*
	 * Level ab 97 oder Rechteobjekt 45 erforderlich ...
	 *
	 * Erweiterung fkrueger, 30.01.2009:
	 * Auflistung kann ber Konfiguration ausgeblendet werden (azv_zeige_warnung)
	 */
	if ( check_nutzer_rechte(45) && intval( getConf("azv_zeige_warnung") ) ) {

		/* alle aktiven Angestellten abfragen */
		$sql  = "select pers_id from tb_personal ";
		$sql .= "where status_id = '2' and (besch_id = '1' or besch_id = '4') ";
		$sql .= "order by vorname asc, name asc;";
		$mas = abfrage1($sql);

		$fehl = array();

		while ($ma = mysql_fetch_row($mas)){
			/* Anstellung, LAS und Urlaub (+Verguetungsgruppe, Datum Ende) der letzten AZV abfragen */
			$sql  = "select paz_id, anst, las, urlaub, vg, unix_timestamp(bis) as bis from tb_paz ";
			$sql .= "where pers_id = '$ma[0]' order by von desc limit 1;";
			$paz = abfrage_assoc($sql);

			if (empty($paz['anst']) || empty($paz['las']) || empty($paz['urlaub']) || empty($paz['vg'])
				|| empty($paz['bis']) || ($paz['bis'] < mktime()) ){
				$fehl[$ma[0]] = $paz['paz_id'];
			}
		}

		if (!empty($zeit_start)) {
			$zeit = explode(" ",microtime());
			$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
			$zeit_ende = $zeit[0] + $zeit[1];
			$laufzeit = $zeit_ende - $zeit_last;
			$laufzeit = round($laufzeit, 4);
			echo "<!-- Abarbeitungszeit AZV-Daten aktualisieren(Abfrage): $laufzeit Sek. -->\n";
		}
		if (count($fehl) > 0){
			echo "<tr><td><table width=\"370\">\n";
			if ($trennung == 1){
				new stwTabLine(1,30);
			} else {
				$trennung = 1;
			}

			/* Meldung ausgeben */
			echo "<tr><th $style>AZV-Daten aktualisieren:</th></tr>\n";
			new stwTabLine(2,5);

			foreach ($fehl as $k => $v){
				echo "<tr><td><a href=\"pers_azv_and.php?".(empty($v) ? '' : "paz_id=$v&")."pers_id=$k&highlight=1\"";
				echo stwToolTip(pers_name($k));
				echo '>' . pers_nummer($k) . "</a></td></tr>\n";
			}
			echo "</table></td></tr>\n";
			if (!empty($zeit_start)) {
				$zeit = explode(" ",microtime());
				$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
				$zeit_ende = $zeit[0] + $zeit[1];
				$laufzeit = $zeit_ende - $zeit_last;
				$laufzeit = round($laufzeit, 4);
				echo "<!-- Abarbeitungszeit AZV-Daten aktualisieren(Ausgabe): $laufzeit Sek. -->\n";
			}
			flush();
		}
	}
	/* Ende Modul B8: AZV-Daten aktualisieren */


	/* Modul B10: PC-Feedback */

	if ($ulv >= 96 || check_nutzer_rechte(3) || check_nutzer_rechte(17)) {
		if ($ulv >= 96){
			$sql  = "select t1.pc_id, pc.name, t1.feedback, ";
			$sql .= "date_format(t1.datetime,'%d.%m.%Y'), ";
			$sql .= "concat(left(t2.vorname,1), '. ', t2.name), ";
			$sql .= "t1.fb_id, date_format(t1.datetime, '%H:%i'), ";
			$sql .= "t1.erl_edv, t1.erl_gf, t1.proj_id, ";
			$sql .= "if (t1.proj_id is null or t1.proj_id = 0, 99, t1.prio) as sort1 ";
			$sql .= "from tb_pc_fb t1 ";
			$sql .= "left join tb_personal t2 on t1.pers_id = t2.pers_id ";
			$sql .= "left join tb_projekte t3 on t1.proj_id = t3.proj_id ";
			$sql .= "left join tb_pc pc on t1.pc_id = pc.pc_id ";

      /* Geschaeftsfuehrer sehen MA erledigt oder nicht zugeordnet */
      $sql .= "WHERE t1.erl_gf IS NULL ";
      $sql .= "AND (t1.erl_edv = 1 OR t1.proj_id IS NULL OR t1.proj_id = 0) ";
      $sql .= "ORDER BY t1.prio DESC, ";
      $sql .= "UNIX_TIMESTAMP(NOW()) - UNIX_TIMESTAMP(t1.datetime) ASC;";

		} else {

      /* Bereich wenn alle Projekte oder nur eigene gezeigt werden sollen */
  		$sql  = "select t1.pc_id, pc.name, t1.feedback, ";
			$sql .= "date_format(t1.datetime,'%d.%m.%Y'), ";
			$sql .= "concat(left(t2.vorname,1), '. ', t2.name), ";
			$sql .= "t1.fb_id, date_format(t1.datetime, '%H:%i'), ";
			$sql .= "t1.erl_edv, t1.erl_gf, t1.proj_id, ";
			$sql .= "if (t1.proj_id is null or t1.proj_id = 0, 99, t1.prio) as sort1 ";
			$sql .= "from tb_pc_fb t1 ";
			$sql .= "left join tb_personal t2 on t1.pers_id = t2.pers_id ";
			$sql .= "left join tb_projekte t3 on t1.proj_id = t3.proj_id ";
			$sql .= "left join tbh_pers_proj t4 on t1.proj_id = t4.proj_id ";
			$sql .= "left join tb_pc pc on t1.pc_id = pc.pc_id ";
      /*
       * Die Ergebniss ein wenig einschraenken. GF erledigt werden
       * nicht benoetigt. Rest zeigen.
       */
      $sql .= "WHERE t1.erl_gf IS NULL ";

      /* nur eigene PC Feedbacks anzeigen und nicht alle */
      if (check_nutzer_rechte(17)){
        $sql .= "AND t4.pers_id = '$uid' ";
      }

      /* alle PC Feedbacks anzeigen OHNE Prioritaet niedrig  */
      if (check_nutzer_rechte(3)){
        $sql .= "AND t1.prio !=1 ";
      }
      $sql .= "ORDER BY t1.prio DESC, ";
      $sql .= "UNIX_TIMESTAMP(NOW()) - UNIX_TIMESTAMP(t1.datetime) ASC;";
    }

		$res = abfrage1($sql);

		if (mysql_num_rows($res) > 0){
			echo "<tr><td><table width=\"370\">\n";
			if ($trennung == 1){
				new stwTabLine(1,30);
			} else {
				$trennung = 1;
			}
			echo "<tr><th colspan=\"5\">";
			echo "<a href=\"pc_fb.php\">PC-Feedbacks</a></th></tr>\n";
			echo "<tr><th class=\"cl1\">Ger&auml;t</th>\n";
			echo "<th class=\"cl1\">Projekt</th>\n";
			echo "<th class=\"cl1\">EDV</th>\n";
			echo "<th class=\"cl1\">GF</th>\n";
			echo "</tr>\n";
			new stwTabLine(2,30);

			while ($fb = mysql_fetch_row($res)){
				echo "<tr>\n";
				echo "<td class=\"cl1\">";

				if ($fb[8] == 1){
					$style = "style=\"color:#999999\"";
			  } elseif ($fb[10] > 2){
			  	$style = "style=\"color:#FF0000\"";
			  } elseif ($fb[10] < 2) {
			   	$style = "style=\"color:#CCCCCC\"";
			  } else {
			   	$style = '';
			  }

				echo "<a href=\"pc_fb_and.php?fb_id=$fb[5]\" $style";
				stwToolTip($fb[2]);
				echo ">$fb[1]</a></td>\n";

				echo "<td class=\"cl1\">";
				if ($fb[9] > 0){
					$pro = new stwProjekt($fb[9]);
					echo "<a href=\"pro_daten.php?proj_id=$fb[9]\">";
					echo $pro->nummer() . "</a>";
				}
				echo "</td>\n";

				if ($fb[7] > 0) {
					$col = 'green';
					$pr = abfrage("select erl_edv_id, date_format(erl_edv_time, '%d.%m.%Y - %H:%i')
									from tb_pc_fb where fb_id = $fb[5];");
					$title = pers_kname($pr[0]) . ", $pr[1]";
				} else {
					$col = 'red';
					$title = "noch nicht vom EDV-Mitarbeiter erledigt";
				}
			    echo "<td class=\"cl11\"" . stwToolTip($title) . '>';
			    echo "<img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";
				if ($fb[8] > 0) {
					$col = 'green';
					$gf = abfrage("select erl_gf_id, date_format(erl_gf_time, '%d.%m.%Y - %H:%i')
									from tb_pc_fb where fb_id = $fb[5];");
					$title = pers_kname($gf[0]) . ", $gf[1]";
				} else {
					$col = 'red';
					$title = "noch nicht vom Gesch&auml;ftsf&uuml;hrer als erledigt markiert";
				}
			    echo "<td class=\"cl11\"" . stwToolTip($title) . '>';
			    echo "<img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";

				echo "</tr>\n";
			}
			echo "</table></td></tr>\n";
			if (!empty($zeit_start)) {
				$zeit = explode(" ",microtime());
				$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
				$zeit_ende = $zeit[0] + $zeit[1];
				$laufzeit = $zeit_ende - $zeit_last;
				$laufzeit = round($laufzeit, 4);
				echo "<!-- Abarbeitungszeit PC-Feedback: $laufzeit Sek. -->\n";
			}
			flush();
		}
	}
	/* ENDE Modul B10: PC-Feedback */


	/* Modul B11: PKW-Feedback */
	if ($ulv >= 96 || check_nutzer_rechte(11)){
    if ($ulv >= 96){
		  $sql  = "select t1.res_id, r.name, t1.feedback, ";
		  $sql .= "date_format(t1.datetime,'%d.%m.%Y'), ";
		  $sql .= "concat(left(t2.vorname,1), '. ', t2.name), ";
		  $sql .= "t1.fb_id, date_format(t1.datetime, '%H:%i'), ";
			$sql .= "t1.erl_ma, t1.erl_gf, t1.proj_id, ";
			$sql .= "if (t1.proj_id is null or t1.proj_id = 0, 99, t1.prio) as sort1 ";
			$sql .= "from tb_res_fb t1 ";
			$sql .= "left join tb_personal t2 on t1.pers_id = t2.pers_id ";
			$sql .= "left join tb_projekte t3 on t1.proj_id = t3.proj_id ";
			$sql .= "left join tb_ressourcen r on t1.res_id = r.res_id ";
			$sql .= "where t1.erl_gf is null ";
			$sql .= "and (t1.proj_id is null or t1.proj_id = 0 or t1.erl_ma = 1) ";
			$sql .= "order by sort1 desc, ";
			$sql .= "unix_timestamp(now()) - unix_timestamp(t1.datetime) asc;";

    } else {

    	$sql  = "select t1.res_id, r.name, t1.feedback, ";
		  $sql .= "date_format(t1.datetime,'%d.%m.%Y'), ";
		  $sql .= "concat(left(t2.vorname,1), '. ', t2.name), ";
		  $sql .= "t1.fb_id, date_format(t1.datetime, '%H:%i'), ";
			$sql .= "t1.erl_ma, t1.erl_gf, t1.proj_id, ";
			$sql .= "if (t1.proj_id is null or t1.proj_id = 0, 99, t1.prio) as sort1 ";
			$sql .= "from tb_res_fb t1 ";
			$sql .= "left join tb_personal t2 on t1.pers_id = t2.pers_id ";
			$sql .= "left join tb_projekte t3 on t1.proj_id = t3.proj_id ";
			$sql .= "left join tb_ressourcen r on t1.res_id = r.res_id ";
			$sql .= "where t1.erl_gf is null order by sort1 desc, ";
			$sql .= "unix_timestamp(now()) - unix_timestamp(t1.datetime) asc;";

    }

		$res = abfrage1($sql);

		if (mysql_num_rows($res) > 0){
			echo "<tr><td><table width=\"370\">\n";
			if ($trennung == 1){
				new stwTabLine(1,30);
			} else {
				$trennung = 1;
			}
			echo "<tr><th colspan=\"5\">";
			echo "<a href=\"pkw_fb.php\">PKW-Feedbacks</a></th></tr>\n";
			echo "<tr><th class=\"cl1\">PKW</th>\n";
			echo "<th class=\"cl1\">Projekt</th>\n";
			echo "<th class=\"cl1\">MA</th>\n";
			echo "<th class=\"cl1\">GF</th>\n";
			echo "</tr>\n";
			new stwTabLine(2,30);

			while ($fb = mysql_fetch_row($res)){
				echo "<tr>\n";
				echo "<td class=\"cl1\">";

				if ($fb[8] == 1){
    				$style = "style=\"color:#999999\"";
			    } elseif ($fb[10] > 2){
			    	$style = "style=\"color:#FF0000\"";
			    } elseif ($fb[10] < 2) {
			    	$style = "style=\"color:#CCCCCC\"";
			    } else {
			    	$style = '';
			    }

				echo "<a href=\"pkw_fb_and.php?fb_id=$fb[5]\" $style";
				stwToolTip($fb[2]);
				echo ">$fb[1]</a></td>\n";

				echo "<td class=\"cl1\">";
				if ($fb[9] > 0){
					$pro = new stwProjekt($fb[9]);
					echo "<a href=\"pro_daten.php?proj_id=$fb[9]\">";
					echo $pro->nummer() . "</a>";
				}
				echo "</td>\n";

				if ($fb[7] > 0) {
					$col = 'green';
					$pr = abfrage("select erl_ma_id, date_format(erl_ma_time, '%d.%m.%Y - %H:%i')
									from tb_res_fb where fb_id = $fb[5];");
					$title = pers_kname($pr[0]) . ", $pr[1]";
				} else {
					$col = 'red';
					$title = "noch nicht vom Mitarbeiter erledigt";
				}
			    echo "<td class=\"cl11\"" . stwToolTip($title) . '>';
			    echo "<img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";
				if ($fb[8] > 0) {
					$col = 'green';
					$gf = abfrage("select erl_gf_id, date_format(erl_gf_time, '%d.%m.%Y - %H:%i')
									from tb_res_fb where fb_id = $fb[5];");
					$title = pers_kname($gf[0]) . ", $gf[1]";
				} else {
					$col = 'red';
					$title = "noch nicht vom Gesch&auml;ftsf&uuml;hrer als erledigt markiert";
				}
			    echo "<td class=\"cl11\"" . stwToolTip($title) . '>';
			    echo "<img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";

				echo "</tr>\n";
			}
			echo "</table></td></tr>\n";
			if (!empty($zeit_start)) {
				$zeit = explode(" ",microtime());
				$zeit_last = isset($zeit_ende) ? $zeit_ende : $zeit_start;
				$zeit_ende = $zeit[0] + $zeit[1];
				$laufzeit = $zeit_ende - $zeit_last;
				$laufzeit = round($laufzeit, 4);
				echo "<!-- Abarbeitungszeit PKW-Feedback: $laufzeit Sek. -->\n";
			}
			flush();
		}
	}
	/* ENDE Modul B11: PKW-Feedback */

	/* Ende Zelle/Tabelle fuer Spalte B */
	echo "</table></td>\n";

	/* Ende Tabelle DASHBOARD */
	echo "</tr></table>\n";
	/* --------------------- ENDE DASHBOARD --------------------- */

	new stwLine(1);
	echo "<table><tr>\n";

	if ($_SESSION[$AppCode]["OK"]){
		if ($ulv > 5) {
			echo "<td class=\"cl11\"><input type=\"button\" value=\"neuer Beitrag\" ";
			echo "onClick=\"self.location.href='news_and.php'\"></td>\n";
		}

		echo "<td class=\"cl11\"><a href=\"news.php\">news</a></td>\n";
		echo "<th>Suche :</th>\n";
		echo "<form action=\"news.php\" method=\"POST\">\n";
		echo "<td><input type=\"text\" name=\"suche\" size=\"25\" maxlength=\"50\"></td>\n";
		echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
		echo "</form>\n";
	}

	// Hier ggf. Ergnzungen fr Tagesbereitschaft

	$wd = mktime(0,0,0,date('n'), date('d')+7,date('Y'));

	$ber1 = abfrage("select pers_id from tb_bereit where datum = '".getWeekFirstDay('Y-m-d', $wd)."';");
	$ber2 = abfrage("select pers_id from tb_bereit where datum = '".getWeekFirstDay()."';");

	if ($_SESSION[$AppCode]["OK"] && ($ber1[0] == $uid || $ber2[0] == $uid)){
		echo "<td width=\"300\" style=\"background-color:#FF0000;font-weight:bold;color:yellow;font-size:11pt;text-align:center\">";
		if ($ber1[0] == $uid){
			echo "<span name=\"blink\">&nbsp;&nbsp;Du hast n&auml;chste Woche Bereitschaft!&nbsp;&nbsp;</span>";
		} elseif ($ber2[0] == $uid){
			echo "&nbsp;&nbsp;Du hast diese Woche Bereitschaft!&nbsp;&nbsp;";
		}
		echo "</td>";
	}

	echo "</tr></table>\n";
	new stwLine(1);
}

/* die Farbe fuer den Newsbalken */
$headcolor = "#AAAAAA";

$sql = "select distinct b.beitrag_id, b.titel, b.beitrag,
		date_format(b.zeit, '%d.%m.%Y') as bt_datum, 
		date_format(b.zeit, '%H:%i') as bt_zeit, 
		b.pers_id, b.team_art_id 
		from tb_beitrag b 
		where zeit > date_sub(now(), INTERVAL 14 DAY)
		order by b.zeit desc;";

$res = abfrage1($sql);

echo "<table width=\"750\" border=\"0\" cellpadding=\"5\" cellspacing=\"0\">\n";

while ($zeile = mysql_fetch_array($res)) {
	$doIt = false;
	$Name = '';
	$balken = "#A0A0A0";
	if($_SESSION[$AppCode]['OK']) {
		if ($ulv > 5 && $zeile['team_art_id'] == 999) {
			$doIt = true;
			$Name = 'Angemeldete Benutzer';
		} elseif($zeile['team_art_id'] == 998) {
			$ba = abfrage("select besch_id from tb_personal where pers_id = '$uid'");
			if($ba[0] == 1 || $ba[0] == 4) $doIt = true;
			$Name = 'Angestellte';
		} elseif($zeile['team_art_id'] < 0) {
			$abt_id = -1 * $zeile['team_art_id'];
			$abt = abfrage("select name, farbe from tb_personal_abt where abt_id='$abt_id'");
			$Name = $abt[0];
			if($abt[1]) $balken = $abt[1];
			$abts = abfrage1("select pers_id from tbh_pers_abt where pers_id='$uid' and abt_id='$abt_id'");
			if(mysql_num_rows($abts) > 0) $doIt = true;
			else {
				$abts = abfrage1("select pers_id from tb_personal_abt_leit where abt_id='$abt_id' and pers_id='$uid'");
				if(mysql_num_rows($abts) > 0) $doIt = true;
			}
		} else {
			$ta = abfrage("select farbe, if(length(lesegruppe_name)>0, lesegruppe_name, name) as name from tb_team_art where team_art_id='{$zeile['team_art_id']}'");
			$Name = $ta[1];
			if($ta[0]) $balken = $ta[0];
			$tas = abfrage1("select pers_id from tb_team_art_pers where pers_id='$uid' and team_art_id='{$zeile['team_art_id']}'");
			if(mysql_num_rows($tas) > 0) $doIt = true;
		}
	}
	if(empty($zeile['team_art_id']) || $ulv >= 97) $doIt = true;
	if($doIt) {
		echo "<tr>";

		$row1 = abfrage_array("select vorname, name from tb_personal p
								where p.pers_id = '$zeile[5]';");
		$farbe = pers_farbe($zeile['pers_id']);

		if (!empty($zeile['team_art_id'])) {
			echo "<td width=\"10\" style=\"background-color:$balken\"";
			if($Name) echo stwToolTip($Name);
			echo ">\n<td width=\"540\" style=\"background-color:$headcolor; ";
			echo "color:$farbe; font-size:13pt; font-weight:bold; ";
			echo "vertical-align:middle;white-space:normal\">\n";
		} else {
			echo "<td colspan=\"2\" width=\"550\" style=\"background-color:";
			echo "$headcolor; color:$farbe;	font-size:13pt; font-weight:bold; ";
			echo "vertical-align:middle;white-space:normal\">\n";
		}

		if ($_SESSION[$AppCode]['OK'] && $uid == $zeile[5]){
			echo "<a href=\"news_and.php?beitrag_id=$zeile[0]\" ";
			echo "style=\"color: $farbe;\">";
		}
		echo $zeile[1];
		if ($_SESSION[$AppCode]['OK'] && $uid == $zeile[5]){
			echo "</a>";
		}
		echo "</td>\n";
		echo "<td width=\"100\" style=\"background-color:$headcolor; ";
		echo "color:#000000; font-weight:bold\">\n";
		echo $row1['vorname'] . "<br>" . $row1['name'] . "</td>\n";

		echo "<td width=\"100\" style=\"background-color:$headcolor; ";
		echo "color:#000000; font-weight:bold\">\n";
		echo "$zeile[3]<br>$zeile[4]&nbsp;Uhr</td>\n";

		/* Dateilink zu dieser Eintragung anbieten */
		$daten = new stwDaten("8");
		$link  = $daten->get_klammer_link($_SESSION["webdir"],
										  $uid,
										  $ulv,
										  $zeile[0], "0");

		echo "<td style=\"background-color: $headcolor;\">$link</td>\n";

		if ($_SESSION[$AppCode]['OK'] && ($uid == $zeile[5] || $ulv >= 96)){
			echo "<td style=\"background-color:$headcolor; color:#000000; ";
			echo "font-weight:bold\"><a style=\"color:#FF0000\" ";
			echo "onclick=\"return confirm('Soll der Beitrag wirklich entfernt werden?')\" ";
			echo "href=\"news_del_sql.php?beitrag_id=$zeile[0]\" ";
			echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a></td>\n";
		} else {
			echo "<td style=\"background-color:$headcolor\"></td>\n";
		}

		echo "</tr>\n";

		$colspan = ($zle[0] >= 20) ? 6 : 7;

		echo "<tr bgcolor=\"#CCCCCC\"><td colspan=\"$colspan\" ";
 		echo "style=\"font-family:Courier New, Courier, mono; ";
 		echo "color:#000000;white-space:normal\">" .  nl2br($zeile[2]);
		echo "</td></tr><tr><td><img src=\"img/clearpixel.png\"></td></tr>\n";
	}
}
echo "</table>\n";
if (mysql_num_rows($res) > 0){
	new stwLine(1);
}

if(isset($_GET['selfdestruct'])) {
	echo "<script type=\"text/javascript\"><!--\n";
	echo "this.window.close();\n";
	echo "--></script>\n";
}

new stwEnd($seite);
?>