<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: info_pr.php 2914 2018-11-24 18:38:25Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 30;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]['TR']."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

class PDF_HTML extends PDF
{
    var $STYLE='';
    var $COLOR='';
    var $SIZE=2;
	var $zh=5;

    function WriteHTML($zh,$html)
    {
		$this->zh = $zh;
        //HTML parser
        $html = str_replace(array("\n", '&nbsp;', '&amp;', '&lt;', '&gt;', '<div><br></div>'), array('<br>', ' ', '&', '<', '>', '<br>'), $html);
        $a=preg_split('/<(.*)>/U', $html, -1, PREG_SPLIT_DELIM_CAPTURE);
        foreach($a as $i=>$e)
        {
            if($i%2==0)
            {
				$this->SetFont('',$this->STYLE,$this->SIZE*2+6);
				if($this->COLOR) {
					$R = hexdec($this->COLOR[1].$this->COLOR[2]);
					$R = $R*0.5;
					$G = hexdec($this->COLOR[3].$this->COLOR[4]);
					$G = $G*0.5;
					$B = hexdec($this->COLOR[5].$this->COLOR[6]);
					$B = $B*0.5;
					$this->SetTextColor($R,$G,$B);
				}

				$this->Write($this->zh, $e);

				$this->SetTextColor(0,0,0);
				$this->SetFont('',$this->STYLE,10);
            }
            else
            {
                //Tag
                if($e[0]=='/')
                    $this->CloseTag(strtoupper(substr($e, 1)));
                else
                {
                    //Extract properties
                    $a2=explode(' ', $e);
                    $tag=strtoupper(array_shift($a2));
                    $prop=array();
                    foreach($a2 as $v)
                    {
                        if(preg_match('/([^=]*)=["\']?([^"\']*)/', $v, $a3))
                            $prop[strtoupper($a3[1])]=$a3[2];
                    }
                    $this->OpenTag($tag, $prop);
                }
            }
        }
    }

    function OpenTag($tag, $prop)
    {
        //Opening tag
        if($tag=='B' || $tag=='I' || $tag=='U') if(strpos($this->STYLE,$tag) === false) $this->STYLE .= $tag;
        if($tag=='BR') $this->Ln($this->zh);
        if($tag=='H1') $this->SIZE=4;
        if($tag=='H2') $this->SIZE=3;
        if($tag=='HR') {
            if( !empty($prop['WIDTH']) )
                $Width = $prop['WIDTH'];
            else
                $Width = $this->w - $this->lMargin-$this->rMargin;
            $this->Ln(2);
            $x = $this->GetX();
            $y = $this->GetY();
            $this->SetLineWidth(0.4);
            $this->Line($x, $y, $x+$Width, $y);
            $this->SetLineWidth(0.2);
            $this->Ln(2);
        }
        if($tag=='FONT') {
			$this->COLOR=$prop['COLOR'];
			$this->SIZE=empty($prop['SIZE'])?2:$prop['SIZE'];
		}
    }

    function CloseTag($tag)
    {
        //Closing tag
        if($tag=='B' || $tag=='I' || $tag=='U')
            $this->STYLE = str_replace($tag,'',$this->STYLE);
        if($tag=='P')
            $this->Ln($this->zh);
        if($tag=='DIV')
            $this->Ln($this->zh);
        if($tag=='TR')
            $this->Ln($this->zh);
        if($tag=='TD' || $tag=='TH')
            $this->Write($this->zh,'  ');
        if($tag=='FONT') {
            $this->COLOR='';
            $this->SIZE=2;
		}
        if($tag=='H1' || $tag=='H2') 
			$this->SIZE=2;
    }
}

$pdf=new PDF_HTML('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(auto, 25);
$pdf->AliasNbPages();

$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);
$zh = 5;

$pdf->AddPage();

$info = abfrage_assoc("select * from tb_info where info_id = '$rvar_info_id';");

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(40, $zh, 'Kurzname:',0,0,'R');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(150, $zh, $info['info'],0,1);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(40, $zh, 'Erklrung:',0,0,'R');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(150, $zh, $info['text'],0,1);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(40, $zh, 'Stichworte:',0,0,'R');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(150, $zh, $info['stichworte'],0,1);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(40, $zh, 'betrifft Stellware:',0,0,'R');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(150, $zh, $info['stellware'] ? 'ja' : 'nein',0,1);

$pdf->Ln($zh);

$pdf->WriteHTML(4.5,$info['notizen']);

$pdf->Output();
exit;
?>
