<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: inventarisierung.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 44;
$level = 60;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 20);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function Inventarisiert($exist,$id,$typ,$uid,$check){
	$userResp = new xajaxResponse();
	if($exist == 0) {
		$ex = abfrage("select id from tb_inventarisierung where id='$id' and typ='$typ'");
		if(!empty($ex)) $exist = 1;
	}
	$sql = $exist ? "UPDATE" : "INSERT INTO";
	$sql .= " tb_inventarisierung SET ";
	if($check) $sql .= "pers_id='$uid', ts=unix_timestamp(now())";
	else $sql .= "pers_id=NULL, ts=NULL";
	$sql .= $exist ? " WHERE" : ",";
	$sql .= " id='$id'";
	$sql .= $exist ? " AND" : ",";
	$sql .= " typ='$typ'";
	abfrage2($sql);
	$userResp->assign("exist_$typ_$id", 'value', 1);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('Inventarisiert');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');
if(!check_nutzer_rechte(125)) require_once($pfad . 'inc/level.inc.php');

$mon1 = '01';
$mon2 = '12';
$tag2 = '31';
if(isset($_GET['tag'])) {
	$jahr = substr($_GET['tag'],0,4);
	if($_GET['anz'] != 'j' && strlen($_GET['tag']) != 4) {
		$mon1 = $mon2 = substr($_GET['tag'],5,2);
		$tag2 = date('t', mktime(0,0,0,$mon2,1,$jahr));
	}
} else $jahr = date('Y');
echo "<script type=\"text/javascript\"><!--\n";
echo "function activate(check) {\n";
echo "  var ntd = document.getElementsByName('chk_tr');\n";
echo "  var chk = document.getElementsByName('check');\n";
echo "  for (var i = 0; i < ntd.length; i++) {\n";
echo "    if(check) ntd[i].style.display = 'table-row';\n";
echo "    else if(chk[i].checked) ntd[i].style.display = 'none';\n";
echo "  }\n";
echo "}\n";
echo "--></script>\n";
echo "<table><tr><th>Projekt</th><th>Datum</th><th>Name 1</th><th>Name 2</th>";
echo "<th>Bezugsquelle</th><th class=\"cl1\">Beschreibung</th>\n";
$tt = stwToolTip('auch bereits inventarisierte Eink&auml;ufe einblenden');
echo "<td><input type=\"checkbox\" $tt onchange=\"activate(this.checked)\" /></td>";
echo "</tr>\n";
new stwTabLine(2,30);
$sql = "SELECT proj_id, date_format(kostenzus_ende, '%d.%m.%Y') 
		FROM tb_projekte 
		WHERE projektnr >= 10000 AND projektnr < 18000 
		AND kostenzus_ende >= '$jahr-$mon1-01'
		AND kostenzus_ende <= '$jahr-$mon2-$tag2'
		ORDER BY kostenzus_ende DESC";
$projekte = abfrage1($sql);
while($pro = mysql_fetch_row($projekte)) {
	$inventarisierung = abfrage1("SELECT pers_id, ts, ger_id FROM tb_inventarisierung WHERE id='$pro[0]' AND typ='p'");
	if(mysql_num_rows($inventarisierung) == 0) {
		$chk = array();
		$exist = 0;
	} else {
		$chk = mysql_fetch_row($inventarisierung);
		$exist = 1;
	}
	echo "<input type=\"hidden\" id=\"exist_p_$pro[0]\" value=\"$exist\" />\n";
	echo "<tr name=\"chk_tr\" ";
	if(!empty($chk[0])) echo "style=\"display:none\" ";
	echo "class=\"mo\">\n";
	echo "<td class=\"cl1\">";
	echo "<a href=\"pro_daten.php?proj_id=$pro[0]\">";
	echo projektnummer($pro[0]);
	echo "</a></td>\n";
	echo "<td class=\"cl20\">$pro[1]</td>\n";
	$name = abfrage("select t2.vorname, t2.name, t3.ort
					from tbh_proj_personen t1
					left join tb_personen t2 using(person_id)
					left join tb_p_adressen t3 using(adress_id)
					where t1.proj_id = '$pro[0]' and t1.perstyp_id=1;");
	echo "<td class=\"cl1\">$name[1]</td><td class=\"cl20\">$name[0]</td>\n";
	$kte = abfrage1("select IF(h.kont_id > 100000,p.personalnr,k.kurzname) as kurzname,
							IF(h.kont_id > 100000,p.name,k.name) as name,
							IF(h.kont_id > 100000,p.vorname,k.name2) as name2,
							h.kont_id from tbh_kont_proj h
					left join tb_kontakte k on h.kont_id = k.kont_id and k.kh_id='0'
					left join tb_personal p on h.kont_id = (p.pers_id + 100000)
					where h.proj_id = '$pro[0]'
					order by k.kurzname asc, p.personalnr asc, k.name asc;");
	$kttxt = $ktt = '';
	while($kt = mysql_fetch_row($kte)) {
		if($kttxt == '') $kttxt = strCut($kt[1].' '.$kt[2], 30);
		$ktt .= "<b>$kt[0]</b> $kt[1] $kt[2]<br />";
	}
	if($ktt != '') $ktt = stwToolTip($ktt);
	echo "<td $ktt class=\"cl20\">$kttxt</td>\n";
	echo "<td>$name[2]</td>\n";
	echo "<td><input type=\"checkbox\" name=\"check\" ";
	if(!empty($chk[0])) echo stwToolTip("am <b>" . date("d.m.Y G:i", $chk[1]) . " Uhr</b> von <b>" . pers_name($chk[0]) . "</b> inventarisiert",false) . " checked ";
	else echo stwToolTip('inventarisieren');
	echo "onclick=\"xajax_Inventarisiert(document.getElementById('exist_p_$pro[0]').value,'$pro[0]','p',$uid,this.checked)\"></td>\n";
	echo "</tr>\n";
}
new stwTabLine(2,30);
$typ = array('b'=>'Bar', 'k'=>'Kartenzahlung', 'r'=>'Rechnung');
$kaufs = abfrage1( "select vp.id2, p.vm_id, p.pers_id, p.abteilungsleiter,
					k.kont_id, k.kurzname, k.name, k.name2, v.name as bezeichnung,
					v.artikelnr, date_format(p.zeit, '%d.%m.%Y') as zeit
					from tbh_vormerk_print vp
					left join tbh_pers_vormerk p using(vm_id)
					left join tb_vormerkliste v using(vm_id)
					left join tb_kontakte k on v.kont_id = k.kont_id and k.kh_id='0'
					where p.abteilungsleiter in ('b','k','r') 
					and p.zeit >= '$jahr-$mon1-01 00:00'
					and p.zeit <= '$jahr-$mon2-$tag2 23:59'
					order by id2 desc, v.kont_id desc" );
if(mysql_num_rows($kaufs)) {
	$url = "vormerkliste.php?state=all";
	$link = $tooltip = array();
	while($kauf = mysql_fetch_array($kaufs)) {
		if(empty($link[ $kauf[0] ])) $link[ $kauf[0] ] = $url;
		$link[ $kauf[0] ] .= "&amp;vmid[]=$kauf[1]";
		$tooltip[ $kauf[0] ] .= "<b>".$kauf['artikelnr']."</b> ".$kauf['bezeichnung']."<br />";
	}
	mysql_data_seek($kaufs,0);
	$lastkauf = 0;
	while($kauf = mysql_fetch_array($kaufs)) {
		$inventarisierung = abfrage1("SELECT pers_id, ts, ger_id FROM tb_inventarisierung WHERE id='$kauf[0]' AND typ='$kauf[3]'");
		if(mysql_num_rows($inventarisierung) == 0) {
			$chk = array();
			$exist = 0;
		} else {
			$chk = mysql_fetch_row($inventarisierung);
			$exist = 1;
		}
		if($lastkauf != $kauf[0]) $kttxt = $ktt = '';
		if(!empty($kauf['kont_id'])) {
			$kttxt = strCut($kauf['name'].' '.$kauf['name2'], 30);
			$ktt = stwToolTip("<b>".$kauf['kurzname']."</b> ".$kauf['name']." ".$kauf['name2']);
		}
		/* bei GROUP BY evtl. Vormerkung ohne hinterlegten Kontakt, daher so... */
		if($lastkauf != $kauf[0]) {
			echo "<input type=\"hidden\" id=\"exist_$kauf[3]_$kauf[0]\" value=\"$exist\" />\n";
			echo "<tr name=\"chk_tr\" ";
			if(!empty($chk[0])) echo "style=\"display:none\" ";
			echo "class=\"mo\">\n";
			echo "<td class=\"cl1\">";
			echo "<a href=\"" . $link[ $kauf[0] ] . "\" style=\"color:#CCCCCC\"";
			echo stwToolTip($tooltip[ $kauf[0] ]) . ">";
			echo strtoupper($kauf[3]);
			echo "<sup>".str_pad($kauf[0], 4 ,'0', STR_PAD_LEFT)."</sup></a></td>\n";
			echo "<td class=\"cl20\">" . $kauf['zeit'] . "</td>\n";
			echo "<td class=\"cl1\">Direktkauf</td><td class=\"cl20\">";
			echo $typ[$kauf[3]];
			echo "</td><td $ktt class=\"cl20\">$kttxt</td>\n";
			echo "<td></td>";
			echo "<td><input type=\"checkbox\" name=\"check\" ";
			if(!empty($chk[0])) echo stwToolTip("am <b>" . date("d.m.Y G:i", $chk[1]) . " Uhr</b> von <b>" . pers_name($chk[0]) . "</b> inventarisiert",false) . " checked ";
			else echo stwToolTip('inventarisieren');
			echo "onclick=\"xajax_Inventarisiert(document.getElementById('exist_$kauf[3]_$kauf[0]').value,'$kauf[0]','$kauf[3]',$uid,this.checked)\"></td>\n";
			echo "</tr>\n";
		}
		$lastkauf = $kauf[0];
	}
}
echo "</table>\n";

new stwEnd($seite,mktime(0,0,0,$mon1,1,$jahr));
?>