<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kal2.php 2926 2018-12-19 16:04:31Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 10;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function reDoDropdown($proj_id) {
	$userResp = new xajaxResponse();
	$mon_ts = date('Y-m-01');
	$projekt = new stwProjekt($proj_id);
	$feld = $projekt->ListenMarkierung($_SESSION[$AppCode]['UID']);
	if (empty($feld["co"])) $farbe = "#FFCC00"; else $farbe = $feld["co"];
	$titel = $projekt->name();
	$wost_f = $projekt->wost_f();
	$bg = '';
	if(round($wost_f,1) != '0.0') {
		$fls_folgemonat = $projekt->fls_folgemonat($mon_ts);
		$kapp_mod = $projekt->fls_kappung($mon_ts);
		if ($kapp_mod['kapp_pos'] == 1 && $fls_folgemonat > 0){
			if($fls_folgemonat > $kapp_mod['kapp_pos_wert']) {
				$titel .= "

!! ACHTUNG! max. m&ouml;gl. Sollstunden &uuml;berschritten !!";
				$bg = "#FF6699";
			} elseif($fls_folgemonat + 1 > $kapp_mod['kapp_pos_wert']) {
				$titel .= "

!! max. m&ouml;gl. Sollstunden fast erreicht !!";
				$bg = "#FF6699";
			}
		}
	}
	/* Tooltip (only Mozilla&Co) */
	$userResp->assign("p_$proj_id", 'title', $titel);
	/* style: Farbe */
	$userResp->assign("p_$proj_id", 'style.color', $farbe);
	/* style: Hintergrund-Farbe */
	if($bg != '') $userResp->assign("p_$proj_id", 'style.background-color', $bg);
	/* Sollstunden Folgemonat */
	if(round($wost_f,1) != '0.0') {
		$text = $projekt->nummer() . " (" . fls_form($fls_folgemonat) . ")";
		$userResp->assign("p_$proj_id", 'text', $text);
	}
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('reDoDropdown');
/* --- Ende Abschnitt (X)AJAX --- */

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");
 require_once($pfad."inc/kal.inc.php");

 /*
  * Funktion sortiert die einzelnen Termine nach den Timestamps. Sind die
  * Zeitstempel gleich wird nach der Prioritaet geschaut.
  */
 function usortfunc_timestamp($wert_1, $wert_2)
 {
   $t1 = $wert_1["ts1"];
   $t2 = $wert_2["ts1"];

   if ($t1 == $t2)
   {
     /* die beiden Zeitstempel sind gleich - Prioritaet sortieren */
     if ($wert_1["prio"] < $wert_2["prio"]) return -1;
     if ($wert_1["prio"] > $wert_2["prio"]) return  1;

     return 0;
   }

   return ($t1 < $t2) ? -1 : +1;
 }

set_session_url();

/* Ermittlung der Kalenderanicht (Tag oder Woche) */
if (empty($_GET['anz'])){
	$anz = getConf('kal_st_anz');
} else {
	$anz = $_GET['anz'];
}

/* Ermittlung des anzuzeigenden Mitarbeiter */
$ma = (empty($_GET['ma'])) ? $_SESSION[$AppCode]['UID'] : $_GET['ma'];
$pers = $ma;

$pers_order = getPersOrder($seite);

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}
$wst = mktime(0,0,0,date('n', $tag), date('j', $tag), date('Y', $tag));
while (date('w', $wst) != 1){
	$wst = mktime(0,0,0,date('n', $wst), date('j', $wst) - 1, date('Y', $wst));
}

$mon = mktime(0,0,0,date('n', $tag),1,date('Y', $tag));
$kst = mktime(0,0,0,date('n', $mon), date('j', $mon) - 7,date('Y', $mon));
while (date('w', $kst) != 1){
	$kst = mktime(0,0,0,date('n', $kst), date('j', $kst) - 1, date('Y', $kst));
}

$tg = date('Y-m-d', $tag);

$monat = date('n', $tag);
$jahr = date('Y', $tag);

$cal = ab_cal($monat, $jahr);

switch ($anz){
	case 'w1':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (7 * 86400);
		break;

	case 'w2':
		$wtag = date('w', $tag);
		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (28 * 86400);
		break;
	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;
	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;
	case 't':
		$sql_beg = $tag;
		$sql_end = $tag + (14*86400);
		break;
	case 'd':
		$sql_beg = mktime(0,0,0,date('n', $tag), date('j', $tag), date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('j', $tag), date('Y', $tag));
		break;

  case "tg": /* grafische Tagesansicht */
             $sql_beg = $tag;
             $sql_end = $tag + 86400;
             break;
}

/*
* Sicherstellen das wenn fremder Kalender gezeigt wird keine Vergangenheit
* gezeigt wird. Nur die letzten fuenf Wochen und Zukunft duerfen angeschaut
* werden.
*/
$show = true;
/* Ist Kalender generell gesperrt? */
$kal_sperre = getConf("kalender_sperre");
if ($_SESSION[$AppCode]['UID'] != $ma){
	/* Start aktuelle Woche */
	$grenze = mktime(0, 0, 0, date("m"), date("d") - 35, date("Y"));
	$grenze = mktime(0, 0, 0, date("m", $grenze), date("d", $grenze) -
                    date("w", $grenze) + 1, date("Y", $grenze));

  if ($sql_beg < $grenze || $kal_sperre == 1) $show = false;
}

/* ab Level 96 darf alles sehen */
if ($_SESSION[$AppCode]["ULV"] > 95) $show = true;


/* alle Termine abfragen -> Filterung erfolgt in Anzeigeschleife! */
if($anz == 'd') {

	$sql  = "select t.termin_id, date_format(t.von, '%d.%m.%Y'), ";
	$sql .= "date_format(t.von, '%H:%i'), date_format(t.bis, '%H:%i'), ";
	$sql .= "a.name, t.terminart, week(t.von, 1), unix_timestamp(t.von), ";
	$sql .= "a.farbe, unix_timestamp(t.bis) from tb_termine t ";
	$sql .= "left join tb_terminart a using(terminart) ";
	$sql .= "left join tb_ab_zk z using(termin_id) ";
	$sql .= "where t.terminart in ('z','a') ";
	$sql .= "and unix_timestamp(t.von) >= '$sql_beg' ";
	$sql .= "and unix_timestamp(t.von) <= '$sql_end' ";
	$sql .= "and z.pers_id = '$pers' ";
	$sql .= "order by unix_timestamp(t.von) asc;";

} elseif (getConf('fehlz_kal') == 1){

	$sql  = "select t.termin_id, date_format(t.von, '%d.%m.%Y'), ";
	$sql .= "date_format(t.von, '%H:%i'), date_format(t.bis, '%H:%i'), ";
	$sql .= "a.name, t.terminart, week(t.von, 1), unix_timestamp(t.von), ";
	$sql .= "a.farbe, unix_timestamp(t.bis), date_format(t.bis, '%d.%m.%Y') ";
	$sql .= "from tb_termine t left join tb_terminart a using(terminart) ";
	$sql .= "WHERE (t.terminart in ('t','l','g','z') or a.neu = 'j') ";
	if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
		$sql .= "AND ((unix_timestamp(t.von) >= '$sql_beg' AND unix_timestamp(t.von) <= '$sql_end') ";
		$sql .= "OR (unix_timestamp(t.bis) >= '$sql_beg' AND unix_timestamp(t.bis) <= '$sql_end') ";
		$sql .= "OR (unix_timestamp(t.von) <= '$sql_beg' AND unix_timestamp(t.bis) >= '$sql_end')) ";
	}
	$sql .= "ORDER BY unix_timestamp(t.von) asc;";

} else {

	$sql  = "select t.termin_id, date_format(t.von, '%d.%m.%Y'), ";
	$sql .= "date_format(t.von, '%H:%i'), date_format(t.bis, '%H:%i'), ";
	$sql .= "a.name, t.terminart, week(t.von, 1), unix_timestamp(t.von), ";
	$sql .= "a.farbe, unix_timestamp(t.bis) from tb_termine t ";
	$sql .= "left join tb_terminart a using(terminart) ";
	$sql .= "where (t.terminart in ('t','l','g','z') or a.neu = 'j') ";
	$sql .= "and unix_timestamp(t.von) >= '$sql_beg' ";
	$sql .= "and unix_timestamp(t.von) <= '$sql_end' ";
	$sql .= "order by unix_timestamp(t.von) asc;";
}

$res = abfrage1($sql);
/* Schalter eigene / alle Termine */

echo "<table><tr>\n";

echo "<td class=\"cl1\">";
echo "<input type=\"button\" value=\"neu\"";
echo stwToolTip('neuen Termin erstellen');
echo "onClick=\"self.location.href='term_and.php'\"></td>\n";
if($kal_sperre==0 || $_SESSION[$AppCode]["ULV"] > 95) {
	/* Auswahlfeld Mitarbeiter */
	echo "<th class=\"cl1\">MA:</th>";
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"GET\">\n";
	echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
	if (isset($_GET['tag'])) {
		echo "<input type=\"hidden\" name=\"tag\" value=\"{$_GET['tag']}\">\n";
	}
	echo "<td>";
	echo "<select name=\"ma\" size=\"1\" style=\"width:150px\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">Mitarbeiter w&auml;hlen!</option>\n";

	$sql  = "select pers_id from tb_personal where status_id = 2 ";
	if ($_SESSION[$AppCode]['ULV'] <= 5) $sql .= "and p_art_id = 17 ";
	if($pers_order == 2) $sql .= "order by name asc, vorname asc;";
	else $sql .= "order by vorname asc, name asc;";
	$erg = abfrage1($sql);

	while ($zeile = mysql_fetch_row($erg)) {
		echo "<option value=\"$zeile[0]\"";
		if ($pers == $zeile[0]) echo ' selected';
		echo '>' . ($pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
	}
	echo "</select></td>\n";
	echo "<td class=\"cl1\"><input type=\"image\" src=\"img/senden.png\">\n";
	echo "</form>\n";
}


/*
* Ausdruck nur wenn eigener Kalender oder wenn es aktuelle Woche oder
* Zukunft ist.
*/
if ($show){
	echo "<td class=\"cl1\"><a href=\"kal2_pr.php?tag=$tag&ma=$ma&ts=" . time() . "\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\"";
	echo stwToolTip('Kalender drucken') . "border=\"0\"></a></td>\n";

	echo "<form name=\"kal2PlanPrForm\" action=\"kal2_plan_pr.php\" method=\"get\" target=\"_pdf\">\n";
	echo "<input type=\"hidden\" name=\"tag\" value=\"$tag\">\n";
	echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
	$kalpages = getPersEinst($uid,'kal_pages',4);
	echo "<input type=\"hidden\" name=\"pages\" value=\"$kalpages\">\n";
	echo "<input type=\"hidden\" name=\"ts\" value=\"" . time() . "\">\n";
?>
<script type="text/javascript"><!--
  function doTT() {
	var str = "<form name='tempform'>";
	str += '<br>Seiten: <input type="text" size="2" name="pags" value="';
	str += document.kal2PlanPrForm.pages.value;
	str += '" style="text-align:center" onkeyup="document.kal2PlanPrForm.pages.value=document.tempform.pags.value">';
	str += '</form>';
	Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck-Einst.',TITLEBGCOLOR, '#006600', WIDTH, 100, HEIGHT, 50, FIX, ['kal2PlanPr',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);
  }
--></script>
<?php
	echo "<td class=\"cl1\" style=\"vertical-align:middle;\">";
	echo "<a href=\"#\" ";
	echo stwToolTip('Planung drucken (n&auml;chste 4 Wochen) (Anzahl in + &auml;nderbar)');
	echo "onmousedown=\"if(event.button==2){doTT();}";
	echo "else{document.kal2PlanPrForm.submit();}return false;\" oncontextmenu=\"return false;\"";
	echo "><img id=\"kal2PlanPr\" src=\"img/drucker.png\" border=\"0\"></a><a href=\"#\" ";
	echo "style=\"font-size:small;position:relative;top:-4px;\" onClick=\"doTT()\">+</a>";
	echo "</td>\n</form>\n";

	if ($_SESSION[$AppCode]['ULV'] >= 60){
		echo "<td class=\"cl1\"><a href=\"kal2_pr.php?tag=$tag&ma=all&ts=" . time() . "\" ";
		echo "target=\"_pdf\"><img src=\"img/drucker.png\"";
		echo stwToolTip('Kalender drucken (alle aktiven Betreuer)');
		echo "border=\"0\"></a></td>\n";
 	}
}


/* -- Zeitkarte direkt ueber Kalender Anwaehlen -- */

if (getConf('zk_ueb_kal') == 1){
	if(($pers == $_SESSION[$AppCode]['UID']||$_SESSION[$AppCode]["ULV"] >= 50||
	check_bereitschaftsrecht ||$_SESSION[$AppCode]["ULV"] == 47)
	&& (is_numeric($pers))){

		/* gueltige Projekte ermitteln */

		$sql  = "select h.proj_id from tbh_pers_proj h ";
		$sql .= "inner join tb_projekte p on h.proj_id = p.proj_id ";
		$sql .= "left join tb_personaltyp s ON h.personaltyp_id = s.personaltyp_id ";
		$sql .= "where h.pers_id = '$pers' ";
		$sql .= "and p.hilfeart_id not in (select hilfeart_id from tb_hilfeart where nokalzk='j')";
		$sql .= "and (p.ende is null or p.ende = '0000-00-00' or ";
		$sql .= "to_days(p.ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY))) ";
		$sql .= "order by (p.projektnr >= 900) asc, s.sort asc, p.projektnr asc";
		$proid_erg = abfrage1($sql);

		echo "<th class=\"cl1\">";

		/* pruefen, ob es ein Abteilungsleiter ist */
		$sql  = "SELECT abt_id FROM tb_personal_abt_leit ";
		$sql .= "WHERE pers_id = '{$_SESSION[$AppCode]['UID']}';";
		$anzahl = abfrage1($sql);

		$doIt = ($_SESSION[$AppCode]['ULV'] > 96 || mysql_num_rows($anzahl) > 0);
		if($doIt) echo "<a href=\"dienstplan.php\">";
		echo "DPlan:";
		if($doIt) echo "</a>";
		echo "</th>\n";

  	/* Dienstplanbereich ab Level 45 erst zeigen */
	if ($_SESSION[$AppCode]['ULV'] >= 45){
		$timestamp = mktime(0, 0, 0, date("n",$tag), 1, date("Y",$tag));
		/* Abteilungsauswahl nur zeigen wenn Abteilungen vorhanden sind */
		$abt = abfrage1("SELECT abt_id, name, wochenplan FROM tb_personal_abt order by name asc");

		if (mysql_num_rows($abt) > 0){
			echo "<form action=\"dienstkal.php\" method=\"POST\">\n";
			echo "<td><select style=\"width:100px\" name=\"abteilung\" size=\"1\" ";
			echo "onchange=\"this.form.submit()\">\n";

			echo "<option value=\"0\">Abteilung</option>\n";

			while ($zeile = mysql_fetch_row($abt)){
				$sql  = "SELECT al_dienst, gf_dienst FROM tb_dienst_monat WHERE ";
				$sql .= "ts_monat = '".$timestamp."' AND abt_id = '".$zeile[0]."'";
				$auswahl = abfrage($sql);
				echo "<option value=\"$zeile[0]\"";
				if($auswahl[1] > 0) echo " title=\"wochenplan\" style=\"color:red\"";
				elseif($auswahl[0] > 0) echo " title=\"wochenplan\" style=\"color:orange\"";
				elseif($zeile[2]=='j') echo " title=\"wochenplan\" style=\"color:green\"";
				echo ">$zeile[1]</option>\n";
			}
			echo "</select></td><td style=\"padding-right:3px\">\n";
			echo "<input type=\"image\" src=\"img/senden.png\">\n";
			echo "</td>\n</form>\n";
		}
	} else {

  		/* die eigene Abteilung darf angeschaut werden */
  		$sql = "SELECT t2.abt_id, t2.name 
				FROM tb_personal_abt t2
				LEFT JOIN tbh_pers_abt t1 ON t1.abt_id = t2.abt_id
				LEFT JOIN tb_personal_abt_leit t0 ON t0.abt_id = t2.abt_id
				WHERE t1.pers_id = '".$_SESSION[$AppCode]["UID"]."'
				OR t0.pers_id = '".$_SESSION[$AppCode]["UID"]."'
				GROUP BY t2.abt_id";
  	  $abt  = abfrage1($sql);

  	  if (mysql_num_rows($abt) > 1){
  	  	echo "<form action=\"dienstkal.php\" method=\"POST\">\n";
  	  	echo "<td><select name=\"abteilung\" size=\"1\" ";
  	  	echo "onchange=\"this.form.submit()\">\n";

  	  	echo "<option value=\"0\">Abteilung</option>\n";

  	  	while ($zeile = mysql_fetch_row($abt)){
  	  		echo "<option value=\"$zeile[0]\">$zeile[1]</option>\n";
      	}
      	echo "</td></select><td style=\"padding-right:3px\">\n";
      	echo "<input type=\"image\" src=\"img/senden.png\">\n";
      	echo "</td>\n</form>\n";

  	  } else if (mysql_num_rows($abt) == 1){
  	  	$dat_abt = mysql_fetch_row($abt);
  	  	echo "<form action=\"dienstkal.php\" method=\"POST\">\n";
  	  	echo "<td><input type=\"submit\" value=\"Dienstplan\" name=\"dienstkal\"></td>\n";
  	  	echo "<input type=\"hidden\" name=\"abteilung\" value=\"$dat_abt[0]\">\n";
      	echo "</form>\n";
    	}
  	}
	flush();

  	/*
   	 * Wenn die gezeigte Person Projekte besitzt, wird eine Moeglichkeit
   	 * angeboten neue ZK direkt vom Kalender aus einzugeben.
     */
  	if (mysql_num_rows($proid_erg) > 0) {
  		echo "<form action=\"pro_ab_zk.php\" method=\"GET\">\n";
  		echo "<th style=\"padding-left:3px\">ZK:</th>\n";
		$style = "font-weight:bold;background-color:#333333;";
		echo "<td><span style=\"outline:1px ridge white;\">";
		echo "<select name=\"proj_id\" size=\"1\" style=\"";
		echo $style . "width:120px;color:#FFCC00\">\n";

		while ($zeile = mysql_fetch_row($proid_erg)){
			echo "<option id=\"p_$zeile[0]\" style=\"color:#FFCC00;$style\" value=\"$zeile[0]\">" . projektnummer($zeile[0]) . "</option>\n";
		}
		mysql_data_seek($proid_erg,0);

		echo "</select></span></td>\n";
		echo "<td class=\"cl1\">";
		echo "<input type=\"hidden\" name=\"abr\" value=\"1\">\n";

		if ($anz=='t'){
			echo "<input type=\"hidden\" name=\"kaldate\" value=\"$tg\">";
			echo "<input type=\"submit\" value=\"OK\"";
			echo stwToolTip('Zeitkarte fuer Gewaehltes Datum anlegen') . ">\n";
		} else {
			echo "<input type=\"image\" src=\"img/senden.png\">\n";
		}

		echo "</td>\n";
		echo "</form>\n";
		flush();
	}
  }
}
/* ------------------------------------------------------ */

echo "<td><input type=\"button\" style=\"width:35px;padding:0\" value=\"Raum\"";
echo "onClick=\"self.location.href='kal_raum.php'\"";
echo stwToolTip('zum Raumnutzungskalender');
echo "></td>\n";

$pkws = abfrage1("SELECT res_id FROM tb_ressourcen WHERE res_typ = 1 limit 1");
if(mysql_num_rows($pkws) > 0) {
	echo "<td><input type=\"button\" style=\"width:35px;padding:0\" value=\"PKW\"";
	echo "onClick=\"self.location.href='kal_pkw.php'\"";
	echo stwToolTip('zum PKW-Nutzungskalender');
	echo "></td>\n";
}
echo "</tr></table>\n";
new stwLine(1);

/*
* Sicherstellen das wenn fremder Kalender gezeigt wird keine Vergangenheit
* gezeigt wird. Nur die letzten fuenf Wochen und Zukunft duerfen angeschaut
* werden.
*/
if (!$show){
	new stwEnd($seite, 1);
	exit(0);
}

$kal_konf_von = getConf("kal_von");
$kal_konf_bis = getConf("kal_bis");
$kalender = array();
/* spezielle Tagesansicht: besondere Informationen */
if ($anz == 'd') {
	echo "<table>\n";
	echo "<tr><th class=\"cl1\">von</th><th class=\"cl1\">bis</th><th class=\"cl1\">FLS</th>";
	echo "<th class=\"cl1\">VuN</th><th class=\"cl1\">Fahrzeit</th><th class=\"cl1\">Spesen</th>";
	echo "<th class=\"cl1\">Privat PKW</th><th class=\"cl1\">Dienst PKW</th>";
	echo "<th class=\"cl1\">km gesamt</th><th>inhalte</th></tr>\n";
	new stwTabLine(2,30);
	while ($row = mysql_fetch_row($res)){
		$sql = "select ab, ab_monat, nachw_id, time_format(fls,'%H:%i') as fls, time_format(vun,'%H:%i') as vun, 
				zk_id, proj_id, inhalte, km_dienst, km_privat, spesen_betr-spesen_eig as spesen, spesen_text,
				time_format(sec_to_time($row[9]-$row[7]-time_to_sec(fls)-time_to_sec(vun)),'%H:%i') as fz, fahrt_id
				from tb_ab_zk where termin_id = '$row[0]'";
		$zk = abfrage_array($sql);
		echo "<tr>";
		echo "<td colspan=\"2\" class=\"cl1\"><a href=\"";
		if($row[5] == 'z') {
			echo "pro_ab_zk.php?zk_id={$zk['zk_id']}&amp;proj_id={$zk['proj_id']}\" style=\"color:";
			if ($zk[0] == 'j' || $zk[0] == 'u'){
				if (!empty($zk[2])){
					echo $zk_abgelegt;
					echo stwToolTip("abgelegt");
				} elseif (!empty($zk[1])){
					echo $zk_abgerechnet;
					echo stwToolTip("abgerechnet");
				} else {
					echo $zk_ab_ja;
					echo stwToolTip("abrechnungsrelevant");
				}
			} else echo $zk_ab_nein;
			echo "\"";
		} else {
			echo "fahrten_and.php?kal_pkw=1&zk_id={$zk['zk_id']}\" style=\"color:white\"";
			$zweck = abfrage("select fahrt from tb_fahrt where fahrt_id='{$zk['fahrt_id']}'");
			echo stwToolTip("Fahrt $zweck[0]");
		}
		echo ">$row[2] - $row[3]</a></td>";
		echo "<td style=\"text-align:right\" class=\"cl1\">{$zk['fls']}</td>";
		echo "<td style=\"text-align:right\" class=\"cl1\">{$zk['vun']}</td>";
		echo "<td style=\"text-align:right\" class=\"cl1\">{$zk['fz']}</td>";
		$tt = empty($zk['spesen_text']) ? '' : stwToolTip($zk['spesen_text']);
		echo "<td style=\"text-align:right\" class=\"cl1\" $tt>" . geld_form_web($zk['spesen']) . "</td>";
		echo "<td style=\"text-align:right\" class=\"cl1\">" . km_form($zk['km_privat']) . "</td>";
		echo "<td style=\"text-align:right\" class=\"cl1\">" . km_form($zk['km_dienst']) . "</td>";
		echo "<td style=\"text-align:right\" class=\"cl1\">" . km_form($zk['km_privat'] + $zk['km_dienst']) . "</td>";
		$tt = empty($zk['inhalte']) ? '' : stwToolTip($zk['inhalte']);
		echo "<td class=\"cl1\" $tt>" . strcut($zk['inhalte'],25) . "</td>";
		echo "</tr>";
	}
	echo "</table>\n";
} else {
	$ghfd = 0;
	while ($row = mysql_fetch_row($res)){
		$anz1 = false;
		$del1 = $instantDel = 0;

		/* extra switch-Schleife fr Entscheidung, ob Termin angezeigt wird oder nicht
		 * -> Beschleunigung des Skripts. Nur fr relevante Termine werden Inhalte abgefragt */

		switch ($row[5]) {

			case 'z':
				/* Abfragen, welchen Nummernbereich die Projektart 'ALG' hat */
				$sql = "select nr_von, nr_bis from tb_projektart where kname = 'ALG';";
				$alg_nrb = abfrage_assoc($sql);

				/* pers_id und Projektnr. abfragen */
				$sql  = "select z.pers_id, p.projektnr, g.proj_id_gruppe, z.proj_id from tb_ab_zk z ";
				$sql .= "left join tb_projekte p on z.proj_id = p.proj_id ";
				$sql .= "left join tbh_projekt_gruppe g on z.proj_id = g.proj_id ";
				$sql .= "where z.termin_id = '$row[0]';";
				$id = abfrage($sql);
				$grPrInOrga=getConf('grPrInOrga');
				if ($id[3]>0 && (empty($id[2]) || $grPrInOrga) && $id[0] == $pers && ($id[1] < $alg_nrb['nr_von'] || $id[1] > $alg_nrb['nr_bis'])) {
					$anz1 = true;
				}
				break;

			case 'l':
				$id = abfrage("select lom_id from tb_lom where termin_id = $row[0]");
				$bet1 = abfrage("select pers_id from tb_lom where lom_id = $id[0];");
				$bet2 = abfrage("select pers_id from tbh_lom_pers
								where lom_id = $id[0]
								and pers_id = $pers;");
				$bet3 = abfrage("select pers_id from tbh_lom_anleiter
								where lom_id = $id[0]
								and pers_id = $pers;");
				if ($bet1[0] == $pers || $bet2[0] == $pers || $bet3[0] == $pers){
					$anz1 = true;
				}
				break;

			case 't':
				$id = abfrage("select team_id from tb_team where termin_id = $row[0]");
				if (!empty($id[0])) {
				  $bet1 = abfrage( "select essen, andacht, weiter
									from tb_team where team_id = $id[0];" );
				  $bet2 = abfrage( "select pers_id from tbh_team_pers
									where team_id = $id[0]
									and pers_id = $pers;" );

				  if ($bet1[0] == $pers || $bet1[1] == $pers || $bet1[2] == $pers || $bet2[0] == $pers){
					$anz1 = true;
				  }
				}
				break;
			case 'g':
				$id = abfrage("select ga_id from tb_ga where termin_id = $row[0]");

				/* sicherstellen das ID gesetzt */
				if (!empty($id[0]))
				{
				  $bet1 = abfrage("select pers_id, inhalt from tb_ga
								where ga_id = $id[0];");
				  $bet2 = abfrage1("select person_id from tbh_ga_pp
								where ga_id = $id[0]
								and pers_id = $pers;");
				  if ($bet1[0] == $pers || $bet1[1] == $pers || mysql_num_rows($bet2) > 0){
					$anz1 = true;
				  }
				}
				break;

			default :
				$zk = abfrage("select pers_id, sperre_id from tb_ab_zk where termin_id = $row[0];");
				$tn = abfrage1("select pers_id from tbh_termin_pers
								where termin_id = $row[0];");
				$tn1 = array();
				$tnCnt = mysql_num_rows($tn);
				if ($tnCnt > 0){
					while ($tnn = mysql_fetch_row($tn)){
						$tn1[] = $tnn[0];
					}
				}

				if (($zk[1] != $pers && $zk[0] == $pers) || in_array($pers, $tn1)){
					$anz1 = true;
				}
				if($tnCnt == 0 || ($tnCnt == 1 && $zk[0]==$tn1[0])) $instantDel = 4;
				if($zk[0] == $pers) {
					$del1 = 2;
				}
				if(getConf('fehlz_kal')==1){

					$fz = abfrage1("select pers_id from tb_fehlz
								where termin_id = $row[0];");
					$fz1 = array();
					if (mysql_num_rows($fz) > 0){
						while ($fza = mysql_fetch_row($fz)){
							$fz1[] = $fza[0];
						}
					}

					if(in_array($pers, $fz1)&&$pers==$_SESSION[$AppCode]['UID']){
						$anz1 = true;
					}elseif(in_array($pers, $fz1)&&$_SESSION[$AppCode]['ULV']>=60){
						$anz1 = true;
					}
				}
				break;
		}


		// wenn Termin angezeigt wird -> weitere Infos abfragen!

		if ($anz1 == true){
			$tid = $row[0];
			$kalender[$tid]['id'] = $row[0];
			$kalender[$tid]['art'] = $row[5];
			$kalender[$tid]['datum'] = $row[1];

			if(getConf('fehlz_kal')==1){
				$kalender[$tid]['datum_bis'] = $row[10];
			}

			$kalender[$tid]['von'] = $row[2];
			$kalender[$tid]['bis'] = $row[3];

      $kalender[$tid]['ts1'] = $row[7];
      $kalender[$tid]['ts2'] = $row[9];

      $kalender[$tid]['wtag'] = strftime('%a', $row[7]);
      $kalender[$tid]['kw'] = $row[6];

			switch ($row[5]) {
				case 'z':
					$sql  = "select zk_id, proj_id, inhalte, km_via1, pers_id, ab, ";
					$sql .= "res2_id, empfang from tb_ab_zk where termin_id = '$row[0]';";
					$id = abfrage_array($sql);

					if (!empty($id[1])){
						$pro = new stwProjekt($id[1]);
						$kalender[$tid]['beendet'] = $pro->ende_ts();
					}

					if ($_SESSION[$AppCode]['UID'] == $id[4] || $_SESSION[$AppCode]['ULV'] >= 96){
						$kalender[$tid]['datum_link'] = 1;
					} else {
						$kalender[$tid]['datum_link'] = 0;
					}

					if($id['empfang'] == 1) $kalender[$tid]['empfang'] = 1;

          /*
           * Falls dies ein Projekt ist - pruefen ob angemeldeter Nutzer beteiligt
           * ist und wenn dies der Fall ist, den Link auch freischalten.
           */
          if (!empty($id[1]) && $kalender[$tid]["datum_link"] == 0)
          {
            if ($pro->beteiligt($_SESSION[$AppCode]["UID"]))
            {
              $kalender[$tid]["datum_link"] = 1;
            }
          }

					$kalender[$tid]['datum_url'] = "pro_ab_zk.php?zk_id=$id[0]&proj_id=$id[1]";

					$kalender[$tid]['ta_text'] = $pro->nr >= 19000 && $pro->nr < 20000 ? 'Journal' : $pro->nummer();

					$sql  = "select ab, ab_monat, nachw_id from tb_ab_zk ";
					$sql .= "where zk_id = '$id[0]';";
					$abdat = abfrage($sql);

					if ($abdat[0] == 'j' || $abdat[0] == 'u'){
						$kalender[$tid]['ta_color'] = $kalender[$tid]['ta_color_zk'] = $zk_ab_ja;
						$kalender[$tid]['ta_title'] = "abrechnungsrelevant";

            /* Prioritaet 1 (hoechste) wenn abrechnungsrelevant */
            $kalender[$tid]['prio'] = 1;

						if (!empty($abdat[1])){
							$kalender[$tid]['ta_color'] = $kalender[$tid]['ta_color_zk'] = $zk_abgerechnet;
							$kalender[$tid]['ta_title'] = "abgerechnet";
							if (!empty($abdat[2])){
								$kalender[$tid]['ta_color'] = $kalender[$tid]['ta_color_zk'] = $zk_abgelegt;
								$kalender[$tid]['ta_title'] = "abgelegt";
							}
						}
					} else {
						$kalender[$tid]['ta_color'] = $kalender[$tid]['ta_color_zk'] = $zk_ab_nein;
						$kalender[$tid]['ta_title'] = 'Termin';

            /* niedrigste Prioritaet wenn noch nicht relevant */
            $kalender[$tid]['prio'] = 5;
					}

          /*
           * Vergangenheit darf zwar fuer 5 Wochen gezeigt werden aber keine
           * Inhalte fuer unbeteiligte Nutzer. Bedingungen: gueltige ProjektID
           * und nicht beteiligt und ULV unterhalb von 97. Bei allen ZK die
           * Abrechnungsrelevant sind.
           */
          if ($_SESSION[$AppCode]["ULV"] < 97 && $abdat[0] == 'j' &&
              !empty($id[1]) && !$pro->beteiligt($_SESSION[$AppCode]["UID"]))
          {
            $kalender[$tid]['cont_text'] = '';
            $kalender[$tid]['cont_title'] = '';
          }
          else
          {
            $kalender[$tid]['cont_text'] = strCut($id[2], 25);
            $kalender[$tid]['cont_title'] = $id[2];
          }
		  if($kalender[$tid]['beendet'] > 0 && $kalender[$tid]['beendet']+86400 < $kalender[$tid]['ts1']) $kalender[$tid]['cont_title'] = "<b>Projekt bereits beendet</b><br>".$kalender[$tid]['cont_title'];

					$kalender[$tid]['ort'] = strCut($id[3], 25);

          /* loeschen von einzelnen ZK wenn berechtigt */
          if ($id[4] == $_SESSION[$AppCode]['UID'] || $_SESSION[$AppCode]['ULV'] >= 96) $chZK = true;
          else {
			$sql = "SELECT COUNT(*) FROM tb_pers_pers_recht WHERE precht_id=1 
					AND user_id='{$_SESSION[$AppCode]['UID']}' AND pers_id='$id[4]'";
			$UserHasRight = abfrage($sql);
			$chZK = $UserHasRight[0] ? true : false;
		  }
		  if($chZK) {
            /* loeschen nicht mehr moeglich wenn abrechnungsrelevant */
            if ($abdat[0] == "j")
            {
              $kalender[$tid]["del_link"] = 0;
            }
            else
            {
              $kalender[$tid]["del_link"] = 1;
            }

						$kalender[$tid]['serie_link'] = 1;
					} else {
						$kalender[$tid]['del_link'] = 0;
						$kalender[$tid]['serie_link'] = 0;
					}

          /* Link nur anbieten wenn geloescht werden darf */
          if ($abdat[0] != "j")
          {
            /* nicht abrechnungsrelevant */
            $url = "ktyp=".$row[5]."&zk_id=".$id[0]."&termin_id=".$row[0]."&ma=".$ma;
            $kalender[$tid]["del_url"] = "kal_del_sql.php?".$url."&loc=kal";
          }

					$kalender[$tid]['serie_url'] = "kal_serie.php?termin_id=$row[0]&zk_id=$id[0]";

					/* Raumnutzung / -belegung */
					if ($id['res2_id'] > 0){

						$kalender[$tid]['raum'] = true;

						/* sonstige Raumbelegung abfragen */
						$sql  = "select z.zk_id from tb_ab_zk z ";
						$sql .= "left join tb_termine t using (termin_id) ";
						$sql .= "where res2_id = '{$id['res2_id']}' and zk_id != '$id[0]' ";
						$sql .= "and unix_timestamp(t.bis) >= '$row[7]' ";
						$sql .= "and unix_timestamp(t.von) <= '$row[9]';";
						$rk = abfrage1($sql);

						if (mysql_num_rows($rk) == 1){
							$kalender[$tid]['raum_farbe'] = 'lime';
							$kalender[$tid]['raum_text'] = 'Raum reserviert!';
						} elseif (mysql_num_rows($rk) > 1) {
							$kalender[$tid]['raum_farbe'] = 'red';
							$kalender[$tid]['raum_text'] = 'Raum mehrfach reserviert!';
						} else {
							$kalender[$tid]['raum'] = false;
						}
					} else {
						$kalender[$tid]['raum'] = false;
					}

					break;

				case 'l':
					$id = abfrage("select l.lom_id, l.thema, l.action, l.pers_id, a.ga_art, a.farbe, l.tender
								from tb_lom l
								left join tb_ga_art a using (art_id)
								where l.termin_id = $row[0]");
					if ($_SESSION[$AppCode]['UID'] == $id[3] || $_SESSION[$AppCode]['ULV'] >= 80){
						$kalender[$tid]['del_link'] = 1;
						$kalender[$tid]['serie_link'] = 1;
					} else {
						$kalender[$tid]['del_link'] = 0;
						$kalender[$tid]['serie_link'] = 0;
					}
					$kalender[$tid]["datum_link"] = 1;
					$kalender[$tid]['datum_url'] = "lom_and.php?return=kal2.php&lom_id=$id[0]";

					if($id[2] == 5) {
						$kalender[$tid]['ta_text'] = "TENDER-Klassenbuch";
						$kalender[$tid]['ta_title'] = '';
						$tender = abfrage("select farbe from tb_lom_team where team_id='$id[6]'");
						$kalender[$tid]['ta_color'] = $tender[0];
					} else {
						$kalender[$tid]['ta_text'] = $row[4];
						$kalender[$tid]['ta_title'] = '';
						$kalender[$tid]['ta_color'] = $id[5];
					}
					$kalender[$tid]['cont_text'] = strCut($id[1], 25);
					$kalender[$tid]['cont_title'] = empty($id[4]) ? $id[1] : "$id[4] : $id[1]";

					$kalender[$tid]['ort'] = lom_art($id[2]);

					$kalender[$tid]['del_url'] = "kal_del_sql.php?ktyp=$row[5]&lom_id=$id[0]&termin_id=$row[0]&loc=kal";
					$kalender[$tid]['serie_url'] = "kal_serie.php?termin_id=$row[0]&lom_id=$id[0]";

          /* Prioritaet fuer Lom Termine bei 4 */
          $kalender[$tid]["prio"] = 4;

					break;

				case 't':
					$id = abfrage("select team_id, thema, team_art_id, essen, andacht, weiter, 
									date_format(vorher, '%H:%i'), date_format(nachher, '%H:%i')
									from tb_team where termin_id = $row[0]");
					$tmart = abfrage("select kurzname, name, farbe
										from tb_team_art
										where team_art_id = $id[2];");
					if(!empty($id[6]) && $id[6] != '00:00' || !empty($id[7]) && $id[7] != '00:00') {
						$tt = "<b>$tmart[1]:</b>";
						$von0 = $von1 = date('H:i',$kalender[$tid]['ts1']);
						$bis0 = $bis1 = date('H:i',$kalender[$tid]['ts2']);
						if(!empty($id[6]) && $id[6] != '00:00') {
							$dec = time_hhmmss2dec($id[6]);
							$kalender[$tid]['ts1'] -= intval($dec * 3600);
							$von0 = date('H:i',$kalender[$tid]['ts1']);
						}
						if(!empty($id[7]) && $id[7] != '00:00') {
							$dec = time_hhmmss2dec($id[7]);
							$kalender[$tid]['ts2'] += intval($dec * 3600);
							$bis0 = date('H:i',$kalender[$tid]['ts2']);
						}
						$tt .= " $von1 - $bis1<br>(inkl. Fahrzeit: $von0 - $bis0)";
						$kalender[$tid]['von2'] = "<span" . stwToolTip($tt) . ">$von0<small> ($von1)</small></span>";
						$kalender[$tid]['bis2'] = "<span" . stwToolTip($tt) . ">$bis0</span>";
						$kalender[$tid]['von'] = $von0;
						$kalender[$tid]['bis'] = $bis0;
					}
					$t_ver = array($id[3], $id[4], $id[5]);

					$fokus = abfrage("select pers_id from tb_team_art_pers
									where team_art_id = $id[2] and fokus > 0
									and pers_id = '{$_SESSION[$AppCode]['UID']}';");

					$pot = abfrage("select pers_id from tbh_team_pers
									where team_id = $id[0]
									and pers_id = '{$_SESSION[$AppCode]['UID']}';");

					if (in_array($_SESSION[$AppCode]['UID'], $t_ver) ||
							$_SESSION[$AppCode]['UID'] == $fokus[0] ||
							$_SESSION[$AppCode]['UID'] == $pot[0] ||
							$_SESSION[$AppCode]['ULV'] >= 96){
						$kalender[$tid]['datum_link'] =  1;
						$protokoll = abfrage("select bes, inhalte from tb_team where team_id='$id[0]'");
						if(!empty($protokoll[0]) || !empty($protokoll[1])) $kalender[$tid]['del_link'] = 0;
						else $kalender[$tid]['del_link'] = $_SESSION[$AppCode]['UID'] == $fokus[0] ? 2 : 1;
					} else {
						$kalender[$tid]['datum_link'] =  0;
						$kalender[$tid]['del_link'] = 0;
					}

					$kalender[$tid]['datum_url'] = "team_and.php?team_id=$id[0]";


					$kalender[$tid]['ta_text'] = $tmart[0];
					$kalender[$tid]['ta_title'] = $tmart[1];
					$kalender[$tid]['ta_color'] = $tmart[2];

					$kalender[$tid]['cont_text'] = strCut($id[1], 25);
					$kalender[$tid]['cont_title'] = $id[1];

					$kalender[$tid]['ort'] = "Stellwerk";

					$kalender[$tid]['del_url'] = "kal_del_sql.php?ktyp=$row[5]&team_id=$id[0]&termin_id=$row[0]&loc=kal";

					$kalender[$tid]['serie_link'] = 0;
					$kalender[$tid]['serie_url'] = '';

          /* Prioritaet fuer Sitzungen bei 3 */
          $kalender[$tid]["prio"] = 3;

					break;

				case 'g':
					$id = abfrage("select g.ga_id, g.thema, o.ga_ort, g.pers_id, a.ga_art, a.farbe
									from tb_ga g
									left join tb_ga_ort o using (ort_id)
									left join tb_ga_art a using (art_id)
									where g.termin_id = $row[0]");

					if ($_SESSION[$AppCode]['ULV'] == 48 || $_SESSION[$AppCode]['ULV'] >= 96){
						$kalender[$tid]['datum_link'] =  1;
						$kalender[$tid]['del_link'] = 1;
						$kalender[$tid]['serie_link'] = 1;
					} else {
						$kalender[$tid]['datum_link'] =  0;
						$kalender[$tid]['del_link'] = 0;
						$kalender[$tid]['serie_link'] = 0;
					}

					$kalender[$tid]['datum_url'] = "ga_and.php?ga_id=$id[0]";

					$kalender[$tid]['ta_text'] = $row[4];
					$kalender[$tid]['ta_title'] = $id[4];
					$kalender[$tid]['ta_color'] = $id[5];

					$kalender[$tid]['cont_text'] = strCut($id[1], 25);
					$kalender[$tid]['cont_title'] = $id[1];

					$kalender[$tid]['ort'] = strCut($id[2], 25);

					$kalender[$tid]['del_url'] = "kal_del_sql.php?ktyp=$row[5]&ga_id=$id[0]&termin_id=$row[0]&loc=kal";
					$kalender[$tid]['serie_url'] = "kal_serie.php?termin_id=$row[0]&ga_id=$id[0]";

          /* Prioritaet fuer Gruppentermine bei 4 */
          $kalender[$tid]["prio"] = 4;
					break;


				default:

          /* Prioritaet fuer Resttermine bei 2 */
          $kalender[$tid]["prio"] = 2;

					$zk = abfrage("select pers_id, inhalte, zk_id, spesen_text, proj_id
									from tb_ab_zk
									where termin_id = $row[0];");
					$tn = abfrage1("select pers_id from tbh_termin_pers
									where termin_id = $row[0];");
					$tn1 = array();
					if (mysql_num_rows($tn) > 0){
						while ($tnn = mysql_fetch_row($tn)){
							$tn1[] = $tnn[0];
						}
					}


					if(getConf('fehlz_kal')==1){
						$fz = abfrage1("select pers_id from tb_fehlz
									where termin_id = $row[0];");
						$fz1 = array();
						if (mysql_num_rows($fz) > 0){
						while ($fza = mysql_fetch_row($fz)){
							$fz1[] = $fza[0];
							}
						}

						$fzid = abfrage("select fehlz_id from tb_fehlz
								where termin_id = $row[0];");
					}

					if(getConf('fehlz_kal')==1){

						if ($zk[0] == $_SESSION[$AppCode]['UID'] || in_array($_SESSION[$AppCode]['UID'], $tn1) ||
							$_SESSION[$AppCode]['ULV'] >= 96){
							$kalender[$tid]['datum_link'] = 1;
						}elseif((in_array($pers,$fz1) && $_SESSION[$AppCode]['ULV'] >= 60)||
							 in_array($_SESSION[$AppCode]['UID'], $fz1)){
							$kalender[$tid]['datum_link'] = 1;
						}else{
							$kalender[$tid]['datum_link'] = 0;
						}


					}else{
						if ($zk[0] == $_SESSION[$AppCode]['UID'] || in_array($_SESSION[$AppCode]['UID'], $tn1) ||
							$_SESSION[$AppCode]['ULV'] >= 96){
							$kalender[$tid]['datum_link'] = 1;
						} else {
							$kalender[$tid]['datum_link'] = 0;
						}
					}

					$kalender[$tid]['datum_url'] = "term_and.php?termin_id=$row[0]";

					$kalender[$tid]['ta_text'] = $row[4];
					$kalender[$tid]['ta_title'] = "Autor: " . pers_kname($zk[0]);
					$kalender[$tid]['ta_color'] = $row[8];

					$kalender[$tid]['cont_text'] = strCut($zk[1], 25);
					$kalender[$tid]['cont_title'] = $zk[1];

					$kalender[$tid]['ort'] = strCut($zk[3], 25);

					if(getConf('fehlz_kal')==1){

						if(in_array($pers, $fz1)){
						$kalender[$tid]['datum_url'] = "fehlz_and.php?fehlz_id=$fzid[0]";
						$kalender[$tid]['ta_title'] = "Fehlzeit ";
						$kalender[$tid]['cont_text'] = $kalender[$tid]['datum']." - ".$kalender[$tid]['datum_bis'];
						$kalender[$tid]['cont_title'] = "Fehlzeit: ".$kalender[$tid]['datum']." - ".$kalender[$tid]['datum_bis'];
						}
					}

					if(getConf('fehlz_kal')==1){
						if (($zk[0] == $_SESSION[$AppCode]['UID'] || $_SESSION[$AppCode]['ULV'] >= 96) && !in_array($pers, $fz1)){
						  $kalender[$tid]['del_link'] = 1 + $instantDel + $del1;
						  $kalender[$tid]['serie_link'] = 1;
						} else {
						  $kalender[$tid]['del_link'] = 0;
						  $kalender[$tid]['serie_link'] = 0;
						}
					}else{
						if ($zk[0] == $_SESSION[$AppCode]['UID'] || $_SESSION[$AppCode]['ULV'] >= 96){
						  $kalender[$tid]['del_link'] = 1;
						  $kalender[$tid]['serie_link'] = 1;
						} else {
						  $kalender[$tid]['del_link'] = 0;
						  $kalender[$tid]['serie_link'] = 0;
						}
					}

					$kalender[$tid]['del_url'] = "kal_del_sql.php?ktyp=1&zk_id=$zk[2]&termin_id=$row[0]&loc=kal";
					$kalender[$tid]['serie_url'] = "kal_serie.php?termin_id=$row[0]&zk_id=$zk[2]";

			}

			if (isset($anz)){
				$kalender[$tid]['del_url'] .= "&anz=" . $anz;
			}

			if (isset($_GET['ma'])){
				$kalender[$tid]['del_url'] .= "&ma=" . $_GET['ma'];
			}

      /* Termine pruefen ob plausibel sind von Zeiten */
      if ($kalender[$tid]["ts1"] > $kalender[$tid]["ts2"])
      {
        printf("<table><tr><th style=\"color:red\">folgender Termin hat den ");
        printf("Endzeitpunkt in der Vergangenheit:");

        printf("</th></tr></table>\n<table>");
        printf("<tr><th>");
		if($kalender[$tid]['art']=='z') echo "<a href=\"".$kalender[$tid]['datum_url']."\">";
		echo date("d.m.Y H:i:s", $kalender[$tid]['ts1']);
		if($kalender[$tid]['art']=='z') echo "</a>";
        printf("</th><th>- %s", date("d.m.Y H:i:s", $kalender[$tid]['ts2']));
        printf("</th></tr></table>");

        new stwLine(1);
        $kalender[$tid]["ts2"] = $kalender[$tid]["ts1"] + (15*60);
      }
		}
	}

	usort($kalender, 'usortfunc_timestamp');

 /*
  * Dieser Bereich gibt grafisch die verschiedenen Termine aus. Gezeigt werden
  * Zeitkarten, Termine, Gruppentermine und Lomtermine. Ueberlappende Daten
  * werden in verschiedenen Spalten dargestellt.
  */
 if ($anz == "w1")
 {
   /* Startzeit und Endzeit fuer die Darstellung eines Tages */
   $kal_von = $kal_konf_von;
   $kal_bis = getConf('kal_bis');

   $t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
   $t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));

   /* Grafische Uebersicht wird durch eine Tabelle dargestellt */
   printf("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
   printf("<tr><td>\n");

   kal_tabelle_zeit($t_beg, $t_end);
   printf("</td>\n");

   /* Montag, Dienstag, Mittwoch, Donnerstag und Freitag ausgeben */
   $wt1 = $sql_beg;
   $wt2 = mktime(0, 0, 0, date("n", $wt1), date("j", $wt1) + getConf('kal_tage'), date("Y", $wt1));

   /* Daten der Feiertage holen */
   $ft = feiertage(date("Y", $sql_beg));

   while ($wt1 <= $wt2)
   {
     /* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
     if ($sql_beg != $wt1) kal_zelle_farbe("#333333");

     /* gruene senkrechte Trennlinie zwischen den einzelnen Tagen zeichnen */
     kal_zelle_farbe("darkgreen");

     /* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
     if ($sql_beg != $wt1) kal_zelle_farbe("#333333");

     /*
      * Pruefen ob dieser Tag ein Fehlzeittag ist.
      */
     $sql  = "SELECT t1.fehlz_id, t3.name, t3.farbe, t2.terminart, ";
	 $sql .= "t1.fokus_ts, t1.genehmigt_ts FROM tb_fehlz t1 ";
     $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";
     $sql .= "LEFT JOIN tb_terminart t3 ON t2.terminart = t3.terminart ";
     $sql .= "WHERE t1.pers_id = '".$ma."' AND UNIX_TIMESTAMP(t2.von) <= '";
     $sql .= $wt1."' AND UNIX_TIMESTAMP(t2.bis) >= '".$wt1."' ";
	 $sql .= "ORDER BY (t2.terminart = 'ez') ASC LIMIT 1";
     $fehlzeit = abfrage($sql);
	 if($fehlzeit[3] == 'ez') {
		$sql = "select anst_ez from tb_paz where pers_id = '$ma' 
				and unix_timestamp(von) <= '$wt1' order by von desc limit 1";
		$anst_ez = abfrage($sql);
		if($anst_ez[0] > 0.00) $fehlzeit = array();
	 }

     /* bestimmen ob der Tag ein Feiertag ist */
     $ft1 = find_key_in_array($ft, $wt1);

     /* neuer Tag mit eigener Tabelle anfangen */
     printf("<td>");

     /* den ganzen Tag ausgeben */
     kal_tabelle_tag($kalender, $ma, $wt1, $kal_von, $kal_bis, "140", $ft1,
                     $fehlzeit[1], $fehlzeit[2], 
					 (empty($fehlzeit[5]) && empty($fehlzeit[4])), false, true);

     /* Tag abschliessen */
     printf("</td>\n");
	 flush();

     /* Zeit einen Tag weitersetzen */
     $wt1 += 86400;
   }

   /* grosse Tabelle abschliessen die die grafische Darstellung beinhaltet */
   printf("</tr></table>\n");
 }
 else if ($anz == "tg")
 {
   /* Startzeit und Endzeit fuer die Darstellung dieses Tages */
   $kal_von = $kal_konf_von;
   $kal_bis = getConf('kal_bis');

   $t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
   $t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));

   /* Daten der Feiertage holen */
   $ft = feiertage(date("Y", $sql_beg));

   /* Grafische Uebersicht wird durch eine Tabelle dargestellt */
   printf("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
   printf("<tr><td>\n");

   /*
    * Die erste Spalte gibt die verschiedenen Uhrzeiten aus. Eine Zeile
    * repraesentiert eine Viertelstunde.
    */
   kal_tabelle_zeit($t_beg, $t_end);
   printf("</td>\n");

   /* gruene senkrechte Trennlinie zwischen den einzelnen Tagen zeichnen */
   kal_zelle_farbe("darkgreen");
   printf("<td>");

   /*
    * Pruefen ob dieser Tag ein Fehlzeittag ist.
    */
   $sql  = "SELECT t1.fehlz_id, t3.name, t3.farbe FROM tb_fehlz t1 ";
   $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";

   $sql .= "LEFT JOIN tb_terminart t3 ON t2.terminart = t3.terminart ";
   $sql .= "WHERE t1.pers_id = '".$ma."' AND UNIX_TIMESTAMP(t2.von) <= '";

   $sql .= $sql_beg."' AND UNIX_TIMESTAMP(t2.bis) >= '".$sql_beg."' LIMIT 1";
   $fehlzeit = abfrage($sql);

   /* bestimmen ob der Tag ein Feiertag ist */
   $ft1 = find_key_in_array($ft, $sql_beg);

   /* jetzt den ganzen Tag ausgeben */
   kal_tabelle_tag($kalender, $ma, $sql_beg, $kal_von, $kal_bis, "700", $ft1,
                   $fehlzeit[1], $fehlzeit[2], true, true);

   /* grosse Tabelle abschliessen die die grafische Darstellung beinhaltet */
   printf("</td></tr></table>\n");
	
 } else {
 	/* Listenansicht der einzelnen Termine */
 	if (!empty($kalender)){
 		echo "<table>\n";
 		echo "<tr><th class=\"cl1\" colspan=\"2\">Datum</th>\n";
		echo "<th class=\"cl1\">von</th>\n";
		echo "<th class=\"cl1\">bis</th>\n";
		echo "<th class=\"cl1\">Terminart</th>\n";
		echo "<th class=\"cl1\">Inhalt</th>\n";
		echo "<th>Ort</th>\n";
		echo "<th>4W</th>\n";
		echo "</tr>\n";

		foreach ($kalender as $value){

			$w2 = $value['kw'];

			if ($w2 != $w1) new stwTabLine(3,100);
			$w1 = $w2;

			echo "<tr class=\"mo\">\n";

			/* Wochentag */
			echo "<td class=\"cl1\">{$value['wtag']}</td>\n";

			/* Datum */
			echo "<td class=\"cl1\">";
			if ($value['datum_link'] == 1){
				echo "<a href=\"{$value['datum_url']}\">{$value['datum']}</a>";
			} else {
				echo $value['datum'];
			}
			echo "</td>\n";

			/* von */
			echo "<td class=\"cl1\">{$value['von']}</td>\n";

			/* bis */
			echo "<td class=\"cl1\">{$value['bis']}</td>\n";

			/* Terminart */
			echo "<td ";
			if (strlen($value['ta_title']) > 0) echo stwToolTip($value['ta_title']);
			echo "class=\"cl1\"";
			if (strlen($value['ta_color']) > 0){
				echo " style=\"color: {$value['ta_color']};\"";
			}
			echo ">{$value['ta_text']}</td>\n";

			/* Inhalte */
			echo "<td class=\"cl1\" ";
			if (strlen($value['cont_title']) > 0){
				echo stwToolTip($value['cont_title']);
			}
			echo ">{$value['cont_text']}</td>\n";

			/* Ort */
			echo "<td class=\"cl1\">{$value['ort']}</td>\n";

			/* 4W */
			$w4 = round($value['ts1'] / (60*60*24*7), 0) % 4;
			if($w4 == 0) $w4 = 4;
			echo "<td class=\"cl1\" style=\"text-align:center\">$w4</td>\n";

			/* Loeschen ? */
			if ($value['del_link'] == 1){
				echo "<td class=\"cl1\"><a href=\"{$value['del_url']}\"";
				echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!');
				echo " style=\"color: #FF0000;\">X</a></td>\n";
			} else {
				echo "<td class=\"cl1\"></td>\n";
			}

			/* Serie ? */
			if ($value['serie_link'] == 1){
				echo "<td class=\"cl1\"><a href=\"{$value['serie_url']}\">";
				echo "Serie</a></td>\n";
			} else {
				echo "<td class=\"cl1\"></td>\n";
			}

			/* Raumnutzung */
			if ($value['raum'] == true){
				echo "<td style=\"color: {$value['raum_farbe']};\"";
				echo stwToolTip($value['raum_text']) . ">R</td>\n";
			} else {
				echo "<td></td>\n";
			}

			echo "</tr>\n";
		}
	}
}
}
new stwLine(1);
echo "<script language=\"Javascript\"><!--\n";
while($zeile = mysql_fetch_row($proid_erg)) {
echo "xajax_reDoDropdown($zeile[0]);\n";
}
echo "--></script>\n";

new stwEnd($seite, 1);
?>
