<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kal2_pr.php 2507 2015-12-14 16:17:41Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter('private');
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/fpdf/fpdf.php");

 require_once($pfad."inc/func.inc.php");

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

if(isset($_GET['ewald'])) {
	abfrage2("update tb_wochenplan set ewald='j' where pers_id='{$_SESSION[$AppCode]['UID']}' and unix_timestamp(datum)='{$_GET['tag']}'");
}

class KalenderPDF extends FPDF
{

/**
 * Draws text within a box defined by width = w, height = h, and aligns
 * the text vertically within the box ($valign = M/B/T for middle, bottom, or top)
 * Also, aligns the text horizontally ($align = L/C/R/J for left, centered, right or justified)
 * drawTextBox uses drawRows
 *
 * This function is provided by TUFaT.com
 */
function drawTextBox($strText, $w, $h, $align='L', $valign='T', $border=1)
{
    $xi=$this->GetX();
    $yi=$this->GetY();

    $hrow=$this->FontSize;
    $textrows=$this->drawRows($w,$hrow,$strText,0,$align,0,0,0);
    $maxrows=floor($h/$this->FontSize);
    $rows=min($textrows,$maxrows);

    $dy=0;
    if (strtoupper($valign)=='M')
        $dy=($h-$rows*$this->FontSize)/2;
    if (strtoupper($valign)=='B')
        $dy=$h-$rows*$this->FontSize;

    $this->SetY($yi+$dy);
    $this->SetX($xi);

    if ($border==1)
        $this->Rect($xi,$yi,$w,$h);
    $this->drawRows($w,$hrow,$strText,0,$align,0,$rows,1);
}

function drawRows($w,$h,$txt,$border=0,$align='J',$fill=0,$maxline=0,$prn=0)
{
    $cw=&$this->CurrentFont['cw'];
    if($w==0)
        $w=$this->w-$this->rMargin-$this->x;
    $wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
    $s=str_replace("\r",'',$txt);
    $nb=strlen($s);
    if($nb>0 and $s[$nb-1]=="\n")
        $nb--;
    $b=0;
    if($border)
    {
        if($border==1)
        {
            $border='LTRB';
            $b='LRT';
            $b2='LR';
        }
        else
        {
            $b2='';
            if(is_int(strpos($border,'L')))
                $b2.='L';
            if(is_int(strpos($border,'R')))
                $b2.='R';
            $b=is_int(strpos($border,'T')) ? $b2.'T' : $b2;
        }
    }
    $sep=-1;
    $i=0;
    $j=0;
    $l=0;
    $ns=0;
    $nl=1;
    while($i<$nb)
    {
        //Get next character
        $c=$s[$i];
        if($c=="\n")
        {
            //Explicit line break
            if($this->ws>0)
            {
                $this->ws=0;
                if ($prn==1) $this->_out('0 Tw');
            }
            if ($prn==1) {
                $this->Cell($w,$h,substr($s,$j,$i-$j),$b,2,$align,$fill);
            }
            $i++;
            $sep=-1;
            $j=$i;
            $l=0;
            $ns=0;
            $nl++;
            if($border and $nl==2)
                $b=$b2;
            if ( $maxline && $nl > $maxline )
                return substr($s,$i);
            continue;
        }
        if($c==' ')
        {
            $sep=$i;
            $ls=$l;
            $ns++;
        }
        $l+=$cw[$c];
        if($l>$wmax)
        {
            //Automatic line break
            if($sep==-1)
            {
                if($i==$j)
                    $i++;
                if($this->ws>0)
                {
                    $this->ws=0;
                    if ($prn==1) $this->_out('0 Tw');
                }
                if ($prn==1) {
                    $this->Cell($w,$h,substr($s,$j,$i-$j),$b,2,$align,$fill);
                }
            }
            else
            {
                if($align=='J')
                {
                    $this->ws=($ns>1) ? ($wmax-$ls)/1000*$this->FontSize/($ns-1) : 0;
                    if ($prn==1) $this->_out(sprintf('%.3f Tw',$this->ws*$this->k));
                }
                if ($prn==1){
                    $this->Cell($w,$h,substr($s,$j,$sep-$j),$b,2,$align,$fill);
                }
                $i=$sep+1;
            }
            $sep=-1;
            $j=$i;
            $l=0;
            $ns=0;
            $nl++;
            if($border and $nl==2)
                $b=$b2;
            if ( $maxline && $nl > $maxline )
                return substr($s,$i);
        }
        else
            $i++;
    }
    //Last chunk
    if($this->ws>0)
    {
        $this->ws=0;
        if ($prn==1) $this->_out('0 Tw');
    }
    if($border and is_int(strpos($border,'B')))
        $b.='B';
    if ($prn==1) {
        $this->Cell($w,$h,substr($s,$j,$i-$j),$b,2,$align,$fill);
    }
    $this->x=$this->lMargin;
    return $nl;
}



function printKalender($tag, $ma2){

        global $AppCode; /* Sessiondaten holen */

	/* Feiertage fuer das Jahr ermitteln */
	$ft = feiertage(date('Y', $tag));

	$fls_ist = 0;
	$pers = $ma2;
	$wtag = date('w', $tag);

	if ($wtag == 0){
		$wt1 = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
	} else {
		$wt1 = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
	}
	$wt2 = $wt1 + (5 * 86400) - 1 ;
	$wt2_1 = $wt1 + (14 * 86400);

	$this->AddPage('L');
	$this->SetLineWidth(0.1);

	$this->Line(148.5,0,148.5,210);

	$this->SetXY(5,9);
	$this->SetFont('Arial','B',12);

	$datum = date('d.m.Y H:i', $wt1);

	$w4 = ceil($tag / (60*60*24*7)) % 4;
	if($w4 == 0) $w4=4;

	$this->Cell(20, 6, $w4 . ' KW ' . date('W', $tag),'TB');
	$this->Cell(60, 6, date('d.m.Y', $wt1) . ' - ' . date('d.m.Y', $wt2), 'TB');
	$this->Cell(60, 6, pers_name($ma2), 'TB',0,'R');

	$this->SetXY(5,15);
	$this->SetFont('Arial','B',9);
	$this->Cell(10, 5, 'Zeit',1,0,'C');

	$kal_von = getConf('kal_von');
	$kal_bis = getConf('kal_bis');

	$t1 = mktime($kal_von,0,0,date('n'),date('j'),date('Y'));
	$t2 = mktime($kal_bis,0,0,date('n'),date('j'),date('Y'));

	$this->SetFont('Arial','B',6);
	$this->SetXY(5,20);

	while ($t1 < $t2){
		$this->Cell(10,3, date('H:i', $t1),1,0,'C');
		$this->Ln(3);

		$t1 += 900;
	}

	$sql  = "select t.termin_id, date_format(t.von, '%d.%m.%Y') as von_dt, ";
	$sql .= "date_format(t.von, '%H:%i') as von_tm, ";
	$sql .= "date_format(t.bis, '%H:%i') as bis_tm, a.name, t.terminart, ";
	$sql .= "week(t.von, 1) as woche_von, unix_timestamp(t.von) as von_ts, ";
	$sql .= "a.farbe, unix_timestamp(t.bis) as bis_ts from tb_termine t ";
	$sql .= "left join tb_terminart a using(terminart) ";
	$sql .= "where (t.terminart in ('t','l','g','z') or a.neu = 'j') ";
	$sql .= "and unix_timestamp(t.von) >= '$wt1' ";
	$sql .= "and unix_timestamp(t.von) <= '$wt2_1' ";
	$sql .= "order by unix_timestamp(t.von) asc;";

	$res = abfrage1($sql);
	$gh = 0;

	while ($row = mysql_fetch_array($res)){
		$anz1 = false;

		/* extra switch-Schleife fuer Entscheidung, ob Termin angezeigt wird
		 * oder nicht -> Beschleunigung des Skripts.
		 * Nur fuer relevante Termine werden Inhalte abgefragt
		 */

		switch ($row['terminart']) {

			case 'z':
				$sql  = "select pers_id, fls from tb_ab_zk ";
				$sql .= "where termin_id = '{$row['termin_id']}';";
				$id = abfrage($sql);
				if ($id[0] == $pers) {
					$anz1 = true;
					$fls_ist += time_hhmmss2dec($id[1]);
				}
				break;

			case 'l':
				$id = abfrage("select lom_id from tb_lom where termin_id = '{$row['termin_id']}';");
				$bet1 = abfrage("select pers_id from tb_lom where lom_id = '$id[0]';");
				$bet2 = abfrage("select pers_id from tbh_lom_pers
								where lom_id = $id[0]
								and pers_id = $pers;");
				if ($bet1[0] == $pers || $bet2[0] == $pers){
					$anz1 = true;
				}
				break;

			case 't':
				$id = abfrage("select team_id from tb_team where termin_id = '{$row['termin_id']}';");

				/*
				 * Sicherstellen das dieser Termin
				 * vorhanden ist.
				 */
				if (empty($id[0])) {
					/* nicht anzeigen */
					$anz1 = false;
				} else {
					$bet1 = abfrage("select essen, andacht, weiter
								from tb_team where team_id = $id[0];");

				  $bet2 = abfrage("select pers_id from tbh_team_pers
								where team_id = $id[0]
								and pers_id = $pers;");

				  if ($bet1[0] == $pers || $bet1[1] == $pers || $bet1[2] == $pers ||
							$bet2[0] == $pers){
						$anz1 = true;
				  }
				}
				break;

			case 'g':
				$id = abfrage("select ga_id from tb_ga where termin_id = '{$row['termin_id']}';");

				/* sicherstellen das ein ID Eintrag vorhanden */
				if (!empty($id[0]))
				{
				  $bet1 = abfrage("select pers_id, inhalt from tb_ga
				  				where ga_id = $id[0];");
                                        $bet2 = abfrage1("select person_id from tbh_ga_pp
								where ga_id = $id[0]
								and pers_id = $pers;");
				}
				if ($bet1[0] == $pers || $bet1[1] == $pers || mysql_num_rows($bet2) > 0){
					$anz1 = true;
				}
				break;

			default :
				$zk = abfrage("select pers_id from tb_ab_zk where termin_id = '{$row['termin_id']}';");
				$tn = abfrage1("select pers_id from tbh_termin_pers
								where termin_id = '{$row['termin_id']}';");
				$tn1 = array();
				if (mysql_num_rows($tn) > 0){
					while ($tnn = mysql_fetch_row($tn)){
						$tn1[] = $tnn[0];
					}
				}
				if ($zk[0] == $pers || in_array($pers, $tn1)){
					$anz1 = true;
				}
				break;
		}


		/* wenn Termin angezeigt wird -> weitere Infos abfragen! */

		if ($anz1 == true){
			$tid = $row['termin_id'];
			$kalender[$tid]['id'] = $row['termin_id'];
			$kalender[$tid]['art'] = $row['terminart'];
			$kalender[$tid]['datum'] = $row['von_dt'];
			$kalender[$tid]['von'] = $row['von_tm'];
			$kalender[$tid]['bis'] = $row['bis_tm'];

      /*
       * Liegt die Uhrzeit vor der grafischen Anzeige
       * muss der Startzeitpunkt geaendert werden.
       */
      $akt_std = explode(':', $row['von_tm']);

      $rest    = getConf("kal_von") * 3600;
      $rest   -= $akt_std[0] * 3600 + $akt_std[1]*60;

      if ($rest > 0) {

      	/* die nicht anzuzeigende Zeit weglassen */
        $zwischen = $row['von_ts'] + $rest;

        if ($zwischen < $row['bis_ts']) {
          $kalender[$tid]['ts1'] = $row['von_ts'] + $rest;
        } else {
          $kalender[$tid]['ts1'] = $row['von_ts'];
        }
      } else {
        $kalender[$tid]['ts1'] = $row['von_ts'];
      }

			$kalender[$tid]['ts2'] = $row['bis_ts'];
			$kalender[$tid]['wtag'] = strftime('%a', $row[7]);
			$kalender[$tid]['kw'] = $row['woche_von'];

			switch ($row['terminart']) {

				case 'z':

					$sql  = "select zk_id, proj_id, inhalte, km_via1, pers_id, ab ";
					$sql .= "from tb_ab_zk where termin_id = '{$row['termin_id']}';";
					$id = abfrage_array($sql);
          
					if (!empty($id[1])){
						$pro = new stwProjekt($id[1]);
					}

					$kalender[$tid]['ta_text'] = $pro->nummer();

					$abdat = abfrage("select ab, ab_monat, nachw_id
									from tb_ab_zk
									where zk_id = $id[0];");
					if ($abdat[0] == 'j'){
						$kalender[$tid]['ta_color'] = "#00FF00";
						if (!empty($abdat[1])){
							$kalender[$tid]['ta_color'] = "#FF0000";
							if (!empty($abdat[2])){
								$kalender[$tid]['ta_color'] = "rgb(180,180,180)";
							}
						}
					} else {
						$kalender[$tid]['ta_color'] = '';
					}

          /* Nichts zeigen wenn abrechnungsrelevant. */
          if ($id["ab"] == "j")
          {
            /* nichts zeigen */
            $kalender[$tid]["cont_text"] = "";
            $kalender[$tid]["cont_text_liste"] = "";
          }
          else
          {
            /* nicht abrechnungsrelevant */
            $kalender[$tid]["cont_text"] = $id[2];
            $kalender[$tid]["cont_text_liste"] = strCut($id[2], 33);
          }

          $kalender[$tid]["ort"] = strCut($id[3], 25);
          break;

				case 'l':
					$id = abfrage("select l.lom_id, a.ga_art, l.action, l.pers_id
								from tb_lom l
								left join tb_ga_art a using (art_id)
								where l.termin_id = '{$row['termin_id']}';");

					$kalender[$tid]['ta_text'] = $row['name'];
					$kalender[$tid]['ta_color'] = '';
					$kalender[$tid]['cont_text'] = $id[1];
					$kalender[$tid]['cont_text_liste'] = strCut($id[1], 33);
					$kalender[$tid]['ort'] = lom_art($id[2]);

					break;

				case 't':
					$id = abfrage("select team_id, thema, team_art_id, essen, andacht, weiter
									from tb_team where termin_id = '{$row['termin_id']}';");
					$t_ver = array($id[3], $id[4], $id[5]);

					$fokus = abfrage("select pers_id from tb_team_art_pers
									where team_art_id = $id[2] and fokus > 0;");

					$tmart = abfrage("select kurzname, name, farbe
										from tb_team_art
										where team_art_id = $id[2];");

					$kalender[$tid]['ta_text'] = $tmart[0];
					$kalender[$tid]['ta_color'] = $tmart[2];
					$kalender[$tid]['cont_text'] = $id[1];
					$kalender[$tid]['cont_text_liste'] = strCut($id[1], 33);
					$kalender[$tid]['ort'] = "Stellwerk";

					break;

				case 'g':
					$id = abfrage("select g.ga_id, g.thema, o.ga_ort, g.pers_id
									from tb_ga g
									left join tb_ga_ort o using (ort_id)
									where g.termin_id = '{$row['termin_id']}';");

					$kalender[$tid]['ta_text'] = $row['name'];
					$kalender[$tid]['ta_color'] = '';
					$kalender[$tid]['cont_text'] = $id[1];
					$kalender[$tid]['cont_text_liste'] = strCut($id[1], 33);
					$kalender[$tid]['ort'] = strCut($id[2], 25);

					break;

				default:
					$zk = abfrage("select pers_id, inhalte, zk_id, spesen_text
									from tb_ab_zk
									where termin_id = '{$row['termin_id']}';");
					$tn = abfrage1("select pers_id from tbh_termin_pers
									where termin_id = '{$row['termin_id']}';");
					$tn1 = array();
					if (mysql_num_rows($tn) > 0){
						while ($tnn = mysql_fetch_row($tn)){
							$tn1[] = $tnn[0];
						}
					}

					$kalender[$tid]['ta_text'] = $row['name'];
					$kalender[$tid]['ta_color'] = $row['farbe'];
					$kalender[$tid]['cont_text'] = $zk[1];
					$kalender[$tid]['cont_text_liste'] = strCut($zk[1], 33);
					$kalender[$tid]['ort'] = strCut($zk[3], 25);
			}

		}

    /* Termine ueberpruefen ob der Endzeitpunkt in der Vergangenheit liegt */
    if ($kalender[$tid]["ts1"] >= $kalender[$tid]["ts2"] &&
        $kalender[$tid]["ts1"] != 0)
    {
      $kalender[$tid]["ts2"] = $kalender[$tid]["ts1"] + (15*60);
			$kalender[$tid]["ta_text"] = "DATUM LIEGT IN DER VERGANGENHEIT";
    }
	}


	if (count($kalender) > 0){


	$w1 = $wt1;
	$w2 = $wt2;

	$x1 = 15;

	while ($w1 <= $w2){

		$this->SetXY($x1,15);

		/* ermitteln, ob dieser Tag ein Fehltag oder Feiertag ist */

		/* Feiertage durchsuchen */
		$ft1 = find_key_in_array($ft, $w1);

		$sql  = "select f.fehlz_id from tb_fehlz f ";
		$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
		$sql .= "where f.pers_id = '$ma2' ";
		$sql .= "and unix_timestamp(t.von) <= '$w1' ";
		$sql .= "and unix_timestamp(t.bis) >= '$w1' limit 1;";
		$fehlzeiten = abfrage($sql);

		if (!empty($ft1) || $fehlzeiten[0] > 0){
			$grau = true;
			$this->SetFillColor(230,230,230);
		} else {
			$grau = false;
			$this->SetFillColor(255,255,255);
		}

		$this->SetFont('Arial','B',9);
		$this->Cell(26, 5, strftime('%a, %d.%m.%Y',$w1),1,2,'C',1);


		$t1 = mktime($kal_von,0,0,date('n',$w1),date('j',$w1),date('Y',$w1));
		$t2 = mktime($kal_bis,0,0,date('n',$w1),date('j',$w1),date('Y',$w1));

		$hx = ($t2 - $t1) / 900 * 3;

		if ($grau == true){
			$this->Cell(26, $hx, '',1,2,'C',1);
		}

		$this->SetFont('Arial','',6);
		$this->SetFillColor(0,0,0);

		$y_axis = 20;
		$tempT = $tempX = 0;

		while ($t1 < $t2){
			$this->SetXY($x1, $y_axis);
			$bTermin = false;
			foreach($kalender as $key => $cal) {
				if($cal['ts1'] > $t1 || $cal['ts1'] <= $t1-900) continue;
				/* Terminstart */
				$bTermin = true;
				if($tempT <= $t1) {
					$tempT = $tempX = 0;
				}
				$this->SetXY($x1+$tempX, $y_axis);
				if ($kalender[$key]['ts2'] > $t2){
					$height = ($t2 - $kalender[$key]['ts1']) / 900 * 3;
				} else {
					$height = ($kalender[$key]['ts2'] - $kalender[$key]['ts1']) / 900 * 3;
				}

				if (strlen($kalender[$key]['ta_color']) > 0){

					$tc = $kalender[$key]['ta_color'];

					if (substr($tc,0,1) == '#'){

						$rgb_r = hexdec(substr($tc,1,2));
						$rgb_g = hexdec(substr($tc,3,2));
						$rgb_b = hexdec(substr($tc,5,2));

					} else {

						$start = strpos($tc, '(') + 1;
						$ende = strrpos($tc, ')') - 1;

						$laenge = $ende - $start;

						$rgb = explode(',',substr($tc, $start, $laenge));

						$rgb_r = $rgb[0];
						$rgb_g = $rgb[1];
						$rgb_b = $rgb[2];

					}

					$this->SetFillColor($rgb_r, $rgb_g, $rgb_b);

				} else {
					$this->SetFillColor(255,255,255);
				}

				$this->Cell(1,$height,'','LTB',0,'C',1);
				$this->SetFillColor(255,255,255);
				if ($height > 3){
					$this->Cell(25-$tempX,3,$kalender[$key]['ta_text'],'LTR',0,'L',1);
					$this->SetXY($x1+$tempX + 1, $y_axis + 3);

					if ($height > 6){
						$this->Cell(25-$tempX,3,$kalender[$key]['von'] . ' - ' . $kalender[$key]['bis'] ,'LR',0,'L',1);
						$this->SetXY($x1+$tempX + 1, $y_axis + 6);

							$x_t = $this->GetX();
							$y_t = $this->GetY();
							$this->Cell(25-$tempX,$height - 6,'','LBR',0,'L',1);
							$this->SetXY($x_t, $y_t);
							$this->drawTextBox($kalender[$key]['cont_text'], 25-$tempX, $height - 6,'L','T',0);
					} else {
						$this->Cell(25-$tempX,3,$kalender[$key]['von'] . ' - ' . $kalender[$key]['bis'] ,'LBR',0,'L',1);
					}
				} else {
					$this->Cell(25-$tempX,3,$kalender[$key]['ta_text'],1);
				}

				if($tempT < $kalender[$key]['ts2']) {
					$tempT = $kalender[$key]['ts2'];
					$tempX += 2;
				}
			}
			if (!$bTermin){ // kein Termin(start)
				$this->Cell(26,3,'','LR',2);
				$height = 3;
				if($tempT < $t1) {
					$tempT = $tempX = 0;
				}
			}

			$t1 += 900;
			$y_axis += 3;
		}

		$w1 += 86400;
		$x1 += 26;

	}

	$this->Line(5,$y_axis,145,$y_axis);

	$this->SetXY(152,9);
	$this->SetFont('Arial','B',12);

	$datum = date('d.m.Y H:i', $wt1);

	$this->Cell(25, 6, 'Terminliste','TB');
	$this->Cell(50, 6, date('d.m.Y', $wt1) . ' - ' . date('d.m.Y', ($wt2_1 - 1)), 'TB');
	$this->Cell(60, 6, pers_name($ma2), 'TB',0,'R');

	$this->SetXY(152,15);
	$this->SetFont('Arial','B',9);
	$this->Cell(20, 5, 'Datum',1,0,'C');
	$this->Cell(10, 5, 'von',1,0,'C');
	$this->Cell(10, 5, 'bis',1,0,'C');
	$this->Cell(25, 5, 'Terminart',1,0,'C');
	$this->Cell(40, 5, 'Inhalt',1,0,'C');
	$this->Cell(30, 5, 'Ort',1,0,'C');

	$x1 = 152;
	$y1 = 20;
	$h2 = 3.5;
	$this->SetFont('Arial','',7);

	foreach ($kalender as $value){
		$this->SetXY($x1,$y1);
		$this->Cell(6,$h2,$value['wtag']. ',','LTB');
		$this->Cell(14,$h2,$value['datum'],'RTB',0,'R');
		$this->Cell(10,$h2,$value['von'],1,0,'R');
		$this->Cell(10,$h2,$value['bis'],1,0,'R');
		$this->Cell(25,$h2,$value['ta_text'],1,0,'L');
		$this->Cell(40,$h2,$value['cont_text_liste'],1,0,'L');
		$this->Cell(30,$h2,$value['ort'],1,0,'L');

		$y1 += $h2;
		
		if ($y1 >= 185){
			$this->AddPage('L');
			$y1 = 20;
			}
	}
	}
	unset($kalender);
	if(isset($_GET['wp'])) {
		$sql  = "SELECT paz_id, anst FROM tb_paz WHERE pers_id='$ma2' ";
		$sql .= "AND UNIX_TIMESTAMP(von) <= '$wt1' ORDER BY von DESC LIMIT 1";
		$paz  = abfrage($sql);
		$fls = fls_woche($paz[0]);
		$anst = number_format($paz[1], 2, ',', '');
		$this->SetXY(152,180);
		$this->Cell(20,$h2,'Anst.:',0,0,'R');
		$this->Cell(11,$h2,"$anst %",0,0,'R');
		$this->SetXY(152,183);
		$this->Cell(20,$h2,'FLS Soll:',0,0,'R');
		$this->Cell(10,$h2,fls_form($fls),0,0,'R');
		$this->SetXY(152,186);
		$this->Cell(20,$h2,'FLS Ist:',0,0,'R');
		$this->Cell(10,$h2,fls_form($fls_ist),0,0,'R');
		$wp = abfrage( "select notizen, gf, date_format(gf_ts, '%d.%m.%Y %H:%i'), hb, date_format(hb_ts, '%d.%m.%Y %H:%i') 
						from tb_wochenplan where pers_id='$ma2' and unix_timestamp(datum)='$wt1'" );
		$this->SetXY(185,180);
		$this->MultiCell(110,3,$wp[0],0,'L');
		$this->SetXY(10,190);
		if($wp[1]) $this->Cell(65,3,"OK GF: ".pers_kname($wp[1]).' '.$wp[2]."Uhr");
		if($wp[3]) $this->Cell(65,3,"OK HB: ".pers_kname($wp[3]).' '.$wp[4]."Uhr");
		
	}
}
}

/* Beginn der PDF-Datei */

$pdf = new KalenderPDF();
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(5.0);
$pdf->SetLeftMargin(5.0);
$pdf->SetAutoPageBreak(false);

$wtag = date('w', $_GET['tag']);

if(is_numeric($_GET['ma'])) {
	$pdf->printKalender($_GET['tag'], $_GET['ma']);
} else {
	if ($_GET['ma'] == 'all'){
		$mas = abfrage1("select pers_id from tb_personal
						where status_id = 2 and betreuer = 'j'
						order by personalnr asc;");
	} else {
		if ($wtag == 0){
			$wt1 = mktime(0,0,0,date('n', $_GET['tag']),date('j', $_GET['tag'])-6,date('Y', $_GET['tag']));
		} else {
			$wt1 = mktime(0,0,0,date('n', $_GET['tag']),date('j', $_GET['tag'])-($wtag-1),date('Y', $_GET['tag']));
		}
		$mas = abfrage1( "select pers_id from tb_wochenplan where gf > 0 and unix_timestamp(datum)='$wt1'" );
	}

	while ($ma1 = mysql_fetch_row($mas)){
		// Abfrage, ob MA vielleicht die ganze Woche "frei" hat (Fehlzeiten)
		if ($wtag == 0){
			$wt1 = mktime(0,0,0,date('n', $_GET['tag']),date('j', $_GET['tag'])-6,date('Y', $_GET['tag']));
		} else {
			$wt1 = mktime(0,0,0,date('n', $_GET['tag']),date('j', $_GET['tag'])-($wtag-1),date('Y', $_GET['tag']));
		}

		$wt2 = $wt1 + (4 * 86400);

		$frei = array();

		while ($wt1 <= $wt2){

			$day = abfrage("select f.pers_id
							from tb_fehlz f
							left join tb_termine t using (termin_id)
							where f.pers_id = $ma1[0]
							and f.genehmigt = 1
							and unix_timestamp(t.von) <= $wt1
							and unix_timestamp(t.bis) >= $wt1;");

			if ($day[0] == $ma1[0]){
				$frei[] = $wt1;
			}
			$wt1 += 86400;
		}

		if (count($frei) != 5){
			$pdf->printKalender($_GET['tag'], $ma1[0]);
		}
	}
}

$pdf->Output();
exit;
?>
