<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kal_pkw.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 10;
$level = 6;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/level.inc.php");
require_once($pfad."inc/kal.inc.php");

if(isset($_GET['smile'])) {
	abfrage2("replace into tb_pers_einst_neu set pers_id='$uid', pers_einst_id='14', wert='$rvar_res_id';");
}

/*
* Funktion sortiert die einzelnen Termine nach den Timestamps. Sind die
* Zeitstempel gleich wird nach der Prioritaet geschaut.
*/
function usortfunc_timestamp($wert_1, $wert_2){
	$t1 = $wert_1['ts1'];
	$t2 = $wert_2['ts1'];

	if ($t1 == $t2){
		/* die beiden Zeitstempel sind gleich - Prioritaet sortieren */
		if ($wert_1['prio'] < $wert_2['prio']) return -1;
		if ($wert_1['prio'] > $wert_2['prio']) return  1;

		return 0;
	}

	return ($t1 < $t2) ? -1 : +1;
}

set_session_url();

/* Ermittlung der Kalenderanicht (Tag oder Woche) */
if (empty($_GET['anz'])){
	$anz = getConf('kal_st_anz');
} else {
	$anz = $_GET['anz'];
}

/* Ermittlung des anzuzeigenden Raums - Standard: alle Raeume */
$res_id = (isset($_GET['res_id'])) ? $_GET['res_id'] : getPersEinst($uid,14,'all');

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

$wst = mktime(0,0,0,date('n', $tag), date('j', $tag), date('Y', $tag));
while (date('w', $wst) != 1){
	$wst = mktime(0,0,0,date('n', $wst), date('j', $wst) - 1, date('Y', $wst));
}

$mon = mktime(0,0,0,date('n', $tag),1,date('Y', $tag));
$kst = mktime(0,0,0,date('n', $mon), date('j', $mon) - 7,date('Y', $mon));
while (date('w', $kst) != 1){
	$kst = mktime(0,0,0,date('n', $kst), date('j', $kst) - 1, date('Y', $kst));
}

$tg = date('Y-m-d', $tag);

$monat = date('n', $tag);
$jahr = date('Y', $tag);

$cal = ab_cal($monat, $jahr);

switch ($anz){
	case 'w1':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (7 * 86400);
		break;

	case 'w2':
		$wtag = date('w', $tag);
		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (14 * 86400);
		break;
	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;
	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;
	case 't';
		$sql_beg = $tag;
		$sql_end = $tag + (14*86400);
		break;

  case "tg": /* grafische Tagesansicht */
             $sql_beg = $tag;
             $sql_end = $tag + 86400;
             break;
}

/* alle Termine abfragen -> Filterung erfolgt in Anzeigeschleife! */
$sql  = "select t.termin_id, date_format(t.von, '%d.%m.%Y'), ";
$sql .= "date_format(t.von, '%H:%i'), date_format(t.bis, '%H:%i'), ";
$sql .= "a.name, t.terminart, week(t.von, 1), unix_timestamp(t.von), ";
$sql .= "a.farbe, unix_timestamp(t.bis), date_format(t.bis, '%d.%m.%Y'), ";
$sql .= "z.fahrt_id, z.km_dienst from tb_termine t ";
$sql .= "left join tb_ab_zk z on t.termin_id = z.termin_id ";
$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
$sql .= "WHERE (t.terminart = 'z' and z.res_id > 0 or t.terminart = 'a') ";

if ($res_id != 'all') $sql .= "and z.res_id = '$res_id' ";
if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
	$sql .= "AND ((unix_timestamp(t.von) >= '$sql_beg' AND unix_timestamp(t.von) <= '$sql_end') ";
	$sql .= "OR (unix_timestamp(t.bis) >= '$sql_beg' AND unix_timestamp(t.bis) <= '$sql_end') ";
	$sql .= "OR (unix_timestamp(t.von) <= '$sql_beg' AND unix_timestamp(t.bis) >= '$sql_end')) ";
}
$sql .= "ORDER BY unix_timestamp(t.von) asc;";

$res = abfrage1($sql);

/* Schalter eigene / alle Termine */

echo "<table><tr>\n";

/* Auswahlfeld PKW */
echo "<th class=\"cl1\">PKW:</th>";
echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"GET\">\n";
echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
echo "<input type=\"hidden\" name=\"tag\" value=\"{$_GET['tag']}\">\n";
echo "<td>";
echo "<select name=\"res_id\" size=\"1\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"all\"";
if ($res_id == 'all') echo ' selected';
echo ">Alle PKWs anzeigen!</option>\n";

$sql  = "select res_id, name from tb_ressourcen where res_typ = '1' and aktiv='j' ";
$sql .= "order by name asc;";
$erg = abfrage1($sql);
$auto = '';

while ($zeile = mysql_fetch_row($erg)) {
	echo "<option value=\"$zeile[0]\"";
	if ($res_id == $zeile[0]) {
		echo ' selected';
		$auto = $zeile[1];
	}
	echo ">$zeile[1]</option>\n";
}
echo "</select></td>\n";
echo "<td class=\"cl20\"><input type=\"image\" src=\"img/senden.png\"></td>\n";
echo "<td class=\"cl20\"><a href=\"kal_pkw.php?anz=$anz&tag={$_GET['tag']}&res_id=$res_id&smile=1\" style=\"color:";
echo (isset($_GET['smile'])) ? "lime" : "#CCCCCC";
echo "\">:)</a></td>\n";
echo "<td class=\"cl20\"><input type=\"button\" value=\"Neue Fahrt\"";
echo "onClick=\"self.location.href='fahrten_and.php?kal_pkw=1'\"";
echo stwToolTip('neue Fahrt anlegen');
echo "></td>\n";
echo "</form>\n";

echo "<td class=\"cl20\"><a href=\"pkw_and.php?res_id=$res_id\">$auto</a></td>\n";

echo "</tr></table>\n";
new stwLine(1);

$kal_konf_von = getConf('kal_von');
$kal_konf_bis = getConf('kal_bis');
$kalender = array();


	$ghfd = 0;
	$tabledone = false;
	while ($row = mysql_fetch_row($res)){
		$anz1 = true;

		/* extra switch-Schleife fr Entscheidung, ob Termin angezeigt wird oder nicht
		 * -> Beschleunigung des Skripts. Nur fr relevante Termine werden Inhalte abgefragt */

		/* wenn Termin angezeigt wird -> weitere Infos abfragen! */

		if ($anz1 == true){
			$tid = $row[0];
			$kalender[$tid]['id'] = $row[0];
			$kalender[$tid]['art'] = $row[5];
			$kalender[$tid]['datum'] = $row[1];

			if(getConf('fehlz_kal')==1){
				$kalender[$tid]['datum_bis'] = $row[10];
			}

			$kalender[$tid]['von'] = $row[2];
			$kalender[$tid]['bis'] = $row[3];

      $kalender[$tid]['ts1'] = $row[7];
      $kalender[$tid]['ts2'] = $row[9];

      $kalender[$tid]['wtag'] = strftime('%a', $row[7]);
      $kalender[$tid]['kw'] = $row[6];


			$sql  = "select zk_id, proj_id, inhalte, km_nach, pers_id, ab, ";
			$sql .= "res_id from tb_ab_zk where termin_id = '$row[0]';";
			$id = abfrage_array($sql);

			if (!empty($id[1])){
				$pro = new stwProjekt($id[1]);
			}

			if ($_SESSION[$AppCode]['UID'] == $id[4] || $_SESSION[$AppCode]['ULV'] >= 96){
				$kalender[$tid]['datum_link'] = 1;
			} else {
				$kalender[$tid]['datum_link'] = 0;
			}

      /*
       * Falls dies ein Projekt ist - pruefen ob angemeldeter Nutzer beteiligt
       * ist und wenn dies der Fall ist, den Link auch freischalten.
       */
      if (!empty($id[1]) && $kalender[$tid]["datum_link"] == 0)
      {
        if ($pro->beteiligt($_SESSION[$AppCode]['UID']))
        {
          $kalender[$tid]["datum_link"] = 1;
        }
      }
			if($row[5]=='a') $kalender[$tid]['datum_url'] = "fahrten_and.php?kal_pkw=1&amp;zk_id=$id[0]";
			else $kalender[$tid]['datum_url'] = "pro_ab_zk.php?zk_id=$id[0]&proj_id=$id[1]";

			if(empty($id[1])) {
				$fahrt = abfrage("select fahrt from tb_fahrt where fahrt_id='$row[11]'");
				$kalender[$tid]['ta_text'] = empty($fahrt[0]) ? "Fahrt" : $fahrt[0];
			} else $kalender[$tid]['ta_text'] = $pro->nummer();

			$sql  = "select farbe, name from tb_ressourcen where res_id = '$id[6]';";
			$pkwdat = abfrage($sql);

			$kalender[$tid]['ta_color'] = $pkwdat[0];
			$kalender[$tid]['ta_title'] = $pkwdat[1];


      /*
       * Vergangenheit darf zwar fuer 5 Wochen gezeigt werden aber keine
       * Inhalte fuer unbeteiligte Nutzer. Bedingungen: gueltige ProjektID
       * und nicht beteiligt und ULV unterhalb von 97. Bei allen ZK die
       * Abrechnungsrelevant sind.
       */
      if ($_SESSION[$AppCode]["ULV"] < 97 && $abdat[0] == 'j' &&
          !empty($id[1]) && !$pro->beteiligt($_SESSION[$AppCode]["UID"])) {
        $kalender[$tid]['cont_text'] = '';
        $kalender[$tid]['cont_title'] = "<div>$pkwdat[1]</div>";
		if(strlen($id[3])>0) $kalender[$tid]['cont_title'] .= "<div>(nach $id[3])</div>";
      } else {
        $kalender[$tid]['cont_text'] = '';
        $kalender[$tid]['cont_title'] = '';
        $kalender[$tid]['cont_title_tt']  = '<b>Mitarbeiter:&nbsp;';
        $kalender[$tid]['cont_title_tt'] .= pers_name($id['pers_id']);
        $kalender[$tid]['cont_title_tt'] .= '</b>';
        $kalender[$tid]['cont_title_tt'] .= "<div>$pkwdat[1]</div>";
		if(strlen($id[3])>0) $kalender[$tid]['cont_title_tt'] .= "<div>(nach $id[3])</div>";
      }

			$kalender[$tid]['ort'] = "<div>$pkwdat[1]</div>";
			if(strlen($id[3])>0) $kalender[$tid]['ort'] .= "<div>(nach $id[3])</div>";

			if ($id[4] == $_SESSION[$AppCode]['UID'] || $_SESSION[$AppCode]['ULV'] >= 96){
				$kalender[$tid]['del_link'] = 1;
				$kalender[$tid]['serie_link'] = 1;
			} else {
				$kalender[$tid]['del_link'] = 0;
				$kalender[$tid]['serie_link'] = 0;
			}
			$kalender[$tid]['del_url'] = "kal_del_sql.php?ktyp=$row[5]&zk_id=$id[0]&termin_id=$row[0]";
			$kalender[$tid]['serie_url'] = "kal_serie.php?termin_id=$row[0]&zk_id=$id[0]";

			/* Raumnutzung / -belegung */
			if ($id['res2_id'] > 0){

				$kalender[$tid]['raum'] = true;

				/* sonstige Raumbelegung abfragen */
				$sql  = "select z.zk_id from tb_ab_zk z ";
				$sql .= "left join tb_termine t using (termin_id) ";
				$sql .= "where res_id = '{$id['res_id']}' and zk_id != '$id[0]' ";
				$sql .= "and unix_timestamp(t.bis) >= '$row[7]' ";
				$sql .= "and unix_timestamp(t.von) <= '$row[9]';";
				$rk = abfrage1($sql);

				if (mysql_num_rows($rk) > 0){
					$kalender[$tid]['raum_farbe'] = 'red';
					$kalender[$tid]['raum_text'] = 'Raum reserviert!';
				} else {
					$kalender[$tid]['raum_farbe'] = 'lime';
					$kalender[$tid]['raum_text'] = 'Raum frei!';
				}
			} else {
				$kalender[$tid]['raum'] = false;
			}


			if (isset($anz)){
				$kalender[$tid]['del_url'] .= "&anz=" . $anz;
			}

			if (isset($_GET['ma'])){
				$kalender[$tid]['del_url'] .= "&ma=" . $_GET['ma'];
			}

      /* Termine pruefen ob plausibel sind von Zeiten */
      if ($kalender[$tid]["ts1"] == $kalender[$tid]["ts2"]) {
        $kalender[$tid]["ts2"] += 82799;
	  } elseif ($kalender[$tid]["ts1"] >= $kalender[$tid]["ts2"] && intval($row[12])==0) {
		if(!$tabledone) {
			printf("<table><tr><th style=\"color:red\">folgender Termin hat den ");
			printf("Endzeitpunkt in der Vergangenheit:");
			printf("</th></tr></table>\n");
			$tabledone = true;
		}
		if($row[5] == 'z') $link="pro_ab_zk.php?zk_id=$id[0]";
		else $link="fahrten_and.php?zk_id=$id[0]";
        echo "<table><tr><th><a href=\"$link\">";
		echo date("d.m.Y H:i:s", $kalender[$tid]['ts1']);
		echo "</a></th>";
        printf("<th>- %s", date("d.m.Y H:i:s", $kalender[$tid]['ts2']));
        printf("</th></tr></table>");

        $kalender[$tid]["ts2"] = $kalender[$tid]["ts1"] + (15*60);
      }
	}
	}
	if($tabledone) new stwLine(1);

	usort($kalender, 'usortfunc_timestamp');

 /*
  * Dieser Bereich gibt grafisch die verschiedenen Termine aus. Gezeigt werden
  * Zeitkarten, Termine, Gruppentermine und Lomtermine. Ueberlappende Daten
  * werden in verschiedenen Spalten dargestellt.
  */
 if ($anz == 'w1') {
   /* Startzeit und Endzeit fuer die Darstellung eines Tages */
   $kal_von = $kal_konf_von;
   $kal_bis = getConf('kal_bis');

   $t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
   $t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));

   /* Grafische Uebersicht wird durch eine Tabelle dargestellt */
   printf("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
   printf("<tr><td>\n");

   kal_tabelle_zeit($t_beg, $t_end);
   printf("</td>\n");

   /* Montag, Dienstag, Mittwoch, Donnerstag und Freitag ausgeben */
   $wt1 = $sql_beg;
   $wt2 = mktime(0, 0, 0, date("n", $wt1), date("j", $wt1) + getConf('kal_tage'), date("Y", $wt1));

   /* Daten der Feiertage holen */
   $ft = feiertage(date("Y", $sql_beg));

   while ($wt1 <= $wt2) {
     /* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
     if ($sql_beg != $wt1) kal_zelle_farbe("#333333");

     /* gruene senkrechte Trennlinie zwischen den einzelnen Tagen zeichnen */
     kal_zelle_farbe("darkgreen");

     /* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
     if ($sql_beg != $wt1) kal_zelle_farbe("#333333");

     /* bestimmen ob der Tag ein Feiertag ist */
     $ft1 = find_key_in_array($ft, $wt1);

     /* neuer Tag mit eigener Tabelle anfangen */
     printf("<td>");

     /* den ganzen Tag ausgeben */
     kal_tabelle_tag($kalender, $_SESSION[$AppCode]['UID'], $wt1, $kal_von, $kal_bis, "140", $ft1,NULL,NULL);

     /* Tag abschliessen */
     printf("</td>\n");

     /* Zeit einen Tag weitersetzen */
     $wt1 += 86400;
   }

   /* grosse Tabelle abschliessen die die grafische Darstellung beinhaltet */
   printf("</tr></table>\n");

 } else if ($anz == "tg") {

   /* Startzeit und Endzeit fuer die Darstellung dieses Tages */
   $kal_von = $kal_konf_von;
   $kal_bis = getConf('kal_bis');

   $t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
   $t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));

   /* Daten der Feiertage holen */
   $ft = feiertage(date("Y", $sql_beg));

   /* Grafische Uebersicht wird durch eine Tabelle dargestellt */
   printf("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
   printf("<tr><td>\n");

   /*
    * Die erste Spalte gibt die verschiedenen Uhrzeiten aus. Eine Zeile
    * repraesentiert eine Viertelstunde.
    */
   kal_tabelle_zeit($t_beg, $t_end);
   printf("</td>\n");

   /* gruene senkrechte Trennlinie zwischen den einzelnen Tagen zeichnen */
   kal_zelle_farbe("darkgreen");
   printf("<td>");

   /* bestimmen ob der Tag ein Feiertag ist */
   $ft1 = find_key_in_array($ft, $sql_beg);

   /* jetzt den ganzen Tag ausgeben */
   kal_tabelle_tag($kalender, $_SESSION[$AppCode]['UID'], $sql_beg, $kal_von, $kal_bis, "700", $ft1,0,0);

   /* grosse Tabelle abschliessen die die grafische Darstellung beinhaltet */
   printf("</td></tr></table>\n");

 } else {
 	/* Listenansicht der einzelnen Termine */
 	if (!empty($kalender)){
 		echo "<table>\n";
 		echo "<tr><th class=\"cl1\" colspan=\"2\">Datum</th>\n";
		echo "<th class=\"cl1\">von</th>\n";
		echo "<th class=\"cl1\">bis</th>\n";
		echo "<th class=\"cl1\">Terminart</th>\n";
		echo "<th class=\"cl1\">Inhalt</th>\n";
		echo "<th>PKW</th>\n";
		echo "</tr>\n";

		foreach ($kalender as $value){

			$w2 = $value['kw'];

			if ($w2 != $w1) new stwTabLine(3,100);
			$w1 = $w2;

			echo "<tr>\n";

			/* Wochentag */
			echo "<td class=\"cl1\">{$value['wtag']}</td>\n";

			/* Datum */
			echo "<td class=\"cl1\">";
			if ($value['datum_link'] == 1){
				echo "<a href=\"{$value['datum_url']}\">{$value['datum']}</a>";
			} else {
				echo $value['datum'];
			}
			echo "</td>\n";

			/* von */
			echo "<td class=\"cl1\">{$value['von']}</td>\n";

			/* bis */
			echo "<td class=\"cl1\">{$value['bis']}</td>\n";

			/* Terminart */
			echo "<td ";
			if (strlen($value['ta_title']) > 0) echo stwToolTip($value['ta_title']);
			echo "class=\"cl1\"";
			if (strlen($value['ta_color']) > 0){
				echo " style=\"color: {$value['ta_color']};\"";
			}
			echo ">{$value['ta_text']}</td>\n";

			/* Inhalte */
			echo "<td class=\"cl1\" ";
			if (strlen($value['cont_title']) > 0){
				echo stwToolTip($value['cont_title']);
			}
			echo ">{$value['cont_text']}</td>\n";

			/* Ort */
			echo "<td class=\"cl1\">{$value['ort']}</td>\n";

			/* Loeschen ? */
			if ($value['del_link'] == 1){
				echo "<td class=\"cl1\"><a href=\"{$value['del_url']}\"";
				echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!');
				echo " style=\"color: #FF0000;\">X</a></td>\n";
			} else {
				echo "<td class=\"cl1\"></td>\n";
			}

			/* Serie ? */
			if ($value['serie_link'] == 1){
				echo "<td class=\"cl1\"><a href=\"{$value['serie_url']}\">";
				echo "Serie</a></td>\n";
			} else {
				echo "<td class=\"cl1\"></td>\n";
			}

			/* Raumnutzung */
			if ($value['raum'] == true){
				echo "<td style=\"color: {$value['raum_farbe']};\"";
				echo stwToolTip($value['raum_text']) . ">R</td>\n";
			} else {
				echo "<td></td>\n";
			}

			echo "</tr>\n";
		}
	}
}


new stwLine(1);
new stwEnd($seite, 1);
?>
