<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kal_serie_sql.php 2816 2017-11-28 13:04:38Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* verschiedene Dateien mit einbinden */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/func.inc.php");
 if(!isset($_POST['save'])) {
	header("Location: kal2.php");
	exit(-1);
 }
 require_once($pfad."inc/azk.inc.php");

function LastWeekdayOfMonth($dow, $month, $year)
{
	$day = 31;
	while (!checkdate($month, $day, $year)) {
		$day--;
	}
	$utime = mktime(0, 0, 0, $month, $day, $year);
	$last_weekday_of_month = date('w', $utime);
	if ($dow > $last_weekday_of_month) {
		return $day - $last_weekday_of_month + $dow - 7 ;
	} else {
		return $day - $last_weekday_of_month + $dow;
	}
}

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'r'); 

$i = 0;
$beg = date_gr2ts($r_beginn);
$ser = array();

/* Maximallaenge der Terminserien: 6 Monate, ausser Sitzungen: 12 Monate */
$max_monate = ($r_terminart == 't') ? 12 : 6;
$max = mktime(0,0,0,date('n', $beg) + $max_monate, date('d', $beg), date('Y', $beg));

$ts = $beg;
if ($r_ende == 1){ // Terminserie endet nach n Terminen
	$i = 0;
	if ($r_s_art == 'tag'){ // Taeglich
		while ($i < $r_ende_t){
			if ($ts <= $max){
				if (($r_tag == 1) || ($r_tag == 2 && arbeitstag($ts))){
					$ser[$i]['von'] = date_tstime($ts, $r_von);
					$ser[$i]['bis'] = date_tstime($ts, $r_bis);
				}
				$i++;
				// $ts+=86400 verschluckt sich bei Unstellung Sommerzeit/Winterzeit, daher mktime mit 90000!
				$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
			}
		}

	} elseif ($r_s_art == 'woche'){ // Woechentlich
		$c = false;
		while ($i < $r_ende_t) {
			if (in_array(date('w', $ts), $r_woche_t)){
				if ($ts <= $max){
					$ser[$i]['von'] = date_tstime($ts, $r_von);
					$ser[$i]['bis'] = date_tstime($ts, $r_bis);
				}
				$i++;
			}
			if ($r_woche_w > 1 && date('w', $ts) == 0 && !$c && $ser){
				$ts = $ts + (608400 * ($r_woche_w - 1)); //6*86400 + 90000
				$c = true;
			} else {
				$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
				$c = false;
			}
		}
	} elseif ($r_s_art == 'monat'){ // Monatlich
		if ($r_monat == 1){
			while ($i < $r_ende_t && $ts <= $max) {
				if (date('d', $ts) == $r_mon_1_t){
					$ser[$i]['von'] = date_tstime($ts, $r_von);
					$ser[$i]['bis'] = date_tstime($ts, $r_bis);
					$i++;
				}

				if ($r_mon_1_m > 1 && date('d', $ts) == $r_mon_1_t && $ser){
					$ts = mktime(0,0,0,date('n', $ts) + $r_mon_1_m, date('d', $ts), date('Y', $ts));
				} else {
					$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
				}
			}
		} elseif ($r_monat == 2){
			while ($i < $r_ende_t && $ts <= $max) {
				if ($r_mon_2_t != 'l'){
					if ( ceil(date('d', $ts) / 7) == $r_mon_2_t && date('w', $ts) == $r_mon_2_w){
						$ser[$i]['von'] = date_tstime($ts, $r_von);
						$ser[$i]['bis'] = date_tstime($ts, $r_bis);
						$i++;
					}

					if ($r_mon_2_m > 1 && ceil(date('d', $ts) / 7) == $r_mon_2_t && date('w', $ts) == $r_mon_2_w && $ser){
						$ts = mktime(0,0,0, date('n', $ts) + $r_mon_2_m, 1, date('Y', $ts));
					} else {
						$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
					}

				} else {
					$lwd1 = LastWeekdayOfMonth($r_mon_2_w, date('n', $ts), date('Y', $ts));
					$lwd2 = mktime(0,0,0, date('n', $ts), $lwd1, date('Y', $ts));
					if ($ts == $lwd2){
						$ser[$i]['von'] = date_tstime($ts, $r_von);
						$ser[$i]['bis'] = date_tstime($ts, $r_bis);
						$i++;
					}
					if ($r_mon_2_m > 1 && $ts == $lwd2 && $ser){
						$ts = mktime(0,0,0,date('n', $ts) + $r_mon_2_m, 1, date('Y', $ts));
					} else {
						$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
					}
				}
			}
		}
	} elseif ($r_s_art == 'jahr'){ // Jaehrlich
		if ($r_jahr == 1) {
			while ($i < $r_ende_t) {
				if (date('d', $ts) == $r_jahr_1_t && date('n', $ts) == $r_jahr_1_m){
					$ser[$i]['von'] = date_tstime($ts, $r_von);
					$ser[$i]['bis'] = date_tstime($ts, $r_bis);
					$i++;
				}
				$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
			}
		} elseif ($r_jahr == 2){
			while ($i < $r_ende_t) {
				if ($r_jahr_2_t != 'l'){
					if (ceil(date('d', $ts) / 7) == $r_jahr_2_t &&
						date('w', $ts) == $r_jahr_2_w &&
						date('n', $ts) == $r_jahr_2_m){

						$ser[$i]['von'] = date_tstime($ts, $r_von);
						$ser[$i]['bis'] = date_tstime($ts, $r_bis);
						$i++;
					}
				} else {
					$lwd1 = LastWeekdayOfMonth($r_jahr_2_w, date('n', $ts), date('Y', $ts));
					$lwd2 = mktime(0,0,0, date('n', $ts), $lwd1, date('Y', $ts));
					if ($ts == $lwd2){
						$ser[$i]['von'] = date_tstime($ts, $r_von);
						$ser[$i]['bis'] = date_tstime($ts, $r_bis);
						$i++;
					}
				}
				$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
			}
		}
	}


} elseif ($r_ende == 2) { // Terminserie endet an bestimmtem Datum
	$end = date_gr2ts($r_ende_date);
	if ($r_s_art == 'tag'){ // Taeglich
		while ($ts <= $end) {
			if ($ts <= $max){
				if (($r_tag == 1) || ($r_tag == 2 && arbeitstag($ts))){
					$ser[$i]['von'] = date_tstime($ts, $r_von);
					$ser[$i]['bis'] = date_tstime($ts, $r_bis);
					$i++;
				}
			}
			$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
		}

	} elseif ($r_s_art == 'woche'){ // Woechentlich
		$c = false;
		while ($ts <= $end){
			if ($ts <= $max){
				if (in_array(date('w', $ts), $r_woche_t)){
					$ser[$i]['von'] = date_tstime($ts, $r_von);
					$ser[$i]['bis'] = date_tstime($ts, $r_bis);
					$i++;
				}
			} else break;
			if ($r_woche_w > 1 && date('w', $ts) == 0 && !$c && $ser){
				$ts = $ts + (608400 * ($r_woche_w - 1)); //6*86400 + 90000
				$c = true;
			} else {
				$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
				$c = false;
			}
		}

	} elseif ($r_s_art == 'monat'){ // Monatlich
		if ($r_monat == 1){
			while ($ts <= $end && $ts <= $max) {
				if (date('d', $ts) == $r_mon_1_t){
					$ser[$i]['von'] = date_tstime($ts, $r_von);
					$ser[$i]['bis'] = date_tstime($ts, $r_bis);
					$i++;
				}

				if ($r_mon_1_m > 1 && date('d', $ts) == $r_mon_1_t && $ser){
					$ts = mktime(0,0,0,date('n', $ts) + $r_mon_1_m, date('d', $ts), date('Y', $ts));
				} else {
					$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
				}
			}
		} elseif ($r_monat == 2){
			while ($ts <= $end && $ts <= $max) {
				if ($r_mon_2_t != 'l'){
					if ( ceil(date('d', $ts) / 7) == $r_mon_2_t && date('w', $ts) == $r_mon_2_w){
						$ser[$i]['von'] = date_tstime($ts, $r_von);
						$ser[$i]['bis'] = date_tstime($ts, $r_bis);
						$i++;
					}

					if ($r_mon_2_m > 1 && ceil(date('d', $ts) / 7) == $r_mon_2_t && date('w', $ts) == $r_mon_2_w && $ser){
						$ts = mktime(0,0,0, date('n', $ts) + $r_mon_2_m, 1, date('Y', $ts));
					} else {
						$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
					}

				} else {
					$lwd1 = LastWeekdayOfMonth($r_mon_2_w, date('n', $ts), date('Y', $ts));
					$lwd2 = mktime(0, 0, 0, date('n', $ts), $lwd1, date('Y', $ts));
					if ($ts == $lwd2){
						$ser[$i]['von'] = date_tstime($ts, $r_von);
						$ser[$i]['bis'] = date_tstime($ts, $r_bis);
						$i++;
					}
					if ($r_mon_2_m > 1 && $ts == $lwd2 && $ser){
						$ts = mktime(0,0,0,date('n', $ts) + $r_mon_2_m, 1, date('Y', $ts));
					} else {
						$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
					}
				}
			}
		}
	} elseif ($r_s_art == 'jahr'){ // Jaehrlich
		if ($r_jahr == 1) {
			while ($ts <= $end) {
				if (date('d', $ts) == $r_jahr_1_t && date('n', $ts) == $r_jahr_1_m){
					$ser[$i]['von'] = date_tstime($ts, $r_von);
					$ser[$i]['bis'] = date_tstime($ts, $r_bis);
					$i++;
				}
				$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
			}
		} elseif ($r_jahr == 2){
			while ($ts <= $end) {
				if ($r_jahr_2_t != 'l'){
					if (ceil(date('d', $ts) / 7) == $r_jahr_2_t &&
						date('w', $ts) == $r_jahr_2_w &&
						date('n', $ts) == $r_jahr_2_m){

						$ser[$i]['von'] = date_tstime($ts, $r_von);
						$ser[$i]['bis'] = date_tstime($ts, $r_bis);
						$i++;
					}
				} else {
					$lwd1 = LastWeekdayOfMonth($r_jahr_2_w, date('n', $ts), date('Y', $ts));
					$lwd2 = mktime(0,0,0, date('n', $ts), $lwd1, date('Y', $ts));
					if ($ts == $lwd2){
						$ser[$i]['von'] = date_tstime($ts, $r_von);
						$ser[$i]['bis'] = date_tstime($ts, $r_bis);
						$i++;
					}
				}
				$ts = mktime(0,0,0,date('n',$ts+90000),date('j',$ts+90000),date('Y',$ts+90000));
			}
		}
	}

}

if ($ser){

    switch ($r_terminart) {
        case 'l':
            $lom = abfrage("select action, art_id, text, ap_id, pers_id, tender,
                            thema, ev_id, ev_pers_id from tb_lom where lom_id = '$r_lom_id';");
			$lomps = abfrage1("select * from tbh_lom_pers where lom_id = '$r_lom_id'");
			$lomanls = abfrage1("select pers_id from tbh_lom_anleiter where lom_id = '$r_lom_id'");
            break;
        case 'g':
            $ga = abfrage("select pers_id, ort_id, art_id, thema, inhalt, tn_max
                            from tb_ga where ga_id = $r_ga_id;");
            break;
        case 'z':
            $zk = abfrage("select proj_id, pers_id, inhalte, km_von, km_via1, km_via2,
                            km_via3, km_via4, km_via5, km_nach, res_id, empfang, code
                            from tb_ab_zk where zk_id = $r_zk_id;");
            break;
        case 't':
            $tm = abfrage("select team_art_id, weiter, strategie from tb_team
                                        where team_id = '$r_team_id';");
            break;
        default:
            $zk = abfrage("select pers_id, inhalte, termin_id, spesen_text
                            from tb_ab_zk where zk_id = $r_zk_id;");
    }

    foreach ($ser as $day) {
        $von = date_ts2mydt($day['von']);
        $bis = date_ts2mydt($day['bis']);

        $sql = "insert into tb_termine
                set von = '$von', bis = '$bis', terminart = '$r_terminart';";
        abfrage2($sql);
        $id = mysql_insert_id();

        switch ($r_terminart) {
            case 'l':
                $sql = "insert into tb_lom set action = '$lom[0]',
                                art_id = '$lom[1]',
                                text = '$lom[2]',
                                ap_id = '$lom[3]',
                                pers_id = '$lom[4]',
                                tender = '$lom[5]',
                                thema = '$lom[6]',
                                ev_id = '$lom[7]',
                                ev_pers_id = '$lom[8]',
                                termin_id = $id;";
                abfrage2($sql);
				$lom_id = mysql_insert_id();
				mysql_data_seek($lomps,0);
				while($lomp = mysql_fetch_array($lomps)) {
					$sql = "insert into tbh_lom_pers set
							lom_id = '$lom_id',
							pers_id = '{$lomp['pers_id']}',
							wertung = '{$lomp['wertung']}',
							stunden = '{$lomp['stunden']}'";
					abfrage2($sql);
				}
				mysql_data_seek($lomanls,0);
				while($anl = mysql_fetch_row($lomanls)) {
					abfrage2("insert into tbh_lom_anleiter set lom_id = '$lom_id', pers_id = '$anl[0]'");
				}
                break;
            case 'g':
                $sql = "insert into tb_ga
                        set pers_id = '$ga[0]', ort_id = '$ga[1]', art_id = '$ga[2]',
                        thema = '$ga[3]', inhalt = '$ga[4]', tn_max = '$ga[5]',
                        termin_id = $id;";
                abfrage2($sql);
                break;
            case 'z':
                $sql = "insert into tb_ab_zk
                        set proj_id = '$zk[0]',
                        pers_id = '$zk[1]',
                        inhalte = '$zk[2]',
                        km_von = '$zk[3]',
                        km_via1 = '$zk[4]',
                        km_via2 = '$zk[5]',
                        km_via3 = '$zk[6]',
                        km_via4 = '$zk[7]',
                        km_via5 = '$zk[8]',
                        km_nach = '$zk[9]', ";
				if(isset($r_fls)) {
					$sql.= "fls = '$r_fls',";
					if(isset($r_vun)) $sql.= "vun = '$r_vun',";
				} else {
					$v = strftime("%H:%M", $day['von']);
					$b = strftime("%H:%M", $day['bis']);
					$diff = time2min($b) - time2min($v);
					$fls = min2time($diff);
					$sql.= "fls = '$fls',";
				}
				$sql.= "res_id = '$zk[10]',
                        empfang = '$zk[11]',
						code = '$zk[12]',
                        termin_id = $id;";
            abfrage2($sql);

            /* ZK Aenderung - Cachetabelle updaten */
            azk_update_cache($zk[0], $von);
                break;

            case 't':
				$mosi = abfrage("select montags_sitzung from tb_team_art where team_art_id = '$tm[0]';");
                $sql  = "insert into tb_team set team_art_id = '$tm[0]', ";
                $sql .= "weiter = '$tm[1]', strategie = '$tm[2]', termin_id = '$id', aktiv = 'j';";
                abfrage2($sql);
                $tid = mysql_insert_id();
				if($mosi[0] == 1) {
					$tm_tn = abfrage1( "select p.pers_id from tb_personal p
										left join tb_team_art_pers tp using(pers_id) 
										left join tbh_pers_abt a using(pers_id) 
										left join tb_team_art_abt ta using(abt_id) 
										where ((tp.team_art_id = '$tm[0]' and tp.nur_protokoll='n')
										or (ta.team_art_id = '$tm[0]' and ta.nur_protokoll='n'))
										group by p.pers_id order by pers_id asc" );
					while ($tmtn = mysql_fetch_row($tm_tn)){
						abfrage2("insert into tbh_team_pers set team_id = '$tid',
										  pers_id = '$tmtn[0]';");
					}
				}
                break;

            default:
                abfrage2("insert into tb_ab_zk
                          set pers_id = '$zk[0]',
                          inhalte = '$zk[1]',
                          spesen_text = '$zk[3]',
                          termin_id = $id;");
                $tn = abfrage1("select pers_id from tbh_termin_pers
                                where termin_id = $zk[2];");
                while ($tnn = mysql_fetch_row($tn)){
                    abfrage2("insert into tbh_termin_pers
                                set pers_id = $tnn[0],
                                termin_id = $id;");
                }
                break;
        }
    }

}

if (!empty($_SESSION[$AppCode]['url'])){
    $url = $_SESSION[$AppCode]['url'];
    unset($_SESSION[$AppCode]['url']);
} else {
    $url = 'kal2.php';
}

header("Location: $url");
?>
