<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kap.php 2909 2018-11-14 10:37:41Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 28;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 7);


//******************************************************************************


 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 $elternzeit = abfrage("select farbe from tb_terminart where terminart='ez'");
 $mutterschutz = abfrage("select farbe from tb_terminart where terminart='ms'");

 /*
  * Der folgende Bereich wird aufgerufen wenn ein Kapazitaetenkorrekturwert
  * eingegeben werden soll. Natuerlich kann man hier auch einen Wert wieder
  * zuruecksetzen und damit loeschen.
  */
 if (isset($_GET["korr"]) && ($_SESSION[$AppCode]["UID"] == $_GET["korr"] || $_SESSION[$AppCode]["ULV"] >= 96))
 {
   echo "<form action=\"{$_SERVER["PHP_SELF"]}?ma={$_GET["ma"]}\" method=\"post\">\n";
   echo "<table>\n";

   /* Informationen zum Nutzer anzeigen */
   $sql  = "SELECT vorname, name FROM tb_personal WHERE pers_id='";
   $sql .= $_GET["korr"]."'";

   $pers = abfrage($sql);

   echo "<tr><th colspan=\"3\">Kapazit&auml;tenkorrektur f&uuml;r $pers[0] $pers[1] eingeben:</th></tr>\n";

   /* vorhandenen Korrektur fuer Person holen */
   $sql = "SELECT kap_korr, kap_korr_grund FROM tb_personal WHERE pers_id='".$_GET["korr"]."'";
   $kor = abfrage($sql);

   /* Eingabefelder und Ok Button anbieten */
   echo "<tr><td class=\"cl1\">";
   echo "<input type=\"text\" name=\"kapp_kor\" value=\"";
   echo number_format($kor[0], 2, ",", ".");
   echo "\" size=\"6\"></td>";

   echo "<td class=\"cl1\"><textarea name=\"korr_grund\" rows=\"4\" cols=\"40\">$kor[1]</textarea>";
   echo "</td><td><input type=\"submit\" value=\"Ok\" name=\"kapp_kor_ok\">";
   echo "</td></tr>\n</table>";

   /* Korrekturperson als hidden Feld uebertragen */
   echo "<input type=\"hidden\" name=\"korr_pers\" value=\"{$_GET["korr"]}\">\n";
   echo "</form>\n";

   /* alles gezeigt was notwendig ist, beenden */
   new stwEnd($seite);
   exit(0);
 }

 /*
  * Das Korrekturformular kann einen neuen Wert gesetzt haben. Hier wird dies
  * ueberprueft und eingetragen.
  */
 if (isset($_POST["kapp_kor_ok"]))
 {
   /* ein vorhandes Komma durch einen Punkt ersetzen */
   $kap = str_replace(",", ".", $_POST["kapp_kor"]);

   $sql  = "UPDATE tb_personal SET kap_korr='".$kap."', ";
   $sql .= "kap_korr_grund='".$_POST["korr_grund"]."' ";
   $sql .= "WHERE pers_id='".$_POST["korr_pers"]."'";

   abfrage2($sql);
 }

 /* 
  * Funktion die die einzelnen Spalten mit den Wochenstunden zeigt. Parameter
  * sind die beiden folgenden Werte:
  *
  * - my_datum: das Datum bis zu dem die Stunden gezeigt werden
  * - pers_id:  fuer diese Person sollen die Daten gezeigt werden
  * - uid:      aktuelle Nutzeridentifikation
  * - ulv:      aktueller Berechtigungslevel
  */
 function kap_spalte($my_datum, $pers_id, $uid, $ulv)
 {
   global $elternzeit;
   global $mutterschutz;
   $datum_ts = date_my2ts($my_datum);
   $datum_bis = date("Y-n-t",$datum_ts);

   /* eine neue Spalte mit einer Tabelle darin anlegen */
   $spalte = "<td><table>\n";
	$sql = "select t.termin_id, date_format(t.von, '%d.%m.%Y'), 
			date_format(t.bis, '%d.%m.%Y'), ta.name,
			unix_timestamp(t.von), unix_timestamp(t.bis)
			from tb_fehlz f left join tb_termine t using(termin_id)
			left join tb_terminart ta using(terminart)
			where f.pers_id='$pers_id'
			and ((t.von <= '$my_datum' and t.bis >= '$my_datum')
			or (t.von > '$my_datum' and t.bis <= '$datum_bis'))
			order by t.von asc";
	$fzs = abfrage1($sql);
	$grey = false;
	$tt = '';
	while($fz = mysql_fetch_row($fzs)) {
		$tt .= "$fz[3] vom $fz[1] bis $fz[2]<br>";
		if($grey == false && arbeitstage($fz[4], $fz[5]) > 3) $grey = true;
	}
	$austritt = abfrage("select unix_timestamp(austritt), date_format(austritt, '%d.%m.%Y') from tb_personal where pers_id='$pers_id'");
	if($austritt[0] > 0 && $austritt[0] < $datum_ts) {
		$color = 'color:#999999';
		$tt .= "<b>Austrittsdatum: $austritt[1]";
	} else $color = '';
	$style = $grey ? "style=\"background-color:#666666;$color\"" : "style=\"$color\"";
	if(strlen($tt) > 0) $style .= stwToolTip($tt);
   /* Datum fuer diese Spalte mit ausgeben */
   $spalte .= "<tr><th $style colspan=\"3\">";
   $spalte .= date_my2gr($my_datum);
   $vertretungen = abfrage1("select pp.proj_id from tbh_pers_proj pp
                             left join tb_projekte p using(proj_id)
                             where pp.personaltyp_id in (3,8)
							 and p.projektnr < 900
                             and pp.pers_id='$pers_id'
                             and (p.ende is null or p.ende = '0000-00-00'
                             or to_days(p.ende) >= to_days('$my_datum'))
							 group by pp.proj_id");
   $vcnt = 0;
   $hpst = 0;
   while ($row = mysql_fetch_row($vertretungen)) {
     $hb = abfrage("select p.betreuer from tbh_pers_proj pp left join tb_personal p using(pers_id) where pp.proj_id='$row[0]' and pp.personaltyp_id='1'");
	 if($hb[0] == 'j') {
	   $vcnt++;
	   $sql  = "SELECT hp_id FROM tb_hp WHERE TO_DAYS(and_datum) <= TO_DAYS('".$my_datum."') ";
       $sql .= "AND proj_id = '".$row[0]."' AND hp_art in ('h','s','h2') ORDER BY and_datum DESC LIMIT 1";
       $hp = abfrage($sql);
	   if(empty($hp[0])) $pphp[0] = 0;
	   else {
	  	$sql = "select hp_id, hpst from tbh_pers_proj_hp where proj_id=$row[0] and personaltyp_id='1' and hp_id='$hp[0]'";
	  	$pphp = abfrage($sql);
       }
	   if(empty($pphp[0])) {
	  	$wbst = abfrage("select sum(hpst) from tbh_pers_proj where proj_id = '$row[0]' and personaltyp_id != '1'");
       } else {
	  	$wbst = abfrage("select sum(hpst) from tbh_pers_proj_hp where hp_id = '$pphp[0]' and personaltyp_id != '1'");
       }
       $projekt = new stwProjekt($row[0]);
       $wost = $projekt->wost_datum_azk($my_datum);
       $fbst = $projekt->fallbegleitung($my_datum) ? 1 : 0;
       $hpst += $wost - $wbst[0] - $fbst;
	 }
   }
   $e = $vcnt==1 ? '' : 'e';
   $n = $$hpst==1 ? '' : 'n';
   $tt = stwToolTip("<b>Vertretung</b><br />$vcnt Projekt$e, $hpst Stunde$n/Woche");
   $spalte .= "</th><td $tt style=\"color:#A0A000;text-align:right\">$vcnt /</td><td $tt style=\"color:#A0A000\">$hpst</td></tr>\n";
   $spalte .= "<tr bgcolor=\"red\"><td colspan=\"5\"></td></tr>\n";


   $sql = "select t1.proj_id, t1.personaltyp_id, t1.hpst, t3.personaltyp, unix_timestamp(t2.beginn)
			from tbh_pers_proj t1
			left join tb_projekte t2 on t1.proj_id = t2.proj_id
			left join tb_personaltyp t3 on t1.personaltyp_id = t3.personaltyp_id
			left join tb_hilfeart t4 on t2.hilfeart_id = t4.hilfeart_id
			where t1.pers_id = '$pers_id'
			and (t2.ende is null or t2.ende = '0000-00-00'
				or to_days(t2.ende) >= to_days('$my_datum')
				or befristung='j')
			and t4.fls_azk = '1'
			order by (t2.projektnr >= 900) asc, t3.sort asc, t2.projektnr asc";
	$erg = abfrage1($sql);
	$summe = 0;

  while ($row = mysql_fetch_row($erg))
  {
    $sql  = "SELECT MAX(and_datum) FROM tb_hp WHERE TO_DAYS(and_datum) <= TO_DAYS('";
    $sql .= $my_datum."') AND proj_id = '".$row[0]."'";

    $adat = abfrage($sql);

	  $sql = "select h1.personaltyp_id, h1.hpst, h3.personaltyp, h1.hp_id, h2.and_datum
				from tbh_pers_proj_hp h1
				left join tb_hp h2 on h1.hp_id = h2.hp_id
				left join tb_personaltyp h3 on h1.personaltyp_id = h3.personaltyp_id
				where h1.proj_id = $row[0] and h1.pers_id = '$pers_id'
				and ( h2.and_datum = '".$adat[0]."' or h2.and_datum is null or h2.and_datum = '0000-00-00')
				order by h2.and_datum desc limit 1";
    $pphp = abfrage($sql);

    /* Wenn Datum in tbh_pers_proj_hp illegal, dann Daten aus tbh_pers_proj */
    $ill = (empty($pphp[4]) || $pphp[4] == '0000-00-00' || $pphp[4] > $my_datum);
      
		if($ill) $PTypId = $row[1]; else $PTypId = $pphp[0];

		if ($PTypId == 1) {
			$projekt = new stwProjekt($row[0]);
			$wost = $projekt->wost_datum_azk($my_datum);
			if($ill){
				$wbst = abfrage("select sum(hpst) from tbh_pers_proj where proj_id = '$row[0]' and personaltyp_id != '1'");
			} else {
				$wbst = abfrage("select sum(hpst) from tbh_pers_proj_hp where hp_id = '$pphp[3]' and personaltyp_id != '1'");
			}
			$fbst = $projekt->fallbegleitung($my_datum) ? 1 : 0;
			$hpst = $wost - $wbst[0] - $fbst;
		} else {
			$hpst = $ill ? $row[2] : $pphp[1];
		}

		if ($hpst != 0 && !is_null($hpst)) {
			if ($PTypId != 1) $projekt = new stwProjekt($row[0]);
			$kvn = $projekt->vname();
			$knn = $projekt->nname();

			if($projekt->beginn_ts() > $datum_ts) continue;
			if($projekt->beginn_ts() == 0) {
				if(empty($row[4]) || $row[4] > $datum_ts) continue;
			}
			$spalte .= "<tr>";
			$spalte .= "<td colspan=\"3\">";
			$pTyp = $ill ? $row[3] : " $pphp[2] ";
			$tt = "$kvn $knn</b>, $pTyp<br /><b>";
			$tt .= $projekt->he_info('plz') . ' ' . $projekt->he_info('ort');
			$spalte .= $projekt->link($tt);
			$spalte .= "</td>";

			$color = ($hpst < 0) ? 'color:#FF0000;font-weight:bold;text-decoration:blink': '';
			$spalte .= "<td style=\"text-align:right;$color\">".number_format($hpst, 2, ",", ".")."</td>";

			$spalte .= "</tr>\n";
			$summe += $hpst;
		}
	}

  /* gruene Trennlinie einzeichnen, zwischen Projekten und Summenanzeige */
  $spalte .= "<tr><td bgcolor=\"#006400\" colspan=\"4\"></td></tr>";

  /* Bestimmung der aktuellen Sollstunden */
  $sql  = "SELECT paz_id FROM tb_paz WHERE pers_id='".$pers_id."' ";
  $sql .= "AND von <= '".$my_datum."' ORDER BY von DESC LIMIT 1";

  $paz  = abfrage($sql);
  if ($paz) $soll = fls_woche($paz[0]); else $soll = 0;

  /* Elternzeit? Mutterschutz?? */
  $sql="select t.termin_id, date_format(t.von, '%d.%m.%Y'), date_format(t.bis, '%d.%m.%Y') 
		from tb_fehlz f left join tb_termine t using(termin_id)
		where f.pers_id='$pers_id' and t.terminart='ez' 
		and t.von <= '$my_datum' and t.bis >= '$my_datum'";
  $ez = abfrage($sql);
  $sql="select t.termin_id, date_format(t.von, '%d.%m.%Y'), date_format(t.bis, '%d.%m.%Y') 
		from tb_fehlz f left join tb_termine t using(termin_id)
		where f.pers_id='$pers_id' and t.terminart='ms' 
		and t.von <= '$my_datum' and t.bis >= '$my_datum'";
  $ms = abfrage($sql);
  if($austritt[0] > 0 && $austritt[0] < $datum_ts) {
	$soll = 0;
	$titel = stwToolTip("Austrittsdatum: $austritt[1]");
  } elseif(!empty($ms[0])) {
	$style = "style=\"color:$mutterschutz[0]\"";
	$titel = stwToolTip("Mutterschutz vom $ms[1] bis $ms[2]");
	$spalte .= "<script type=\"text/javascript\"><!--\n";
	$spalte .= "var soll = $soll;\n";
	$spalte .= "document.getElementById('mutterschutz$pers_id').style.display = 'table-row';\n";
	$spalte .= "document.getElementById('ms$pers_id').innerHTML = soll.toFixed(2)+' h';\n";
	$spalte .= "--></script>\n";
	$soll = 0;
  } elseif(!empty($ez[0])) {
	$style = "style=\"color:$elternzeit[0]\"";
	$titel = stwToolTip("Elternzeit vom $ez[1] bis $ez[2]");
	$spalte .= "<script type=\"text/javascript\"><!--\n";
	$spalte .= "var soll = $soll;\n";
	$spalte .= "document.getElementById('elternzeit$pers_id').style.display = 'table-row';\n";
	$spalte .= "document.getElementById('ez$pers_id').innerHTML = soll.toFixed(2)+' h';\n";
	$spalte .= "--></script>\n";
	$soll = 0;
  } else {
	/* Korrekturwert holen */
	$sql = "SELECT kap_korr FROM tb_personal WHERE pers_id='".$pers_id."'";
	$kor = abfrage($sql);

	/*
	 * Farben festlegen wenn Korrekturwert gesetzt ist:
	 * kleiner Null: rot
	 * groesser Null: gruen
	 */
	if ($kor[0] < 0.0) {
		$style = "style=\"color:red\"";
		$tt = "Korrekturwert aktiv<br>";
		$tt .= number_format($soll, 2, ",", ".");
		$tt .= number_format($kor[0], 2, ",", ".");
		$tt .= ' = ';
		$soll += $kor[0];
		$tt .= number_format($soll, 2, ",", ".");
		$titel = stwToolTip($tt);
	} else if ($kor[0] > 0.0) {
		$style = "style=\"color:#00FF00\"";
		$tt = "Korrekturwert aktiv<br>";
		$tt .= number_format($soll, 2, ",", ".");
		$tt .= ' + ';
		$tt .= number_format($kor[0], 2, ",", ".");
		$tt .= ' = ';
		$soll += $kor[0];
		$tt .= number_format($soll, 2, ",", ".");
		$titel = stwToolTip($tt);
	} else {
		$style = "";
		$titel = "";
	}
  }
  /*
   * Abschlusszeile jeder Spalte enthaelt die Sollstunden und die zu leistenden
   * Gesamtstunden und die sich daraus ergebene Differenz.
   */
  $spalte .= "<tr><td $style $titel>Soll:</td><td $style $titel>";
  $spalte .= number_format($soll, 2, ",", ".");
  $spalte .= "</td><td>Gesamt:</td><td>";
  $spalte .= number_format($summe, 2, ",", ".");
  $spalte .= "</td>";

  /* Differenz soll farblich gekennzeichnet werden */
  $kap = number_format($soll - $summe, 2, ",", ".");
  if ($kap < 0) $color = "red"; else $color = "#00FF00";

  $spalte .= "<td style=\"color:$color;font-weight:bold\">$kap</td>";
  $spalte .= "</tr>\n</table></td>\n";

	return array($spalte, $my_datum, $summe, $soll - $summe, $soll, $vcnt);
}

$pers_order = getPersOrder($seite);
$ma = $rvar_ma ? $rvar_ma : $_SESSION[$AppCode]["UID"];

if ($rvar_ma == 'all' || $rvar_ma == 'capac'){
	$sql2 = "";
} elseif (substr($rvar_ma,0,3) == 'abt') {
	$abt = substr($rvar_ma,3);
	$sql2 = "and (pa.abt_id = '$abt' or al.abt_id = '$abt')";
} elseif ($rvar_ma == 'male'){
	$sql2 = "and t1.geschlecht = 'm' ";
} elseif ($rvar_ma == 'female'){
	$sql2 = "and t1.geschlecht = 'w' ";
} elseif($rvar_ma == 'therapeut') {
	$sql2 = "and t1.therapeut = 'j' ";
} else {
	$sql2 = "and t1.pers_id = '$ma' ";
}

$sql0 = "select t1.pers_id, IF(t2.kurzname IS NULL, t2.personalart, t2.kurzname), 
		t1.personalnr, left(t1.vorname,1), left(t1.name,1), t1.name, t1.vorname, 
		t1.teldienst, t1.telmobil, unix_timestamp(t1.austritt) from tb_personal t1
		left join tb_personalart t2 on t1.p_art_id = t2.p_art_id ";

if(substr($rvar_ma,0,3) == 'abt') {
	$sql0.="left join tb_personal_abt_leit al on al.pers_id = t1.pers_id
			left join tbh_pers_abt pa on pa.pers_id = t1.pers_id ";
}

$sql1 = "where t1.status_id = 2 and t1.betreuer = 'j' and t1.besch_id != '3' ";

$sql3 = "group by pers_id order by t1.personalnr asc;";
$sql = $sql0 . $sql1 . $sql2 . $sql3;
$res = mysql_query($sql) or die(mysql_error());

if (check_nutzer_rechte(84)){
?>
<form action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="post">
<table>
<tr>
<th>Mitarbeiter:&nbsp;</th>
<td>
<select name="ma" size=1 tabindex=1>
<option>Mitarbeiter w&auml;hlen!</option>
<option>--------------------</option>
<option value="all" onClick="self.location.href='kap.php?ma=all'"
<?php if ($rvar_ma == 'all' || $rvar_ma == 'capac'){
	echo " selected ";
	}
	?>
>
	ALLE anzeigen
</option>
<?php
echo "<option value=\"male\" onClick=\"self.location.href='kap.php?ma=male'\"";
if ($rvar_ma == 'male') echo " selected ";
echo ">m&auml;nnlich</option>\n";
echo "<option value=\"female\" onClick=\"self.location.href='kap.php?ma=female'\"";
if ($rvar_ma == 'female') echo " selected ";
echo ">weiblich</option>\n";
echo "<option>--------------------</option>\n";
echo "<option value=\"capac\" onClick=\"self.location.href='kap.php?ma=capac'\"";
if ($rvar_ma == 'capac') echo " selected ";
echo ">freie Kapazit&auml;ten</option>\n";
echo "<option>--------------------</option>\n";
echo "<option value=\"therapeut\" onClick=\"self.location.href='kap.php?ma=therapeut'\"";
if ($rvar_ma == 'therapeut') echo " selected ";
echo ">Therapeuten</option>\n";
echo "<option>--------------------</option>\n";

$order = $pers_order == 2 ? "t2.name,t2.vorname asc" : "t2.vorname,t2.name asc";
$sql = "select t2.pers_id,t2.vorname,t2.name from tb_personal t2
        where t2.status_id=2 and t2.betreuer= 'j' and besch_id != '3'
		order by $order";
$erg = mysql_query($sql) or die(mysql_error());
while ($zeile = mysql_fetch_row($erg)) {
    echo "  <option value=\"$zeile[0]\"";
	echo " onClick=\"self.location.href='kap.php?ma=$zeile[0]'\"";
	if ($ma == $zeile[0]){
		echo " selected ";
	}
	echo ">";
    if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
echo "<option>--------------------</option>\n";
echo "<option>&nbsp;&nbsp;&nbsp;&nbsp;Abteilungen</option>\n";
echo "<option>--------------------</option>\n";
$sql  = "select abt_id, name from tb_personal_abt order by name asc;";
$abts = abfrage1($sql);
while ($abt = mysql_fetch_row($abts)){
	echo "<option value=\"abt$abt[0]\" onClick=\"self.location.href='kap.php?ma=abt$abt[0]'\"";
	if ($ma == "abt$abt[0]") echo ' selected';
	echo ">$abt[1]</option>\n";
}

?>
</select>
</td>
<td>
<input type="submit" value="Go!" tabindex=2>
</td>

<td>
<a href="kap_pr.php?sort=name&ts=<?php echo time(); ?>" target="_pdf">
<img src="img/drucker.png" title="Kapazittenliste drucken" border="0"></a>
</td>
</tr>
</table>
</form>
<?php
 new stwLine(1);
} else {
	// Abteilungsleiter sehen auch ihre Abteilung
	$abts = abfrage1("select l.abt_id, a.name from tb_personal_abt_leit l left join tb_personal_abt a using(abt_id) where l.pers_id='{$_SESSION[$AppCode]["UID"]}' order by name asc");
	if(mysql_num_rows($abts) > 0) {
		echo "<form action=\"{$_SERVER["PHP_SELF"]}\" method=\"post\">\n";
		echo "<table>\n<tr>\n<th>Mitarbeiter:&nbsp;</th><td>\n";
		echo "<select name=\"ma\" size=\"1\" tabindex=\"1\">\n";
		echo "<option value=\"{$_SESSION[$AppCode]["UID"]}\"";
		echo " onClick=\"self.location.href='kap.php?ma={$_SESSION[$AppCode]["UID"]}'\"";
		echo ">";
		if($pers_order == 2) echo pers_name2($_SESSION[$AppCode]["UID"]);
		else echo pers_name($_SESSION[$AppCode]["UID"]);
		echo "</option>\n";
		echo "<option>--------------------</option>\n";
		while ($abt = mysql_fetch_row($abts)){
			echo "<option value=\"abt$abt[0]\" onClick=\"self.location.href='kap.php?ma=abt$abt[0]'\"";
			if ($ma == "abt$abt[0]") echo ' selected';
			echo ">$abt[1]</option>\n";
		}
		echo "</select>\n";
		echo "</td><td>\n";
		echo "<input type=\"submit\" value=\"Go!\" tabindex=\"2\">\n";
		echo "</td></tr></table>\n</form>\n";
		new stwLine(1);
	}
}
// Berechnung der Datumsangaben
// heute :-)
$heute = date('d.m.Y');
$heute_my = date('Y-m-d');

// letzter Tag dieses Monats
$me =    date('d.m.Y', mktime(0,0,0, date('m')+1, 1, date('Y')));
$me_my = date('Y-m-d', mktime(0,0,0, date('m')+1, 1, date('Y')));
// letzter Tag des nchsten Monats
$m1 =    date('d.m.Y', mktime(0,0,0, date('m')+2, 1, date('Y')));
$m1_my = date('Y-m-d', mktime(0,0,0, date('m')+2, 1, date('Y')));
// letzter Tag des bernchsten Monats
$m2 =    date('d.m.Y', mktime(0,0,0, date('m')+3, 1, date('Y')));
$m2_my = date('Y-m-d', mktime(0,0,0, date('m')+3, 1, date('Y')));

// .._my = Datum fr MySQL :-)
$datum = array($heute_my, $me_my, $m1_my, $m2_my);

$summe_soll = 0;

if (mysql_num_rows($res) > 0)
{
 $zeilen = $mas = array();
 while ($zeile = mysql_fetch_row($res)) {
	$zeilen[ $zeile[0] ] = $zeile;
	$mas[ $zeile[0] ] = fls_azk_stand_akt_temp($zeile[0]);
	if(isset($rvar_order) && $rvar_order=='azk') asort($mas);
 }
 echo "<table border=\"0\">";
 foreach($mas as $id => $azk) {
  $zeile = $zeilen[$id];
  $kap = 0;
  $soll = 0;
  reset ($datum);
  $toShow = false;
  foreach ($datum as $datumswert) {
	$cap[] = kap_spalte($datumswert, $zeile[0], $_SESSION[$AppCode]["UID"], $_SESSION[$AppCode]["ULV"]);
	$i = sizeof($cap)-1;
	if($cap[$i][3] > 0 && $cap[$i][2] == 0 && !empty($zeile[9]) && $zeile[9] < date_my2ts($datumswert)) $cap[$i] = array('',$datumswert,0,0,0,0);
	if($rvar_ma == 'capac'){
		if($cap[$i][3] > 0 && $heute_my != $datumswert) {
			if(!empty($zeile[9])) {
				if($zeile[9] >= date_my2ts($datumswert)) $toShow = true;
				elseif($cap[$i][2] > 0) $toShow = true;
			} else $toShow = true;
		}
	} elseif($cap[$i][2] > 0 || $cap[$i][4] > 0 || $cap[$i][5] > 0) $toShow = true;
  }
  if($toShow) {
	echo "<tr>\n";
	echo "<td><table width=\"100%\">\n";
	echo "<tr><td colspan=\"2\"><table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><tr>\n";
	echo "<td><a href=\"pers_and.php?pers_id=$zeile[0]\" ";
	$und = (empty($zeile[7]) || empty($zeile[8])) ? '' : '|';
	echo stwToolTip("<b>$zeile[6] $zeile[5]</b> $zeile[8] $und $zeile[7]");
	echo ">" . $zeile[1] . $zeile[2] . $zeile[3] . $zeile[4] . "</td>";
	echo "<td style=\"text-align:right\">";
	echo "<a target=\"_blank\" href=\"nachr_and.php?empf=$zeile[0]\"><img src=\"img/brief.png\"></a>";
	echo "</td></tr></table></td></tr>\n";
	echo "<tr><td colspan=\"2\">".pers_image($zeile[0],16,true)." $zeile[3].$zeile[5]</td></tr>\n";
	$nwmax = abfrage("select max(datum) from tb_ab_nachw;");
	$abm = $nwmax[0];
 	echo "<tr><td><a href=\"kap.php?ma=$rvar_ma&order=azk\">AZK :</a></td>";
	echo "<td><a href=\"kap.php?ma=$rvar_ma&order=azk\">".fls_form($azk)."</a></td></tr>\n";

	/* Wert der zu den Kapazitaeten hinzugefuegt wird */
	$sql = "SELECT kap_korr FROM tb_personal WHERE pers_id='".$zeile[0]."'";
	$kor = abfrage($sql);

	/* Link zur Korrektur nur fuer sich selbst oder mit ausreichendem Level */
	echo "<tr><td bgcolor=\"green\" colspan=\"2\"></td></tr>\n<tr><td colspan=\"2\">";
	if($_SESSION[$AppCode]["UID"] == $zeile[0] || $_SESSION[$AppCode]["ULV"] >= 96) {
		echo "<a href=\"kap.php?korr=$zeile[0]&ma=$ma\">";
		$a = '</a>';
	} else $a = '';

	/* Farbe fuer den Korrekturwert festlegen */
	$style = "style=\"text-align:right\"";
	if ($kor[0] < 0.0) {
		$style = "style=\"text-align:right;color:red\"";
		if($azk < 80) {
			$style .= stwToolTip("&Uuml;berstundenabbau bei AZK-Stand kleiner als 80h nicht gestattet");
			$style .= "name=\"blink\"";
		}
	}
	if ($kor[0] > 0.0) $style = "style=\"text-align:right;color:#00FF00\"";

	echo "Kap.-Korrektur$a</td></tr>\n";
	echo "<tr><td $style>".fls_form($kor[0])."</td></tr>";
	echo "<tr id=\"elternzeit$zeile[0]\" style=\"display:none\">";
	echo "<td style=\"text-align:right;color:$elternzeit[0]\" id=\"ez$zeile[0]\">0,00 h</td>";
	echo "<td style=\"color:$elternzeit[0]\">Elternzeit</td></tr>";
	echo "<tr id=\"mutterschutz$zeile[0]\" style=\"display:none\">";
	echo "<td style=\"text-align:right;color:$mutterschutz[0]\" id=\"ms$zeile[0]\">0,00 h</td>";
	echo "<td style=\"color:$mutterschutz[0]\">Mutterschutz</td></tr>";
	echo "</table></td>\n";
  }
  /* letzte 4 Elemente ausgeben oder wieder loeschen */
  for($i=4;$i>=1;$i--) {
	if($toShow) {
		echo $cap[sizeof($cap)-$i][0];
	} else {
		array_pop($cap);
	}
  }
  if($toShow) {
	echo "</tr>\n";
	new stwTabLine(2,5);
  }
  flush();
 }

 if (!is_numeric($rvar_ma)){

    /* Summe der Sollstunden bestimmen */
    reset($cap);
    foreach ($cap as $zl) $summe_soll = $summe_soll + $zl[4];

    $summe_soll = number_format($summe_soll, 2, ",", ".");
    echo "<tr>";
    echo "<th style=\"font-weight:bold;color:rgb(255,255,0)\">Summen: ".$summe_soll."</th>";

    reset($datum);
    foreach ($datum as $date){
        $sum = 0;
        $kpp = 0;
        $kpm = 0;
        reset($cap);
        foreach ($cap as $zl) {
            if ($zl[1] == $date){
                $sum = $sum + $zl[2];
                if ($zl[3] >= 0){
                    $kpp = $kpp + $zl[3];
                } else {
                    $kpm = $kpm + $zl[3];
                }
            }
        }
        echo "<td style=\"font-weight:bold\">";
        echo "<span style=\"color:#FFFF00\">Ges.:&nbsp;$sum&nbsp;&nbsp;&nbsp;frei:&nbsp;</span>";
        echo "<span style=\"color:#00FF00\">".number_format($kpp, 2, ",", ".")."</span>";
        if ($kpm < 0){
            echo "&nbsp;<span style=\"color:#FF0000\">".number_format($kpm, 2, ",", ".")."</span>";
        }
    }
 new stwTabLine(1,5);
 echo "</tr>\n";
 }

 echo "</table>\n";
}
new stwEnd($seite);
?>
