<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kap_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

class kapPDF extends PDF
{
function kap_block($persid, $persnr, $name, $y, $rh, $datum){
	$this->SetFont('arialb','',7);
	$this->SetXY(10,$y);
	$this->Cell(20,$rh,$persnr,0,2,'C',0);
	$this->SetFont('arial','',7);
	$this->Cell(20,$rh,$name,0,0,'C',0);
	$this->SetXY(30,$y);
	$von = abfrage("select max(von) from tb_paz
					where pers_id = $persid
					group by pers_id;");

	$paz = abfrage("select paz_id from tb_paz
					where pers_id = $persid
					and von = '$von[0]';");
	$sql = "SELECT kap_korr FROM tb_personal WHERE pers_id='$persid'";
	$kor = abfrage($sql);
	if ($paz || $kor){

		$soll = $kor[0] + ($paz ? fls_woche($paz[0]) : 0);
		$soll = round($soll * 100) / 100;
		if ($soll > 0) {
			$this->Cell(15,$rh,$soll,0,0,'C',0);
		} else {
			$this->Cell(15,$rh,'',0,0,'C',0);
		}
	} else {
		$this->Cell(15,$rh,'',0,0,'C',0);
	}
	$x = 40;
	$y_start = $y;
	$y_ende = $y_start + 2*$rh;
	reset ($datum);
	foreach ($datum as $datumswert) {
		$y = $y_start;
	   $sql = "select t1.proj_id, t1.personaltyp_id, t1.hpst, t3.personaltyp
				from tbh_pers_proj t1
				left join tb_projekte t2 on t1.proj_id = t2.proj_id
				left join tb_personaltyp t3 on t1.personaltyp_id = t3.personaltyp_id
				left join tb_hilfeart t4 on t2.hilfeart_id = t4.hilfeart_id
				where t1.pers_id = '$persid'
				and (t2.ende is null or t2.ende = '0000-00-00'
					or to_days(t2.ende) >= to_days('$datumswert'))
				and t4.fls_azk = '1'
				order by (t2.projektnr >= 900) asc, t3.sort asc, t2.projektnr asc";
		$erg = abfrage1($sql);
		$summe = 0;

		while ($row = mysql_fetch_row($erg)) {
			$this->SetFont('arial','',7);
			$this->SetXY($x,$y);
			$projekt = new stwProjekt($row[0]);
			$nr = $projekt->nummer();
			$sql  = "SELECT MAX(and_datum) FROM tb_hp WHERE TO_DAYS(and_datum) <= TO_DAYS('";
			$sql .= $datumswert."') AND proj_id = '".$row[0]."'";

			$adat = abfrage($sql);

			  $sql = "select h1.personaltyp_id, h1.hpst, h3.personaltyp, h1.hp_id, h2.and_datum
						from tbh_pers_proj_hp h1
						left join tb_hp h2 on h1.hp_id = h2.hp_id
						left join tb_personaltyp h3 on h1.personaltyp_id = h3.personaltyp_id
						where h1.proj_id = $row[0] and h1.pers_id = '$persid'
						and ( h2.and_datum = '".$adat[0]."' or h2.and_datum is null or h2.and_datum = '0000-00-00')
						order by h2.and_datum desc limit 1";
			$pphp = abfrage($sql);

			/* Wenn Datum in tbh_pers_proj_hp illegal, dann Daten aus tbh_pers_proj */
			$ill = (empty($pphp[4]) || $pphp[4] == '0000-00-00' || $pphp[4] > $datumswert);

			if($ill) $PTypId = $row[1]; else $PTypId = $pphp[0];

			if ($PTypId == 1) {
				$wost = $projekt->wost_datum_azk($datumswert);
				if($ill){
					$wbst = abfrage("select sum(hpst) from tbh_pers_proj where proj_id = '$row[0]' and personaltyp_id != '1'");
				} else {
					$wbst = abfrage("select sum(hpst) from tbh_pers_proj_hp where hp_id = '$pphp[3]' and personaltyp_id != '1'");
				}
				$fbst = $projekt->fallbegleitung($datumswert) ? 1 : 0;
				$hpst = $wost - $wbst[0] - $fbst;
			} else {
				$hpst = $ill ? $row[2] : $pphp[1];
			}

			if ($hpst == 0 || is_null($hpst)){
			} else {
				$this->Cell(25,$rh,$nr,0,0,'L',0);
				$this->Cell(5,$rh,number_format($hpst,2,',',''),0,0,'R',0);
				$this->Cell(10,$rh,'',0,0,'R',0);
				$y = $y + $rh;
				$summe += $hpst;
			}
		}
		$this->SetXY($x,$y);
		$this->SetFont('arialb','',7);
		$this->SetLineWidth('0.1');
		$this->Cell(25,$rh,'Summe','T',0,'L',0);
		$this->Cell(5,$rh,number_format($summe,2,',',''),'T',0,'R',0);
		$kap = $soll - $summe;
		$x2 = $x + 30;
		$this->SetXY($x2, $y_start);
		$this->Cell(10,$rh,"$kap",'T',0,0,0);


		$y = $y + $rh;

		if ($y > $y_ende) {
			$y_ende = $y;
		}

		$x = $x + 40;

	} // Ende foreach-Block
	return $y_ende;
	} // Ende kap_block(...)
} // Ende Klasse PDF

$pdf=new kapPDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$footer = "Kapazittenliste";

$pdf->AddPage();
// Kopfzeile

$pdf->SetFont('stw','',14);
$titel = "Kapazittenliste";
$pdf->Text(75,13,$titel);
$y_axis = 22;
$rh = 3.5;
$pdf->SetDrawColor(0,0,0);
$pdf->SetLineWidth('0.3');


// Berechnung der Datumsangaben

// heute :-)
$heute = date('d.m.Y');
$heute_my = date('Y-m-d');

// letzter Tag dieses Monats
$me =    date('d.m.Y', mktime(0,0,0, date('m')+1, 1, date('Y')));
$me_my = date('Y-m-d', mktime(0,0,0, date('m')+1, 1, date('Y')));
// letzter Tag des nchsten Monats
$m1 =    date('d.m.Y', mktime(0,0,0, date('m')+2, 1, date('Y')));
$m1_my = date('Y-m-d', mktime(0,0,0, date('m')+2, 1, date('Y')));
// letzter Tag des bernchsten Monats
$m2 =    date('d.m.Y', mktime(0,0,0, date('m')+3, 1, date('Y')));
$m2_my = date('Y-m-d', mktime(0,0,0, date('m')+3, 1, date('Y')));
// Daten in Array zusammenfassen
$datum = array($heute_my, $me_my, $m1_my, $m2_my);

// berschriften
$pdf->SetFont('arialb','',7);
$pdf->SetFillColor(200,200,200);
$pdf->SetLineWidth('0.3');
$pdf->SetY($y_axis);
$pdf->SetX(10);
$pdf->Cell(20,$rh,'Mitarbeiter',1,0,'C',0);
$pdf->Cell(10,$rh,'AZVSoll',1,0,'C',0);
$pdf->Cell(40,$rh,$heute,1,0,'C',0);
$pdf->Cell(40,$rh,$me,1,0,'C',0);
$pdf->Cell(40,$rh,$m1,1,0,'C',0);
$pdf->Cell(40,$rh,$m2,1,0,'C',0);
$pdf->SetFont('arial','',7);


$sql = "select t1.pers_id, concat(IF(t2.kurzname IS NULL, t2.personalart, t2.kurzname), 
		t1.personalnr, left(t1.vorname,1), left(t1.name,1)), concat(left(t1.vorname,1),'. ',t1.name)
		from tb_personal t1
		left join tb_personalart t2 using (p_art_id)
		where t1.status_id = 2 and t1.betreuer = 'j';";
$res = mysql_query($sql) or die(mysql_error());

$y_axis = $y_axis + $rh;

while ($zeile = mysql_fetch_row($res)){
	$pdf->SetLineWidth('0.3');
	$pdf->Line(10,$y_axis,200,$y_axis);
	$pdf->SetLineWidth('0.1');
	$y_axis = $pdf->kap_block($zeile[0], $zeile[1], $zeile[2], $y_axis, $rh, $datum);
	
	if ($y_axis > 240){
		$pdf->AddPage();
		$y_axis = 25;
	}

}

$pdf->Output();
exit;

?>
