<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kasse_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$no_adr = 1;

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_5.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

class Zahlwort {

var $zahlennamen = array();
var $ziffern = array();
var $zehner = array();
var $max = 0;

function Zahlwort () {
  $this->zahlennamen = array (
    1000000000  =>  " Milliarde",
    "e_1000000000"  =>  "n",
    1000000 =>  " Million",
    "e_1000000" =>  "en",
    1000  =>  "tausend",
    1 =>  "",
  );
    
  foreach($this->zahlennamen as $key => $value) {
    if(is_int($key)) {
      $this->max = ($key > $this->max) ? $key : $this->max;
    }
  }
    
  $this->ziffern = array (
    "null", "ein", "zwei", "drei", "vier", "fnf", "sechs", "sieben", "acht", "neun", "zehn", "elf", "zwlf", "dreizehn", "vierzehn", "fnfzehn", "sechzehn", "siebzehn"
  );
  
  $this->zehner = array (
    1  =>  "zehn",
    2  =>  "zwanzig",
    3  =>  "dreiig",
    4  =>  "vierzig",
    5  =>  "fnfzig",
    6  =>  "sechzig",
    7  =>  "siebzig",
    8  =>  "achtzig",
    9  =>  "neunzig",
  );
}
  
  function toString ($zahl) {
    if($zahl >= $this->max * 1000) return false;
    if($zahl == 0 || $zahl == 1) return $this->ziffern[$zahl];
    $string = ($zahl < 0) ? "Minus " : "";
    $current = ($zahl < 0) ? $zahl * -1 : $zahl;
    $zahl_in_worten = "";
    $first = true;
    foreach($this->zahlennamen as $key => $text) {
      if($current >= $key && is_int($key)) {
        $zw = "";
        $bw = "";
        if($current >= $key * 2) {
          if($key > 1000) {
            $zw = $text .$this->zahlennamen["e_{$key}"];
          } else {
            $zw = $text;
          }
        } else {
          $zw = $text ." ";
        }
        $block = (int) ($current / $key);
        if($block == 1) {
          if($key > 1000) {
            $bw = "eine";
          } else {
            $bw = "ein";
          }
        } else {
          if ($block >= 100 && $block < 200) {
            $bw = "einhundert";
          } elseif($block >= 200) {
            $bw = $this->ziffern[substr($block, 0 ,1)] . "hundert";
          }
          $rest = $block % 100;
          if($rest > 0) {
            $bw.= ($block >= 100) ? "und" : ( ($first) ? "" : "und ");
            if($rest <= count($this->ziffern) - 1) {
              $bw.= $this->ziffern[$rest];
            } else {
              if(substr($rest, 1, 1) > 0) {
                $bw.= $this->ziffern[substr($rest, 1, 1)] . ( ( substr($rest, 0, 1) > 1) ? "und" : "" );
              }
              $bw.= $this->zehner[substr($rest, 0, 1)];
            }
          }
        }
		if($rest == "1" || $block == "1") $bw.= 's';
        $zahl_in_worten.= $bw . $zw;
        $current = substr($current, strlen($block));
        $first = false;
      }
    }
    return trim( $string . $zahl_in_worten );
  }
} 
$zh = 5;
$kto=abfrage_array("select * from tb_kassenpruefung kp 
					left join tb_kasse k using (kasse_id) 
					left join tb_referenzkonto r using (konto_id)
					where kp_id='$rvar_kp_id'");

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(20.0);
$pdf->SetAutoPageBreak(auto,40);

$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();

$b = $kto['transfer'] < 0 ? false : true;

$pdf->SetXY(20,57);
$pdf->SetFont('stw','',10);
if($b)	$pdf->Cell(40,$zh,"EINNAHMEBELEG Nr.:");
else	$pdf->Cell(40,$zh,"AUSGABEBELEG Nr.:");
$pdf->Cell(45,$zh,"",'B',1);
$pdf->Ln($zh);
$pdf->Cell(40,$zh,"Transfer",0,1);
$pdf->Ln($zh);
if($b) {
	$pdf->Cell(20,$zh,"von BANK");
	$pdf->MultiCell(100,$zh,$kto['name']."\nBLZ: ".$kto['blz']."\nKto.: ".$kto['ktonr']);
} else {
	$pdf->Cell(20,$zh,"von KASSE");
	$pdf->Cell(100,$zh,$kto['nr']." - ".$kto['bezeichnung'],0,1);
}
$pdf->Ln($zh);
$pdf->Ln($zh);
$pdf->Cell(15,$zh,"durch:");
$pdf->Cell(60,$zh,"",'B',1);
$pdf->Ln($zh);
if($b) {
	$pdf->Cell(20,$zh,"an KASSE");
	$pdf->Cell(100,$zh,$kto['nr']." - ".$kto['bezeichnung'],0,1);
} else {
	$pdf->Cell(20,$zh,"an BANK");
	$pdf->MultiCell(100,$zh,$kto['name']."\nBLZ: ".$kto['blz']."\nKto.: ".$kto['ktonr']);
}
$pdf->Ln($zh);
$pdf->Cell(20,$zh,"Betrag:");
$pdf->Cell(100,$zh,geld_form($kto['transfer']),0,1);
$zahl = new Zahlwort; 
$betr = $zahl->toString($kto['transfer']);
$nachkomma = 100 * ($kto['transfer'] - floor($kto['transfer']));
$pdf->Cell(20,$zh,"Betrag in Worten: $betr $nachkomma/100 EUR",0,1);
$pdf->Ln(2 * $zh);
if(strlen($kto['notizen']) > 0) {
	$pdf->Cell(15,$zh,"Notiz:");
	$pdf->MultiCell(170,$zh,$kto['notizen']);
	$pdf->Ln(2 * $zh);
}
$pdf->Cell(10,$zh,"Ort:");
$pdf->Cell(60,$zh,"",'B');
$pdf->Cell(20,$zh,"Datum:",0,0,'R');
$pdf->Cell(45,$zh,"",'B',1);
$pdf->Ln($zh);
$pdf->Ln($zh);
if($b)	$pdf->Cell(30,$zh,"Betrag erhalten:");
else	$pdf->Cell(45,$zh,"Betrag eingezahlt durch:");
$pdf->Cell(60,$zh,"",'B',1);
$pdf->Ln($zh);
$pdf->Ln($zh);
$pdf->Cell(30,$zh,"Buchungsvermerke:");


$pdf->Output();
exit;
?>