<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kassenbeleg_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

$level = 25;

$pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);
$druck_typ = 'KB';

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$i = isset($_GET['pdf']) ? $_GET['pdf'] : 1;
$bestellung = ($i == 5);
$anfr = isset($_GET['anfr']);
$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_$i.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');
setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

class PDF_MC_Table extends PDF
{
var $widths;
var $aligns;

function SetWidths($w)
{
    //Set the array of column widths
    $this->widths=$w;
}

function SetAligns($a)
{
    //Set the array of column alignments
    $this->aligns=$a;
}

function Row($data, $multi=true, $addRow='') {
    $vier = $multi ? 4 : 5;
	//Calculate the height of the row
	if($multi) {
		$nb=0;
		for($i=0;$i<count($data);$i++)
			$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
		if($nb == 1) $vier = 5;
		$h=$vier*$nb;
	} else $h=$vier;
    /* pruefen ob neue Seite notwendig ist */
    $erg = $this->CheckPageBreak($h);

    /*
     * wurde neue Seite angelegt - Header nicht ueberschreiben
     * und deswegen die Y Position neu setzen
     */
    if ($erg == 1) $this->SetY(21.0);

    //Draw the cells of the row
    for($i=0;$i<count($data);$i++)
    {
        $w=$this->widths[$i];
        $a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
        //Save the current position
        $x=$this->GetX();
        $y=$this->GetY();
        //Draw the border
        $this->Rect($x,$y,$w,$h);
        //Print the text
        if($multi) $this->MultiCell($w,$vier,$data[$i],0,$a);
		else $this->Cell($w,$vier,$this->firstLine($this->widths[$i],$data[$i]),0,0,$a);
        //Put the position to the right of the cell
        $this->SetXY($x+$w,$y);
    }
    //Go to the next line
    $this->Ln($h);
}

/*
 * Prueft ob eine neue Seite notwendig ist. Das Argument h gibt an wieviele
 * Pixel hinzugefuegt werden sollen. Ist dieser Wert groesser als die Seite
 * wird eine neue Seite eingefuegt.
 *
 * Rueckgabewerte: 0 - keine neue Seite
 *                 1 - neue Seite
 */
function CheckPageBreak($h)
{
  $neu = 0;

  if($this->GetY()+$h>$this->PageBreakTrigger)
  {
    $this->AddPage($this->CurOrientation);
    $neu = 1;
  }
  return $neu;
}

function firstLine($w,$txt) {
    $cw=&$this->CurrentFont['cw'];
	$wmax=($w-$this->cMargin)*1000/$this->FontSize;
    $s=str_replace("\r",'',$txt);
    $nb=strlen($s);
    $i=$l=0;
    $nl=1;
	$ret = '';
    while($i<$nb) {
        $c=$s[$i];
        $l+=$cw[$c];
        if($l>$wmax) return $ret.'.';
		$ret .= $c;
		$i++;
	}
	return $ret;
}

function NbLines($w,$txt) {
    //Computes the number of lines a MultiCell of width w will take
    $cw=&$this->CurrentFont['cw'];
    if($w==0)
        $w=$this->w-$this->rMargin-$this->x;
    $wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
    $s=str_replace("\r",'',$txt);
    $nb=strlen($s);
    if($nb>0 and $s[$nb-1]=="\n")
        $nb--;
    $sep=-1;
    $i=0;
    $j=0;
    $l=0;
    $nl=1;
    while($i<$nb)
    {
        $c=$s[$i];
        if($c=="\n")
        {
            $i++;
            $sep=-1;
            $j=$i;
            $l=0;
            $nl++;
            continue;
        }
        if($c==' ')
            $sep=$i;
        $l+=$cw[$c];
        if($l>$wmax)
        {
            if($sep==-1)
            {
                if($i==$j)
                    $i++;
            }
            else
                $i=$sep+1;
            $sep=-1;
            $j=$i;
            $l=0;
            $nl++;
        }
        else
            $i++;
    }
    return $nl;
}

}

$mehrzeilig = isset($_GET['multiline']) ? $_GET['multiline'] : false;
$notizen = isset($_GET['shownote']) ? $_GET['shownote'] : false;
if($notizen == 2) $notizen = $_SESSION[$AppCode]['noNote4Order'][$rvar_proj_id] ? 0 : 1;

$pdf=new PDF_MC_Table('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);
$pdf->SetFillColor(255,255,255);

$pdf->AddPage();
$typ[0] = 'b';
if(isset($rvar_id2)) {
	$vm = abfrage("select vm_id from tb_vormerkliste where vm_id in (select vm_id from tbh_vormerk_print where id2='$rvar_id2') limit 1");
	$typ = abfrage("select abteilungsleiter from tbh_pers_vormerk where vm_id='$vm[0]' and abteilungsleiter not in('j','n','z') order by zeit desc limit 1");
}
$zahlungsart = array();
if(isset($rvar_proj_id)) {
	$projekt = new stwProjekt($rvar_proj_id);
	$zahlungsart = abfrage("select wihi_id, schule, register, kostenstelle, notizen, hilfe_bisher, pro_beschr from tb_projekte where proj_id='$rvar_proj_id'");
	$footer = $bestellung ? ($anfr ? "Anfrage" : "Bestellung") : ($zahlungsart[0] == 3 ? "Vorkasse" : "Kartenzahlung");
	if($zahlungsart[0] == 5) $typ[0] = 'k';
} elseif($typ[0] == 'l') $footer = "Direktkauf Lieferschein";
elseif($typ[0] == 'k') $footer = "Direktkauf Kartenzahlung";
elseif($typ[0] == 'r') $footer = "Direktkauf Rechnung";
else $footer = "Direktkauf Bar";

if($bestellung) {
	$typ[0] = '';
	$pdf->SetXY(130,48);
	$pdf->Cell(70,45,'',0,0,0,1);
	$pdf->SetXY(130,55);
	$tra = abfrage("select strasse, plz, ort, adresszusatz, traeger_art from tb_traeger_art where traeger_art_id='$rvar_traeger'");
	if(empty($tra[0]) && empty($tra[1]) && empty($tra[2])) $pdf->multicell(70,5,"\n\n\n\n\n\n\n\n\n",0,'C',true);
	else {
		$pdf->SetFont('arialb','',10);
		$pdf->Cell(70,5, 'Achtung!',0,2,'L',1);
		$pdf->Cell(70,5, 'Abweichende Lieferadresse',0,2,'L',1);
		$pdf->SetFont('arial','',10);
		$pdf->multicell(70,5,"\n$tra[4]\n$tra[3]\n$tra[0]\n$tra[1] $tra[2]\n\n\n\n",0,'L',true);
	}
	$pdf->SetXY(15,115);
} else $pdf->SetXY(15,20);
$pdf->SetFont('stw','',20);
$pdf->Cell(90,15,$footer);
$pdf->Cell(90,15,$typ[0] == 'b' ? "Kassenbeleg" : '',0,1,'R');
if($typ[0] == 'b') {
	$pdf->ln(5);
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(5,5, '',1);
	$pdf->Cell(50,5, 'Vorkasse');
	$pdf->Cell(5,5, 'am:',0,0,'R');
	$pdf->Cell(40,5, '','B');
	$pdf->Cell(30,5, 'erhalten:',0,0,'R',0);
	$pdf->Cell(40,5, '','B');
	$pdf->ln(5);
	$pdf->SetFont('arial','',6);
	$pdf->Cell(125,3, '');
	$pdf->Cell(50,3, 'Unterschrift',0,0,'C');
	$pdf->ln(5);
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(15,5, 'Betrag:');
	$pdf->Cell(30,5, '','B');
	$pdf->ln(5);
	$pdf->Cell(55,5, '');
	$pdf->Cell(5,5, 'am:',0,0,'R');
	$pdf->Cell(40,5, '','B');
	$pdf->Cell(30,5, 'rckerstattet:',0,0,'R',0);
	$pdf->Cell(40,5, '','B');
	$pdf->ln(5);
	$pdf->SetFont('arial','',6);
	$pdf->Cell(125,3, '');
	$pdf->Cell(50,3, 'Unterschrift',0,0,'C');
	$pdf->SetXY(15,65);
}

if($bestellung) {
    $kt = abfrage( "select IF(h.kont_id > 100000,p.name,k.name) as name,
							IF(h.kont_id > 100000,p.vorname,k.name2) as name2,
							IF(h.kont_id > 100000,p.strasse,k.strasse) as strasse,
							IF(h.kont_id > 100000,p.plz,k.plz) as plz,
							IF(h.kont_id > 100000,p.ort,k.ort) as ort,
							IF(h.kont_id > 100000,p.fax,k.faxzentral) as fax,
							k.kdnr
					from tbh_kont_proj h
					left join tb_kontakte k on h.kont_id = k.kont_id and k.kh_id='0'
					left join tb_personal p on h.kont_id = (p.pers_id + 100000)
					where h.proj_id = '$rvar_proj_id'
					order by k.kurzname asc, k.name asc, p.personalnr asc;" );

	$pdf->SetFont('arial','',11);
	$pdf->SetXY(20,60);
	$pdf->Cell(80,5,$kt[0]);
	$pdf->SetXY(20,65);
	$pdf->Cell(80,5,$kt[1]);
	$pdf->SetXY(20,72);
	$pdf->Cell(80,5,$kt[2]);
	$pdf->SetFont('arialb','',11);
	$pdf->SetXY(20,77);
	$pdf->Cell(80,5,$kt[3] . " " . $kt[4]);
	if(!empty($kt[6])) {
		$pdf->SetXY(150,120);
		$pdf->Cell(23,5,"Kundennr.:");
		$pdf->SetFont('arial','',11);
		$pdf->Cell(25,5,$kt[6],0,0,'R');
	}
	$pdf->SetXY(20,83);
	$pdf->SetFont('arial','',6);
	if(!empty($kt[5])) $pdf->Cell(80,5,'Fax: ' . $kt[5]);
	

	$pdf->SetFont('arial','',9);
	$pdf->SetXY(20,110);
	$pdf->Cell(30,5,$projekt->nummer());
	$sql = "SELECT t1.vorname, t1.name FROM tb_personal t1 
			LEFT JOIN tbh_pers_proj t2 USING (pers_id)
			LEFT JOIN tb_personaltyp t3 USING (personaltyp_id)
			WHERE t2.proj_id = '$rvar_proj_id'
			ORDER BY t3.sort asc LIMIT 2";
	$pers = abfrage1($sql);
	$ap = '';
	while($ma = mysql_fetch_row($pers)) {
		if($ap != '') $ap .= ', ';
		$ap .= $ma[0] . ' ' . $ma[1];
	}
	$pdf->Cell(70,5,$ap,0,0,'C');
	$pdf->Cell(45,5,getConf('re_tel'));
	$datum = $projekt->kzu();
	if(empty($datum)) $datum = date('d.m.Y');
	$pdf->Cell(20,5,$datum);
	$pdf->Ln(15);
	$sql = "select * from tb_vormerkliste where proj_id='$rvar_proj_id'";
} elseif(isset($rvar_proj_id)) {
	$pdf->ln(10);
	$pdf->SetFont('stw','',16);
	$pdf->Cell(200,5, 'Einkaufsprojekt ' . $projekt->nummer());
	$pdf->ln(7);
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(15,5, 'Trger:');
	$pdf->SetFont('arial','',10);
	$traeger = abfrage("select kurzname from tb_traeger_art where traeger_art_id='$projekt->traeger_art_id'");
	$pdf->Cell(10,5, $traeger[0]);
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(25,5, 'Abteilungen:');
	$pdf->SetFont('arial','',10);
	$abt_name = abfrage("select name from tb_personal_abt where abt_id = '$projekt->abt_id';");
	$abteilungen = $abt_name[0];
	$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$projekt->id'");
	while($abt = mysql_fetch_row($abts)) {
		if($abt[0] != $projekt->abt_id) {
			$abt_name = abfrage("select name from tb_personal_abt where abt_id = '$abt[0]';");
			$abteilungen .= ", " . $abt_name[0];
		}
	}
	$pdf->Cell(200,5, $abteilungen);
	$pdf->ln(7);
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(200,5, $projekt->nname() . ', ' . $projekt->vname() . "  " . $projekt->he_info('ort'),0,1);
	$pdf->SetFont('arial','',10);
    $kte = abfrage1("select IF(h.kont_id > 100000,p.personalnr,k.kurzname) as kurzname,
							IF(h.kont_id > 100000,p.name,k.name) as name,
							IF(h.kont_id > 100000,p.vorname,k.name2) as name2
					 from tbh_kont_proj h
					 left join tb_kontakte k on h.kont_id = k.kont_id and k.kh_id='0'
					 left join tb_personal p on h.kont_id = (p.pers_id + 100000)
					 where h.proj_id = '$rvar_proj_id'
					 order by k.kurzname asc, k.name asc, p.personalnr asc;");
	while($kt = mysql_fetch_row($kte)) {
		$pdf->Cell(200,5, "$kt[0] - $kt[1] $kt[2]",0,1);
	}
	$pdf->ln(2);
	$sql = "select * from tb_vormerkliste where proj_id='$rvar_proj_id'";
}
if(isset($rvar_vm_id)) {
	$sql = "select * from tb_vormerkliste where vm_id='$rvar_vm_id'";
}
if(isset($rvar_id2)) {
	$sql = "select * from tb_vormerkliste where vm_id in (select vm_id from tbh_vormerk_print where id2='$rvar_id2')";
}

if(isset($rvar_proj_id)) {
	$pdf->SetFont('arial','',6);
	$gf = abfrage("select einverst, date_format(einvdatum, '%d.%m.%Y'), unix_timestamp(einvdatum), familie, 
						anfrage_std_kont_fz, date_format(anfrage, '%d.%m.%Y'), unix_timestamp(anfrage), hobbys 
					from tb_projekte where proj_id='$rvar_proj_id'");
	$gf1 = ($gf[3]=='checked' || ($gf[2] < 1358895600 && $gf[0] > 0));
	$gf2 = ($gf[7]=='checked' || ($gf[6] < 1358895600 && $gf[4] > 0));
	$okgf = '';
	if($gf1) $okgf .= "OK GF1: $gf[1] ".pers_kname($gf[0]);
	if($gf1 && $gf2) $okgf .= "   ";
	if($gf2) $okgf .= "OK GF2: $gf[5] ".pers_kname($gf[4]);
	if(!$anfr && !$gf1 && !$gf2) {
		$pdf->SetFont('arialb','',10);
		$pdf->Cell(183,5, "keine Genehmigung GF",0,1,'R');
	} else $pdf->Cell(183,5,$okgf,0,1,'R');
	$pdf->ln(4);
}

$vmls = abfrage1($sql);
if(mysql_num_rows($vmls) > 0) {
	if($anfr) {
		$pdf->SetFont('arial','',9);
		$pdf->MultiCell(180,4,"Sehr geehrte Damen und Herren,\n\nhiermit bitten wir um ein Angebot fr folgende Artikel:",0,'L');
		$pdf->ln(4);
	}

	$pdf->SetFont('arialb','',9);
	$headarray = array('Pos.','Anz.','Bezeichnung',$bestellung?'Artikelnr':'Bezugsquelle','EPreis','GPreis','Tr.','Abteilung','KoSt.',$bestellung?'':'AL OK');
	$pdf->SetWidths(array(10,10,$bestellung?70:40,$bestellung?20:30,16,17,8,20,12,$bestellung?0:20));
	$pdf->SetAligns(array('C','C','C','C','C','C','C','C','C','C'));
	$pdf->Row($headarray,false);
	$pdf->SetAligns(array('C','C','L','C','R','R','C','C','C','C'));
	$gesamt = 0;
	while($vml = mysql_fetch_array($vmls)) {
		$pdf->SetFont('arial','',8);
		$kont = abfrage("select name, name2 from tb_kontakte where kont_id='{$vml['kont_id']}' and kh_id='0'");
		$betrag = (is_numeric($vml['anzahl'])) ? ($vml['anzahl'] * $vml['betrag']) : $vml['betrag'];
		$gesamt += $betrag;
		$tr = abfrage("select kurzname from tb_traeger_art where traeger_art_id='{$vml['traeger_art_id']}';");
		$abt = abfrage("select name from tb_personal_abt where abt_id='{$vml['abt_id']}';");
		$kto = abfrage("select kurzname from tb_bkto where traegerart_id='{$vml['traeger_art_id']}' and kto_id='{$vml['konto_id']}'");
		$y=$pdf->GetY();
		$pdf->Row(array($vml[0],$vml['anzahl'],$vml['name'],$bestellung?$vml['artikelnr']:$kont[0].' '.$kont[1],$anfr?'':geld_form_pdf($vml['betrag']),$anfr?'':geld_form_pdf($betrag),$tr[0],$abt[0],$kto[0],' '),$mehrzeilig);
		$Y=$pdf->GetY();
		if(!$bestellung) {
			$pdf->SetXY(180,$y);
			$pdf->SetFont('arial','',6);
			$oks = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y') from tbh_pers_vormerk where abteilungsleiter='j' and vm_id='$vml[0]' order by zeit desc");
			if(mysql_num_rows($oks) % 2 == 1) {
				$ok = mysql_fetch_row($oks);
				$pers_ok = pers_kname($ok[0]);
				$dat_ok = $ok[1];
			} else $pers_ok = $dat_ok = '';
			$pdf->Cell(15,2.5,$pers_ok,'',2,'C');
			$pdf->Cell(15,2.5,$dat_ok,'',1,'C');
		}
		if($notizen && strlen($vml['notizen'])>0) {
			$pdf->SetXY(25,$Y);
			$pdf->SetFont('arial','',8);
			$pdf->multicell(173,4,$vml['notizen'],1);
			$Y=$pdf->GetY();
			$pdf->SetXY(15,$y+4);
			$pdf->Cell(10,$Y-$y-4,'','LBR',0,'C',1);
		}
		$pdf->SetXY(15,$Y);
		if($Y > 250) {
			$pdf->AddPage();
			$pdf->SetFont('arialb','',9);
			$pdf->SetXY(15,25);
			$pdf->SetAligns(array('C','C','C','C','C','C','C','C','C','C'));
			$pdf->Row($headarray,false);
			$pdf->SetAligns(array('C','C','C','C','R','R','C','C','C','C'));
		}
	}
}
if(!$anfr) {
	$pdf->SetFont('arialb','',9);
	if($pdf->GetY() > 230) {
		if(mysql_num_rows($vmls) > 1) $pdf->Cell(123.5,5,geld_form_pdf($gesamt),0,0,'R');
		$pdf->AddPage();
		$pdf->ln(1);
	}
	if(mysql_num_rows($vmls) > 1) $pdf->Cell(123.5,5,geld_form_pdf($gesamt),0,0,'R');
	if(!empty($zahlungsart[3])) {
		$kostenstelle = abfrage("select kurzname from tb_bkto where kto_id='$zahlungsart[3]'");
	}
	if(!empty($zahlungsart[1]) || !empty($zahlungsart[2])) {
		$pdf->ln(5);
		$y = $pdf->GetY();
		$pdf->Cell(183,1,'','B',1);
		if(!empty($zahlungsart[2])) {
			$pdf->SetFont('arial','',9);
			$pdf->Cell(106.5,5,proz_form($zahlungsart[2]),'L',0,'R');
			$zwischen = $gesamt * $zahlungsart[2] / 100;
			$pdf->Cell(17,5,geld_form_pdf($zwischen),'',0,'R');
			$gesamt += $zwischen;
			if(empty($zahlungsart[3])) $pdf->Cell(59.5,5,'','R',1);
			else {
				$pdf->Cell(28,'');
				$pdf->Cell(12,5,$kostenstelle[0],0,0,'C');
				$pdf->Cell(19.5,5,'','R',1);
			}
		}
		if(!empty($zahlungsart[1])) {
			$pdf->SetFont('arial','',9);
			$pdf->Cell(106.5,5,'Korrektur:','L',0,'R');
			$pdf->Cell(17,5,geld_form_pdf($zahlungsart[1]),'',0,'R');
			$gesamt += $zahlungsart[1];
			$pdf->Cell(59.5,5,'','R',1);
		}
		if(!empty($zahlungsart[4])) {
			$Y = $pdf->GetY();
			$pdf->SetXY(15,$y+1.5);
			$pdf->SetFont('arial','',7);
			$pdf->MultiCell(90,3,$zahlungsart[4],0,'L');
			$y = $pdf->GetY();
			if($y > $Y) {
				$pdf->SetXY(15,$Y);
				$pdf->Cell(183,$y-$Y+0.5,'','LR',1);
			} else $pdf->SetXY(15,$Y);
		}
		if(!empty($zahlungsart[5])) {
			$pdf->SetFont('arial','',9);
			$pdf->Cell(106.5,5,'Versandkosten:','L',0,'R');
			$pdf->Cell(17,5,geld_form_pdf($zahlungsart[5]),'',0,'R');
			$gesamt += $zahlungsart[5];
			$pdf->Cell(59.5,5,'','R',1);
		}
		$pdf->Cell(183,1,'','T',1);
		$pdf->SetFont('arialb','',9);
		$pdf->Cell(123.5,5,geld_form_pdf($gesamt),0,1,'R');
	} elseif(!empty($zahlungsart[3])) {
		$pdf->ln(2);
		$pdf->Cell(151,1,'');
		$pdf->Cell(12,1,$kostenstelle[0],0,1,'C');
	} else $pdf->ln(5);
	$pdf->ln(5);
}
if($anfr || $bestellung) {
	$pdf->ln(5);
	$pdf->SetFont('arial','',9);
	$pdf->MultiCell(180,4,$zahlungsart[6],0,'L');
	$pdf->ln(5);
}
$y = $pdf->GetY();
if($bestellung) {
	if($y > 220) $pdf->AddPage();
	$pdf->SetFont('arial','',9);
	$pdf->ln(5);
	if($anfr) {
		$pdf->MultiCell(180,4,"Herzlichen Dank.\n\nMit freundlichen Gren,",0,'L');
	} else {
		$pdf->MultiCell(180,4,"Sehr geehrte Damen und Herren,\n\nhiermit bitten wir um Lieferung o.g. Artikel.\nHerzlichen Dank.\n\nMit freundlichen Gren,",0,'L');
	}
	$pdf->ln(10);
	$y = $pdf->GetY();
	$pdf->SetXY(135, $y+5);
	$pdf->SetFont('arial','',5);
	$signgf = '';
	if($gf1) {
		$signgf = pers_kname($gf[0]);
		$rolle = abfrage("select rolle from tbh_pers_traegerart where traeger_art_id='$rvar_traeger' and pers_id='$gf[0]'");
		if(!empty($rolle)) $signgf .= ", " . $rolle[0];
	}
	if($gf1 && $gf2) $signgf .= "   ";
	if($gf2) {
		$signgf .= pers_kname($gf[4]);
		$rolle = abfrage("select rolle from tbh_pers_traegerart where traeger_art_id='$rvar_traeger' and pers_id='$gf[4]'");
		if(!empty($rolle)) $signgf .= ", " . $rolle[0];
	}
	$pdf->Cell(50,5,$signgf);
}
$pdf->SetFont('arialb','',9);
$pdf->SetXY(15,$y);
$pdf->Cell(40,5, $typ[0] == 'b' ? 'Betrag erhalten am:' : 'Datum:',0,0,'R');
$pdf->Cell(50,5, '','B');
$pdf->Cell(30,5, 'Unterschrift:',0,0,'R',0);
$pdf->Cell(50,5, '','B');
$pdf->Output();
exit;
?>