<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: keys_pr1.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(25.0);
$pdf->SetAutoPageBreak(false);

$no_foot = true;
$no_nr = true;
$no_footline = true;
$arbeitsmittel = $_GET['arbeitsmittel']==1 ? true : false;
$fundus = $_GET['fund']==1 ? true : false;
$pam = $_GET['pam']==1 ? true : false;

$pdf->AddPage();

$zh = 5.5;

$key = abfrage("select k.name, k.anzahl, k.nr, k.notizen, r.beschreibung 
				from tb_keys k left join tb_keys_art r on r.art_id = k.art_id
				where k.key_id = '$rvar_key_id';");

$aus = abfrage("select pers_a,
				pers_r,
				date_format(von, '%d.%m.%Y'),
				date_format(von, '%H:%i Uhr'),
				date_format(bis, '%d.%m.%Y'),
				date_format(bis, '%H:%i Uhr'),
				notizen_a, 
				notizen_r, 
				proj_id
				from tb_keys_aus
				where key_id = '$rvar_key_id'
				and pers_e = '$rvar_pers_e'
				and unix_timestamp(von) = '$rvar_datum';");

$pdf->SetXY(25,25);
$pdf->SetFont('stw','',18);
$ausgabebeleg = empty($rvar_datum) ? "Datenblatt" : "Ausgabebeleg";
if($arbeitsmittel) $pdf->Cell(180,$zh,"Arbeitsmittel $ausgabebeleg");
elseif($fundus) $pdf->Cell(180,$zh,"Fundus $ausgabebeleg");
elseif($pam) $pdf->Cell(180,$zh,"PAM $ausgabebeleg");
else $pdf->Cell(180,$zh,"Schlssel $ausgabebeleg - ".$key[4]);

$pdf->SetXY(25,35);
$pdf->Cell(160,$zh,'','T');
$pdf->Ln(1);

$pdf->SetFont('arialb','',12);
$pdf->Cell(40,$zh,'Bezeichnung :');
$pdf->SetFont('arial','',12);
$pdf->Cell(40,$zh,$key[0]);
$pdf->Cell(80,$zh,'');

$pdf->Ln($zh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(40,$zh,$arbeitsmittel||$fundus||$pam ? 'interne Nummer :' : 'Schlsselnummer :');
$pdf->SetFont('arial','',12);
$pdf->Cell(40,$zh,$key[2]);
$pdf->Cell(80,$zh,'');

$pdf->Ln($zh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(40,$zh,'Notizen :');
$pdf->SetFont('arial','',11);
$pdf->MultiCell(120,$zh,$key[3]);

if(!empty($rvar_datum)) {
	$pdf->Cell(160,1,'','B');
	$pdf->Ln($zh);

	$pdf->SetFont('arialb','',12);
	$pdf->Cell(30,$zh,'Ausgabe');
	$pdf->Cell(10,$zh,'am :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(30,$zh,$aus[2]);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(25,$zh,'Notizen :',0,0,'R');

	$y = $pdf->GetY();

	$pdf->SetFont('arial','',12);
	$pdf->MultiCell(65,$zh,$aus[6]);

	$pdf->SetXY(25,$y + $zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'um :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,$aus[3]);

	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'durch :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,pers_name($aus[0]));

	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'an :',0,0,'R');
	$pdf->SetFont('arial','',12);
	if(!empty($aus[8])) {
		$pro = new stwProjekt($aus[8]);
		$proj = " (" . $pro->nummer() . ")";
	} else $proj = '';
	$pdf->Cell(40,$zh,pers_name($rvar_pers_e) . $proj);

	$pdf->Ln(4 * $zh);

	$pdf->Cell(60,$zh,pers_name($aus[0]),'T');
	$pdf->Cell(40,$zh,'');

	$pdf->Cell(60,$zh,pers_name($rvar_pers_e),'T');

	$pdf->Ln(2 * $zh);
}

if (empty($aus[1])){

	$pdf->Cell(160,$zh,'','T');
	$pdf->Ln(1);

	$pdf->SetFont('arialb','',12);
	$pdf->Cell(50,$zh,'Kontrolle Ausgabe');
	$pdf->Cell(50,$zh,'gesamt :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(10,$zh,$key[1],0,0,'R');
	$pdf->Cell(50,$zh,'');

	$pdf->Ln($zh);
	$pdf->Cell(50,$zh,$key[0]);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(50,$zh,'ausgegeben :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(10,$zh,keys_aus($rvar_key_id),0,0,'R');

	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(100,$zh,'nach Ausgabe vorhanden :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(10,$zh, $key[1] - keys_aus($rvar_key_id),0,0,'R');

	$pdf->Ln(4 * $zh);

	$pdf->Cell(60,$zh,pers_name($aus[0]),'T');

	$pdf->Ln(2 * $zh);
}

if (!empty($aus[1])){

	$pdf->Cell(160,$zh,'','T');
	$pdf->Ln(1);

	$pdf->SetFont('arialb','',12);
	$pdf->Cell(30,$zh,'Rckgabe');
	$pdf->Cell(10,$zh,'am :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(30,$zh,$aus[4]);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(25,$zh,'Notizen :',0,0,'R');

	$y = $pdf->GetY();

	$pdf->SetFont('arial','',12);
	$pdf->MultiCell(65,$zh,$aus[7]);

	$pdf->SetXY(25,$y + $zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'um :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,$aus[5]);

	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'von :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,pers_name($rvar_pers_e));

	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'an :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,pers_name($aus[1]));

	$pdf->Ln(4 * $zh);

	$pdf->Cell(60,$zh,pers_name($aus[1]),'T');
	$pdf->Cell(40,$zh,'');

	$pdf->Cell(60,$zh,pers_name($rvar_pers_e),'T');


	$pdf->Ln(2 * $zh);

	$pdf->Cell(160,$zh,'','T');
	$pdf->Ln(1);

	$pdf->SetFont('arialb','',12);
	$pdf->Cell(50,$zh,'Kontrolle Rckgabe');
	$pdf->Cell(50,$zh,'gesamt :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(10,$zh,$key[1],0,0,'R');
	$pdf->Cell(50,$zh,'');

	$pdf->Ln($zh);
	$pdf->Cell(50,$zh,$key[0]);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(50,$zh,'ausgegeben :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(10,$zh,keys_aus($rvar_key_id),0,0,'R');

	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(100,$zh,'nach Rckgabe vorhanden :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(10,$zh, $key[1] - keys_aus($rvar_key_id),0,0,'R');

	$pdf->Ln(4 * $zh);

	$pdf->Cell(60,$zh,pers_name($aus[1]),'T');

	$pdf->Ln($zh);

	$pdf->SetFont('arial','',8);
	$pdf->Cell(160,$zh,'---8<------- Hier Quittung fr Mitarbeiter abtrennen! ------','B', 0, 'C');
	$pdf->Ln($zh + 1);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'Bezeichnung :');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,$key[0]);

	$pdf->Ln($zh);
	
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,$arbeitsmittel||$fundus||$pam ? 'interne Nummer :' : 'Schlsselnummer :');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,$key[2]);
	$pdf->Cell(80,$zh,'');

	$pdf->Ln($zh);

	$pdf->SetFont('arialb','',12);

	$pdf->Cell(30,$zh,'Rckgabe');
	$pdf->Cell(10,$zh,'am :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(30,$zh,$aus[4]);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(25,$zh,'Notizen :',0,0,'R');

	$y = $pdf->GetY();

	$pdf->SetFont('arial','',12);
	$pdf->MultiCell(65,$zh,$aus[7]);

	$pdf->SetXY(25,$y + $zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'um :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,$aus[5]);

	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'von :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,pers_name($rvar_pers_e));

	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'an :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,pers_name($aus[1]));

	$pdf->Ln(4 * $zh);

	$pdf->Cell(60,$zh,pers_name($aus[1]),'T');
	$pdf->Cell(40,$zh,'');

	$pdf->Cell(60,$zh,pers_name($rvar_pers_e),'T');

}

$pdf->Output();
exit;
?>
