<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: klassenbuch_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');

$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->SetLineWidth('0.1');
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

$footer = "Klassenbuch";

$pdf->AddPage();

$rh = 4;

$pdf->SetLineWidth('0.5');
$pdf->SetFont('stw','',12);
$pdf->Cell(180,6,$footer,1,1,'C');

/* Veranstaltungs-Daten */
$sql  = "select t1.lom_id, t1.text, t1.thema, ";
$sql .= "date_format(t2.von, '%d.%m.%Y') as von_datum, ";
$sql .= "date_format(t2.von, '%H:%i') as von_zeit, ";
$sql .= "date_format(t2.bis, '%H:%i') as bis_zeit, ";
$sql .= "unix_timestamp(t2.von) as von_ts, ";
$sql .= "unix_timestamp(t2.bis) as bis_ts, ";
$sql .= "to_days(t2.von) as bis_days, ";
$sql .= "t1.tn_mal, t1.tn_fem, t1.tn_age, ";
$sql .= "t1.tn_mal_sc, t1.tn_fem_sc ";
$sql .= "from tb_lom t1 ";
$sql .= "left join tb_termine t2 using (termin_id) ";
$sql .= "where lom_id = '$rvar_lom_id';";
$lom = abfrage_array($sql);

$pdf->SetY($pdf->GetY() + 3);

$pdf->SetFont('arial','b',8);
$pdf->MultiCell(180,4,$lom['thema'],1,'C');
$pdf->Cell(180,2,'',0,1);
$pdf->Cell(21,4,"Datum:",'LBT');
$pdf->SetFont('arial','',8);
$datum = $lom['von_datum'] . ", " . $lom['von_zeit'] . " - " . $lom['bis_zeit'];
$pdf->Cell(159,4,$datum,'RBT',1);
$pdf->SetFont('arial','b',8);
$pdf->Cell(180,2,'','TB',1);
$pdf->SetLineWidth('0.1');
$pdf->Cell(180,4,"Dozenten:",0,1);
$mas = abfrage1("select p.pers_id from tb_lom l
				left join tbh_lom_anleiter a using(lom_id)
				left join tb_personal p on (p.pers_id = l.pers_id or p.pers_id = a.pers_id)
				where l.lom_id = '$rvar_lom_id'
				group by p.pers_id
				order by p.vorname asc, p.name asc;");
$pdf->SetFont('arial','',8);
$dozart = "";
while ($ma = mysql_fetch_row($mas)){
	$sql = "select z.zk_id, z.proj_id, z.inhalte,
			date_format(t.von, '%H:%i') as von,
			date_format(t.bis, '%H:%i') as bis,
			date_format(z.vun, '%H:%i') as vun
			from tb_ab_zk z
			left join tb_termine t using(termin_id)
			left join tb_projekte p using(proj_id)
			left join tb_hilfeart h using(hilfeart_id)
			where unix_timestamp(t.von) < '{$lom['bis_ts']}'
			and unix_timestamp(t.bis) > '{$lom['von_ts']}'
			and pers_id = '" . $ma[0] . "' 
			and z.ab = 'j'
			and h.hilfeart in ('TTP','TTS','TTH','TTV')
			order by z.proj_id asc, t.von asc";
	$zks = abfrage1($sql);
	if(mysql_num_rows($zks) > 0) {
		$pdf->Cell(35,4,pers_kname($ma[0]),'T');
		$j = 0;
		while ($zk = mysql_fetch_row($zks)){
			if($j > 0) {
				$pdf->Cell(35,4,"");
			} else $j++;
			$vun_dec = time_hhmmss2dec($zk[5]);
			if($vun_dec > 0.0) {
				$lom_von_dec = time_hhmmss2dec($lom['von_zeit']);
				$von_dec = time_hhmmss2dec($zk[3]);
				if($von_dec < $lom_von_dec) {
					$von_dec += $vun_dec;
					$zk[3] = dec2time_hhmm($von_dec);
				} else {
					$bis_dec = time_hhmmss2dec($zk[4]);
					$bis_dec -= $vun_dec;
					$zk[4] = dec2time_hhmm($bis_dec);
				}
			}
			$pdf->Cell(20,4,$zk[3].' - '.$zk[4].': ','T');
			$pdf->MultiCell(125,3.5,$zk[2],'T');
			$projekt = new stwProjekt($zk[1]);
			$art = $projekt->h_art;
			if(strpos($dozart,$art) === false) {
				if(strlen($dozart)>0) $dozart .= ", ";
				$dozart .= $art;
			}
		}
	}
}

$pdf->SetFont('stw','',12);
$pdf->Text(16,29.5,$dozart);

$pdf->SetLineWidth('0.5');
$pdf->SetY($pdf->GetY() + 0.5);
$pdf->Cell(180,2,'','TB',1);
$pdf->SetLineWidth('0.1');

$sql  = "select p.pers_id, concat(p.vorname, ' ', p.name) as name ";
$sql .= "from tbh_lom_pers t1 ";
$sql .= "left join tb_personal p on (t1.pers_id = p.pers_id) ";
$sql .= "where t1.lom_id = '$rvar_lom_id' ";
$sql .= "order by p.name asc, p.vorname asc;";
$tns = abfrage1($sql);
$pdf->SetFont('arial','b',8);
$pdf->Cell(21,4,"Teilnehmer:");
$pdf->SetFont('arial','',8);
if(!empty($lom['tn_mal']) || !empty($lom['tn_fem'])) {
	$pdf->Cell(25,4,"mnnlich: " . ($lom['tn_mal']+0));
	if(!empty($lom['tn_mal_sc'])) $pdf->Cell(25,4,"Bewertung: " . $lom['tn_mal_sc']);
	$pdf->Cell(21,4,"weiblich: " . ($lom['tn_fem']+0));
	if(!empty($lom['tn_fem_sc'])) $pdf->Cell(25,4,"Bewertung: " . $lom['tn_fem_sc']);
	if(!empty($lom['tn_age'])) $pdf->Cell(50,4,"Durchschnittsalter: " . $lom['tn_age']);
}
$pdf->Cell(1,4,"",0,1);
while ($tn = mysql_fetch_row($tns)){
	$sql = "select z.zk_id, z.proj_id, z.inhalte,
			date_format(t.von, '%H:%i') as von,
			date_format(t.bis, '%H:%i') as bis
			from tb_ab_zk z
			left join tb_termine t using(termin_id)
			left join tb_projekte p using(proj_id)
			left join tb_hilfeart h using(hilfeart_id)
			where unix_timestamp(t.von) < '{$lom['bis_ts']}'
			and unix_timestamp(t.bis) > '{$lom['von_ts']}'
			and pers_id = '" . $tn[0] . "' 
			and z.ab = 'j'
			order by z.proj_id asc, t.von asc";
	$zks = abfrage1($sql);
	$pdf->Cell(35,4,$tn[1],'T');
	if(mysql_num_rows($zks) > 0) {
		$j = 0;
		while ($zk = mysql_fetch_row($zks)){
			if($j > 0) {
				$pdf->Cell(35,4,"");
			} else $j++;
			$pdf->Cell(20,4,$zk[3].' - '.$zk[4].': ','T');
			$pdf->MultiCell(125,3.5,$zk[2],'T');
		}
	} else {
		$sql  = "select a.name, f.genehmigt, f.titel ";
		$sql .= "from tb_fehlz f left join tb_termine t on f.termin_id = t.termin_id ";
		$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
		$sql .= "where to_days(t.von) <= '{$lom['bis_days']}' ";
		$sql .= "and to_days(t.bis) >= '{$lom['bis_days']}' ";
		$sql .= "and f.pers_id = '$tn[0]'";
		$fz = abfrage($sql);
		if(empty($fz)) $temp = "unentschuldigtes Fehlen";
		else{
			$temp = $fz[0]; 
			if(empty($fz[1])) $temp .= " (nicht genehmigt)";
			if(!empty($fz[2])) $temp .= " - '$fz[2]'";
		}
		$pdf->Cell(145,4,$temp,'T',1);
	}
}
$pdf->SetLineWidth('0.5');
/*
if(!empty($lom['text'])) {
	$pdf->Cell(180,2,'','TB',1);
	$pdf->MultiCell(180,4,$lom['text'],'B');
} else $pdf->Cell(180,4,'','T',1);
*/
$pdf->SetY($pdf->GetY() + 15);

$pdf->SetFont('arial','',6);
$pdf->Cell(180,3,'Unterschrift Dozenten','T');

$pdf->Output();
exit;
?>