<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: mandant.php 2928 2018-12-31 10:38:52Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 79;
$level = 96;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

require_once($pfad . 'inc/func.inc.php');

function stundensatzliste() {
	/* Stundensatztabelle neu aufbauen und ausgeben */
	$szhtml  = "<tr><th class=\"cl11\">ab Datum</th>\n";
	$szhtml .= "<th>Stundensatz</th></tr>\n";
	$szhtml .= "<tr><td bgcolor=\"#006400\" colspan=\"3\"></td></tr>\n";

	$sql  = "select datum, date_format(datum, '%d.%m.%Y'), stsatz ";
	$sql .= "from tb_konf_stundensatz order by datum asc;";

	$erg = abfrage1($sql);

	$i = 1;

	while ($stsz = mysql_fetch_row($erg)) {
		$szhtml .= "<tr><td class=\"cl11\" style=\"text-align: right;\">";
		$szhtml .= "<a href=\"#\" onClick=\"xajax_SzLaden('$stsz[0]')\"";
		$szhtml .= stwToolTip('Stundensatz &auml;ndern!');
		$szhtml .= ">$stsz[1]</a></td>\n";

		$szhtml .= "<td class=\"cl11\" style=\"text-align: right;\">";
		$szhtml .= geld_form_web($stsz[2]) . "</td>\n";

		if ($i > 1) {
			$szhtml .= "<td><a href=\"#\" style=\"color: #FF0000;\" ";
			$szhtml .= "onClick=\"xajax_SzLoeschen('$stsz[0]')\"";
			$szhtml .= stwToolTip('<b>VORSICHT!</b> Stundensatz l&ouml;schen!');
			$szhtml .= ">X</a></td></tr>\n";
		}

		$i++;
	}

	return $szhtml;
}


/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function SzLaden($datum){
	$sql  = "select datum, date_format(datum, '%d.%m.%Y'), stsatz ";
	$sql .= "from tb_konf_stundensatz where datum = '$datum';";
	$dat = abfrage($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('SzDatum', 'value', $dat[1]);
	$userResp->assign('SzSatz', 'value', geld_form_formular($dat[2]));
	return $userResp;
}


function SzSpeichern($st_datum, $st_satz){

	/* Datum von TT.MM.JJJJ in JJJJ-MM-TT umwandeln */
	$datum =  date_gr2my(check_date($st_datum));

	/* Stundensatzwert: evtl. Komma in Punkt umwandeln fuer Datenbank */
	$satz = str_replace(',', '.', $st_satz);

	/* pruefen, ob unter diesem Datum schon ein Stundensatz vorhanden ist */
	$sql = "select datum from tb_konf_stundensatz where datum ='$datum';";
	$res = abfrage1($sql);

	$sql  = (mysql_num_rows($res) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_konf_stundensatz set ";
	$sql .= (mysql_num_rows($res) > 0) ? '' : "datum = '$datum', ";
	$sql .= "stsatz = '$satz'";
	$sql .= (mysql_num_rows($res) > 0) ? " where datum = '$datum';" : ';';

	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('SzDatum', 'value', '');
	$userResp->assign('SzSatz', 'value', '');


	$szhtml = stundensatzliste();
	$userResp->assign('Stundensatztabelle', 'innerHTML', $szhtml);

	return $userResp;
}


function SzLoeschen($datum){
	$sql = "delete from tb_konf_stundensatz where datum ='$datum' limit 1;";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$szhtml = stundensatzliste();
	$userResp->assign('Stundensatztabelle', 'innerHTML', $szhtml);

	return $userResp;
}


$xajax = new xajax();
$xajax->configure('javascript URI', '../inc/');
$xajax->registerFunction('SzLaden');
$xajax->registerFunction('SzSpeichern');
$xajax->registerFunction('SzLoeschen');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/azk.inc.php");

/*
* Der aktuelle Nutzer ist vielleicht berechtigt die Seite zu sehen obwohl
* der Level nicht hoch genug ist.
*/
if (!check_nutzer_rechte(122)) {
	require_once($pfad . "inc/level.inc.php");
}

if ($_POST['stat_reset'] == 'really'){
	abfrage2("DELETE FROM tb_statistikbogen;");
} elseif (isset($_POST['stat_reset'])){
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"stat_reset\" value=\"really\" />\n";
	new stwSicherheitsabfrage("wollen Sie wirklich die Statistikb&ouml;gen zur&uuml;cksetzen?<br />Alle bisherigen Statistikdaten werden gel&ouml;scht!");
	echo "</form>\n";
}

if(isset($_GET['fzhdel'])) {
	abfrage2("DELETE FROM tb_konf_fls_fz where datum='{$_GET['fzhdel']}';");
}

if(isset($_GET['kzudel'])) {
	abfrage2("DELETE FROM tb_kinderzuschlag where datum='{$_GET['kzudel']}';");
}

if(isset($_GET['azdel'])) {
	abfrage2("DELETE FROM tb_az_basis where datum='{$_GET['azdel']}';");
}

if(isset($_GET['codedel'])) {
	abfrage2("DELETE FROM tb_ab_code4 where code='{$_GET['codedel']}';");
}

if ($_POST['send_tr'] == 'Speichern'){
	if(strlen($_POST['fzhdatum']) > 0) {
		abfrage2("REPLACE INTO tb_konf_fls_fz SET datum='" . date_gr2my($_POST['fzhdatum']) . "', fls_fz='{$_POST['fls_fz']}';");
	} else abfrage2("update tb_konf set wert = '{$_POST['fls_fz']}' where name = 'fls_fz';");
	abfrage2("update tb_konf set wert = '{$_POST['traeger']}' where name = 'traeger';");
	abfrage2("update tb_konf set wert = '{$_POST['trname']}' where name = 'trname';");
	abfrage2("update tb_konf set wert = '{$_POST['trort']}' where name = 'trort';");
	abfrage2("update tb_konf set wert = '{$_POST['hpadress']}' where name = 'hpadress';");
	abfrage2("update tb_konf set wert = '{$_POST['hptel']}' where name = 'hptel';");
	abfrage2("update tb_konf set wert = '{$_POST['hpfax']}' where name = 'hpfax';");
	abfrage2("update tb_konf set wert = '{$_POST['hpemail']}' where name = 'hpemail';");
	abfrage2("update tb_konf set wert = '{$_POST['slogan']}' where name = 'slogan';");
	abfrage2("update tb_konf set wert = '{$_POST['jugendhilfe']}' where name = 'jugendhilfe';");
	abfrage2("update tb_konf set wert = '{$_POST['abr_fz_uhrzeit']}' where name = 'abr_fz_uhrzeit';");
	abfrage2("update tb_konf set wert = '{$_POST['anerk_priv_pkw']}' where name = 'anerk_priv_pkw';");
	abfrage2("update tb_konf set wert = '{$_POST['privat_pkw']}' where name = 'privat_pkw';");
	abfrage2("update tb_konf set wert = '{$_POST['dienst_pkw_privat']}' where name = 'dienst_pkw_privat';");
	abfrage2("update tb_konf set wert = '{$_POST['dienst_pkw_privat_erhoeht']}' where name = 'dienst_pkw_privat_erhoeht';");
	abfrage2("update tb_konf set wert = '{$_POST['abr_fz_kto_nr']}' where name = 'abr_fz_kto_nr';");
	abfrage2("update tb_konf set wert = '{$_POST['abr_zk_spesen']}' where name = 'abr_zk_spesen';");
	abfrage2("update tb_konf set wert = '{$_POST['kontakt']}' where name = 'kontaktstunden';");
	abfrage2("update tb_konf set wert = '{$_POST['abschlagsturnus']}' where name = 'abschlagsturnus';");
	abfrage2("update tb_konf set wert = '{$_POST['statistikbogen']}' where name = 'statistikbogen';");
	abfrage2("update tb_konf set wert = '{$_POST['statbo6mon']}' where name = 'statbo6mon';");
	abfrage2("update tb_konf set wert = '{$_POST['nachtdienst']}' where name = 'nachtdienst';");
	abfrage2("update tb_konf set wert = '{$_POST['nachtdienst_auto']}' where name = 'nachtdienst_auto';");
	abfrage2("update tb_konf set wert = '".check_time($_POST['nachtdienst_von'])."' where name = 'nachtdienst_von';");
	abfrage2("update tb_konf set wert = '".check_time($_POST['nachtdienst_bis'])."' where name = 'nachtdienst_bis';");
	abfrage2("update tb_konf set wert = '{$_POST['kls6mon']}' where name = 'kls6mon';");
	abfrage2("update tb_konf set wert = '{$_POST['fls_soll']}' where name = 'fls_soll';");
	abfrage2("update tb_konf set wert = '{$_POST['fls_soll_rund']}' where name = 'fls_soll_rund';");
	abfrage2("update tb_konf set wert = '{$_POST['fls_doku']}' where name = 'fls_doku';");
	abfrage2("update tb_konf set wert = '".check_date($_POST['fls_doku_ab'],1)."' where name = 'fls_doku_ab';");
	abfrage2("update tb_konf set wert = '{$_POST['vor_nach_b']}' where name = 'vor_nach_b';");
	abfrage2("update tb_konf set wert = '{$_POST['tt_vor_nach_b']}' where name = 'tt_vor_nach_b';");
	abfrage2("update tb_konf set wert = '{$_POST['ag_zwang']}' where name = 'ag_zwang';");
	abfrage2("update tb_konf set wert = '{$_POST['p_rech']}' where name = 'p_rech';");
	abfrage2("update tb_konf set wert = '" . str_replace(',','.', $_POST['stsatz']) . "' where name = 'stsatz';");
	abfrage2("update tb_konf set wert = '" . str_replace(',','.', $_POST['ag_stsatz']) . "' where name = 'ag_stsatz';");
	abfrage2("update tb_konf set wert = '" . str_replace(',','.', $_POST['kmsatz']) . "' where name = 'kmsatz';");
	abfrage2("update tb_konf set wert = '{$_POST['re_ap']}' where name = 're_ap';");
	abfrage2("update tb_konf set wert = '{$_POST['re_tel']}' where name = 're_tel';");
	abfrage2("update tb_konf set wert = '{$_POST['bland']}' where name = 'bland';");
	abfrage2("update tb_konf set wert = '{$_POST['ft_xmas']}' where name = 'ft_xmas';");
	abfrage2("update tb_konf set wert = '{$_POST['ft_silv']}' where name = 'ft_silv';");
	abfrage2("update tb_konf set wert = '{$_POST['email_ben_abs']}' where name = 'email_ben_abs';");
	abfrage2("update tb_konf set wert = '" . str_replace(',','.', $_POST['fls_fahrt']) . "' where name = 'fls_fahrt';");
	abfrage2("update tb_konf set wert = '".check_date($_POST['fls_fahrt_ab'],1)."' where name = 'fls_fahrt_ab';");
	abfrage2("update tb_konf set wert = '{$_POST['rech_tag_sofort']}' where name = 'rech_tag_sofort';");

	$res = abfrage1("select code from tb_ab_code order by code asc;");
	while ($row = mysql_fetch_row($res)){
		if (isset($_POST['codes'])){
			$val = (in_array($row[0], $_POST['codes'])) ? 1 : 0;
		} else {
			$val = 0;
		}
		$name = $_POST['names'][$row[0]];
		abfrage2("update tb_ab_code set over='$val', name='$name' where code = '$row[0]';");
	}

	abfrage2("update tb_konf set wert = '".(isset($_POST['alt_codes']) ? 1 : 0)."' where name = 'alt_codes';");
	abfrage2("update tb_konf set wert = '".(isset($_POST['skt_zk']) ? 1 : 0)."' where name = 'skt_zk';");
	abfrage2("update tb_konf set wert = '{$_POST['fls_genau']}' where name = 'fls_genau';");
	abfrage2("update tb_konf set wert = '{$_POST['kapp_neg']}' where name = 'kapp_neg';");
	abfrage2("update tb_konf set wert = '{$_POST['kapp_neg_wert']}' where name = 'kapp_neg_wert';");
	abfrage2("update tb_konf set wert = '{$_POST['kapp_pos']}' where name = 'kapp_pos';");
	abfrage2("update tb_konf set wert = '{$_POST['kapp_pos_wert']}' where name = 'kapp_pos_wert';");
	abfrage2("update tb_konf set wert = '{$_POST['azk_kapp']}' where name = 'azk_kapp';");
	abfrage2("update tb_konf set wert = '{$_POST['upd_mon']}' where name = 'upd_mon';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['upd_mon_relativ']) . "' where name = 'upd_mon_relativ';");
	abfrage2("update tb_konf set wert = '" . str_replace(',','.', $_POST['vml']) . "' where name = 'vml';");
	abfrage2("update tb_konf set wert = '{$_POST['zweitcodes']}' where name = 'zweitcodes';");
	if(!empty($_POST['kinderzus'])) {
		$dat = date_gr2my(check_date($_POST['kinderzusdatum']));
		abfrage2("replace into tb_kinderzuschlag set datum='$dat', kinderzuschlag='".str_replace(',','.', $_POST['kinderzus'])."'");
	}
	if(!empty($_POST['az_basis'])) {
		$dat = date_gr2my(check_date($_POST['azdatum']));
		abfrage2("replace into tb_az_basis set datum='$dat', az_basis='".str_replace(',','.', $_POST['az_basis'])."'");
	}

	/* Dokupauschale halbieren Wert aus Formular speichern */
	$sql  = "UPDATE tb_konf SET wert = '".$_POST["doku_halb"];
	$sql .= "' WHERE name = 'doku_halb'";
	abfrage2($sql);

	/* benutzerdefinierte ZK-Codes */
	$res = abfrage1("select code from tb_ab_code4");
	while ($row = mysql_fetch_row($res)){
		$sql = "update tb_ab_code4 set code='" . $_POST["code_$row[0]"] . "', 
				code2='" . $_POST["code2_$row[0]"] . "', 
				name='" . $_POST["codename_$row[0]"] . "'
				where code='$row[0]';";
		abfrage2($sql);
	}

	if(strlen($_POST['code2_neu']) > 0) {
		abfrage2("insert into tb_ab_code4 set code='{$_POST['code_neu']}', code2='{$_POST['code2_neu']}', name='{$_POST['name_neu']}'");
	}

	echo "<table><tr><th style=\"color:lime\">";
	echo "Ihre Eingaben wurden erfolgreich gespeichert!</th></tr></table>\n";
	new stwLine(1);

  /* AZK Cache komplett loeschen um Aenderungen neu anzulegen */
  azk_cache_reset();
}

echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
/* Speichern-Button auerhalb des sichtbaren Bereiches, damit ENTER speichert */
echo "<input type=\"submit\" name=\"send_tr\" value=\"Speichern\" style=\"position: absolute; left: -100%;\" />\n";
echo "<table border=\"0\">\n";

$ti = 1;

echo "<tr><th class=\"cl11\">Tr&auml;gerk&uuml;rzel:</th>\n";
$traeger = getConf('traeger');
echo "<td class=\"cl11\"><input type=\"text\" name=\"traeger\" ";
echo "size=\"8\" maxlength=\"8\" value=\"$traeger\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(u.a. Name des Verzeichnisses f&uuml;r Druckvorlagen)</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">Tr&auml;gername:</th>\n";
$trname = getConf('trname');
echo "<td class=\"cl11\"><input type=\"text\" name=\"trname\" ";
echo "size=\"30\" maxlength=\"100\" value=\"$trname\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(f&uuml;r Druckvorlagen)</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">Ort:</th>\n";
$trort = getConf('trort');
echo "<td class=\"cl11\"><input type=\"text\" name=\"trort\" ";
echo "size=\"30\" maxlength=\"100\" value=\"$trort\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(f&uuml;r Druckvorlagen)</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">Adresszeile (HP):</th>\n";
$hpadress = getConf('hpadress');
echo "<td class=\"cl11\"><input type=\"text\" name=\"hpadress\" ";
echo "size=\"30\" maxlength=\"100\" value=\"$hpadress\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(f&uuml;r Druck Hilfeplan)</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">Telefonnummer (HP):</th>\n";
$hptel = getConf('hptel');
echo "<td class=\"cl11\"><input type=\"text\" name=\"hptel\" ";
echo "size=\"30\" maxlength=\"100\" value=\"$hptel\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(f&uuml;r Druck Hilfeplan)</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">Faxnummer (HP):</th>\n";
$hpfax = getConf('hpfax');
echo "<td class=\"cl11\"><input type=\"text\" name=\"hpfax\" ";
echo "size=\"30\" maxlength=\"100\" value=\"$hpfax\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(f&uuml;r Druck Hilfeplan)</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">eMail-Adresse (HP):</th>\n";
$hpemail = getConf('hpemail');
echo "<td class=\"cl11\"><input type=\"text\" name=\"hpemail\" ";
echo "size=\"30\" maxlength=\"100\" value=\"$hpemail\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(f&uuml;r Druck Hilfeplan)</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">\"Jugendhilfe\" (HP):</th>\n";
$jugendhilfe = getConf('jugendhilfe');
echo "<td class=\"cl11\"><input type=\"text\" name=\"jugendhilfe\" ";
echo "size=\"30\" maxlength=\"100\" value=\"$jugendhilfe\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(Jugendhilfe im HP unter dem Logo)</td></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\"><b style=\"color:#FFCC00\">Slogan:</b><br />max. 3-zeilig<br />(f&uuml;r Druck Hilfeplan)</td>\n";
$slogan = getConf('slogan');
echo "<td class=\"cl11\"><textarea name=\"slogan\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">";
echo "$slogan</textarea></td></tr>\n";
$ti++;

new stwTabLine(2,30);

$flsfz=array('','nicht in Abrechnung, jedoch voll in Arbeitszeitkonto',
				'max. 15 % von FLS in Abrechnung und Arbeitszeitkonto',
				'voll in Abrechnung und Arbeitszeitkonto',
				'nicht in Abrechnung, jedoch 2/3 davon in Arbeitszeitkonto');
$conf_fls_fz = getConf('fls_fz');
$fls_fz_history = abfrage1("select date_format(datum, '%d.%m.%Y'), fls_fz, datum from tb_konf_fls_fz order by datum asc");
if(mysql_num_rows($fls_fz_history) > 0) {
	echo "<tr><th class=\"cl11\" style=\"text-align:right\">Historie:</th><td>urspr&uuml;nglich " . $flsfz[ $conf_fls_fz ] . "</td></tr>\n";
	while($fzh = mysql_fetch_row($fls_fz_history)) {
		echo "<tr><td class=\"cl11\" style=\"text-align:right\">seit $fzh[0]</td>";
		echo "<td>" . $flsfz[ $fzh[1] ] . "</td>";
		echo "<td><a href=\"{$_SERVER['PHP_SELF']}?fzhdel=$fzh[2]\" style=\"color:red\">X</a></td></tr>\n";
		$fls_fz = $fzh[1];
		$fzhdatum = $fzh[0];
	}
} else {
	$fls_fz = $conf_fls_fz;
	$fzhdatum = '';
}

echo "<tr><th class=\"cl11\">Abrechnung Fahrzeiten:</th>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_fz\" value=\"1\" tabindex=\"$ti\"";
echo ($fls_fz == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;$flsfz[1]</th></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_fz\" value=\"2\" tabindex=\"$ti\"";
echo ($fls_fz == 2) ? ' checked' : '';
echo ">&nbsp;&nbsp;$flsfz[2]</th></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\">&Auml;nderung ab: <input type=\"text\" name=\"fzhdatum\" ";
echo "value=\"$fzhdatum\" size=\"10\" maxlength=\"10\" /></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_fz\" value=\"4\" tabindex=\"$ti\"";
echo ($fls_fz == 4) ? ' checked' : '';
echo ">&nbsp;&nbsp;$flsfz[4]</th></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\" rowspan=\"2\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_fz\" value=\"3\" tabindex=\"$ti\"";
echo ($fls_fz == 3) ? ' checked' : '';
echo ">&nbsp;&nbsp;$flsfz[3]</th></tr>\n";
$ti++;

new stwTabLine(2,1);
echo "<tr><td class=\"cl11\" rowspan=\"2\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"abr_fz_uhrzeit\" value=\"1\" tabindex=\"$ti\"";
echo (getConf('abr_fz_uhrzeit') == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;Uhrzeit bei Abrechnung / Fahrten mit anzeigen</th></tr>\n";
$ti++;

new stwTabLine(2,1);
echo "<tr><th class=\"cl11\" rowspan=\"2\">Fahrkosten:</th>\n";
echo "<td class=\"cl11\"><table>";
$kmsatz = str_replace('.', ',', getConf('anerk_priv_pkw'));
echo "<tr><th class=\"cl11\" colspan=\"2\">Anerkannter Privat-PKW</th>";
echo "<td class=\"cl11\"><input type=\"text\" name=\"anerk_priv_pkw\" ";
echo "style=\"text-align:right\" ";
echo "size=\"4\" maxlength=\"5\" value=\"$kmsatz\" tabindex=\"$ti\">&nbsp;&cent; / km&nbsp;&nbsp;";
echo "</td></tr>\n";
$ti++;
$kmsatz = str_replace('.', ',', getConf('privat_pkw'));
echo "<tr><th class=\"cl11\">Privat-PKW</th><td class=\"cl11\">(anerk. Privat PKW: Nein)</td>";
echo "<td class=\"cl11\"><input type=\"text\" name=\"privat_pkw\" ";
echo "style=\"text-align:right\" ";
echo "size=\"4\" maxlength=\"5\" value=\"$kmsatz\" tabindex=\"$ti\">&nbsp;&cent; / km&nbsp;&nbsp;";
echo "</td></tr>\n";
$ti++;
$kmsatz = str_replace('.', ',', getConf('dienst_pkw_privat'));
echo "<tr><th class=\"cl11\" colspan=\"2\">Privatfahrten Dienst-PKW (Einsatzwechsel)</th>";
echo "<td class=\"cl11\"><input type=\"text\" name=\"dienst_pkw_privat\" ";
echo "style=\"text-align:right\" ";
echo "size=\"4\" maxlength=\"5\" value=\"$kmsatz\" tabindex=\"$ti\">&nbsp;&cent; / km&nbsp;&nbsp;";
echo "</td></tr>\n";
$ti++;
$kmsatz = str_replace('.', ',', getConf('dienst_pkw_privat_erhoeht'));
echo "<tr><th class=\"cl11\" colspan=\"2\">Privatfahrten Dienst-PKW (erh&ouml;ht)</th>";
echo "<td class=\"cl11\"><input type=\"text\" name=\"dienst_pkw_privat_erhoeht\" ";
echo "style=\"text-align:right\" ";
echo "size=\"4\" maxlength=\"5\" value=\"$kmsatz\" tabindex=\"$ti\">&nbsp;&cent; / km&nbsp;&nbsp;";
echo "</td></tr>\n";
$ti++;
echo "</table></td></tr>\n";

new stwTabLine(2,1);
$abr_fz_kto_nr = getConf('abr_fz_kto_nr');
echo "<tr><th class=\"cl11\">Kontoverbindung in Honorar-,</th>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"abr_fz_kto_nr\" value=\"0\" tabindex=\"$ti\"";
echo ($abr_fz_kto_nr == 0) ? ' checked' : '';
echo ">&nbsp;&nbsp;Nein</th></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">km- und Spesenabrechnung</th>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"abr_fz_kto_nr\" value=\"1\" tabindex=\"$ti\"";
echo ($abr_fz_kto_nr == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;Ja</th></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\" rowspan=\"2\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"abr_fz_kto_nr\" value=\"2\" tabindex=\"$ti\"";
echo ($abr_fz_kto_nr == 2) ? ' checked' : '';
echo ">&nbsp;&nbsp;Nur Ehrenamtliche und Honorarkr&auml;fte</th></tr>\n";
$ti++;

new stwTabLine(2,1);
$abr_zk_spesen = getConf('abr_zk_spesen');
echo "<tr><th class=\"cl11\">Ausblenden der Spesen-</th>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"abr_zk_spesen\" value=\"0\" tabindex=\"$ti\"";
echo ($abr_zk_spesen == 0) ? ' checked' : '';
echo ">&nbsp;&nbsp;Nein</th></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">Eingabefelder in Zeitkarten</th>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"abr_zk_spesen\" value=\"1\" tabindex=\"$ti\"";
echo ($abr_zk_spesen == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;Ja</th></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"abr_zk_spesen\" value=\"2\" tabindex=\"$ti\"";
echo ($abr_zk_spesen == 2) ? ' checked' : '';
echo ">&nbsp;&nbsp;Nur Ehrenamtliche und Honorarkr&auml;fte</th></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Kontaktstunden:</th>\n";
$kontakt = getConf('kontaktstunden');
echo "<th class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"kontakt\" value=\"1\" tabindex=\"$ti\"";
echo ($kontakt == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;Kontaktstunden und Fahrzeit trennen</th></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Abschlagsrechnungen:</th>\n";
$abschlagsturnus = getConf('abschlagsturnus');
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"abschlagsturnus\" value=\"6\" tabindex=\"$ti\"";
echo ($abschlagsturnus == 6) ? ' checked' : '';
echo ">&nbsp;&nbsp;halbj&auml;hrlich&nbsp;&nbsp;&nbsp;&nbsp;";
echo "<input type=\"radio\" name=\"abschlagsturnus\" value=\"3\" tabindex=\"$ti\"";
echo ($abschlagsturnus == 3) ? ' checked' : '';
echo ">&nbsp;&nbsp;viertelj&auml;hrlich</th></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Monats- und Tagessatz sofort in Rechnung:</th>\n";
$rech_tag_sofort = getConf('rech_tag_sofort');
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"rech_tag_sofort\" value=\"0\" tabindex=\"$ti\"";
echo ($rech_tag_sofort == 0) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein&nbsp;&nbsp;&nbsp;&nbsp;";
echo "<input type=\"radio\" name=\"rech_tag_sofort\" value=\"1\" tabindex=\"$ti\"";
echo ($rech_tag_sofort == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;ja&nbsp;<span style=\"font-weight:normal\">(Rechnungen werden beim Monatswechsel erzeugt)</span></th></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Statistikbogen:</th>\n";
$bnf = getConf('statistikbogen');
echo "<td class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"statistikbogen\" value=\"1\" tabindex=\"$ti\"";
echo ($bnf == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;zus&auml;tzliche Auswertung (Projekte aller 6 Monate) &nbsp; &nbsp;";
echo "<input type=\"submit\" name=\"stat_reset\" value=\"zur&uuml;cksetzen\" />";
echo "</td></tr>\n";
if($bnf == 1) {
	$sb6m = getConf('statbo6mon');
	$tt=stwToolTip("<b>Statistikb&ouml;gen werden fr 6 Monate r&uuml;ckwirkend erzeugt.</b>
					Es besteht die M&ouml;glichkeit monatlich einen Statistikbogen auszugeben,
					6 Monate nach Projektbeginn oder bei Projektende
					<b>oder</b> unabh&auml;ngig von Projektbeginn und -ende aller 6 Monate.
					<b>oder</b> zusammen mit den Abschlagsrechnungen",0);
	echo "<td></td><th class=\"cl11\" $tt>&nbsp;&nbsp;&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"statbo6mon\" value=\"0\" tabindex=\"$ti\"";
	if($sb6m == 0) echo " checked";
	echo ">&nbsp;&nbsp;monatlich&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"statbo6mon\" value=\"1\" tabindex=\"$ti\"";
	if($sb6m == 1) echo " checked";
	echo ">&nbsp;&nbsp;aller 6 Monate&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"statbo6mon\" value=\"2\" tabindex=\"$ti\"";
	if($sb6m == 2) echo " checked";
	echo ">&nbsp;&nbsp;wie Abschlagsrechnung</th></tr>\n";
}
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Bereitschaft, Nachtdienst, Feiertagsdienst...:</th>\n";
$bnf = getConf('nachtdienst');
echo "<td class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"nachtdienst\" value=\"1\" tabindex=\"$ti\"";
echo ($bnf == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;zus&auml;tzliche Auswertung, sowie Eingabefeld in ZK-Maske anzeigen</td></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Nachtdienst automatisch:</th>\n";
echo "<td class=\"cl11\">";
echo "<table cellspacing=\"0\">";
echo "<tr><td class=\"cl11\" rowspan=\"2\" style=\"vertical-align:middle\">";
echo "<input type=\"checkbox\" name=\"nachtdienst_auto\" value=\"1\" tabindex=\"$ti\" /";
$ti++;
echo getConf('nachtdienst_auto') ? ' checked' : '';
echo "></td><td>von:</td>";
$von = getConf('nachtdienst_von');
echo "<td><input type=\"text\" name=\"nachtdienst_von\" style=\"text-align:right\" size=\"5\" value=\"$von\" tabindex=\"$ti\" /></td>";
$ti++;
echo "<td class=\"cl20\"><i>hh:mm</i></td>";
echo "<td rowspan=\"2\">in diesem Zeitfenster werden Zeitkarten<br>automatisch als Nachtdienste dokumentiert</td></tr>\n";
echo "<tr><td>bis:</td>";
$bis = getConf('nachtdienst_bis');
echo "<td><input type=\"text\" name=\"nachtdienst_bis\" style=\"text-align:right\" size=\"5\" value=\"$bis\" tabindex=\"$ti\" /></td>";
$ti++;
echo "<td><i>hh:mm</i></td></tr></table>\n";
echo "</td></tr>\n";

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Kontaktleistungsstunden:</th>\n";
$k6m = getConf('kls6mon');
echo "<td class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"kls6mon\" value=\"1\" tabindex=\"$ti\"";
echo ($k6m == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;zus&auml;tzliche Auswertung 6 Monate r&uuml;ckwirkend</td></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Sollstundenberechnung:</th>\n";
$fls_soll = getConf('fls_soll');
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_soll\" value=\"1\" tabindex=\"$ti\"";
echo ($fls_soll == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;arbeitstaggenau (ohne Wochenenden und Feiertage)</th></tr>\n";
$ti++;


echo "<tr><td class=\"cl11\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_soll\" value=\"2\" tabindex=\"$ti\"";
echo ($fls_soll == 2) ? ' checked' : '';
echo ">&nbsp;&nbsp;kalendertaggenau (mit Wochenenden und Feiertagen)</th></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_soll\" value=\"3\" tabindex=\"$ti\"";
echo ($fls_soll == 3) ? ' checked' : '';
echo ">&nbsp;&nbsp;Monatspauschale, wenn keine Stunden&auml;nderung<br>";
echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;im Monat, sonst wie kalendertaggenau</th></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Rundung Soll-Stunden:</th>\n";
$fls_soll_rund = getConf('fls_soll_rund');
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_soll_rund\" value=\"0\" tabindex=\"$ti\"";
echo ($fls_soll_rund == 0) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein&nbsp;&nbsp;&nbsp;&nbsp;";
echo "<input type=\"radio\" name=\"fls_soll_rund\" value=\"1\" tabindex=\"$ti\"";
echo ($fls_soll_rund == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;auf 0,5 Stunden abrunden</th></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Falldokumentation:</th>\n";
$fls_doku = getConf('fls_doku');
echo "<th class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"fls_doku\" value=\"1\" tabindex=\"$ti\"";
$ti++;
echo ($fls_doku == 1) ? ' checked' : '';
$tt = stwToolTip("in Abrechnung und AZK");
echo ">&nbsp;&nbsp;<span $tt>Zuschlag Falldokumentation</span>&nbsp; &nbsp;";
$fls_doku_ab = getConf('fls_doku_ab');
echo "&nbsp; ab: <input type=\"text\" name=\"fls_doku_ab\" ";
echo "value=\"$fls_doku_ab\" size=\"11\" maxlength=\"11\" tabindex=\"$ti\">";
$ti++;
echo "</th></tr>\n";

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Vor- und Nachbereitung:</th>\n";
$vor_nach_b = getConf('vor_nach_b');
echo "<th class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"vor_nach_b\" value=\"1\" tabindex=\"$ti\"";
echo ($vor_nach_b == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp; (nicht in Abrechnung, jedoch voll in AZK)</th></tr>\n";
$ti++;

if (getConf("traeger") == "stw") {
	echo "<tr><th class=\"cl11\"></th>\n";
	echo "<th class=\"cl11\">";
	echo "<input type=\"checkbox\" name=\"tt_vor_nach_b\" value=\"1\" tabindex=\"$ti\"";
	echo (getConf('tt_vor_nach_b') == 1) ? ' checked' : '';
	echo ">&nbsp;&nbsp; (wenn Projektart TTP oder TTH, voll in Abrechnung und AZK)</th></tr>\n";
	$ti++;
}
new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Anlegen eines Abschlussgespr&auml;chs erzwingen:</th>\n";
$ag_zwang = getConf('ag_zwang');
echo "<th class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"ag_zwang\" value=\"1\" tabindex=\"$ti\"";
echo ($ag_zwang == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp; beendete Projekte blinken, bis AG angelegt wurde</th></tr>\n";
$ti++;
new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Abweichung Pool zu Rechnung hervorheben:</th>\n";
$p_rech = getConf('p_rech');
echo "<th class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"p_rech\" value=\"1\" tabindex=\"$ti\"";
echo ($p_rech == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp; Pool-P blinkt, falls Poolst&auml;nde nicht mit Rechnungen &uuml;bereinstimmen</th></tr>\n";
$ti++;
new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Stundensatz (FLS):</th>\n";
echo "<td><table cellpadding=\"0\" cellspacing=\"0\">\n";
echo "<tr><td class=\"cl20\"><table id=\"Stundensatztabelle\">\n";
echo stundensatzliste();
echo "</table></td>\n";

echo "<td><table>\n";

/* Zeile Datum */
echo "<tr><th class=\"cl11\">Datum:</th>\n";
echo "<td><input type=\"text\" id=\"SzDatum\" size=\"11\" maxlength=\"11\" ";
echo "style=\"text-align: right;\" tabindex=\"$ti\" value=\"\"></td></tr>\n";
$ti++;

/* Zeile Stundensatz */
echo "<tr><th class=\"cl11\">Stundensatz:</th>\n";
echo "<td><input type=\"text\" id=\"SzSatz\" size=\"8\" maxlength=\"8\" ";
echo "style=\"text-align: right;\" tabindex=\"$ti\" value=\"\">";
echo "&nbsp;&euro;</td></tr>\n"; $ti++;

/* Zeile Button */
echo "<tr><td colspan=\"10\">";
echo "<input type=\"button\" id=\"SzButton\" ";
echo "value=\"Stundensatz speichern\" ";
echo "onClick=\"xajax_SzSpeichern(SzDatum.value, SzSatz.value)\">";
echo "</td></tr>\n";

echo "</table></td>\n";
echo "</tr></table></td></tr>\n";

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Stundensatz (Fahrt):</th>\n";
$fls_fahrt = geld_form_formular(getConf('fls_fahrt'));
echo "<td class=\"cl11\"><input type=\"text\" name=\"fls_fahrt\" ";
echo "style=\"text-align:right\" ";
echo "size=\"6\" maxlength=\"6\" value=\"$fls_fahrt\" tabindex=\"$ti\">";
echo "&nbsp;% des Stundensatzes (FLS) &nbsp; &nbsp; ";
$fls_fahrt_ab = getConf('fls_fahrt_ab');
echo "<b style=\"color:#FFCC00\">ab:</b> <input type=\"text\" name=\"fls_fahrt_ab\" ";
echo "value=\"$fls_fahrt_ab\" size=\"11\" maxlength=\"11\" tabindex=\"$ti\">";
$ti++;

echo "</td></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Kilometerpauschale:</th>\n";
$kmsatz = str_replace('.', ',', getConf('kmsatz'));
echo "<td class=\"cl11\"><input type=\"text\" name=\"kmsatz\" ";
echo "style=\"text-align:right\" ";
echo "size=\"8\" maxlength=\"8\" value=\"$kmsatz\" tabindex=\"$ti\">&nbsp;&euro;&nbsp;&nbsp;";
echo "</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">AG-Stundensatz:</th>\n";
$ag_stsatz = str_replace('.', ',', getConf('ag_stsatz'));
echo "<td class=\"cl11\"><input type=\"text\" name=\"ag_stsatz\" ";
echo "style=\"text-align:right\" ";
echo "size=\"8\" maxlength=\"8\" value=\"$ag_stsatz\" tabindex=\"$ti\">&nbsp;&euro;&nbsp;&nbsp;";
echo "</td></tr>\n";
$ti++;

 /*
  * Jeder Traeger kann einstellen ob Dokupauschale um die Haelfte gekuerzt wird.
  * Zusaetzlich werden auch noch die vorhandenen C Stunden abgezogen. Negativ
  * kann der Wert aber nicht werden (Minimum 0)
  */
echo "<tr><th class=\"cl11\">Dokupauschale halbieren ";
echo "f&uuml;r jeden Mitarbeiter</th>\n";
$doku_halb = getConf("doku_halb");
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"doku_halb\" value=\"1\" ";
echo "tabindex=\"$ti\" ";
if ($doku_halb == 1) echo "checked";
echo "> ja</th></tr>\n";
$ti++;
echo "<tr><th class=\"cl11\">und C-Zeiten von Doku";
echo "pauschale abziehen:</th><th class=\"cl11\">";
echo "<input type=\"radio\" name=\"doku_halb\" value=\"0\" ";
echo "tabindex=\"$ti\" ";
if ($doku_halb == 0) echo "checked";
echo "> nein</th></tr>\n";
$ti++;
echo "<tr><td class=\"cl11\">(Berechnung startet ";
echo "August 2007)</td><th class=\"cl11\">";
echo "</th></tr>\n";

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">AnsprechpartnerIn Rechnungen:</th>\n";
$re_ap = getConf('re_ap');
echo "<td class=\"cl11\"><input type=\"text\" name=\"re_ap\" ";
echo "size=\"30\" maxlength=\"100\" value=\"$re_ap\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(f&uuml;r Druckausgabe Rechnungen)</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">Telefon-Nr. AP Rechnungen:</th>\n";
$re_tel = getConf('re_tel');
echo "<td class=\"cl11\"><input type=\"text\" name=\"re_tel\" ";
echo "size=\"30\" maxlength=\"100\" value=\"$re_tel\" tabindex=\"$ti\">&nbsp;&nbsp;";
echo "(f&uuml;r Druckausgabe Rechnungen)</td></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Bundesland:</th>\n";
$bland = getConf('bland');
echo "<td class=\"cl11\">";
echo "<select name=\"bland\" size=\"1\" tabindex=\"$ti\">\n";

echo "<option value=\"bw\"";
echo ($bland == 'bw') ? ' selected' : '';
echo ">Baden-W&uuml;rttemberg</option>\n";

echo "<option value=\"by\"";
echo ($bland == 'by') ? ' selected' : '';
echo ">Bayern</option>\n";

echo "<option value=\"b2\"";
echo ($bland == 'b2') ? ' selected' : '';
echo ">Bayern (inkl. Bu&szlig;- und Bettag)</option>\n";

echo "<option value=\"be\"";
echo ($bland == 'be') ? ' selected' : '';
echo ">Berlin</option>\n";

echo "<option value=\"bb\"";
echo ($bland == 'bb') ? ' selected' : '';
echo ">Brandenburg</option>\n";

echo "<option value=\"hb\"";
echo ($bland == 'hb') ? ' selected' : '';
echo ">Bremen</option>\n";

echo "<option value=\"hh\"";
echo ($bland == 'hh') ? ' selected' : '';
echo ">Hamburg</option>\n";

echo "<option value=\"he\"";
echo ($bland == 'he') ? ' selected' : '';
echo ">Hessen</option>\n";

echo "<option value=\"mv\"";
echo ($bland == 'mv') ? ' selected' : '';
echo ">Mecklenburg-Vorpommern</option>\n";

echo "<option value=\"ni\"";
echo ($bland == 'ni') ? ' selected' : '';
echo ">Niedersachsen</option>\n";

echo "<option value=\"nw\"";
echo ($bland == 'nw') ? ' selected' : '';
echo ">Nordrhein-Westfalen</option>\n";

echo "<option value=\"rp\"";
echo ($bland == 'rp') ? ' selected' : '';
echo ">Rheinland-Pfalz</option>\n";

echo "<option value=\"sl\"";
echo ($bland == 'sl') ? ' selected' : '';
echo ">Saarland</option>\n";

echo "<option value=\"sn\"";
echo ($bland == 'sn') ? ' selected' : '';
echo ">Sachsen</option>\n";

echo "<option value=\"st\"";
echo ($bland == 'st') ? ' selected' : '';
echo ">Sachsen-Anhalt</option>\n";

echo "<option value=\"sh\"";
echo ($bland == 'sh') ? ' selected' : '';
echo ">Schleswig-Holstein</option>\n";

echo "<option value=\"th\"";
echo ($bland == 'th') ? ' selected' : '';
echo ">Th&uuml;ringen</option>\n";

echo "<option value=\"oe\"";
echo ($bland == 'oe') ? ' selected' : '';
echo ">- - &Ouml;sterreich - -</option>\n";

echo "</select>&nbsp;&nbsp;(zur Berechnung der Feiertage)</td></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">optionale freie Tage:</th>\n";
$ft_xmas = getConf('ft_xmas');
echo "<th class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"ft_xmas\" value=\"1\" tabindex=\"$ti\"";
echo ($ft_xmas == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;Heilig Abend (24.12.)</th></tr>\n";
$ti++;

echo "<tr><td></td>\n";
$ft_silv = getConf('ft_silv');
echo "<th class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"ft_silv\" value=\"1\" tabindex=\"$ti\"";
echo ($ft_silv == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;Silvester (31.12.)</th></tr>\n";
$ti++;

new stwTabLine(2,30);

$alt_codes = getConf('alt_codes');

echo "<tr name=\"zk1\"";
$visible = ($alt_codes == 1) ? "style=\"display:none\"" : '';
echo " $visible><th class=\"cl11\">Zeitkarten&uuml;berschneidung:</th>\n";
$res = abfrage1("select code, name, over from tb_ab_code order by code asc;");
$i = 1;

while ($row = mysql_fetch_row($res)){
	if ($i == 1){
		echo "";
	} elseif ($i == 2) {
		echo "<tr $visible name=\"zk1\"><td>(werden aufgeteilt)</td>\n";
	} elseif ($i == 4) {
		echo "<tr $visible name=\"zk1\"><th>";
		echo "<input type=\"checkbox\" name=\"zweitcodes\" value=\"1\" tabindex=\"".($ti+1)."\"";
		echo (getConf('zweitcodes') == 1) ? ' checked' : '';
		echo "> Zweite Code-Palette bei Kontakt-ZKs</th>\n";
	} else {
		echo "<tr $visible name=\"zk1\"><td></td>\n";
	}
	echo "<th class=\"cl11\">";
	echo "<input type=\"checkbox\" name=\"codes[$row[0]]\" value=\"$row[0]\" tabindex=\"$ti\"";
	echo ($row[2] == 1) ? ' checked' : '';
	echo ">&nbsp;&nbsp;Code $row[0]&nbsp;:&nbsp;<input type=\"text\" name=\"names[$row[0]]\" ";
	echo "maxlength=\"100\" size=\"50\" value=\"$row[1]\"></th></tr>\n";
	$ti++;
	$i++;
}
$ti++;

echo "<tr id=\"zk2\"";
$visible = ($alt_codes == 1) ? '' : "style=\"display:none\"";
echo " $visible><th class=\"cl11\">benutzerdefinierte Codes f&uuml;r Zeitkarten:</th><td>\n";
$Code = $usedCode = array();
for($i=65; $i<91; $i++) {
	if(chr($i) != 'S') $Code [ chr($i) ] = chr($i);
	if(chr($i) == 'C') $Code [ chr($i) ] .= " (Fehlkontakt)";
	if(chr($i) == 'D') $Code [ chr($i) ] .= " (Gruppenarbeit)";
}
$res = abfrage1("select * from tb_ab_code4 order by code2 asc;");
while($row = mysql_fetch_array($res)) $usedCode[ $row['code'] ] = $row['code'];
mysql_data_seek($res,0);
echo "<table><tr><th" . stwToolTip('eindeutiger Zeitkarten-Code');
echo ">Code</th><th" . stwToolTip('INTERN - entspricht folgendem bisherigem Code');
echo ">intern</th><th>Beschreibung</th><td><a name=\"codes\" /></td></tr>\n";
while ($row = mysql_fetch_row($res)){
	echo "<tr><td><input type=\"text\" name=\"code2_$row[0]\" size=\"3\" tabindex=\"$ti\" maxlength=\"1\" style=\"text-align:center\" value=\"$row[1]\" /></td>\n";
	$ti++;
	echo "<td><select name=\"code_$row[0]\" tabindex=\"$ti\" style=\"width:30px\">\n";
	foreach($Code as $c => $v) {
		if($c == $row[0] || !in_array($c,$usedCode)) {
			$selected = ($c == $row[0]) ? 'selected' : '';
			echo "<option $selected value=\"$c\">$v</option>\n";
		}
	}
	echo "</select></td>\n";
	$ti++;
	echo "<td class=\"cl11\"><input type=\"text\" name=\"codename_$row[0]\" tabindex=\"$ti\" maxlength=\"100\" size=\"50\" value=\"$row[2]\" /></td>";
	$ti++;
	echo "<td><a style=\"color:red\" href=\"mandant.php?codedel=$row[0]#codes\"";
	echo stwToolTip("<b>Vorsicht!</b> Code l&ouml;schen") . ">X</a></td>\n";
	echo "</tr>\n";
}
new stwTabLine(2,4);
echo "<tr><td><input type=\"text\" name=\"code2_neu\" size=\"3\" tabindex=\"$ti\" maxlength=\"1\" style=\"text-align:center\" /></td>\n";
$ti++;
echo "<td><select name=\"code_neu\" tabindex=\"$ti\" style=\"width:30px\">\n";
foreach($Code as $c => $v) {
	if(!in_array($c,$usedCode)) {
		echo "<option value=\"$c\">$v</option>\n";
	}
}
echo "</select></td>\n";
$ti++;
echo "<td><input type=\"text\" name=\"name_neu\" tabindex=\"$ti\" maxlength=\"100\" size=\"50\" /></td>";
echo "<td><b style=\"position:absolute;left:15px\">weiteren, neuen Code anlegen:</b></td></tr>\n";
$ti++;
echo "</table></td></tr>\n";
new stwTabLine(2,30);

echo "<script type=\"text/javascript\"><!--\n";
echo "function HideZK2() {\n";
echo " var ntd = document.getElementsByName('zk1');\n";
echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'table-row';\n";
echo " document.getElementById('zk2').style.display = 'none';\n";
echo "}\n";
echo "function ShowZK2() {\n";
echo " var ntd = document.getElementsByName('zk1');\n";
echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'none';\n";
echo " document.getElementById('zk2').style.display = 'table-row';\n";
echo "}\n--></script>\n";

echo "<tr><th class=\"cl11\">alternative ZK-Codes:</th>\n";
echo "<td><input type=\"checkbox\" value=\"1\" name=\"alt_codes\" ";
if($alt_codes == 1) echo "checked ";
echo "onclick=\"if(this.checked) ShowZK2(); else HideZK2();\"";
echo "> vorhandene Codes durch neue, frei w&auml;hlbare ersetzen</td></tr>\n";

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Sozialkompetenztraining:</th>\n";
$skt_zk = getConf('skt_zk');
echo "<th class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"skt_zk\" value=\"1\" tabindex=\"$ti\"";
echo ($skt_zk == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;Code S in Zeitkarten anbieten</th></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Eingabegenauigkeit Zeitkarten:</th>\n";
$fls_genau = getConf('fls_genau');
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_genau\" value=\"1\" tabindex=\"$ti\"";
echo ($fls_genau == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;1 Minute (Evtl. deutlich langsamer!)</th></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_genau\" value=\"5\" tabindex=\"$ti\"";
echo ($fls_genau == 5) ? ' checked' : '';
echo ">&nbsp;&nbsp;5 Minuten</th></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"fls_genau\" value=\"15\" tabindex=\"$ti\"";
echo ($fls_genau == 15) ? ' checked' : '';
echo ">&nbsp;&nbsp;15 Minuten</th></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Kappung FLS Folgemonat negativ:</th>\n";
$kapp_neg = getConf('kapp_neg');
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"kapp_neg\" value=\"1\" tabindex=\"$ti\"";
echo ($kapp_neg == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;ja";
$ti++;
echo "&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"radio\" name=\"kapp_neg\" value=\"2\" tabindex=\"$ti\"";
echo ($kapp_neg == 2) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein";
$ti++;
$kapp_neg_wert = getConf('kapp_neg_wert');
echo "&nbsp;&nbsp;&nbsp;&nbsp;Wert:&nbsp;&nbsp;<input type=\"text\" name=\"kapp_neg_wert\" ";
echo "style=\"text-align:right; font-weight:normal\" size=\"4\" maxlength=\"4\" ";
echo "value=\"$kapp_neg_wert\" tabindex=\"$ti\">&nbsp;h&nbsp;&nbsp;&nbsp;";
echo "<span style=\"font-weight:normal\">negativen Wert angeben!</span></th></tr>\n";
$ti++;

echo "<tr><th class=\"cl11\">Kappung FLS Folgemonat positiv:</th>\n";
$kapp_pos = getConf('kapp_pos');
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"kapp_pos\" value=\"1\" tabindex=\"$ti\"";
echo ($kapp_pos == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;ja";
$ti++;
echo "&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"radio\" name=\"kapp_pos\" value=\"2\" tabindex=\"$ti\"";
echo ($kapp_pos == 2) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein";
$ti++;
$kapp_pos_wert = getConf('kapp_pos_wert');
echo "&nbsp;&nbsp;&nbsp;&nbsp;Wert:&nbsp;&nbsp;<input type=\"text\" name=\"kapp_pos_wert\" ";
echo "style=\"text-align:right; font-weight:normal\" size=\"4\" maxlength=\"4\" ";
echo "value=\"$kapp_pos_wert\" tabindex=\"$ti\">&nbsp;h</th></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Kappung AZK:</th>\n";
$azk_kapp = getConf('azk_kapp');
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"azk_kapp\" value=\"1\" tabindex=\"$ti\"";
echo ($azk_kapp == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;ja</th></tr>\n";
$ti++;

echo "<tr><td class=\"cl11\"></td>\n";
echo "<th class=\"cl11\">";
echo "<input type=\"radio\" name=\"azk_kapp\" value=\"0\" tabindex=\"$ti\"";
echo ($azk_kapp == 0) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein</th></tr>\n";

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">nachts zu aktual. AB-Monate:</th>\n";
$upd_mon = getConf('upd_mon');
echo "<td class=\"cl11\"><input type=\"text\" name=\"upd_mon\" ";
echo "style=\"text-align:right\" ";
echo "size=\"3\" maxlength=\"3\" value=\"$upd_mon\" tabindex=\"$ti\">&nbsp;Monate &nbsp; &nbsp; &nbsp; ";
$checked = getConf('upd_mon_relativ') ? 'checked' : '';
echo "<input type=\"checkbox\" name=\"upd_mon_relativ\" $checked value=\"1\" /> AZK in Abh&auml;ngigkeit zum Vormonat berechnen";
echo "</td></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Arbeitszeit 100% Basis:</th>\n";
$az_basis = str_replace('.', ',', getConf('az_basis'));
echo "<td class=\"cl11\">\n";
echo "<table cellpadding=\"0\" cellspacing=\"0\">\n";
echo "<tr><td class=\"cl20\" style=\"text-align:right\">urspr&uuml;nglich</td>";
echo "<td class=\"cl20\" style=\"text-align:right\">$az_basis h</td></tr>\n";
$sql = "select date_format(datum, '%d.%m.%Y'), az_basis, datum
		from tb_az_basis order by datum asc";
$azs = abfrage1($sql);
while($az = mysql_fetch_row($azs)) {
	echo "<tr><th class=\"cl11\">seit $az[0]</th><td style=\"text-align:right\" class=\"cl20\">";
	$zahl = number_format(floor($az[1]),0);
	if($zahl < $az[1]) $zahl = str_replace('.', ',', $az[1]);
	echo "$zahl h</td><td>";
	echo "<a href=\"{$_SERVER['PHP_SELF']}?azdel=$az[2]\" style=\"color:red\">X</a></td></tr>\n";
}
new stwTabLine(2,3);
echo "<tr><td class=\"cl11\">ab <input type=\"text\" name=\"azdatum\" ";
echo "size=\"10\" maxlength=\"10\" value=\"TT.MM.JJJJ\" tabindex=\"$ti\"";
echo "onfocus=\"this.value=''\" />";
echo "</td>"; $ti++;
echo "<td><input type=\"text\" name=\"az_basis\" style=\"text-align:right\" ";
echo "size=\"8\" maxlength=\"8\" tabindex=\"$ti\" />";
echo "&nbsp;h</td>"; $ti++;
echo "</table>\n";
echo "</td></tr>\n";
new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Kinderzuschlag nach 19a AVR:</th>\n";
$kinderzus = geld_form_web(getConf('kinderzus'));
echo "<td class=\"cl11\">\n";
echo "<table cellpadding=\"0\" cellspacing=\"0\">\n";
echo "<tr><td class=\"cl20\" style=\"text-align:right\">urspr&uuml;nglich</td>";
echo "<td class=\"cl20\" style=\"text-align:right\">$kinderzus</td></tr>\n";
$sql = "select date_format(datum, '%d.%m.%Y'), kinderzuschlag, datum
		from tb_kinderzuschlag order by datum asc";
$kzus = abfrage1($sql);
while($kzu = mysql_fetch_row($kzus)) {
	echo "<tr><th class=\"cl11\">seit $kzu[0]</th><td style=\"text-align:right\" class=\"cl20\">";
	echo geld_form_web($kzu[1]) . "</td><td>";
	echo "<a href=\"{$_SERVER['PHP_SELF']}?kzudel=$kzu[2]\" style=\"color:red\">X</a></td></tr>\n";
}
new stwTabLine(2,3);
echo "<tr><td class=\"cl11\">ab <input type=\"text\" name=\"kinderzusdatum\" ";
echo "size=\"10\" maxlength=\"10\" value=\"TT.MM.JJJJ\" tabindex=\"$ti\"";
echo "onfocus=\"this.value=''\" />";
echo "</td>"; $ti++;
echo "<td><input type=\"text\" name=\"kinderzus\" style=\"text-align:right\" ";
echo "size=\"8\" maxlength=\"8\" tabindex=\"$ti\" />";
echo "&nbsp;&euro;</td>"; $ti++;
echo "</table>\n";
echo "</td></tr>\n";

echo "<tr><th class=\"cl11\">Basisbetrag verm&ouml;genswirksame Leistungen:</th>\n";
$vml = geld_form_formular(getConf('vml'));
echo "<td class=\"cl11\"><input type=\"text\" name=\"vml\" ";
echo "style=\"text-align:right\" ";
echo "size=\"8\" maxlength=\"8\" value=\"$vml\" tabindex=\"$ti\">";
echo "&nbsp;&euro;&nbsp;&nbsp;</td></tr>\n"; $ti++;


new stwTabLine(2,30);

echo "<tr><th class=\"cl11\">Absender E-Mail-Benachrichtigungen:</th>\n";
$email_ben_abs = getConf('email_ben_abs');
echo "<td class=\"cl11\"><input type=\"text\" ";
echo "name=\"email_ben_abs\" size=\"30\" maxlength=\"100\" ";
echo "value=\"$email_ben_abs\" tabindex=\"$ti\"></td></tr>\n";
$ti++;

new stwTabLine(1,30);

echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"send_tr\" ";
echo "value=\"Speichern\" tabindex=\"$ti\"></tr>\n";
echo "</table>\n";
echo "</form>\n";

new stwEnd($seite);
?>