<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: menu.php 2618 2016-07-18 13:43:59Z tfreudenberg $
 *
 */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 60;
 $level = 96;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 require_once("../inc/auth.inc.php");
 require_once("../inc/level.inc.php");
 
 require_once("../inc/stw.inc.php");

 /* Warnungen werden selbst behandelt */
 error_reporting(E_ERROR);

 /* Stellwerk-Menustukturen importieren */
 if(isset($_POST['sql_menu_import'])) {
	echo "<form method=\"post\" action=\"menu.php\">\n";
	new stwSicherheitsabfrage("Sind Sie sicher?<br>Men&uuml;strukturen mit den in der SQL-Datei hinterlegten &uuml;berschreiben?");
	echo "</form>\n";
 }
 if(isset($_POST['sicherheitsabfrage_ja'])) {
	require_once("../inc/mysql_diff.php");
	$datei = file_get_contents("../mysql/stellware.sql");
	if (!$datei){
		printf("stellware.sql auslesen gescheitert\n");
		exit(1);
	}
	$text = sql_clean_string($datei);
	$i = 0;
	$replace = array();
	do {
		if ($i + 11 < strlen($text)) {
			if (substr($text, $i, 26) == "INSERT INTO `tb_web_seite`" || substr($text, $i, 26) == "INSERT INTO `tb_web_ebene`") {
				$tmp = ""; $klammer = 0; $raus = 0; $nicht = 0;
				/* Insert gefunden - Text rausholen */
				while ($raus != 1) {
					if ($text[$i] == "'") {
						if ($nicht == 1) $nicht = 0; else $nicht = 1;
					}
					if ($text[$i] == "(" && $nicht != 1) $klammer++;
					if ($text[$i] == ")" && $nicht != 1) $klammer--;
					if ($text[$i] == ";" && $klammer == 0) $raus = 1;
					$tmp .= $text[$i];
					$i++;
				}
				/* Insert einhaengen in Array */
				abfrage2(str_replace('INSERT INTO `', 'REPLACE INTO `', $tmp));
				$i--;
			}
		}
		$i++;
	} while ($i < strlen($text));
	echo "<h2 style=\"color:red\">Hinweis: &Auml;nderungen am Men&uuml; werden erst nach erneuter Anmeldung sichtbar</h2>\n";
	new stwLine(1);
 }

 /* Verarbeitung der Daten die gespeichert werden sollen */
 if (isset($_POST["save_ok"]))
 {
   /* tb_web_ebene mit neuen Werten aktualisieren */
   if ($_GET["bereich"] == 1 || empty($_GET["bereich"]))
   {
     $max = abfrage("SELECT MAX(ebene) FROM tb_web_ebene;");
     for ($i = 1; $i <= $max[0]; $i++)
     {
       $sql  = "UPDATE tb_web_ebene SET name='".$_POST["name1_$i"]."', aktiv='".$_POST["aktiv1_$i"];
       $sql .= "', sort=".$_POST["sort1_$i"].", level=".$_POST["level1_$i"];
       $sql .= " WHERE ebene=".$i;
      abfrage($sql);
     }
   }

   /* tb_web_seite mit neuen Werten aktualisieren */
   if ($_GET["bereich"] == 2)
   {
     $max = abfrage("SELECT MAX(seite) FROM tb_web_seite;");
     for ($i = 1; $i <= $max[0]; $i++)
     {
       $sql  = "UPDATE tb_web_seite SET ebene=".$_POST["ebene_$i"].", ";
	   $sql .= "name='".$_POST["name2_$i"]."', ";
       $sql .= "aktiv='".$_POST["aktiv2_$i"]."', sort=".$_POST["sort2_$i"];
       $sql .= ", level=".$_POST["level2_$i"]." WHERE seite=".$i;
       abfrage($sql);
     }
   }

   /* Seitenmenue Datenbereich aktualisieren */
   if ($_GET["bereich"] == 3)
   {
     $sql  = "UPDATE tb_daten_rechte SET rname='".$_POST["rname"];
     $sql .= "', rseite='".$_POST["rseite"]."', lsehen='".$_POST["lsehen"];

     $sql .= "', ldown='".$_POST["ldown"]."', lup='".$_POST["lup"];
     $sql .= "', ldel='".$_POST["ldel"]."' WHERE rechte_id=14";

     abfrage2($sql);
   }

   if ($_GET["bereich"] == 2 || $_GET["bereich"] == 1) {
	 $dds = abfrage1("select wddm_id from tb_web_dropdown");
	 while($dd = mysql_fetch_row($dds)) {
		if(isset($_POST["aktiv3_$dd[0]"])) {
			abfrage2("update tb_web_dropdown set ebene='" . $_POST["ebene3_$dd[0]"] . "',
					  aktiv='".$_POST["aktiv3_$dd[0]"]."', sort='".$_POST["sort3_$dd[0]"]."',
					  level='".$_POST["level3_$dd[0]"]."' where wddm_id='$dd[0]';");
		}
	 }
	 $exs = abfrage1("select wex_id from tb_web_extern");
	 while($ex = mysql_fetch_row($exs)) {
		if(isset($_POST["aktiv4_$ex[0]"])) {
			abfrage2("update tb_web_extern set ebene='" . $_POST["ebene4_$ex[0]"] . "',
					  aktiv='".$_POST["aktiv4_$ex[0]"]."', sort='".$_POST["sort4_$ex[0]"]."',
					  level='".$_POST["level4_$ex[0]"]."' where wex_id='$ex[0]';");
		}
	 }
   }
 }

 /* Bereich 3: Personen hinzufuegen */
 if (isset($_GET["bereich"]))
 {
   /* Downloadbereich Dateien sehen */
   if (!empty($_POST["recht_sehen"]) && $_POST["recht_sehen"] > 0)
   {
     $sql  = "REPLACE INTO tb_daten_pers (rechte_id, pers_id, recht_art) ";
     $sql .= "VALUES (14,".$_POST["recht_sehen"].", '0')";

     abfrage2($sql);
   }

   /* Downloadbereich Dateien downloaden */
   if (!empty($_POST["recht_down"]) && $_POST["recht_down"] > 0)
   {
     $sql  = "REPLACE INTO tb_daten_pers (rechte_id, pers_id, recht_art) ";
     $sql .= "VALUES (14,".$_POST["recht_down"].", '1')";

     abfrage2($sql);
   }

   /* Downloadbereich Dateien uploaden */
   if (!empty($_POST["recht_upload"]) && $_POST["recht_upload"] > 0)
   {
     $sql  = "REPLACE INTO tb_daten_pers (rechte_id, pers_id, recht_art) ";
     $sql .= "VALUES (14,".$_POST["recht_upload"].", '2')";

     abfrage2($sql);
   }

   /* Downloadbereich Dateien loeschen */
   if (!empty($_POST["recht_del"]) && $_POST["recht_del"] > 0)
   {
     $sql  = "REPLACE INTO tb_daten_pers (rechte_id, pers_id, recht_art) ";
     $sql .= "VALUES (14,".$_POST["recht_del"].", '3')";

     abfrage2($sql);
   }
 }

 /* Downloadrechte werden entzogen */
 if ($_GET["drop"] == 1 && $_GET["bereich"] == 3)
 {
   $sql  = "DELETE FROM tb_daten_pers WHERE rechte_id=14";
   $sql .= " AND pers_id='".$_GET["pers_id"];

   $sql .= "' AND recht_art='".$_GET["art"]."'";
   abfrage2($sql);
 }

 $link  = "<a href=\"".$_SERVER["PHP_SELF"]."?bereich=";

 printf("<table width=\"750\"><tr><td class=\"menu");
 if (!($_GET["bereich"] == 1 || empty($_GET["bereich"]))) printf("in");
 printf("active\">%s1\">Hauptmen&uuml;</a></td>\n", $link);

 printf("<td class=\"menu");
 if ($_GET["bereich"] != 2) printf("in");
 printf("active\">%s2\">Untermen&uuml;</a></td>\n", $link);

 printf("<td class=\"menu");
 if ($_GET["bereich"] != 4) printf("in");
 printf("active\">%s4\">Dropdown-Men&uuml;</a></td>\n", $link);

 printf("<td class=\"menu");
 if ($_GET["bereich"] != 5) printf("in");
 printf("active\">%s5\">externe Links</a></td>\n", $link);

 printf("<td class=\"menu");
 if ($_GET["bereich"] != 3) printf("in");
 printf("active\">%s3\">Seitenmen&uuml;</a></td>\n", $link);

 echo "<td style=\"width:100%;text-align:right\">";
 echo "<form method=\"post\" action=\"menu.php\">\n";
 echo "<input type=\"submit\" name=\"sql_menu_import\" value=\"Men&uuml;strukturen importieren\">\n";
 echo "</form>\n</td></tr>\n</table>\n";
 new stwLine(1);

 printf("<form method=\"post\" action=\"menu.php");

 /* Tabelle starten */
 if (!empty($_GET["bereich"])) printf("?bereich=%s", $_GET["bereich"]);
 printf("\">\n<table>\n");

 /* Bereich 1 Hauptmenue zeigen */
 if ($_GET["bereich"] == 1 || empty($_GET["bereich"]))
 {
   /* Ueberschrift fuer die Tabellenspalten */
   printf("<tr><th></th><th>Name</th><th>aktiv</th><th>Sortierung</th>");
   printf("<th>Level</th></tr>\n");

   /* Trennlinie */
   printf("<tr><td bgcolor=\"#FF0000\" colspan=\"5\"></td></tr>\n");

   /* Anzeige der obersten Menueeintrag */
   $sql  = "SELECT ebene, name, link, aktiv, sort, level ";
   $sql .= "FROM tb_web_ebene";

   $erg = abfrage1($sql);
   while ($zeile = mysql_fetch_row($erg))
   {
     /* Name des Menueeintrags */
     printf("<tr class=\"mo\">\n");
     printf("<th><a href=\"%s/%s\">", $_SESSION["webdir"], $zeile[2]);
     printf("%s</a></th>\n", $zeile[1]);
	 
     printf("<td><input type=\"text\" name=\"name1_%s\" ", $zeile[0]);
     printf("value=\"%s\" maxlength=\"25\" size=\"12\"></td>\n", $zeile[1]);

     /* Eintrag aktiv */
     if ($zeile[3] == "j") $ja_check = "checked"; else $ja_check = "";
     if ($zeile[3] == "n") $nein_check = "checked"; else $nein_check = "";

     printf("<td><input type=\"radio\" name=\"aktiv1_%s\" ", $zeile[0]);
     printf("value=\"j\" %s> ja <input type=\"radio\" ", $ja_check);

     printf("name=\"aktiv1_%s\" value=\"n\" %s>", $zeile[0], $nein_check);
     printf(" nein </td>\n");

     /* Sortierung innerhalb Menue */
     printf("<td><input type=\"text\" name=\"sort1_%s\" ", $zeile[0]);
     printf("value=\"%s\" size=\"7\"></td>\n", $zeile[4]);

     /* Levelberechtigung */
     printf("<td><input type=\"text\" name=\"level1_%s\" ", $zeile[0]);
     printf("value=\"%s\" size=\"7\"></td>\n", $zeile[5]);

     printf("</tr>\n");
   }
   $dds = abfrage1("select * from tb_web_dropdown where ebene = 0 order by name asc");
   if(mysql_num_rows($dds) > 0) new stwTabLine(2,6);
   while($dd = mysql_fetch_array($dds)) {
	 echo "<tr class=\"mo\">\n";
     echo "<th colspan=\"2\">".$dd['name']."</th>";
     if ($dd['aktiv'] == "j") $ja_check = "checked"; else $ja_check = "";
     if ($dd['aktiv'] == "n") $nein_check = "checked"; else $nein_check = "";
     echo "<td><input type=\"radio\" name=\"aktiv3_$dd[0]\" value=\"j\" $ja_check> ja ";
	 echo "<input type=\"radio\" name=\"aktiv3_$dd[0]\" value=\"n\" $nein_check> nein </td>\n";
     echo "<td><input type=\"text\" name=\"sort3_$dd[0]\" value=\"".$dd['sort']."\" size=\"7\"></td>\n";
     echo "<td><input type=\"text\" name=\"level3_$dd[0]\" value=\"".$dd['level']."\" size=\"7\"></td>\n";
	 echo "</tr>\n";
   }
   $exs = abfrage1("select * from tb_web_extern where ebene = 0 order by name asc");
   if(mysql_num_rows($exs) > 0) new stwTabLine(2,6);
   while($ex = mysql_fetch_array($exs)) {
	 echo "<tr class=\"mo\">\n";
     echo "<th colspan=\"2\">".$ex['name']."</th>";
     if ($ex['aktiv'] == "j") $ja_check = "checked"; else $ja_check = "";
     if ($ex['aktiv'] == "n") $nein_check = "checked"; else $nein_check = "";
     echo "<td><input type=\"radio\" name=\"aktiv4_$ex[0]\" value=\"j\" $ja_check> ja ";
	 echo "<input type=\"radio\" name=\"aktiv4_$ex[0]\" value=\"n\" $nein_check> nein </td>\n";
     echo "<td><input type=\"text\" name=\"sort4_$ex[0]\" value=\"".$ex['sort']."\" size=\"7\"></td>\n";
     echo "<td><input type=\"text\" name=\"level4_$ex[0]\" value=\"".$ex['level']."\" size=\"7\"></td>\n";
	 echo "</tr>\n";
   }
 }

 /* Bereich 2 - Untermenue zeigen */
 if ($_GET["bereich"] == 2)
 {
   /* Hauptmenuenamen sammeln */
   $ebene[] = "";
   $erg = abfrage1("SELECT name FROM tb_web_ebene");

   while ($zeile = mysql_fetch_row($erg)) $ebene[] = $zeile[0];

   printf("<tr><th></th><th>Name</th><th>Ebene</th><th>aktiv</th><th>Sortierung</th>");
   printf("<th>Level</th></tr>\n");

   /* Trennlinie */
   printf("<tr><td bgcolor=\"#FF0000\" colspan=\"6\"></td></tr>\n");

   /* Anzeige der unteren Menueeintraege */
   $erg = abfrage1("SELECT * FROM tb_web_seite ORDER BY ebene;");
   while ($zeile = mysql_fetch_row($erg))
   {
     /* Name des Menueeintrags */
     printf("<tr class=\"mo\">\n");
     printf("<th><a href=\"%s/%s\">", $_SESSION["webdir"], $zeile[3]);
     printf("%s</a></th>\n", $zeile[2]);

     printf("<td><input type=\"text\" name=\"name2_%s\" ", $zeile[0]);
     printf("value=\"%s\" maxlength=\"25\" size=\"12\"></td>\n", $zeile[2]);

     /* Ebene in der dieser Eintrag gilt - Auswahlfeld */
     printf("<td><select name=\"ebene_%s\" size=\"1\">", $zeile[0]);

     /* alle Ebenen ausgeben */
     for ($i = 1; $i < count($ebene); $i++)
     {
       if ($i == $zeile[1])
       {
         printf("<option value=\"%s\" selected>%s</option>", $i, $ebene[$i]);
       }
       else
       {
         printf("<option value=\"%s\">%s</option>", $i, $ebene[$i]);
       }
     }

     printf("</select></td>\n");

     /* Eintrag aktiv */
     if ($zeile[4] == "j") $ja_check = "checked"; else $ja_check = "";
     if ($zeile[4] == "n") $nein_check = "checked"; else $nein_check = "";

     printf("<td><input type=\"radio\" name=\"aktiv2_%s\" ", $zeile[0]);
     printf("value=\"j\" %s> ja <input type=\"radio\" ", $ja_check);

     printf("name=\"aktiv2_%s\" value=\"n\" %s>", $zeile[0], $nein_check);
     printf(" nein </td>\n");

     /* Sortierung innerhalb Menue */
     printf("<td><input type=\"text\" name=\"sort2_%s\" ", $zeile[0]);
     printf("value=\"%s\" size=\"7\"></td>\n", $zeile[5]);

     /* Levelberechtigung */
     printf("<td><input type=\"text\" name=\"level2_%s\" ", $zeile[0]);
     printf("value=\"%s\" size=\"7\"></td>\n", $zeile[6]);

     printf("</tr>\n");
   }
   $dds = abfrage1("select * from tb_web_dropdown where ebene > 0 order by ebene");
   if(mysql_num_rows($dds) > 0) new stwTabLine(2,6);
   while($dd = mysql_fetch_array($dds)) {
	 echo "<tr class=\"mo\">\n";
     echo "<th colspan=\"2\">".$dd['name']."</th>";
     echo "<td><select name=\"ebene3_$dd[0]\" size=\"1\">";
     for ($i = 1; $i < count($ebene); $i++) {
       echo "<option value=\"$i\""; 
	   if ($i == $dd['ebene']) echo "selected";
	   echo ">".$ebene[$i]."</option>";
     }
     echo "</select></td>\n";

     if ($dd['aktiv'] == "j") $ja_check = "checked"; else $ja_check = "";
     if ($dd['aktiv'] == "n") $nein_check = "checked"; else $nein_check = "";
     echo "<td><input type=\"radio\" name=\"aktiv3_$dd[0]\" value=\"j\" $ja_check> ja ";
	 echo "<input type=\"radio\" name=\"aktiv3_$dd[0]\" value=\"n\" $nein_check> nein </td>\n";
     echo "<td><input type=\"text\" name=\"sort3_$dd[0]\" value=\"".$dd['sort']."\" size=\"7\"></td>\n";
     echo "<td><input type=\"text\" name=\"level3_$dd[0]\" value=\"".$dd['level']."\" size=\"7\"></td>\n";
	 echo "</tr>\n";
   }
   $exs = abfrage1("select * from tb_web_extern where ebene > 0 order by ebene asc, name asc");
   if(mysql_num_rows($exs) > 0) new stwTabLine(2,6);
   while($ex = mysql_fetch_array($exs)) {
	 echo "<tr class=\"mo\">\n";
     echo "<th colspan=\"2\">".$ex['name']."</th>";
     echo "<td><select name=\"ebene4_$ex[0]\" size=\"1\">";
     for ($i = 1; $i < count($ebene); $i++) {
       echo "<option value=\"$i\""; 
	   if ($i == $ex['ebene']) echo "selected";
	   echo ">".$ebene[$i]."</option>";
     }
     echo "</select></td>\n";

     if ($ex['aktiv'] == "j") $ja_check = "checked"; else $ja_check = "";
     if ($ex['aktiv'] == "n") $nein_check = "checked"; else $nein_check = "";
     echo "<td><input type=\"radio\" name=\"aktiv4_$ex[0]\" value=\"j\" $ja_check> ja ";
	 echo "<input type=\"radio\" name=\"aktiv4_$ex[0]\" value=\"n\" $nein_check> nein </td>\n";
     echo "<td><input type=\"text\" name=\"sort4_$ex[0]\" value=\"".$ex['sort']."\" size=\"7\"></td>\n";
     echo "<td><input type=\"text\" name=\"level4_$ex[0]\" value=\"".$ex['level']."\" size=\"7\"></td>\n";
	 echo "</tr>\n";
   }
 }

 /* Bereich 3 - Seitenmenue zeigen */
 if ($_GET["bereich"] == 3)
 {
   $sql  = "SELECT pers_id FROM tb_personal WHERE status_id = '2' ";
   $sql .= "ORDER BY vorname, name";

   $das  = abfrage1($sql);

   while ($zeile = mysql_fetch_row($das)) $parray[] = $zeile[0];

   $sql  = "SELECT rechte_id, name, rname, rseite, lsehen, ldown, lup, ldel ";
   $sql .= "FROM tb_daten_rechte WHERE rechte_id='14'";

   $zeile = abfrage($sql);

   printf("<tr><th style=\"text-align:center\" colspan=\"3\">");
   printf("Rechte f&uuml;r Downloadmodul konfigurieren</th></tr>\n");

   new stwTabLine(2, 5);

   printf("<tr><th>Rechtename:</th><td>");
   printf("<input type=\"text\" name=\"rname\" ");

   printf("value=\"%s\">\n</td></tr>\n<tr>", $zeile[2]);
   printf("<th>Anzahl Dateien Seite:</th>");

   printf("<td><input type=\"text\" name=\"rseite\" ");
   printf("value=\"%s\" size=\"3\"></td></tr>", $zeile[3]);

   printf("<tr><th>Level Fenster &ouml;ffnen:</th><td>");
   printf("<input type=\"text\" name=\"lsehen\" value=\"");

   printf("%s\" size=\"3\"></td>", $zeile[4]);

   printf("<th>Level Download:</th><td>");
   printf("<input type=\"text\" name=\"ldown\" value=\"");

   printf("%s\" size=\"3\"></td></tr>", $zeile[5]);

   printf("<tr><th>Level Upload:</th><td>");
   printf("<input type=\"text\" name=\"lup\" value=\"");

   printf("%s\" size=\"3\"></td>", $zeile[6]);

   printf("<th>Level L&ouml;schen:</th><td>");
   printf("<input type=\"text\" name=\"ldel\" value=\"");

   printf("%s\" size=\"3\"></td></tr>", $zeile[7]);
   new stwTabLine(2, 5);

   printf("<tr><th colspan=\"2\">Aufruf Downloadfenster:</th></tr>\n");

   $sql  = "SELECT t1.vorname, t1.name, t1.pers_id FROM tb_personal t1 ";
   $sql .= "LEFT JOIN tb_daten_pers t2 ON t1.pers_id = t2.pers_id ";

   $sql .= "LEFT JOIN tb_daten_rechte t3 ON t2.rechte_id = t3.rechte_id ";

   $sql .= "WHERE t2.recht_art = '0' AND t3.seite = '60' ";
   $sql .= "AND t3.name = 'konf/menu'";

   $vor  = abfrage1($sql);
   while ($nutzer = mysql_fetch_row($vor))
   {
     printf("<tr><th>%s %s</th>", $nutzer[0], $nutzer[1]);
     printf("<th><a href=\"menu.php?bereich=3&pers_id=");

     printf("%s&drop=1&art=0\" style=\"color:red\">X</a>", $nutzer[2]);

     printf("</th></tr>\n");
     $sarray[] = $nutzer[2];
   }

   printf("<tr><td><select name=\"recht_sehen\" size=\"1\" ");

   printf("onchange=\"this.form.submit()\">\n");
   printf("<option value=\"0\">Mitarbeiter hinzuf&uuml;gen</option>\n");

   foreach ($parray as $person)
   {
     if (!in_array($person, $sarray))
     {
       printf("<option value=\"%s\">", $person);
       printf("%s</option>\n", pers_name($person));
     }
   }

   printf("</select></td>\n<td><input type=\"image\" ");
   printf("src=\"%s/img/senden.png\"></td>\n</tr>", $_SESSION["webdir"]);

   new stwTabLine(2, 5);
   printf("<tr><th colspan=\"2\">Downloadberechtigung:</th></tr>\n");

   $sql  = "SELECT t1.vorname, t1.name, t1.pers_id FROM tb_personal t1 ";
   $sql .= "LEFT JOIN tb_daten_pers t2 ON t1.pers_id = t2.pers_id ";

   $sql .= "LEFT JOIN tb_daten_rechte t3 ON t2.rechte_id = t3.rechte_id ";

   $sql .= "WHERE t2.recht_art = '1' AND t3.seite = 60 ";
   $sql .= "AND t3.name = 'konf/menu'";

   $vor  = abfrage1($sql);
   while ($nutzer = mysql_fetch_row($vor))
   {
     printf("<tr><th>%s %s</th>", $nutzer[0], $nutzer[1]);
     printf("<th><a href=\"menu.php?bereich=3&pers_id=");

     printf("%s&drop=1&art=1\" style=\"color:red\">X</a>", $nutzer[2]);

     printf("</th></tr>\n");
     $darray[] = $nutzer[2];
   }

   printf("<tr><td><select name=\"recht_down\" size=\"1\" ");

   printf("onchange=\"this.form.submit()\">\n");
   printf("<option value=\"0\">Mitarbeiter hinzuf&uuml;gen</option>\n");

   foreach ($parray as $person)
   {
     if (!in_array($person, $darray))
     {
       printf("<option value=\"%s\">", $person);
       printf("%s</option>\n", pers_name($person));
     }
   }

   printf("</select></td>\n<td><input type=\"image\" ");
   printf("src=\"%s/img/senden.png\"></td></tr>\n", $_SESSION["webdir"]);

   new stwTabLine(2, 5);
   printf("<tr><th colspan=\"2\">Uploadberechtigung:</th></tr>\n");

   $sql  = "SELECT t1.vorname, t1.name, t1.pers_id FROM tb_personal t1 ";
   $sql .= "LEFT JOIN tb_daten_pers t2 ON t1.pers_id = t2.pers_id ";

   $sql .= "LEFT JOIN tb_daten_rechte t3 ON t2.rechte_id = t3.rechte_id ";

   $sql .= "WHERE t2.recht_art = '2' AND t3.seite = 60 ";
   $sql .= "AND t3.name = 'konf/menu'";

   $vor  = abfrage1($sql);
   while ($nutzer = mysql_fetch_row($vor))
   {
     printf("<tr><th>%s %s</th>", $nutzer[0], $nutzer[1]);
     printf("<th><a href=\"menu.php?bereich=3&pers_id=");

     printf("%s&drop=1&art=2\" style=\"color:red\">X</a>", $nutzer[2]);

     printf("</th></tr>\n");
     $uarray[] = $nutzer[2];
   }

   printf("<tr><td><select name=\"recht_upload\" size=\"1\" ");

   printf("onchange=\"this.form.submit()\">\n");
   printf("<option value=\"0\">Mitarbeiter hinzuf&uuml;gen</option>\n");

   foreach ($parray as $person)
   {
     if (!in_array($person, $uarray))
     {
       printf("<option value=\"%s\">", $person);
       printf("%s</option>\n", pers_name($person));
     }
   }

   printf("</select></td>\n<td><input type=\"image\" ");
   printf("src=\"%s/img/senden.png\"></td></tr>\n", $_SESSION["webdir"]);

   new stwTabLine(2, 5);
   printf("<tr><th colspan=\"2\">L&ouml;schberechtigung:</th></tr>\n");

   $sql  = "SELECT t1.vorname, t1.name, t1.pers_id FROM tb_personal t1 ";
   $sql .= "LEFT JOIN tb_daten_pers t2 ON t1.pers_id = t2.pers_id ";

   $sql .= "LEFT JOIN tb_daten_rechte t3 ON t2.rechte_id = t3.rechte_id ";

   $sql .= "WHERE t2.recht_art = '3' AND t3.seite = 60 ";
   $sql .= "AND t3.name = 'konf/menu'";

   $vor  = abfrage1($sql);
   while ($nutzer = mysql_fetch_row($vor))
   {
     printf("<tr><th>%s %s</th>", $nutzer[0], $nutzer[1]);
     printf("<th><a href=\"menu.php?bereich=3&pers_id=");

     printf("%s&drop=1&art=3\" style=\"color:red\">X</a>", $nutzer[2]);

     printf("</th></tr>\n");
     $larray[] = $nutzer[2];
   }

   printf("<tr><td><select name=\"recht_del\" size=\"1\" ");

   printf("onchange=\"this.form.submit()\">\n");
   printf("<option value=\"0\">Mitarbeiter hinzuf&uuml;gen</option>\n");

   foreach ($parray as $person)
   {
     if (!in_array($person, $larray))
     {
       printf("<option value=\"%s\">", $person);
       printf("%s</option>\n", pers_name($person));
     }
   }

   printf("</select></td>\n<td><input type=\"image\" ");
   printf("src=\"%s/img/senden.png\"></td>\n</tr>", $_SESSION["webdir"]);
 }

 if ($_GET["bereich"] == 4) {
	$wddm_id = isset($_REQUEST['wddm_id']) ? $_REQUEST['wddm_id'] : 0;
	if(isset($_GET['del'])) {
		abfrage2("DELETE FROM tb_web_dropdown WHERE wddm_id='{$_GET['del']}' LIMIT 1");
		$wddm_id='neu';
	}
	if(isset($_GET['drop'])) {
		abfrage2("DELETE FROM tb_web_dropdown_menu WHERE wddm_id='$wddm_id' AND seite='{$_GET['drop']}' LIMIT 1");
	}
	if(isset($_POST['up'])) {
		$old = abfrage("select sort from tb_web_dropdown_menu where wddm_id='$wddm_id' and seite='{$_POST['up']}'");
		$new = abfrage("select sort from tb_web_dropdown_menu where wddm_id='$wddm_id' and sort > $old[0] order by sort asc limit 1");
		abfrage2("update tb_web_dropdown_menu set sort='$old[0]' where wddm_id='$wddm_id' and sort='$new[0]'");
		abfrage2("update tb_web_dropdown_menu set sort='$new[0]' where wddm_id='$wddm_id' and seite='{$_POST['up']}'");
	}
	if(isset($_POST['neu'])) $wddm_id='neu';
	elseif(isset($_POST['name'])) {
		$sql = (empty($wddm_id) || $wddm_id=='neu') ? 'INSERT INTO' : 'UPDATE';
		$sql .= " tb_web_dropdown set ebene='{$_POST['ebene']}', name='{$_POST['name']}'";
		$sql .= (empty($wddm_id) || $wddm_id=='neu') ? ';' : " where wddm_id='$wddm_id';";
		abfrage2($sql);
		if(empty($wddm_id) || $wddm_id=='neu') $wddm_id = mysql_insert_id();
	}
	if(isset($_POST['seite']) && $_POST['seite']>0) {
		$lastsort = abfrage("select sort from tb_web_dropdown_menu where wddm_id='$wddm_id' order by sort desc limit 1");
		$sort = intval($lastsort[0]) + 1;
		abfrage2("replace into tb_web_dropdown_menu set wddm_id='$wddm_id', seite='{$_POST['seite']}', sort='$sort'");
	}
	if(isset($_POST['custom_link']) && $_POST['custom_name'] != '' && $_POST['custom_link'] != '' && $_POST['custom_link'] != 'Adresse/Link') {
		$lastsort = abfrage("select sort from tb_web_dropdown_menu where wddm_id='$wddm_id' order by sort desc limit 1");
		$sort = intval($lastsort[0]) + 1;
		abfrage2("insert into tb_dropdown_link set name='{$_POST['custom_name']}', link='{$_POST['custom_link']}'");
		$id = mysql_insert_id();
		abfrage2("insert tb_web_dropdown_menu set wddm_id='$wddm_id', seite='-$id', sort='$sort'");
	}
	echo "<tr><td class=\"cl20\" width=\"50%\"><table width=\"100%\">";
	echo "<tr><th>vorh. Dropdown-Men&uuml;s</th>";
	echo "<td style=\"text-align:right\" colspan=\"2\"><input type=\"submit\" name=\"neu\" value=\"neu\" /></td></tr>\n";
	new stwTabLine(2,3);
	$res = abfrage1("select * from tb_web_dropdown order by name asc");
	$numddm = mysql_num_rows($res);
	while($row = mysql_fetch_array($res)) {
		if($numddm == 1 && $wddm_id===0) $wddm_id = $row[0];
		echo "<tr><td colspan=\"2\">";
		echo "<a href=\"menu.php?bereich=4&wddm_id=$row[0]\">";
		echo empty($row['name']) ? "<span style=\"color:red\">- LEER! -</span>" : $row['name'];
		echo "</a></td><td style=\"text-align:right\">";
		$cnt = abfrage("select count(seite) from tb_web_dropdown_menu where wddm_id='$row[0]'");
		if($cnt[0] == 0) echo "<a href=\"menu.php?bereich=4&del=$row[0]\" style=\"color:red\">X</a>";
		echo "</td></tr>\n";
	}
	if($numddm == 0) $wddm_id = 'neu';
	echo "</table></td>\n<td bgcolor=\"#008000\"></td><td><table>";
	if($wddm_id > 0 || $wddm_id == 'neu') {
		$web_dropdown = abfrage("select name, ebene from tb_web_dropdown where wddm_id='$wddm_id'");
		echo "<input type=\"hidden\" name=\"wddm_id\" value=\"$wddm_id\" />\n";
		echo "<tr><th style=\"text-align:right\">Bezeichnung:</th>";
		echo "<td><input type=\"text\" maxlength=\"20\" name=\"name\" value=\"$web_dropdown[0]\" style=\"width:275px\"/></td>";
		echo "<td><input type=\"image\" src=\"../img/senden.png\" /></td>";
		echo "</td></tr>\n";
		echo "<tr><th style=\"text-align:right\">Men&uuml;-Ebene:</th>\n";
		echo "<td colspan=\"2\"><select name=\"ebene\" style=\"width:300px\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">- Hauptmen&uuml; -</option>\n";
		$ebene = array("<img src=\"../img/weltkugel.png\" />");
		$erg = abfrage1("SELECT ebene, name, aktiv FROM tb_web_ebene order by sort asc");
		while ($zeile = mysql_fetch_row($erg)) {
			$ebene[ $zeile[0] ] = $zeile[1];
			echo "<option value=\"$zeile[0]\"";
			if($web_dropdown[1] == $zeile[0]) echo " selected";
			if($zeile[2] == 'n') echo " title=\"nicht aktiv\" style=\"color:#999999\"";
			echo ">$zeile[1]</option>\n";
		}
		echo "</select></td></tr>\n";
		new stwTabLine(2,3);
		echo "<tr><th>Men&uuml;punkt hinzuf&uuml;gen:</th>\n";
		echo "<td colspan=\"2\"><select name=\"seite\" style=\"width:300px\" onchange=\"this.form.submit()\">\n";
		$erg = abfrage1("SELECT * FROM tb_web_seite ORDER BY ebene ASC, name ASC;");
		echo "<option value=\"0\">bitte w&auml;hlen</option>\n";
		echo "<option value=\"-1\">- benutzerdefinierten Verweis -</option>\n";
		while($zeile = mysql_fetch_array($erg)) {
			echo "<option value=\"".$zeile['seite']."\"";
			if($zeile['aktiv'] == 'n') echo " title=\"nicht aktiv\" style=\"color:#999999\"";
			echo ">" . $ebene[ $zeile['ebene'] ] . " - " . $zeile['name'] . "</option>\n";
		}
		echo "</select></td></tr>\n";
		if(isset($_POST['seite']) && $_POST['seite']<0) {
			echo "<tr><td><input style=\"width:100%\" type=\"text\" name=\"custom_name\" value=\"Bezeichnung\" onclick=\"if(this.value=='Bezeichnung') this.value='';\"></td>";
			echo "<td><input style=\"width:100%\" type=\"text\" name=\"custom_link\" value=\"Adresse/Link\" onclick=\"if(this.value=='Adresse/Link') this.value='';\"></td>";
			echo "<td><input type=\"image\" src=\"../img/senden.png\" /></td></tr>\n";
		}
		$entries = abfrage1("select * from tb_web_dropdown_menu where wddm_id='$wddm_id' order by sort desc");
		$up = true;
		while($entry = mysql_fetch_array($entries)) {
			if($entry['seite'] > 0) $ws = abfrage_array("SELECT name, ebene FROM tb_web_seite WHERE seite='{$entry['seite']}';");
			else $ws = abfrage_array("SELECT name, link FROM tb_dropdown_link WHERE seite='" . (-1 * $entry['seite']) . "';");
			echo "<tr><td style=\"text-align:right\">" . $ebene[ intval($ws['ebene']) ] . "</td>\n";
			echo "<th>";
			if($up) {
				echo "<input style=\"width:20px;visibility:hidden\" />";
				$up=false;
			} else {
				echo "<input type=\"submit\" name=\"up\" value=\"{$entry['seite']}\" ";
				echo stwToolTip("Eintrag nach oben verschieben");
				echo "style=\"background-color:#333;color:transparent;width:20px;position:relative;left:-150px;";
				echo "background-image:url(../img/hoch2.png);background-repeat:no-repeat\">";
			}
			if($entry['seite'] > 0) echo $ws['name'];
			else echo "<a href=\"{$ws['link']}\">{$ws['name']}</a>";
			echo "</th>\n<td><a href=\"menu.php?bereich=4&wddm_id=$wddm_id&drop={$entry['seite']}\" ";
			echo "style=\"color:red\">X</a></td></tr>\n";
		}
	}
	echo "</table></td></tr>\n";
 }

 if ($_GET["bereich"] == 5) {
	$wex_id = isset($_REQUEST['wex_id']) ? $_REQUEST['wex_id'] : 0;
	if(isset($_GET['del'])) {
		abfrage2("DELETE FROM tb_web_extern WHERE wex_id='{$_GET['del']}' LIMIT 1");
		$wex_id='neu';
	}
	if(isset($_POST['neu'])) $wex_id='neu';
	elseif(isset($_POST['name'])) {
		$sql = (empty($wex_id) || $wex_id=='neu') ? 'INSERT INTO' : 'UPDATE';
		$sql .= " tb_web_extern set ebene='{$_POST['ebene']}', name='{$_POST['name']}', 
				  titel='{$_POST['titel']}', link='{$_POST['link']}'";
		$sql .= (empty($wex_id) || $wex_id=='neu') ? ';' : " where wex_id='$wex_id';";
		abfrage2($sql);
		if(empty($wex_id) || $wex_id=='neu') $wex_id = mysql_insert_id();
	}

	echo "<tr><td class=\"cl20\" width=\"50%\"><table width=\"100%\">";
	echo "<tr><th>vorh. Dropdown-Men&uuml;s</th>";
	echo "<td style=\"text-align:right\" colspan=\"2\"><input type=\"submit\" name=\"neu\" value=\"neu\" /></td></tr>\n";
	new stwTabLine(2,3);
	$res = abfrage1("select * from tb_web_extern order by titel asc");
	$numddm = mysql_num_rows($res);
	while($row = mysql_fetch_array($res)) {
		if($numddm == 1 && $wex_id===0) $wex_id = $row[0];
		echo "<tr><td colspan=\"2\">";
		echo "<a href=\"menu.php?bereich=5&wex_id=$row[0]\">";
		echo empty($row['titel']) ? "<span style=\"color:red\">- LEER! -</span>" : $row['titel'];
		echo "</a></td><td style=\"text-align:right\">";
		echo "<a href=\"menu.php?bereich=5&del=$row[0]\" style=\"color:red\">X</a>";
		echo "</td></tr>\n";
	}
	if($numddm == 0) $wex_id = 'neu';
	echo "</table></td>\n<td bgcolor=\"#008000\"></td><td><table>";
	if($wex_id > 0 || $wex_id == 'neu') {
		$web_ex = abfrage("select name, ebene, link, titel from tb_web_extern where wex_id='$wex_id'");
		echo "<input type=\"hidden\" name=\"wex_id\" value=\"$wex_id\" />\n";
		echo "<tr><th style=\"text-align:right\">Titel:</th>";
		echo "<td><input type=\"text\" name=\"titel\" value=\"$web_ex[3]\" style=\"width:275px\"/></td>";
		echo "<td><input type=\"image\" src=\"../img/senden.png\" /></td>";
		echo "</tr>\n";
		echo "<tr><th style=\"text-align:right\">Bezeichnung:</th>";
		echo "<td><textarea name=\"name\" style=\"height:30px;width:275px\"/>$web_ex[0]</textarea></td>";
		echo "</tr>\n";
		echo "<tr><th style=\"text-align:right\">Link/Verweis:</th>";
		echo "<td><input type=\"text\" name=\"link\" value=\"$web_ex[2]\" style=\"width:275px\"/></td>";
		echo "</tr>\n";
		echo "<tr><th style=\"text-align:right\">Men&uuml;-Ebene:</th>\n";
		echo "<td colspan=\"2\"><select name=\"ebene\" style=\"width:300px\" onchange=\"this.form.submit()\">\n";
		$ebene = array("<img src=\"../img/weltkugel.png\" />");
		$erg = abfrage1("SELECT ebene, name, aktiv FROM tb_web_ebene order by sort asc");
		while ($zeile = mysql_fetch_row($erg)) {
			$ebene[ $zeile[0] ] = $zeile[1];
			echo "<option value=\"$zeile[0]\"";
			if($web_ex[1] == $zeile[0]) echo " selected";
			if($zeile[2] == 'n') echo " title=\"nicht aktiv\" style=\"color:#999999\"";
			echo ">$zeile[1]</option>\n";
		}
		echo "</select></td></tr>\n";
	}
	echo "</table></td></tr>\n";
 }
 /* Trennlinie */
 printf("<tr><td bgcolor=\"#FF0000\" colspan=\"6\"></td></tr>\n");

 /* Aendernbutton zeigen */
 printf("</table>\n");
 if ($_GET["bereich"] < 4) {
	printf("<input type=\"submit\" name=\"save_ok\" value=\"Speichern\">");
 }
 printf("</form>\n");

 new stwEnd($seite);
?>
