<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: svn.php 2695 2017-02-01 11:42:13Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 56;
 $level = 65;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 require_once($pfad."inc/stw.inc.php");

 require_once($pfad."inc/svn.inc.php");

 require_once($pfad."inc/mysql_diff.php");

 /* Warnungen werden selbst behandelt */
 error_reporting(E_ERROR);

 /* Entwickler (Level 96) duerfen diese Seite nicht sehen */
 if ($_SESSION[$AppCode]["ULV"] == 96) {
   new stwEnd($seite);
   exit(0);
 }
 
 function navButAnz ($versionen, $versanz, $head) {
    /* Navigationsbuttons anzeigen */
    echo "<center><table><tr><td>\n";
    echo "<a href=\"svn.php?pos=".($versionen[($versanz - 1)] - 1)."&versanz=".$versanz."\">\n";
   
    echo "<img src=\"../img/runter2.png\" border=\"0\" ";
    echo "title=\"zur Version: ".($versionen[($versanz - 1)] - 1)."\"/>\n";
   
    echo "</a>\n</td>\n";
   
    /* nur vor Button zeigen wenn es wirklich noch etwas anzuzeigen gibt */
    if ($versionen[0] < $head) {
      $back = $versionen[0] + $versanz;
      if ($back > $head) $back = $head;
               
      echo "<td></td>\n<td>";
      echo "<a href=\"svn.php?pos=".$back."&versanz=".$versanz."\">";
   
      echo "<img src=\"../img/hoch2.png\" border=\"0\" ";
      echo "title=\"zur Version: ".$back."\" /></a></td>\n";
    }
   
    echo "</tr></table></center>\n";
 }

 // ggf. spter Serverliste ber Konfiguration einstellen
 $serverliste = array ("bollwerk.stlw.de", "bollwerk2.stlw.de");

 /* SVN Verbindung zum Server oeffnen. */
 $svn = new stwSVN($serverliste, 3690, "stellware/trunk/stellware", getConf("SVN_Login"), getConf("SVN_Pwd"));
 if (!$svn->url) {
	echo "<h1 style=\"color:red\">FEHLER: SVN-Verbindung nicht m&ouml;glich!</h1>";
	new stwEnd($seite);
	exit(0);
 }
  /* aktuelle lokale SVN Version holen */
 $version = svn_get_lokal_version();

 /* Serverversion holen */
 $head = $svn->get_server_version(); 

 /* Anzahl der zu behandelnden Versionen */
 $versanz = getConf('svn_anz');
 if (isset($_GET["versanz"]) && intval($_GET["versanz"])) {
   $versanz = (int)$_GET["versanz"];
 }
 if ($versanz == 0) $versanz = 10;

 /* die naechsten $versanz gueltigen Versionen holen */
 if (isset($_GET["pos"]) && intval($_GET["pos"]) && (int)($_GET["pos"]) <= $head) {
   $ver = (int)$_GET["pos"];
 } else {
   $ver = $head;
 }                                                    
 for ($i = $ver; $i > $ver - $versanz; $i--) $versionen[] = $i;

 /* Test ob DB Update Button gedrueckt wurde */
 if (isset($_POST["db_updates"])) {
   $sql  = "SELECT id, abfrage FROM tb_db_update ";
   $sql .= "WHERE erledigt != 1";

   $abfragen = abfrage1($sql);
   if (mysql_num_rows($abfragen) > 0) {
     while ($ab = mysql_fetch_row($abfragen)) {
       abfrage2($ab[1]);

       $sql = "UPDATE tb_db_update SET erledigt='1' WHERE id='".$ab[0]."'";
       abfrage2($sql);
     }
   }
 }

 /*
  * Hier als erstes der Test ob irgendwelche POST Variablen gesetzt
  * wurden. Ist dies der Fall, soll ein Update durchgefuehrt werden.
  * Als erstes die aktuelle Position feststellen.
  */
 if (isset($_GET["pos"]) && !isset($_GET["show"])) {
   /*
    * Schon Mal ein gutes Zeichen das wir den obersten Eintrag haben,
    * die naechsten 10 niedrigen (inkl. der aktuellen) sind interessant.
    */
   foreach ($versionen as $vers) {
     if ($vers < 1) break;
     /* Notizenfeld OK Button und Feld nicht leer? */
     if (isset($_POST["notiz_ok_$vers"])) {
       /*
        * Nur einen Notizeintrag zu dieser SVN Version machen. Pruefen
        * ob ein Eintrag schon vorhanden ist.
        */
       $sql = "SELECT svn_id FROM tb_svn WHERE svn_id='".$vers."'";
       $res = svn_db_query($sql);

       if ($res) {
         if (mysql_num_rows($res) > 0) {
           $sql  = "UPDATE tb_svn SET notiz='".$_POST["notiz_$vers"]."' WHERE ";
           $sql .= "svn_id='".$vers."'";
         } else {
           $sql  = "INSERT INTO tb_svn SET notiz='".$_POST["notiz_$vers"]."', ";
           $sql .= "svn_id='".$vers."'";
         }

         /* kein Check weil nicht behandelt werden kann */
         svn_db_query($sql);
       }
     }

     /* Updatebutton? */
     if (isset($_POST["update_$vers"])) {
       /* Update durchfuehren */
       $svn->update(svn_get_lokal_version(), $vers);

       /* Datenbank muss abgeglichen werden */
       $datei_inhalt = file_get_contents("../mysql/stellware.sql");
       if (!$datei_inhalt) {
         echo "FEHLER: Daten konnten nicht von Datei eingelesen werden.";
         new stwEnd($seite);

         exit(0);
       }

       /* alle Tabellen loeschen, die als statisch markiert sind */
       $erg = sql_get_delete_static($datei_inhalt, $tab_stat);

       if ($erg != 0) {
         echo "FEHLER: Das Datenbankupdate f&uuml;r statische Tabellen ist gescheitert.";

         new stwEnd($seite);
         exit(0);
       }

       for ($j = 0; $j < count($tab_stat); $j++) svn_db_query($tab_stat[$j]);

       /* Unterschiede zwischen Datenbank und Datei ermitteln */
       $erg = sql_get_diff($conf_dbu, $conf_dbp, $conf_srv, $conf_dbn,
                           $datei_inhalt, $sql_update_zeilen);
       if ($erg != 0) {
         echo "FEHLER: Unterschiede Datenbank und Datei nicht ermittelt.";
         new stwEnd($seite);

         exit(0);
       }

       /*
        * Die letzte Funktion hat eine eigene Datenbankverbindung geoeffnet
        * und schliesst diese auch wieder. Deshalb muss hier wieder eine
        * Verbindung geoeffnet werden.
        */
       $db = mysql_connect($conf_srv, $conf_dbu, $conf_dbp);
       if (!$db) {
         echo "FEHLER: Verbindung zum MYSQL Server konnte nicht hergestellt werden.";
         new stwEnd($seite);

         exit(0);
       }

       /* Datenbank noch auswaehlen */
       $erg = mysql_select_db($conf_dbn, $db);
       if (!$erg) {
         echo "FEHLER: Datenbank nicht ausw&auml;hlbar.";
         new stwEnd($seite);

         exit(0);
       }

       /* Unterschiede ausfuehren wenn es keine Loeschung enthaelt */
       foreach ($sql_update_zeilen as $anweisung) {
         if (!strpos($anweisung, "DROP")) {
           /* keine vorhandenen Dropanweisung ausfuehren */
           $erg = svn_db_query($anweisung);
           if (!$erg) {
             echo "Warnung: Folgende Anweisung brachte einen Fehler:<br/>";
             echo "         ".$anweisung."<br/>";
           }
         } else {
           $drop[] = $anweisung;
         }
       }

       /* Notizfeld noch behandeln */
       $sql = "SELECT svn_id FROM tb_svn WHERE svn_id='".$vers."'";
       $res = svn_db_query($sql);

       if ($res) {
         if (mysql_num_rows($res) > 0) {
           $sql  = "UPDATE tb_svn SET notiz='".$_POST["notiz_$vers"]."' WHERE ";
           $sql .= "svn_id='".$vers."'";
         } else {
           $sql  = "INSERT INTO tb_svn SET notiz='".$_POST["notiz_$vers"]."', ";
           $sql .= "svn_id='".$vers."'";
         }

         /* kein Check weil nicht behandelt werden kann */
         svn_db_query($sql);
       }

       /*
        * Zeitstempel fuer den tb_svn Eintrag sichern. Da die Spalte erst
        * spaeter hinzugefuegt wurde, muss dieser Eintrag erst nach den
        * Tabellenaenderungen durchgefuehrt werden. Hier wird nur die
        * Version fuer einen spaeteren Ausfuehrungszeitpunkt abgelegt.
        */
       $update_version = $vers;
     }
   }

   /* SVN Verbindung neu aufbauen - da nach Update neue Kommandos nicht funktionieren */
   $svn->close_connection();

   /* SVN Verbindung zum Server oeffnen. */
   $svn = new stwSVN($serverliste, 3690, "stellware/trunk/stellware");
	 if (!$svn->url) {
		echo "<h1 style=\"color:red\">FEHLER: Erneute SVN-Verbindung nicht mglich!</h1>";
		new stwEnd($seite);
		exit(0);
	 }
 }

 /* Warnung wegen Drops und Nutzerreaktion auswerten */
 if (isset($_POST["drop_ok"]) && count($_SESSION[$AppCode]['drop']) > 0) {
   foreach ($_SESSION[$AppCode]['drop'] as $drop) {
     $erg = svn_db_query($drop);
     if (!$erg) {
       echo "Warnung: Folgende Anweisung brachte einen Fehler:<br/>";
       echo "         ".$anweisung."<br/>";
     }
   }
 }

 /*
  * Datenbank wurde auf den aktuellen Stand gebracht. Jetzt koennen nur
  * noch die Dropanweisungen vorhanden sein. Da diese aber noch einmal
  * gesondert abgefragt werden, wird hier jetzt der Zeitstempel fuer das
  * Update eingetragen.
  */
 if (isset($update_version)) svn_set_timestamp($update_version);

 /* Speicher wieder freigeben */
 if (count($_SESSION[$AppCode]['drop']) > 0) {
   unset($_SESSION[$AppCode]['drop']);
 }

 /* vielleicht sind noch Dropanweisungen auszufuehren - hier Nutzer warnen */
 if (!empty($drop) && !isset($_POST["drop_ok"])) {
   $_SESSION[$AppCode]['drop'] = $drop;
   unset($drop);

   echo "<center>\n<form method=\"post\" action=\"svn.php\">";
   echo "<table>\n<tr>";

   echo "<h1 style=\"color:red\">";
   echo "ACHTUNG IN DER DATENBANK WERDEN DATEN GEL&Ouml;SCHT!!!!</h1>";
   echo "</tr>\n<tr>";

   echo "<td><input type=\"submit\" value=\"Ok\" name=\"drop_ok\"/></td>";
   echo "<td><input type=\"submit\" value=\"Abbrechen\" ";

   echo "name=\"drop_not\"/></td></tr></table>\n</form></center>";

   new stwEnd($seite);
   exit(0);
 }

 /*
  * Nutzer hat vielleicht Infos zu einer bestimmten Version angefordert.
  */
 if (isset($_GET["show"]) && $_GET["show"] > 0) {
   $ergebnis = $svn->changed_files($_GET["show"] - 1, $_GET["show"]);
   if ($ergebnis === false) {
     echo "FEHLER: Ver&auml;nderte Dateien konnten nicht ermittelt werden.";
     new stwEnd($seite);

     exit(0);
   }

   echo "<form method=\"post\" action=\"svn.php";
   echo "?pos=".$versionen[0]."\">\n";

   echo "<table>\n";
   echo "<tr><th>Folgende Dateien wurden ver&auml;ndert:</th></tr>\n";

   echo "<tr><td><ul>\n";

   $files = $ergebnis["files"];
   foreach($files as $datei) {
     echo "<li>".$datei." (ver&auml;ndert/angelegt)</li>\n";
   }

   $files = $ergebnis["add_dir"];
   foreach($files as $datei) {
     echo "<li>".$datei." (hinzugef&uuml;gt)</li>\n";
   }

   $files = $ergebnis["delete"];
   foreach($files as $datei) {
     echo "<li>".$datei." (gel&ouml;scht)</li>\n";
   }

   echo "</ul></td></tr>\n";

   echo "<tr><th><center><input type=\"submit\" value=\"Ok\" ";
   echo "name=\"show_ok\"/></center></th></tr>\n</table></form>\n";

   new stwEnd($seite);
   exit(0);
 }

 /*
  * Pruefen ob noch Datenbankupdates offen sind die in der Tabelle
  * tb_db_update vorhanden sind.
  */
 $erg = abfrage1("SELECT id FROM tb_db_update WHERE erledigt != '1'");
 $updates = mysql_num_rows($erg);

 navButAnz($versionen, $versanz, $head);

 /* Tabelle fuer die Ausgabe anlegen */
 echo "<table>\n";

 /* rote Trennlinie selber zeichnen */
 echo "<tr><td bgcolor=\"#FF0000\" colspan=\"2\"></td></tr>";

 /* Ausgabe der SVN Logeintraege */
 $z = 0; $first = 0;
 while ($z < $versanz) {
   $i = $versionen[$z];
   if ($i < 1) break;
   $z++;

   $log   = $svn->log_message($i);
   $datum = $svn->log_date($i);

   $entw  = $svn->log_author($i);

   /* Farbe fuer diese Version bestimmen */
   if ($i <= $version) {
     /* Farbe fuer den Infologeintrag festlegen - grau */
     $style = "style=\"color:#CCCCCC\"";

     /* Farbe fuer den rueckspielen Button - rot */
     $farbe = "style=\"background-color:#FF0000\"";

     /* Buttontext definieren */
     $btext = "zur&uuml;ck auf ".$i;
   } else {
     /* Farbe fuer den Infologeintrag festlegen - gelb */
     $style = "style=\"color:#FFCC00\"";

     /* Farbe fuer den einspielen Button - gruen */
     $farbe = "style=\"background-color:#00FF00\"";

     /* Buttontext definieren */
     $btext = "einspielen";
   }

   /* Ausgabe der Daten */
   echo "<tr><td>\n";

   /* erste Spalte mit Infos ausgeben - neue Tabelle mit Zeilen */
   echo "<table>\n<tr><th ".$style.">";
   echo "<a href=\"svn.php?pos=".$versionen[0]."&show=".$i."\"";

   echo " ".$style.">".$i." - ".$datum;
   echo " ".$entw."</a></th></tr>\n";

   /*
    * Logmeldung ausgeben. Innerhalb der Zeile koennen Sonderzeichen vorkommen
    * die als Zahlencode dargestellt werden. Deshalb werden sie hier wieder
    * ausgetauscht.
    */
	$zeile =  strtr($log,array(
		"\xC3\x9F"=>"&szlig;",
		"\xC3\xA4"=>"&auml;",
		"\xC3\xAB"=>"&euml;",
		"\xC3\xAF"=>"&iuml;",
		"\xC3\xBC"=>"&uuml;",
		"\xC3\xB6"=>"&ouml;",
		"\xC3\x84"=>"&Auml;",
		"\xC3\x8B"=>"&Euml;",
		"\xC3\x8E"=>"&Iuml;",
		"\xC3\x9C"=>"&Uuml;",
		"\xC3\x96"=>"&Ouml;",
		"\xC3\xA2"=>"&acirc;",
		"\xC3\xAA"=>"&ecirc;",
		"\xC3\xAE"=>"&icirc;",
		"\xC3\xB4"=>"&ocirc;",
		"\xC3\xBB"=>"&ucirc;",
		"\xC3\x82"=>"&Acirc;",
		"\xC3\x8A"=>"&Ecirc;",
		"\xC3\x8E"=>"&Icirc;",
		"\xC3\x94"=>"&Ocirc;",
		"\xC3\x9B"=>"&Ucirc;",
		"\xC3\xA0"=>"&agrave;",
		"\xC3\xA8"=>"&egrave;",
		"\xC3\xB9"=>"&ugrave;",
		"\xC3\xA9"=>"&eacute;",
		"\xC3\x80"=>"&Agrave;",
		"\xC3\x88"=>"&Egrave;",
		"\xC3\x99"=>"&Ugrave;",
		"\xC3\x89"=>"&Eacute;",
		"\xC3\xA7"=>"&ccedil;",
		"\n"=>"<br/>"));

   echo "<tr><td>".wordwrap($zeile, 65, "<br/>")."</td></tr>\n";

   /* erste Spalte beenden und zweite starten */
   echo "</table></td>\n<td>";

   /* Notizfeld mit vorhanden Eintraegen fuellen */
   $sql = "SELECT notiz, datum, pers_id FROM tb_svn WHERE svn_id=".$i;
   $res = mysql_query($sql);

   /* auswerten der Abfrage */
   if ($res && mysql_num_rows($res) == 1) {
     $erg = mysql_fetch_row($res);
     $notiz_text = $erg[0];
	 $datum_pers = ($erg[2]>0) ? pers_kname($erg[2]).'<br />' : '';
	 if($erg[1] > 0) $datum_pers .= date("d.m.Y H:i",$erg[1]);
   } else {
     $notiz_text = $datum_pers = "";
   }

   /* Formular mit dem Notizfeld und den zwei Buttons - Tabelle */
   echo "<form method=\"post\" action=\"svn.php?pos=".$versionen[0]."\" ";
   echo "style=\"margin-bottom:0\"><table>\n<tr>";
   echo "<td rowspan=\"4\"><textarea rows=\"5\" cols=\"25\" ";
   echo "name=\"notiz_".$i."\">".$notiz_text."</textarea>\n</td>";
   echo "<td>\n<input type=\"submit\" value=\"Notiz speichern\" ";
   echo "name=\"notiz_ok_".$i."\"/>\n</td></tr>\n<tr><td>";

   /* vielleicht sind noch Datenbankupdates vorhanden */
   if ($updates > 0 && $first == 0) {
     echo "<center><input type=\"submit\" value=\"DB Updates\" ";
     echo "name=\"db_updates\" style=\"background-color:#FF0000\"/>";

     echo "</center>";
     ++$first;
   }
   echo "</td></tr><tr><td>";

   /*
    * Harte Sperre einbauen, Datenbankaenderungen koennen mit der Version
    * nicht eingespielt werden.
    */
   if ($i > 1332) {
     echo "<center><input type=\"submit\" value=\"".$btext."\" ";
     echo "onclick=\"return confirm('Revision $i wird eingespielt.\\nSind Sie sicher? Wurde es vorher in Stellware2 getestet?')\"";
     echo "name=\"update_".$i."\" ".$farbe."/></center>\n";
   }
   echo "</td></tr><tr><td>$datum_pers</td></tr></table>\n</form>";
   echo "</td></tr>\n";

   /* die rote Linie fuer diesen Bereich zeichnen */
   echo "<tr><td bgcolor=\"#FF0000\" colspan=\"2\"></td></tr>";
 }

 /* Gesamttabelle abschliessen */
 echo "</table>\n";

 navButAnz($versionen, $versanz, $head);

 new stwEnd($seite);
?>
