<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: traeger_and.php 2783 2017-08-16 08:49:23Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 55;
$level = 96;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 20);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/azk.inc.php");

/*
* Der aktuelle Nutzer ist vielleicht berechtigt die Seite zu sehen obwohl
* der Level nicht hoch genug ist.
*/
if (!check_nutzer_rechte(21)) {
	require_once($pfad . "inc/level.inc.php");
}

$ti = 1;

if(isset($rvar_traeger_art_id)) $tr = abfrage("SELECT * FROM tb_traeger_art WHERE traeger_art_id = '$rvar_traeger_art_id'");
else $tr = array('neu');
echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
echo "<form method=\"post\" action=\"traeger.php\">\n";
echo "<input type=\"hidden\" name=\"id\" value=\"$tr[0]\" />\n";
echo "<table>\n";
echo "<tr><th class=\"cl1\">Name:</th>\n";
echo "<td class=\"cl1\"><input type=\"text\" size=\"50\" maxlength=\"50\" name=\"traeger_art\" value=\"$tr[1]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
echo "<tr><th class=\"cl1\">K&uuml;rzel:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"25\" maxlength=\"10\" name=\"kurzname\" value=\"$tr[3]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
echo "<tr><th class=\"cl1\">Farbe:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"25\" name=\"farbe\" maxlength=\"20\" value=\"$tr[2]\" ";
if(!empty($tr[2])) {
	$rgb = transformColor($tr[2]);
	$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
	echo "style=\"background-color:$tr[2];color:$co;\" ";
}
echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\" ";	
echo "tabindex=\"$ti\" /></td></tr>\n"; $ti++;
new stwTabLine(2,2);
echo "<tr><th class=\"cl1\">Bank:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"50\" maxlength=\"50\" name=\"bank\" value=\"$tr[8]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
echo "<tr><th class=\"cl1\">IBAN:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"50\" maxlength=\"35\" name=\"iban\" value=\"$tr[9]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
echo "<tr><th class=\"cl1\">BIC:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"25\" maxlength=\"14\" name=\"bic\" value=\"$tr[10]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
new stwTabLine(2,2);
echo "<tr><th colspan=\"2\" style=\"text-align:center\">Abweichende Lieferadresse (Einkaufsprojekte)</th></tr>\n";
new stwTabLine(2,2);
echo "<tr><th class=\"cl1\">Stra&szlig;e:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"50\" name=\"strasse\" maxlength=\"30\" value=\"$tr[4]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
echo "<tr><th class=\"cl1\">PLZ:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"25\" name=\"plz\" maxlength=\"5\" value=\"$tr[5]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
echo "<tr><th class=\"cl1\">Ort:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"50\" name=\"ort\" maxlength=\"30\" value=\"$tr[6]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
echo "<tr><th class=\"cl1\">Adresszusatz:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"50\" name=\"adresszusatz\" maxlength=\"50\" value=\"$tr[7]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
new stwTabLine(2,2);
echo "<tr><th colspan=\"2\" style=\"text-align:center\">Erweiterung Benutzername (CSV-Export Personal)</th></tr>\n";
new stwTabLine(2,2);
echo "<tr><th class=\"cl1\">VNachname +</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"50\" name=\"erw_benutzer\" maxlength=\"100\" value=\"$tr[11]\" tabindex=\"$ti\" /></td></tr>\n";
$ti++;
new stwTabLine(2,2);
echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"save_tr\" value=\"speichern\" tabindex=\"$ti\" /></td></tr>\n";
echo "</table>\n";
echo "</form>\n";

new stwEnd($seite);
?>