<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: lom_det_pr.php 2415 2015-03-26 13:45:44Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);
 require_once($pfad."inc/auth.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, 'de_DE@euro');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(30);

$footer = $titel = 'LOM-Einsatz';

$pdf->AddPage();

$pdf->SetFont('stw','',18);
$pdf->Text(15,35,$titel);
$pdf->Line(15,40,195,40);

$sql  = "select t1.lom_id, t1.tn_mal, t1.tn_fem, t1.tn_age, t1.tn_mal_sc, ";
$sql .= "t1.tn_fem_sc, t1.action, t1.art_id, t1.text, t1.spenden, t1.eigen, ";
$sql .= "t1.ap_id, t1.pers_id, t1.termin_id, t1.thema, ";
$sql .= "date_format(t2.von, '%d.%m.%Y'), date_format(t2.von, '%H:%i'), ";
$sql .= "unix_timestamp(t2.von), unix_timestamp(t2.bis), t1.km, ";
$sql .= "t1.fahrtkosten, t1.material ";
$sql .= "from tb_lom t1 left join tb_termine t2 using (termin_id) ";
$sql .= "where lom_id = '$rvar_lom_id';";

$lom = abfrage_array($sql);

$y_axis = 45;
$rh = 7;

$pdf->SetXY(15,$y_axis);

$zeit  = strftime('%A, %d.%m.%Y, %H:%M', $lom[17]);
$zeit .= strftime(' - %H:%M Uhr', $lom[18]);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Termin:');
$pdf->SetFont('Arial','',12);
$pdf->Cell(30,$rh, $zeit,0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Thema:');
$pdf->SetFont('Arial','',12);
$pdf->Cell(60,$rh, $lom[14],0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'pdagog. Leitung:');
$pdf->SetFont('Arial','',12);
$pdf->Cell(60,$rh, pers_name($lom[12]),0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Art:');
$pdf->SetFont('Arial','',12);
$lom_art = lom_art($lom[6]);
$pdf->Cell(60,$rh, $lom_art,0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Einsatzart:');
$pdf->SetFont('Arial','',12);
$lt = abfrage("select ga_art from tb_ga_art where art_id = '$lom[7]';");
$pdf->Cell(60,$rh, $lt[0],0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Zustndig:');
$pdf->SetFont('Arial','',12);
$mas = abfrage1("select concat(p.vorname,' ',p.name), p.pers_id from tb_lom l
				left join tbh_lom_anleiter a using(lom_id)
				left join tb_personal p on (p.pers_id = l.pers_id or p.pers_id = a.pers_id)
				where l.lom_id = '$rvar_lom_id' group by p.pers_id
				order by p.pers_id = {$lom['pers_id']} desc, p.name asc, p.vorname asc");
while($ma = mysql_fetch_row($mas)) {
	if($ma[1] == $lom['pers_id']) $pdf->SetFont('Arial','B',12);
	$pdf->Cell(60,$rh, $ma[0],0,2);
	if($ma[1] == $lom['pers_id']) $pdf->SetFont('Arial','',12);
}
$pdf->Ln(0.1);

$ver = abfrage("select t2.name, concat(t1.vorname, ' ', t1.name)
				from tb_kontakte_ap t1
				left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0'
				where t1.ap_id = '$lom[11]';");

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Veranstalter:');
$pdf->SetFont('Arial','',12);
$pdf->Cell(60,$rh, $ver[0],0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Ansprechpartner:');
$pdf->SetFont('Arial','',12);
$pdf->Cell(60,$rh, $ver[1],0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Entfernung:','B');
$pdf->SetFont('Arial','',12);
$dat = ($lom['km'] > 0) ? km_form($lom['km']) : '';
$pdf->Cell(60,$rh, $dat,'B');
$pdf->Cell(70,$rh, '','B',1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Teilnehmer mnnl.:');
$pdf->SetFont('Arial','',12);
$dat = ($lom[1] > 0) ? $lom[1] : '';
$pdf->Cell(15,$rh, $dat);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(40,$rh, 'Bewertung:',0,0,'R');
$pdf->SetFont('Arial','',12);
$dat = ($lom[4] > 0) ? $lom[4] : '';
$pdf->Cell(10,$rh, $dat,0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Teilnehmer weibl.:');
$pdf->SetFont('Arial','',12);
$dat = ($lom[2] > 0) ? $lom[2] : '';
$pdf->Cell(15,$rh, $dat);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(40,$rh, 'Bewertung:',0,0,'R');
$pdf->SetFont('Arial','',12);
$dat = ($lom[5] > 0) ? $lom[5] : '';
$pdf->Cell(10,$rh, $dat,0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Durchschnittsalter:','B');
$pdf->SetFont('Arial','',12);
$dat = ($lom[3] > 0) ? $lom[3] : '';
$pdf->Cell(10,$rh, $dat,'B');
$pdf->Cell(120,$rh, '','B',1);


$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Eigenanteil Stellwerk:');
$pdf->SetFont('Arial','',12);
if ($lom[10] > 0){
	$eur = geld_form_pdf($lom[10]);
	$pdf->Cell(15,$rh, $eur);
} else {
	$pdf->Cell(15,$rh, '');
}

$pdf->SetFont('Arial','B',12);
$pdf->Cell(40,$rh, 'Fahrtkosten:',0,0,'R');
$pdf->SetFont('Arial','',12);
if ($lom['fahrtkosten'] > 0){
	$eur = geld_form_pdf($lom['fahrtkosten']);
	$pdf->Cell(10,$rh, $eur);
}
$pdf->Cell(1,$rh, '',0,1);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,$rh, 'Spenden:','B');
$pdf->SetFont('Arial','',12);
if ($lom[9] > 0){
	$eur = geld_form_pdf($lom[9]);
	$pdf->Cell(15,$rh, $eur,'B');
} else {
	$pdf->Cell(15,$rh, '','B');
}

$pdf->SetFont('Arial','B',12);
$pdf->Cell(40,$rh, 'Materialkosten:','B',0,'R');
$pdf->SetFont('Arial','',12);
if ($lom['material'] > 0){
	$eur = geld_form_pdf($lom['material']);
	$pdf->Cell(10,$rh, $eur,'B');
} else {
	$pdf->Cell(10,$rh, '','B');
}
$pdf->Cell(65,$rh, '','B',1);

/* Mitarbeiterliste */
$sql  = "select t1.pers_id, t1.wertung, t1.stunden from tbh_lom_pers t1 ";
$sql .= "left join tb_personal t2 using(pers_id) ";
$sql .= "where lom_id = '$rvar_lom_id' ";
$sql .= "order by t2.vorname asc, t2.name asc;";
$res = abfrage1($sql);

if (mysql_num_rows($res) > 0) {
	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(70,$rh, 'MitarbeiterIn', 1,0,'C');
	$pdf->Cell(30,$rh, 'Bewertung', 1,0,'C');
	$pdf->Cell(30,$rh, 'Stunden', 1,1,'C');

	$pdf->SetFont('Arial','',12);
	while ($row = mysql_fetch_row($res)) {
		$pdf->Cell(70,$rh, pers_name($row[0]),'B');

		if ($row[1] > 0) {
			$pdf->Cell(30,$rh, $row[1],'B',0,'C');
		} else {
			$pdf->Cell(30,$rh, '','B',0,'C');
		}

		if ($row[2] > 0) {
			$pdf->Cell(30,$rh, fls_form($row[2]),'B',1,'R');
		} else {
			$pdf->Cell(30,$rh, '','B',1,'R');
		}

	}

} else {
}

$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,$rh, 'Notizen :','T',1);
$pdf->SetFont('Arial','',12);
$pdf->MultiCell(180,5,$lom[8]);

$pdf->SetXY(15,266);
$pdf->SetFont('Arial','',10);
$pdf->Cell(65,$rh, 'Unterschrift ProjektleiterIn','T');

$pdf->Output();
exit;
?>
