<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: lom_pr.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);
require_once($pfad."inc/auth.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, 'de_DE@euro');

/* Aktionsfilter setzen */
if (isset($_POST["action"])) {
	$actfilter = $_POST["action"];
} else if (isset($_GET["action"])) {
	$actfilter = $_GET["action"];
} else {
	$actfilter = 0;
}

/* Tenderbenutzer sehen nur ihren Bereich */
if ($_SESSION[$AppCode]["ULV"] == 5) $actfilter = 5;

/* Mitarbeiterfilter setzen */
if (isset($_GET["ma"])) {
	$userfilter = $_GET["ma"];
} else {
	/*
   * Abfrage, ob angemeldeter Nutzer in der Mitarbeiterlite angezeigt wird
   * Wenn ja, dann Nuter als Standard eintragen
  */

	$sql  = "select pers_id from tb_personal ";
	$sql .= "where status_id = '2' and pers_id = '{$_SESSION[$AppCode]['UID']}';";
	$data = abfrage1($sql);

	if (mysql_num_rows($data) == 1) {
		/* Nutzer ist in Mitarbeiterliste und wird als Standard eingetragen */
		$userfilter = $_SESSION[$AppCode]["UID"];
	} else {
		$userfilter = 'all';
  }
}

/*
 * im Parameter anz ist die Einschraenkung auf Tag, Woche,
 * Monat oder Jahr vorhanden
*/
if ($_GET["anz"] == "w1" || $_GET["anz"] == "w2") {
	$where  = " WHERE t7.von >= '".$_GET["tag"]."' AND TO_DAYS(t7.von) <= (TO_DAYS('".$_GET["tag"]."') + 6) ";
} else if ($_GET["anz"] == "t") {
	$where  = " WHERE TO_DAYS(t7.von) = TO_DAYS('".$_GET["tag"]."') ";
} else if ($_GET["anz"] == "m") {
	$where  = " WHERE YEAR(t7.von) = YEAR('".$_GET["tag"]."') AND MONTH(t7.von) = MONTH('".$_GET["tag"]."') ";
} else if ($_GET["anz"] == "j") {
	$where  = " WHERE YEAR(t7.von) = YEAR('".$_GET["tag"]."') ";
} else {
	$where  = " WHERE YEARWEEK(t7.von, 1) >= YEARWEEK(CURDATE()) - 1 ";
	$where .= "AND TO_DAYS(t7.von) <= (TO_DAYS(CURDATE()) + 56) ";
}

if ($userfilter != "all") $where .= "AND (t1.pers_id = ".$userfilter." OR t8.pers_id = ".$userfilter." ) ";
if ($actfilter != 0) $where .= "AND t1.action = ".$actfilter." ";
if (!empty($_POST["tender"]) && $actfilter == 5) $where .= " AND t1.tender = ".$_POST["tender"]." ";

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(auto, 25);
$pdf->SetTopMargin(25);
$pdf->SetLeftMargin(15);
$pdf->AliasNbPages();

$footer = "LOM-Liste";

$pdf->AddPage();

$pdf->SetFont('stw','',18);
$titel = "Liste LOM-Einstze";
$pdf->Text(15,30,$titel);

$y_axis = 35;
$rh = 4.5;
$pdf->SetXY(15,$y_axis);
$pdf->SetFont('Arial','B',9);

$pdf->Cell(23,5, 'Termin',1,0,'C');
$pdf->Cell(35,5, 'Thema',1,0,'C');
$pdf->Cell(15,5, 'Leitung',1,0,'C');
$pdf->Cell(15,5, 'Art',1,0,'C');
$pdf->Cell(20,5, 'Einsatzart',1,0,'C');
$pdf->Cell(35,5, 'Veranstalter',1,0,'C');
$pdf->Cell(26,5, 'Ort',1,0,'C');
$pdf->Cell(11,5, 'Entf.',1,1,'C');

$sql = "select distinct t1.lom_id,
				date_format(t7.von, '%d.%m.%Y'),
				date_format(t7.von, '%H:%i'),
				concat(left(t2.vorname, 1), '. ', t2.name),
				t1.action,
				t4.ga_art,
				t6.name,
				t1.thema,
				week(t7.von),
				unix_timestamp(t7.von),
				t6.ort, t1.km from tb_lom t1
				left join tb_personal t2 on t1.pers_id = t2.pers_id
				left join tb_ga_art t4 on t1.art_id = t4.art_id
				left join tb_kontakte_ap t5 on t1.ap_id = t5.ap_id
				left join tb_kontakte t6 on t5.kont_id = t6.kont_id and t6.kh_id='0'
				left join tb_termine t7 on t1.termin_id = t7.termin_id
		    left join tbh_lom_pers t8 on t1.lom_id = t8.lom_id
				$where
				order by to_days(t7.von) asc;";
$res = abfrage1($sql);

$pdf->SetFont('Arial','',7);

while ($row = mysql_fetch_array($res)){
	if (bcmod($row[8], 2) == 0){
		$pdf->SetFillColor(200,200,200);
		$fill = 1;
	} else {
		$pdf->SetFillColor(255,255,255);
		$fill = 0;
	}
	$tag = strftime('%a', $row[9]);
	$datum = strftime('%d.%m.%y', $row[9]);
	$zeit = strftime('%H:%M', $row[9]);
	$pdf->Cell(4,$rh, $tag,'B',0,'L',$fill);
	$pdf->Cell(11,$rh, $datum,'B',0,'L',$fill);
	$pdf->Cell(8,$rh, $zeit,'B',0,'L',$fill);
	$pdf->Cell(35,$rh, strCut($row[7], 25),'B',0,'L',$fill);
	$pdf->Cell(15,$rh, $row[3],'B',0,'L',$fill);
	$pdf->Cell(15,$rh, lom_art($row[4]),'B',0,'L',$fill);
  $pdf->Cell(20,$rh, $row[5],'B',0,'L',$fill);
	$pdf->Cell(35,$rh, strCut($row[6], 25),'B',0,'L',$fill);
	$pdf->Cell(26,$rh, strCut($row[10], 21),'B',0,'L',$fill);
	$pdf->Cell(11,$rh, km_form($row['km']),'B',1,'R',$fill);

}

$pdf->Output();
exit;
?>
