<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 65;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_4.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(auto,40);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(20);
$pdf->SetTopMargin(25.0);

$no_nr = true;
$zh = 5;

$pdf->AddPage();

$kont_ids = array();

$jas = abfrage1("SELECT kont_id, kurzname, name FROM tb_kontakte where kont_art_id = 1 order by kurzname asc");
while ($ja = mysql_fetch_row($jas)){
	if($_GET['kont'.$ja[0]] == 1) $kont_ids[] = $ja[0];
}
if(empty($rvar_kont_adr)) {
	$adress_id = $kont_ids[0];
	$ap = false;
} else {
$feld = explode("-", $rvar_kont_adr);
	$adress_id = $feld[0];
	$ap = abfrage("select anrede, vorname, name, fax from tb_kontakte_ap where ap_id='$feld[1]'");
}
$kont_ids_comma_separated = implode(",", $kont_ids);

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select name, name2, strasse, plz, ort
		from tb_kontakte where kh_id='0' and kont_id='$adress_id'";
$dat = abfrage($sql);
$Y = 60;
$pdf->SetXY(20,$Y); $Y += 4.5;
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,$Y); $Y += 4.5;
$pdf->Cell(80,$zh,$dat[1]);
$pdf->SetXY(20,$Y); $Y += 4.5;
$pdf->Cell(80,$zh,"Wirtschaftliche Jugendhilfe");
if($ap) {
	$pdf->SetXY(20,$Y); $Y += 4.5;
	$pdf->Cell(80,$zh,"$ap[0] $ap[1] $ap[2]");
}
$pdf->SetXY(20,$Y); $Y += 6;
$pdf->Cell(80,$zh,$dat[2]);
$pdf->SetXY(20,$Y); $Y += 8;
$pdf->Cell(80,$zh,$dat[3] . " " . $dat[4]);
if($ap) {
	$pdf->SetXY(20,$Y); $Y += 4.5;
	$pdf->Cell(80,$zh,"Fax: $ap[3]");
}

$heute = date('d.m.Y');

$footer = "Betreff: Offene Posten Stand $heute";

$pdf->SetXY(20,120);
$pdf->SetFont('stw','',12);
$pdf->MultiCell(180,8,$footer,0,'L');

$pdf->SetY(112);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(vorname, ' ', name), telmobil, titel
				from tb_personal where pers_id='$rvar_ma';");

$pdf->Cell(50,$zh,'');
$pdf->Cell(50,$zh,$info[0]);
$pdf->Cell(45,$zh,$info[1]);
$pdf->Cell(20,$zh,$heute);

$pdf->SetY(130);
$pdf->SetFont('arial','',10);
$pdf->Cell(180,$zh,"Sehr geehrte Damen und Herren,");
$pdf->ln(8);
$pdf->Cell(180,$zh,"entsprechend unseren Unterlagen bestehen aktuell folgende offene Posten:");

$projekt_nummern = array();
$vornamen = array();
$nachnamen = array();
$beginne = array();
$hauptbetreuer = array();
$sachbearbeiter = array();
$rechnung_pids = array();
$sql = "SELECT p.proj_id, r.re_nr, date_format(r.datum, '%d.%m.%Y'), 
		date_format(p.kostenzus, '%d.%m.%Y'), n.datum, p.wihi_id, 
		r.teilz_betrag, r.bemerkungen, date_format(r.teilz_datum, '%d.%m.%Y'), r.re_id
		FROM tb_rechnung r 
		left join tb_projekte p using(proj_id)
		left join tb_kontakte_ap a using(ap_id)
		left join tb_kontakte k on (a.kont_id = k.kont_id and k.kh_id = 0)
		left join tb_ab_nachw n using(nachw_id) 
		where n.datum >= '2012-01-01' and n.datum <= '$rvar_ab_monat' and r.post_out_id > 0
		and (to_days(curdate()) - to_days(r.datum)) > k.zahlung
		and (r.zahlung_in_datum is NULL or r.zahlung_in_datum = '0000-00-00') ";
if(!empty($kont_ids_comma_separated)) $sql .= "and k.kont_id in ($kont_ids_comma_separated) ";
$sql .= "group by r.re_id order by r.re_nr asc";
$res = abfrage1($sql);

$anzz = mysql_num_rows($res);
if($anzz == 0) $or_offene_rechnung = '';
else {
	while ($re = mysql_fetch_row($res)){
		$rechnung_pids[] = $re[0];
	}
	$or_offene_rechnung = "or p.proj_id in (" . implode(",", $rechnung_pids) . ")";
}

$sql = "select p.proj_id from tb_projekte p
		left join tb_kontakte_ap a using(ap_id)
		where (p.kostenzus is NULL or p.kostenzus = '0000-00-00') ";
if(!empty($kont_ids_comma_separated)) $sql .= "and a.kont_id in ($kont_ids_comma_separated) ";
$sql .= "and (p.ende is NULL or p.ende = '0000-00-00' or p.ende > curdate() $or_offene_rechnung)";
$pros = abfrage1($sql);
while ($pro = mysql_fetch_row($pros)){
	$projekt = new stwProjekt($pro[0]);
	$beginn_ts = $projekt->beginn_ts();
	if($beginn_ts < mktime() && $beginn_ts > 0) {
		$projekt_nummern[$pro[0]] = $projekt->nummer();
		$vornamen[$pro[0]] = $projekt->vname();
		$nachnamen[$pro[0]] = $projekt->nname();
		$beginne[$pro[0]] = $projekt->beginn();
		$hauptbetreuer[$pro[0]] = $projekt->hb_name();
		$sb = abfrage("select concat(anrede, ' ', vorname, ' ', name) from tb_kontakte_ap where ap_id='".$projekt->sb."'");
		$sachbearbeiter[$pro[0]] = $sb[0];
	}
}
if(count($projekt_nummern) > 0) {
	$pdf->ln(7);
	$pdf->SetFont('stw','',10);
	$pdf->Cell(180,$zh,"Fehlende Kostenzusagen fr bereits begonnene Hilfen:");
	$pdf->ln(6);
	$pdf->SetFont('arialb','',7);
	$pdf->Cell(28,4,'Projektnummer','B');
	$pdf->Cell(42,4,'Hilfeempfnger','B');
	$pdf->Cell(19,4,'Beginn','B');
	$pdf->Cell(50,4,'Hauptbetreuer','B');
	$pdf->Cell(35,4,'Sachbearbeiter','B',1);
	$pdf->ln(0.5);
	$pdf->SetFont('arial','',9);
	foreach($projekt_nummern as $id => $nummer) {
		$pdf->Cell(28,4,$nummer);
		$pdf->Cell(42,4,$vornamen[$id] . ' ' . $nachnamen[$id]);
		$pdf->Cell(19,4,$beginne[$id]);
		$pdf->Cell(50,4,$hauptbetreuer[$id]);
		$pdf->Cell(20,4,$sachbearbeiter[$id],0,1);
	}
}

$sql = "select p.proj_id, r.re_nr, date_format(r.datum, '%d.%m.%Y'), 
		date_format(p.kostenzus, '%d.%m.%Y'), n.datum, p.wihi_id, 
		r.teilz_betrag, r.bemerkungen, date_format(r.teilz_datum, '%d.%m.%Y'), r.re_id
		from tb_abschlag_rechnung ar
		left join tb_projekte p using(proj_id)
		left join tb_kontakte_ap a using(ap_id)
		left join tb_kontakte k on (a.kont_id = k.kont_id and k.kh_id = 0)
		left join tb_rechnung r using(re_id) 
		left join tb_ab_nachw n using(nachw_id) 		
		where r.post_out_id > 0 ";
if(!empty($kont_ids_comma_separated)) $sql .= "and a.kont_id in ($kont_ids_comma_separated) ";
$sql .="and n.datum >= '2012-01-01' and n.datum <= '$rvar_ab_monat'
		and (to_days(curdate()) - to_days(r.datum)) > k.zahlung
		and (r.zahlung_in_datum is NULL or r.zahlung_in_datum = '0000-00-00')
		group by re_id";
$ARDs=abfrage1($sql);
$ards = mysql_num_rows($ARDs);
$anzz += $ards;

if($anzz > 0) {
	mysql_data_seek($res, 0);
	$pdf->ln(6);
	$y = $pdf->GetY();
	if($y + $anzz * 4 > 190) $pdf->AddPage();

	$pdf->SetFont('stw','',10);
	$pdf->Cell(180,$zh,"Fehlender Zahlungseingang fr folgende berfllige Rechnungen:");
	$pdf->ln(6);
	$pdf->SetFont('arialb','',7);
	$pdf->Cell(18,4,'Rechn.datum','B');
	$pdf->Cell(18,4,'Rechnungsnr.','B');
	$pdf->Cell(28,4,'Projektnr','B');
	$pdf->Cell(18,4,'Kostenzus.','B');
	$pdf->Cell(35,4,'Aktenzeichen','B');
	$pdf->Cell(22,4,'Betrag','B');
	$pdf->Cell(35,4,'Sachb. WiHi','B',1);
	$pdf->ln(0.5);
	$pdf->SetFont('arial','',9);
	$sum_geld = 0;
	while ($re = mysql_fetch_row($res)){
		$projekt = new stwProjekt($re[0]);
		$pdf->Cell(18,4,$re[2]);
		$pdf->Cell(18,4,$re[1]);
		$pdf->Cell(28,4,$projekt->nummer());
		$pdf->Cell(18,4,$re[3]=='00.00.0000'?'- fehlt -':$re[3],0,0,'C');
		$pdf->Cell(35,4,$projekt->az);
		$geld = fls_rechnung($re[9]);
		if($re[6] > 0) $geld -= $re[6];
		$sum_geld += $geld;
		$pdf->Cell(22,4,geld_form($geld),0,0,'R');
		$wihi = abfrage("select concat(anrede, ' ', vorname, ' ', name) from tb_kontakte_ap where ap_id='$re[5]'");
		$pdf->Cell(20,4,$wihi[0],0,1);
		if($re[6] > 0) {
			$pdf->MultiCell(174,4,"Teilzahlung am $re[8]: ".geld_form_pdf($re[6]).", $re[7]",0,'L');
		}
	}
	if($ards > 0) {
		$pdf->Cell(174,0.1,'','B',1);
		while ($re = mysql_fetch_row($ARDs)){
			$pdf->Cell(18,4,$re[2]);
			$pdf->Cell(18,4,$re[1]);
			$pdf->Cell(81,4,'Abschlagsrechnung');
			$abs = abschlag_rechnung($re[9]);
			$geld = $abs['rbetrag'] - $abs['abetrag'];
			if($re[6] > 0) $geld -= $re[6];
			$sum_geld += $geld;
			$pdf->Cell(22,4,geld_form($geld),0,1,'R');
			if($re[6] > 0) {
				$pdf->MultiCell(174,4,"Teilzahlung am $re[8]: ".geld_form_pdf($re[6]).", $re[7]",0,'L');
			}
		}
	}
	$pdf->ln(2);
	$pdf->SetFont('arialb','',9);
	$pdf->Cell(180,$zh,"Summe: " . geld_form($sum_geld),0,1);
}

$pdf->ln(6);
$pdf->SetFont('arial','',10);
$pdf->Cell(180,5,"Wir bitten um kurzfristige Bearbeitung.",0,1);
$pdf->Cell(180,4,"Herzlichen Dank.",0,1);
$pdf->Cell(180,12,"Mit freundlichen Gren",0,1);
$pdf->ln(8);
$pdf->Cell(180,4,$info[0],0,1);
$pdf->SetFont('arial','',8);
$pdf->Cell(180,4,$info[2],0,1);

$pdf->Output();
exit;
?>
