<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: mobtel.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 47;
$level = 80;

if(!isset($_SESSION[$AppCode]["MobTelAbt"])) $_SESSION[$AppCode]["MobTelAbt"] = 0;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

require_once($pfad."inc/func.inc.php");
/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function changeMobTelAbt($abt) {
	global $AppCode;
	$_SESSION[$AppCode]["MobTelAbt"] = $abt;
	$userResp = new xajaxResponse();
	$userResp->call("location.reload()");
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('changeMobTelAbt');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
require_once($pfad . 'inc/stw.inc.php');

$page = (isset($_GET['page'])) ? $_GET['page'] : 1;
$passiv = (isset($_GET['passiv'])) ? $_GET['passiv'] : 0;
$sort = (isset($_GET['sort'])) ? $_GET['sort'] : ($passiv ? 're' : 1);
$abteilung = (isset($_GET['abt'])) ? $_GET['abt'] : "all";

$self = $_SERVER['PHP_SELF'];

/* Untermenue Mobiltelefone */
echo "<table><tr>\n";

/* Reiter Ausgabe */
$class = ($page == 1) ? 'menuactive' : 'menuinactive';
echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=1\">";
echo "Ausgabe</a></th>\n";

/* Reiter Mobiltelefone */
$class = ($page == 2) ? 'menuactive' : 'menuinactive';
echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=2\">";
echo "MobilGer&auml;te</a></th>\n";

/* Reiter SIM-Karten */
$class = ($page == 3) ? 'menuactive' : 'menuinactive';
echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=3\">";
echo "SIM-Karten</a></th>\n";

echo "</tr></table>\n";

new stwLine(1);

$passivButton  = "<input type=\"button\" onClick=\"self.location.href='$self?page=$page&sort=$sort&passiv=";
$passivButton .= $passiv==0 ? "1'\" value=\"auch passive\">" : "0'\" value=\"nur aktive\">";

if ($page == 1){ /* Beginn Seite Ausgabe */

	echo "<table><tr><td><input type=\"button\" value=\"neue Ausgabe\" ";
	echo "onClick=\"self.location.href='mobtel_aus_and.php'\"></td>\n";

	$alt = ($_GET['alt'] == 1) ? 1 : 0;
	$txt = ($alt == 1) ? 'aktuelle' : 'vergangene';
	$tg = ($alt == 1) ? 0 : 1;

	echo "<td><input type=\"button\" value=\"$txt Ausgaben\" ";
	echo "onClick=\"self.location.href='$self?page=1&alt=$tg&sort=$sort'\"></td>\n";
	echo "<th class=\"cl1\">&nbsp; Abteilung :</th>\n";
	echo "<td><form action=\"$self\" method=\"get\"><select name=\"abt\" onchange=\"this.form.submit()\">\n";

 	$sql = "SELECT name FROM tb_personal_abt";
 	$abteilungen = abfrage1($sql);

	echo "<option value=\"all\">alle Abteilungen</option>\n";

	while ($abteil = mysql_fetch_row($abteilungen)){
		echo "<option value=\"$abteil[0]\"";
		if ($abteilung == $abteil[0]) echo ' selected ';
		echo ">$abteil[0]</option>\n";
	}
	echo "</select></td></form>\n";
	echo "</tr></table>\n";
	new stwLine(1);

	$sql  = "select a.tel_id, a.sim_id, t.typ, t.imei, s.tel_nr, s.tarif, ";
	$sql .= "if(length(s.tarif) > 0, s.tarif, 'ZZZZZZZZZ') as sort_tarif, ";
	$sql .= "date_format(a.von, '%d.%m.%Y, %H:%i Uhr') as von_zeit, ";
	$sql .= "date_format(a.von, '%d.%m.%Y') as von_datum, ";
	$sql .= "a.pers_a, a.pers_id, a.pers_r, ";
	$sql .= "date_format(a.bis, '%d.%m.%Y, %H:%i Uhr') as bis_zeit, ";
	$sql .= "date_format(a.bis, '%d.%m.%Y') as bis_datum, ";
	$sql .= "unix_timestamp(a.von) as von_ts ";
	if ($abteilung != 'all') $sql .= ", abt.name as abt_name ";
	$sql .= "from tb_mob_aus a left join tb_mob_tel t on a.tel_id = t.tel_id ";
	$sql .= "left join tb_mob_sim s on a.sim_id = s.sim_id ";
	$sql .= "left join tb_personal pp on a.pers_id = pp.pers_id ";
	$sql .= "left join tb_personal pa on a.pers_a = pa.pers_id ";
	$sql .= "left join tb_personal pr on a.pers_r = pr.pers_id ";
	if ($abteilung != 'all'){
		$sql .= "left join tbh_pers_abt t6 on pp.pers_id = t6.pers_id ";
		$sql .= "left join tb_personal_abt abt on t6.abt_id = abt.abt_id ";
	}
	$sql .= " where ";
  $sql .= ($_GET['alt'] == 1) ? 'a.bis < now() ' :
    "(a.bis is null or a.bis = '0000-00-00 00:00:00') ";
	if ($abteilung != 'all') $sql .= "AND (abt.name = '$abteilung') ";

  switch ($sort){
	  case 1:
	    $sql .= 'order by von_ts desc, t.typ asc, s.tel_nr asc;';
	    break;
	  case 'tel':
	    $sql .= 'order by t.typ asc, s.tel_nr asc, von_ts desc;';
	    break;
	  case 'nr':
	    $sql .= 'order by s.tel_nr asc, t.typ asc, von_ts desc;';
	    break;
	  case 'tarif':
	    $sql .= 'order by sort_tarif asc, t.typ asc, von_ts desc;';
	    break;
	  case 'du':
	    $sql .= 'order by pa.vorname asc, pa.name asc, von_ts desc;';
	    break;
	  case 'an':
	    $sql .= 'order by pp.vorname asc, pp.name asc, von_ts desc;';
	    break;
	  case 're':
	    $sql .= 'order by unix_timestamp(a.bis) desc, t.typ asc, s.tel_nr asc;';
	    break;
	  case 'rp':
	    $sql .= 'order by pr.vorname asc, pr.name asc, von_ts desc;';
	    break;
	}

	$auss = abfrage1($sql);

	if (mysql_num_rows($auss) > 0){

		echo "<table>\n";
		echo "<tr>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&alt=$alt&sort=tel&";
		echo "abt=$abteilung\">Telefon</a></th>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&alt=$alt&sort=nr&";
		echo "abt=$abteilung\">Telefon-Nr.</a></th>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&alt=$alt&sort=tarif&";
		echo "abt=$abteilung\">Tarif</a></th>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&alt=$alt&sort=1&";
		echo "abt=$abteilung\">Ausgabe</a></th>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&alt=$alt&sort=du&";
		echo "abt=$abteilung\">durch</a></th>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&alt=$alt&sort=an&";
		echo "abt=$abteilung\">an</a></th>\n";

		echo "<th class=\"cl11\">";
		if ($alt == 1) echo "<a href=\"$self?page=$page&alt=$alt&sort=re&abt=$abteilung\">";
		echo "R&uuml;ckgabe";
		if ($alt == 1) echo "</a>";
		echo "</th>\n";

		if ($alt == 1) {
		  echo "<th><a href=\"$self?page=$page&alt=$alt&sort=rp&abt=$abteilung\">an</a></th>\n";
		}
		echo "</tr>\n";
		new stwTabLine(2,30);

		while ($aus = mysql_fetch_assoc($auss)){
			echo "<tr class=\"mo\">\n";
			echo "<td class=\"cl11\"";
			$tt = '';
			if(strlen($aus['imei']) > 0) $tt .= 'IMEI: ' .$aus['imei'] . "<br>";
			$ger_id = abfrage("select ger_id from tbh_ger_verknupf where id2='{$aus['tel_id']}' and verknupf='m'");
			if($ger_id[0]) {
				$serial = abfrage("select serial from tb_ger where ger_id='$ger_id[0]'");
				if(strlen($serial[0]) > 0) $tt .= 'Seriennummer: ' .$serial[0] . "<br>";
			}
			if (strlen($tt) > 0) echo stwToolTip($tt);
			echo ">".(empty($aus['typ']) ? "LEER!" : $aus['typ'])."</a></td>\n";
			echo "<td class=\"cl11\">{$aus['tel_nr']}</td>\n";
			echo "<td class=\"cl11\">{$aus['tarif']}</td>\n";
			echo "<td class=\"cl11\"";
			echo stwToolTip($aus['von_zeit']) . ">{$aus['von_datum']}</td>\n";
			echo "<td class=\"cl11\">" . pers_kname($aus['pers_a']) . "</td>\n";
			echo "<td class=\"cl11\">" . pers_kname($aus['pers_id']) . "</td>\n";

			if (empty($aus['pers_r'])){
				echo "<td class=\"cl11\" colspan=\"2\">";
				echo "<a href=\"mobtel_aus_and.php?tel_id={$aus['tel_id']}";
				echo "&sim_id={$aus['sim_id']}&pers_id={$aus['pers_id']}";
				echo "&datum={$aus['von_ts']}\">R&uuml;ckgabe</a></td>\n";
			} else {
				echo "<td class=\"cl11\"";
			  echo stwToolTip($aus['bis_zeit']) . ">{$aus['bis_datum']}</td>\n";
				echo "<td class=\"cl11\">" . pers_kname($aus['pers_r']) . "</td>\n";
			}

			echo "<td class=\"cl11\"><a href=\"mobtel_pr1.php?";
			echo "tel_id={$aus['tel_id']}&sim_id={$aus['sim_id']}";
			echo "&pers_id={$aus['pers_id']}&datum={$aus['von_ts']}&ts=" . time() . "\" ";
			echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\" ";
			echo stwToolTip('Telefonkarte drucken') . "></a></td>";
			echo "</tr>\n";
		}
		echo "</table>\n";
		new stwLine(1);
	} /* Ende Seite Ausgabe */

} elseif ($page == 2){ /* Beginn Seite Mobiltelefone */
	echo "<table><tr><td><input type=\"button\" value=\"neues Mobiltelefon\" ";
	echo "onClick=\"self.location.href='mobtel_tel_and.php'\"></td>";
	echo "<td>$passivButton</td></tr></table>\n";
	new stwLine(1);

	switch ($sort){
	  case 1:
	    $order = 'order by t.typ asc, sort_imei asc;';
	    break;
	  case 'imei':
	    $order = 'order by sort_imei asc, t.typ asc;';
	    break;
	  case 'an':
	    $order = 'order by sort_pe asc, t.typ asc, sort_imei asc;';
	    break;
	  case 'abt':
	    $order = 'order by sort_abt asc, sort_pe asc, t.typ asc, sort_imei asc;';
	    break;
	}

	$sql  = "select t.tel_id, t.typ, t.imei, t.aktiv, a.tel_id as aus, ";
	$sql .= "if(length(t.imei) > 0, t.imei, '9999999999') as sort_imei, ";
	$sql .= "concat(left(pe.vorname,1),'. ',pe.name) as pe_name, ";
	$sql .= "pa.name as abt, max(unix_timestamp(a.von)) as ts_von, ";
	$sql .= "unix_timestamp(a.bis) as ts_bis, ";
	$sql .= "if(isnull(pa.name), 'zzzzz', pa.name) as sort_abt, ";
	$sql .= "if(isnull(a.pers_id), 'zzzzz', ";
	$sql .= "concat(left(pe.vorname,1),'. ',pe.name)) as sort_pe ";
	$sql .= "from tb_mob_tel t ";
	$sql .= "left join (SELECT tel_id, pers_id, von, bis FROM tb_mob_aus ";
	$sql .= "ORDER BY tel_id ASC, von DESC) AS a on t.tel_id = a.tel_id ";
	$sql .= "left join tb_personal pe on a.pers_id = pe.pers_id ";
	$sql .= "left join tbh_pers_abt t4 on pe.pers_id = t4.pers_id ";
	$sql .= "left join tb_personal_abt pa on t4.abt_id = pa.abt_id ";
	if($passiv==0) $sql .= "where t.aktiv = 'j' ";
	$sql .= "group by t.tel_id ";
	$sql .= $order;

	$tels = abfrage1($sql);

	if (mysql_num_rows($tels) > 0){
		echo "<table>\n";
		echo "<tr>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&passiv=$passiv&sort=1\">";
		echo "Typ</a></th>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&passiv=$passiv&sort=imei\"";
		echo stwToolTip('International Mobile Equipment Identity');
		echo ">IMEI</a></th>\n";

		echo "<th class=\"cl11\">Seriennummer</th>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&passiv=$passiv&sort=an\"";
		echo ">ausgegeben an</a></th>\n";

		echo "<th class=\"cl11\"><a href=\"$self?page=$page&passiv=$passiv&sort=abt\"";
		echo ">Abteilung</a></th>\n";

		echo "</tr>\n";
		new stwTabLine(2,30);

		while ($tel = mysql_fetch_assoc($tels)){
			echo "<tr class=\"mo\">\n"; $nicht = "0";
			if ($tel['aktiv'] == 'n'){
				$style = "style=\"color:rgb(128,128,128)\" title=\"nicht aktiv\"";
        $nicht = "1";
			} elseif ((empty($tel['ts_bis']) && !empty($tel['ts_von'])) || $tel["ts_bis"] >= time()) {
				$style = "style=\"color:rgb(255,0,0)\" title=\"ausgegeben\"";
        $nicht = "0";
			} else {
				$style = "style=\"color:rgb(0,255,0)\" title=\"frei\"";
        $nicht = "1";
			}

			echo "<td class=\"cl11\">";
			echo "<a $style href=\"mobtel_tel_and.php?tel_id={$tel['tel_id']}\">";
			echo (empty($tel['typ']) ? "LEER!" : $tel['typ']) . "</a></td>\n";
			echo "<td class=\"cl11\">{$tel['imei']}</td>\n";
			$ger_id = abfrage("select ger_id from tbh_ger_verknupf where id2='{$tel['tel_id']}' and verknupf='m'");
			if($ger_id[0]) $serial = abfrage("select serial from tb_ger where ger_id='$ger_id[0]'");
			else $serial[0] = '';
			echo "<td class=\"cl11\">".$serial[0]."</td>\n";

      /* wenn frei ist dann hat es auch keinen Besitzer mehr */
      if ($nicht == "0")
      {
        printf("<td class=\"cl11\">{$tel['pe_name']}</td>\n");
        printf("<td>{$tel['abt']}</td>\n");
      }
      else
      {
        printf("<td class=\"cl11\"></td>\n<td></td>\n");
      }

			echo "</tr>\n";
		}
		echo "</table>\n";
		new stwLine(1);
	} /* Ende Seite Mobiltelefone */


} elseif ($page == 3) {
	/* Beginn Seite SIM-Karten */
  echo "<table><tr><td><input type=\"button\" value=\"neue SIM-Karte\" ";
  echo "onClick=\"self.location.href='mobtel_sim_and.php'\"></td>\n";
  echo "<td class=\"cl20\">$passivButton</td>\n";
  echo "<th>Abteilung:</th>";
  echo "<td><select onchange=\"xajax_changeMobTelAbt(this.value)\">\n";
  echo "<option value=\"0\">- ALLE -</option>\n";
  $sql="select p.abt_id, p.name from tb_mob_aus m
		left join tbh_pers_abt a using(pers_id)
		left join tb_personal_abt p using(abt_id)
		group by abt_id order by p.name asc";
  $abts = abfrage1($sql);
  while($abt = mysql_fetch_row($abts)) {
	$selected = $_SESSION[$AppCode]["MobTelAbt"] == $abt[0] ? 'selected' : '';
	echo "<option $selected value=\"$abt[0]\">$abt[1]</option>\n";
  }
  echo "</select></td></tr></table>\n";
  new stwLine(1);

  $sql = "SELECT sim_id, sim_nr, tel_nr, aktiv, tarif, haupt FROM tb_mob_sim";
  if($passiv==0) $sql .= " where aktiv = 'j'";
  $sims = abfrage1($sql);

  $SIMS = $ORDER = array();
  if (mysql_num_rows($sims) > 0) {
  	/* Ueberschriften ausgeben */
    echo "<table>\n<tr>\n";

    echo "<th class=\"cl11\" colspan=\"2\"><a href=\"mobtel.php?page=3&passiv=$passiv&sort=1\">";
    echo "Tel.-Nr.</a></th>\n";

    echo"<th class=\"cl11\"><a href=\"mobtel.php?page=3&passiv=$passiv&sort=sim\">";
    echo "SIM-Nr.</a></th>\n";

    echo "<th class=\"cl11\"><a href=\"mobtel.php?page=3&passiv=$passiv&sort=tar\">";
    echo "Tarif</a></th>\n";

    echo "<th class=\"cl11\">Hauptkarte ?</th>\n";

    echo "<th class=\"cl11\"><a href=\"mobtel.php?page=3&passiv=$passiv&sort=an\">";
    echo "ausgegeben an</a></th>\n";

    echo "<th class=\"cl11\">Abteilung</th>\n</tr>\n";

		new stwTabLine(2, 30);

    /* jede Simkarte ausgeben */
	while ($sim1 = mysql_fetch_array($sims)) {
	  /* SQL Anfrage zusammenstellen */
	  $sql  = "SELECT t1.sim_id, t1.sim_nr, t1.tel_nr, t1.aktiv, t1.tarif, t1.haupt, ";
	  $sql .= "UNIX_TIMESTAMP(t2.bis) as bis_ts, ";
	  $sql .= "CONCAT(LEFT(t3.vorname, 1), '. ', t3.name) AS hname, ";
	  $sql .= "t5.name AS abt, t2.sim_id as t2_sim_id, t2.pers_id, t3.standard_abteilung ";
	  $sql .= "FROM tb_mob_aus t2 ";
	  $sql .= "LEFT JOIN tb_mob_sim t1 using(sim_id) ";
	  $sql .= "LEFT JOIN tb_personal t3 ON t2.pers_id = t3.pers_id ";
	  $sql .= "LEFT JOIN tb_personal_abt t5 ON t3.standard_abteilung = t5.abt_id ";
	  $sql .= "WHERE t2.sim_id = '$sim1[0]' ORDER BY t2.von DESC LIMIT 1";
	  $sim2 = abfrage_array($sql);
	  $SIMS[ $sim1[0] ] = ($sim2[0]) ? $sim2 : $sim1;
	  /* sortieren der Daten nach Nutzerwuenschen */
	  switch ($sort){
		case "1":   /* Defaultsortierung */
			$ORDER[ $sim1[0] ] = $sim1['tel_nr'];
			break;
		case "sim": /* nach den Simnummern sortieren */
			$ORDER[ $sim1[0] ] = $sim1['sim_nr'] . '_' . $sim1['tel_nr'];
			break;
		case "tar": /* nach Tarif sortiern */
			$ORDER[ $sim1[0] ] = $sim1['tarif'] . '_' . $sim1['tel_nr'];
			break;
		case "an":  /* nach Namen sortieren */
			$name = ($sim2['bis_ts'] >= time() || $sim2['bis_ts'] == 0) ? $sim2['hname'] : '';
			$ORDER[ $sim1[0] ] = $name . '_' . $sim1['tel_nr'];
			break;
		}
	}
	asort($ORDER);
	foreach($ORDER as $idx => $val) {
	  $sim = $SIMS[ $idx ];
      $continue = ($_SESSION[$AppCode]["MobTelAbt"] > 0);
	  $tt = '';
      if ($sim['bis_ts'] >= time() || $sim['bis_ts'] == 0) {
       	$name = $sim['hname'];
        $abt = 'keine Std.Abt.';
		$abts=abfrage1("select a.abt_id, p.name from tbh_pers_abt a 
						left join tb_personal_abt p using(abt_id) 
						where a.pers_id='{$sim['pers_id']}' 
						group by a.abt_id
						order by a.abt_id='{$sim['standard_abteilung']}' desc, p.name asc");
		if(mysql_num_rows($abts) == 0) $abt = 'KEINE';
		while($ab = mysql_fetch_row($abts)) {
			if($_SESSION[$AppCode]["MobTelAbt"] == $ab[0]) $continue = false;
			if($ab[0] == $sim['standard_abteilung'] || mysql_num_rows($abts)==1) $abt=$ab[1];
			else $tt .= "<li>$ab[1]</li>";
		}
      } else {
      	$continue = false;
		$name = '';
      	$abt  = '';
      }
	  if($continue) continue;
	  echo "<tr class=\"mo\">\n";

	  /* Farbe und Titel bestimmen */
	  if ($sim['aktiv'] == "n") {
		/* nicht genutzte SIM Karte */
		$color = "rgb(128,128,128)";
		$titel = "nicht aktiv";
      } elseif ($sim['t2_sim_id'] > 0 && $sim['bis_ts'] == 0) {
      	/* ist gerade ausgeliehen */
      	$color = "rgb(255,0,0)";
        $titel = "ausgegeben";
      } else {
      	/* kann rausgegeben werden weil frei */
        $color = "rgb(0,255,0)";
        $titel = "frei";
      }

      /* Telefonnummer ausgeben mit farbiger Markierung */
      echo "<td class=\"cl11\"><a style=\"color: $color;\" ";
      echo stwToolTip($titel);
			echo "href=\"mobtel_sim_and.php?sim_id=$sim[0]\">";
			if (empty($sim[2])) $nr = "LEER!"; else $nr = $sim[2];
			echo $nr . "</a></td>\n";

	  /* Klammer */
	  $daten = new stwDaten("26");
	  $link  = $daten->get_klammer_link($_SESSION["webdir"],
										$_SESSION[$AppCode]["UID"],
										$_SESSION[$AppCode]["ULV"],
										$sim[0], "0");
	  echo "<td class=\"cl11\">$link</td>";


      /* SIM Nummer ausgeben */
      echo "<td class=\"cl11\">" . $sim['sim_nr'] . "</td>\n";

      /* Tarif ausgeben */
      echo "<td class=\"cl11\">" . $sim['tarif'] . "</td>\n";

      /* Hauptkarte */
      $hpt = ($sim['haupt'] == 'j') ? 'ja' : 'nein';
      echo "<td class=\"cl11\" style=\"text-align:center\">$hpt</td>\n";

      /* aktuellen Besitzer und Abteilung ausgeben */
      echo "<td class=\"cl11\">$name</td>\n";
	  if(strlen($tt)>0) $tt = stwToolTip($tt);
	  echo "<td $tt>$abt</td>\n</tr>\n";
    }

    echo "</table>\n";
    new stwLine(1);
  }
} /* Bereich SIM-Karten Ende */

new stwEnd($seite);
?>
