<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: mobtel_pr1.php 2167 2013-09-17 19:50:22Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(25.0);
$pdf->SetAutoPageBreak(false);

$no_foot = true;
$no_nr = true;
$no_footline = true;

$pdf->AddPage();

$zh = 5.5;

$aus = abfrage("select t.typ,
				t.imei,
				s.tel_nr,
				s.sim_nr,
				a.pers_a,
				a.pers_r,
				date_format(a.von, '%d.%m.%Y'),
				date_format(a.von, '%H:%i Uhr'),
				date_format(a.bis, '%d.%m.%Y'),
				date_format(a.bis, '%H:%i Uhr'),
				notizen_a, notizen_r
				from tb_mob_aus a
				left join tb_mob_tel t on a.tel_id = t.tel_id
				left join tb_mob_sim s on a.sim_id = s.sim_id
				where a.tel_id = $rvar_tel_id
				and a.sim_id = $rvar_sim_id
				and a.pers_id = $rvar_pers_id
				and unix_timestamp(a.von) = '$rvar_datum';");

$pdf->SetXY(25,25);
$pdf->SetFont('stw','',18);
$pdf->Cell(180,$zh,'Telefonkarte');

$pdf->SetXY(25,35);
$pdf->Cell(160, $zh, '','T');
$pdf->Ln(1);
$pdf->SetFont('arialb','',12);
$pdf->Cell(40,$zh,'Telefon :');
$pdf->SetFont('arial','',12);

if ($rvar_tel_id == 0){
	$tel = "ohne Mobiltelefon";
	$imei = "";
} else {
	$tel = "$aus[0]";
	$imei = "IMEI $aus[1]";
}

$pdf->Cell(40,$zh,$tel);
$pdf->Cell(80,$zh,$imei);

$pdf->Ln($zh);

$pdf->SetFont('arialb','',12);
$pdf->Cell(40,$zh,'SIM-Karte :');
$pdf->SetFont('arial','',12);

if ($rvar_sim_id == 0){
	$sim = "ohne SIM-Karte";
	$snr = "";
} else {
	$sim = "Tel. $aus[2]";
	$snr = "SIM-Nr. $aus[3]";
}

$pdf->Cell(40,$zh,$sim);
$pdf->Cell(80,$zh,$snr);


$pdf->Ln(2 * $zh);

$pdf->Cell(160, $zh, '','T');
$pdf->Ln(1);
$pdf->SetFont('arialb','',12);
$pdf->Cell(30,$zh,'Ausgabe');
$pdf->Cell(10,$zh,'am :',0,0,'R');
$pdf->SetFont('arial','',12);
$pdf->Cell(30,$zh,$aus[6]);
$pdf->SetFont('arialb','',12);
$pdf->Cell(25,$zh,'Notizen :',0,0,'R');

$y = $pdf->GetY();

$pdf->SetFont('arial','',12);
$pdf->MultiCell(65,$zh,wordwrap($aus[10],20,"\n"));

$pdf->SetXY(25,$y + $zh);
$pdf->SetFont('arialb','',12);
$pdf->Cell(40,$zh,'um :',0,0,'R');
$pdf->SetFont('arial','',12);
$pdf->Cell(40,$zh,$aus[7]);

$pdf->Ln($zh);
$pdf->SetFont('arialb','',12);
$pdf->Cell(40,$zh,'durch :',0,0,'R');
$pdf->SetFont('arial','',12);
$pdf->Cell(40,$zh,pers_name($aus[4]));

$pdf->Ln($zh);
$pdf->SetFont('arialb','',12);
$pdf->Cell(40,$zh,'an :',0,0,'R');
$pdf->SetFont('arial','',12);
$pdf->Cell(40,$zh,pers_name($rvar_pers_id));

$pdf->Ln(4 * $zh);

$pdf->Cell(60,$zh,pers_name($aus[4]),'T');
$pdf->Cell(40,$zh,'');

$pdf->Cell(60,$zh,pers_name($rvar_pers_id),'T');

$pdf->Ln(2 * $zh);


if (!empty($aus[5])){
	
	$pdf->Cell(160, $zh, '','T');
	$pdf->Ln(1);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(30,$zh,'Rckgabe');
	$pdf->Cell(10,$zh,'am :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(30,$zh,$aus[8]);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(25,$zh,'Notizen :',0,0,'R');
	
	$y = $pdf->GetY();
	
	$pdf->SetFont('arial','',12);
	$pdf->MultiCell(65,$zh,wordwrap($aus[11],20,"\n"));
	
	$pdf->SetXY(25,$y + $zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'um :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,$aus[9]);
	
	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'von :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,pers_name($rvar_pers_id));
	
	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'an :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,pers_name($aus[5]));
	
	$pdf->Ln(4 * $zh);
	
	$pdf->Cell(60,$zh,pers_name($aus[5]),'T');
	$pdf->Cell(40,$zh,'');
	
	$pdf->Cell(60,$zh,pers_name($rvar_pers_id),'T');
	
	$pdf->Ln(8 * $zh);
	
	$pdf->SetFont('arial','',8);
	$pdf->Cell(160,$zh,'---8<------- Hier Quittung fr Mitarbeiter abtrennen! ------','B', 0, 'C');
	$pdf->Ln($zh + 1);

	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'Telefon :');
	$pdf->SetFont('arial','',12);
	
	if ($rvar_tel_id == 0){
		$tel = "ohne Mobiltelefon";
		$imei = "";
	} else {
		$tel = "$aus[0]";
		$imei = "IMEI $aus[1]";
	}
	
	$pdf->Cell(40,$zh,$tel);
	$pdf->Cell(80,$zh,$imei);
	
	$pdf->Ln($zh);

	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'SIM-Karte :');
	$pdf->SetFont('arial','',12);
	
	if ($rvar_sim_id == 0){
		$sim = "ohne SIM-Karte";
		$snr = "";
	} else {
		$sim = "Tel. $aus[2]";
		$snr = "SIM-Nr. $aus[3]";
	}
	
	$pdf->Cell(40,$zh,$sim);
	$pdf->Cell(80,$zh,$snr);
	
	$pdf->Ln($zh);
	
	$pdf->Cell(160, $zh, '','T');
	$pdf->Ln(1);
	
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(30,$zh,'Rckgabe');
	$pdf->Cell(10,$zh,'am :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(30,$zh,$aus[8]);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(25,$zh,'Notizen :',0,0,'R');
	
	$y = $pdf->GetY();
	
	$pdf->SetFont('arial','',12);
	$pdf->MultiCell(65,$zh,wordwrap($aus[11],20,"\n"));
	
	$pdf->SetXY(25,$y + $zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'um :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,$aus[9]);
	
	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'von :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,pers_name($rvar_pers_id));
	
	$pdf->Ln($zh);
	$pdf->SetFont('arialb','',12);
	$pdf->Cell(40,$zh,'an :',0,0,'R');
	$pdf->SetFont('arial','',12);
	$pdf->Cell(40,$zh,pers_name($aus[5]));
	
	$pdf->Ln(4 * $zh);
	
	$pdf->Cell(60,$zh,pers_name($aus[5]),'T');
	$pdf->Cell(40,$zh,'');
	
	$pdf->Cell(60,$zh,pers_name($rvar_pers_id),'T');
}

$pdf->Output();
exit;
?>
