<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: nachr.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
if (!isset($_SESSION)) {
	session_start();
}

$seite = 52;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 9);

require_once($pfad."inc/func.inc.php");
$pers_order = getPersOrder($seite);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function erledigt($uid, $nachr_id) {
	global $AppCode;
	$userResp = new xajaxResponse();
	$sql = "update tb_nachr_an set erl = now()
			where nachr_id = '$nachr_id' 
			and pers_id = '$uid';";
	abfrage2($sql);
	$userResp->assign("chk_".$nachr_id, 'disabled', 'disabled');
	$userResp->assign("chk_".$nachr_id, 'checked', 'checked');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('erledigt');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/stw.inc.php");

set_session_url();

if(!isset($_SESSION[$AppCode]['nachr_sort']) || !isset($_REQUEST['ans'])) $_SESSION[$AppCode]['nachr_sort'] = 'sent';
if(isset($_GET['sort'])) {
	$_SESSION[$AppCode]['nachr_sort'] = $_GET['sort'];
}

if(isset($rvar_erledigt)) {
	if (is_array($rvar_erledigt)){
	  foreach($rvar_erledigt as $erledigt) {
		$sql  = "update tb_nachr_an set erl = now() ";
		$sql .= "where nachr_id = '$erledigt' and pers_id = '$rvar_ma';";
		abfrage2($sql);
	  }
	} else {
		$sql  = "update tb_nachr_an set erl = now() ";
		$sql .= "where nachr_id = '$rvar_erledigt' and pers_id = '$rvar_ma';";
		abfrage2($sql);
	}
}

if (isset($rvar_erl_abs) && is_array($rvar_erl_abs)){
  foreach($rvar_erl_abs as $erl_abs) {
	$sql  = "update tb_nachr set erledigt_dt = now() ";
	$sql .= "where nachr_id = '$erl_abs';";
	abfrage2($sql);
  }
}

if (isset($rvar_del)){
	$sql = "delete from tb_nachr_an where nachr_id = '$rvar_del';";
	abfrage2($sql);

	$sql = "delete from tb_nachr where nachr_id = '$rvar_del' limit 1;";
	abfrage2($sql);

	$sql = "delete from tb_nachr_anhang where nachr_id = '$rvar_del';";
	abfrage2($sql);
}

/* Ansicht (1=empfange Nachrichten, 2=gesendete Nachrichten) */
$ans = (isset($_REQUEST['ans'])) ? $_REQUEST['ans'] : 1;

/* Auch erledigte Nachrichten anzeigen (0=nur unerledigt, 2=auch erledigte) */ 
$erl = (isset($_GET['erl'])) ? $_GET['erl'] : 0;

/* Filterung Zeitraum (Tage/Wochen/Monate/Jahre) */
$anz = (isset($_GET['anz'])) ? $_GET['anz'] : 'w1';

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

$tg = date('Y-m-d', $tag);

switch ($anz){
	case 'w1':
	case 'w2':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (7 * 86400);
		break;

	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;

	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;

	case 't';
		$sql_beg = $tag;
		$sql_end = mktime(23,59,59,date('n',$tag), date('j',$tag), date('Y',$tag));
		break;
}

echo "<table>\n<tr>\n";

$class = ($ans == 1) ? 'menuactive' : 'menuinactive';
echo "<td class=\"$class\"><a href=\"{$_SERVER['PHP_SELF']}?ans=1&amp;erl=$erl&amp;tag=$tg&amp;anz=$anz\">";
echo "empfangene</a></td>\n";

$class = ($ans == 2) ? 'menuactive' : 'menuinactive';
echo "<td class=\"$class\"><a href=\"{$_SERVER['PHP_SELF']}?ans=2&amp;erl=1&amp;tag=$tg&amp;anz=$anz\">";
echo "gesendete</a></td>\n";

echo "<td width=\"20\"></td>\n";

if ($erl == 1){
	$erl_txt = 'nur unerledigte';
	$erl_url = 0;
} else {
	$erl_txt = 'auch erledigte';
	$erl_url = 1;
}

echo "<td class=\"cl11\"><input type=\"button\" ";
echo "value=\"$erl_txt\" onclick=\"self.location.href='{$_SERVER['PHP_SELF']}?";
echo "ans=$ans&amp;erl=$erl_url&amp;anz=$anz&amp;tag=$tg'\" /></td>\n";

echo "<td class=\"cl11\"><input type=\"button\" value=\"neue Nachricht\" ";
echo "onclick=\"self.location.href='nachr_and.php'\" /></td>\n";

if ($ans == 1){
	$quer1 = 'n.von';
	$quer2 = 'a.pers_id';
	$headl = 'Absender';
} else {
	$quer1 = 'a.pers_id';
	$quer2 = 'n.von';
	$headl = 'Empf&auml;nger';
}

echo "<th class=\"cl1\">Suche:</th>\n";
echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"ans\" value=\"".$ans."\" />\n";
echo "<td><input type=\"text\" name=\"suche\" size=\"20\" maxlength=\"30\"";
if (isset($_POST['suche'])) echo " value=\"{$_POST['suche']}\"";
echo " /></td>\n";
echo "<td><select name=\"suchfeld\" size=\"1\" style=\"width:50px;\">\n";
$suchfeld = isset($_POST['suchfeld']) ? $_POST['suchfeld'] : 0;
$s = $suchfeld == 0 ? "selected=\"selected\"" : "";
echo "<option value=\"0\" ".$s.">alle</option>\n";
$s = $suchfeld == 1 ? "selected=\"selected\"" : "";
echo "<option value=\"1\" ".$s.">Betreff</option>\n";
$s = $suchfeld == 2 ? "selected=\"selected\"" : "";
echo "<option value=\"2\" ".$s.">Text</option>\n";
$s = $suchfeld == 3 ? "selected=\"selected\"" : "";
echo "<option value=\"3\" ".$s.">".$headl."</option></select>\n";
echo "<td><input type=\"image\" src=\"img/senden.png\" alt=\"Senden\"/></td>\n";
echo "</form>\n";

echo "</tr>\n";
echo "</table>\n";
new stwLine(1);

$sql = "select
		n.nachr_id,
		$quer1,
		date_format(n.sent,'%d.%m.%y %H:%i'),
		n.betreff,
		n.text,
		unix_timestamp(a.erl) as erledigt,
		date_format(a.erl,'%d.%m.%y %H:%i'),
		date_format(a.gel,'%d.%m.%y %H:%i'),
		unix_timestamp(a.gel) as gelesen,
		a.cc, ";
if ($ans == 1) {
	$sql.= "a.antw_id, ";
}
$sql.= "n.erledigt as erl_abs,
		unix_timestamp(n.erledigt_dt) as erl_abs_ts,
		prio.prioritaet
		from tb_nachr n
		left join tb_nachr_an a using (nachr_id)
		left join tb_prio prio using(prio)
		left join tb_personal p on $quer1 = p.pers_id ";

$sql.= "where ".$quer2." = '{$_SESSION[$AppCode]['UID']}' ";


if (isset($_POST['suche'])) {
	switch ($suchfeld){
	  case 3:
		$sql .= "and (p.vorname like '%{$_POST['suche']}%' " .
				"or p.name like '%{$_POST['suche']}%') ";
	  break;
	  case 2:
		$sql .= "and n.text like '%{$_POST['suche']}%' ";
	  break;
	  case 1:
		$sql .= "and n.betreff like '%{$_POST['suche']}%' ";
	  break;
	  default:
		$sql .= "and (n.betreff like '%{$_POST['suche']}%' " .
				"or n.text like '%{$_POST['suche']}%' " .
				"or p.vorname like '%{$_POST['suche']}%' " .
				"or p.name like '%{$_POST['suche']}%') ";
	}
} else {
	if ($erl == 1) {
		if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
			$sql .= "and (unix_timestamp(n.sent) >= '$sql_beg' " .
					"and unix_timestamp(n.sent) <= '$sql_end') ";
		}
		if(isset($_GET['wv'])) $sql .= "and n.erledigt = 1 ";
	} else {
		$sql .= 'and (a.erl is null or unix_timestamp(a.erl) = 0) ';
	}
}

if ($ans == 2) {
	$sql .= "or (n.erledigt = '1' and (unix_timestamp(n.erledigt_dt) = 0 " .
			"or n.erledigt_dt is null) and " .
			"n.von = '{$_SESSION[$AppCode]['UID']}') " .
			"group by n.nachr_id ";
}

$sql .= "order by ";
switch($_SESSION[$AppCode]['nachr_sort']) {
	case 'betreff':
		$sql .= "n.betreff='[kein Betreff]' desc, n.betreff asc;";
		break;
	case 'prio':
		$sql .= "n.prio desc, unix_timestamp(n.sent) desc;";
		break;
	case 'ma':
		$sql .= ($pers_order==2) ? "p.name asc, p.vorname asc;" : "p.vorname asc, p.name asc;";
		break;
	case 'gelesen':
		$sql .= "a.gel IS NULL desc, gelesen desc;";
		break;
	case 'erledigt':
		$sql .= "n.erledigt_dt desc, a.gel IS NULL desc, gelesen desc;";
		break;
	default:
		$sql .= "unix_timestamp(n.sent) desc;";
		break;
}
$mails = abfrage1($sql);

if (mysql_num_rows($mails) > 0){
	echo "<table>\n";
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"ma\" value=\"{$_SESSION[$AppCode]['UID']}\" />\n";
	echo "<input type=\"hidden\" name=\"ans\" value=\"$ans\" />\n";
	echo "<input type=\"hidden\" name=\"erl\" value=\"$erl\" />\n";

	echo "<tr><th class=\"cl1\" colspan=\"2\"><a href=\"".$_SERVER['PHP_SELF']."?ans=$ans&amp;anz=$anz&amp;tag=$tg&amp;erl=$erl&amp;sort=betreff\">Betreff</a></th>";
	echo "<th class=\"cl1\"><a href=\"".$_SERVER['PHP_SELF']."?ans=$ans&amp;anz=$anz&amp;tag=$tg&amp;erl=$erl&amp;sort=prio\">Priorit&auml;t</a></th>";
	echo "<th class=\"cl1\"><a href=\"".$_SERVER['PHP_SELF']."?ans=$ans&amp;anz=$anz&amp;tag=$tg&amp;erl=$erl&amp;sort=ma\">$headl</a></th>";
	echo "<th class=\"cl1\"><a href=\"".$_SERVER['PHP_SELF']."?ans=$ans&amp;anz=$anz&amp;tag=$tg&amp;erl=$erl&amp;sort=sent\">gesendet</a></th>";
	echo "<th class=\"cl1\"><a href=\"".$_SERVER['PHP_SELF']."?ans=$ans&amp;anz=$anz&amp;tag=$tg&amp;erl=$erl&amp;sort=gelesen\">gelesen</a></th>";
	if ($erl == 1 || isset($_POST['suche'])){
		echo "<th class=\"cl1\"><a href=\"".$_SERVER['PHP_SELF']."?ans=$ans&amp;anz=$anz&amp;tag=$tg&amp;erl=$erl&amp;sort=erledigt\">erledigt</a></th>";
	}
	if ($ans == 2){
		echo "<td></td>\n";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);

	/* Downloadobjekt initialisieren */
	$daten = new stwDaten("12");

	while ($mail = mysql_fetch_array($mails)){
		echo "<tr class=\"mo\">";
		$gesprnotes = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='$mail[0]'");
		if(mysql_num_rows($gesprnotes) > 0) {
			$tel = mysql_fetch_array($gesprnotes);
			$img = "<img src=\"img/note.png\" alt=\"Gespr&auml;chsnotiz\"";
			$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
			if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
			if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
			$text .= "<br />";
			if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
			if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
			if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
			if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
			if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
			if($tel['war_da'] == 'j') $text .= "(war da) ";
			if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
			if($mail['gelesen'] > 0) $text .= "<br /><br />".strip_tags($mail['text']);
			$img .= stwToolTip($text) . "/>";
		} else {
			$img = "<img src=\"img/brief.png\" alt=\"Gespr&auml;chsnotiz\"";
			if($mail['gelesen'] > 0) $img .= stwToolTip(strip_tags($mail['text']));
			$img .= "/>";
		}
		echo "<td style=\"vertical-align:middle\">$img</td>";
		echo "<td class=\"cl1\">";

		if ($mail['erl_abs'] == 1 && empty($mail['erl_abs_ts'])) {
			$style  = " style=\"color: #FF0000;\"";
			$style .= stwToolTip('offene Wiedervorlage Absender');
		} elseif ($mail['erl_abs'] == 1 && $mail['erl_abs_ts'] > 0){
			$txt    = 'Wiedervorlage Absender erledigt ';
			$txt   .= date('d.m.Y H:i', $mail['erl_abs_ts']);
			$style  = " style=\"color: #00FF00;\"";
			$style .= stwToolTip($txt) ;
		} elseif ($mail['erledigt'] > 0){
			$style = " style=\"color:#999999;\"";
		} else {
			$style = '';
		}

		echo "<a href=\"nachr_and.php?nachr_id=$mail[0]\" $style>";
		if ($ans == 1 && $mail['cc'] == 1){
			echo "<span style=\"color:lime;\">nur zur Info:&nbsp;</span>";
		}
		echo "$mail[3]</a></td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center; ";
		switch ($mail['prioritaet']) {
		case 'niedrig':
			echo "color:lightgrey\"";
			break;
		case 'normal':
			echo "color:yellow\"";
			break;
		case 'hoch':
			echo "color:red\"";
			break;
		}
		echo ">{$mail['prioritaet']}</td>";
		$adr_tooltip = " ";
		if ($ans == 1) {
			$data = $pers_order==2 ? pers_kname2($mail[1]) : ($_SESSION[$AppCode]['nachr_sort'] == 'ma' ? pers_name($mail[1]) : pers_kname($mail[1]));
			$adr_tooltip = pers_tooltip($mail[1]);
		} else {
			$adrs = abfrage1("select pers_id, cc from tb_nachr_an where nachr_id = $mail[0] order by cc;");
			if (mysql_num_rows($adrs) == 1){
				$adr = mysql_fetch_row($adrs);
				$data = $pers_order==2 ? pers_kname2($adr[0]) : ($_SESSION[$AppCode]['nachr_sort'] == 'ma' ? pers_name($adr[0]) : pers_kname($adr[0]));
				if ($adr[1] == 1) {
					$adr_tooltip = pers_tooltip($adr[0],"(nur zur Information)");
				} else $adr_tooltip = pers_tooltip($adr[0]);
			} else {
				$adr_namen = "";
				$cc_info = false;
				while ($adr = mysql_fetch_row($adrs)) {
					if (!$cc_info && $adr[1] == 1) {
						if ($adr_namen != "") {
							$adr_namen .= "<br />";
						}
						$adr_namen .= "nur zur Information: ";
					} elseif ($adr_namen != "") {
						$adr_namen .= ", ";
					}
					$adr_namen .= $pers_order==2 ? pers_kname2($adr[0]) : pers_kname($adr[0]);
				};
				$data = "<span style=\"font-style:italic\">mehrere</span>";
				if ($adr_namen != "") {
					$adr_tooltip .= stwToolTip($adr_namen);
				}
			}
		}
		echo "<td class=\"cl1\"".$adr_tooltip.">".$data."</td>\n";
		echo "<td class=\"cl1\">$mail[2]</td>\n";
		echo "<td class=\"cl1\">";
		echo ($mail[8] > 0) ? $mail[7] : '';
		echo "</td>\n";
		echo "<td class=\"cl1\">";
		echo ($erl == 1 && $mail[5] > 0) ? $mail[6] : '';
		echo "</td>\n";
		if ($ans == 1 && empty($mail[5]) && $mail['gelesen'] > 0){
			echo "<td class=\"cl1\">";
			echo "<input type=\"checkbox\" id=\"chk_$mail[0]\" ";
			echo "onmousedown=\"xajax_erledigt(".$_SESSION[$AppCode]['UID'].",$mail[0])\" ";
			echo stwToolTip('als erledigt markieren') . " /></td>\n";
		} else {
			echo "<td class=\"cl1\"></td>";
		}

		if ($ans == 2) {
			echo "<td>";
			if ($mail['erl_abs'] == 1 && empty($mail['erl_abs_ts'])){
				echo "<input type=\"checkbox\" name=\"erl_abs[]\" value=\"$mail[0]\" ";
				echo "onmousedown=\"if(event.button==2){this.checked=!this.checked;}else{this.checked=1;this.form.submit();}\" ";
				$txt = 'Wiedervorlage Absender als erledigt markieren!';
				echo stwToolTip($txt) . " />";
			}
			echo "</td>\n";
		} else {
			if ($mail['antw_id'] != 0) {
				if ($mail['antw_id'] > 0) {
					$antw_tooltip="Antwort";
					$antw_bild="antwort";
				} else {
					$antw_tooltip="Weiterleitung";
					$antw_bild="weiterl";
				}
				echo "<td class=\"cl1\">";
				echo "<a href=\"nachr_and.php?nachr_id=".abs($mail['antw_id'])."\" ";
				echo stwToolTip($antw_tooltip." anzeigen");
				echo "><img src=\"img/$antw_bild.png\" alt=\"$antw_tooltip anzeigen\" /></a>";
				echo "</td>\n";
			} else {
				echo "<td class=\"cl1\"";
				echo stwToolTip('Noch nicht geantwortet');
				echo ">";
				echo "</td>\n";
			}
		}



		/* Download fuer diese Nachricht anbieten */
		$link = $daten->get_klammer_link(
						$_SESSION["webdir"],
						$_SESSION[$AppCode]["UID"],
						$_SESSION[$AppCode]["ULV"],
						$mail[0], '0');

		echo "<td>$link</td>";
		echo "<td class=\"cl1\"><a href=\"nachr_pr.php?nachr_id=$mail[0]&ts=" . time() . "\" ";
		echo "onmousedown=\"self.location.href='nachr_and.php?nachr_id=$mail[0]'\" ";
		echo "target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"Drucken\"";
		echo stwToolTip('Nachricht drucken') . "border=\"0\" /></a></td>\n";

		if ($_SESSION[$AppCode]['ULV'] >= 97 || (empty($mail[8]) && $ans == 2)){
			echo "<td><a href=\"{$_SERVER['PHP_SELF']}?";
			echo "del=$mail[0]&amp;ans=$ans&amp;anz=$anz&amp;tag=$tg&amp;erl=$erl\"";
			echo stwToolTip('<b>VORSICHT!</b> Nachricht l&ouml;schen!');
			echo "onclick=\"return confirm('Nachricht wirklich l&ouml;schen?')\"";
			echo "style=\"color: #F00;\">X</a></td>\n";
		}

		echo "</tr>";
		flush();
	}
	echo "</form>\n</table>\n";
	new stwLine(1);
}
new stwEnd($seite, $erl);
?>
