<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: nachr_and.php 2902 2018-11-05 16:04:14Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
if (!isset($_SESSION)) {
	session_start();
}

/* Seitennummer innerhalb des Menues */
$seite = 52;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

require_once($pfad . 'inc/func.inc.php');
$pers_order = getPersOrder($seite);
$nachr_abt = getConf('NachrichtenAbt');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function SignZeileEinblenden($dat){
	$userResp = new xajaxResponse();
	if ($dat == true){
		$userResp->assign('SignZeile', 'style.display', 'table-row');
	} else {
		$userResp->assign('SignZeile', 'style.display', 'none');
	}
	return $userResp;
}

function GesprNoteZeileEinblenden($dat){
	$userResp = new xajaxResponse();
	if ($dat == true){
		$userResp->assign('GesprNoteZeile', 'style.display', 'table-row');
	} else {
		$userResp->assign('GesprNoteZeile', 'style.display', 'none');
	}
	return $userResp;
}

function markAbt($abt_id, $ma, $al, $spr){
	$userResp = new xajaxResponse();
	$abt_ids = $abt_id;
	if($al || $spr) {
		$subs = abfrage1("select sub_abt_id from tbh_pers_abt where abt_id='$abt_id' and sub_abt_id>0 group by sub_abt_id");
		while($sub = mysql_fetch_row($subs)) {
			$abt_ids .= "," . $sub[0];
		}
	}
	if($spr) {
		$sprechers = abfrage1("select sprecher from tb_personal_abt where abt_id in ($abt_ids)");
		while($sprecher = mysql_fetch_row($sprechers)) {
			if($sprecher[0]) $userResp->assign("empf$sprecher[0]", 'selected', 'selected');
		}
	}
	if($ma || $al) {
		$sql = "select p.pers_id from tb_personal p ";
		if($ma) $sql .= "left join tbh_pers_abt pa using(pers_id) ";
		if($al) $sql .= "left join tb_personal_abt_leit al using(pers_id) ";
		$sql .= "where ";
		if($ma) $sql .= "pa.abt_id in ($abt_ids) ";
		if($ma && $al) $sql .= "or ";
		if($al) $sql .= "al.hidden='n' and al.abt_id in ($abt_ids) ";
		$sql .= "group by p.pers_id";
		$mas = abfrage1($sql);
		while($ma = mysql_fetch_row($mas)) {
			$userResp->assign("empf$ma[0]", 'selected', 'selected');
		}
	}
	$userResp->assign("abt0", 'selected', 'selected');
	return $userResp;
}

function markAbtCC($abt_id, $ma, $al, $spr){
	$userResp = new xajaxResponse();
	$abt_ids = $abt_id;
	if($al || $spr) {
		$subs = abfrage1("select sub_abt_id from tbh_pers_abt where abt_id='$abt_id' and sub_abt_id>0 group by sub_abt_id");
		while($sub = mysql_fetch_row($subs)) {
			$abt_ids .= "," . $sub[0];
		}
	}
	if($spr) {
		$sprechers = abfrage1("select sprecher from tb_personal_abt where abt_id in ($abt_ids)");
		while($sprecher = mysql_fetch_row($sprechers)) {	
			if($sprecher[0]) $userResp->assign("cc$sprecher[0]", 'selected', 'selected');
		}
	}
	if($ma || $al) {
		$sql = "select p.pers_id from tb_personal p ";
		if($ma) $sql .= "left join tbh_pers_abt pa using(pers_id) ";
		if($al) $sql .= "left join tb_personal_abt_leit al using(pers_id) ";
		$sql .= "where ";
		if($ma) $sql .= "pa.abt_id in ($abt_ids) ";
		if($ma && $al) $sql .= "or ";
		if($al) $sql .= "al.hidden='n' and al.abt_id in ($abt_ids) ";
		$sql .= "group by p.pers_id";
		$mas = abfrage1($sql);
		while($ma = mysql_fetch_row($mas)) {
			$userResp->assign("cc$ma[0]", 'selected', 'selected');
		}
	}
	$userResp->assign("abt0cc", 'selected', 'selected');
	return $userResp;
}

function markProj($proj_id){
	$hiddenEmpf = "";
	$userResp = new xajaxResponse();
	if($proj_id[0] == 't') {
		$mas = abfrage1("select pers_id from tb_team_art_pers where team_art_id = '".substr($proj_id,1)."'");
		while($ma = mysql_fetch_row($mas)) {
			$userResp->assign("cc$ma[0]", 'selected', 'selected');
			$hiddenEmpf .= "<input type=\"hidden\" name=\"cc[]\" value=\"$ma[0]\" />";
		}
	} elseif(is_numeric($proj_id)) {
		$mas = abfrage1("select pers_id from tbh_pers_proj where proj_id = '$proj_id'");
		while($ma = mysql_fetch_row($mas)) {
			$userResp->assign("cc$ma[0]", 'selected', 'selected');
			$hiddenEmpf .= "<input type=\"hidden\" name=\"cc[]\" value=\"$ma[0]\" />";
		}
	}
	$userResp->assign('hiddenEmpf', 'innerHTML', $hiddenEmpf);
	$userResp->call("document.nachrichtenform.submit()");
	return $userResp;
}

function SignSpeichern($pers_id, $signatur) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select nachr_sign from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set nachr_sign = '" . $signatur . "'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('SignSpeicherMeldung', 'style.display', 'block');
	return $userResp;
}

function FormatSpeichern($pers_id, $format) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select nachr_format from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set nachr_format = '" . $format . "'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('FormatIcon', 'style.color', 'lime');
	return $userResp;
}

function al_tt($pers_id, $check) {
	$sql = "replace into tb_pers_einst_neu set pers_id='$pers_id',pers_einst_id='56',wert='$check'";
	abfrage2($sql);
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('SignZeileEinblenden');
$xajax->registerFunction('GesprNoteZeileEinblenden');
$xajax->registerFunction('markAbt');
$xajax->registerFunction('markAbtCC');
$xajax->registerFunction('markProj');
$xajax->registerFunction('SignSpeichern');
$xajax->registerFunction('FormatSpeichern');
$xajax->registerFunction('al_tt');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');

$time = date('Y-m-d H:i');

/* --- Anzeigeberechtigung abklaeren --- */
if (isset($rvar_nachr_id)){
	$sql = "select von, proj_id from tb_nachr where nachr_id = '$rvar_nachr_id';";
	$absender = abfrage($sql);

	$sql = "select pers_id from tb_nachr_an where nachr_id = '$rvar_nachr_id';";
	$erg_empf = abfrage1($sql);

	$empfaenger = array();
	while ($item_empf = mysql_fetch_row($erg_empf)) {
		$empfaenger[] = $item_empf[0];
	}

	if ($uid == $absender[0] || in_array($uid, $empfaenger)){
		$nachricht_anzeigen = true;
	}

} elseif ($rvar_send == 'Absenden' && $rvar_an > 0){
	if ($uid == $rvar_von || in_array($uid, $_REQUEST['an'])){
		$nachricht_anzeigen = true;
	}
}

if(!$nachricht_anzeigen) {
	if(!empty($absender[1]) && check_projekt_berechtigung($absender[1])) $nachricht_anzeigen = true;
	else {
		$sql = "select id2 from tbh_postzuordnung where posttyp='n' and typ='p' and id='$rvar_nachr_id'";
		$pzos = abfrage1($sql);
		while($pzo = mysql_fetch_row($pzos)) {
			if(check_projekt_berechtigung($pzo[0])) {
				$nachricht_anzeigen = true;
				break;
			}
		}
	}
}

/* --- evtl. Nachricht absenden --- */
if ($rvar_send == 'Absenden' && $rvar_an > 0) {
	$betr = (empty($rvar_betreff)) ? '[kein Betreff]' : $rvar_betreff;
	if(empty($uid)) $uid = $rvar_von;
	/* evtl. Signatur anhaengen */
	if ($rvar_signatur == 1){
		$sql = "select nachr_sign from tb_pers_einst where pers_id = '$uid';";
		$sign = abfrage($sql);
		if (strlen($sign[0]) > 0) {
			$nachr_text = $rvar_text . "<br /><br />" . $sign[0];
		} else {
			$nachr_text = $rvar_text;
		}
	} else {
		$nachr_text = $rvar_text;
	}

	$proj_id = $res_id = $team_art_id = $pers_id = 0;
	if($rvar_projekte[0]=='w') $res_id = substr($rvar_projekte,1);
	elseif($rvar_projekte[0]=='t') $team_art_id = substr($rvar_projekte,1);
	elseif($rvar_projekte[0]=='m') $pers_id = substr($rvar_projekte,1);
	elseif($rvar_projekte[0]=='a') $abt_id = substr($rvar_projekte,1);
	else $proj_id = $rvar_projekte;
	if(strlen($nachr_text) >= 65535) {
		$nachr_text = preg_replace('/<img(.*)>/U','<br><img src="image.png" title="Entschuldigung. Grafik wurde auf Grund ihrer Gr&ouml;&szlig;e von mehr als 60kB entfernt"><br>',$nachr_text);
	}
	$sql = "insert into tb_nachr set von = '$uid', sent = '$time', 
			betreff = '$betr', text = '$nachr_text', prio = '$rvar_prio', proj_id = '$proj_id',
			res_id='$res_id', team_art_id='$team_art_id', pers_id='$pers_id'";

	if ($rvar_erl_abs == 1){
		$sql .= ", erledigt = 1";
	}
	$sql .= ';';

	abfrage2($sql);
	$rvar_nachr_id = mysql_insert_id();
	$empfaenger = array();
	if (is_array($_POST['an'])) {
		reset($_POST['an']);
		foreach ($_POST['an'] as $k => $v) {
			if(empty($empfaenger[$v])) {
				$empfaenger[$v] = 1;
				$sql  = "replace into tb_nachr_an set nachr_id = '$rvar_nachr_id', " .
						"pers_id = '$v';";
				abfrage2($sql);
				$benachr = pers_benachr($v);
				if ($benachr !== false){
					$betreff = 'neue Nachricht in Stellware';
					$inhalt = 'Sie haben eine neue Nachricht in Stellware!';
					$abs = getConf('email_ben_abs');
					if (strlen($abs) > 0){
						$header = "From: $abs\r\n";
						mail($benachr, $betreff, $inhalt, $header);
					} else {
						mail($benachr, $betreff, $inhalt);
					}
				}
			}
		}
	}

	if (is_array($_POST['cc'])) {
		reset($_POST['cc']);
		foreach ($_POST['cc'] as $k => $v) {
			if(empty($empfaenger[$v])) {
				$empfaenger[$v] = 1;
				if (in_array($v, $_POST['an'])) {
					continue;
				}
				$sql  = "replace into tb_nachr_an set nachr_id = '$rvar_nachr_id', " .
						"pers_id = '$v', cc = 1;";
				abfrage2($sql);
				$benachr = pers_benachr($v);
				if ($benachr !== false){
					$betreff = 'neue Nachricht in Stellware';
					$inhalt = 'Sie haben eine neue Nachricht in Stellware!';
					$abs = getConf('email_ben_abs');
					if (strlen($abs) > 0){
						$header = "From: $abs\r\n";
						mail($benachr, $betreff, $inhalt, $header);
					} else {
						mail($benachr, $betreff, $inhalt);
					}
				}
			}
		}
	}

	/* Ggf. neue ID als Antwort hinterlegen*/

	if (!empty ($rvar_antw_id)) {
		$sql  = "update tb_nachr_an " .
				"set antw_id = '$rvar_nachr_id' "; 
		if (!empty ($rvar_antw_erl)) {
			$sql .= ", erl = now() ";
		}
		$sql .= "where nachr_id = '". abs($rvar_antw_id) ."'" .
				"and pers_id = '".$uid."';";
	
		abfrage2($sql);
	}

	if(isset($_POST['gespr_note'])) {
		abfrage2("insert into tb_nachr_gespraechsnotiz set nachr_id='$rvar_nachr_id', 
				anrufer='$rvar_anrufer', anr_firma='$rvar_anr_firma', anr_tel='$rvar_anr_tel',
				hat_angerufen='$rvar_hat_angerufen', hat_zurueckgerufen='$rvar_hat_zurueckgerufen',
				ruft_wieder_an='$rvar_ruft_wieder_an', rr_erbeten='$rvar_rr_erbeten',
				treffen='$rvar_treffen', war_da='$rvar_war_da', sms='$rvar_sms'");
	}
}

/* bearbeitete Nachricht speichern */
if ($rvar_send == 'Nachricht speichern' && $rvar_nachr_id > 0 && $rvar_an > 0){

	$betr = (empty($rvar_betreff)) ? '[kein Betreff]' : $rvar_betreff;
	$proj_id = $res_id = $team_art_id = $pers_id = 0;
	if($rvar_projekte[0]=='w') $res_id = substr($rvar_projekte,1);
	elseif($rvar_projekte[0]=='t') $team_art_id = substr($rvar_projekte,1);
	elseif($rvar_projekte[0]=='m') $pers_id = substr($rvar_projekte,1);
	else $proj_id = $rvar_projekte;
	if(strlen($rvar_text) >= 65535) {
		$rvar_text = preg_replace('/<img(.*)>/U','<br><img src="image.png" title="Entschuldigung. Grafik wurde auf Grund ihrer Gr&ouml;&szlig;e von mehr als 60kB entfernt"><br>',$rvar_text);
	}
	$sql = "update tb_nachr set sent = '$time', betreff = '$betr', prio = '$rvar_prio',
			text = '$rvar_text', proj_id = '$proj_id', res_id='$res_id',
			team_art_id = '$team_art_id', pers_id = '$pers_id'";

	if($rvar_erl_abs == 1) $sql .= ", erledigt = 1 ";
	$sql .= "where nachr_id = '$rvar_nachr_id';";
	abfrage2($sql);

	/* bisherige Empfaenger loeschen*/
	$sql = "delete from tb_nachr_an where nachr_id = '$rvar_nachr_id';";
	abfrage2($sql);

	/* Empfaenger neu speichern */
	if (is_array($_POST['an'])) {
		reset($_POST['an']);
		foreach ($_POST['an'] as $k => $v) {
			$sql  = "insert into tb_nachr_an set nachr_id = '$rvar_nachr_id', " .
					"pers_id = '$v';";
			abfrage2($sql);

			$benachr = pers_benachr($v);
			if ($benachr !== false){
				$betreff = 'neue Nachricht in Stellware';
				$inhalt = 'Sie haben eine neue Nachricht in Stellware!';
				$abs = getConf('email_ben_abs');
				if (strlen($abs) > 0){
					$header = "From: $abs\r\n";
					mail($benachr, $betreff, $inhalt, $header);
				} else {
					mail($benachr, $betreff, $inhalt);
				}
			}
		}
	}

	if (is_array($_POST['cc'])) {
		reset($_POST['cc']);
		foreach ($_POST['cc'] as $k => $v) {
			if (in_array($v, $_POST['an'])) {
				continue;
			}
			$sql  = "replace into tb_nachr_an set nachr_id = '$rvar_nachr_id', " .
					"pers_id = '$v', cc = 1;";
			abfrage2($sql);

			$benachr = pers_benachr($v);
			if ($benachr !== false){
				$betreff = 'neue Nachricht in Stellware';
				$inhalt = 'Sie haben eine neue Nachricht in Stellware!';
				$abs = getConf('email_ben_abs');
				if (strlen($abs) > 0){
					$header = "From: $abs\r\n";
					mail($benachr, $betreff, $inhalt, $header);
				} else {
					mail($benachr, $betreff, $inhalt);
				}
			}
		}
	}

	if(isset($_POST['gespr_note'])) {
		abfrage2("replace into tb_nachr_gespraechsnotiz set nachr_id='$rvar_nachr_id', 
				anrufer='$rvar_anrufer', anr_firma='$rvar_anr_firma', anr_tel='$rvar_anr_tel',
				hat_angerufen='$rvar_hat_angerufen', hat_zurueckgerufen='$rvar_hat_zurueckgerufen',
				ruft_wieder_an='$rvar_ruft_wieder_an', rr_erbeten='$rvar_rr_erbeten',
				treffen='$rvar_treffen', war_da='$rvar_war_da', sms='$rvar_sms'");
	} else abfrage2("delete from tb_nachr_gespraechsnotiz where nachr_id='$rvar_nachr_id'");
}

if($rvar_anhang > 0) {
	abfrage2("REPLACE INTO tb_nachr_anhang SET nachr_id='$rvar_nachr_id',zahl_id='$rvar_anhang'");
}
if(isset($rvar_anhang2)) {
	foreach($rvar_anhang2 as $anhang) {
		abfrage2("REPLACE INTO tb_nachr_anhang SET nachr_id='$rvar_nachr_id',zahl_id='$anhang',zahl_id2=0");
	}
}

if(isset($_POST['nachr_id']) || isset($rvar_nachr_id) && isset($rvar_pzo) && is_array($rvar_pzo)) {
	abfrage2("delete from tbh_postzuordnung where posttyp='n' and id='$rvar_nachr_id';");
	if(isset($rvar_pzo) && is_array($rvar_pzo)) foreach($rvar_pzo as $pzo) {
		if(is_numeric($pzo)) { $p = 'p'; $id = $pzo; }
		else { $p = $pzo[0]; $id = substr($pzo,1); }
		abfrage2("insert into tbh_postzuordnung set id='$rvar_nachr_id', posttyp='n', id2='$id', typ='$p';");
	}
}

if (isset($rvar_nachr_id)) {
	/* --- Nachricht laden --- */
	$sql = "select von, date_format(sent, '%d.%m.%Y, %H:%i Uhr'), betreff,
			text, erledigt, prio, proj_id, res_id, team_art_id, 
			to_days(sent) as sent_days, pers_id
			from tb_nachr where nachr_id = '$rvar_nachr_id';";
	$mail = abfrage_array($sql);

	/* --- Gespraechsnotiz --- */
	$sql = "select * from tb_nachr_gespraechsnotiz where nachr_id = '$rvar_nachr_id';";
	$tels = abfrage1($sql);
	$rvar_gespr_note = mysql_num_rows($tels);
	$tel = $rvar_gespr_note==0 ? array() : mysql_fetch_array($tels);

	/* --- gelesen-Markierung laden --- */
	$sql  = "select pers_id, gel from tb_nachr_an " .
			"where nachr_id = '$rvar_nachr_id' and pers_id = '$uid';";
	$gel = abfrage($sql);

	/* --- evtl. gelesen-Markierung setzen --- */
	if ($gel[0] == $uid && empty($gel[1])) {
		$sql  = "update tb_nachr_an set gel = now() " .
				"where nachr_id = '$rvar_nachr_id' and pers_id = '$uid';";
		abfrage2($sql);
	}
} else $mail = array();
if(isset($rvar_reply)) {
	$rvar_gespr_note = 0;
	$tel = array();
}

if(isset($rvar_aufgabe)) {
	$sql = "select nr, titel, erledigt, text, proj_id from tb_aufgaben where aufgabe_id='$rvar_aufgabe'";
	$AufgData = abfrage($sql);
	$AufgBetreff = $AufgData[0] . ' ' . $AufgData[1];
	if($AufgData[2]>0) $AufgBetreff .= " ($AufgData[2] %)";
	if(!empty($AufgData[4])) $rvar_pzo[] = $AufgData[4];
	$sitz = abfrage("select team_art_id from tbh_sitzung_aufgaben where aufgabe_id='$rvar_aufgabe'");
	if(!empty($sitz[0])) $rvar_pzo[] = 't'.$sitz[0];
	$rvar_pzo[] = "a$rvar_aufgabe";
}

if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward)) {
	$sql  = "select date_format(erl, '%d.%m.%Y %H:%i'), unix_timestamp(erl), " .
			"pers_id from tb_nachr_an where nachr_id = '$rvar_nachr_id' " .
			"and pers_id = '$uid';";
	$erledigt = abfrage($sql);
}

if ((isset($rvar_nachr_id) && $nachricht_anzeigen == true) ||
	!isset($rvar_nachr_id)) {

	echo "<form name=\"nachrichtenform\" id=\"nachrichtenform\" action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"alle\" value=\"0\">\n";
	/* Platzhalter fuer Ajax-hinzugefuegte Empfaenger  */
	echo "<span id=\"hiddenEmpf\"></span>\n";
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward)){
		echo "<input type=\"hidden\" name=\"nachr_id\" value=\"$rvar_nachr_id\" />\n";
	}

	if(isset($rvar_cc) && is_array($rvar_cc)) foreach($rvar_cc as $rcc) echo "<input type=\"hidden\" name=\"cc[]\" value=\"$rcc\" />\n";	

	echo "<table><tr>\n";

	/* Buttonleiste */
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward) && empty($rvar_edit)){
	
		echo "<td class=\"menuinactive\"><a href=\"nachr.php?ans=1\">";
		echo "empfangene</a></td>\n";
	
		echo "<td class=\"menuinactive\"><a href=\"nachr.php?ans=2\">";
		echo "gesendete</a></td>\n";
	
		if ($ulv >= 97) $darf_editieren = true;
		else {
			$darf = abfrage("select unix_timestamp(gel) from tb_nachr_an where nachr_id = '$rvar_nachr_id' order by gel desc limit 1");
			$darf_editieren = empty($darf[0]);
		}
		if ($darf_editieren) {
			echo "<td class=\"cl1\"><input type=\"button\" ";
			echo "value=\"Nachricht bearbeiten\" onClick=\"self.location.href='";
			echo "nachr_and.php?nachr_id=$rvar_nachr_id&amp;edit=1'\" /></td>\n";
		}
	
		if ($erledigt[2] == $uid){
			if (empty($erledigt[1])){
				echo "<td class=\"cl1\"><input type=\"button\" ";
				echo stwToolTip('als erledigt markieren');
				echo "value=\"erledigt\" onClick=\"self.location.href='";
				echo "nachr.php?erledigt=$rvar_nachr_id&amp;ans=1&amp;ma=$uid'\" /></td>\n";
			}
			echo "<td class=\"cl1\"><input type=\"submit\" name=\"reply\" ";
			echo stwToolTip('Nachricht beantworten');
			echo "value=\"antworten\" /></td>\n";  
	
			echo "<td class=\"cl1\"><input type=\"submit\" name=\"reply\" ";
			echo stwToolTip('Nachricht an alle Empf&auml;nger beantworten');
			echo "value=\"allen antworten\" /></td>\n";
	
			echo "<td class=\"cl1\"><input type=\"submit\" name=\"forward\" ";
			echo stwToolTip('Nachricht weiterleiten');
			echo "value=\"weiterleiten\" /></td>\n";
		}
	
		echo "<td class=\"cl1\"><input type=\"button\" value=\"neu\" ";
		echo stwToolTip('neue Nachricht erstellen');
		echo "onClick=\"self.location.href='nachr_and.php'\" /></td>\n";
	
	} else {
		if($rvar_edit == 1) {
			if(empty($rvar_nachr_id)) $darf_editieren = false;
			elseif ($ulv >= 97) $darf_editieren = true;
			else {
				$darf = abfrage("select unix_timestamp(gel) from tb_nachr_an where nachr_id = '$rvar_nachr_id' order by gel desc limit 1");
				$darf_editieren = empty($darf[0]);
			}
		} else {
			$darf_editieren = false;
		}
		if ($darf_editieren) {
			$sendvalue = "Nachricht speichern";
		} else {
			$sendvalue = "Absenden";
		}
		echo "<td><input type=\"submit\" name=\"send\" onclick=\"document.getElementById('leaveCheck').value=0\" value=\"$sendvalue\" /></td>\n";
		if (!empty($rvar_nachr_id) && (empty($rvar_edit) || ($rvar_edit != 1))) {
			echo "<td><input type=\"checkbox\" name=\"antw_erl\"";
			echo stwToolTip('Beim absenden die Ursprungsnachricht als erledigt markieren');
			echo "/></td><th>Ursprungsnachricht ist erledigt</th>\n";
		}
		
	}
	echo "</tr>\n";
	
	echo "</table>\n";
	new stwLine(1);
	
	
	/* Beginn Eingabemaske */
	echo "<table>\n";
	$ti = 1;
	
	if ($rvar_send == 'Absenden' && $rvar_an > 0){
		echo "<tr><th style=\"color:lime\" colspan=\"8\">";
		echo "Folgende Nachricht wurde versandt:</th></tr>\n";
		new stwTabLine(1,30);
	}
	
	echo "<tr><th class=\"cl1\">Absender:</th>";
	echo "<td colspan=\"7\"><table cellspacing=\"0\" cellpadding=\"0\"><tr>";
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward)){
		echo "<td class=\"cl20\">" . pers_name($mail[0]) . "</td>";
	} else {
		echo "<td class=\"cl20\">" . pers_name($uid);
		echo "<input type=\"hidden\" name=\"von\" value=\"$uid\" />\n";
		if (!empty($rvar_reply)) {
			echo "<input type=\"hidden\" name=\"antw_id\" value=\"$rvar_nachr_id\" />\n";
		} elseif (!empty($rvar_forward)) {
			echo "<input type=\"hidden\" name=\"antw_id\" value=\"-$rvar_nachr_id\" />\n";
		}
		echo "</td>\n";
	}
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward) &&
			empty($rvar_edit) && empty($rvar_alle)){
		$prio = abfrage("select prioritaet from tb_prio where prio = '$mail[5]'");
		echo "<td class=\"cl20\" style=\"text-align:right; ";
		switch ($prio[0]) {
			case 'niedrig':
				echo "color:lightgrey\"";
				break;
			case 'normal':
				echo "color:yellow\"";
				break;
			case 'hoch':
				echo "color:red\"";
				break;
		}
		echo ">$prio[0]</td>";
	} else {
		$prios = abfrage1("select * from tb_prio order by prio asc");
		echo "<th class=\"cl20\">Prio: <select name=\"prio\" tabindex=\"$ti\">"; $ti++;
		while ($prio = mysql_fetch_row($prios)) {
		  echo "<option ";
		  if (isset($rvar_nachr_id)) {
			if ($mail[5] == $prio[0]) echo "selected ";
		  } elseif (2 == $prio[0]) {
			echo " selected ";
		  }
		  echo "value=" . $prio[0] . ">";
		  echo $prio[1];
		  echo "</option>\n";
		}
		echo "</select></th>\n";
	}

	/* --- Gespraechsnotiz --- */
	if (empty($rvar_nachr_id) || isset($rvar_reply) || isset($rvar_forward) || isset($rvar_edit)) {
		echo "<td class=\"cl1\" style=\"text-align: right;\">";
		echo "<input type=\"checkbox\" name=\"gespr_note\" tabindex=\"$ti\" "; $ti++;
		echo "value=\"1\" onChange=\"xajax_GesprNoteZeileEinblenden(this.checked)\"";
		if ($rvar_gespr_note==1) echo ' checked';
		echo stwToolTip('Eingabeoptionen Gespr&auml;chsnotiz einblenden');
		echo " /></td>\n";
		echo "<td class=\"cl20\"";
		echo stwToolTip('Eingabeoptionen Gespr&auml;chsnotiz einblenden');
		echo ">Gespr&auml;chsnotiz</td>\n";
	}

	/* --- Signatur --- */
	if (empty($rvar_nachr_id) || isset($rvar_reply) || isset($rvar_forward)) {
	
		/* Standard Signatur: AUSGESCHALTET! */
		$sql = "select nachr_sign from tb_pers_einst where pers_id = '$uid';";
		$dat = abfrage($sql);
		$nachr_sign = $dat[0];
	
		echo "<td class=\"cl1\" style=\"text-align: right;\">";
		echo "<input type=\"checkbox\" name=\"signatur\" tabindex=\"$ti\" "; $ti++;
		echo "value=\"1\" onChange=\"xajax_SignZeileEinblenden(this.checked)\"";
		if (!empty($rvar_alle) && $rvar_signatur==1) echo ' checked';
		echo stwToolTip('pers&ouml;nliche Signatur anh&auml;ngen');
		echo " /></td>\n";
	
		echo "<td class=\"cl20\"";
		echo stwToolTip('pers&ouml;nliche Signatur anh&auml;ngen');
		echo ">Signatur</td>\n";
	}

	/* --- Wiedervorlage Absender --- */
	echo "<td class=\"cl1\" style=\"text-align: right;\">";
	echo "<input type=\"checkbox\" name=\"erl_abs\" tabindex=\"$ti\" "; $ti++;
	echo "value=\"1\" " . stwToolTip('Wiedervorlage Absender');
	if (($mail['erledigt'] == 1)||(!empty($rvar_alle) && $rvar_erl_abs==1)) echo ' checked';
	
	echo " /></td>\n";
	
	echo "<td class=\"cl1\"" . stwToolTip('Wiedervorlage Absender');
	echo ">WV Abs.</td>\n";
	
	/* --- Datei- und Druckfunktionalitaet - nur wenn NachrichtID vorhanden */
	if (isset($rvar_nachr_id) && empty($rvar_edit) && empty($rvar_reply) && empty($rvar_forward)) {
		$daten = new stwDaten("12");
		$link  = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv,
	                                   $rvar_nachr_id, '0');
		echo "<td>$link</td>\n";
	
		$ids = abfrage1("select * from tb_nachr_anhang where nachr_id=$rvar_nachr_id");
		while ($id =mysql_fetch_row($ids)){
			$link  = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $id[1], $id[2]);
			echo "<td>$link</td>\n";		
		}
	
		echo "<td><a href=\"nachr_pr.php?nachr_id=$rvar_nachr_id&ts=" . time() . "\" target=\"_pdf\">";
		echo "<img src=\"img/drucker.png\" border=\"0\"";
		echo stwToolTip('Nachricht drucken') . " /></a></td>\n";
	} elseif (!empty($rvar_anhang) || ($rvar_forward == 'weiterleiten' && isset($rvar_nachr_id))) {
	/* Weiterleiten: sollen Daten aus Orginalnachricht auch weitergeleitet werden? */
		$anhang_id = empty($rvar_anhang) ? $rvar_nachr_id : $rvar_anhang;
		$daten = new stwDaten("12");
		$link  = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv,
	                                   $anhang_id, '0');
		if(strpos($link, "img/klammer_gelb.png") > 0)
			echo "<input type=\"hidden\" name=\"anhang\" value=\"0\" />\n";
		else {
			echo "<td><input type=\"checkbox\" name=\"anhang\" tabindex=\"$ti\" "; $ti++;
			echo "value=\"$anhang_id\" checked" . stwToolTip('Anhang weiterleiten') . " /></td>\n";
			echo "<td>$link</td>\n";
		}
		$ids = abfrage1("select * from tb_nachr_anhang where nachr_id=$anhang_id");
		while ($id =mysql_fetch_row($ids)){
			$link  = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $id[1], $id[2]);
			echo "<td><input type=\"checkbox\" name=\"anhang2[]\" tabindex=\"$ti\" "; $ti++;
			echo "value=\"$id[1]\" checked" . stwToolTip('Anhang weiterleiten') . " /></td>\n";
			
		}
	} else {
		echo "<td></td>";
	}
	echo "</tr></table></td></tr>\n";

	/* --- AJAX-Feld Gespraechsnotiz --- */
	if (empty($rvar_nachr_id) || isset($rvar_reply) || isset($rvar_forward) || isset($rvar_edit)) {
		if($rvar_gespr_note==1) $gn_style = 'table-row';
		else $gn_style = 'none';
		echo "<tr id=\"GesprNoteZeile\" style=\"display: $gn_style;\">\n";
		echo "<th style=\"text-align:right\">Anruf von:</th>";
		echo "<td colspan=\"7\"><table cellspacing=\"0\" cellpadding=\"0\"><tr>";
		echo "<td class=\"cl20\"><input type=\"text\" name=\"anrufer\" size=\"28\" maxlength=\"50\" value=\"";
		if (($rvar_send == 'Absenden' && $rvar_an == 0) || isset($rvar_alle)){
			echo $rvar_anrufer;
		} else {
			echo $tel['anrufer'];
		}
		echo "\"/ ></td><th class=\"cl1\">Firma:</th><td class=\"cl20\">";
		echo "<input type=\"text\" name=\"anr_firma\" size=\"28\" maxlength=\"50\" value=\"";
		if (($rvar_send == 'Absenden' && $rvar_an == 0) || isset($rvar_alle)){
			echo $rvar_anr_firma;
		} else {
			echo $tel['anr_firma'];
		}
		echo "\"/ ></td><th><img src=\"img/tel.png\" alt=\"Tel\"></th><th class=\"cl1\">:</th>";
		echo "<td><input type=\"text\" size=\"15\" maxlength=\"15\" value=\"";
		if (($rvar_send == 'Absenden' && $rvar_an == 0) || isset($rvar_alle)){
			echo $rvar_anr_tel;
		} else {
			echo $tel['anr_tel'];
		}
		echo "\" name=\"anr_tel\"/ ></tr></table>\n";
		echo "<table cellspacing=\"2\" cellpadding=\"0\"><tr><td>";
		$checked = $tel['hat_angerufen'] == 'j' ? 'checked' : '';
		echo "<input type=\"checkbox\" $checked name=\"hat_angerufen\" value=\"j\" />";
		echo "</td><td class=\"cl1\">hat angerufen</td><td>";
		$checked = $tel['hat_zurueckgerufen'] == 'j' ? 'checked' : '';
		echo "<input type=\"checkbox\" $checked name=\"hat_zurueckgerufen\" value=\"j\" />";
		echo "</td><td class=\"cl1\">hat zur&uuml;ckgerufen</td><td>";
		$checked = $tel['ruft_wieder_an'] == 'j' ? 'checked' : '';
		echo "<input type=\"checkbox\" $checked name=\"ruft_wieder_an\" value=\"j\" />";
		echo "</td><td class=\"cl1\">ruft wieder an</td><td>";
		$checked = $tel['rr_erbeten'] == 'j' ? 'checked' : '';
		echo "<input type=\"checkbox\" $checked name=\"rr_erbeten\" value=\"j\" />";
		echo "</td><td class=\"cl1\">erbittet R&uuml;ckruf</td><td>";
		$checked = $tel['treffen'] == 'j' ? 'checked' : '';
		echo "<input type=\"checkbox\" $checked name=\"treffen\" value=\"j\" />";
		echo "</td><td class=\"cl1\">m&ouml;chte Sie treffen</td><td>";
		$checked = $tel['war_da'] == 'j' ? 'checked' : '';
		echo "<input type=\"checkbox\" $checked name=\"war_da\" value=\"j\" />";
		echo "</td><td class=\"cl1\">war hier</td></tr>";
		$checked = $tel['sms'] == 'j' ? 'checked' : '';
		echo "<tr><td><input type=\"checkbox\" $checked name=\"sms\" value=\"j\" /></td>";
		echo "<th colspan=\"11\">Mitarbeiter wurde(n) per SMS informiert</th></tr></table>\n";
		echo "</td></tr>\n";
	} elseif($rvar_gespr_note==1) {
		new stwTabLine(2,30);
		echo "<tr><th>Gespr&auml;chsnotiz:</th><td colspan=\"7\"><table cellspacing=\"0\" cellpadding=\"0\"><tr>";
		echo "<td class=\"cl1\">Anruf von </td><th class=\"cl20\">".$tel['anrufer']."</th>";
		echo "<td class=\"cl1\">Firma: </td><th class=\"cl20\">".$tel['anr_firma']."</th>";
		echo "<th><img src=\"img/tel.png\" alt=\"Tel\"></th><th class=\"cl1\">:</th><td>".$tel['anr_tel']."</td>";
		echo "</tr>\n<tr><td colspan=\"7\">";
		if($tel['hat_angerufen'] == 'j') echo "(hat angerufen) ";
		if($tel['hat_zurueckgerufen'] == 'j') echo "(hat zur&uuml;ckgerufen) ";
		if($tel['ruft_wieder_an'] == 'j') echo "(ruft wieder an) ";
		if($tel['rr_erbeten'] == 'j') echo "(erbittet R&uuml;ckruf) ";
		if($tel['treffen'] == 'j') echo "(m&ouml;chte Sie treffen) ";
		if($tel['war_da'] == 'j') echo "(war da) ";
		echo "</td></tr>\n";
		if($tel['sms'] == 'j') echo "<tr><th colspan=\"7\">Mitarbeiter wurde(n) per SMS informiert</th></tr>\n";
		echo "</table></td></tr>\n";
	}

	new stwTabLine(2,30);
	
	/* --- Empfaenger & CC --- */
	
	$adressen = array();
	$adressen_cc = array();
	$empfaenger = array();
	$empfaenger_cc = array();
	
	$order = ($pers_order==2) ? "order by p.name asc, p.vorname asc;" : "order by p.vorname asc, p.name asc;";
	
	if (isset($rvar_nachr_id)) {
		if (empty($rvar_reply) && empty($rvar_forward) && empty($rvar_edit) && empty($rvar_alle)) {
			$sql  = "select a.pers_id, " .
					"date_format(a.gel, '%d.%m.%Y, %H:%i Uhr') as gelesen, " .
					"unix_timestamp(a.gel) as gelesen_ts, " .
					"date_format(a.erl, '%d.%m.%Y, %H:%i Uhr') as erledigt, " .
					"unix_timestamp(a.erl) as erledigt_ts, " .
					"a.cc " .
					"from tb_nachr_an a " .
					"inner join tb_personal p using (pers_id) " .
					"where a.nachr_id = '$rvar_nachr_id'";
			$sql .= $order;
			$adrss = abfrage1($sql);
			
			while ($adrs = mysql_fetch_array($adrss)) {
				if ($adrs['cc'] == NULL) {
					$adressen[] = $adrs;
				} else {
					$adressen_cc[] = $adrs;
				}
			}
		} else {
			if($mail['von'] != $uid) $empfaenger[] = $mail['von'];
			$sql  = "select pers_id, cc from tb_nachr_an ";
			$sql .= "where nachr_id = '$rvar_nachr_id'";
			$to1 = abfrage1($sql);
			while ($to = mysql_fetch_row($to1)) {
				if ($to[1] == NULL) {
					$empfaenger[] = $to[0];
				} else {
					$empfaenger_cc[] = $to[0];
				}
			}
		}
	} elseif(isset($rvar_empf)) {
		if(is_array($rvar_empf)) {
			foreach($rvar_empf as $empf)
				$empfaenger[] = $empf;
		} else $empfaenger[] = $rvar_empf;
	}
	
	
	/* --- Empfaenger --- */
	$indent = true;
	
	echo "<tr><th class=\"cl1\">Empf&auml;nger:</th>\n";
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward) &&
			empty($rvar_edit) && empty($rvar_alle)){
	
		/* Ausgabe bei Mail-Anzeige */
	
		foreach ($adressen as $adr) {
			if ($indent != true) echo "<tr><td></td>\n";
	
			echo "<td class=\"cl1\">" . pers_name($adr['pers_id']) . "</td>\n";
			echo "<th class=\"cl1\">gelesen:</th><td class=\"cl20\">";
			if ($adr['gelesen_ts'] > 0){
				echo $adr['gelesen'];
			}
			echo "</td>\n<th class=\"cl1\">erledigt:</th><td>";
			if ($adr['erledigt_ts'] > 0){
				echo $adr['erledigt'];
			}
			echo "</td>\n</tr>\n";
			$indent = false;
		}
	
	} else {
	
		/* Ausgabe bei Mail-Erstellung/Editieren */
	
		if($nachr_abt && (empty($rvar_alle) || $ulv <= 5)) {
			$abteilungen = "0"; 
			$abts = abfrage1("select abt_id from tbh_pers_abt where pers_id = '$uid'");
			while ($abt = mysql_fetch_row($abts)){
				$abteilungen .= ",$abt[0]";
			}
			$abts = abfrage1("select abt_id from tb_personal_abt_leit where pers_id = '$uid'");
			while ($abt = mysql_fetch_row($abts)){
				$abteilungen .= ",$abt[0]";
			}
		}
		echo "<td rowspan=\"2\" style=\"vertical-align:top;\">";
	
		if ($nachr_abt) {
			$sql  = "select p.pers_id from tb_personal p ";
			$sql .= "left join tbh_pers_abt a1 using (pers_id) ";
			$sql .= "left join tb_personal_abt_leit a2 using (pers_id) ";
			$sql .= "where (p.status_id = '2' and p.anmeldung = 'j' ";
			if(empty($rvar_alle) || $ulv <= 5) $sql .= "and (a1.abt_id in ($abteilungen) or a2.abt_id in ($abteilungen)) ";
			if ($ulv > 5 && $rvar_alle != 'auch TTT') $sql .= "and p.level > 5 ";
			$sql .= ") ";
			if(!empty($empfaenger)) $sql .= "or (p.pers_id in (".implode(",", $empfaenger)."))";
			$sql .= "group by p.pers_id " . $order;
		} else {
			$sql  = "select pers_id from tb_personal p where (status_id = '2' ";
			$sql .= "and anmeldung = 'j' ";
			if ($ulv <= 5) $sql .= "and p_art_id = '17' ";
			$sql .= ") ";
			if(!empty($empfaenger)) $sql .= "or (p.pers_id in (".implode(",", $empfaenger)."))";
			$sql .= $order;
		}
		$mas = abfrage1($sql);

		while ($ma = mysql_fetch_row($mas)) {
			$altitle[ $ma[0] ] = '';
			$abts = abfrage1("select abt_id from tbh_pers_abt where pers_id='$ma[0]' and sub_abt_id='0'");
			$zeilenumbruch = '';
			while($abt = mysql_fetch_row($abts)) {
				$abtname = abfrage("select name from tb_personal_abt where abt_id='$abt[0]'");
				$altitle[ $ma[0] ] .= $zeilenumbruch . "$abtname[0]: ";
				$zeilenumbruch = "
";
				$als = abfrage1("select pers_id from tb_personal_abt_leit where abt_id='$abt[0]' and hidden='n'");
				$komma = '';
				while($al = mysql_fetch_row($als)) {
					$altitle[ $ma[0] ] .= $komma . pers_kname($al[0]);
					$komma = ', ';
				}
			}
			echo "<textarea id=\"ma_al_tt_$ma[0]\" style=\"display:none\">" . $altitle[ $ma[0] ] . "</textarea>\n";
		}
		mysql_data_seek($mas,0);

		$altt = getPersEinst($uid,56,'');
		echo "<select name=\"an[]\" size=\"6\" style=\"width:300px;\" tabindex=\"$ti\" multiple>\n"; $ti++;
	
		/* alle Empfaenger ausgeben */
		while ($ma = mysql_fetch_row($mas)) {
			$title = $altt ? $altitle[ $ma[0] ] : '';
			echo "<option id=\"empf$ma[0]\" value=\"$ma[0]\" title=\"$title\"";
			if (isset($rvar_empf) && in_array($ma[0], $empfaenger) ||
				($rvar_reply == 'antworten' && $ma[0] == $mail[0]) ||
				(($rvar_edit == 1 || $rvar_reply == 'allen antworten') && in_array($ma[0], $empfaenger)) ||
				(isset($rvar_alle) && is_array($rvar_an) && in_array($ma[0], $rvar_an))) {
				echo ' selected';
			}
			echo '>' . ($pers_order==2 ? pers_name2($ma[0]) : pers_name($ma[0])) . "</option>\n";
		}
	
		echo "</select></td>\n";
		if($ulv > 5 && $nachr_abt) {
			echo "<td colspan=\"6\">";
			if($rvar_edit==1) echo "<input type=\"hidden\" name=\"edit\" value=\"1\" />";
			echo "<table><tr><td class=\"cl11\"><input type=\"submit\" style=\"width:50px;\"";
			echo stwToolTip('<b>Mitarbeiter aller Abteilungen anzeigen</b><br />(au&szlig;er TTT)',false);
			echo "name=\"alle\" onclick=\"document.getElementById('leaveCheck').value=0\" value=\"alle\" />";
			echo "</td><td rowspan=\"2\"><b>";
		} else {
			echo "<td colspan=\"6\"><b>";
		}
		echo "Mit der STRG-Taste k&ouml;nnen<br />";
		echo "mehrere Empf&auml;nger gew&auml;hlt werden!</b><div style=\"padding-top:7px;\"";
		echo stwToolTip("Jedem Personal zugeordnete Abteilungen<br>und deren Abteilungsleiter im Tooltip ausweisen");
		$checked = $altt ? 'checked' : '';
		echo "><input type=\"checkbox\" $checked onchange=\"xajax_al_tt($uid,this.checked); ";
		mysql_data_seek($mas,0);
		while ($ma = mysql_fetch_row($mas)) {
			echo "document.getElementById('empf$ma[0]').title = this.checked ? document.getElementById('ma_al_tt_$ma[0]').value : ''; ";
		}
		echo "\"> Abteilungsleiter im Tooltip</div></td>\n";
		if($ulv > 5 && $nachr_abt) {
			echo "</tr><tr><td><input type=\"submit\" style=\"width:50px; white-space:normal;\"";
			echo stwToolTip('<b>Mitarbeiter aller Abteilungen anzeigen</b>',false);
			echo "name=\"alle\" onclick=\"document.getElementById('leaveCheck').value=0\" value=\"auch TTT\" />";
			echo "</td></tr></table></td>\n";
		} 
		echo "</tr>\n<tr><td></td><td colspan=\"6\"><table><tr><th>Vorauswahl Abt.:</th>";
		echo "<td><select onchange=\"xajax_markAbt(this.value, abtMa.checked, AL.checked, abtSpr.checked)\">";
		echo "<option id=\"abt0\">Bitte w&auml;hlen</option>\n";
		$sql_uid_abt = "SELECT DISTINCT a.abt_id, a.name
						FROM tb_personal_abt a ";
		if(empty($rvar_alle)) {
			$sql_uid_abt .="LEFT JOIN tb_personal_abt_leit al ON a.abt_id = al.abt_id
							LEFT JOIN tbh_pers_abt pa ON a.abt_id = pa.abt_id
							WHERE al.pers_id = '$uid'
							OR pa.pers_id = '$uid' ";
		}
		$sql_uid_abt .= "order by a.name asc";
		$abts = abfrage1($sql_uid_abt);
		while($abt = mysql_fetch_row($abts)) {
			echo "<option value=\"$abt[0]\">$abt[1]</option>\n";
		}
		echo "</select></td><td><input type=\"submit\" style=\"width:50px;\" name=\"alle\" value=\"alle\" ";
		echo stwToolTip('Alle Abteilungen ausgeben',false);
		echo "onclick=\"document.getElementById('leaveCheck').value=0\" /></td></tr>";
		$checked = isset($rvar_alle) && empty($rvar_abtMa) ? '' : 'checked';
		echo "<tr><td colspan=\"3\">";
		echo "<input type=\"checkbox\" $checked name=\"abtMa\" id=\"abtMa\" /> Mitglieder &nbsp; &nbsp; &nbsp; ";
		$checked = isset($rvar_alle) && empty($rvar_AL) ? '' : 'checked';
		echo "<input type=\"checkbox\" $checked name=\"AL\" id=\"AL\" /> Abteilungsleiter &nbsp; &nbsp; &nbsp; ";
		$checked = isset($rvar_alle) && empty($rvar_abtSpr) ? '' : 'checked';
		echo "<input type=\"checkbox\" $checked name=\"abtSpr\" id=\"abtSpr\" /> Sprecher</td></tr>\n";
		echo "</table></td></tr>\n";
	}

	if ($rvar_send == 'Absenden' && $rvar_an == 0){
		echo "<tr><td></td><th colspan=\"7\" ";
		echo "style=\"color:#FF0000;text-decoration:blink\">";
		echo "Bitte mindestens einen Empf&auml;nger w&auml;hlen!</th></tr>\n";
	}
	
	new stwTabLine(2,30);
	
	/* --- CC-Felder: 'nur zur Information' --- */
	$indent = true;
	
	$empfaenger = $empfaenger_cc;
	$adressen = $adressen_cc;
	
	echo "<tr><th class=\"cl1\">nur zur Info an:</th>\n";
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward) &&
			empty($rvar_edit) && empty($rvar_alle)){
	
		/* Ausgabe bei Mail-Anzeige */
	
		foreach ($adressen as $adr) {
			if ($indent != true) echo "<tr><td></td>\n";
	
			echo "<td class=\"cl1\">" . pers_name($adr['pers_id']) . "</td>\n";
			echo "<th class=\"cl1\">gelesen:</th><td class=\"cl20\">";
			if ($adr['gelesen_ts'] > 0){
				echo $adr['gelesen'];
			}
			echo "</td>\n<th class=\"cl1\">erledigt:</th><td>";
			if ($adr['erledigt_ts'] > 0){
				echo $adr['erledigt'];
			}
			echo "</td>\n</tr>\n";
			$indent = false;
		}
	
	} else {
	
		/* Ausgabe bei Mail-Erstellung/Editieren */
	
		echo "<td rowspan=\"2\" style=\"vertical-align:top;\">";
		echo "<select name=\"cc[]\" size=\"6\" style=\"width:300px;\" tabindex=\"$ti\" multiple>\n"; $ti++;
	
		if ($nachr_abt) {
			$sql  = "select p.pers_id from tb_personal p ";
			$sql .= "left join tbh_pers_abt a1 using (pers_id) ";
			$sql .= "left join tb_personal_abt_leit a2 using (pers_id) ";
			$sql .= "where (p.status_id = '2' and p.anmeldung = 'j' ";
			if(empty($rvar_alle) || $ulv <= 5) $sql .= "and (a1.abt_id in ($abteilungen) or a2.abt_id in ($abteilungen)) ";
			if ($ulv > 5 && $rvar_alle != 'auch TTT') $sql .= "and p.level > 5 ";
			$sql .= "$pidGleichUID) ";
			if(!empty($empfaenger)) $sql .= "or (p.pers_id in (".implode(",", $empfaenger).") $pidGleichUID)";
			$sql .= "group by p.pers_id " . $order;
		} else {
			$sql  = "select pers_id from tb_personal p where (status_id = '2' ";
			$sql .= "and anmeldung = 'j' $pidGleichUID ";
			if ($ulv <= 5) $sql .= "and p_art_id = '17' ";
			$sql .= ") ";
			if(!empty($empfaenger)) $sql .= "or (p.pers_id in (".implode(",", $empfaenger).") $pidGleichUID)";
			$sql .= $order;
		}
		$mas = abfrage1($sql);
	
		/* alle Empfaenger ausgeben */
		while ($ma = mysql_fetch_row($mas)) {
			echo "<option id=\"cc$ma[0]\" value=\"$ma[0]\"";
			if ((isset($rvar_cc) && is_array($rvar_cc) && in_array($ma[0], $rvar_cc)) ||
				(($rvar_edit == 1 || $rvar_reply == 'allen antworten') && in_array($ma[0], $empfaenger))) {
			echo ' selected';
		}
		echo '>' . ($pers_order==2 ? pers_name2($ma[0]) : pers_name($ma[0])) . "</option>\n";
		}
	
		echo "</select></td>\n";
		echo "<td style=\"font-weight:bold;text-align:left\" colspan=\"6\">";
		echo "Mit der STRG-Taste k&ouml;nnen<br />";
		echo "mehrere Empf&auml;nger gew&auml;hlt werden!</td>\n";
		echo "</tr>\n<tr><td></td><td colspan=\"6\"><table><tr><th>Vorauswahl Abt.:</th>";
		echo "<td><select onchange=\"xajax_markAbtCC(this.value, abtMaCC.checked, ALCC.checked, abtSprCC.checked)\">";
		echo "<option id=\"abt0cc\">Bitte w&auml;hlen</option>\n";
		mysql_data_seek($abts, 0);
		while($abt = mysql_fetch_row($abts)) {
			echo "<option value=\"$abt[0]\">$abt[1]</option>\n";
		}
		echo "</select></td></tr>";
		$checked = isset($rvar_alle) && empty($rvar_abtMa) ? '' : 'checked';
		echo "<tr><td colspan=\"3\">";
		echo "<input type=\"checkbox\" $checked name=\"abtMaCC\" id=\"abtMaCC\" /> Mitglieder &nbsp; &nbsp; &nbsp; ";
		$checked = isset($rvar_alle) && empty($rvar_AL) ? '' : 'checked';
		echo "<input type=\"checkbox\" $checked name=\"ALCC\" id=\"ALCC\" /> Abteilungsleiter &nbsp; &nbsp; &nbsp; ";
		$checked = isset($rvar_alle) && empty($rvar_abtSpr) ? '' : 'checked';
		echo "<input type=\"checkbox\" $checked name=\"abtSprCC\" id=\"abtSprCC\" /> Sprecher</td></tr>\n";
		echo "</table></td></tr>\n";
	}
	
	if ($rvar_send == 'Absenden' && $rvar_an == 0){
		echo "<tr><td></td><th colspan=\"7\" ";
		echo "style=\"color:#FF0000;text-decoration:blink\">";
		echo "Bitte mindestens einen Empf&auml;nger w&auml;hlen!</th></tr>\n";
	}
	
	new stwTabLine(2,30);
	
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward) &&
			empty($rvar_edit)){
		echo "<tr><th class=\"cl1\">gesendet:</th>";
		echo "<td colspan=\"7\">$mail[1]</td></tr>";
		new stwTabLine(2,30);
	}
	
	
	/* --- Betreff --- */
	echo "<tr><th class=\"cl1\">Betreff:</th><td colspan=\"7\">";
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward) && empty($rvar_edit) && empty($rvar_alle)){
		echo $mail[2];
	} else {
		echo "<input type=\"text\" name=\"betreff\" ";
		echo "maxlength=\"50\" style=\"width:300px;\" tabindex=\"$ti\" "; $ti++;
		if (!empty($rvar_reply)){
			if (substr($mail[2],0,4) == 'Re: '){
				echo "value=\"$mail[2]\"";
			} else {
				echo "value=\"Re: $mail[2]\"";
			}
		} elseif ($rvar_forward == 'weiterleiten'){
			if (substr($mail[2],0,5) == 'Fwd: '){
				echo "value=\"$mail[2]\"";
			} else {
				echo "value=\"Fwd: $mail[2]\"";
			}
		} elseif (($rvar_send == 'Absenden' && $rvar_an == 0) || isset($rvar_alle)){
			echo "value=\"$rvar_betreff\"";
		} elseif ($rvar_edit == 1) {
			echo "value=\"$mail[2]\"";
		} elseif (isset($rvar_aufgabe)) {
			echo "value=\"$AufgBetreff\"";
		}
		echo " />";
	}
	echo "</td></tr>\n";
	new stwTabLine(2,30);
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward) && empty($rvar_edit) && empty($rvar_alle)){
		if($mail['proj_id'] > 0) {
			$projekt = new stwProjekt($mail['proj_id']);
			echo "<tr><th>Projekt: </th><td>".$projekt->link()."</td></tr>\n";
		} elseif($mail['res_id'] > 0) {
			$pkw = abfrage("select name from tb_ressourcen where res_id='{$mail['res_id']}'");
			echo "<tr><th>PKW: </th><td><a href=\"pkw_and.php?res_id=".$mail['res_id']."\">$pkw[0]</a></td></tr>\n";
		} elseif($mail['pers_id'] > 0) {
			echo "<tr><th>Mitarbeiter: </th><td><a href=\"pers_and.php?pers_id=".$mail['pers_id']."\">";
			echo $pers_order==2 ? pers_name2($mail['pers_id']) : pers_name($mail['pers_id']);
			echo "</a></td></tr>\n";
		} elseif($mail['team_art_id'] > 0) {
			$teamart = abfrage("select kurzname, name, farbe from tb_team_art where team_art_id='{$mail['team_art_id']}'");
			$team = abfrage("select t1.team_id, date_format(t2.von, '%d.%m.%Y') from tb_team t1
							left join tb_termine t2 using (termin_id)
							where t1.team_art_id='{$mail['team_art_id']}' 
							and to_days(t2.von) > {$mail['sent_days']}
							order by t2.von asc limit 1");
			echo "<tr><th>Sitzung: </th><td><a style=\"color:$teamart[2]\" ";
			$tt = $teamart[1];
			if(empty($team[0])) echo "href=\"team_art_and.php?team_art_id=".$mail['team_art_id']."\"";
			else {
				echo "href=\"team_and.php?team_id=$team[0]\"";
				$tt .= " vom $team[1]";
			}
			echo stwToolTip($tt) . ">$teamart[0]</a></td></tr>\n";
		} else {
			$pzos = abfrage1("select typ, id2 from tbh_postzuordnung where posttyp='n' and id='$rvar_nachr_id'");
			if(mysql_num_rows($pzos) > 0) {
				echo "<tr><th>Zuordnung: </th><td class=\"ww\" colspan=\"30\">";
				while($pzo = mysql_fetch_row($pzos)) {
					echo "<span style=\"white-space: nowrap;\">";
					if($pzo[0]=='m') {
						echo "<a target=\"_blank\" style=\"color:white\" href=\"pers_and.php?pers_id=$pzo[1]\">".pers_kname($pzo[1])."</a>";
					} elseif($pzo[0]=='w') {
						$pkw = abfrage("select name from tb_ressourcen where res_id='$pzo[1]'");
						echo "<a target=\"_blank\" style=\"color:white\" href=\"pkw_and.php?res_id=$pzo[1]\">$pkw[0]</a>";
					} elseif($pzo[0]=='t') {
						$teamart = abfrage("select kurzname, name, farbe from tb_team_art where team_art_id='$pzo[1]'");
						echo "<a target=\"_blank\" style=\"color:$teamart[2]\" href=\"team_art_and.php?team_art_id=$pzo[1]\"" . stwToolTip($teamart[1]) . ">$teamart[0]</a>\n";
					} elseif($pzo[0]=='a') {
						$sql = "select a.nr, a.titel, a.erledigt, p.farbe from tb_aufgaben a
								left join tb_prio p using(prio)
								where a.aufgabe_id='$pzo[1]'";
						$aufgabe = abfrage($sql);
						$name = $aufgabe[0] . ' ' . $aufgabe[1];
						if($aufgabe[2] > 0) $name .= " ($aufgabe[2] %)";
						if(empty($aufgabe[0])) $aufgabe[0] = substr($aufgabe[1],0,10);
						if(empty($aufgabe[0])) $aufgabe[0] = "- LEER -";
						echo "<a target=\"_blank\" style=\"color:$aufgabe[3]\" href=\"auf_and.php?aufgabe_id=$pzo[1]\"" . stwToolTip($name) . ">$aufgabe[0]</a>\n";
					} else {
						$tmpProjekt = new stwProjekt($pzo[1]);
						echo "<a target=\"_blank\" href=\"pro_daten.php?proj_id=$pzo[1]\">".$tmpProjekt->link()."</a>";
					}
					echo "</span> &nbsp;\n";
				}
				echo "</td></tr>";
			}
		}
	} else {
		/* Projekt / Mitarbeiter / PKW / Abteilung */
		if(isset($rvar_alle)) $proj_id = $rvar_projekte;
		elseif($mail['proj_id'] > 0) $proj_id = $mail['proj_id'];
		elseif($mail['res_id'] > 0) $proj_id = 'w'.$mail['res_id'];
		elseif($mail['team_art_id'] > 0) $proj_id = 't'.$mail['team_art_id'];
		elseif($mail['pers_id'] > 0) $proj_id = 'm'.$mail['pers_id'];
		else $proj_id = 0;
		$bPROJ = $xajax_markProj = true;
		$bMA = $bPKW = $bTEAM = $bAUFGABE = ($ulv > 5);
		$posttyp = 'n';
		$id = isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward) ? $rvar_nachr_id : 0;
		include('post.proj_ma_pkw.inc.php');
	}
	new stwTabLine(2,30);
	
	echo "<tr><th class=\"cl1\">Text:</th>\n";
	if (isset($rvar_nachr_id) && empty($rvar_reply) && empty($rvar_forward) &&
			empty($rvar_edit) && empty($rvar_alle)){
		echo "<td colspan=\"7\" class=\"ww\">" . $mail[3] . "</td>";
	} else {
		echo "<script type=\"text/javascript\">\n";
		echo "  window.onbeforeunload = function() {\n";
		echo "    lc = document.getElementById('leaveCheck');\n";
		echo "    if (lc.value == '0' || document.getElementById('editor').value == ''){\n";
		echo "      window.onbeforeunload = null;\n";
		echo "    } else {\n";
		echo "      return false;\n";
		echo "    }\n";
		echo "  }\n";
		echo "</script>\n";
		echo "<input type=\"hidden\" id=\"leaveCheck\" value=\"1\">\n";

		$pers_format = getPersEinst($uid, 'nachr_format', '');
		echo "<script type=\"text/javascript\">\n var pers_id = $uid;\n pers_format = '$pers_format';\n</script>\n";
		echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg.js\"></script>\n";
		echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg-settings.js\"></script>\n";
		echo "<script type=\"text/javascript\">\n WYSIWYG.attach('editor', small, $ti);\n</script>\n";
		echo "<td colspan=\"7\"><textarea id=\"editor\" name=\"text\" rows=\"15\" cols=\"72\" ";
		echo "tabindex=\"$ti\">"; $ti++;
		if ($rvar_send == 'Absenden' && $rvar_an == 0){
			echo str_replace('\"','"',str_replace("\'","'",$rvar_text));
		} elseif (!empty($rvar_reply) || !empty($rvar_forward)){
			$txt  = "Urspr&uuml;ngliche Nachricht von " . pers_name($mail[0]) . " (" . $mail[1] . "):<br>";
	
			$dat1 = strlen($txt);
			while ($dat1 > 1) {
				$dat2 .= '-';
				$dat1--;
			}
	
			$txt .= $dat2 . "<br>";
			$txt .= strpos($mail[3], "<br>")===false ? str_replace("\n", "<br>", $mail[3]) : $mail[3];
			$txt .= "<br>" . $dat2 . "<br>";
			echo $txt;
		} elseif(isset($rvar_alle)) {
			echo str_replace('\"','"',str_replace("\'","'",$rvar_text));
		} elseif ($rvar_edit == 1){
			echo strpos($mail[3], "<br>")===false ? str_replace("\n", "<br>", $mail[3]) : $mail[3];
		} elseif (isset($rvar_aufgabe)) {
			echo str_replace("\n", "<br>", $AufgData[3]);
		}
		echo "</textarea></td>\n";
	}
	echo "</tr>\n";
	
	
	/* --- AJAX-Feld Signatur --- */
	if (empty($rvar_nachr_id) || isset($rvar_reply) || isset($rvar_forward)) {
	
		if(!empty($rvar_alle) && $rvar_signatur==1) $sz_style = 'table-row';
		else $sz_style = 'none';
		echo "<tr id=\"SignZeile\" style=\"display: $sz_style;\">\n";
	
		echo "<th class=\"cl1\">Signatur:</th>\n";
	
		echo "<td class=\"cl1\" colspan=\"3\">";
		echo "<textarea id=\"SignInhalt\" rows=\"4\" cols=\"60\" tabindex=\"$ti\">";
		if (strlen($nachr_sign) > 0) echo $nachr_sign;
		echo "</textarea></td>\n";
	
		echo "<td colspan=\"3\" style=\"text-align:right\">";
		echo "<input type=\"button\" value=\"Signatur speichern\" ";
		echo "onClick=\"xajax_SignSpeichern($uid, SignInhalt.value)\" />";
	
		echo "<p style=\"font-weight:bold; color: lime; display:none;\" ";
		echo "id=\"SignSpeicherMeldung\">Ihre Signatur wurde<br>";
		echo "erfolgreich gespeichert!</p>\n";
		echo "</td>\n";
		echo "</tr>\n";
	}
	
	echo "</table>\n";
	new stwLine(1);
	echo "</form>\n";
} else {
	/* Benutzer ist nicht berechtigt, diese Nachricht zu sehen */
	echo stwFehler(5);
}

if (!empty($rvar_nachr_id)) {
	new stwEnd($seite, NULL, NULL, NULL, $rvar_nachr_id, 0);
} else {
	new stwEnd($seite);
}
?>
