<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: nachr_pr.php 2864 2018-05-30 10:15:03Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]['TR']."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

class PDF_HTML extends PDF
{
    var $STYLE='';
    var $COLOR='';
    var $SIZE=2;
	var $zh=5;

    function WriteHTML($zh,$html)
    {
		$this->zh = $zh;
        //HTML parser
        $html = str_replace(array("\n", '&nbsp;', '&amp;', '&lt;', '&gt;', '<div><br></div>'), array('<br>', ' ', '&', '<', '>', '<br>'), $html);
        $a=preg_split('/<(.*)>/U', $html, -1, PREG_SPLIT_DELIM_CAPTURE);
        foreach($a as $i=>$e)
        {
            if($i%2==0)
            {
				$this->SetFont('',$this->STYLE,$this->SIZE*2+6);
				if($this->COLOR) {
					$R = hexdec($this->COLOR[1].$this->COLOR[2]);
					$R = $R*0.5;
					$G = hexdec($this->COLOR[3].$this->COLOR[4]);
					$G = $G*0.5;
					$B = hexdec($this->COLOR[5].$this->COLOR[6]);
					$B = $B*0.5;
					$this->SetTextColor($R,$G,$B);
				}

				$this->Write($this->zh, $e);

				$this->SetTextColor(0,0,0);
				$this->SetFont('',$this->STYLE,10);
            }
            else
            {
                //Tag
                if($e[0]=='/')
                    $this->CloseTag(strtoupper(substr($e, 1)));
                else
                {
                    //Extract properties
                    $a2=explode(' ', $e);
                    $tag=strtoupper(array_shift($a2));
                    $prop=array();
                    foreach($a2 as $v)
                    {
                        if(preg_match('/([^=]*)=["\']?([^"\']*)/', $v, $a3))
                            $prop[strtoupper($a3[1])]=$a3[2];
                    }
                    $this->OpenTag($tag, $prop);
                }
            }
        }
    }

    function OpenTag($tag, $prop)
    {
        //Opening tag
        if($tag=='B' || $tag=='I' || $tag=='U') if(strpos($this->STYLE,$tag) === false) $this->STYLE .= $tag;
        if($tag=='BR') $this->Ln($this->zh);
        if($tag=='H1') $this->SIZE=4;
        if($tag=='H2') $this->SIZE=3;
        if($tag=='HR') {
            if( !empty($prop['WIDTH']) )
                $Width = $prop['WIDTH'];
            else
                $Width = $this->w - $this->lMargin-$this->rMargin;
            $this->Ln(2);
            $x = $this->GetX();
            $y = $this->GetY();
            $this->SetLineWidth(0.4);
            $this->Line($x, $y, $x+$Width, $y);
            $this->SetLineWidth(0.2);
            $this->Ln(2);
        }
        if($tag=='FONT') {
			$this->COLOR=$prop['COLOR'];
			$this->SIZE=empty($prop['SIZE'])?2:$prop['SIZE'];
		}
    }

    function CloseTag($tag)
    {
        //Closing tag
        if($tag=='B' || $tag=='I' || $tag=='U')
            $this->STYLE = str_replace($tag,'',$this->STYLE);
        if($tag=='P')
            $this->Ln($this->zh);
        if($tag=='DIV')
            $this->Ln($this->zh);
        if($tag=='TR')
            $this->Ln($this->zh);
        if($tag=='TD' || $tag=='TH')
            $this->Write($this->zh,'  ');
        if($tag=='FONT') {
            $this->COLOR='';
            $this->SIZE=2;
		}
        if($tag=='H1' || $tag=='H2') 
			$this->SIZE=2;
    }
}

$pdf=new PDF_HTML('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(auto, 25);
$pdf->AliasNbPages();

$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);
$zh = 5;

$pdf->AddPage();

$mail = abfrage("select
				von, #0
				date_format(sent, '%d.%m.%Y, %H:%i Uhr'), #1
				betreff, #2
				text #3
				from tb_nachr
				where nachr_id = '$rvar_nachr_id';");

$gesprnotes = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='$rvar_nachr_id'");

$pdf->SetY(25);
$pdf->SetFont('stw', '', 16);
$pdf->Cell(180, $zh, mysql_num_rows($gesprnotes)>0 ? 'Gesprchsnotiz' : 'Nachricht');

$pdf->Ln($zh);
$pdf->Cell(180, 2, '','B');
$pdf->Ln($zh);

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(30, $zh, 'von:');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(120, $zh, pers_name($mail[0]));
$pdf->Ln($zh * 1.5);

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(30, $zh, 'an:');
$pdf->SetFont('Arial', '', 11);

$indent = true;

$adrs = abfrage1("select a.pers_id,
								date_format(a.gel, '%d.%m.%Y, %H:%i') as gelesen,
								unix_timestamp(a.gel) as gelesen_ts,
								date_format(a.erl, '%d.%m.%Y, %H:%i') as erledigt,
								unix_timestamp(a.erl) as erledigt_ts
								from tb_nachr_an a
								left join tb_personal p using (pers_id)
								where a.nachr_id = '$rvar_nachr_id'
								and a.cc is NULL
								order by p.vorname asc, p.name asc;");
while ($adr = mysql_fetch_array($adrs)) {
	if ($indent != true){
		$pdf->Cell(30, $zh, '');
	}

	$pdf->SetFont('Arial', '', 11);
	$pdf->Cell(50, $zh, pers_name($adr['pers_id']));

	$pdf->SetFont('Arial', '', 9);
	$pdf->Cell(15, $zh, 'gelesen:');
	$gelesen = ($adr['gelesen_ts']> 0) ? $adr['gelesen'] : '';
	$pdf->Cell(30, $zh, $gelesen);

	$pdf->Cell(15, $zh, 'erledigt:');
	$erledigt = ($adr['erledigt_ts']> 0) ? $adr['erledigt'] : '';
	$pdf->Cell(30, $zh, $erledigt,0,1,'R');

	$indent = false;
}

$pdf->Ln($zh / 2);


/* --- CC-Empfaenger -> nur wenn welche vorhanden --- */
$adrs = abfrage1("select a.pers_id,
								date_format(a.gel, '%d.%m.%Y, %H:%i') as gelesen,
								unix_timestamp(a.gel) as gelesen_ts,
								date_format(a.erl, '%d.%m.%Y, %H:%i') as erledigt,
								unix_timestamp(a.erl) as erledigt_ts
								from tb_nachr_an a
								left join tb_personal p using (pers_id)
								where a.nachr_id = '$rvar_nachr_id'
								and a.cc = 1
								order by p.vorname asc, p.name asc;");

if (mysql_num_rows($adrs) > 0) {

	$pdf->SetFont('Arial', 'B', 11);
	$pdf->Cell(30, $zh, 'nur zur Info an:');
	$pdf->SetFont('Arial', '', 11);

	$indent = true;

	while ($adr = mysql_fetch_array($adrs)) {
		if ($indent != true){
			$pdf->Cell(30, $zh, '');
		}

		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(50, $zh, pers_name($adr['pers_id']));

		$pdf->SetFont('Arial', '', 9);
		$pdf->Cell(15, $zh, 'gelesen:');
		$gelesen = ($adr['gelesen_ts']> 0) ? $adr['gelesen'] : '';
		$pdf->Cell(30, $zh, $gelesen);

		$pdf->Cell(15, $zh, 'erledigt:');
		$erledigt = ($adr['erledigt_ts']> 0) ? $adr['erledigt'] : '';
		$pdf->Cell(30, $zh, $erledigt,0,1,'R');

		$indent = false;
	}

	$pdf->Ln($zh / 2);

} /* Ende CC-Empfaenger */

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(30, $zh, 'gesendet:');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(40, $zh, $mail[1]);

$pdf->Ln($zh * 2);

if(mysql_num_rows($gesprnotes) > 0) {
	$tel = mysql_fetch_array($gesprnotes);
	$pdf->SetFont('Arial', 'B', 10.5);
	$pdf->Cell(30, $zh, 'Gesprchsnotiz:');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Write($zh, "Anruf von "); 
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Write($zh, $tel['anrufer']);
	$pdf->SetFont('Arial', '', 10);
	if(strlen($tel['anr_firma']) > 0) {
		$pdf->Write($zh, "   Firma: ");
		$pdf->SetFont('Arial', 'B', 10);
		$pdf->Write($zh, $tel['anr_firma']);
		$pdf->SetFont('Arial', '', 10);
	}
	if(strlen($tel['anr_tel']) > 0) {
		$pdf->Write($zh, "   Tel.: ");
		$pdf->SetFont('Arial', 'B', 10);
		$pdf->Write($zh, $tel['anr_tel']);
		$pdf->SetFont('Arial', '', 10);
	}
	$pdf->Ln($zh);
	$pdf->Cell(30, $zh, '');
	if($tel['hat_angerufen'] == 'j') $pdf->Write($zh,"(hat angerufen) ");
	if($tel['hat_zurueckgerufen'] == 'j') $pdf->Write($zh,"(hat zurckgerufen) ");
	if($tel['ruft_wieder_an'] == 'j') $pdf->Write($zh,"(ruft wieder an) ");
	if($tel['rr_erbeten'] == 'j') $pdf->Write($zh,"(erbittet Rckruf) ");
	if($tel['treffen'] == 'j') $pdf->Write($zh,"(mchte Sie treffen) ");
	if($tel['war_da'] == 'j') $pdf->Write($zh,"(war da) ");
	if($tel['sms'] == 'j') {
		$pdf->Ln($zh);
		$pdf->Cell(30, $zh, '');
		$pdf->SetFont('Arial', 'B', 10);
		$pdf->Write($zh,"Mitarbeiter wurde(n) per SMS informiert");
	}
	$pdf->Ln($zh * 2);
}

$pdf->SetFont('Arial', 'B', 14);
$pdf->Cell(30, $zh, 'Betreff :');
$pdf->Cell(100, $zh, $mail[2]);

$pdf->Ln($zh);
$pdf->Cell(180, 2, '','B');
$pdf->Ln($zh);

$pdf->SetFont('Arial', '', 11);

$pdf->WriteHTML(4.5,$mail[3]);

$pdf->Output();
exit;
?>
