<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: nachtdienst_pr.php 2829 2018-01-11 14:28:19Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 65;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");
$abjahr = empty($rvar_abjahr) ? date('Y') : $rvar_abjahr;
$abmonat = empty($rvar_abmonat) ? date('n') : $rvar_abmonat;
$date = str_replace('ä', "", strftime("%B %Y", mktime(0,0,0,$abmonat,1,$abjahr)));

$von = mktime(0,0,0,$abmonat,1,$abjahr);
$bis = mktime(23,59,59,$abmonat,date('t',$von),$abjahr);

$ft = feiertage(date("Y", $von));

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$nd = getConf('nachtdienst');
$na = getConf('nachtdienst_auto');

$footer = $na ? "Nachtdienste" : "Nachtdienst, Feiertage, Wochenenden, Bereitschaft...";
list($vHH,$vMM) = explode(":",getConf('nachtdienst_von'));
list($bHH,$bMM) = explode(":",getConf('nachtdienst_bis'));

$pdf->AddPage();

$y_axis = 35;
$rh = 5;
$pdf->SetDrawColor(0,0,0);
$pdf->SetFillColor(232,232,232);

/* ALLE Zeitkarten des betreffenden Monats abfragen */
$zks = abfrage1("select z.pers_id, z.ab, time_to_sec(z.fls) as fls, b.dienst_bereitschaft, 
				date_format(t.von, '%H') as von_h, date_format(t.von, '%i') as von_m, 
				date_format(t.bis, '%H') as bis_h, date_format(t.bis, '%i') as bis_m,
				date_format(t.von, '%d.%m.%Y') as datum, p.name, p.vorname,
				concat(IF(a.kurzname IS NULL, a.personalart, a.kurzname),' ',p.personalnr,' ',left(p.vorname,1),left(p.name,1)) as  pnr,
				unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts
				from tb_ab_zk z left join tb_termine t using(termin_id) 
				left join tb_personal p using(pers_id)
				left join tb_personalart a using (p_art_id)
				left join tbh_termin_bereitschaft b using(termin_id)
				where unix_timestamp(t.von) < '$bis' and unix_timestamp(t.bis) > '$von'
				and (p.besch_id = 1 or p.besch_id = 4)
				order by p.name asc, p.vorname asc, t.von asc");

$pers = array();
$ma = 0;
while ($zk = mysql_fetch_array($zks)) {
	if($ma != $zk['pers_id']) {
		$ma = $zk['pers_id'];
		$pers[$ma]['pnr'] = $zk['pnr'];
		$pers[$ma]['name'] = $zk['name'];
		$pers[$ma]['vorname'] = $zk['vorname'];
		$pers[$ma]['ft'] = 0;
		$pers[$ma]['we'] = 0;
		$pers[$ma]['nd'] = 0;
		$pers[$ma]['rb'] = 0;
		$pers[$ma]['nb'] = 0;
	}
	/* Falls Zeitkarte bis 24:00 Uhr eingegeben worden ist... */
	if($zk['bis_h'] == '00' && $zk['bis_m'] == '00') $zk['bis_h'] = 24;
	$ts = date_gr2ts($zk['datum']);
	$ft1 = find_key_in_array($ft, $ts);
	if($ft1 && $zk['ab'] == 'j') $pers[$ma]['ft'] += $zk['fls']/60;
	elseif(date('w', $ts) == 0 && $zk['ab'] == 'j') $pers[$ma]['we'] += $zk['fls']/60;
	if($zk['ab'] == 'j' && ((empty($zk['dienst_bereitschaft']) && $na) || $zk['dienst_bereitschaft'] == 3)) {
		$tsvon = $ts0von = mktime($vHH,$vMM,0,date('n',$zk['von_ts']),date("j",$zk['von_ts']),date("Y",$zk['von_ts']));
		$tsbis = $ts0bis = mktime($bHH,$bMM,0,date('n',$zk['von_ts']),date("j",$zk['von_ts']),date("Y",$zk['von_ts']));
		if($tsbis < $tsvon) {
			$tsbis = mktime($bHH,$bMM,0,date('n',$zk['von_ts']),date("j",$zk['von_ts'])+1,date("Y",$zk['von_ts']));
			$ts0von = mktime($vHH,$vMM,0,date('n',$zk['von_ts']),date("j",$zk['von_ts'])-1,date("Y",$zk['von_ts']));
		}
		if($tsbis > $zk['von_ts'] && $tsvon < $zk['bis_ts']) {
			$von_ts = ($tsvon < $zk['von_ts']) ? $zk['von_ts'] : $tsvon;
			$bis_ts = ($tsbis > $zk['bis_ts']) ? $zk['bis_ts'] : $tsbis;
			$pers[$ma]['nd'] += ($bis_ts - $von_ts) / 60;
		} elseif($ts0bis > $zk['von_ts'] && $ts0von < $zk['bis_ts']) {
			$von_ts = ($ts0von < $zk['von_ts']) ? $zk['von_ts'] : $ts0von;
			$bis_ts = ($ts0bis > $zk['bis_ts']) ? $zk['bis_ts'] : $ts0bis;
			$pers[$ma]['nd'] += ($bis_ts - $von_ts) / 60;
		}
	} elseif($zk['dienst_bereitschaft'] == 1) $pers[$ma]['rb'] += $zk['fls']/60;
	elseif($zk['dienst_bereitschaft'] == 2) $pers[$ma]['nb'] += $zk['fls']/60;
}

$N = $nd ? 0 : 20;

foreach($pers as $ma) {
	if($y_axis == 35) {
		$pdf->SetLineWidth('0.3');
		$pdf->SetFont('stw','',14);
		$pdf->Text(15,30,$footer);
		$pdf->Text(120,11,$date);
		// berschriften
		$pdf->SetFont('arialb','',8);
		$pdf->SetY($y_axis);
		$pdf->SetX(15);
		$pdf->Cell(20+$N,$rh,'Personalnr',1,0,'C',0);
		$pdf->Cell(30+$N,$rh,'Name',1,0,'C',0);
		$pdf->Cell(30+$N,$rh,'Vorname',1,0,'C',0);
		if($nd) $pdf->Cell(17,$rh,'Feiertag',1,0,'C',0);
		if($nd) $pdf->Cell(19,$rh,'Wochenende',1,0,'C',0);
		$pdf->Cell(19+$N,$rh,'Nachtdienst',1,0,'C',0);
		if($nd) $pdf->Cell(23,$rh,'Rufbereitschaft',1,0,'C',0);
		if($nd) $pdf->Cell(25,$rh,'Nachtbereitschaft',1,0,'C',0);
		$pdf->SetLineWidth('0.1');
		$y_axis += $rh;
		$pdf->SetFont('arial','',8);
	}
	$pdf->SetY($y_axis);
	$pdf->SetX(15);
	$pdf->Cell(20+$N,$rh,$ma['pnr'],1,0,'L',0);
	$pdf->Cell(30+$N,$rh,$ma['name'],1,0,'L',0);
	$pdf->Cell(30+$N,$rh,$ma['vorname'],1,0,'L',0);
	if($nd) $pdf->Cell(17,$rh,fls_form($ma['ft']/60),1,0,'R',0);
	if($nd) $pdf->Cell(19,$rh,fls_form($ma['we']/60),1,0,'R',0);
	$pdf->Cell(19+$N,$rh,fls_form($ma['nd']/60),1,0,'R',0);
	if($nd) $pdf->Cell(23,$rh,fls_form($ma['rb']/60),1,0,'R',0);
	if($nd) $pdf->Cell(25,$rh,fls_form($ma['nb']/60),1,0,'R',0);

	if($y_axis >= 270) {
		$pdf->AddPage();
		$y_axis = 35;
	} else $y_axis = $y_axis + $rh;
}

$pdf->Output();
exit;
?>
