<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: nachw.php 2925 2018-12-14 10:42:28Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 36;
$level = 65;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];
$update = isset($_GET['update']) ? true : false;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 9);

require_once($pfad . 'inc/func.inc.php');
if(isset($_GET['csv'])) {
	$error = array();
	$array = array();
	$value = array('ID-Einrichtung','Fallnr','Hilfeart','Start','Ende','Abrechnung','Soll','Ist','Kontaktstunden','Fahrzeit','Telefonate','Gruppenarbeit','Fehlkont','Ueberbrueckung','Fallbegleitzeit');
	$array[] = $value;
	$bis_ts = date_my2ts($_GET['csv']);
	$von_ts = mktime(0,0,0,date('n', $bis_ts) - 5, date('d', $bis_ts), date('Y', $bis_ts));
	$statb_jas = getConf('statb_jas');
	$sql = "select p.proj_id from tb_statistikbogen s
			left join tb_projekte p using(proj_id) ";
	if($statb_jas != '') {
		$sql.= "left join tb_kontakte_ap a using(ap_id) ";
	}
	$sql.= "where s.ab_monat='{$_GET['csv']}' ";
	if($statb_jas != '') {
		$sql.= "and a.kont_id in ($statb_jas) ";
	}
	$sql.= "order by p.projektnr asc";
	$projekte=abfrage1($sql);
	while($pro = mysql_fetch_row($projekte)) {
		$projekt = new stwProjekt($pro[0]);
		$ha = abfrage("select id_le, id_ja from tb_hilfeart where hilfeart_id='$projekt->ha'");
		if(empty($projekt->az)) $error[ 'az' ][ $pro[0] ] = $pro[0];
		if(empty($projekt->ha)) $error[ 'ha' ][ $pro[0] ] = $pro[0];
		else {
			if(empty($ha[0])) $error[ 'le' ][ $projekt->ha ] = $projekt->h_art;
			if(empty($ha[1])) $error[ 'ja' ][ $projekt->ha ] = $projekt->h_art;
		}
		$abr = abfrage("select unix_timestamp(max(ab_monat)) from tb_statistikbogen where proj_id='$projekt->id' and ab_monat < '{$_GET['csv']}'");
		$ts = $von_ts;
		if($ts < $abr[0]) $ts = mktime(0,0,0,date('n', $abr[0]) + 1, date('d', $abr[0]), date('Y', $abr[0]));
		$ende = false;
		while($ts <= $bis_ts) {
			$ende_ts = mktime(0,0,0,date('n', $ts), date('t', $ts), date('Y', $ts));
			$abm_ende = date('Y-m-t',$ts);
			$abm = date('Y-m-d',$ts);

			$value = array();
			$value[] = $ha[0];
			$value[] = $projekt->az;
			$value[] = $ha[1];
			$value[] = $projekt->beginn();
			$end = ($ende == false && $ts == $bis_ts) ? $projekt->ende() : '';
			$ts = mktime(0,0,0,date('n', $ts) + 1, date('d', $ts), date('Y', $ts));
			if($ende_ts != 0 && $ts > $ende_ts && $ende == false) {
				$end = $projekt->ende();
				$ende = true;
			}
			$value[] = $end;
			$redat = mktime(0,0,0, date('n',$ts), date('t',$ts), date('Y',$ts));
			if (!arbeitstag($redat)){
				while (!arbeitstag($redat)){
					$redat -= 86400;
				}
			}
			$value[] = date('d.m.Y', $redat);
			$value[] = geld_form_formular($projekt->fls_monat($abm));
			$value[] = geld_form_formular($projekt->fls_gesamt($abm, true));
			$kzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
							from tb_ab_zk 
							where proj_id = '$projekt->id' and ab = 'j' and code in ('A','B')
							and ab_monat = '$abm'");
			$value[] = geld_form_formular($kzk[0]);
			$fzs = abfrage1("select (unix_timestamp(t.bis) - unix_timestamp(t.von)) / 3600,
							time_to_sec(z.vun) / 3600, time_to_sec(z.fz2) / 3600,
							time_to_sec(z.fls) / 3600, time_to_sec(z.fls2) / 3600
							from tb_ab_zk z left join tb_termine t using (termin_id)
							where z.proj_id = '$projekt->id' and z.ab = 'j' and code != 'U' and code != '@'
							and z.ab_monat = '$abm'");
			$sum_fz = 0;
			while($fz = mysql_fetch_row($fzs)) {
				if($fz[2] > 0) $sum_fz += $fz[2];
				else {
					$fls = ($fz[4] > 0) ? $fz[4] : $fz[3];
					$sum_fz += $fz[0] - $fz[1] - $fls;
				}
			}
			$value[] = geld_form_formular($sum_fz);
			$tzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
							from tb_ab_zk 
							where proj_id = '$projekt->id' and ab = 'j' and code = 'T' 
							and ab_monat = '$abm'");
			$value[] = geld_form_formular($tzk[0]);
			$gzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
							from tb_ab_zk 
							where proj_id = '$projekt->id' and ab = 'j' and code = 'D' 
							and ab_monat = '$abm'");
			$value[] = geld_form_formular($gzk[0]);
			$czk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
							from tb_ab_zk 
							where proj_id = '$projekt->id' and ab = 'j' and code = 'C' 
							and ab_monat = '$abm'");
			$value[] = geld_form_formular($czk[0]);
			$uzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
							from tb_ab_zk 
							where proj_id = '$projekt->id' and ab = 'j' and code = 'U' 
							and ab_monat = '$abm'");
			$value[] = geld_form_formular($uzk[0]);
			$rzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
							from tb_ab_zk 
							where proj_id = '$projekt->id' and ab = 'j' and code = 'R' 
							and ab_monat = '$abm'");
			$value[] = $rzk[0] > 0 ? 'WAHR' : 'FALSCH';
			$array[] = $value;
		}
	}
	if(empty($error) || isset($_GET['force'])) {
		$filename = "php://output";
		$fp = fopen($filename, "w");
		if ($fp) {
			header("Content-Type: application/octet-stream");
			$save_as_name = basename($_GET['csv'] . ".csv");
			header("Content-Disposition: attachment; filename=\"$save_as_name\"");
			foreach($array as $value) fputcsv($fp, $value, ';');
			fclose($fp);
		}		
		exit(0);
	}
}

if($update) {
	$nxt = abfrage("select date_add(datum, INTERVAL 2 MONTH), date_add(datum, INTERVAL 1 MONTH) from tb_ab_nachw order by datum desc limit 1");
	azk_cache_reset_date($nxt[0] > date('Y-m-d') ? $nxt[1] : $nxt[0]);

	/* --- Abschnitt (X)AJAX --- */
	$ajax = 1;
	require_once($pfad . 'inc/xajax_core/xajax.inc.php');
	function azkrefresh($proj_id, $ab_monat) {
		azk_update_cache($proj_id, $ab_monat);
	}
	$xajax = new xajax();
	$xajax->configure('javascript URI', './inc/');
	$xajax->registerFunction('azkrefresh');
	/* --- Ende Abschnitt (X)AJAX --- */
}

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/stwDaten.inc.php");

set_session_url();

$smstyle = "style=\"color: #ccc\"";
$page = isset($_GET['page']) ? $_GET['page'] : getPersEinst($_SESSION[$AppCode]['UID'], "nachw_tab", 1);

if(isset($_GET['csv']) && !empty($error)) {
	echo "<table>\n";
	echo "<tr><th style=\"color:red\">Beim Erstellen der CSV-Datei wurden Ungereimtheiten festgestellt:</th></tr>";
	new stwTabLine(1,1);
	if(is_array($error[ 'az' ])){
		echo "<tr><th>Bei folgenden Projekte fehlt das Aktenzeichen (Fallnr des JA):</th></tr>";
		echo "<tr><td class=\"ww\">\n";
		foreach($error[ 'az' ] as $proj_id) {
			echo "<a href=\"pro_daten.php?proj_id=$proj_id\">" . projektnummer($proj_id) . "</a> &nbsp; \n";
		}
		echo "</td></tr>\n";
		new stwTabLine(2,1);
	}
	if(is_array($error[ 'ha' ])){
		echo "<tr><th>Folgenden Projekten ist keine Hilfeart zugeordnet:</th></tr>";
		echo "<tr><td class=\"ww\">\n";
		foreach($error[ 'ha' ] as $proj_id) {
			echo "<a href=\"pro_daten.php?proj_id=$proj_id\">" . projektnummer($proj_id) . "</a> &nbsp; \n";
		}
		echo "</td></tr>\n";
		new stwTabLine(2,1);
	}
	if(is_array($error[ 'ja' ])) {
		echo "<tr><th>Folgende Hilfearten sind nicht vollst&auml;ndig konfiguriert:";
		if($_SESSION[$AppCode]["ULV"] > 96) {
			echo " <a href=\"seite_konf.php?seite=36&name=nachw\"><img src=\"img/edit.png\" /></a></th></tr>";
			echo "<tr><td>Die ID der Hilfeart beim Jugendamt (der obere Wert) fehlt.";
		} else {
			echo "</th></tr><tr><td>Bitte zu Konfigurationszwecken an einen Gesch&auml;ftsf&uuml;hrer wenden.";
		}
		echo "</td></tr>";
		echo "<tr><td class=\"ww\"><b>\n";
		foreach($error[ 'ja' ] as $ha) {
			echo "$ha &nbsp;";
		}
		echo "</b></td></tr>\n";
		new stwTabLine(2,1);
	}
	if(is_array($error[ 'le' ])) {
		echo "<tr><th>Folgende Hilfearten sind nicht vollst&auml;ndig konfiguriert:";
		if($_SESSION[$AppCode]["ULV"] > 96) {
			echo " <a href=\"seite_konf.php?seite=36&name=nachw\"><img src=\"img/edit.png\" /></a></th></tr>";
			echo "<tr><td>Die ID der Einrichtung, die dieser Hilfeart beim Jugendamt zugeordnet ist (der untere Wert), fehlt.";
		} else {
			echo "</th></tr><tr><td>Bitte zu Konfigurationszwecken an einen Gesch&auml;ftsf&uuml;hrer wenden.";
		}
		echo "</td></tr>";
		echo "<tr><td class=\"ww\"><b>\n";
		foreach($error[ 'le' ] as $ha) {
			echo "$ha &nbsp;";
		}
		echo "</b></td></tr>\n";
		new stwTabLine(2,1);
	}
	echo "<tr><td>Hier klicken, um die CSV-Datei trotz oben genannter Fehler zu exportieren:";
	echo "<a".stwToolTip("Statistikdaten als CSV-Datei exportieren<br>(Werte sind durch Semikolon getrennt)")."href=\"nachw.php?page=2";
	if(isset($_GET['jahr'])) $action .= "&amp;jahr=" . $_GET['jahr'];
	echo "&amp;csv={$_GET['csv']}&amp;force=1\">CSV</a> &nbsp;";
	echo "</th></tr></table>\n";
}

if(isset($_GET['pref'])) {
	$sql = "select pers_id from tb_pers_einst where pers_id = '{$_SESSION[$AppCode]['UID']}';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set nachw_tab = '$page'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '{$_SESSION[$AppCode]['UID']}';";
	abfrage2($sql);
	$smstyle = "style=\"color: lime\"";
}

$Recht_Integrate = check_nutzer_rechte(152);
if($Recht_Integrate && 
	isset($_GET['integrate']) && is_numeric($_GET['integrate']) && 
	isset($_GET['proj_id']) && is_numeric($_GET['proj_id']) && 
	isset($_GET['re']) && is_numeric($_GET['re']) && 
	isset($_GET['nw']) && is_numeric($_GET['nw'])) {
	$abm = abfrage("select datum from tb_ab_nachw where nachw_id='{$_GET['nw']}'");
	abfrage2("update tb_ab_zk set nachw_id='".$_GET['nw']."', ab_monat='$abm[0]' where zk_id='".$_GET['integrate']."'");
	abfrage2("delete from tb_ab_rechnung where re_id='".$_GET['re']."'");
	azk_cache_reset_proj_date($_GET['proj_id'], $abm[0]);
}

echo <<< HEREDOC
<script type="text/javascript">
function checkAll(switcher) {
	var cb = document.getElementsById("zk_id[]");
  for (var i=0; i<cb.length; i++)
  	if (cb[i].type.indexOf(cb) != 1) cb[i].checked = switcher;
}
</script>
HEREDOC;

$self = $_SERVER['PHP_SELF'];
$ti = 1;
$vor_nach_b = (getConf('vor_nach_b') == 1);
$tt_vor_nach_b = (getConf('tt_vor_nach_b') == 1);
$vuncolor = getConf('vuncolor');
$statbo6mon = getConf('statbo6mon');
$stw = (getConf("traeger") == "stw");
$statistikbogen = getConf('statistikbogen');
$nachtdienst = getConf('nachtdienst') + getConf('nachtdienst_auto');
$kls6mon = getConf('kls6mon');

$alt_codes = getConf('alt_codes');
if($alt_codes) {
	$codeArray = array();
	$codes = abfrage1("select code,code2 from tb_ab_code4");
	while($c = mysql_fetch_row($codes)) $codeArray[$c[0]] = $c[1];
}

 /* Nachweismappe war leer -> Fehlermeldung bringen */
 if (isset($_GET["empty"]))
 {
   echo "<table><tr>";
   echo "<h1 style=\"color:red\">Keine ZK vorhanden f&uuml;r ";
   echo "Nachweismappe!</h1>";
   echo "</tr></table>";
 }

 /* Warnung ehe eine neue Nachweismappe angelegt wird */
 if (isset($_GET["warnung"]))
 {
	echo "<table><tr><th colspan=\"2\">";
	echo "Wollen sie wirklich eine neue Nachweismappe erstellen";
	if($_GET["warnung"]==1) {
	   echo " und damit den Abrechnungsprozess<br>f&uuml;r diesen ";
	   echo "Abrechnungsmonat endg&uuml;ltig beenden?";
	} elseif($_GET["warnung"]==2) {
	   echo "?<br>Es werden nur Zeitkarten ber&uuml;cksichtigt, die";
	   echo " f&uuml;r die Rechnungserstellung relevant sind!";
	} elseif($_GET["warnung"]==3) {
	   echo "?<br>Es werden die Rechnungen f&uuml;r Monats- ";
	   echo "und Tagessatzprojekte erzeugt!";
	}
	echo "</th></tr>";
	$dat = abfrage("select ab_monat from tb_ab_zk order by ab_monat desc limit 1");
	if($_GET["warnung"]==3) {
		echo "<tr><td><input type=\"button\" value=\"Ja\" ";
		echo "onClick=\"self.location.href='rech_erst_sql.php?rech_tag_sofort=$dat[0]'\"></td>";
		echo "<td style=\"text-align:right\"><input type=\"button\" value=\"Nein\" ";
		echo "onClick=\"self.location.href='nachw.php?page=1'\"></td></tr>";
	} else {
		$sql = "select proj_id, ab_monat from tb_ab_zk
				where ab = 'j'
				and ab_monat = '$dat[0]'
				and nachw_id is null
				group by proj_id";
		$res = abfrage1($sql);
		$sum_rech_zks = mysql_num_rows($res);
		$dat2 = mysql_fetch_row($res);
		$sql = "select proj_id from tb_ab_zk
				where ab = 'j'
				and ab_monat = '$dat[0]'
				and nachw_id is not null
				group by proj_id";
		$res2 = abfrage1($sql);
		$sum_rech_zks += mysql_num_rows($res2);
		$sql = "select proj_id from tb_ab_proj_kont
				where ab_monat = '$dat[0]' 
				and (kontrolle & 1) > 0
				group by proj_id";
		$res3 = abfrage1($sql);
		$sum_kontroll_zks = mysql_num_rows($res3);
		
		echo "<tr><td><input type=\"button\" value=\"Ja\" ";
		echo "onClick=\"self.location.href='nachw_end_sql.php?ab={$_GET["warnung"]}'\"></td>";
		echo "<td style=\"text-align:right\"><input type=\"button\" value=\"Nein\" ";
		echo "onClick=\"self.location.href='nachw.php?page=1'\"></td></tr>";

		echo "<tr><td colspan=\"2\" style=\"text-align:center\">";
		$zks = $sum_rech_zks - $sum_kontroll_zks;
		if($zks == 0) echo "alle Projekte";
		else echo "$zks Projekt".($zks==1 ? '' : 'e')." noch nicht";
		echo " kontrolliert</td></tr>\n";
	}
	echo "</table>\n";
	new stwEnd($seite);
	exit(0);
 }

if(isset($_GET['stat_out'])) {
	echo "<form action=\"$self\" method=\"post\">\n";
	new stwSicherheitsabfrage("Es werden f&uuml;r die unten aufgef&uuml;hrten Projekte Postausg&auml;nge erzeugt!<br />Sind sie sicher?");
	echo "<input type=\"hidden\" name=\"make_stat_post\" value=\"1\" />\n";
	echo "</form>";
	/*TODO: Projekte, Speicherroutine...*/
	new stwEnd($seite);
	exit(0);
}

/*--  menue  --*/
echo "<table width=\"750\"><tr>\n";
$class = ($page == 1) ? "menuactive" : "menuinactive";
echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=1\">Zeitkarten</a></th>\n";
$class = ($page == 2) ? "menuactive" : "menuinactive";
echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=2\">Nachweismappen</a></th>\n";
$sort = isset($_GET['sort']) ? "&sort=".$_GET['sort'] : "";
echo "<td class=\"cl1\"><a $smstyle href=\"$self?page=$page&pref=1$sort\" ";
echo stwToolTip("Aktuelle Seite als pers&ouml;nliche Voreinstellung speichern");
echo ">:)</a></td>\n";
echo "<th width=\"150\" style=\"text-align:right\" class=\"cl1\">ABMonat:</th>\n";
echo "<td><form action=\"$self\" method=\"GET\">\n";
echo "<input type=\"hidden\" name=\"page\" value=\"1\">\n";
echo "<select name=\"ab_monat\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"0\">aktueller Monat</option>\n";
$abmonate=abfrage1("select distinct unix_timestamp(ab_monat), ab_monat
					from tb_ab_zk where unix_timestamp(ab_monat) > 0 
					order by unix_timestamp(ab_monat) desc");
while($abmonat = mysql_fetch_row($abmonate)) {
	$date = preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $abmonat[0]));
	$selected = $abmonat[1]==$rvar_ab_monat ? 'selected' : '';
	echo "<option value=\"$abmonat[1]\" $selected>$date</option>\n";
}
echo "</select></form></td>\n";
echo "</tr></table>\n";
new stwLine(1);

if($page == 1) {
  if($update) $prDone = array();
/*-- Phase 1  --*/
  echo "<table><tr><th colspan=\"15\">Liste aller noch nicht abgerechneten, ";
  echo "abrechnungsrelevanten Zeitkarten:</th></tr>\n";

  if (isset($_GET["sort"])){
    switch ($_GET["sort"]) {
 	   case 'dat':
    	    $order = " order by unix_timestamp(t.von) asc;";
        	break;
    	case 'pro':
    	    $order = " order by p.projektnr asc, unix_timestamp(t.von) asc;";
        	break;
    	case 'bet':
    	    $order = " order by b.vorname asc, b.name asc,
						unix_timestamp(t.von) asc;";
        	break;
 	   case 'code':
    	    $order = " order by a.code asc, unix_timestamp(t.von) asc;";
        	break;
    }
  } else {
    $order = " order by unix_timestamp(t.von) asc;";
  }
  $is_null = empty($rvar_ab_monat) ? 'is null' : "= '$rvar_ab_monat'";
  $sql = "select date_format(t.von,'%d.%m.%Y'), time_format(t.von,'%k:%i'),
		time_format(t.bis,'%k:%i'), time_format(a.fls,'%k:%i'),
		time_format(sec_to_time(unix_timestamp(t.bis) - unix_timestamp(t.von) -
			time_to_sec(a.fls) - time_to_sec(a.vun)),'%k:%i'),
		a.pers_id, a.code, a.inhalte, a.zk_id, a.proj_id, p.projektnr,
		(concat(left(b.vorname,1), '. ', b.name)), time_format(a.vun,'%k:%i'),
		date_format(t.bis,'%d.%m.%Y'), date_format(t.von,'%Y-%m'), unix_timestamp(t.von)
		from tb_ab_zk a
		left join tb_termine t using (termin_id)
		left join tb_projekte p on a.proj_id = p.proj_id
		left join tb_personal b on a.pers_id = b.pers_id
		where (a.ab = 'j' or a.code = 'u') and a.ab_monat $is_null
		$order";

  $res = mysql_query($sql) or die(mysql_error());

  if (mysql_num_rows($res) > 0){
	echo "<form action=\"nachw_zkab_sql.php?page=1\" method=\"POST\">\n";
	new stwTabLine(2,19);
	$abmonat = empty($rvar_ab_monat) ? '' : "&ab_monat=$rvar_ab_monat";
	echo "<tr><td></td><th class=\"cl1\"><a href=\"$self?sort=dat&page=1$abmonat\">Datum</a></th>\n";
	echo "<th class=\"cl1\"><a href=\"$self?sort=pro&page=1$abmonat\">Projekt</a></th>\n";
	echo "<th class=\"cl1\">von</th>\n";
	echo "<th class=\"cl1\">bis</th>\n";
	echo "<th class=\"cl1\">FLS</th>\n";
	if($vor_nach_b || $tt_vor_nach_b)
	  echo "<th class=\"cl1\">VuN</th>\n";
	echo "<th class=\"cl1\">Fahrt</th>\n";
	echo "<th class=\"cl1\"><a href=\"$self?sort=bet&page=1$abmonat\">Betreuer</a></th>\n";
	echo "<th class=\"cl1\"><a href=\"$self?sort=code&page=1$abmonat\">Code</a></th>\n";
	echo "</tr>\n";

	new stwTabLine(2,30);
	while ($row = mysql_fetch_row($res)) {
		if(projekt_ab_nach_ende($row[9],true)) continue;
		$tt = $row[6] == '$' ? stwToolTip('Zeitkarte ausschlie&szlig;lich zur Dokumentation von Spesen') : '';
		echo "<tr class=\"mo\">";
		echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"zk_id[]\" ";
		echo "value=\"$row[8]\" tabindex=\"$ti\"></td>"; $ti++;
		if($row[9] == 0 && $row[6] == '$') $nr = "Gruppenarbeit";
		else $nr = projektnummer($row[9]);
		if(is_numeric(trim($nr))) {
			$gruppe = abfrage("SELECT proj_id_gruppe FROM tbh_projekt_gruppe WHERE proj_id='$row[9]' order by von desc");
			$nr = projektnummer($gruppe[0]);
			$gruppenjournal = true;
		} else $gruppenjournal = false;
		if($row[6] == 'U') {
			echo "<td class=\"cl1\" colspan=\"4\"><a ";
			echo "href=\"pro_ab_zk.php?zk_id=$row[8]&proj_id=$row[9]\">";
			echo "$row[0] - $row[13]</a> &nbsp; &nbsp; \n";
			echo "<a href=\"pro_daten.php?proj_id=$row[9]\">$nr</a></td>\n";
		} else {
			echo "<td class=\"cl1\"><a ";
			if(time2min($row[2]) - time2min($row[1]) != time2min($row[3]) + time2min($row[4])) {
				echo "style=\"color: $vuncolor\"";
				echo stwToolTip('Zeitkarte mit Vor- und Nachbearbeitungszeit oder Korrektur-Zeitkarte');
			}
			echo "$tt href=\"pro_ab_zk.php?zk_id=$row[8]&proj_id=$row[9]\">";
			echo "$row[0]</a></td>\n<td class=\"cl1\">";
			if($row[9] == 0 && $row[6] == '$') {
				$ga = abfrage("select ga_id from tbh_ga_spesen where zk_id='$row[8]'");
				$gruppenarbeitslink = "<a href=\"ga_and.php?ga_id=$ga[0]\">$nr</a>";
				echo "<a href=\"ga_and.php?ga_id=$ga[0]\">";
			} elseif($gruppenjournal) {
				echo "<a style=\"color:#2BDF91\"".stwToolTip("Gruppendokumentation")."href=\"pro_gruppe_and.php?proj_id=$gruppe[0]\">";
			} else echo "<a href=\"pro_daten.php?proj_id=$row[9]\">";
			echo $nr . "</a></td>\n";
			echo "<td class=\"cl1\" style=\"text-align:right\">$row[1]</td>\n";
			echo "<td class=\"cl1\" style=\"text-align:right\">$row[2]</td>\n";
		}
		echo "<td class=\"cl1\" style=\"text-align:right\">$row[3]</td>\n";
		if($vor_nach_b || $tt_vor_nach_b) {
		  echo "<td class=\"cl1\" style=\"text-align:right\">";
		  if ($row[12] != "0:00") echo $row[12];
		  echo "</td>\n";
		}
		if($row[6] == 'U') {
			echo "<td class=\"cl1\" colspan=\"2\">&Uuml;berbr&uuml;ckungszeit</td>";
		} else {
			echo "<td class=\"cl1\" style=\"text-align:right\">";
			if ($row[4] != "0:00") echo $row[4];
			echo "</td>\n<td class=\"cl1\">";
			echo (empty($row[11]) && $row[6]=='$') ? $gruppenarbeitslink : $row[11];
			echo "</td>";
		}
		echo "<td $tt class=\"cl1\">";
		if($alt_codes) echo $codeArray[ $row[6] ];
		else ($row[6]=='U' ? '&Uuml;' : $row[6]);
		echo "</td>";
		if(empty($rvar_ab_monat)) {
			echo "<td class=\"cl11\"><a href=\"nachw_zkab_sql.php?page=1&zk_id=$row[8]\">";
			echo "Zeitkarte abrechnen</a></td>\n";
			if($Recht_Integrate) {
				$nw = abfrage("select nachw_id from tb_ab_nachw where datum='$row[14]-01'");
				$rech = abfrage("select re_id, post_out_id from tb_rechnung where nachw_id='$nw[0]' and proj_id='$row[9]'");
				if(!empty($nw[0]) && !empty($rech[0]) && empty($rech[1])) {
					$mon = strftime('%B',$row[15]);
					echo "<td class=\"cl20\"><a style=\"color:red\" href=\"nachw.php?page=1&proj_id=$row[9]&nw=$nw[0]&re=$rech[0]&integrate=$row[8]\" ";
					echo "onclick=\"return confirm('Wollen Sie wirklich die bereits erstellten Nachweis und Rechnung des Projekts $nr im Monat $mon &auml;ndern?')\"";
					echo ">Zeitkarte in Rechnung $mon integrieren</a></td>\n";
				}
			}
			if($row[6] != '$') {
				echo "<td class=\"cl1\"><a href=\"nachw_zkdel_sql.php?page=1&";
				echo "zk_id=$row[8]&tg=nach\" style=\"color:red\" ";
				$tt = '<b>VORSICHT!</b> L&ouml;schen!';
				echo stwToolTip($tt) . ">X</a></td>\n";
			}
		}
		echo "</tr>\n";
	}

	if (empty($rvar_ab_monat) && mysql_num_rows($res) > 0){
		new stwTabLine(2,19);
		echo "<tr><td colspan=\"17\">";
		echo "<input type=\"submit\" value=\"alle markierten ZKs abrechnen\"> &nbsp; ";
		echo "<input type=\"button\" style=\"background-color:#00FF00\" ";
		$nxt = abfrage("select unix_timestamp(date_add(datum, INTERVAL 1 MONTH)) from tb_ab_nachw order by datum desc limit 1");
		$last = mktime(23,59,59,date('n', $nxt[0]), date('t', $nxt[0]), date('Y', $nxt[0]));
		$mon = strftime('%B',$last);
		echo "value=\"alle Zeitkarten bis $mon abrechnen\" ";
		echo "onClick=\"self.location.href='nachw_lsab_sql.php?ts=$last'\"></td></tr>\n";
	}
	echo "</form>\n";
  }

  echo "</table>\n";

  new stwLine(1);
 if(empty($rvar_ab_monat)) {
 /* ----- Phase 2 ----- */
  $dat = abfrage("select ab_monat from tb_ab_zk order by ab_monat desc limit 1");
  echo "<table>\n";
  echo "<tr><th colspan=\"15\">Liste aller abgerechneten Zeitkarten ";
  echo "ohne Nachweis:</th></tr>\n";

  if (isset($_GET["sort2"])){
	switch ($_GET["sort2"]) {
		case 'dat':
			$order = " order by unix_timestamp(t.von) asc;";
			break;
		case 'pro':
			$order = " order by p.projektnr asc, unix_timestamp(t.von) asc;";
      break;
    case 'bet':
      $order = " order by b.vorname asc, b.name asc,
			unix_timestamp(t.von) asc;";
     	break;

	}
  } else {
	$order = " order by unix_timestamp(t.von) asc;";
  }

  $sql = "select date_format(t.von,'%d.%m.%Y'), time_format(t.von,'%k:%i'),
		time_format(t.bis,'%k:%i'), time_format(a.fls,'%k:%i'),
		time_format(sec_to_time(unix_timestamp(t.bis) - unix_timestamp(t.von) -
			time_to_sec(a.fls) - time_to_sec(a.vun)),'%k:%i'),
		a.pers_id, a.code, a.inhalte, a.zk_id, a.proj_id, p.projektnr,
		(concat(left(b.vorname,1), '. ', b.name)), time_format(a.vun,'%k:%i'),
		date_format(t.bis,'%d.%m.%Y')
		from tb_ab_zk a
		left join tb_termine t using (termin_id)
		left join tb_projekte p on a.proj_id = p.proj_id
		left join tb_personal b on a.pers_id = b.pers_id
		where a.ab = 'j'
		and a.ab_monat is not null
		and a.nachw_id is null
		$order";

  $res1 = abfrage1($sql);

  if (mysql_num_rows($res1) > 0){
	new stwTabLine(2,17);
	echo "<tr>";
	if (mysql_num_rows($res1) > 1){
		echo "<form action=\"nachw_zkabz_sql.php\" method=\"POST\">\n";
		echo "<td><input type=\"checkbox\" name=\"checkall\" value=\"1\" ";
		echo "onClick=\"checkAll1(this.checked)\"";
		echo stwToolTip('alle ausw&auml;hlen / abw&auml;hlen') . "></td>\n";
	}
	echo "<th class=\"cl1\"><a href=\"$self?sort2=dat&page=1\">Datum</a></th>\n";
	echo "<th class=\"cl1\"><a href=\"$self?sort2=pro&page=1\">Projekt</a></th>\n";
	echo "<th class=\"cl1\">von</th>\n";
	echo "<th class=\"cl1\">bis</th>\n";
	echo "<th class=\"cl1\">FLS</th>\n";
	if($vor_nach_b || $tt_vor_nach_b)
	  echo "<th class=\"cl1\">VuN</th>\n";
	echo "<th class=\"cl1\">Fahrt</th>\n";
	echo "<th class=\"cl1\"><a href=\"$self?sort2=bet&page=1\">Betreuer</a></th>\n";
	echo "<th class=\"cl1\">Code</th></tr>\n";

	while ($row = mysql_fetch_row($res1)) {
		if($update) {
			if(empty($prDone[ $row[9] ])) {
				echo "<script type=\"text/javascript\">\n";
				echo "xajax_azkrefresh($row[9],'$dat[0]');\n";
				echo "</script>\n";
				$prDone[ $row[9] ] = true;
			}
		}
		new stwTabLine(2,30);
		echo "<tr class=\"mo\">";
		if($row[9] == 0 && $row[6] == '$') $nr = "Gruppenarbeit";
		else $nr = projektnummer($row[9]);
		if(is_numeric(trim($nr))) {
			$gruppe = abfrage("SELECT proj_id_gruppe FROM tbh_projekt_gruppe WHERE proj_id='$row[9]' order by von desc");
			$nr = projektnummer($gruppe[0]);
			$gruppenjournal = true;
		} else $gruppenjournal = false;
		if (mysql_num_rows($res1) > 1){
			echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"zk_id[]\" ";
			echo "value=\"$row[8]\" tabindex=\"$ti\"></td>"; $ti++;
		}
		if($row[6] == 'U') {
			echo "<td class=\"cl1\" colspan=\"4\"><a ";
			echo "href=\"pro_ab_zk.php?zk_id=$row[8]&proj_id=$row[9]\">";
			echo "$row[0] - $row[13]</a> &nbsp; &nbsp; \n";
			echo "<a href=\"pro_daten.php?proj_id=$row[9]\">$nr</a></td>\n";
		} else {
			echo "<td class=\"cl1\"><a href=\"pro_ab_zk.php?zk_id=$row[8]&";
			echo "proj_id=$row[9]&abre=1\"";
			if(time2min($row[2]) - time2min($row[1]) != time2min($row[3]) + time2min($row[4])) {
				echo "style=\"color: $vuncolor\"";
				echo stwToolTip('Zeitkarte mit Vor- und Nachbearbeitungszeit');
			}

			echo ">$row[0]</a></td>\n<td class=\"cl1\">";
			if($row[9] == 0 && $row[6] == '$') {
				$ga = abfrage("select ga_id from tbh_ga_spesen where zk_id='$row[8]'");
				echo "<a href=\"ga_and.php?ga_id=$ga[0]\">";
			} elseif($gruppenjournal) {
				echo "<a style=\"color:#2BDF91\"".stwToolTip("Gruppendokumentation")."href=\"pro_gruppe_and.php?proj_id=$gruppe[0]\">";
			} else echo "<a href=\"pro_daten.php?proj_id=$row[9]\">";
			echo "$nr</a></td>\n";
			echo "<td class=\"cl1\">$row[1]</td>\n";
			echo "<td class=\"cl1\">$row[2]</td>\n";
		}
		echo "<td class=\"cl1\">$row[3]</td>\n";
		if($vor_nach_b || $tt_vor_nach_b) {
		  echo "<td class=\"cl1\">";
		  if ($row[12] != "00:00") echo $row[12];
		  echo "</td>\n";
		}
		if($row[6] == 'U') {
			echo "<td class=\"cl1\" colspan=\"2\">&Uuml;berbr&uuml;ckungszeit</td>";
		} else {
			echo "<td class=\"cl1\">";
			if ($row[4] != "00:00") echo $row[4];
			echo "</td>\n";
			echo "<td class=\"cl1\">$row[11]</td>\n";
		}
		echo "<td class=\"cl1\">";
		echo ($alt_codes) ? $codeArray[ $row[6] ] : $row[6];
		echo "</td>\n<td><a href=\"nachw_zkabz_sql.php?page=1&zk_id=$row[8]\">";
		echo "Zeitkarte zur&uuml;ckstellen</a></td>\n";
		echo "</tr>\n";
	}
	if (mysql_num_rows($res1) > 1){

		new stwTabLine(2,30);
		echo "<tr><td colspan=\"30\"><input type=\"submit\" ";
		echo "value=\"alle ausgew&auml;hlten Zeitkarten zur&uuml;cksetzen\"></td>";
		echo "</form>\n";
	}
  }

  $ndate = date('Y-m-d', mktime(0,0,0, date('n'), 1, date('Y')));
  $nach = abfrage("select nachw_id from tb_ab_nachw where datum = '$ndate';");
  new stwTabLine(2,17);
  if (empty($nach[0])){
	if (mysql_num_rows($res1) > 0){
		echo "<tr><td colspan=\"17\">";
		echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><tr><td>";
		echo "<input type=\"button\" style=\"background-color:#FF0000\" ";
		echo "value=\"alle in Nachweismappe (f&uuml;r Rechnung) verschieben\" ";
		echo "onClick=\"self.location.href='nachw.php?warnung=1'\">";
		if(getConf('rech_tag_sofort')) {
			$nw = abfrage("select nachw_id from tb_ab_nachw where datum='$dat[0]'");
			if(empty($nw[0])) {
				echo "</td><td style=\"text-align:right\">";
				echo "<input type=\"button\" style=\"background-color:#FFFF00\" ";
				echo "value=\"Rechnungen f&uuml;r Monats- und Tagessatz erzeugen\" ";
				echo "onClick=\"self.location.href='nachw.php?warnung=3'\">";
			}
		}
		$sql = "select a.proj_id, a.ab_monat from tb_ab_zk a
				left join tb_projekte p on a.proj_id = p.proj_id
				left join tb_kontakte_ap ap on p.ap_id = ap.ap_id
				left join tb_kontakte k on ap.kont_id = k.kont_id
				where a.ab = 'j' and k.ab='j'
				and a.ab_monat = '$dat[0]'
				and a.nachw_id is null
				group by a.proj_id";
		$res2 = abfrage1($sql);
		$sum_rech_zks = mysql_num_rows($res2);
		$dat2 = mysql_fetch_row($res2);
		$sql = "select a.proj_id from tb_ab_proj_kont a
				left join tb_projekte p on a.proj_id = p.proj_id
				left join tb_kontakte_ap ap on p.ap_id = ap.ap_id
				left join tb_kontakte k on ap.kont_id = k.kont_id
				where k.ab='j' and a.ab_monat = '$dat[0]' 
				and (a.kontrolle & 1) > 0
				group by a.proj_id";
		$res3 = abfrage1($sql);
		$sum_kontroll_zks = mysql_num_rows($res3);
		if($sum_kontroll_zks >= $sum_rech_zks && $sum_rech_zks > 0) {
			echo "</td><td style=\"text-align:right\">";
			echo "<input type=\"button\" style=\"background-color:#FF6600\" ";
			echo "value=\"NUR EXTERNE Abrechnung erzeugen\" ";
			echo "onClick=\"self.location.href='nachw.php?warnung=2'\">";
		}
		echo "</td></tr></table></td></tr>\n";
	}
  } else {
	$ab = preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', mktime(0,0,0, date('n'), 1, date('Y'))));

	echo "<tr><td colspan=\"17\" style=\"font-weight:bold;color:yellow\">";
	echo "Nachweismappe f&uuml;r $ab; wurde bereits erstellt! (siehe unten)</td>";
	echo "</tr>\n";
  }
  echo "</table>\n";
  new stwLine(1);
 }
}
// Phase 2
if($page == 2) {
  if(isset($_POST['makestat'])) {
	$bis_ts = date_my2ts($_POST['ab_monat']);
	$von_ts = mktime(0,0,0,date('n',$bis_ts)-5,1,date('Y',$bis_ts));
	$ende_ts = mktime(0,0,0,date('n',$bis_ts)+1,1,date('Y',$bis_ts));
	if($statbo6mon == 1) {
		$pros=abfrage1("select proj_id from tb_ab_zk 
						where unix_timestamp(ab_monat) >= $von_ts
						and unix_timestamp(ab_monat) <= $bis_ts
						group by proj_id");
	} elseif($statbo6mon == 2) {
		$re_id = abfrage("select re_id from tb_rechnung where nachw_id = '{$_POST['nachw_id']}' and proj_id = 0");
		$pros = abfrage1("select proj_id from tb_abschlag_rechnung where re_id='$re_id[0]' group by proj_id");
	} else {
		$hp_ts = mktime(0,0,0,date('n',$von_ts)+1,1,date('Y',$von_ts));
		$pro_not_sql = "select proj_id from tb_statistikbogen where unix_timestamp(ab_monat) >= $von_ts and unix_timestamp(ab_monat) < $bis_ts";
		$not_pros = abfrage1($sql);
		$pros=abfrage1("select z.proj_id from tb_ab_zk z 
						left join tb_projekte p using(proj_id)
						left join (select proj_id, and_datum from tb_hp where hp_art in ('h','h2','s') and prognose = 'n' 
								group by proj_id order by and_datum asc) s ON (p.proj_id = s.proj_id)
						where unix_timestamp(z.ab_monat) >= $von_ts
						and unix_timestamp(z.ab_monat) <= $bis_ts 
						and ((unix_timestamp(p.ende) < $ende_ts 
							and unix_timestamp(p.ende) >= $bis_ts) 
							or (z.proj_id not in ($pro_not_sql)
							and unix_timestamp(s.and_datum) < $hp_ts))
						group by z.proj_id");
	}
	while($pro = mysql_fetch_row($pros)) {
		abfrage2("insert into tb_statistikbogen set ab_monat='{$_POST['ab_monat']}', proj_id='$pro[0]'");
	}
  }
  if(isset($_POST['makeintern'])) {
	abfrage2("UPDATE tb_ab_nachw SET intern='j' WHERE nachw_id='".$_POST['nachw_id']."';");
  }
  /* Bereichsueberschrift ausgeben */
  echo "<table width=\"750\">\n<tr><th>";
  echo "Nachweismappen f&uuml;r Abrechnungsmonat</th>\n";
  $jahr = isset($_GET['jahr']) ? $_GET['jahr'] : date('Y');
  $vjahr = $jahr - 1;
  $fjahr = $jahr + 1;
  $link1 = "<a href=\"nachw.php?page=2&jahr=$vjahr\"><img src=\"img/zurueck.png\"></a>";
  $link2 = "<a href=\"nachw.php?page=2&jahr=$fjahr\"><img src=\"img/vor.png\"></a>";
  echo "<td align=\"right\">$link1</td><td align=\"center\">$vjahr - $jahr</td><td>$link2</td></tr></table>\n";
  /* gruene Trennlinie zu den Einzelueberschriften */
  new stwLine(2);
  $res = abfrage1("select nachw_id, unix_timestamp(datum), datum,
								month(datum) as abmonth, year(datum) as abyear, 
								intern, klammer
								from tb_ab_nachw
								where year(datum) = $jahr or year(datum) = $vjahr
								order by to_days(datum) desc;");

  $akt = mktime(0,0,0,date('n'),1,date('Y'));
}
/* nur diesen Bereich zeigen wenn Mappen vorhanden sind */
if ($page == 2 && mysql_num_rows($res) > 0) {

  if(isset($_POST['stat_ok'])) {
	$statb_jas = is_array($_POST['ja']) ? implode(",", $_POST['ja']) : '';
	abfrage2("update tb_konf set wert='$statb_jas' where name='statb_jas';");
  }
  if(isset($_POST['stat_undo'])) {
	echo "<form action=\"$self?page=2\" method=\"POST\">\n";
	echo "<input type=\"hidden\" name=\"really_undo_stat\" value=\"{$_POST['id']}\" />\n";
	new stwSicherheitsabfrage("Statistikbogen f&uuml;r diesen Monat aufl&ouml;sen?",'nein, lieber doch nicht!','ja, ich bin sicher!',"$self?page=2");
	echo "</form>";
  }
  if(isset($_POST['really_undo_stat'])) {
	$dat = abfrage("select datum from tb_ab_nachw where nachw_id='{$_POST['really_undo_stat']}'");
	if(!empty($dat[0])) abfrage2("DELETE FROM tb_statistikbogen where ab_monat='$dat[0]';");
  }
  $laststat = abfrage("select n.nachw_id from tb_statistikbogen s left join tb_ab_nachw n on (n.datum=s.ab_monat) order by s.ab_monat desc limit 1");
  if($statistikbogen) {
	$jas = abfrage1("SELECT kont_id, kurzname, name FROM tb_kontakte where kont_art_id = 1 order by kurzname asc");
	$statb_jas = getConf('statb_jas');
	$statb_ja = explode(",", $statb_jas);

	echo "<script type=\"text/javascript\"><!--\n";
	echo "function doTT(drucker) {\n";
	echo "var id = drucker.replace('print','');\n";
	echo "var str = '<form action=\"$self?page=2\" method=\"POST\">';\n";
	echo "str += '<b>Jugend&auml;mter:</b><br>';\n";
	echo "str += '<select style=\"width:250px\" name=\"ja[]\" multiple size=\"5\">';\n";
	while ($ja = mysql_fetch_row($jas)){
		echo "str += '<option value=\"$ja[0]\"';\n";
		if(in_array($ja[0],$statb_ja)) echo "str += ' selected';\n";
		echo "str += '>$ja[1] - $ja[2]</option>';\n";
	}
	echo "str += '</select><br><br>';\n";
	echo "str += '<center><input type=\"submit\" name=\"stat_ok\" value=\"Speichern\" /></center>';\n";
	echo "str += '<br><input type=\"hidden\" name=\"id\" value=\"' + id + '\" />';\n";
	echo "if($laststat[0] == id) str += '<input type=\"submit\" name=\"stat_undo\" value=\"Statistikbogen aufl&ouml;sen\" />';\n";
	echo "str += '</form>';\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck-Einstellungen',TITLEBGCOLOR, '#006600', WIDTH, 250, HEIGHT, 135, FIX, [drucker,-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n--></script>\n";
  }
  /* die Einzelueberschriften ausgeben */
  echo "<table><tr><th colspan=\"2\" style=\"text-align:center\">Monat</th>";
  echo "<th colspan=\"2\">Intern</th><th>Extern</th>";

  $begr = abfrage1("select proj_id from tb_ab_mehrst_begr where checked='j' limit 1");
  $b_begr = (mysql_num_rows($begr) > 0);
  if($b_begr) {
	echo "<th style=\"text-align:center\"".stwToolTip('Begr&uuml;ndung Mehrstunden').">Begr.<br>Mehr.</th>";
  }

  echo "<th style=\"text-align:center\">Abrech-<br>nung</th>";

  /* nur innerhalb vom Stellwerk einblenden */
  if ($stw) {
  	echo "<th style=\"text-align:center\">Stunden<br>ASZ</th>";
  	echo "<th style=\"text-align:center\">Stunden<br>TT</th>";
  } else {
  	echo "<td></td><td></td>";
  }

  if($statistikbogen) echo "<th style=\"text-align:center\">Statistik-<br />bogen</th>";
  if($nachtdienst) echo "<th style=\"text-align:center\">Nachtdienst<br>Bereitschaft</th>";
  if($kls6mon) echo "<th style=\"text-align:center\">KLS<br>6 Monate</th>";
  echo "<th>Dateien</th></tr>\n";

  /* gruene Trennlinie zu den Drucksymbolen */
	new stwTabLine(2, 30);
	$last1 = last_ab_ts(true);
	$last2 = mktime(0,0,0,date('n', $last1) - 1, date('j', $last1), date('Y', $last1));

	while ($row = mysql_fetch_array($res)){
		$monat = preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $row[1]));
		echo "<tr class=\"mo\"><th style=\"padding-right:10px\">" . preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B', $row[1]));
		echo "</th>\n";
		echo "<th style=\"padding-right:10px\">" . strftime('%Y', $row[1]);
		echo "</th>\n";
		// Drucker-Button INTERN
		if($row[5] == 'j') {
			echo "<td style=\"text-align:center\">";
			echo "<a href=\"{$_SESSION['webdir']}/mandant/";
			echo $_SESSION[$AppCode]['TR'] . "/nachw_pr.php?nachw_id=$row[0]&ext=0&ts=" . time() . "\" ";
			echo "title=\"INTERN $monat drucken\" target=\"_pdf\">";
			echo "<img src=\"{$_SESSION['webdir']}/img/drucker.png\" border=\"0\">";
			echo "</a></td>\n";
			echo "<td style=\"text-align:center\">";
			if($stw) {
				if($row[6] == 'n') {
					echo "<form method=\"post\" action=\"nachw_pr_klammer.php\">\n";
					echo "<input type=\"hidden\" name=\"jahr\" value=\"".(isset($_GET['jahr']) ? $_GET['jahr'] : date('Y'))."\">\n";
					echo "<input type=\"hidden\" name=\"nachw_id\" value=\"$row[0]\">\n";
					echo "<input type=\"submit\" name=\"makeKlammer\" value=\" \"";
					echo "style=\"color:transparent;width:12px;background-image:url(img/klammer_schwarz.png);";
					echo "background-position: center;background-repeat:no-repeat\"";
					echo stwToolTip("Klammer mit allen internen Nachweisen seit Beginn<br>der Projekte dieser Nachweismappe erstellen");
					echo ">\n</form>\n";
				} else {
					$daten = new stwDaten("46");
					$klammer = $daten->get_klammer_link($_SESSION["webdir"],
														$_SESSION[$AppCode]["UID"],
														$_SESSION[$AppCode]["ULV"],
														$row[0], "0");
					echo $klammer;
					echo '&nbsp;';
					$erzeugt = abfrage("SELECT datum FROM tb_daten where rechte_id='46' and zahl_id='$row[0]' ORDER BY datum DESC LIMIT 1");
					$tt = "Klammer wurde am ".date("d.m.Y H:i",$erzeugt[0])." Uhr erzeugt";
					$sql = "select pers_id, date_format(ts, '%d.%m.%Y %H:%i'), unix_timestamp(ts) 
							from tb_zip_historie
							where rechte_id='46' and zahl_id='$row[0]'
							order by id desc";
					$downloads = abfrage1($sql);
					if(mysql_num_rows($downloads) == 0) {
						$ewald = image('ewald',6,15,255,204,0);
						$tt .= '<br><b>Archiv wurde noch nicht heruntergeladen</b>';
					} else {
						while($hi = mysql_fetch_row($downloads)) {
							$tt .= "<br>- $hi[1] - ".pers_kname($hi[0]);
							$ts = $hi[2];
						}
						if($ts > (604800 + $erzeugt[0])) {
							$tt .= "<br><b>Archiv wurde mehr als 7 Tage nach Erzeugung heruntergeladen.</b>";
							$ewald = image('ewald',6,15,255,0,0);
						} else {
							$ewald = image('ewald',6,15,0,255,0);
						}
					}
					echo "<img src=\"$ewald\"".stwToolTip($tt)."/>";
				}
			}
			echo "</td>\n";
		} else {
			$erzeugen_mgl = true;
			if ($row[1] == $last2){
				$abrechn = abfrage("select unix_timestamp(ab_monat) from tb_ab_zk where ab = 'j' and ab_monat = '{$row['datum']}' and nachw_id is null limit 1");
				$erzeugen_mgl = empty($abrechn[0]);
			}
			if($erzeugen_mgl) {
				$action = "nachw.php?page=2";
				if(isset($_GET['jahr'])) $action .= "&amp;jahr=" . $_GET['jahr'];
				echo "<td style=\"text-align:center\" colspan=\"2\"><form method=\"post\" action=\"$action\">\n";
				echo "<input type=\"hidden\" name=\"nachw_id\" value=\"$row[0]\">\n";
				echo "<input type=\"submit\" name=\"makeintern\" value=\"erz.\"";
				echo stwToolTip("interne Nachweismappe $monat erzeugen");
				echo "style=\"padding:0px\">\n</form></td>\n";
			} else {
				echo "<td colspan=\"2\"" . stwToolTip("Erzeugen interner Nachweismappe nicht m&ouml;glich!<br>Es befinden sich noch abgerechnete Zeitkarten in der Liste");
				echo "> &nbsp; </td>\n";
			}
		}
		// Drucker-Button EXTERN
		echo "<td style=\"text-align:center\">";
		echo "<a href=\"{$_SESSION['webdir']}/mandant/";
		echo $_SESSION[$AppCode]['TR'] . "/nachw_pr.php?nachw_id=$row[0]&ext=1&ts=" . time() . "\" ";
		echo "title=\"EXTERN $monat drucken\" target=\"_pdf\">";
		echo "<img src=\"{$_SESSION['webdir']}/img/drucker.png\" border=\"0\">";
		echo "</a></td>\n";

		if($b_begr) {
			$begs = abfrage1("select proj_id from tb_ab_mehrst_begr where checked='j' and ab_monat='{$row['datum']}' limit 1");
			echo "<td style=\"text-align:center\">";
			if(mysql_num_rows($begs) > 0) {
				echo "<a href=\"pro_pr_antrag.php?ab_monat={$row['datum']}&ts=" . time() . "\" ";
				echo "title=\"Begr&uuml;ndung Mehrstunden drucken\" target=\"_pdf\">";
				echo "<img src=\"{$_SESSION['webdir']}/img/drucker.png\" border=\"0\"></a>";
			}
			echo "</td>\n";
		}

		// Drucker-Button Honorar-, km- und Spesenabrechnung
		echo "<td style=\"text-align:center\"><a href=\"{$_SESSION['webdir']}/";
		echo "nachw_hon_pr.php?nachw_id=$row[0]&ts=" . time() . "\" ";
		echo "title=\"Honorar-, km- und Spesenabrechnung $monat drucken\" ";
		echo "target=\"_pdf\">";
		echo "<img src=\"{$_SESSION['webdir']}/img/drucker.png\" border=\"0\">";
		echo "</a></td>\n";

    /*
     * Ausdruck fuer das TTT Projekt wenn es ZK gibt innerhalb dieses Monats
     * Dabei wird das Datum zur aktuellen NachweisId genutzt um den Bereich
     * fuer die ZK zu bestimmen.
     */
    $zwis = explode("-", $row[2]);

    /* um einen Monat erhoehen um Intervall zu erhalten */
    $naec = $zwis[1] + 1;
    if ($naec > 12)
    {
      $naec = $naec - 12;
      $bis  = $zwis[0] + 1;
    }
    else
    {
      $bis  = $zwis[0];
    }

    $bis .= "-";

    if ($naec < 10) $bis .= "0";
    $bis .= $naec."-01 00:00:00";

    $sql  = "SELECT COUNT(t1.hilfeart_id) FROM tb_projekte t1 ";
    $sql .= "LEFT JOIN tb_ab_zk t2 ON t1.proj_id = t2.proj_id ";

    $sql .= "LEFT JOIN tb_termine t3 ON t2.termin_id = t3.termin_id ";
    $sql .= "WHERE t3.von >= '".$row[2]." 00:00:00' AND ";

    $sql .= "t3.bis < '".$bis."' AND t1.hilfeart_id = 52 ";
    $sql .= "GROUP BY t1.hilfeart_id;";

    $erg  = abfrage($sql);
    if ($erg[0] > 0 && $stw){
    	echo "<td style=\"text-align:center\"><a href=\"";
    	echo $_SESSION['webdir'] . '/mandant/' . $_SESSION[$AppCode]['TR'];
    	echo '/nachw_ttt_pr.php?abmonat=' . $row['abmonth'];
    	echo '&abjahr=' . $row['abyear'] . "&modus=2&ts=" . time() . "\"";
    	echo " title=\"Stundennachweis ASZ drucken\" target=\"_pdf\">";
    	echo "<img src=\"{$_SESSION['webdir']}/img/drucker.png\" ";
    	echo "border=\"0\"></a></td>\n";
    } else {
      echo "<td></td>\n";
    }

    /*
     * Zusaetzlicher Ausdruck Stundennachweis fr das TimTenderProjekt
     * Hilfearten TTT, TTM und TTV
     */
    $sql  = "SELECT COUNT(t1.hilfeart_id) FROM tb_projekte t1 ";
    $sql .= "LEFT JOIN tb_ab_zk t2 ON t1.proj_id = t2.proj_id ";

    $sql .= "LEFT JOIN tb_termine t3 ON t2.termin_id = t3.termin_id ";
    $sql .= "WHERE t3.von >= '".$row[2]." 00:00:00' AND ";

    $sql .= "t3.bis < '".$bis."' AND (t1.hilfeart_id = 51 OR ";
    $sql .= "t1.hilfeart_id = 52 OR t1.hilfeart_id = 53 ) ";

    $sql .= "GROUP BY t1.hilfeart_id";
    $erg  = abfrage($sql);

    if ($erg[0] > 0 && $stw)
    {
      echo "<td style=\"text-align:center\">";
      echo "<a href=\"{$_SESSION['webdir']}/mandant/";
      echo $_SESSION[$AppCode]['TR'] . "/nachw_ttt_st.php?nachw_id=$row[0]&ts=" . time() . "\" ";
      echo "title=\"Stundennachweis TT\" target=\"_pdf\">";
      echo "<img src=\"{$_SESSION['webdir']}/img/drucker.png\" border=\"0\">";
      echo "</a></td>\n";
     }
    else
    {
      echo "<td></td>\n";
    }

	if($statistikbogen) {
		$von = preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', mktime(0,0,0,date('n',$row[1])-5,1,date('Y',$row[1]))));
		if(substr($von,-4) == substr($monat,-4)) $von = substr($von,0,-5);
		echo "<td style=\"text-align:center\">";
		$stat = abfrage("select proj_id, post_out_id from tb_statistikbogen where ab_monat='{$row['datum']}' order by post_out_id desc limit 1");
		if($stat[0] > 0) {
			echo "<a".stwToolTip("Statistikdaten als CSV-Datei exportieren<br>(Werte sind durch Semikolon getrennt)")."href=\"nachw.php?page=2";
			if(isset($_GET['jahr'])) $action .= "&amp;jahr=" . $_GET['jahr'];
			echo "&amp;csv={$row['datum']}\">CSV</a> &nbsp;";
			echo "<a href=\"{$_SESSION['webdir']}/statistikbogen_pr.php?bis={$row['datum']}&ts=" . time() . "\" ";
			echo stwToolTip("Statistikbogen $von - $monat drucken") . "target=\"_pdf\" ";
			echo "onmousedown=\"if(event.button==2){doTT('print$row[0]');return false;}\" ";
			echo "oncontextmenu=\"return false;\"";
			echo "><img id=\"print$row[0]\" src=\"img/drucker.png\" border=\"0\"></a>";
			echo "<a href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\" ";
			echo "onClick=\"doTT('print$row[0]')\"> +</a> &nbsp; ";
			$checked = empty($stat[1]) ? '' : 'checked';
		} else {
			if($statbo6mon == 2) {
				$abs = abfrage1("select re_id from tb_rechnung where nachw_id = '$row[0]' and proj_id = 0");
				$makestat = (mysql_num_rows($abs) > 0);
			} else {
				if($statbo6mon == 1) $vergleichsdatum = "date_sub('{$row['datum']}',INTERVAL 6 MONTH)";
				else $vergleichsdatum = "'{$row['datum']}'";
				$abs = abfrage1("select proj_id from tb_statistikbogen where ab_monat > $vergleichsdatum");
				$makestat = (mysql_num_rows($abs) == 0);
			}
			if($makestat) {
				$action = "nachw.php?page=2";
				if(isset($_GET['jahr'])) $action .= "&amp;jahr=" . $_GET['jahr'];
				echo "<form method=\"post\" action=\"$action\">\n";
				echo "<input type=\"hidden\" name=\"ab_monat\" value=\"{$row['datum']}\">\n";
				echo "<input type=\"hidden\" name=\"nachw_id\" value=\"$row[0]\">\n";
				echo "<input type=\"submit\" name=\"makestat\" value=\"erz.\"";
				$von = preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', mktime(0,0,0,date('n',$row[1])-5,1,date('Y',$row[1]))));
				if(substr($von,-4) == substr($monat,-4)) $von = substr($von,0,-5);
				echo stwToolTip("Statistikbogen $von - $monat erzeugen");
				echo "style=\"padding:0px\">\n</form>\n";
			}
		}
		echo "</td>\n";
	}

	if($nachtdienst) {
		echo "<td style=\"text-align:center\">";
		echo "<a href=\"{$_SESSION['webdir']}/nachtdienst_pr.php?abjahr={$row['abyear']}&abmonat={$row['abmonth']}&ts=" . time() . "\" ";
		echo stwToolTip("Nachtdienst, Feiertage, Wochenenden, Bereitschaft...") . "target=\"_pdf\">";
		echo "<img src=\"{$_SESSION['webdir']}/img/drucker.png\" border=\"0\">";
		echo "</a></td>\n";
	}

	if($kls6mon) {
		echo "<td style=\"text-align:center\">";
		echo "<a href=\"{$_SESSION['webdir']}/pro_pr_kls_soll_ist.php?ab_monat={$row['datum']}&ts=" . time() . "\" ";
		echo stwToolTip("Kontaktleistungsstunden 6 Monate r&uuml;ckwirkend") . "target=\"_pdf\">";
		echo "<img src=\"{$_SESSION['webdir']}/img/drucker.png\" border=\"0\">";
		echo "</a></td>\n";
	}

    /* Dateien sind moeglich mit ranzuhaengen an die einzelnen Nachweismappen */
    $daten = new stwDaten("2");
    if (isset($row[0]))
    {
      $link = $daten->get_klammer_link($_SESSION["webdir"],
                                       $_SESSION[$AppCode]["UID"],
                                       $_SESSION[$AppCode]["ULV"],
                                       $row[0], "0");
      /* Klammersymbol ausgeben */
      echo "<td style=\"text-align:center\">$link</td>";
    }

    echo "<td></td>\n";


		if ($_SESSION[$AppCode]["ULV"] >= 96 && $row[1] == $last2){
			echo "<td width=\"5\"></td>";
			$res1 = abfrage1("select re_id from tb_rechnung
							where nachw_id = $row[0];");
			if (mysql_num_rows($res1) > 0){
				echo "<td style=\"color:red;font-weight:bold\">";
				echo "Nachweismappe aufl&ouml;sen nicht mehr m&ouml;glich,<br>";
				echo "da bereits Rechnungen erstellt!</td>\n";
			} else {
				echo "<td><a href=\"nachw_reset_sql.php?nachw_id=$row[0]\">";
				echo "Nachweismappe aufl&ouml;sen</a></td>\n";
			}
		}
		echo "</tr>\n";
	}
	echo "</table>\n";
	new stwLine(1);
}
new stwEnd($seite);
?>
