<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: nachw_end_sql.php 2860 2018-05-04 09:07:40Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

require("inc/func.inc.php");
require_once("inc/azk.inc.php");

if($_SESSION[$AppCode]["ULV"] < 65) {
	header("Location: nachw.php");
	exit(-1);
}

if($_GET['ab'] == 2) {
	// alle zur Rechnungslegung abzurechnenden Zeitkarten abfragen
	$sql = "select a.zk_id, a.ab_monat, z.* from tb_ab_zk a
			left join tb_projekte p on a.proj_id = p.proj_id
			left join tb_kontakte_ap ap on p.ap_id = ap.ap_id
			left join tb_kontakte k on ap.kont_id = k.kont_id
			left join tbh_zg_kont zk on ap.kont_id = zk.kont_id
			left join tbh_zg_ha zh on (p.hilfeart_id = zh.hilfeart_id and zk.zg_id = zh.zg_id)
			left join tb_zahlungsgruppe z on (z.zg_id = zh.zg_id)
			where a.ab_monat is not null
			and a.nachw_id is null and (
			(a.ab = 'j' and k.ab='j') 
			or
			(zh.zg_id is not null and z.von <= a.ab_monat and (z.bis >= a.ab_monat or z.bis = '0000-00-00'))
			) group by a.zk_id";
} else {
	// alle abzurechnenden Zeitkarten abfragen
	$sql = "select zk_id, ab_monat from tb_ab_zk
			where ab = 'j'
			and ab_monat is not null
			and nachw_id is null;";
}
$erg = abfrage1($sql);

/* wenn keine ZK vorhanden Fehlermeldung bringen */
if (mysql_num_rows($erg) <= 0) {
	header("Location: nachw.php?empty=1");
	exit(0);
}

$abmonat = date('Y-m-01');
$nw_id = 0;
while ($row = mysql_fetch_row($erg)){
  if($nw_id == 0) {
	// abfragen, ob fr den entsprechenden AB-Monat bereits
	// eine Nachweismappe verhanden ist
	$rs = abfrage1("select nachw_id
					from tb_ab_nachw
					where datum = '$row[1]';");

	if (mysql_num_rows($rs) == 0){
		// noch keine Nachweismappe vorh. -> neue erstellen
		abfrage2("insert into tb_ab_nachw set datum = '$row[1]', intern='n';");
		$nwid = mysql_insert_id();
	} else {
		// Nachweismappe vorhanden -> ID verwenden
		$nw = mysql_fetch_row($rs);
		$nwid = $nw[0];
	}
  }
  // ID der Nachweismappe in Zeitkarte setzen!
  abfrage2("update tb_ab_zk
			set nachw_id = '$nwid'
			where zk_id = '$row[0]';");
  $abmonat = $row[1];
}

/* alle Projekte die geaendert werden abfragen */
$sql  = "SELECT t1.proj_id, MIN(t2.von), MAX(t2.von) FROM tb_ab_zk t1 ";
$sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";
$sql .= "WHERE ab = 'j' AND t1.ab_monat IS NOT NULL AND ";
$sql .= "t1.nachw_id IS NULL GROUP BY t1.proj_id;";

$erg = abfrage1($sql);
while ($zeile = mysql_fetch_row($erg)) {
	$daten[] = $zeile[0]; /* ProjektId */
	$daten[] = $zeile[1]; /* kleinstes Datum */
	$daten[] = $zeile[2]; /* groesstes Datum */
	$ahpps = abfrage1("select pers_id, kl_id from tbh_pers_proj where proj_id='$zeile[0]'");
	while ($ahpp = mysql_fetch_row($ahpps)){
		abfrage2("replace into tbh_ab_hon_pers_proj 
				set pers_id='$ahpp[0]', proj_id='$zeile[0]',
				kl_id='$ahpp[1]', ab_monat='$abmonat'");
	}
}

/* viele Projekte haben sich geaendert - AZK Cache updaten */
if (count($daten) > 0) {
	$i = 0;
	do {
		$feld_start = explode("-", $daten[$i + 1]);
		$feld_ende  = explode("-", $daten[$i + 2]);

		$jahr  = $feld_start[0];
		$monat = $feld_start[1];
		$first = 0;

		do {
			/*
			* immer um ein Monat erhoehen um bis zum letzten
			* Monat zu kommen in der es eine ZK gab
			* erster Durchlauf noch nichts machen
			*/
			if ($first > 0) {
				$monat += 1;
				if ($monat > 12) {
					$monat = 1;
					$jahr += 1;
				}
			}
			$zeit = $jahr."-".$monat."-01"; $first++;
			azk_update_cache($daten[$i], $zeit);
		} while (!($jahr == $feld_ende[0] && $monat == $feld_ende[1]));

		$i += 3;

	} while ($i < count($daten));
}

// alle noch nicht einer Nachweismappe zugordneten Klienteneinzahlungen
// der letzten Nachweismappe zuordnen

//letzte Nachweismappe ermitteln
$last_nw = abfrage("select max(datum) from tb_ab_nachw;");

// dazugehrige ID ermitteln
$lnw = abfrage("select nachw_id from tb_ab_nachw where datum = '$last_nw[0]';");

// nachw_id zuweisen
abfrage2("update tb_pro_einz
			set nachw_id = '$lnw[0]'
			where (nachw_id is null or nachw_id = 0)
			and datum < date_add('$last_nw[0]', INTERVAL 1 MONTH);");

// Korrektur-ZKs bei Begruendeten Mehrstunden anlegen
$pros = abfrage1("select proj_id from tb_ab_mehrst_begr WHERE checked='j' AND ab_monat='$abmonat'");
while($pro = mysql_fetch_row($pros)) {
	$projekt = new stwProjekt($pro[0]);
	$kapp_pos = getConf('kapp_pos');
	$kapp_pos_wert = getConf('kapp_pos_wert');
	$kapp_pos = ($projekt->k_kapp_pos > 0) ? $projekt->k_kapp_pos : $kapp_pos;
	$kapp_pos_wert = ($projekt->k_kapp_pos > 0) ? $projekt->k_kapp_pos_wert : $kapp_pos_wert;
	$kapp_pos = ($projekt->h_kapp_pos > 0) ? $projekt->h_kapp_pos : $kapp_pos;
	$kapp_pos_wert = ($projekt->h_kapp_pos > 0) ? $projekt->h_kapp_pos_wert : $kapp_pos_wert;
	if($kapp_pos == 0) continue;
	$txt = abfrage("select text from tb_ab_mehrst_begr where proj_id='$pro[0]' and ab_monat='$abmonat'");
	list($jahr, $monat, $tag) = explode("-", $abmonat);
	$folgemonat = date('Y-m-d', mktime(0,0,0,$monat+1,$tag,$jahr));
	$ts = mktime(0,0,0,$monat,$tag,$jahr);
	$std = $projekt->fls_vormonat($folgemonat);
	$std -= $kapp_pos_wert;
	if($std <= 0) continue;
	$seconds = $std * 3600;
	$bis = date('Y-m-d H:i', $ts);
	$ts += $seconds;
	$von = date('Y-m-d H:i', $ts);
	$korr = abfrage1("SELECT korrektur FROM tb_fls_korrektur WHERE proj_id='$pro[0]' AND datum='$folgemonat'");
	$exist = (mysql_num_rows($korr) > 0);
	$sql = $exist ? "UPDATE" : "INSERT INTO";
	$sql .= " tb_fls_korrektur SET korrektur='-$std', korrektur_notiz='$txt[0]'";
	$sql .= $exist ? " where proj_id='$pro[0]' AND datum='$abmonat'" : ", proj_id='$pro[0]', datum='$folgemonat'";
	abfrage2($sql);

	if($exist) {
		$id = abfrage( "SELECT termin_id, zk_id FROM tb_ab_zk
						WHERE proj_id='$pro[0]' 
						AND ab_monat='$abmonat' 
						AND inhalte='KORREKTUR-ZK' 
						AND pers_id='0'");
		if(empty($id[0]) || empty($id[1])) $exist = false;
		else {
			abfrage2("UPDATE tb_termine SET von='$von', bis='$bis' WHERE termin_id=$id[0]");
			abfrage2("UPDATE tb_ab_zk SET fls=sec_to_time(-$seconds) where zk_id='$id[1]'");
		}
	}
	if(!$exist) {
		abfrage2("INSERT INTO tb_termine SET terminart='@@@', von='$von', bis='$bis'");
		$termin_id = mysql_insert_id();

		abfrage2("INSERT INTO tb_ab_zk SET termin_id='$termin_id', 
				proj_id='$pro[0]', pers_id='0', ab='j', 
				ab_monat='$abmonat', fls=sec_to_time(-$seconds), code='@',
				nachw_id='$nwid', inhalte='KORREKTUR-ZK'");
	}

	azk_update_cache($pro[0],$abmonat);
	azk_update_cache($pro[0],$folgemonat);
}
header("Location: nachw.php");
?>
