<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: nachw_hon_pr.php 2795 2017-09-13 09:32:46Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 65;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
$traeger = $_SESSION[$AppCode]['TR'];
$pdf_datei = ($traeger == 'stw') ? '/pdf_1.1.inc.php' : '/pdf_1.inc.php';
require_once($pfad. 'mandant/' . $traeger . $pdf_datei);
require_once($pfad . 'inc/func.inc.php');

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");
$rh = 5;

$sql  = "select unix_timestamp(datum), datum from tb_ab_nachw ";
$sql .= "where nachw_id = '$rvar_nachw_id';";
$mon = abfrage($sql);
$monat = str_replace('ä', "", strftime('%B %Y', $mon[0]));
$abm = $mon[1];
$fmn = date('Y-m-d', mktime(0,0,0, date('n', $mon[0]) + 1, 1, date('Y', $mon[0])));

$standardtraeger = pers_standardtraeger($row[0]);

$sql  = "select z.pers_id, p.besch_id, p.priv_pkw, pro.traeger_art_id, p.vorname, p.name, p.standard_traeger_art_id ";
$sql .= "from tb_ab_zk z ";
$sql .= "left join tb_personal p on z.pers_id = p.pers_id ";
$sql .= "left join tb_projekte pro on z.proj_id = pro.proj_id ";
$sql .= "left join tb_klientenkonto2 k on z.zk_id = k.zk_id ";
$sql .= "where z.nachw_id = '$rvar_nachw_id' and z.pers_id > 0 ";
$sql .= "and ((z.km_privat > 0 or z.spesen_betr > 0 or z.spesen_eig > 0) ";
$sql .= "or p.besch_id = 2 or k.id > 0) ";
$sql .= "group by z.pers_id, pro.traeger_art_id ";
$sql .= "UNION ";
$sql .= "select z.pers_id, p.besch_id, p.priv_pkw, pro.traeger_art_id, p.vorname, p.name, p.standard_traeger_art_id ";
$sql .= "from tb_pro_einz z ";
$sql .= "left join tb_personal p on z.pers_id = p.pers_id ";
$sql .= "left join tb_projekte pro on z.proj_id = pro.proj_id ";
$sql .= "WHERE z.nachw_id = '$rvar_nachw_id' and pro.projektnr < 5000 ";
$sql .= "group by z.pers_id, pro.traeger_art_id ";
$sql .= "order by vorname asc, name asc, standard_traeger_art_id=traeger_art_id desc;";

$res = abfrage1($sql);

$no_ds = true;
$no_nr = true;
$ga_spesen_done = array();
$kk2_sum = array();
$kk2val = getConf("kk2val");
while ($row = mysql_fetch_row($res)){
  if(empty($ga_spesen_done[ $row[0] ]) || $row[3] > 0) {
	$sumhon = $sumkm = $sumkmg = $kmrows = $sumsps = $sumebs = $sumezs = 0;
	$pdf->AddPage();
		/* NUR BEIM STELLWERK!
	 * Traegername abfragen und als Kopfzeile ausgeben */
	if ($traeger == 'stw'){
		if ($row[3] == 1){
			$traegername = 'Stellwerk e.V.';
		} elseif ($row[3] == 2){
			$traegername = 'Stellwerk Jugendhilfe gemeinntzige GmbH';
		} else {
			$traegername = '';
		}
		$pdf->SetFont('Arial','B',12);
		$pdf->Text(15,13,$traegername);
	}

	$titel1 = "Honorar-, km- und Spesenabrechnung";
	$titel2 = pers_nummer($row[0]) . "   -   " . pers_name($row[0]) .
		"   -   $monat";
	$pdf->SetFont('stw','',14);
	$pdf->Text(15,22,$titel1);
	$pdf->SetFont('stw','',12);
	$pdf->Text(15,29,$titel2);
	$pdf->Line(15,32,170,32);
	$pdf->SetXY(15,35);
	$pdf->SetFont('Arial','B',12);


	/* Honorarabrechnung */
	$d_hon = false;
	if ($row[1] == 2){
		$sql  = "select z.proj_id, z.ab_monat, k.betrag from tb_ab_zk z ";
		$sql .= "left join tb_projekte p on z.proj_id = p.proj_id ";
		$sql .= "left join tbh_pers_proj h on z.proj_id = h.proj_id and z.pers_id = h.pers_id ";
		$sql .= "left join tbh_pers_proj_hon_kl i on z.proj_id = i.proj_id and z.pers_id = i.pers_id ";
		$sql .= "left join tb_hon_kl k on (h.kl_id = k.kl_id or i.kl_id = k.kl_id) ";
		$sql .= "where z.nachw_id = '$rvar_nachw_id' and z.pers_id = '$row[0]' ";
		$sql .= "and p.traeger_art_id = '$row[3]' ";
		$sql .= "and(k.betrag > 0 or z.code = 'R')";
		$sql .= "group by z.proj_id order by p.projektnr asc;";
		$hon = abfrage1($sql);

		$std_satz = getConf('std_honorar');

		if (mysql_num_rows($hon) > 0){
			$d_hon = true;
			$pdf->Cell(50,$rh,'Honorarabrechnung');
			$pdf->Ln($rh * 1.5);
			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(40,$rh,'Projekt-Nr.',1);
			$pdf->Cell(25,$rh,'FLS brutto',1,0,'C');
			$pdf->Cell(30,$rh,'Stundensatz',1,0,'C');
			$pdf->Cell(30,$rh,'Honorar',1,1,'C');

			$pdf->SetFont('Arial','',10);

			while ($zl = mysql_fetch_row($hon)){
				$pro = new stwProjekt($zl[0]);
				$pnr = $pro->nummer();
				$pdf->Cell(40,$rh,$pnr,1);
				$fls = $pro->fls_gesamt_pers($row[0], $mon[1]);
				$std = fls_form($fls);
				$pdf->Cell(25,$rh,$std,1,0,'R');
				$satz = empty($zl[2]) ? $std_satz : $zl[2];
				$hon1 = geld_form_pdf($satz);
				$pdf->Cell(30,$rh,$hon1,1,0,'R');
				$hon2 = $fls * $satz;
				$hon3 = geld_form_pdf($hon2);
				$pdf->Cell(30,$rh,$hon3,1,1,'R');
				$sumhon = $sumhon + $hon2;
			}
			$pdf->SetFont('Arial','B',10);
			$sumh = geld_form_pdf($sumhon);
			$pdf->Cell(95,$rh,"Summe :",1,0,'R');
			$pdf->Cell(30,$rh,$sumh,1,1,'R');
		}
	}

	$d_km = false;
	if ($row[1] == 1 || $row[1] == 2 || $row[1] == 3){
		$sql  = "select z.proj_id, sum(z.km_privat) from tb_ab_zk z ";
		$sql .= "left join tb_projekte p on z.proj_id = p.proj_id ";
		$sql .= "left join tbh_pers_proj h on (z.proj_id = h.proj_id and h.pers_id = z.pers_id) ";
		$sql .= "where z.nachw_id = '$rvar_nachw_id' and z.pers_id = '$row[0]' ";
		$sql .= "and p.traeger_art_id = '$row[3]' and (h.ppkw = 'j' or $row[1] = 1 or '$row[2]' = 'j') ";
		$sql .= "and z.km_privat > 0 group by z.proj_id ";
		$sql .= "order by p.projektnr asc;";

		$km = abfrage1($sql);
		$kmrows = mysql_num_rows($km);

		if ($kmrows > 0){
			if ($d_hon === true){
				$pdf->Ln($rh * 2);
			}
			$d_km = true;
			$pdf->SetFont('Arial','B',12);
			$pdf->Cell(50,$rh,'km-Abrechnung');
			$pdf->Ln($rh * 1.5);
			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(65,$rh,'Projekt-Nr.',1);
			$pdf->Cell(30,$rh,'Summe km',1,1,'C');

			$pdf->SetFont('Arial','',10);

			while ($zl = mysql_fetch_row($km)){
				$pro = new stwProjekt($zl[0]);
				$pnr = $pro->nummer();
				$pdf->Cell(65,$rh,$pnr,1);
				$sumkm = $sumkm + $zl[1];
				$km2 = km_form($zl[1]);
				$pdf->Cell(30,$rh,$km2,1,1,'R');
			}
			$pdf->SetFont('Arial','B',10);
			if ($row[2] == 'j'){
				$satz = getConf('anerk_priv_pkw') / 100;
			} else {
				$satz = getConf('privat_pkw') / 100;
			}
			$sumkmg = $sumkm * $satz;

			$sumk = geld_form_pdf($sumkmg);
			$text = "(" . km_form($sumkm) . " x " . geld_form_pdf($satz) . ")";

			$pdf->Cell(20,$rh,'Summe :','LTB',0,'L');
			$pdf->SetFont('Arial','',10);
			$pdf->Cell(45,$rh,$text,'RTB',0,'R');
			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(30,$rh,$sumk,1,1,'R');
		}
	}


	/* --- Spesenabrechnung --- */

	$sql  = "select z.proj_id, date_format(t.von,'%d.%m.%Y'), z.spesen_text, ";
	$sql .= "z.spesen_betr, k.id, k.spesen_text, k.spesen_betr from tb_ab_zk z ";
	$sql .= "left join tb_projekte p on z.proj_id = p.proj_id ";
	$sql .= "left join tb_termine t on z.termin_id = t.termin_id ";
	$sql .= "left join tb_klientenkonto2 k on z.zk_id = k.zk_id ";
	$sql .= "left join tbh_spesen_einz_zk s on z.zk_id = s.zk_id ";
	$sql .= "left join tb_pro_einz e on s.einz_id = e.einz_id ";
	$sql .= "where z.nachw_id = '$rvar_nachw_id' and z.pers_id = '$row[0]' ";
	$sql .= "and (p.traeger_art_id = '$row[3]'";
	if(empty($ga_spesen_done[ $row[0] ])) $sql .= " or p.traeger_art_id IS NULL";
	$sql .= ") and (z.spesen_betr > 0 and (e.person_id > 0 or e.einz_id IS NULL)";
	if(intval(getConf("klientenkonto2"))) $sql .= " or k.id IS NOT NULL";
	$sql .= ") order by unix_timestamp(t.von) asc;";

	$sps = abfrage1($sql);
	if (mysql_num_rows($sps) > 0){
		if ($d_hon === true || $d_km === true){
			$pdf->Ln($rh * 2);
		}
		$d_sps = true;
		$ga_spesen_done[ $row[0] ] = true;
		$pdf->SetFont('Arial','B',12);
		$pdf->Cell(50,$rh,'Spesenabrechnung');
		$pdf->Ln($rh * 1.5);
		$pdf->SetFont('Arial','B',10);
		$pdf->Cell(20,$rh,'Datum',1,0,'C');
		$pdf->Cell(30,$rh,'Projekt-Nr.',1,0,'C');
		$pdf->Cell(80,$rh,'Text',1,0,'C');
		$pdf->Cell(20,$rh,'Betrag',1,1,'C');

		$pdf->SetFont('Arial','',10);
		$kk2ueberlauf = false;
		while ($zl = mysql_fetch_row($sps)){
			if(empty($zl[0])) $pnr = 'Gruppenarbeit';
			else {
				$pro = new stwProjekt($zl[0]);
				$pnr = $pro->nummer();
			}
			$pdf->Cell(20,$rh,$zl[1],1,0,'C');
			$pdf->Cell(30,$rh,$pnr,1,0,'C');
			$pdf->Cell(80,$rh,empty($zl[4]) ? $zl[2] : $zl[5],1);
			$geld = empty($zl[4]) ? $zl[3] : $zl[6];
			$sps1 = geld_form_pdf($geld);
			if(!empty($zl[4])) {
				$kk2_sum[$zl[0]] += $geld;
				if($kk2val < $kk2_sum[$zl[0]]) {
					$geld -= ($kk2_sum[$zl[0]]-$kk2val);
					if($geld < 0) $geld = 0;
					$kk2ueberlauf = true;
				}
			}
			$sumsps += $geld;
			$pdf->Cell(20,$rh,$sps1,1,1,'R');
		}

		$pdf->SetFont('Arial','B',10);
		$gekuerzt = $kk2ueberlauf ? "(gekrzt, da vom JA genehmigte Summe berschritten)" : '';
		$pdf->Cell(130,$rh,"Summe $gekuerzt:",'LTB',0,'R');
		$pdf->Cell(20,$rh,geld_form_pdf($sumsps),'TBR',0,'R');
	} else {
		$d_sps = false;
	}

	/* --- Eigenbeteiligungen der Klienten ---
	=> wird ab 01.01.2007 nicht mehr ausgegeben! 
	=> wird ab 01.12.2015 wieder ausgegeben! */

	if ($mon[0] < mktime(0,0,0,1,1,2007) || $mon[0] >= mktime(0,0,0,12,1,2015)) {

		$sql  = "select z.proj_id, date_format(t.von,'%d.%m.%Y'), z.spesen_text, ";
		$sql .= "z.spesen_eig from tb_ab_zk z ";
		$sql .= "left join tb_projekte p on z.proj_id = p.proj_id ";
		$sql .= "left join tb_termine t on z.termin_id = t.termin_id ";
		$sql .= "where z.nachw_id = '$rvar_nachw_id' and z.pers_id = '$row[0]' ";
		$sql .= "and p.traeger_art_id = '$row[3]' ";
		$sql .= "and z.spesen_eig > 0 order by unix_timestamp(t.von) asc;";

		$ebs = abfrage1($sql);

		if (mysql_num_rows($ebs) > 0){
			if ($d_hon === true || $d_km === true || $d_sps === true){
				$pdf->Ln($rh * 2);
			}
			$d_ebs = true;
			$pdf->SetFont('Arial','B',12);
			$pdf->Cell(50,$rh,'Eigenbeteiligungen der Klienten');
			$pdf->Ln($rh * 1.5);
			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(20,$rh,'Datum',1,0,'C');
			$pdf->Cell(30,$rh,'Projekt-Nr.',1,0,'C');
			$pdf->Cell(80,$rh,'Text',1,0,'C');
			$pdf->Cell(20,$rh,'Betrag',1,1,'C');

			$pdf->SetFont('Arial','',10);

			while ($zl = mysql_fetch_row($ebs)){
				$pro = new stwProjekt($zl[0]);
				$pnr = $pro->nummer();
				$pdf->Cell(20,$rh,$zl[1],1);
				$pdf->Cell(30,$rh,$pnr,1);
				$pdf->Cell(80,$rh,$zl[2],1);
				$sps1 = geld_form_pdf($zl[3]);
				$sumebs += $zl[3];
				$pdf->Cell(20,$rh,$sps1,1,1,'R');
			}

			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(50,$rh,'','LTB');
			$pdf->Cell(80,$rh,'Summe :','TB',0,'L');
			$pdf->Cell(20,$rh,geld_form_pdf($sumebs),'TBR',0,'R');
		} else {
			$d_ebs = false;
		}
	}


	// ---- Einzahlungen der Klienten
	/* noch andere Traeger verfuegbar?! */
	$sql = "select pro.traeger_art_id from tb_ab_zk z
			left join tb_projekte pro on z.proj_id = pro.proj_id
			where z.nachw_id = '$rvar_nachw_id' and z.pers_id = '$row[0]'
			and pro.traeger_art_id != '$row[3]' group by pro.traeger_art_id";
	$traegerarten = abfrage1($sql);
	$sql  = "select date_format(datum, '%d.%m.%Y'), text, betrag, person_id ";
	$sql .= "from tb_pro_einz e ";
	$sql .= "left join tb_projekte p on e.proj_id = p.proj_id ";
	$sql .= "where nachw_id = '$rvar_nachw_id' ";
	if(mysql_num_rows($traegerarten) > 0) $sql .= "and p.traeger_art_id = '$row[3]' ";
	$sql .= "and pers_id = '$row[0]' order by datum asc;";

	$ezs = abfrage1($sql);

	if (mysql_num_rows($ezs) > 0){
		if ($d_hon === true || $d_km === true || $d_sps === true || $d_ebs === true){
			$pdf->Ln($rh * 2);
		}
		$d_ezs = true;
		$pdf->SetFont('Arial','B',12);
		$pdf->Cell(50,$rh,'Einzahlungen der Klienten');
		$pdf->Ln($rh * 1.5);
		$pdf->SetFont('Arial','B',10);
		$pdf->Cell(20,$rh,'Datum',1,0,'C');
		$pdf->Cell(80,$rh,'Text',1,0,'C');
		$pdf->Cell(30,$rh,'Einzahler',1,0,'C');
		$pdf->Cell(20,$rh,'Betrag',1,1,'C');

		$pdf->SetFont('Arial','',10);

		while ($zl = mysql_fetch_row($ezs)){
			if ($zl[3] > 0){
				$pdf->Cell(20,$rh,$zl[0],1);
				$pdf->Cell(80,$rh,$zl[1],1);
				$pdf->Cell(30,$rh,person_kname($zl[3]),1);
				$pdf->Cell(20,$rh,geld_form_pdf($zl[2]),1,1,'R');
				$sumezs += $zl[2];
			}
		}

		$pdf->SetFont('Arial','B',10);
		$pdf->Cell(20,$rh,'','LTB');
		$pdf->Cell(110,$rh,'Summe :','TB');
		$pdf->Cell(20,$rh,geld_form_pdf($sumezs),'TBR',1,'R');

	} else {
		$d_ezs = false;
	}

	$pdf->Ln(10);

	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(50,$rh,'Zusammenfassung');
	$pdf->Ln($rh * 1.5);
	$pdf->SetFont('Arial','',10);

	$gesamt = 0;

	if ($row[1] == 2){
		$pdf->Cell(60,$rh,'Honorar',1);
		$pdf->Cell(20,$rh,geld_form_pdf($sumhon),1,1,'R');
		$gesamt += $sumhon;
	}

	if ($kmrows > 0){
		$pdf->Cell(60,$rh,'km-Abrechnung',1);
		$pdf->Cell(20,$rh,geld_form_pdf($sumkmg),1,1,'R');
		$gesamt += $sumkmg;
	}

	if ($d_sps === true){
		$pdf->Cell(60,$rh,'Spesen',1);
		$pdf->Cell(20,$rh,geld_form_pdf($sumsps),1,1,'R');
		$gesamt += $sumsps;
	}

	if ($d_ebs === true){
		$pdf->Cell(60,$rh,'Eigenbeteiligungen der Klienten',1);
		$pdf->Cell(20,$rh,geld_form_pdf(- $sumebs),1,1,'R');
		$gesamt -= $sumebs;
	}

	if ($d_ezs === true){
		$pdf->Cell(60,$rh,'Einzahlungen der Klienten',1);
		$pdf->Cell(20,$rh,geld_form_pdf(- $sumezs),1,1,'R');
		$gesamt -= $sumezs;
	}

	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(60,$rh,'Gesamtbetrag',1);
	$ges = geld_form_pdf($gesamt);
	$pdf->Cell(20,$rh,$ges,1,0,'R');

	$abr_fz_kto_nr = getConf('abr_fz_kto_nr');
	if($abr_fz_kto_nr == 1 || ($abr_fz_kto_nr == 2 && ($row[1] == 2 || $row[1] == 3))) {
		$pdf->Ln(10);
		$kto = abfrage("SELECT bank, iban, bic FROM tb_personal WHERE pers_id = '$row[0]';");
		$ktoname = array('Bank:','IBAN:','BIC:');
		for($i=0; $i<3; $i++) {
			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(15,$rh,$ktoname[$i]);
			$pdf->SetFont('Arial','',10);
			$pdf->Cell(50,$rh,$kto[$i],0,1);
		}
	}
  }
}
$pdf->Output();
exit;
?>