<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: password.php 2038 2012-12-23 17:40:23Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 /* muss ein abgeschicktes Formular verarbeitet werden */
 if (isset($rvar_chg) && $rvar_chg == "true")
 {
   /* Logindaten wurden geschickt zum aendern */
   if (strlen($rvar_login) > 0)
   {
     $sql  = "UPDATE tb_personal SET login = '".$rvar_login."' ";
     $sql .= "WHERE pers_id = '".$_SESSION[$AppCode]["UID"]."'";

     abfrage2($sql);

     printf("<table>\n<tr><td style=\"color:lime\">Ihr Benutzername wurde in ");
     printf("%s ge&auml;ndert!</td></tr></table>\n", $rvar_login);
   }

   /* alte Daten holen zum ueberpruefen ob etwas geaendert wurde */
   $sql  = "SELECT pass, login FROM tb_personal WHERE pers_id = '";
   $sql .= $_SESSION[$AppCode]["UID"]."'";

   $row  = abfrage($sql);

   /* pruefen ob ein altes Passwort mitgeschickt */
   if (strlen($rvar_passalt) > 0)
   {
     /* pruefen ob diese uebereinstimmen */
     if ((md5($rvar_passalt)) == $row[0])
     {
       /* leere Passwoerter werden nicht akzeptiert */
       if (strlen($rvar_passneu1) > 0)
       {
         /* pruefen ob die beiden neuen Passwoerter uebereinstimmen */
         if ($rvar_passneu1 == $rvar_passneu2)
         {
           $create = true;

           /*
            * Ein paar Richtlinien fuer Passwoerter muessen eingehalten werden
            * falls diese aktiviert wurde:
            * - mindestens 5 Zeichen lang
            * - Buchstaben und Zahlen muessen vorkommen
            */
           if (getConf("secure_pass") == 1)
           {

             if (strlen($rvar_passneu1) < 5)
             {
               printf("<table>\n<tr><td style=\"color:red\">Ihr Passwort ");
               printf("wurde nicht ge&auml;ndert! Es muss mindestens 5 ");

               printf("Zeichen lang sein.</td></tr></table>\n");
               $create = false;
             }

             $buchstaben = false;
             $zahlen     = false;

             for ($i = 0; $i < strlen($rvar_passneu1); $i++)
             {
               if (($rvar_passneu1[$i] >= "A" && $rvar_passneu1[$i] <= "Z") ||
                   ($rvar_passneu1[$i] >= "a" && $rvar_passneu1[$i] <= "z"))
               {
                 $buchstaben = true;
               }

               if ($rvar_passneu1[$i] >= "0" && $rvar_passneu1[$i] <= "9")
               {
                 $zahlen = true;
               }
             }

             if (!($buchstaben && $zahlen))
             {
               printf("<table>\n<tr><td style=\"color:red\">Ihr Passwort ");
               printf("wurde nicht ge&auml;ndert! Es muss aus Buchstaben ");

               printf("und Zahlen bestehen.</td></tr></table>\n");
               $create = false;
             }
           }

           /* nur wenn create true ist ein neues Passwort anlegen */
           if ($create == true)
           {
             $passnew = md5($rvar_passneu1);

             /* neues Passwort in DB eintragen mit aktuellem Datum */
             $sql  = "UPDATE tb_personal SET pass='".$passnew."', ";
             $sql .= "pass_datum='".time()."' ";

             $sql .= "WHERE pers_id='".$_SESSION[$AppCode]["UID"]."'";
             abfrage2($sql);

             printf("<table>\n<tr><td style=\"color:lime\">Ihr Passwort wurde");
             printf(" erfolgreich ge&auml;ndert!</td></tr></table>\n");
           }
         }
         else
         {
           printf("<table>\n<tr><td style=\"color:red\">Das neue Passwort ");
           printf("und die Best&auml;tigung stimmen nicht &uuml;berein!");

           printf("</td></tr></table>\n");
         }
       }
       else
       {
         /* ein leeres Passwort sollte gesetzt werden - Fehler */
         printf("<table>\n<tr><td style=\"color:red\">Passwort wurde nicht ");
         printf("ge&auml;ndert!<br>Sie haben ein leeres Passwort eingegeben!");

         printf("<br>Bitte nutzen Sie mindestens 5 Zeichen.</td></tr>");
         printf("</table>\n");
       }
     } 
     else
     {
       printf("<table>\n<tr><td style=\"color:red\">Sie haben Ihr altes ");
       printf("Passwort falsch eingegeben!</td></tr></table>\n");
     }
   }
   else
   {
     printf("<table>\n<tr><td>Ihr Passwort wurde nicht ");
     printf("ge&auml;ndert!</td></tr></table>\n");
   }
 } 
 else
 {
   printf("<table>\n<tr><td>%s ", $_SESSION[$AppCode]["UVN"]);
   printf("%s, ", $_SESSION[$AppCode]["UNN"]);

   printf("hier k&ouml;nnen Sie Ihren Benutzernamen und Ihr ");
   printf("Passwort &auml;ndern.</td></tr></table>\n");
 }

 /* vorhandenen Loginnamen wieder zeigen */
 $sql   = "SELECT login FROM tb_personal WHERE pers_id = '";
 $sql  .= $_SESSION[$AppCode]["UID"]."'";

 $login = abfrage($sql);

 /* Formular ausgeben */
 printf("<form action=\"password.php\" method=\"post\">\n<table>\n");
 printf("<tr><th>Benutzername:</th><td><input type=\"text\" size=\"25\" ");

 printf("name=\"login\" value=\"%s\"></td></tr>\n", $login[0]);

 printf("<tr><th>das alte Passwort:</th><td><input type=\"password\" ");
 printf("size=\"25\" name=\"passalt\"></td></tr>\n");

 printf("<tr><th>das neue Passwort:</th><td><input type=\"password\" ");
 printf("size=\"25\" name=\"passneu1\"></td></tr>\n");

 printf("<tr><th>das neue best&auml;tigen:</th><td><input type=\"password\" ");
 printf("size=\"25\" name=\"passneu2\"></td></tr>\n");

 printf("<tr><td colspan=\"2\"><input type=\"submit\" value=\"Passwort ");
 printf("&auml;ndern!\"></td></tr>\n");

 printf("<tr><td colspan=\"2\"><input type=\"hidden\" name=\"chg\" ");
 printf("value=\"true\"></td></tr>\n");

 printf("</table>\n</form>\n");

 /* gruene Abschlusslinie und Seitenspalte rechts ausgeben */
 new stwLine(2);
 new stwEnd($seite);
?>
