<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers.php 2886 2018-09-14 21:36:11Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 4;
$level = 10;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);
require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function EinstellungenSpeichern($pers_id, $bes, $part, $abt, $sort) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select pers_id from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set pers_bes='$bes', pers_part='$part', pers_abt='$abt', pers_sort='$sort'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('TraegerIcon', 'style.color', 'lime');
	return $userResp;
}

function FortlaufendTelPrint($einseitig) {
	global $AppCode;
	$_SESSION[$AppCode]['TelPrintEinseitig'] = $einseitig;
}

function AbtTelPrint($abts, $i) {
	global $AppCode;
	$_SESSION[$AppCode]['TelPrintAbteilungen'] = $abts;
}

function OrderTelPrint($order) {
	global $AppCode;
	$_SESSION[$AppCode]['TelPrintOrder'] = $order;
}

function save_tr($traeger_art_id, $erw_benutzer) {
	abfrage2("update tb_traeger_art set erw_benutzer='$erw_benutzer' where traeger_art_id='$traeger_art_id'");
	$userResp = new xajaxResponse();
	$userResp->assign("erw_benutzer_$traeger_art_id", 'value', $erw_benutzer);
	return $userResp;
}

function check_tr($traeger_art_id, $check) {
	global $AppCode;
	$_SESSION[$AppCode]['persTrCSV'][$traeger_art_id] = $check;
	$userResp = new xajaxResponse();
	$userResp->assign("check_$traeger_art_id", 'value', $check ? 'checked' : '');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('EinstellungenSpeichern');
$xajax->registerFunction('FortlaufendTelPrint');
$xajax->registerFunction('AbtTelPrint');
$xajax->registerFunction('OrderTelPrint');
$xajax->registerFunction('save_tr');
$xajax->registerFunction('check_tr');

/* --- Ende Abschnitt (X)AJAX --- */

if (isset($_GET['csv'])){
	if(!check_nutzer_rechte(50)) exit(0);
	if(isset($_GET['pers_id'])) {
		$sql = "select * from tb_personal where pers_id='{$_GET['pers_id']}'";
		if(isset($_SESSION[$AppCode]['maTrCSV'])) {
			$tr = abfrage_array("select kurzname, strasse, plz, ort, erw_benutzer from tb_traeger_art where traeger_art_id='".$_SESSION[$AppCode]['maTrCSV']."'");
		} else {
			$pers = abfrage_assoc($sql);
			$tr = abfrage_array("select kurzname, strasse, plz, ort, erw_benutzer from tb_traeger_art where traeger_art_id='".$pers['standard_traeger_art_id']."'");
		}
	} elseif(isset($_GET['abt'])) {
		$tr = abfrage_array("select kurzname, strasse, plz, ort, erw_benutzer from tb_traeger_art where traeger_art_id='".(-1 * $_GET['abt'])."'");
		$sql = "select p.* from tb_personal p 
				left join tbh_pers_traegerart t using(pers_id) 
				where p.status_id = '2'
				and (p.standard_traeger_art_id = '".(-1 * $_GET['abt'])."'";
		if(isset($_SESSION[$AppCode]['persTrCSV']) && is_array($_SESSION[$AppCode]['persTrCSV'])) {
			foreach($_SESSION[$AppCode]['persTrCSV'] as $traeger_art_id => $check) {
				if($check) $sql .= " or t.traeger_art_id='$traeger_art_id'";
			}
		}
		$sql .= ") group by pers_id";
	} else exit(0);
	$laender=array( 'bw' => 'Baden-Wrttemberg',
					'by' => 'Bayern',
					'b2' => 'Bayern',
					'be' => 'Berlin',
					'bb' => 'Brandenburg',
					'hb' => 'Bremen',
					'hh' => 'Hamburg',
					'he' => 'Hessen',
					'mv' => 'Mecklenburg-Vorpommern',
					'ni' => 'Niedersachsen',
					'nw' => 'Nordrhein-Westfalen',
					'rp' => 'Rheinland-Pfalz',
					'sl' => 'Saarland',
					'sn' => 'Sachsen',
					'st' => 'Sachsen-Anhalt',
					'sh' => 'Schleswig-Holstein',
					'th' => 'Thringen' );
	$bland = getConf('bland');
	$bundesland = $laender[ $bland ];
	$mas = abfrage1($sql);
	if(mysql_num_rows($mas) > 0) {
		$fax = getConf('hpfax');
		$filename = "php://output";
		$fp = fopen($filename, "w");
		if ($fp) {
			header("Content-Type: application/octet-stream");
			$date = date('Ymj');
			$save_as_name = basename($tr[0] . '_' . $date . ".csv");
			header("Content-Disposition: attachment; filename=\"$save_as_name\"");
			$value = array('Benutzername','Vorname','Nachname','Anzeigename','Position','Abteilung','Bronummer','Telefon (geschftlich)','Mobiltelefon','Faxnummer','Adresse','Ort','Bundesland/Kanton','Postleitzahl','Land oder Region');
			fputcsv($fp, $value, ',');
			while($ma = mysql_fetch_array($mas)) {
				$value = array();
				$trans = array("" => "ae", "" => "oe", "" => "ue", "" => "ss", " " => "");
				$value[] = strtr(strtolower($ma['vorname'][0] . $ma['name'] . $tr['erw_benutzer']), $trans);
				$value[] = $ma['vorname'];
				$value[] = $ma['name'];
				$value[] = $ma['vorname'] . ' ' . $ma['name'];
				$value[] = str_replace(',','/',$ma['funktion']);
				$abteilungen = $abteilungen_nospace = $abteilungen_kurz = '';
				$sql = "SELECT a.name FROM tb_personal_abt a
						LEFT JOIN tbh_pers_abt p ON p.abt_id=a.abt_id
						WHERE p.pers_id='{$ma['pers_id']}'
						GROUP BY a.abt_id ORDER BY a.name asc";
				$abts = abfrage1($sql);
				while($abt = mysql_fetch_row($abts)) {
					if($abteilungen != '') $abteilungen .= ' | ';
					$abteilungen .= $abt[0];
					if($abteilungen_nospace != '') $abteilungen_nospace .= '|';
					$abteilungen_nospace .= $abt[0];
					if($abteilungen_kurz != '') $abteilungen_kurz .= '|';
					$abteilungen_kurz .= substr($abt[0],0,6);
				}
				if(strlen($abteilungen) <= 64) $value[] = $abteilungen;
				elseif(strlen($abteilungen_nospace) <= 64) $value[] = $abteilungen_nospace;
				else $value[] = substr($abteilungen_kurz,0,64);
				$value[] = $ma['telstw'] . ($ma['raumstw'] ? ' (' . $ma['raumstw'] . ')' : '');
				$value[] = $ma['teldienst'];
				$value[] = $ma['telmobil'];
				$value[] = $fax;
				$value[] = $tr['strasse'];
				$value[] = $tr['ort'];
				$value[] = $bundesland;
				$value[] = $tr['plz'];
				$value[] = 'Deutschland';				
				fputcsv($fp, $value, ',');
			}
			fclose($fp);
		}
	}
	exit(0);
}

if(isset($_POST["chg"]) && isset($_SESSION[$AppCode]['url']) && (strpos($_SESSION[$AppCode]['url'], "nachw_ttt_req") !== false)){
	extern();
	extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');
} else {
	require_once($pfad . 'inc/auth.inc.php');
	require_once($pfad . 'inc/level.inc.php');
	require_once($pfad . 'inc/stw.inc.php');
}
$self = $_SERVER['PHP_SELF'];

// sicherstellen das die Variablen initialisiert sind
if (!isset($rvar_showall)) $rvar_showall = 0;

if(!isset($_SESSION[$AppCode]['TelPrintEinseitig'])) $_SESSION[$AppCode]['TelPrintEinseitig'] = 1;
if(!isset($_SESSION[$AppCode]['TelPrintOrder'])) $_SESSION[$AppCode]['TelPrintOrder'] = 1;
if(!isset($_SESSION[$AppCode]['TelPrintAbteilungen'])) $_SESSION[$AppCode]['TelPrintAbteilungen'] = array();

 /*
  * Zwischenformular zeigen um sicher zu gehn, dass das Passwort neu gesetzt
  * werden soll.
  */
 if (isset($_POST["pwd_reset1"]) && isset($_POST["pers_id"]))
 {
   $sql  = "SELECT vorname, name FROM tb_personal WHERE pers_id=";
   $sql .= $_POST["pers_id"];

   $erg = abfrage($sql);

   printf("<center>\n<form method=\"post\" action=\"pers.php");
   printf("?pers_id=%s\">\n", $_POST["pers_id"]);

   printf("<table>\n<tr>");
   printf("<h1 style=\"color:red\">");

   printf("Das Passwort f&uuml;r %s %s wirklich zur&uuml;cksetzen?</h1>",
          $erg[0], $erg[1]);

   printf("</tr>\n<tr>");
   printf("<td><input type=\"submit\" value=\"Ok\" name=\"pwd_reset2\"></td>");

   printf("<td><input type=\"submit\" value=\"Abbrechen\" name=\"npwd\"></td>");
   printf("</tr></table>\n</form></center>");

   /* den Abschluss noch zeigen */
   new stwEnd($seite);
   exit(0);
 }

if(isset($_POST['konf'])) {
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_benutzername', '".(empty($rvar_pers_and_benutzername) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_arbeitsrechtl', '".(empty($rvar_pers_and_arbeitsrechtl) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_status', '".(empty($rvar_pers_and_status) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_titel', '".(empty($rvar_pers_and_titel) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_abschluss', '".(empty($rvar_pers_and_abschluss) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_funktion', '".(empty($rvar_pers_and_funktion) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_stellenbeschreibung', '".(empty($rvar_pers_and_stellenbeschreibung) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_bereich', '".(empty($rvar_pers_and_bereich) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_dienstort', '".(empty($rvar_pers_and_dienstort) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_kostenstelle', '".(empty($rvar_pers_and_kostenstelle) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_dienstausweis', '".(empty($rvar_pers_and_dienstausweis) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_email_dienst', '".(empty($rvar_pers_and_email_dienst) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_tel_dienst', '".(empty($rvar_pers_and_tel_dienst) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_tel_mobil', '".(empty($rvar_pers_and_tel_mobil) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_durchwahl', '".(empty($rvar_pers_and_durchwahl) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_fax', '".(empty($rvar_pers_and_fax) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_notizen', '".(empty($rvar_pers_and_notizen) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_strasse', '".(empty($rvar_pers_and_strasse) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_plz', '".(empty($rvar_pers_and_plz) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_ort', '".(empty($rvar_pers_and_ort) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_email_privat', '".(empty($rvar_pers_and_email_privat) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_email_benachr', '".(empty($rvar_pers_and_email_benachr) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_tel_privat', '".(empty($rvar_pers_and_tel_privat) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_tel_mobil_privat', '".(empty($rvar_pers_and_tel_mobil_privat) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_geboren', '".(empty($rvar_pers_and_geboren) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_verheiratet', '".(empty($rvar_pers_and_verheiratet) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_verh2', '".(empty($rvar_pers_and_verh2) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_verh3', '".(empty($rvar_pers_and_verh3) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_staat', '".(empty($rvar_pers_and_staat) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_ident', '".(empty($rvar_pers_and_ident) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_svnr', '".(empty($rvar_pers_and_svnr) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_behindert', '".(empty($rvar_pers_and_behindert) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_krankenkasse', '".(empty($rvar_pers_and_krankenkasse) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_rvnr', '".(empty($rvar_pers_and_rvnr) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_lohnsteuerklasse', '".(empty($rvar_pers_and_lohnsteuerklasse) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_steuerfreibetrag', '".(empty($rvar_pers_and_steuerfreibetrag) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_gehaltsstufe', '".(empty($rvar_pers_and_gehaltsstufe) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_verwendungsgruppe', '".(empty($rvar_pers_and_verwendungsgruppe) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_bags', '".(empty($rvar_pers_and_bags) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_kirche', '".(empty($rvar_pers_and_kirche) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_bank', '".(empty($rvar_pers_and_bank) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_kto', '".(empty($rvar_pers_and_kto) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_blz', '".(empty($rvar_pers_and_blz) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_iban', '".(empty($rvar_pers_and_iban) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_bic', '".(empty($rvar_pers_and_bic) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_pk', '".(empty($rvar_pers_and_pk) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_vml', '".(empty($rvar_pers_and_vml) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_azk', '".(empty($rvar_pers_and_azk) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_azk_anfangswert', '".(empty($rvar_pers_and_azk_anfangswert) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_eintritt', '".(empty($rvar_pers_and_eintritt) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_anstellung', '".(empty($rvar_pers_and_anstellung) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_austritt', '".(empty($rvar_pers_and_austritt) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_farbe', '".(empty($rvar_pers_and_farbe) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_level', '".(empty($rvar_pers_and_level) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_traeger', '".(empty($rvar_pers_and_traeger) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_bereitschaft', '".(empty($rvar_pers_and_bereitschaft) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_betreuer', '".(empty($rvar_pers_and_betreuer) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_login', '".(empty($rvar_pers_and_login) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_anerk_privat_pkw', '".(empty($rvar_pers_and_anerk_privat_pkw) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_fokus', '".(empty($rvar_pers_and_fokus) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_befristet', '".(empty($rvar_pers_and_befristet) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_zulage1', '".(empty($rvar_pers_and_zulage1) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_zulage2', '".(empty($rvar_pers_and_zulage2) ? 'n' : 'j')."');");
	abfrage2("REPLACE INTO `tb_seite_konf` VALUES ('pers_and_zulage3', '".(empty($rvar_pers_and_zulage3) ? 'n' : 'j')."');");
}

if(isset($_POST['level_reset'])) {
  if ($rvar_level_neu < $rvar_ulv){
	abfrage2("UPDATE tb_personal SET level='$rvar_level_neu' WHERE pers_id='$rvar_pers_id' LIMIT 1;");
  }
} elseif (isset($_POST["chg"]) && !isset($_POST["pwd_reset1"])) {
	$gebdat = date_gr2my($rvar_geboren);
	$eindat = date_gr2my($rvar_eintritt);
	$ausdat = date_gr2my($rvar_austritt);
	$aswdat = date_gr2my($rvar_ausweis);
	$ansdat = date_gr2my($rvar_anstellung);
	$idndat = date_gr2my($rvar_identdatum);
	$fstdat = date_gr2my($rvar_befristet);
	$pk_ab  = date_gr2my($rvar_pk_ab);
	
	$zulage1= str_replace(',','.',$rvar_zulage1);
	$zulage2= str_replace(',','.',$rvar_zulage2);
	$zulage3= str_replace(',','.',$rvar_zulage3);

	if (isset($rvar_pers_id)) {
		$old = abfrage_assoc("select * from tb_personal where pers_id = '$rvar_pers_id'");
		abfrage2("DELETE FROM tbh_pers_traegerart WHERE pers_id = ".$rvar_pers_id);
		$state = "update";
	} else {
		$state = "insert into";
	}

  /*
   * Falls Anmeldung auf 'j' gesetzt ist und Datenaenderungen vorgenommen
   * wurden Zeitstempel aktualisieren.
   */
  if (isset($rvar_anmeldung) && isset($rvar_pers_id) && $rvar_anmeldung == "j")
  {
    $sql  = "UPDATE tb_personal SET pass_datum='".time()."' ";
    $sql .= "WHERE pers_id='".$rvar_pers_id."'";

    abfrage2($sql);
  }
  $therapeut = $rvar_therapeut=='j' ? 'j' : 'n';

  if (empty($rvar_standard) && isset($_POST['traeger'])){
	$rvar_standard = $rvar_traeger[0];
  }

  $sql = "$state tb_personal SET p_art_id = '$rvar_p_art_id',
                 personalnr = '$rvar_personalnr',
                 besch_id = '$rvar_besch_id',
                 status_id = '$rvar_status_id',
                 name = '$rvar_name',
                 vorname = '$rvar_vorname',
                 geboren = '$gebdat',
                 geschlecht = '$rvar_geschlecht',
                 funktion = '$rvar_funktion',
                 strasse = '$rvar_strasse',
                 plz = '$rvar_plz',ort = '$rvar_ort',
                 emailprivat = '$rvar_emailprivat',
                 telmobilprivat = '$rvar_telmobilprivat',
                 emaildienst = '$rvar_emaildienst',
                 telprivat = '$rvar_telprivat',
                 teldienst = '$rvar_teldienst',
                 telmobil = '$rvar_telmobil',
                 telstw = '$rvar_telstw',
                 raumstw = '$rvar_raumstw',
                 fax = '$rvar_fax',
                 notizen = '$rvar_notizen',
                 verh = '$rvar_verh',
                 staat = '$rvar_staat',
                 behinderung = '$rvar_behinderung',
                 beh_grad = '$rvar_beh_grad',
                 krankenkasse = '$rvar_krankenkasse',
                 vers_nr = '$rvar_vers_nr',
                 steuerkl = '$rvar_steuerkl',
                 freibetrag = '$rvar_freibetrag',
                 kirche = '$rvar_kirche',
                 bank = '$rvar_bank',
                 konto = '$rvar_konto',
                 blz = '$rvar_blz',
                 urlaub = '$rvar_urlaub',
                 eintritt = '$eindat',
                 austritt = '$ausdat',
                 bereitschaft = '$rvar_bereitschaft',
                 betreuer = '$rvar_betreuer',
                 priv_pkw = '$rvar_priv_pkw',
                 azk_start = '" . str_replace(',', '.', $rvar_azk_start) . "',
                 azk = '$rvar_azk',
                 standard_traeger_art_id = '$rvar_standard',
                 fokus = '$rvar_fokus',
                 fokus_rolle = '$rvar_fokus_rolle',
                 anmeldung = '$rvar_anmeldung',
                 benachr = '$rvar_benachr',
                 farbe = '$rvar_farbe',
                 pk = '$rvar_pk',
                 vml = '$rvar_vml',
                 ausweis = '$aswdat',
                 abschluss = '$rvar_abschluss',
                 anstellung = '$ansdat',
                 arbeitsrechtl = '$rvar_arbeitsrechtl',
                 titel = '$rvar_titel',
                 dienstort = '$rvar_dienstort',
                 bereich = '$rvar_bereich',
                 ident = '$rvar_ident',
                 identdatum = '$idndat',
                 identort = '$rvar_identort',
                 svnr = '$rvar_svnr',
                 iban = '$rvar_iban',
                 bic = '$rvar_bic',
                 religion = '$rvar_religion',
				 befristet = '$fstdat',
				 bags = '$rvar_bags',
				 zulage1 = '$zulage1',
				 zulage2 = '$zulage2',
				 zulage3 = '$zulage3',
				 zulage_erl1 = '$rvar_zulage_erl1',
				 zulage_erl2 = '$rvar_zulage_erl2',
				 zulage_erl3 = '$rvar_zulage_erl3',
				 vg = '$rvar_vg',
				 kostenstelle = '$rvar_kostenstelle',
				 pk_ab = '$pk_ab',
				 pknr = '$rvar_pknr',
				 tarifzone = '$rvar_tarifzone',
				 login = '$rvar_benutzername',
				 therapeut = '$therapeut'";
  $gs = $rvar_vrst . ($rvar_vsjahr - 2*($rvar_gs-1));
  $sql .= ", gs = '$gs'";
  /* Level setzen nach Berechtigung */
  if (isset($rvar_ulv)){
    if ($rvar_level_neu <= $rvar_ulv){
      if (isset($rvar_level_alt)){
        if ($rvar_level_alt <= $rvar_ulv){
          $sql .= ", level = '$rvar_level_neu'";
        } else {
          $sql .= ", level = '$rvar_level_alt'";
        }
      } else {
        $sql .= ", level = '$rvar_level_neu'";
      }
    } else {
      $sql .= ", level = '$rvar_level_alt'";
    }
  } else {
    if (isset($rvar_level)) $sql .= ", level = '$rvar_level'";
  }

	if (isset($rvar_pers_id)) {
		$sql .= " where pers_id = $rvar_pers_id;";
	} else {
		$sql .= ", erzeuger='{$_SESSION[$AppCode]['UID']}', erzeuger_ts=now();";
  }
  abfrage2($sql);

  if (isset($rvar_pers_id)) {
	$new = abfrage_assoc("select * from tb_personal where pers_id = '$rvar_pers_id'");
	$DoIt = false;
	foreach($new as $id => $val) {
	  if($id != 'pass_datum' && $id != 'pass' && $id != 'login') {
		if($old[$id] != $val) {
		  $DoIt = true;
		}
	  }
	}
	if($DoIt) {
		abfrage2("insert into tb_pers_historie set pers_id='$rvar_pers_id', ts=now(), erzeuger='{$_SESSION[$AppCode]['UID']}'");
	}
  }

  $pers_id = isset($rvar_pers_id) ? $rvar_pers_id : mysql_insert_id();

  if(isset($_POST['stbs']) && is_array($rvar_stbs)) {
	abfrage2("delete from tbh_pers_stellenbeschr where pers_id = '$pers_id';");
	foreach($rvar_stbs as $stb) {
		if($stb) abfrage2("insert into tbh_pers_stellenbeschr set pers_id='$pers_id', stellenbeschr_id='$stb';");
	}
  }

  if (isset($_POST['traeger'])){
	$sql1 = "INSERT INTO tbh_pers_traegerart (pers_id,traeger_art_id,rolle) VALUES ";
	foreach($_POST['traeger'] as $value){
		$sql1 .= "('$pers_id','$value','".$_POST['tr_rolle'][$value]."'),";
	}
	$sql1 = substr($sql1,0,-1);
	abfrage2($sql1);
  }

  if(isset($rvar_TTT)) {
	$mas = abfrage1("select pers_id from tb_benutzerrechte where obj_id='118'");
	while($ma = mysql_fetch_row($mas)) {
		$sql  = "INSERT INTO tb_pers_pers_recht SET precht_id='1', pers_id='$pers_id', user_id='$ma[0]'";
		abfrage2($sql);
	}
	$ttabt = abfrage("select abt_id from tb_personal_abt where name='TTTeilnehmer'");
	if($ttabt[0]) {
		abfrage2("insert into tbh_pers_abt set pers_id='$pers_id', abt_id='$ttabt[0]'");
		$subs = abfrage1("select distinct abt_id from tbh_pers_abt where sub_abt_id='$ttabt[0]'");
		while($sub = mysql_fetch_row($subs)) {
			abfrage2("REPLACE INTO tbh_pers_abt SET abt_id='$sub[0]', pers_id='$pers_id', sub_abt_id='$ttabt[0]'");
		}
	}
  }

  /* inaktive Personen aus Sitzungen entfernen */
  $erg = abfrage1("SELECT pers_id FROM tb_personal WHERE status_id!=2");
  while ($daten = mysql_fetch_row($erg))
  {
    abfrage2("DELETE FROM tb_team_art_pers WHERE pers_id='$daten[0]'");
	/* zukuenftige Sitzungen abfragen */
	$sql  = "select tm.team_id from tb_team tm ";
	$sql .= "left join tb_termine te on tm.termin_id = te.termin_id ";
	$sql .= "left join tb_team_art ta on tm.team_art_id = ta.team_art_id ";
	$sql .= "where te.von > now() and ta.montags_sitzung = 1;";
	$teams = abfrage1($sql);
	while ($team = mysql_fetch_row($teams)){
		abfrage2("DELETE FROM tbh_team_pers WHERE team_id='$team[0]' AND pers_id='$daten[0]'");
	}
  }

  /* alle Personen die schon beendet haben */
  $sql  = "SELECT pers_id FROM tb_personal WHERE austritt != '0000-00-00' ";
  $sql .= "AND austritt IS NOT NULL AND austritt < CURDATE()";

  $erg = abfrage1($sql);
  while ($daten = mysql_fetch_row($erg))
  {
    $sql = "DELETE FROM tb_team_art_pers WHERE pers_id='".$daten[0]."'";
    mysql_query($sql);
  }
 }

 /*
  * Ein neuer Nutzer wurde angelegt oder eine Passwortaenderung soll
  * durchgefuehrt werden (nur wenn vorhandener Nutzer geaendert wird).
  */
if (isset($rvar_persneu) || (isset($_POST["pwd_reset2"]) &&
     ($ulv >= 80 || check_nutzer_rechte(10) || check_nutzer_rechte(25)))) {
   /* Passwort erzeugen */
   if (isset($_GET["pers_id"]))
   {
     $sql  = "SELECT vorname, name FROM tb_personal WHERE pers_id=";
     $sql .= $_GET["pers_id"];

     $erg  = abfrage($sql);
     $pass = generate_default_password($erg[0], $erg[1]);
   }
   else
   {
     $pass = generate_default_password($rvar_vorname, $rvar_name);
   }

   /* zuerst wird nur ein Nutzer neu angelegt */
   if (!isset($_POST["pwd_reset2"]) && isset($rvar_persneu))
   {
     $sql  = "select IF(kurzname IS NULL, personalart, kurzname) from tb_personalart where p_art_id = '";
     $sql .= $rvar_p_art_id."'";

     $part   = abfrage($sql);
     $persnr = sprintf("%03s", intval($rvar_personalnr));

     $login = $part[0] . $persnr . $rvar_vorname{0} . $rvar_name{0};

     /*
      * Da noch keine 'pers_id' hier zum einschraenken vorhanden ist, wird hier
      * durch die WHERE Bedingungen so weit wie moeglich eingeschraenkt.
      */
     $sql  = "UPDATE tb_personal SET pass='".$pass."', login='".$login."', ";
     $sql .= "pass_datum='".time()."' ";

     /* Personalnummer sollte natuerlich gleich sein */
     $sql .= "WHERE personalnr='".$rvar_personalnr."'";

     /* wenn der Vorname und Nachnahme vorhanden ist sollte er gleich sein */
     if (!empty($rvar_name)) $sql .= " AND name='".$rvar_name."'";
     if (!empty($rvar_vorname)) $sql .= " AND vorname='".$rvar_vorname."'";

     /* Email vorhanden - dann rein in die Bedingung */
     if (!empty($rvar_emailprivat))
     {
       $sql .= " AND emailprivat='".$rvar_emailprivat."'";
     }

     /* Telefon Privat vorhanden - dann einschliessen in Bedingung */
     if (!empty($rvar_telmobilprivat))
     {
       $sql .= " AND telmobilprivat='".$rvar_telmobilprivat."'";
     }

     abfrage2($sql);
   }
   else if (!isset($rvar_persneu) && isset($_GET["pers_id"]) &&
            isset($_POST["pwd_reset2"]))
   {
     /* Passwort soll geaendert werden fuer bestehenden Nutzer */
     $sql  = "UPDATE tb_personal SET pass='".$pass."', pass_datum='".time();
     $sql .= "' WHERE pers_id='".$_GET["pers_id"]."'";

     abfrage2($sql);
   }
}

if(isset($_POST["chg"]) && isset($_SESSION[$AppCode]['url']) && (strpos($_SESSION[$AppCode]['url'], "nachw_ttt_req") !== false)){
	header("Location: ".$_SESSION[$AppCode]['url']);
}

set_session_url();

echo "<script type=\"text/javascript\"><!--\n";
echo "  function doTT() {\n";
echo "    var str = \"<form name='tempform'>\"\n";
echo "    str += '<select id=\"fortlaufend\" onchange=\"xajax_FortlaufendTelPrint(this.value)\" style=\"width:195px\">';\n";
echo "    str += '<option value=\"0\"";
if($_SESSION[$AppCode]['TelPrintEinseitig'] == 0) echo " selected";
echo ">fortlaufend</option>';\n";
echo "    str += '<option value=\"1\"";
if($_SESSION[$AppCode]['TelPrintEinseitig'] == 1) echo " selected";
echo ">eine Abteilung pro Seite</option>';\n";
echo "    str += '</select><br /><br />';\n";
echo "    str += '<b style=\"color:black\">auszugebende Abteilungen:</b><br />';\n";
echo "    str += '<select onchange=\"var sel = new Array(); for (var i = 0; i < this.length; i++) { if (this.options[i].selected) sel.push(this.options[i].value); }; xajax_AbtTelPrint(sel, i)\" style=\"width:195px\" multiple size=\"9\" id=\"abteilung\" name=\"abteilung[]\">';\n";
$abs = abfrage1("select abt_id, name from tb_personal_abt order by name asc");
while($ab = mysql_fetch_row($abs)) {
	echo "    str += '<option value=\"$ab[0]\"";
	if(in_array($ab[0],$_SESSION[$AppCode]['TelPrintAbteilungen'])) echo " selected";
	echo ">$ab[1]</option>';\n";
}
echo "    str += '</select><br /><br />';\n";
echo "    str += '<b style=\"color:black\">Sortierung:</b>&nbsp;';\n";
echo "    str += '<select id=\"order\" onchange=\"xajax_OrderTelPrint(this.value)\" style=\"width:120px\">';\n";
echo "    str += '<option value=\"0\"";
if($_SESSION[$AppCode]['TelPrintOrder'] == 0) echo " selected";
echo ">Vorname</option>';\n";
echo "    str += '<option value=\"1\"";
if($_SESSION[$AppCode]['TelPrintOrder'] == 1) echo " selected";
echo ">Nachname</option>';\n";
echo "    str += '</select><br /><br />';\n";
echo "    str += '</form>';\n";
echo "    Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck-Einst.',TITLEBGCOLOR, '#006600', WIDTH, 210, HEIGHT, 220, FIX, ['telprint',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
echo "  }\n";
echo "--></script>\n";

$nwg = (getConf('traeger') == 'nwg');

/* Liste aufbauen */

if(isset($_POST['suche'])) {
	$all = $lsort = 1;
	$bes = $part = $abt = 0;
} else {
	/* alle / nur aktive anzeigen, Standard 0 = nur aktive */
	$all = (isset($_GET['all'])) ? $_GET['all'] : 0;

	/* alle / nur gewaehlte Beschaeftigte anzeigen, Standard 0 = alle */
	$bes = (isset($_GET['bes'])) ? $_GET['bes'] : getPersEinst($_SESSION[$AppCode]['UID'], 'pers_bes', 0);

	/* alle / nur gewaehlte Personalart anzeigen, Standard 0 = alle*/
	$part = (isset($_GET['part'])) ? $_GET['part'] : getPersEinst($_SESSION[$AppCode]['UID'], 'pers_part', 0);

	/* alle / nur gewaehlte Abteilung anzeigen, Standard 0 = alle*/
	$abt = (isset($_GET['abt'])) ? $_GET['abt'] : getPersEinst($_SESSION[$AppCode]['UID'], 'pers_abt', 0);

	/* Sortierung aendern, Standard 1 = nach lfd. Personalnummer */
	$lsort = (isset($_GET['sort'])) ? $_GET['sort'] : getPersEinst($_SESSION[$AppCode]['UID'], 'pers_sort', 1);
}
switch ($lsort){
	case 1:
		$order = 'order by p.personalnr asc';
		break;
	case 2:
		$order = 'order by p.name asc';
		break;
	case 3:
		$order = 'order by p.vorname asc';
		break;
	case 4:
		$order = 'order by p.level desc, p.personalnr asc';
		break;
	case 5:
		$order = 'order by month(p.geboren) asc, day(p.geboren) asc';
		break;
	case 6:
		$order = "order by v.status='in' asc, v.status='out' asc, p.personalnr asc";
		break;
	case 7:
		$order = "order by e.cntview desc, p.personalnr asc";
}

/* Abfrage zusammenstellen */
$sql  = "select p.p_art_id, p.personalnr, p.name, p.vorname, p.teldienst, p.telmobil, ";
$sql .= "p.emaildienst, p.pers_id, p.status_id, p.level, p.geboren, p.anstellung, ";

/* Anzahl der Tage bis der Dienstausweis ablaeuft */
$sql .= "unix_timestamp(p.ausweis) as asw_ts, ";
$sql .= "datediff(p.ausweis, now()) as asw_frist, v.status, p.pk, ";
$sql .= "p.fokus, p.fokus_rolle, e.cntview, unix_timestamp(austritt) as austritt, ";
$sql .= "anmeldung, pass, pass_datum from tb_personal p ";
$sql .= "left join tb_pers_dienstvertrag v on v.pers_id = p.pers_id ";
$sql .= "left join (select pers_id, max(cntview) as cntview from tb_ewald group by pers_id) e on e.pers_id = p.pers_id ";
if($abt > 0) {
	$sql .= "left join tbh_pers_abt h on h.pers_id = p.pers_id ";
	$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
}
if(isset($_POST['suche'])) {
	$sql .= "where p.name like '%$rvar_suche%'
			or p.vorname like '%$rvar_suche%'
			or p.personalnr like '%$rvar_suche%'
			or p.strasse like '%$rvar_suche%'
			or p.plz like '%$rvar_suche%'
			or p.ort like '%$rvar_suche%'
			or p.emailprivat like '%$rvar_suche%'
			or p.notizen like '%$rvar_suche%'
			or p.funktion like '%$rvar_suche%'
			or p.abschluss like '%$rvar_suche%'
			or p.titel like '%$rvar_suche%'";
} else {
	$where = false;

	/* alle / nur aktive */
	if ($all == 0){
		$sql .= "where p.status_id = '2' ";
		$where = true;
	}

	/* Beschaeftigung */
	if ($bes != 0){
		$sql .= ($where == true) ? 'and ' : 'where ';
		$sql .= "p.besch_id = '$bes' ";
		$where = true;
	}

	/* Personalart */
	if ($part != 0){
		$sql .= ($where == true) ? 'and ' : 'where ';
		$sql .= "p.p_art_id = '$part' ";
		$where = true;
	}

	/* Abteilung */
	if ($abt > 0){
		$sql .= ($where == true) ? 'and ' : 'where ';
		$sql .= "(h.abt_id = '$abt' or l.abt_id = '$abt') ";
		$where = true;
	}

	/* Traeger */
	if ($abt < 0){
		$sql .= ($where == true) ? 'and ' : 'where ';
		$sql .= "p.standard_traeger_art_id = '".(-1 * $abt)."' ";
		$where = true;
	}
}
/* Sortierung anhaengen */
$sql .= ' group by p.pers_id ' . $order . ';';

$mas = abfrage1($sql);

/* neue Auswahlzeile */
echo "<table width=\"750\">\n<tr>\n";

if (check_nutzer_rechte(9)) {
	echo "<td class=\"cl1\"><input type=button value=\"Neu\" ";
	echo "onClick=\"self.location.href='pers_and.php?persneu=1'\"></td>\n";
}

/* aktiv / passiv */
echo "<form action=\"$self\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"bes\" value=\"$bes\">\n";
echo "<input type=\"hidden\" name=\"part\" value=\"$part\">\n";
echo "<input type=\"hidden\" name=\"sort\" value=\"$lsort\">\n";
echo "<input type=\"hidden\" name=\"abt\" value=\"$abt\">\n";
echo "<input type=\"hidden\" name=\"all\" value=\"".($all==1 ? 0 : 1)."\">\n";
echo "<td class=\"cl11\">";
echo "<input type=\"submit\" value=\"".($all==1 ? "aktive" : "alle")."\">\n";
echo "</td></form>\n";

/* Beschaeftigung */
echo "<form action=\"$self\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
echo "<input type=\"hidden\" name=\"part\" value=\"$part\">\n";
echo "<input type=\"hidden\" name=\"sort\" value=\"$lsort\">\n";
echo "<input type=\"hidden\" name=\"abt\" value=\"$abt\">\n";
echo "<th class=\"cl1\"".stwToolTip('Besch&auml;ftigung').">Besch.:</th>";
echo "<td class=\"cl11\">";
echo "<select name=\"bes\" style=\"width:105px\" size=\"1\" onChange=\"this.form.submit()\">\n";

echo "<option value=\"0\"";
if ($bes == 0) echo ' selected';
echo ">ALLE</option>n";

$beschaeftigung = '';
$res = abfrage1("select besch_id, beschaeftigung
                 from tb_beschaeftigung
				 where aktiv='j'
                 order by beschaeftigung asc;");
while ($row = mysql_fetch_row($res)){
	echo "<option value=\"$row[0]\"";
	if ($bes == $row[0]) {
		echo ' selected';
		$beschaeftigung = $row[1];
	}
	echo ">$row[1]</option>\n";
}

echo "</select></td>\n";
echo "</form>\n";


/* Personalart */
echo "<form action=\"$self\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
echo "<input type=\"hidden\" name=\"bes\" value=\"$bes\">\n";
echo "<input type=\"hidden\" name=\"sort\" value=\"$lsort\">\n";
echo "<input type=\"hidden\" name=\"abt\" value=\"$abt\">\n";
echo "<th class=\"cl1\"".stwToolTip('Personalart').">PArt:</th>";
echo "<td class=\"cl11\"><select name=\"part\" size=\"1\" ";
echo "onChange=\"this.form.submit()\">\n";

echo "<option value=\"0\"";
if ($part == 0) echo ' selected';
echo ">ALLE</option>n";

$personalart = '';
$sql  = "select p_art_id, IF(kurzname IS NULL, personalart, kurzname), beschreibung from tb_personalart ";
$sql .= "order by IF(kurzname IS NULL, personalart, kurzname) asc;";
$res = abfrage1($sql);
while ($row = mysql_fetch_row($res)){
	echo "<option value=\"$row[0]\" title=\"$row[2]\"";
	if ($part == $row[0]) {
		$personalart = $row[1];
		echo ' selected';
	}
	echo ">$row[1]</option>\n";
}

echo "</select></td>\n";
echo "</form>\n";

$abteilung_traeger = '';
echo "<th".stwToolTip('Tr&auml;ger').">Tr.</th><th>/</th><th".stwToolTip('Abteilung').">Abt.:</th>";
/* Abteilungslink anbieten um Abteilungen bearbeiten zu koennen */
if ($ulv > 96) echo "<td><a href=\"abteilung.php\"><img src=\"img/edit.png\" ".stwToolTip('Abteilungen konfigurieren')."></a></td>";
echo "<form action=\"$self\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
echo "<input type=\"hidden\" name=\"bes\" value=\"$bes\">\n";
echo "<input type=\"hidden\" name=\"part\" value=\"$part\">\n";
echo "<input type=\"hidden\" name=\"sort\" value=\"$lsort\">\n";
echo "<td class=\"cl11\"><select name=\"abt\" size=\"1\" ";
echo "onChange=\"this.form.submit()\">\n";
echo "<option value=\"0\"";
if ($abt == 0) echo ' selected';
echo ">ALLE</option>n";
echo "<option value=\"0\">----------</option>\n";
$sql  = "select traeger_art_id, traeger_art, kurzname, erw_benutzer ";
$sql .= "from tb_traeger_art order by kurzname asc;";
$trs = abfrage1($sql);
while ($zeile = mysql_fetch_row($trs)) {
	$_SESSION[$AppCode]['persTrCSV'][$zeile[0]] = false;
	echo "<option value=\"-$zeile[0]\" title=\"$zeile[1]\"";
	/* Kunstkniff: Traeger mit negativem Vorzeichen */
	if ($abt == (-$zeile[0])) {
		echo ' selected';
		$abteilung_traeger = $zeile[2];
		$traeger = $zeile[1];
	}
	echo ">$zeile[2]</option>\n";
}
echo "<option value=\"0\">----------</option>\n";
$sql  = "select abt_id, name from tb_personal_abt order by name asc;";
$res = abfrage1($sql);
while ($row = mysql_fetch_row($res)){
	echo "<option value=\"$row[0]\"";
	if ($abt == $row[0]) {
		$abteilung_traeger = $row[1];
		echo ' selected';
	}
	echo ">$row[1]</option>\n";
}
$personalbeauftragter = false;
if($abt > 0) {
	$pa = abfrage("select personal from tb_personal_abt_leit where abt_id='$abt' and pers_id='$uid'");
	if($pa[0] == 'j') $personalbeauftragter = true;
}
echo "</select></td></form>\n";
if($abt < 0 && $_SESSION[$AppCode]['ULV'] >= 96) {
	$trgr = -1 * $abt;
	$link = "pers.php?csv=1&abt=$abt";
	echo "<td class=\"cl11\" style=\"text-align:right;\">";
	mysql_data_seek($trs,0);
	while($row = mysql_fetch_row($trs)) {
		echo "<input type=\"hidden\" id=\"erw_benutzer_$row[0]\" value=\"$row[3]\" />\n";
		echo "<input type=\"hidden\" id=\"check_$row[0]\" value=\"\" />\n";
	}
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function doTT2() {\n";
	echo "var str = \"<form name='tempform'><table><tr><td /><td style='color:black'>Erweiterung Benutzername</td><td style='color:black' colspan='2'>zus&auml;tzlich</td></tr>\";\n";
	mysql_data_seek($trs,0);
	while($row = mysql_fetch_row($trs)) {
		echo "str += '<tr><td style=\"color:";
		echo $trgr == $row[0] ? 'black' : '#CCCCCC';
		echo "\">VNachname</td><td><input type=\"text\" size=\"30\" ";
		if($trgr != $row[0]) echo "style=\"color:#999999\" ";
		echo "value=\"';\n";
		echo "str += document.getElementById('erw_benutzer_$row[0]').value;\n";
		echo "str += '\" name=\"erw_benutzer_$row[0]\" /></td>';\n";
		echo "str += '<td style=\"text-align:right;color:black\">$row[2]:</td><td><input type=\"checkbox\" ';\n";
		echo "str += document.getElementById('check_$row[0]').value;\n";
		echo "str += ' onchange=\"xajax_check_tr($row[0],this.checked)\"></td></tr>';\n";
	}
	echo "str += '<tr><td colspan=\"4\"><input type=\"button\" value=\"Speichern\" onclick=\"";
	$height = 40;
	mysql_data_seek($trs,0);
	while($row = mysql_fetch_row($trs)) {
		$height += 20;
		echo "xajax_save_tr($row[0],erw_benutzer_$row[0].value);";
	}
	echo "tt_HideInit();\"/></td></tr></table>';\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Export-Einstellungen',TITLEBGCOLOR, '#006600', WIDTH, 360, HEIGHT, $height, FIX, ['csvcon',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n";
	echo "--></script>\n";	
	echo "<a href=\"$link\"";
	echo stwToolTip("Mitarbeiter $traeger als CSV exportieren");
	echo ">CSV</a><a id=\"csvcon\" href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\" onClick=\"doTT2(); return false\"> +</a>";
	echo "</td>\n";
}
if(check_nutzer_rechte(49) || $personalbeauftragter) {
	echo "<td class=\"cl1\"><a href=\"pers_pr_akten.php?all=$all&bes=$bes&part=$part&abt=$abt&sort=$lsort&ts=" . time() . "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" border=\"0\"";
	$tt = 'Liste Mitarbeiter/Aktenarten (aktuelle Ansicht) drucken';
	echo stwToolTip($tt) . "></a></td>\n";
}
if($ulv > 5) {
	echo "<td class=\"cl1\"><a href=\"pers_pr_tel.php?abt=$abt&amp;ts=" . time() . "\" ";
	echo "onClick=\"history.go(0)\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" id=\"telprint\" border=\"0\"";
	echo stwToolTip('Telefonliste drucken') . "></a><a href=\"#\" onClick=\"doTT()\" ";
	echo stwToolTip('Druck Telefonliste konfigurieren');
	echo "style=\"font-size:small;position:relative;left:2px;top:-4px;\">+</a></td>\n";
}
echo "<td class=\"cl1\" style=\"text-align:right\" width=\"100%\"><a href=\"#\" style=\"color: #ccc\" id=\"TraegerIcon\"";
echo " onclick=\"xajax_EinstellungenSpeichern($uid, $bes, $part, $abt, $lsort)\"";
$tt  = 'Besch&auml;ftigung, Personalart und Abteilung als pers&ouml;nliche Einstellung speichern! ';
echo stwToolTip($tt) . ">:)</a></td>\n";
echo "</tr>\n</table>\n";
new stwLine(1);
/* Ende neue Button-Leiste */

$show = "&bes=$bes&part=$part&all=$all&abt=$abt";

$ewald_pers = intval( getConf('ewald_pers') );

echo "<table>\n";
echo "<tr>\n";
echo "<th class=\"cl1\">";
echo "<a href=\"$self?sort=1{$show}\">Personalnr.</a></th>\n";
if($ewald_pers) echo "<td><a href=\"$self?sort=7{$show}\"><img src=\"".image('ewald',6,15)."\"".stwToolTip("Elektronischer Verwaltungsleiter")."/></a></td>";
echo "<td />";
echo "<th class=\"cl1\">";
echo "<a href=\"$self?sort=2{$show}\">Name</a></th>\n";
echo "<th class=\"cl1\">";
echo "<a href=\"$self?sort=3{$show}\">Vorname</a></th>\n";
if($nwg) echo "<th class=\"cl1\">Abteilung</th>\n";
else echo "<th class=\"cl1\">Tel. dienstlich</th>\n";

echo "<th class=\"cl1\">Tel. mobil</th>\n";
echo "<th class=\"cl1\">mail</th>\n";

if($nwg)echo "<th class=\"cl1\"".stwToolTip('Dienstvertrag')."><a href=\"$self?sort=6{$show}\">DV</a></th>\n";

/* ab Level 96 werden die Level und die Geburtstage gezeigt */
if ($ulv >= 96) {
	echo "<th class=\"cl1\"><a href=\"pers.php?sort=4{$show}\">lvl</a></th>\n";
}
if(check_nutzer_rechte(10)) {
	echo "<th class=\"cl1\"><a href=\"pers.php?sort=5{$show}\">GebTag</a></th>\n";
}
if ($ulv > 5) {
	echo "<th class=\"cl1\"".stwToolTip('Standard-Abteilung').">Std.Abt</th>\n";
	$redData = "<img".stwToolTip("Akten mit offenen Pr&uuml;fungen")."src=\"".image('akte',7,16,255,0,0)."\" onclick=\"Show()\" style=\"cursor:pointer\" />";
	$greenData = "<img".stwToolTip("alle Pr&uuml;fungen get&auml;tigt")."src=\"".image('akte',7,16,0,255,0)."\" onclick=\"Show()\" style=\"cursor:pointer\" />";
	$yellowData = "<img".stwToolTip("keine zu pr&uuml;fenden Akten vorhanden")."src=\"".image('akte',7,16,255,204,0)."\" onclick=\"Show()\" style=\"cursor:pointer\" />";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function Show() {\n";
	echo " var ntd = document.getElementsByName('notToDisplay');\n";
	echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'inline';\n";
	echo "}\n--></script>\n";
	echo "<th class=\"cl1\"".stwToolTip('Akten mit zu best&auml;tigender Pr&uuml;fung').">";
	echo "$yellowData</th>\n";
}
echo "</tr>\n";

new stwTabLine(2,30);
if($nwg) {
	//nur damit ich dann nicht jedes Mal den Namen abfragen muss...
	$abteilung = array();
	$abs = abfrage1("select abt_id, name from tb_personal_abt");
	while ($ab = mysql_fetch_row($abs)) {
		$abteilung[$ab[0]] = $ab[1];
	}
}

while ($zeile = mysql_fetch_array($mas)) {
	if ($rvar_showall == 1 && $zeile['status_id'] > 2) {
		$style = "style=\"color:#CCC;\"";
	} else {
		$style = '';
  }

  /* Titel muss jedes Mal neu gesetzt werden */
  $titel = '';

  /*
   * Nach sechs Monaten mit dem selben Passwort eine gruene Kennzeichnung
   * innerhalb der Liste. Daten kommen von SQL Abfrage fuer deaktivierte
   * Logins.
   */
  if ($zeile['pass_datum'] < mktime(date("G"), date("i"), date("s"), date("n") - 6, date("j"), date("Y"))){
   	$style = "style=\"color:#00FF00\"";
    $titel .= "Passwort &uuml;ber 6 Monate alt!<br>";
  }

  /* wenn Ablaufdatum Dienstausweis vorhanden und weniger als 8 Wochen in
   * Zukunft -> Links einfaerben und entsprender Hinweis
  */
  if (seiteKonfSichtbar('pers_and_dienstausweis') && $zeile['asw_ts'] > 0 && $zeile['asw_frist'] < 54){
  	$style = "style=\"color:#FF00FF\"";
  	$titel .= 'Dienstausweis ';
  	if ($zeile['asw_frist'] > 1){
  		$titel .= 'l&auml;uft in ' . $zeile['asw_frist'] . ' Tagen ab';
		} elseif ($zeile['asw_frist'] == 1) {
			$titel .= 'l&auml;uft morgen ab';
  	} elseif ($zeile['asw_frist'] == 0) {
  		$titel .= 'l&auml;uft heute ab';
  	} else {
  		$titel .= 'ist vor  ' . abs($zeile['asw_frist']) . ' Tagen abgelaufen';
  	}
	$titel .= "!<br>";
  }

  /* KFZ ohne Fuehrerschein 
  $kfz = abfrage("select id from tbh_pers_akten where pers_id='$zeile[7]' and akte_id='3'");
  if($kfz[0] > 0) {
	$kfz = abfrage("select unterzeichnet from tbh_pers_kfz 
					where pers_id = '$zeile[7]' and akte_id = '3'
					order by zeit desc limit 1");
	if($kfz[0] != 'j') {
		$style = "style=\"color:#008B8B\"";
		$titel .= 'KFZ Benutzungsvertrag ohne Vorlage F&uuml;hrerschein<br>';
	}
  }*/

  /* kein Login */
  if($zeile['anmeldung'] == 'n') {
	$style = "style=\"color:#FFCC00\"";
	$titel .= 'Logiin: Nein<br>';
  }
  
  /* Austrittsdatum erreicht */
  if($zeile['austritt'] > 0 && $zeile['austritt'] < mktime()) {
	$style = "style=\"color:#999999\"";
	$titel .= 'Austrittsdatum erreicht<br>';
  }

  /* deaktivierte Logins mittels roter Kennzeichnung zeigen */
  if ($zeile['pass'] == generate_default_password($zeile[3], $zeile[2]) &&
       time() - $zeile['pass_datum'] >= 86400 && $zeile['anmeldung'] == "n") {
  	$style = "style=\"color:#FF0000\"";
    $titel .= "Defaultpasswort seit &uuml;ber 24 Stunden aktiv. Login deaktiviert!";
  }

	$bg = '';
	if(!empty($zeile['anstellung']) && $zeile['anstellung'] != '0000-00-00' && $zeile[15]=='n' 
		&& date_my2ts($zeile['anstellung']) < mktime(0,0,0,date('m'),date('d'),date('Y')-10)){
		$bg = "style=\"background-color:#505050\"";
		$titel .= "Mitarbeiter &uuml;ber 10 Jahre angestellt (".date_my2gr($zeile['anstellung']).") und keine Pensionskasse";
	}
	$pk = pers_pension($zeile[7]);
	$pk_in_3mon = pers_pension($zeile[7],date('Y-m-d',mktime(0,0,0,date('m')+3,date('d'),date('Y'))));
	if($pk[0] != $pk_in_3mon[0]) {
		$bg = "style=\"background-color:#505050\"";
		if (strlen($titel) > 0) $titel .= "<br>";
		$titel .= "Mitarbeiter &uuml;ber 10 Jahre angestellt (".date_my2gr($zeile['anstellung']).") und keine Pensionskasse";
	}

  /* Passiv */
  if($zeile['status_id'] > 2){
	$style = "style=\"font-style:italic;color:#999999\"";
	$status = abfrage("select status from tb_status where status_id = '{$zeile['status_id']}'");
	$titel = "$status[0]<br>";
  }

	echo "<tr class=\"mo\">\n<td $bg class=\"cl1\">";
	echo "<a href=\"pers_and.php?pers_id=$zeile[7]\" $style ";
	if (strlen($titel) > 0) echo stwToolTip($titel,false);
	echo '>';

	echo pers_nummer($zeile[7]);
	echo "</a></td>\n";

	if ($zeile['status_id'] > 2){
		$font = 'font-style:italic;';
	} else {
		$font = 'font-weight:bold;';
	}

	if($ewald_pers) {
		if($ulv >= 96 || check_nutzer_rechte(10) || check_al_rechte($zeile[7]) || $uid == $zeile[7]) {
			$ewaldicon = "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" style=\"cursor:pointer;width:5px;height:15px\">";
			$ewaldicon .= "<tr><td><img onclick=\"xajax_do_ewald($zeile[7])\" style=\"height:5px;width:5px\" src=\"" . image('1',1,1,empty($zeile['cntview']) ? 0 : 255,empty($zeile['cntview']) ? 128 : 0,0) . "\" /></td></tr>";
			$ewaldicon .= "<tr><td style=\"background-image: linear-gradient(to bottom, #FF0000 0%, #CCCCCC ".(10 * $zeile['cntview'])."%)\">";
			$ewaldicon .= "<img onclick=\"xajax_do_ewald($zeile[7])\" src=\"" . image('0',5,10) . "\" /></td></tr></table>";
		} else $ewaldicon = '';
		echo "<td class=\"cl1\">$ewaldicon</td>\n";
	}
	echo "<td>" . pers_image($zeile[7],16,true) . "</td>\n";
	$style = $title = '';
	/* Dienstjubilaeum: Ausgabe bei 10., 15., 20., 25. ... */
	$tage_bis_jubl = get_tage_bis_jahrestag($zeile['anstellung']);
	if ($tage_bis_jubl >= -14 && $tage_bis_jubl <= 56) {
		/* get_alter == Differenz zwischen heute und gegebenem Jahr! */
		$dienstjubl = get_alter($zeile['anstellung']);
		if($tage_bis_jubl>0) $dienstjubl++;
		if($dienstjubl > 5 && $dienstjubl % 5 == 0) {
			$title = "Hat";
			if ($tage_bis_jubl == 0) $title.=" heute";
			elseif($tage_bis_jubl < 0) $title.="te " . ($tage_bis_jubl==-1 ? 'gestern' : "vor ".$tage_bis_jubl*(-1)." Tagen");
			elseif($tage_bis_jubl==1) $title.=' morgen';
			elseif($tage_bis_jubl<15) $title.=" in ".$tage_bis_jubl." Tagen";
			else $title.=" in ".round($tage_bis_jubl/7,0)." Wochen";
			$title.=" $dienstjubl-J&auml;hriges Dienstjubil&auml;um";
			if($tage_bis_jubl > 28) $style = "background-color:#003300;";
			else $style = "background-color:#330000;";
		}
	}
	if(pers_geb_berechtigt($zeile[7], $uid)) {
		$tage_bis_geburtstag = get_tage_bis_jahrestag($zeile['geboren']);
		$alter = get_alter($zeile['geboren']);
		if($tage_bis_geburtstag>0) $alter++;
		if($alter > 0 && $alter % 10 == 0) {
			if ($tage_bis_geburtstag >= -14 && $tage_bis_geburtstag <= 112) {
				if(strlen($title)>0) $title .= "<br>";
				$title .= "Hat";
				if ($tage_bis_geburtstag == 0) $title.=" heute";
				elseif($tage_bis_geburtstag < 0) $title.="te " . ($tage_bis_geburtstag==-1 ? 'gestern' : "vor ".$tage_bis_geburtstag*(-1)." Tagen");
				elseif($tage_bis_geburtstag==1) $title.= ' morgen';
				elseif($tage_bis_geburtstag<15) $title.= " in ".$tage_bis_geburtstag." Tagen";
				else $title.= " in ".round($tage_bis_geburtstag/7,0)." Wochen";
				$title.=" $alter. Geburtstag";
				if($tage_bis_geburtstag > 28 && $style != "background-color:#330000;") $style = "background-color:#003300;";
				else $style = "background-color:#330000;";
			}
		}
	}
	if(!empty($zeile['fokus_rolle'])) {
		$style .= " color:white;";
		if(strlen($title)>0) $title .= "<br>";
		$title .= $zeile['fokus_rolle'] . ': ' . pers_name($zeile['fokus']);
	}
	echo "<td class=\"cl1\" style=\"$font $style\"";
	if($title != '') echo stwToolTip($title, false);
	echo ">$zeile[2]</td>\n";
	echo "<td class=\"cl1\" style=\"$font $style\"";
	if($title != '') echo stwToolTip($title, false);
	echo ">$zeile[3]</td>\n";
	if($nwg) {
		$leits = abfrage1("select abt_id from tb_personal_abt_leit where pers_id='$zeile[7]';");
		$name = $tt = '';
		if(mysql_num_rows($leits) > 0) {
			$tt = "<b>Leiter folgender Abteilungen:</b><ul style=\"margin:0\">";
			while ($leit = mysql_fetch_row($leits)) {
				if(empty($name)) $name = $abteilung[$leit[0]];
				$tt .= "<li>" . $abteilung[$leit[0]] . "</li>";
			}
			$tt .= "</ul>";
		}
		$abs = abfrage1("select abt_id from tbh_pers_abt where pers_id = '$zeile[7]';");
		if (mysql_num_rows($abs) > 0){
			$tt .= "<b>Mitglied folgender Abteilungen:</b><ul style=\"margin:0\">";
			while ($ab = mysql_fetch_row($abs)) {
				if(empty($name)) $name = $abteilung[$ab[0]];
				$tt .= "<li>" . $abteilung[$ab[0]] . "</li>";
			}
			$tt .= "</ul>";
		}
		if($tt != '') $tt = stwToolTip($tt, false);
		echo "<td class=\"cl1\" style=\"$font\" $tt>$name</td>";
	} else echo "<td class=\"cl1\" style=\"$font\">$zeile[4]</td>\n";
	echo "<td class=\"cl1\" style=\"$font\">$zeile[5]</td>\n";

	/* E-Mail */
  echo "<td class=\"cl1\" style=\"text-align:center;$font\">";
	if (strlen($zeile[6]) > 0) {
		echo "<a href=\"mailto:$zeile[6]\">@</a>";
	}
	echo "</td>\n";

	if($nwg) {
		if($zeile['status'] == 'in') $tt = stwToolTip('Dienstvertrag zur&uuml;ckgegeben');
		elseif($zeile['status'] == 'out') $tt = stwToolTip('Dienstvertrag ausgegeben');
		else $tt='';
		echo "<td class=\"cl1\" $tt>" . $zeile['status'] . "</td>\n";
	}

	/* ab Level 96 sieht man Level und Geburtstage */
	if ($ulv >= 96) {
		echo "<td class=\"cl1\" style=\"text-align:center\">$zeile[9]</td>\n";
	}
	if(check_nutzer_rechte(10)) {
		$gebDat = date_my2gr($zeile[10]);
		echo "<td class=\"cl1\" style=\"";
		$zks = abfrage("select unix_timestamp(ab_monat), ab_monat, month(cur_monat) from tb_pers_aktiv where pers_id='$zeile[7]'");
		if($zks[2] != date("n")) {
			$zks = abfrage("SELECT unix_timestamp(ab_monat), ab_monat FROM tb_ab_zk WHERE pers_id='$zeile[7]' AND ab_monat > DATE_SUB(CURDATE(), INTERVAL 1 YEAR) ORDER BY ab_monat DESC LIMIT 1");
			abfrage2("REPLACE INTO tb_pers_aktiv SET pers_id='$zeile[7]', ab_monat='$zks[1]', cur_monat=curdate()");
		}
		$title = '';
		$tage_bis_geburtstag = get_tage_bis_jahrestag($zeile[10]);
		if ($tage_bis_geburtstag >= -7 && $tage_bis_geburtstag <= 7) {
			echo "color:red; font-weight:bold;";
			if ($tage_bis_geburtstag == 0) {
				$title = "Hat heute den ".get_alter($zeile[10])." Geburtstag!";
		  } else if ($tage_bis_geburtstag < 0) {
			$title  = "Hatte vor ".$tage_bis_geburtstag*(-1)." Tagen den ";
			$title .= get_alter($zeile[10])." Geburtstag!";
		  } else {
			$title  = "Hat in ".$tage_bis_geburtstag." Tagen den ";
			$title .= get_alter($zeile[10]) + 1 .". Geburtstag!";
		  }
		}

		if (empty($title)) $title = "<b>Alter: ".get_alter($zeile[10]) . "</b>";
		if(intval($zks[0]) < mktime(0,0,0,date('n'),1,date('Y')-1)) {
			$title .= "<br>(keine Zeitkarten in den vergangenen 12 Monaten)";
			echo "font-style:italic; ";
		} elseif(!empty($gebDat)) {
			list($jahr, $monat, $tag) = explode("-", $zeile[10]);
			$sql = "SELECT z.pers_id
					FROM tb_pers_aktiv z 
					LEFT JOIN tb_personal p using(pers_id) ";
			if($abt > 0) {
				$sql.= "left join tbh_pers_abt h using(pers_id)
						left join tb_personal_abt_leit l using(pers_id) ";
			}

			$tt = '';
			$sql.= "WHERE z.ab_monat > DATE_SUB(CURDATE(), INTERVAL 1 YEAR)
					AND (MONTH(geboren) > $monat 
					OR MONTH(geboren) = $monat AND DAY(geboren) >= $tag) ";
			if ($all == 0)	{ $sql .= "and p.status_id = '2' "; $tt .= "<br><i>Status: Aktiv</i>"; }
			if ($bes != 0)	{ $sql .= "and p.besch_id = '$bes' "; $tt .= "<br><i>Besch&auml;ftigung: $beschaeftigung</i>"; }
			if ($part != 0)	{ $sql .= "and p.p_art_id = '$part' "; $tt .= "<br><i>Personalart: $personalart</i>"; }
			if ($abt > 0)	{ $sql .= "and (h.abt_id = '$abt' or l.abt_id = '$abt') "; $tt .= "<br><i>Abteilung: $abteilung_traeger</i>"; }
			if ($abt < 0)	{ $sql .= "and p.standard_traeger_art_id = '".(-1 * $abt)."' "; $tt .= "<br><i>Tr&auml;ger: $abteilung_traeger</i>"; }
			$sql.= "GROUP BY z.pers_id";
			$geburtstage = abfrage1($sql);
			$cnt = mysql_num_rows($geburtstage);
			$title .= "<br>vom $tag.$monat. - 31.12.".date('Y')." noch $cnt Geburtstage aktiver Mitarbeiter <br>(Zeitkarten in den letzten 12 Monaten)$tt";
		}
		echo "text-align:center\"" . stwToolTip($title,false) . ">$gebDat</td>\n";
	}

  if($ulv > 5) {
	echo "<td class=\"cl1\">" . print_stdabt_link($zeile[7]) . "</td>\n";
	echo "<td>";
	if(($zeile[7]==$uid) || check_nutzer_rechte(49) || check_al_rechte($zeile[7])==2) {
		$data = $yellowData;
		$notRed = true;
		$pers_akten = array();
		$pas = abfrage1("select akte_id, name, turnus from tb_pers_akten where aktiv='j' and turnus!=0");
		while($pa = mysql_fetch_row($pas)) {
			$ausn = abfrage("select aktiv from tbh_pers_akte_ausnahme where pers_id='$zeile[7]' and akte_id='$pa[0]'");
			if($ausn[0] == 'n') continue;
			$aas = abfrage1("select abt_id from tbh_akte_abt where akte_id='$pa[0]'");
			while($aa = mysql_fetch_row($aas)) {
				$inAbt = abfrage1("select abt_id from tbh_pers_abt where pers_id='$zeile[7]' and abt_id='$aa[0]'");
				if(mysql_num_rows($inAbt) > 0 || $ausn[0] == 'j') {
					if($pa[2]<0) $stich=abfrage("select to_days(stichtag) from tbh_pers_stichtag 
												where pers_id = '$zeile[7]' and akte_id = '$pa[0]'");

					$sql = "select id, date_format(zeit, '%d.%m.%Y %H:%i'), unterzeichnet,
							to_days(date_add(zeit,INTERVAL $pa[2] MONTH)), to_days(now())
							from tbh_pers_kfz where pers_id = '$zeile[7]'
							and akte_id = '$pa[0]' order by unix_timestamp(zeit) desc limit 1";
					$kfz = abfrage($sql);
					if($kfz[2]=='j' && (($pa[2]>0 && $kfz[3]>$kfz[4]) || ($pa[2]<0 && $stich[0]>$kfz[4]))){
						$pers_akten[ $pa[0] ] = " <a href=\"pers_and.php?pers_id=$zeile[7]&bereich=6\" style=\"color:#00FF00\">$pa[1]</a>";
						if($notRed) $data = $greenData;
						continue(2);
					} else {
						$pers_akten[ $pa[0] ] = " <a href=\"pers_and.php?pers_id=$zeile[7]&bereich=6\" style=\"color:#FF0000\">$pa[1]</a>";
						$data = $redData;
						$notRed = false;
						continue(2);
					}
				}
			}
		}
		echo $data;
		echo "<span style=\"display:none;position:relative;top:-4px;\" name=\"notToDisplay\">";
		foreach($pers_akten as $pa) echo $pa;
		echo "</span>";
	}
	echo "</td>";
  }

  $azv_recht = false;
  if(check_al_rechte($zeile[7])==2) $azv_recht = true;
  elseif(check_nutzer_rechte(76)) {
	$azv = abfrage("select azv from tbh_pers_azv where pers_id='$uid'");
	if($azv[0] >= $zeile[9]) $azv_recht = true;
  }
  if ($uid == $zeile[7] || 	$ulv >= 70 || $azv_recht){
  	echo "<td class=\"cl1\"" . stwToolTip('Arbeitszeitvereinbarung') . '>';
    echo "<a href=\"pers_azv.php?pers_id=$zeile[7]\">AZV</a></td>\n";
  }
  if ($uid == $zeile[7] || 	$ulv >= 70 || check_al_rechte($zeile[7])==2){
    echo "<td class=\"cl1\">";
	$kigeld = abfrage1("select pers_id from tb_kinder where pers_id='$zeile[7]' and kigeld='j' and kigeld_empf='M'");
	$style = mysql_num_rows($kigeld) > 0 ? ("style=\"color:#00FF00\"".stwToolTip("Mitarbeiter Kindergeldempf&auml;nger")) : '';
    echo "<a $style href=\"pers_kind.php?pers_id=$zeile[7]\">Kinder</a></td>\n";
    echo "<td class=\"cl1\"" . stwToolTip('Vereinsmitgliedschaft') . '>';
    echo "<a href=\"pers_mit.php?pers_id=$zeile[7]\">VMG</a></td>\n";
  } elseif(check_nutzer_rechte(50)) {
    echo "<td /><td class=\"cl1\">";
	$kigeld = abfrage1("select pers_id from tb_kinder where pers_id='$zeile[7]' and kigeld='j' and kigeld_empf='M'");
	$style = mysql_num_rows($kigeld) > 0 ? ("style=\"color:#00FF00\"".stwToolTip("Mitarbeiter Kindergeldempf&auml;nger")) : '';
    echo "<a $style href=\"pers_kind.php?pers_id=$zeile[7]\">Kinder</a></td>\n";
  }
  echo "</tr>\n\n";
  flush();
}
new stwTabLine(1,30);
echo "</table>\n";
new stwEnd($seite);
?>
