<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_hp_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');
setlocale(LC_TIME, "de_DE@euro", "de_DE", "german", "deu_deu", "deu", "de", "de_AT", "de_DE.UTF-8", "de_AT.utf8");

$ptyp = array();
$personaltypen = abfrage1("select * from tb_personaltyp");
while($personaltyp = mysql_fetch_array($personaltypen)) {
	$ptyp[$personaltyp[0]] = $personaltyp;
}

$ts = (isset($rvar_datum) && !empty($rvar_datum)) ? date_my2ts($rvar_datum) : time();
$date = (isset($rvar_anz) && $rvar_anz=='j') ? date('Y-12-31',$ts) : date('Y-m-t',$ts);
$ts = date_my2ts($date);
$abm = (isset($rvar_anz) && $rvar_anz=='j') ? date('Y-12-01',$ts) : date('Y-m-01',$ts);
$monat = strftime('%b. %Y',$ts);
$vm_ts = mktime(0,0,0,date('m',$ts)-1,date('d',$ts),date('Y',$ts));
$vm_date = date('Y-m-d',$vm_ts);
$vormonat = strftime('%b',$vm_ts);

$zh = 4.5;
if(!isset($rvar_pers_id) || !is_numeric($rvar_pers_id) || $rvar_pers_id <= 0) $rvar_pers_id = $_SESSION[$AppCode]['UID'];
$footer = "Hilfeplanbersicht $monat ".pers_name($rvar_pers_id);

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetAutoPageBreak(true,25);
$pdf->AddPage();

$pdf->SetFont('stw','',10);
$pdf->Text(70,14,$footer);
$pra_rng = abfrage("select nr_von, nr_bis from tb_projektart where pra_id = $rvar_pra;");
$sql = "select p.proj_id, pt.kurzname from tb_projekte p
		left join tb_hilfeart a on (p.hilfeart_id = a.hilfeart_id)
		left join tbh_pers_proj pp on (p.proj_id = pp.proj_id)
		left join tb_personaltyp pt using(personaltyp_id)
		where p.projektnr >= $pra_rng[0] and p.projektnr <= $pra_rng[1] 
		and a.no_pers_hp = 'n' and pp.pers_id='$rvar_pers_id' 
		and (p.ende > '$date' or p.ende is null or p.ende = '0000-00-00')
		order by pt.sort asc, p.projektnr asc";
$pros = abfrage1($sql);
while($pro = mysql_fetch_row($pros)) {
	if(check_projekt_berechtigung($pro[0])) {
		$projekt = new stwProjekt($pro[0]);
		if($projekt->beginn_ts() > $ts) continue;
		if(empty($_SESSION[$AppCode]["pers_hp_$pro[1]"])) continue;
		$pdf->SetFont('arialb','',7);
		$pdf->SetTextColor(255,255,255);
		$pdf->Cell(5,$zh,$pro[1],'TB',0,'C',1);
		$pdf->SetTextColor(0);
		$pdf->Cell(22,$zh,$projekt->nummer(),'TB');
		$pdf->SetFont('arial','',7);
		$pdf->Cell(26,$zh,strcut($projekt->kname(),15),'TB');
		$sb = abfrage("select name from tb_kontakte_ap where ap_id='$projekt->sb'");
		$pdf->SetFont('arialb','',7);
		$pdf->Cell(20,$zh,"ASD: $sb[0]",'TB',0,'R');
		$pdf->SetFont('arial','i',7);
		$pdf->Cell(13,$zh,$projekt->beginn(),'TB',0,'R');
		$pdf->SetFont('arial','',7);
		$hp0 = abfrage("select hp_id, date_format(datum,'%d.%m.%Y'), 
						date_format(datum_n,'%d.%m.%Y') 
						from tb_hp where proj_id='$projekt->id'
						and datum <= '$date'
						and hp_art in ('h','h2')
						order by datum desc limit 1");
		$pdf->Cell(3,$zh,' HP:','TB',0,'C');
		$pdf->SetFont('arialb','',7);
		$pdf->Cell(15,$zh,empty($hp0[0]) ? 'fehlt' : $hp0[1],'TB');
		$pdf->SetFont('arial','',7);
		$hp1 = abfrage("select hp_id, date_format(datum,'%d.%m.%Y')
						from tb_hp where proj_id='$projekt->id'
						and datum > '$date'
						and hp_art in ('h','h2')
						order by datum asc limit 1");
		$pdf->SetFont('courier','',7);
		$pdf->Cell(2,$zh,'->','TB',0,'C');
		$pdf->SetFont('arialb','',7);
		if(empty($hp1[0])||$hp1[1]=='00.00.0000') {
			if(empty($hp0[2])||$hp0[2]=='00.00.0000') $next = 'fehlt';
			else {
				$pdf->SetFont('arial','i',7);
				$next = $hp0[2];
			}
		} else $next = $hp1[1];
		$pdf->Cell(16,$zh,$next,'TB');
		$pdf->SetFont('arial','',7);
		$refl = abfrage("SELECT date_format(and_datum, '%d.%m.%Y')
						 FROM tb_hp WHERE proj_id = '$projekt->id' AND hp_art = 'r' 
						 AND and_datum IS NOT NULL AND and_datum <= '$date'
						 ORDER BY and_datum DESC LIMIT 1;");
		if(empty($refl[0]) || $refl[0] == '00.00.0000') {
			$refl = abfrage("SELECT date_format(and_datum, '%d.%m.%Y')
							 FROM tb_hp WHERE proj_id = '$projekt->id' AND hp_art = 'r' 
							 AND and_datum IS NOT NULL AND and_datum > '$date'
							 ORDER BY and_datum ASC LIMIT 1;");
		}
		$pdf->Cell(3,$zh,'RF:','TB',0,'C');
		$pdf->SetFont('arialb','',7);
		$reflexion = (empty($refl[0]) || $refl[0] == '00.00.0000') ? 'fehlt' : $refl[0];
		$pdf->Cell(14,$zh,$reflexion,'TB');
		$pdf->SetFont('arial','',7);
		$pdf->Cell(11,$zh,"FLS $vormonat:",'TB');
		$pdf->SetFont('arialb','',7);
		$pdf->Cell(7,$zh,$projekt->fls_monat($abm),'TB');
		$pdf->SetFont('arial','',7);
		$pdf->Cell(7,$zh,"(".projekt_fls_soll_pers($projekt->id,$rvar_pers_id,$abm).")",'TB');
		$pdf->SetFont('arial','',7);
		$pdf->Cell(5,$zh,"IST:",'TB');
		$pdf->SetFont('arialb','',7);
		$pdf->Cell(7,$zh,$projekt->fls_gel_netto($abm),'TB');
		$pdf->SetFont('arial','',7);
		$pdf->Cell(8,$zh,"(".$projekt->fls_gel_netto_pers($rvar_pers_id,$abm).")",'TB');

		$sql = "select hp_id from tb_hp where proj_id = '$projekt->id' and hp_art = 'k' and datum <= '$date' and and_datum is NULL";
		$kwg = abfrage1($sql);
		if(mysql_num_rows($kwg) > 0) {
			$pdf->SetFont('arialb','',7);
			$pdf->SetTextColor(255,255,255);
			$pdf->Cell(10,$zh,'KWG','TB',0,'C',1);
			$pdf->SetTextColor(0);
		} else $pdf->Cell(3,$zh,'','TB');
		$pdf->Ln(5);
		$sql = "SELECT t1.minimalkonsens FROM tb_hp_eg t1
				INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
				WHERE t2.proj_id = '$projekt->id'";
		$hauptziel = abfrage($sql);
		$pdf->SetFont('stw','',9);
		$pdf->MultiCell(190,4,$hauptziel[0],0,'L');
		$pdf->Ln(0.5);
		$sql = "SELECT nummer, ziel, id FROM tb_hp_praxisziele
				WHERE hp_id IN (
					SELECT hp_id FROM tb_hp
					WHERE proj_id = '$projekt->id'
					AND datum <= '$date')
				AND LE='1' AND HE='1' AND ASD='1' ";
		if(empty($_SESSION[$AppCode]['pers_hp_passiv'])) $sql.= "AND (erledigt IS NULL OR erledigt = '0000-00-00') ";
		$sql.= "ORDER BY nummer ASC";
		$ziele = abfrage1($sql);
		while($ziel = mysql_fetch_row($ziele)) {
			$pdf->SetFont('arialb','',7);
			$pdf->MultiCell(190,3.5,"Ziel $ziel[0]: $ziel[1]",0,'L');
			$pdf->SetFont('arial','',7);
			$pdf->Ln(0.5);
			$schritte = abfrage1("select schritt from tb_hp_handlungsschritte where ziel_id = '$ziel[2]' order by nummer asc");
			$handlungsschritte = '';
			while($schritt = mysql_fetch_row($schritte)) {
				$handlungsschritte .= $handlungsschritte=='' ? '- ' : '; ';
				$handlungsschritte .= $schritt[0];
			}
			if($handlungsschritte != '') {
				$pdf->MultiCell(190,3.5,$handlungsschritte,0,'L');
				$pdf->Ln(0.5);
			}
		}
	}
}
$pdf->Output();
exit;
?>