<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$traeger = $_SESSION[$AppCode]['TR'];
$pdf_datei = "mandant/$traeger/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');


$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(auto, 25);
$pdf->AliasNbPages();

$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

$pers = abfrage_assoc("select *, DATE_FORMAT(geboren,'%d %m %y') AS geb from tb_personal where pers_id='$rvar_pers_id'");

$pdf->AddPage();
$pdf->SetY(25);
if ($_SESSION[$AppCode]['UID'] == $rvar_pers_id ||  $_SESSION[$AppCode]['ULV'] > 69 ) {
  if($traeger == 'nwg') {
	$zh = 4;
	$pdf->SetFont('stw', '', 18);
	$pdf->Ln(6);
	$pdf->Cell(180, $zh, "Mitarbeiterverwaltung",0,1,'C');
	$pdf->Ln(6);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(3.5,3.5, '',1);
	$pdf->Cell(2.5,$zh, '');
	$pdf->Cell(55,$zh,"Anmeldung");
	$pdf->Cell(28,$zh,"Arbeitsbeginn:");
	$pdf->SetFont('Arial', '', 10);
	$date = empty($pers['anstellung']) || $pers['anstellung']=='0000-00-00' ? '' : date_my2gr($pers['anstellung']);
	$pdf->Cell(40, $zh, $date,0,1);
	$pdf->Ln($zh);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(3.5,3.5, '',1);
	$pdf->Cell(2.5,$zh, '');
	$pdf->Cell(55,$zh,"nderung/Ergnzung");
	$pdf->Cell(60,$zh,"wegen:");
	$pdf->Cell(50,$zh,"nderung ab:",0,1);
	$pdf->Cell(3.5,3.5, '',1);
	$pdf->Cell(2.5,$zh, '');
	$pdf->Cell(55,$zh,"Abmeldung");
	$pdf->Cell(60,$zh,"Grund:");
	$pdf->Cell(22,$zh,"letzter Tag:");
	$pdf->SetFont('Arial', '', 10);
	$date = empty($pers['austritt']) || $pers['austritt']=='0000-00-00' ? '' : date_my2gr($pers['austritt']);
	$pdf->Cell(40, $zh, $date,0,1);
	$pdf->Ln(8);
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(31,$zh,"Familienname:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(30,$zh,$pers['name']);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(21,$zh,"Vorname(n):");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(39,$zh,$pers['vorname']);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,$zh,"Titel:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(35,$zh,$pers['titel'],0,1);
	$pdf->Ln($zh);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(14,$zh,"SVNr.:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(47,$zh,$pers['svnr'].' '.$pers['geb']);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(27,$zh,"Krankenkasse:");
	if(!empty($pers['krankenkasse']) && $pers['krankenkasse'] != '--- bitte w&auml;hlen ---') {
		$res = abfrage("SELECT name FROM tb_krankenkasse where kurzname = '{$pers['krankenkasse']}'");
		$kasse = empty($res[0]) ? $pers['krankenkasse'] : $res[0];
	}
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(38,$zh,$kasse,0,1);
	$pdf->Ln($zh);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(28,$zh,"Familienstand:");
	$pdf->SetFont('Arial', '', 10);
	if($pers['verh'] == 'j') $verh = 'verheiratet';
	elseif($pers['verh'] == 'w') $verh = 'verwitwet';
	elseif($pers['verh'] == 's') $verh = 'geschieden';
	elseif($pers['verh'] == 'p') $verh = 'eingetr. Partnersch.';
	elseif(seiteKonfSichtbar('pers_and_verh2')) $verh = 'ledig';
	else $verh = 'unverheiratet';
	$pdf->Cell(33, $zh, $verh);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(25,$zh,"Religionsbek.:");
	$pdf->SetFont('Arial', '', 10);
	if($pers['kirche'] == 'e') $kirche = 'evangelisch';
	elseif($pers['kirche'] == 'k') $kirche = 'katholisch';
	elseif($pers['kirche'] == 'a') $kirche = $pers['religion'];
	else $kirche = 'keine';
	$pdf->Cell(35, $zh, $kirche);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(36,$zh,"Staatsbrgerschaft:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(20,$zh,$pers['staat'],0,1);
	$pdf->Ln(2);
	$pdf->SetFont('Arial', 'U', 10);
	$pdf->Cell(15,$zh,"nicht :");
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(35,$zh,"Identittsnachweis:");
	$pdf->SetFont('Arial', '', 10);
	$ident = $pers['ident'];
	if(!empty($pers['identdatum']) && $pers['identdatum'] != '0000-00-00') $ident .= ', '.date_my2gr($pers['identdatum']);
	if(!empty($pers['identort'])) $ident .= ' '.$pers['identort'];
	$pdf->Cell(71,$zh,$ident);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(36,$zh,"Arbeitsrechtl. Status:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(40,$zh,$pers['arbeitsrechtl']);
	$pdf->Ln(8);
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(20,$zh,"Adresse");
	$pdf->SetFont('Arial', 'B', 10);
	list($str, $nr, $zusatz) = sscanf($pers['strasse'], "%s %d %s");
	$pdf->Cell(20,$zh,"Strae:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(45,$zh,$str);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(20,$zh,"Nr:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(40,$zh,$nr.$zusatz,0,1);
	$pdf->Ln(2);
	$pdf->Cell(20,$zh,"");
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(20,$zh,"PLZ:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(45,$zh,$pers['plz']);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(20,$zh,"Ort:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(40,$zh,$pers['ort'],0,1);
	$pdf->Ln(2);
	$zweizeilig = false;
	if(!empty($pers['teldienst']) && !empty($pers['telmobil'])) $zweizeilig = true;
	elseif(!empty($pers['telprivat']) && !empty($pers['telmobilprivat'])) $zweizeilig = true;
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(20,$zh,"Telefon");
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(20,$zh,"dienstl.:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$tel = $pers['teldienst'];
	if(empty($tel)) $tel = $pers['telmobil'];
	$pdf->Cell(45,$zh,$tel);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(20,$zh,"privat:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$tel = $pers['telprivat'];
	if(empty($tel)) $tel = $pers['telmobilprivat'];
	$pdf->Cell(40,$zh,$tel,0,1);
	if($zweizeilig) {
		$pdf->Cell(40,$zh,"");
		$pdf->Cell(65,$zh,empty($pers['teldienst']) ? '' : $pers['telmobil']);
		$pdf->Cell(65,$zh,empty($pers['telprivat']) ? '' : $pers['telmobilprivat'],0,1);
	} else $pdf->Ln(2);
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(25,$zh,"Abschluss");
	$pdf->SetFont('Arial', '', 10);
	$pdf->MultiCell(155, 5, $pers['abschluss'], 0, 'L');
	$pdf->Ln(2);
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(25,$zh,"Ttigkeit");
	$pdf->SetFont('Arial', '', 10);
	$part = abfrage("select beschreibung from tb_personalart where p_art_id='{$pers['p_art_id']}'");
	$trans = array("&auml;" => "", "&ouml;" => "", "&uuml;" => "", "&szlig;" => "");
	$part = strtr($part[0], $trans);
	$pdf->Cell(60,$zh,$part);
	$pdf->Cell(3.5,3.5, $pers['besch_id']==1 ? 'X' : '',1,0,'C');
	$pdf->Cell(1.5,$zh, '');
	$pdf->Cell(30,$zh,"Angestellte(r)");
	$pdf->Cell(3.5,3.5, $pers['besch_id']==2 ? 'X' : '',1,0,'C');
	$pdf->Cell(1.5,$zh, '');
	$pdf->Cell(30,$zh,"Freier Dienstvertag",0,1);
	$pdf->Cell(85,$zh,'');
	$pdf->Cell(3.5,3.5, $pers['besch_id']==4 ? 'X' : '',1,0,'C');
	$pdf->Cell(1.5,$zh, '');
	$pdf->Cell(30,$zh,"Geringfgig ");
	$pdf->Cell(3.5,3.5, $pers['besch_id']==3 ? 'X' : '',1,0,'C');
	$pdf->Cell(1.5,$zh, '');
	$pdf->Cell(30,$zh,"Ehrenamtlicher Mitabeiter",0,1);
	$pdf->Ln(2);
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(25,$zh,"Funktion");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(100, $zh, $pers['funktion'],0,1);
	$pdf->Ln(2);
	$pdf->Cell(26,$zh,"");
	$pdf->Cell(3.5,3.5, empty($pers['befristet']) || $pers['befristet']=='0000-00-00' ? 'X' : '',1,0,'C');
	$pdf->Cell(1.5,$zh, '');
	$pdf->Cell(30,$zh,"unbefristet");
	$pdf->Cell(3.5,3.5, !empty($pers['befristet']) && $pers['befristet']!='0000-00-00' ? 'X' : '',1,0,'C');
	$pdf->Cell(1.5,$zh, '');
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(23,$zh,"befristet bis:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(60, $zh, date_my2gr($pers['befristet']),0,1);
	$pdf->Ln(2);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(25,$zh,"Dienstort:");
	$pdf->SetFont('Arial', '', 10);
	$res = $pers['dienstort']>0 ? abfrage("select name from tb_dienstort where id = '{$pers['dienstort']}'") : array('');
	$pdf->Cell(57, $zh, $res[0]);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(25,$zh,"Kostentstelle:");
	$pdf->SetFont('Arial', '', 10);
	$kst = abfrage("select pa.name from tbh_pers_abt hpa
					left join tb_personal_abt pa using (abt_id)
					where hpa.pers_id='$rvar_pers_id' order by pa.abt_id asc limit 1");
	$pdf->Cell(40, $zh, $kst[0]);
	$pdf->Ln(2);
	if(isset($rvar_pers_id) && $pers['gs'] > 10000) {
		$gs = 1;
		if($pers['gs'] < 100000) {
			$monat = substr($pers['gs'],0,1);
			$jahr = substr($pers['gs'],1);
		} else {
			$monat = substr($pers['gs'],0,2);
			$jahr = substr($pers['gs'],2);
		}
	} else {
		$gs = '';
		$jahr = '';
	}
	$pdf->Ln($zh);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(25,$zh,"Wochenstd:");
	$pdf->SetFont('Arial', '', 10);
	$paz = abfrage("select paz_id, anst from tb_paz where pers_id = '$rvar_pers_id'
					and von < curdate() order by von desc;");
	$soll = ($paz) ? fls_woche($paz[0]) : '';
	$pdf->Cell(20, $zh, fls_form($soll, 0));
	$pdf->Cell(17, $zh, round($paz[1],0),0,0,'R');
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(20,$zh,"Prozent");
	$pdf->Cell(20,$zh,"Dienstjahr:");
	$pdf->SetFont('Arial', '', 10);
	if(empty($jahr)) $dienstjahr = '';
	else {
		$dienstjahr = date('Y') - $jahr + 2;
		if(date('m')>=$monat) $dienstjahr++;
	}
	$pdf->Cell(15,$zh,"$dienstjahr.");
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(40,$zh,"Vorrckungsstichtag:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(20,$zh,empty($jahr) ? '' : ("01.".($monat<10 ? '0' : '').$monat.".".($jahr-2)),0,1);

	$grundverg = pers_grundverguetung($rvar_pers_id);
	$pdf->Ln($zh);
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(40,$zh,"Gehalt bei Vollzeit:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(22,$zh,geld_form_pdf($grundverg));
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(13,$zh,"VWGr:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(7,$zh,$pers['vg']);

	if(isset($rvar_pers_id) && $pers['gs'] > 10000) {
		while($jahr < date('Y')) {
			$jahr += 2;
			$gs++;
		}
		if($jahr == date('Y') && date('m')>=$monat){
			$jahr += 2;
			$gs++;
		}
	}
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(25,$zh,"Gehalts-Stufe:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(10,$zh,$gs);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(40,$zh,"nchste Vorrckung:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(20,$zh,empty($jahr) ? '' : ("01.".($monat<10 ? '0' : '').$monat.".".$jahr),0,1);
	$pdf->Ln($zh);
	$pdf->Cell(31,$zh,"");
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(40,$zh,"Grundgehalt:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(10,$zh,"mtl.");
	$pdf->Cell(20,$zh,geld_form_pdf($grundverg * (empty($paz[1]) ? 100 : $paz[1]) / 100),0,1,'R');
	$pdf->Ln(2);
	$pdf->Cell(26,$zh,"");
	$pdf->Cell(3.5,3.5, $pers['zulage1']>0 ? 'X' : '',1,0,'C');
	$pdf->Cell(1.5,$zh, '');
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(40,$zh,"Zulage 1");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(10,$zh,"mtl.");
	$pdf->Cell(20,$zh,geld_form_pdf($pers['zulage1']),0,0,'R');
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(23,$zh,"Erluterung:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(40, $zh, $pers['zulage_erl1'],0,1);
	$pdf->Ln(2);
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(26,$zh,"");
	$pdf->Cell(3.5,3.5, $pers['zulage2']>0 ? 'X' : '',1,0,'C');
	$pdf->Cell(1.5,$zh, '');
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(40,$zh,"Zulage 2");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(10,$zh,"mtl.");
	$pdf->Cell(20,$zh,geld_form_pdf($pers['zulage2']),0,0,'R');
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(23,$zh,"Erluterung:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(40, $zh, $pers['zulage_erl2'],0,1);
	$pdf->Ln(2);
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(26,$zh,"");
	$pdf->Cell(3.5,3.5, $pers['zulage3']>0 ? 'X' : '',1,0,'C');
	$pdf->Cell(1.5,$zh, '');
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(40,$zh,"Zulage 3");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(10,$zh,"mtl.");
	$pdf->Cell(20,$zh,geld_form_pdf($pers['zulage3']),0,0,'R');
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(23,$zh,"Erluterung:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(40, $zh, $pers['zulage_erl3'],0,1);
	$pdf->Ln($zh);
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(45,$zh,"Bankverbindung:");
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(13,$zh,"Bank:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(90,$zh,$pers['bank']);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,$zh,"BLZ:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(15,$zh,$pers['blz'],0,1);
	$pdf->Ln(2);
	$pdf->Cell(45,$zh,"");
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(13,$zh,"Kto.-Nr. od IBAN:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$kto = $pers['konto'];
	if(empty($kto)) $kto = $pers['iban'];
	elseif(!empty($pers['iban'])) $kto .= '  /  '.$pers['iban'];
	$pdf->Cell(90,$zh,$kto);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(10,$zh,"BIC:",0,0,'R');
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(15,$zh,$pers['bic'],0,1);
	$pdf->Ln($zh);
	$pdf->SetFont('stw', '', 12);
	$pdf->Cell(32,$zh,"Anmerkungen:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->MultiCell(155, 5, $pers['notizen'], 0, 'L');

	$pdf->SetXY(15,260);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(13,$zh,"Datum:");
	$pdf->SetFont('Arial', '', 10);
	$date = date("d.m.Y");
	$pdf->Cell(30,$zh,$date);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(25,$zh,"Unterschrift:");
	$pdf->SetFont('Arial', '', 10);
	$pdf->Cell(50,$zh,"",'B');
	$pdf->Cell(15,$zh,"oder",0,0,'C');
	$pdf->Cell(3.5,3.5, '',1);
	$pdf->Cell(1,$zh, '');
	$pdf->Cell(10,$zh,"per E-Mail");


  } else {
	$zh = 6;
	$pdf->SetFont('stw', '', 14);
	$newLine = false;
	$txt = 'Personaldatenblatt: ';
	if($pers['geschlecht'] == 'w') $txt .= 'Frau ';
	if($pers['geschlecht'] == 'm') $txt .= 'Herr ';
	if(seiteKonfSichtbar('pers_and_titel')) $txt .= $pers['titel'].' ';
	$txt .= $pers['vorname'] . ' ' . $pers['name'];
	$pdf->Cell(180, $zh, $txt);

	$pdf->Ln($zh);
	$pdf->Cell(180, 1, '','B',1);
	$pdf->Ln(1);

	$pdf->SetFont('Arial', 'B', 11);
	$pdf->Cell(40, $zh, 'Beschftigung:',0,0,'R');
	$res = $pers['besch_id']>0 ? abfrage("select beschaeftigung from tb_beschaeftigung where besch_id = '{$pers['besch_id']}'") : array('');
	$pdf->SetFont('Arial', '', 11);
	$pdf->Cell(40, $zh, $res[0],0,1);

	$pdf->SetFont('Arial', 'B', 11);
	$pdf->Cell(40, $zh, 'Status:',0,0,'R');
	$res = $pers['status_id']>0 ? abfrage("select status from tb_status where status_id = '{$pers['status_id']}'") : array('');
	$pdf->SetFont('Arial', '', 11);
	$pdf->Cell(40, $zh, $res[0]);

	if(seiteKonfSichtbar('pers_and_arbeitsrechtl')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Arbeitsrechtl. Status:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['arbeitsrechtl']);
	}

	$pdf->Ln($zh);

	if(seiteKonfSichtbar('pers_and_abschluss')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, 5, 'Abschluss:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->MultiCell(140, 5, $pers['abschluss'], 0, 'L');
	}

	if(seiteKonfSichtbar('pers_and_funktion')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Funktion:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['funktion']);
		$newLine = true; 
	}

	if(seiteKonfSichtbar('pers_and_dienstort')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Dienstort:',0,0,'R');
		$res = $pers['dienstort']>0 ? abfrage("select name from tb_dienstort where id = '{$pers['dienstort']}'") : array('');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $res[0]);
		$newLine = true; 
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}
	
	if(seiteKonfSichtbar('pers_and_kostenstelle')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Kostentrger:',0,0,'R');
		$res = $pers['kostenstelle']>0 ? abfrage("select name from tb_kostenstellen where id = '{$pers['kostenstelle']}'") : array('');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $res[0]);
		$pdf->Ln($zh); 
	}

	if(seiteKonfSichtbar('pers_and_dienstausweis')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Dienstausweis:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, (empty($pers['ausweis']) || $pers['ausweis']=='0000-00-00') ? '' : ('gltig bis '.date_my2gr($pers['ausweis'])));
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_email_dienst')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'E-Mail:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['emaildienst']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_fax')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Fax:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['fax']);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_tel_dienst')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'dienstl. Telefon:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['teldienst']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_tel_mobil')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Mobil:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['telmobil']);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_notizen')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, 5, 'Notizen:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->MultiCell(140, 5, $pers['notizen'], 0, 'L');
	}

	$pdf->Cell(180, 1, '','B',1);
	$pdf->Ln(1);

	if(seiteKonfSichtbar('pers_and_strasse')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Strae:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['strasse']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_ort')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Ort:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$ort = (seiteKonfSichtbar('pers_and_plz')) ? ($pers['plz'].' ') : '';
		$ort .= $pers['ort'];
		$pdf->Cell(40, $zh, $ort);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_email_privat')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'E-Mail privat:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(80, $zh, $pers['emailprivat']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_email_benachr')) {
		$pdf->SetFont('Arial', 'I', 11);
		$eb = $pers['benachr'] == 'n' ? 'keine ' : '';
		$eb .= 'E-Mail-Benachrichtigung';
		$pdf->Cell(40, $zh, $eb);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_tel_privat')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Telefon Privat:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['telprivat']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_tel_mobil_privat')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Mobil:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['telmobilprivat']);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_geboren')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Geburtstag:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$geb = (empty($pers['geboren']) || $pers['geboren']=='0000-00-00') ? '' : date_my2gr($pers['geboren']);
		$pdf->Cell(40, $zh, $geb);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_verheiratet')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, '',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		if($pers['verh'] == 'j') $verh = 'verheiratet';
		elseif($pers['verh'] == 'w') $verh = 'verwitwet';
		elseif($pers['verh'] == 's') $verh = 'geschieden';
		elseif($pers['verh'] == 'p') $verh = 'eingetragene Partnerschaft';
		elseif(seiteKonfSichtbar('pers_and_verh2')) $verh = 'ledig';
		else $verh = 'unverheiratet';
		$pdf->Cell(40, $zh, $verh);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_ident')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Identittsnachweis:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['ident']);
		$pdf->Cell(40, $zh, date_my2gr($pers['identdatum']),0,0,'R');
		$pdf->Cell(40, $zh, $pers['identort']);
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_svnr')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'SVNr:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['svnr']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_staat')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Staatsangehrigkeit:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['staat']);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_krankenkasse')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Krankenkasse:',0,0,'R');
		if(!empty($pers['krankenkasse']) && $pers['krankenkasse'] != '--- bitte w&auml;hlen ---') {
			$res = abfrage("SELECT name FROM tb_krankenkasse where kurzname = '{$pers['krankenkasse']}'");
			$kasse = empty($res[0]) ? $pers['krankenkasse'] : $res[0];
		}
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $kasse);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_behindert')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'schwerbehindert:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['behinderung']=='n' ? 'Nein' : ('Ja, '.$pers['beh_grad'].'%'));
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_lohnsteuerklasse')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Lohnsteuer-Klasse:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['steuerkl']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_steuerfreibetrag')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Steuerfreibetrag:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, geld_form_pdf($pers['freibetrag'])." / Monat");
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_rvnr')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Rentenvers.-Nr:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['vers_nr']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_verwendungsgruppe')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Verwendungsgruppe:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['vg']);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_gehaltsstufe')) {
		if($pers['gs'] > 10000) {
			$gs = 1;
			if($pers['gs'] < 100000) {
				$monat = substr($pers['gs'],0,1);
				$jahr = substr($pers['gs'],1);
			} else {
				$monat = substr($pers['gs'],0,2);
				$jahr = substr($pers['gs'],2);
			}
			while($jahr < date('Y')) {
				$jahr += 2;
				$gs++;
			}
			if($jahr == date('Y') && date('m')>=$monat){
				$jahr += 2;
				$gs++;
			}
		}
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Gehaltsstufe:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $gs);
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Vorrckungsstichtag:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		if($pers['gs'] > 10000) $pdf->Cell(40, $zh, "01.".($monat<10 ? '0' : '')."$monat.$jahr");
		$pdf->Ln($zh);
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_bags')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'BAGS-Tabelle:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		if($pers['bags']>0) {
			$res = abfrage("select name from tb_bags_namen where bags='{$pers['bags']}'");
			$bags = $res[0];
		} else $bags = '';
		$pdf->Cell(40, $zh, $bags);
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_zulage1')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Zulage 1:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['zulage1']>0 ? geld_form_pdf($pers['zulage1']) : '');
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Erluterung Zulage 1:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['zulage_erl1']);
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_zulage2')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Zulage 2:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['zulage2']>0 ? geld_form_pdf($pers['zulage2']) : '');
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Erluterung Zulage 2:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['zulage_erl2']);
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_zulage3')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Zulage 3:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['zulage3']>0 ? geld_form_pdf($pers['zulage3']) : '');
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Erluterung Zulage 3:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['zulage_erl3']);
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_kirche')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Religionszugehrigkeit:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		if($pers['kirche'] == 'e') $kirche = 'evangelisch';
		elseif($pers['kirche'] == 'k') $kirche = 'katholisch';
		elseif($pers['kirche'] == 'a') $kirche = $pers['religion'];
		else $kirche = 'keine';
		$pdf->Cell(40, $zh, $kirche);
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_bank')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Bank:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['bank']);
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_kto')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Kontonummer:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['konto']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_blz')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Bankleitzahl:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['blz']);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_iban')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'IBAN:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['iban']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_bic')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'BIC:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['bic']);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_pk')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Pensionskasse:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['pk']=='j' ? 'Ja' : 'Nein');
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_vml')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Vermgenswirksame Leistungen:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['vml']=='j' ? 'Ja' : 'Nein');
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_azk')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Arbeitszeitkonto:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['azk']=='j' ? 'Ja' : 'Nein');
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_azk_anfangswert')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'AZK Anfangswert:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, number_format($pers['azk_start'], 2, ',', ''));
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_eintritt')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Eintrittsdatum:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$date = empty($pers['eintritt']) || $pers['eintritt']=='0000-00-00' ? '' : date_my2gr($pers['eintritt']);
		$pdf->Cell(40, $zh, $date);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_anstellung')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Anstellungsdatum:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$date = empty($pers['anstellung']) || $pers['anstellung']=='0000-00-00' ? '' : date_my2gr($pers['anstellung']);
		$pdf->Cell(40, $zh, $date);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_befristet')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Befristet bis:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$date = empty($pers['befristet']) || $pers['befristet']=='0000-00-00' ? 'unbefristet' : date_my2gr($pers['befristet']);
		$pdf->Cell(40, $zh, $date);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_austritt')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Austrittsdatum:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$date = empty($pers['austritt']) || $pers['austritt']=='0000-00-00' ? '' : date_my2gr($pers['austritt']);
		$pdf->Cell(40, $zh, $date);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_level')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Sicherheitslevel:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['level']);
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_farbe')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'persnliche Farbe:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['farbe']);
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_traeger')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Trger:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$res = abfrage1("SELECT pt.traeger_art_id, ta.traeger_art, pt.rolle
						FROM tbh_pers_traegerart pt
						LEFT JOIN tb_traeger_art ta USING(traeger_art_id)
						WHERE pt.pers_id = '$rvar_pers_id';");
		$firstLine = true;
		while($row = mysql_fetch_row($res)){
			if($firstLine) $firstLine=false;
			else $pdf->Cell(40, $zh, '');
			$tr = $row[1];
			if($pers['standard_traeger_art_id'] == $row[0]) $tr .= " (Standard)";
			if(strlen($row[2]) > 0) $tr .= ": $row[2]";
			$pdf->Cell(40, $zh, $tr);
			$pdf->Ln($zh);
		}
	}

	if(seiteKonfSichtbar('pers_and_betreuer')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Betreuer:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['betreuer']=='j' ? 'Ja' : 'Nein');
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_bereitschaft')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Bereitschaft:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['bereitschaft']=='j' ? 'Ja' : ($pers['bereitschaft']=='h' ? 'Hintergrund' : 'Nein'));
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_login')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Login:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['anmeldung']=='j' ? 'Ja' : 'Nein');
		$newLine = true;
	}

	if(seiteKonfSichtbar('pers_and_anerk_privat_pkw')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'anerkannter Privat-PKW:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, $pers['priv_pkw']=='j' ? 'Ja' : 'Nein');
		$newLine = true;
	}

	if($newLine) {
		$newLine = false;
		$pdf->Ln($zh);
	}

	if(seiteKonfSichtbar('pers_and_fokus')) {
		$pdf->SetFont('Arial', 'B', 11);
		$pdf->Cell(40, $zh, 'Fokus:',0,0,'R');
		$pdf->SetFont('Arial', '', 11);
		$pdf->Cell(40, $zh, pers_name($pers['fokus']));
	}
  }
} else {
	$pdf->Cell(180, $zh, 'Ihnen fehlt die Berechtigung diese Seite einzusehen!');
}

$pdf->Output();
exit;
?>
