<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_pr_azk_jahr.php 2905 2018-11-08 10:00:59Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 20);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");
require_once($pfad."inc/func.inc.php");
require_once($pfad."inc/azk_charts.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 
setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

//Beginn der PDF-Datei :-)
$pdf=new PDF('L','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(22.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetLineWidth('0.1');

if($rvar_ma == 'all') {
	$mas = abfrage1("select z.pers_id from tb_ab_zk z
					left join tb_personal p using (pers_id)
					where p.azk = 'j'
					and (p.anstellung IS NULL or p.anstellung < '$rvar_nw_jahr-12-31')
					and (p.austritt IS NULL or p.austritt = '0000-00-00' or p.austritt > '$rvar_nw_jahr-01-01')
					and (p.austritt IS NOT NULL and p.austritt != '0000-00-00' or p.status_id = 2)
					group by z.pers_id order by p.name asc, p.vorname asc;");
} else {
	$mas = abfrage1("select pers_id from tb_personal where pers_id='$rvar_ma'");
}
$color_ver = '#FF8000';
$color_ltg = '#FF00FF';
$color_tt  = '#6363C6';
$fehlzeiten=array();
$hilfearten=array();
$jugendaemter=array();
$HAs = array();
$JAs = array();
$fzcolors=array();
$hacolors = array();
$jacolors = array();
$where = $_SESSION[$AppCode]['azk_jahr_team']=='all' ? 'where' : "where pers_id in (select pers_id from tbh_pers_abt where abt_id='{$_SESSION[$AppCode]['azk_jahr_team']}') and";

$fz_farben = abfrage1("select terminart, farbe from tb_terminart order by (terminart in ('f','wbf','kf')) desc, (terminart='w') desc, (terminart='k') desc, (terminart in ('ms','ez')) desc, terminart asc");
while($farbe = mysql_fetch_row($fz_farben)) {
	$fzcolors[ $farbe[0] ] = $farbe[1];
}
$ha_farben = abfrage1("select hilfeart_id, farbe, hilfeart from tb_hilfeart order by pra_id asc, hilfeart asc");
while($farbe = mysql_fetch_row($ha_farben)) {
	$hacolors[ $farbe[0] ] = $farbe[1];
	$HAs[ $farbe[0] ] = $farbe[2];
}
$ja_farben = abfrage1("select kont_id, farbe, kurzname from tb_kontakte where kont_art_id=1 and kh_id=0 order by ab='h' desc, ab='j' desc, name asc, kurzname asc;");
while($farbe = mysql_fetch_row($ja_farben)) {
	$jacolors[ $farbe[0] ] = $farbe[1];
	$JAs[ $farbe[0] ] = $farbe[2];
}

while($ma = mysql_fetch_row($mas)) {
	$zh = 3;
	$pdf->AddPage();
	$pdf->SetFont('stw','',14);
	$pdf->SetY(5);
	$pdf->Cell(280,6,"Mitarbeiter Jahresbersicht $rvar_nw_jahr " . pers_name($ma[0]),0,1,'C');
	$pdf->SetY(22);
	$s_ha = array();
	$s_ja = array();
	$s_paz = $s_ist = $s_soll = 0;
	$s_c11 = $s_c12 = $s_c21 = $s_c22 = $s_c23 = 0;
	$s_u = $s_wb = $s_k = $s_kk = $s_fza = 0;
	$mons = $ss_c = $ss_fz = $ss_fls = 0;
	$s_fehlz = array();
	for($m = 1; $m <= 12; $m++) {
		$s_spes = $s_fls = $s_kmd = $s_kmp = $s_fz = $s_c = 0;
		$f_u = $f_wb = $f_k = $f_kk = $f_fza = 0;
		$Y = $pdf->GetY() + 1.5;
		$pdf->SetFont('Arial','',4);
		$nw = abfrage("select nachw_id, unix_timestamp(datum) from tb_ab_nachw where datum='$rvar_nw_jahr-$m-01'");
		if($nw[0] > 0) {
			$mons++;
			$prs=abfrage_array("select fls_soll, fls_gel, auslast, azk_ueb, azk_std
								from tb_x_azk_pers where nachw_id = '$nw[0]' and pers_id = '$ma[0]';");
			$monat = strftime('%B',$nw[1]);
			$pdf->Cell(210,$zh,'','B',0);
			$pdf->SetX(10);
			$pdf->Cell(10,1.5,$monat);
			$pdf->SetX(10);
			$pdf->Cell($prs[0]>0 ? $prs[0] : 0.1,1.5,"Soll: ".fls_form($prs[0]),0,0,'R');
			$pdf->Cell(0.1,$zh-0.5,'','L');
			$PosX = $pdf->GetX();
			$PosY = $pdf->GetY()+$zh-0.5;
			$s_soll += $prs[0];
			$pdf->Cell(35,1.5,"Ist: ".fls_form($prs[1]),0,0);
			$s_ist += $prs[1];
			$pdf->SetX(200);
			$pdf->Cell(3,$zh,'u','R',0,'C');
			$pdf->Cell(3,$zh,'wb','R',0,'C');
			$pdf->Cell(3,$zh,'k','R',0,'C');
			$pdf->Cell(3,$zh,'kk','R',0,'C');
			$pdf->Cell(3,$zh,'fza');
			$pdf->SetX(255);
			$minus = $prs[1]-$prs[0] > 0 ? '+ ' : '';
			$pdf->Cell(30,$zh,$minus . fls_form($prs[1]-$prs[0]) . " = AZK-Stand: ".fls_form($prs['azk_std']),0,1,'R');

			$sql = "select p.proj_id, t.fls_netto, t.fz_brutto, t.fz_netto, t.doku, t.fls_brutto,
					t.fm, t.spesen, t.pkw_p, t.pkw_d, t.pkw_g, t.sum_c, t.vun, k.kont_id 
					from tb_x_azk_proj t
					left join tb_projekte p using(proj_id)
					left join tb_kontakte_ap a using(ap_id)
					left join tb_kontakte k using(kont_id)
					where t.nachw_id = '$nw[0]' and t.pers_id = '$ma[0]'
					group by p.proj_id 
					order by k.ab='h' desc, k.ab='j' desc, k.name asc, k.name2 asc;";
			$pros = abfrage1($sql);
			while($pro = mysql_fetch_array($pros)) {
				$s_spes += $pro['spesen'];
				$s_kmd += $pro['pkw_d'];
				$s_kmp += $pro['pkw_p'];
				$s_fz += $pro['fz_netto'];
				if($pro['fls_brutto'] >= 9) $pdf->SetFont('Arial','',3);
				else $pdf->SetFont('Arial','',2);
				if($pro['fls_brutto'] > 0) {
					$projekt = new stwProjekt($pro[0]);
					$initialen=abfrage("select concat(left(t2.vorname,1),left(t2.name,1))
										from tbh_proj_personen t1
										left join tb_personen t2 using(person_id)
										where t1.proj_id = '$pro[0]' and t1.perstyp_id=1;");
					$ja=abfrage("select t2.kurzname, t2.farbe, t2.ab, t1.kont_id from tb_kontakte_ap t1
								left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0'
								where t1.ap_id = '$projekt->sb';");
					$kont_id = intval($ja[3]);
					if($s_ja[ $kont_id ]) $s_ja[ $kont_id ] += $pro['fls_brutto'];
					else $s_ja[ $kont_id ] = $pro['fls_brutto'];
					$ha = intval($projekt->ha);
					if($s_ha[ $ha ]) $s_ha[ $ha ] += $pro['fls_brutto'];
					else $s_ha[ $ha ] = $pro['fls_brutto'];
					$hacolors[ $ha ] = $projekt->h_farbe;
					if($ja[2]=='j' || $ja[2]=='h') $s_fls += $pro['fls_brutto'];
					$x = $pdf->GetX();
					$y = $pdf->GetY();
					$co = transformColor($projekt->h_farbe);
					$pdf->SetFillColor($co[0],$co[1],$co[2]);
					$pdf->Cell($pro['fls_brutto'],2,$projekt->h_art,'LTR',2,'C',1);
					if($projekt->beginn_ts() > $nw[1]) $pdf->SetFillColor(0,255,255);
					else $pdf->SetFillColor(255,255,255);
					$pdf->Cell($pro['fls_brutto'],1.5,$pro['fls_brutto'] < 4 ? '' : $projekt->nr.' '.$initialen[0],'LR',2,'C',1);
					$co = transformColor($ja[1]);
					$pdf->SetFillColor($co[0],$co[1],$co[2]);
					$pdf->Cell($pro['fls_brutto'],2,$ja[0],'LR',2,'C',1);
					$pdf->Cell($pro['fls_brutto'],1.5,$pro['fls_brutto'] < 2 ? '' : fls_form($pro['fls_brutto']),'LBR',2,'C');
					$pdf->Cell($pro['fls_brutto'],2,$pro['fls_brutto'] < 2 ? '' : fls_form($pro['fm']),0,0,'C');
					$pdf->SetXY($x+$pro['fls_brutto'],$y);
					$s_c += $pro['sum_c'];
				}
			}
			if($prs[1] > 0) {
				$x = $pdf->GetX();
				$pdf->SetXY($x,$y-0.5);
				$pdf->Cell(0.1,6.5,'','L');
				$pdf->Line($x,$y-0.5,$PosX,$PosY);
				$pdf->SetXY($x,$y);
			}
			$folgemonat = $m==12 ? ($rvar_nw_jahr+1)."-01-01" : "$rvar_nw_jahr-".($m+1)."-01";
			$fzs = abfrage1("select if(unix_timestamp(t.von) < unix_timestamp('$rvar_nw_jahr-$m-01'), unix_timestamp('$rvar_nw_jahr-$m-01'), unix_timestamp(t.von)),
							if(unix_timestamp(t.bis) >= unix_timestamp('$folgemonat'), unix_timestamp('$folgemonat') - 86400, unix_timestamp(t.bis)), 
							a.terminart from tb_fehlz f left join tb_termine t on f.termin_id = t.termin_id 
							left join tb_terminart a on t.terminart = a.terminart
							where t.von < '$folgemonat' and t.bis >= '$rvar_nw_jahr-$m-01'
							and f.pers_id = '$ma[0]'
							order by (a.terminart in ('f','wbf','kf')) desc, (a.terminart='w') desc,
							(a.terminart='k') desc, (a.terminart in ('ms','ez')) desc, a.terminart asc");
			$ta = array();
			while($fz = mysql_fetch_row($fzs)) {
				$at = arbeitstage($fz[0],$fz[1]);
				$ta[ $fz[2] ] += $at;
				$s_fehlz[ $fz[2] ] += $at;
			}
			$paz = abfrage("select paz_id from tb_paz where pers_id = '$ma[0]' and von <= '$rvar_nw_jahr-$m-01' order by von desc limit 1");
			$fls_tag = fls_woche($paz[0]) / 5;
			if(empty($fls_tag)) $fls_tag=4;
			$s_paz += $fls_tag;
			$pdf->SetFont('Arial','',4);
			foreach($ta as $art => $cnt) {
				$co = transformColor($fzcolors[$art]);
				$pdf->SetFillColor($co[0],$co[1],$co[2]);
				$pdf->Cell($fls_tag*$cnt,7,$art,1,0,'C',1);
				switch($art) {
					case 'f':
					case 'wbf':
					case 'kf': $f_fza += $cnt; break;
					case 'kk':
					case 'kol':
					case 'wol': $f_kk += $cnt; break;
					case 'k': $f_k += $cnt; break;
					case 'w': $f_wb += $cnt; break;
					case 'wbu':
					case 'u': $f_u += $cnt; break;
				}
			}
			$pdf->SetX(200);
			$pdf->Cell(3,$zh,$f_u,'R',0,'C'); $s_u += $f_u;
			$pdf->Cell(3,$zh,$f_wb,'R',0,'C'); $s_wb += $f_wb;
			$pdf->Cell(3,$zh,$f_k,'R',0,'C'); $s_k += $f_k;
			$pdf->Cell(3,$zh,$f_kk,'R',0,'C'); $s_kk += $f_kk;
			$pdf->Cell(3,$zh,$f_fza,0,0,'C'); $s_fza += $f_fza;

			$pdf->SetXY(10,$Y);
			$pdf->SetFont('Arial','',2);
			$ss_fz += $s_fz;
			if($s_fz > 0) {
				$pdf->SetFillColor(0,0,255);
				$pdf->Cell($s_fz,0.5,'FZ',0,2,'C',1);
				$pdf->Cell($s_fz,1,fls_form($s_fz)." / ".($prs[1]!=0 ? proz_form(100/$prs[1] * $s_fz,0) : ''),0,0,'R');
				$X = $pdf->GetX();
				$pdf->SetXY($X,$Y);
			}
			$ss_c += $s_c;
			if($s_c > 0) {
				$pdf->SetFillColor(0,128,255);
				$pdf->Cell($s_c,0.5,'C',0,2,'C',1);
				$pdf->Cell($s_c,1,fls_form($s_c),0,0,'C');
				$X = $pdf->GetX();
				$pdf->SetXY($X,$Y);
			}
			$ss_fls += $s_fls;
			$fls = $s_fls - $s_c - $s_fz;
			if($fls > 0) {
				$pdf->SetFillColor(0,128,0);
				$pdf->Cell($fls,0.5,'FLS',0,2,'C',1);
				$pdf->Cell($fls,1,fls_form($s_fls),0,0,'C');
				$X = $pdf->GetX();
				$pdf->SetXY($X,$Y);
			}

			$pdf->Ln(1.5);

			mt_srand((double)microtime()*1000000);
			$zufall = md5(mt_rand());
			$c1 = round($s_fls, 0);
			$c11 = round($c1 * 0.14, 0); $s_c11 += $c11;
			$c12 = round($s_spes, 0); $s_c12 += $c12;
			$img2 = azk_chart2($zufall, $c11, $c12);
			$pdf->Image($img2, 223, $pdf->GetY(), 30);

			$c21 = round($c1 * 3.54, 0); $s_c21 += $c21;
			$pkw = abfrage("select priv_pkw from tb_personal where pers_id='$ma[0]';");
			if ($pkw[0] == 'j'){
				$priv_satz = getConf('anerk_priv_pkw') / 100.00;
			} else {
				$priv_satz = getConf('privat_pkw') / 100.00;
			}
			$c22 = round($s_kmp * $priv_satz, 0); $s_c22 += $c22;
			$c23 = round($s_kmd * (getConf('anerk_priv_pkw') / 100.00), 0); $s_c23 += $c23;

			$img3 = azk_chart3($zufall, $c21, $c22, $c23);
			$pdf->Image($img3, 255, $pdf->GetY(), 30);

			$pdf->Ln(9);
		}
	}
	if($mons) {
// GESAMTJAHR
		$zh = 3.5;
		$Y = $pdf->GetY() + 2;
		$pdf->SetFont('Arial','',4);
		$pdf->Cell(210,$zh,'','B',0);
		$pdf->SetX(10);
		$pdf->Cell(10,2,"Gesamtjahr $rvar_nw_jahr");
		$pdf->SetX(10);
		$pdf->Cell($s_soll/$mons,2,"Soll: ".fls_form($s_soll),0,0,'R');
		$pdf->Cell(0.1,$zh-0.5,'','L');
		$PosX = $pdf->GetX();
		$PosY = $pdf->GetY()+$zh-0.5;
		$pdf->Cell(35,2,"Ist: ".fls_form($s_ist),0,0);
		$pdf->SetX(200);
		$pdf->Cell(3,$zh,'u','R',0,'C');
		$pdf->Cell(3,$zh,'wb','R',0,'C');
		$pdf->Cell(3,$zh,'k','R',0,'C');
		$pdf->Cell(3,$zh,'kk','R',0,'C');
		$pdf->Cell(3,$zh,'fza');
		$pdf->SetXY(10,$Y);
		$pdf->SetFont('Arial','',2);
		if($ss_fz > 0) {
			$pdf->SetFillColor(0,0,255);
			$pdf->Cell($ss_fz/$mons,0.5,'FZ',0,2,'C',1);
			$pdf->Cell($ss_fz/$mons,1,fls_form($ss_fz)." / ".proz_form(100/$s_ist * $ss_fz,0),0,0,'R');
			$X = $pdf->GetX();
			$pdf->SetXY($X,$Y);
		}
		if($ss_c > 0) {
			$pdf->SetFillColor(0,128,255);
			$pdf->Cell($ss_c/$mons,0.5,'C',0,2,'C',1);
			$pdf->Cell($ss_c/$mons,1,fls_form($ss_c),0,0,'C');
			$X = $pdf->GetX();
			$pdf->SetXY($X,$Y);
		}
		$fls = ($ss_fls - $ss_c - $ss_fz) / $mons;
		if($fls > 0) {
			$pdf->SetFillColor(0,128,0);
			$pdf->Cell($fls,0.5,'FLS',0,2,'C',1);
			$pdf->Cell($fls,1,fls_form($ss_fls),0,0,'C');
			$X = $pdf->GetX();
			$pdf->SetXY($X,$Y);
		}
		$zufall = md5(mt_rand());
		$img2 = azk_chart2($zufall, $s_c11, $s_c12);
		$pdf->Image($img2, 223, $pdf->GetY(), 30);
		$img3 = azk_chart3($zufall, $s_c21, $s_c22, $s_c23);
		$pdf->Image($img3, 255, $pdf->GetY(), 30);
		$Y += 1.5;
		$pdf->Ln(1.5);
		arsort($s_ha);
		foreach($s_ha as $id => $cnt) {
			$co = transformColor($hacolors[ $id ]);
			$pdf->SetFillColor($co[0],$co[1],$co[2]);
			$pdf->Cell($cnt/$mons,1,$HAs[ $id ],0,2,'C',1);
			$pdf->Cell($cnt/$mons,1,proz_form(100/$s_ist * $cnt,0),'B',0,'C',1);
			$X = $pdf->GetX();
			$pdf->SetXY($X,$Y);
			$ha_jahr = abfrage("select fls_netto from tb_x_azk_ha_jahr where jahr='$rvar_nw_jahr' and pers_id='$ma[0]' and hilfeart_id='$id'");
			if(round($ha_jahr[0]) != round($cnt)) {
				abfrage2("replace into tb_x_azk_ha_jahr set jahr='$rvar_nw_jahr', pers_id='$ma[0]', hilfeart_id='$id', fls_netto='$cnt'");
			}
		}
		$pdf->SetXY($X,$Y-0.5);
		$pdf->Cell(0.1,4.5,'','L');
		$pdf->Line($X,$Y-0.5,$PosX,$PosY);
		$pdf->SetXY($X,$Y);
		foreach($s_fehlz as $art => $cnt) {
			$co = transformColor($fzcolors[$art]);
			$pdf->SetFillColor($co[0],$co[1],$co[2]);
			$pdf->Cell(($fls_tag*$cnt)/$mons,4.5,$art,1,0,'C',1);
			$fz_jahr = abfrage("select fehltage from tb_x_azk_fz_jahr where jahr='$rvar_nw_jahr' and pers_id='$ma[0]' and terminart='$art'");
			if($fz_jahr[0] != $cnt) {
				abfrage2("replace into tb_x_azk_fz_jahr set jahr='$rvar_nw_jahr', pers_id='$ma[0]', terminart='$art', fehltage='$cnt'");
			}
		}
		$pdf->SetX(200);
		$pdf->SetFont('Arial','',4);
		$pdf->Cell(3,2.5,$s_u,'R',0,'C');
		$pdf->Cell(3,2.5,$s_wb,'R',0,'C');
		$pdf->Cell(3,2.5,$s_k,'R',0,'C');
		$pdf->Cell(3,2.5,$s_kk,'R',0,'C');
		$pdf->Cell(3,2.5,$s_fza,0,1,'C');
		$pdf->SetFont('Arial','',2);
		$Y += 2.5;
		foreach($s_ja as $id => $cnt) {
			if($cnt) {
				$co = transformColor($jacolors[ $id ]);
				$pdf->SetFillColor($co[0],$co[1],$co[2]);
				$pdf->Cell($cnt/$mons,1,$JAs[ $id ],'T',2,'C',1);
				$pdf->Cell($cnt/$mons,1,proz_form(100/$s_ist * $cnt,0),'B',0,'C',1);
				$X = $pdf->GetX();
				$pdf->SetXY($X,$Y);
				$ja_jahr = abfrage("select fls_netto from tb_x_azk_ja_jahr where jahr='$rvar_nw_jahr' and pers_id='$ma[0]' and kont_id='$id'");
				if(round($ja_jahr[0]) != round($cnt)) {
					abfrage2("replace into tb_x_azk_ja_jahr set jahr='$rvar_nw_jahr', pers_id='$ma[0]', kont_id='$id', fls_netto='$cnt'");
				}
			}
		}

		$azk_jahr = abfrage_array("select * from tb_x_azk_jahr where jahr='$rvar_nw_jahr' and pers_id='$ma[0]'");
		if(round($ss_fls) != round($azk_jahr['fls_netto'])) {
		  abfrage2("replace into tb_x_azk_jahr set
					jahr='$rvar_nw_jahr',
					pers_id='$ma[0]',
					mons='$mons',
					paz='$s_paz',
					fls_soll='$s_soll',
					fls_gel='$s_ist',
					fls_netto='$ss_fls',
					fz='$ss_fz',
					sum_c='$ss_c',
					spesen='$s_spes',
					pkw_p='$s_c22',
					pkw_d='$s_c23';");
		}

		if($_SESSION[$AppCode]['azk_jahr_team']) {
			// JAHRESDURCHSCHNITT
			$pdf->Ln(3.5);
			$Y = $pdf->GetY() + 2;
			$pdf->SetFont('Arial','',4);
			$pdf->Cell(210,3.5,'','B',0);
			$pdf->SetX(10);
			$pdf->Cell(10,2,"Jahresdurchschnitt $rvar_nw_jahr");
			$pdf->SetX(10);
			$x_azk_jahr = abfrage1("select * from tb_x_azk_jahr $where jahr='$rvar_nw_jahr'");
			$ma_cnt = $fls_soll = $fls_gel = $fls_netto = $fz = $sum_c = $spesen = $pkw_p = $pkw_d = 0;
			while($x = mysql_fetch_array($x_azk_jahr)) {
				$tmppaz = $x['paz']>0 ? $s_paz/$x['paz'] : 0;
				$tmpmon = $x['mons']>0 ? $mons/$x['mons'] : 0;
				if($tmppaz * $tmpmon > 0) {
					$ma_cnt++;
					$fls_soll += $x['fls_soll'] * $tmppaz * $tmpmon;
					$fls_gel += $x['fls_gel'] * $tmppaz * $tmpmon;
					$fls_netto += $x['fls_netto'] * $tmppaz * $tmpmon;
					$fz += $x['fz'] * $tmppaz * $tmpmon;
					$sum_c += $x['sum_c'] * $tmppaz * $tmpmon;
					$spesen += $x['spesen'] * $tmppaz * $tmpmon;
					$pkw_p += $x['pkw_p'] * $tmppaz * $tmpmon;
					$pkw_d += $x['pkw_d'] * $tmppaz * $tmpmon;
					$ja_jahre = abfrage1("select kont_id, fls_netto from tb_x_azk_ja_jahr where jahr='$rvar_nw_jahr' and pers_id='{$x['pers_id']}'");
					while($ja_jahr = mysql_fetch_row($ja_jahre)) {
						$jugendaemter[ $ja_jahr[0] ] += $ja_jahr[1] * $tmppaz * $tmpmon;
					}
					$ha_jahre = abfrage1("select hilfeart_id, fls_netto from tb_x_azk_ha_jahr where jahr='$rvar_nw_jahr' and pers_id='{$x['pers_id']}'");
					while($ha_jahr = mysql_fetch_row($ha_jahre)) {
						$hilfearten[ $ha_jahr[0] ] += $ha_jahr[1] * $tmppaz * $tmpmon;
					}
					$fz_jahre = abfrage1("select terminart, fehltage from tb_x_azk_fz_jahr where jahr='$rvar_nw_jahr' and pers_id='{$x['pers_id']}'");
					while($fz_jahr = mysql_fetch_row($fz_jahre)) {
						$fehlzeiten[ $fz_jahr[0] ] += $fz_jahr[1] * $tmpmon;
					}
				}
			}

			if($ma_cnt > 0) {
				$_soll = $fls_soll / $ma_cnt;
				$_ist = $fls_gel / $ma_cnt;
				$_fz = $fz / $ma_cnt;
				$_fls = $fls_netto / $ma_cnt;
				$_czt = $sum_c / $ma_cnt;
				$_spesen = $spesen / $ma_cnt;
				$_kmp = $pkw_p / $ma_cnt;
				$_kmd = $pkw_d / $ma_cnt;

				$pdf->Cell($_soll/$mons,2,"Soll: ".fls_form($_soll),0,0,'R');
				$pdf->Cell(0.1,$zh-0.5,'','L');
				$PosX = $pdf->GetX();
				$PosY = $pdf->GetY()+$zh-0.5;
				$pdf->Cell(35,2,"Ist: ".fls_form($_ist),0,0);
				$pdf->SetX(200);
				$pdf->Cell(3,$zh,'u','R',0,'C');
				$pdf->Cell(3,$zh,'wb','R',0,'C');
				$pdf->Cell(3,$zh,'k','R',0,'C');
				$pdf->Cell(3,$zh,'kk','R',0,'C');
				$pdf->Cell(3,$zh,'fza');
				$pdf->SetXY(10,$Y);
				$pdf->SetFont('Arial','',2);
				if($_fz > 0) {
					$pdf->SetFillColor(0,0,255);
					$pdf->Cell($_fz/$mons,0.5,'FZ',0,2,'C',1);
					$pdf->Cell($_fz/$mons,1,fls_form($_fz)." / ".proz_form(100/$_ist * $_fz,0),0,0,'R');
					$X = $pdf->GetX();
					$pdf->SetXY($X,$Y);
				}
				if($_czt > 0) {
					$pdf->SetFillColor(0,128,255);
					$pdf->Cell($_czt/$mons,0.5,'C',0,2,'C',1);
					$pdf->Cell($_czt/$mons,1,fls_form($_czt),0,0,'C');
					$X = $pdf->GetX();
					$pdf->SetXY($X,$Y);
				}
				$fls = ($_fls - $_czt - $_fz) / $mons;
				if($fls > 0) {
					$pdf->SetFillColor(0,128,0);
					$pdf->Cell($fls,0.5,'FLS',0,2,'C',1);
					$pdf->Cell($fls,1,fls_form($_fls),0,0,'C');
					$X = $pdf->GetX();
					$pdf->SetXY($X,$Y);
				}

				$zufall = md5(mt_rand());
				$c1 = round($_fls, 0);
				$c11 = round($c1 * 0.14, 0);
				$c12 = round($_spesen, 0);
				$img2 = azk_chart2($zufall, $c11, $c12);
				$pdf->Image($img2, 223, $pdf->GetY(), 30);

				$c21 = round($c1 * 3.54, 0);
				$c22 = round($_kmp * 0.24, 0);
				$c23 = round($_kmd * 0.3, 0);

				$img3 = azk_chart3($zufall, $c21, $c22, $c23);
				$pdf->Image($img3, 255, $pdf->GetY(), 30);

				$Y += 1.5;
				$pdf->Ln(1.5);

				$ha_sum = array_sum($hilfearten);
				foreach($hacolors as $id => $color) {
					$cnt = $hilfearten[$id];
					if($cnt) {
						$co = transformColor($color);
						$pdf->SetFillColor($co[0],$co[1],$co[2]);
						$pdf->Cell($cnt/$mons/$ma_cnt,1,$HAs[ $id ],0,2,'C',1);
						$pdf->Cell($cnt/$mons/$ma_cnt,1,proz_form(100/$ha_sum * $cnt,0),'B',0,'C',1);
						$X = $pdf->GetX();
						$pdf->SetXY($X,$Y);
					}
				}
				$f_u = $f_wb = $f_k = $f_kk = $f_fza = 0;
				$Y = $pdf->GetY();
				$pdf->SetXY($X,$Y-0.5);
				$pdf->Cell(0.1,4.5,'','L');
				$pdf->Line($X,$Y-0.5,$PosX,$PosY);
				$pdf->SetXY($X,$Y);
				foreach($fehlzeiten as $art => $cnt) {
					if($cnt) {
						$co = transformColor($fzcolors[$art]);
						$pdf->SetFillColor($co[0],$co[1],$co[2]);
						$pdf->Cell($fls_tag*$cnt/$mons/$ma_cnt,1.5,'','LTR',2,'C',1);
						$pdf->Cell($fls_tag*$cnt/$mons/$ma_cnt,1,$art,'LR',2,'C',1);
						$pdf->Cell($fls_tag*$cnt/$mons/$ma_cnt,1,number_format($cnt/$ma_cnt,1,',','').' d','LR',2,'C',1);
						$pdf->Cell($fls_tag*$cnt/$mons/$ma_cnt,1,'','LBR',0,'C',1);
						$X = $pdf->GetX();
						$pdf->SetXY($X,$Y);
						switch($art) {
							case 'f':
							case 'wbf':
							case 'kf': $f_fza += $cnt/$ma_cnt; break;
							case 'kk':
							case 'kol':
							case 'wol': $f_kk += $cnt/$ma_cnt; break;
							case 'k': $f_k += $cnt/$ma_cnt; break;
							case 'w': $f_wb += $cnt/$ma_cnt; break;
							case 'wbu':
							case 'u': $f_u += $cnt/$ma_cnt; break;
						}
					}
				}
				$pdf->SetX(200);
				$pdf->SetFont('Arial','',4);
				$pdf->Cell(3,2.5,number_format($f_u,0),'R',0,'C');
				$pdf->Cell(3,2.5,number_format($f_wb,0),'R',0,'C');
				$pdf->Cell(3,2.5,number_format($f_k,0),'R',0,'C');
				$pdf->Cell(3,2.5,number_format($f_kk,0),'R',0,'C');
				$pdf->Cell(3,2.5,number_format($f_fza,0),0,1,'C');
				$pdf->SetFont('Arial','',2);
				$Y += 2.5;
				$ja_sum = array_sum($jugendaemter);
				foreach($jacolors as $id => $color) {
					$cnt = $jugendaemter[$id];
					if($cnt) {
						$co = transformColor($color);
						$pdf->SetFillColor($co[0],$co[1],$co[2]);
						$pdf->Cell($cnt/$mons/$ma_cnt,1,$JAs[ $id ],'T',2,'C',1);
						$pdf->Cell($cnt/$mons/$ma_cnt,1,$ja_sum ? proz_form(100/$ja_sum * $cnt,0) : '','B',0,'C',1);
						$X = $pdf->GetX();
						$pdf->SetXY($X,$Y);
					}
				}
			}
		}
	}
}
$pdf->Output();
?>