<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_pr_liste.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(15.0);

$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();

$sb = abfrage("select von, bis from tb_sachbericht where sb_id='$rvar_sb_id'");

$pdf->SetFont('stw','',14);
$pdf->Cell(180,$zh,"bersicht ber Personal im Zeitraum von ".date_my2gr($sb[0])." bis ".date_my2gr($sb[1]),0,1,'C');
$pdf->SetFont('Arial','',11);

$pers=abfrage1("select p.vorname, p.name, p.eintritt, p.austritt, p.besch_id, 
				IF(a.kurzname IS NULL, a.personalart, a.kurzname) as personalart, a.beschreibung
				from tb_personal p left join tb_personalart a using(p_art_id)
				where (p.eintritt <= '$sb[1]' or p.eintritt is null)
				and (p.austritt >= '$sb[0]' or p.austritt is null or p.austritt = '0000-00-00')
				order by IF(a.kurzname IS NULL, a.personalart, a.kurzname) asc, p.name asc");
$pdf->SetY(35);
$part = "-1";
$i = 0;
$h = 0;
$pdf->SetFillColor(255,255,255);
while ($per = mysql_fetch_array($pers)){
	if($part == $per['personalart']) $pdf->Cell(65,$zh,'','LR');
	else {
		if($part == "-1") {
			$pdf->SetFont('stw','',11);
			$pdf->Cell(65,$zh,'Personalart','LRT',0,'C');
			$pdf->Cell(65,$zh,'Name','LRT',0,'C');
			$pdf->Cell(25,$zh,'Eintritt','LRT',0,'C');
			$pdf->Cell(25,$zh,'Austritt','LRT',1,'C');
			$pdf->SetFont('Arial','',11);
		} else {
			$txt = "$i Mitarbeiter";
			if($h == 1) $txt .= ", davon eine Honorarkraft (grau hinterlegt)";
			elseif($h > 1) $txt .= ", davon $h Honorarkrfte (grau hinterlegt)";
			$pdf->Cell(180,$zh,$txt,'T',1);
			$pdf->Cell(180,3,'',0,1);
			$i = $h = 0;
			if($pdf->GetY() > 265) {
				$pdf->AddPage();
				$part = "";
			}
		}
		$part = $per['personalart'];
		$trans = array("&auml;" => "", "&ouml;" => "", "&uuml;" => "", "&szlig;" => "");
		$beschreibung = strtr($per['beschreibung'], $trans); 
		$pdf->Cell(65,$zh,(empty($per['beschreibung']) ? $per['personalart'] : $beschreibung),'LRT');
	}
	$i++;
	if($per['besch_id'] == 2) {
		$h++;
		$pdf->SetFillColor(225,225,225);
	}
	$pdf->Cell(65,$zh,$per['vorname']." ".$per['name'],'LRT',0,'L',1);
	$pdf->Cell(25,$zh,($per['eintritt']=='0000-00-00' ? '' : date_my2gr($per['eintritt'])),'LRT',0,'C',1);
	$pdf->Cell(25,$zh,($per['austritt']=='0000-00-00' ? '' : date_my2gr($per['austritt'])),'LRT',1,'C',1);
	if($per['besch_id'] == 2) $pdf->SetFillColor(255,255,255);
	if($pdf->GetY() > 265) {
		$pdf->Cell(180,$zh,'','T');
		$pdf->AddPage();
		$part = "";
	}
}
$txt = "$i Mitarbeiter";
if($h == 1) $txt .= ", davon eine Honorarkraft (grau hinterlegt)";
elseif($h > 1) $txt .= ", davon $h Honorarkrfte (grau hinterlegt)";
$pdf->Cell(180,$zh,$txt,'T',1);
$pdf->Output();
exit;
?>