<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_pr_tel.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(15.0);

$adr_typ = 'Projekt-Nr.';

$einseitig = $_SESSION[$AppCode]['TelPrintEinseitig'];
$abts = $_SESSION[$AppCode]['TelPrintAbteilungen'];
if(empty($abts)) {
	if(empty($_GET['abt'])) {
		$abteilungen = abfrage1("select abt_id from tb_personal_abt order by name asc");
		while($abt = mysql_fetch_row($abteilungen)) $abts[] = $abt[0];
	} else $abts[0] = $_GET['abt'];
}

if(empty($abts)) {
	$pdf->AddPage();
	$pdf->Cell(180,$zh,"Telefonliste nicht druckbar (keine Abteilungen definiert?!)",0,1,'C');
	$pdf->Output();
	exit;
}

if(empty($einseitig)) $pdf->AddPage();

$order = $_SESSION[$AppCode]['TelPrintOrder'] ? 'p.name' : 'p.vorname';

foreach($abts as $abt) {
	if($einseitig) $pdf->AddPage();
	elseif($pdf->GetY() > 240) $pdf->AddPage();

	$abteilung = abfrage("select name from tb_personal_abt where abt_id='$abt'");
	$pdf->SetFont('stw','',14);
	$pdf->Cell(180,10,"Telefonliste $abteilung[0]",0,1,'C');

	$pdf->SetFont('Arial','b',11);
	$pdf->Cell(34,$zh,'Vorname',0,0,'R');
	$pdf->Cell(35,$zh,'Name');
	$pdf->Cell(34,$zh,'Tel.mobil');
	$pdf->Cell(34,$zh,'Tel.dienstlich');
	$pdf->Cell(30,$zh,'Raum');
	$pdf->Cell(10,$zh,'Intern',0,1);
	$pdf->SetFont('Arial','',11);

	$mas = abfrage1("select p.vorname, p.name, p.telmobil, p.teldienst, 
					p.raumstw, p.telstw from tb_personal p
					left join tb_personal_abt_leit l using(pers_id)
					left join tbh_pers_abt a using(pers_id)
					where p.status_id = 2
					and (l.abt_id='$abt' or a.abt_id='$abt')
					group by pers_id order by $order asc");
	while($ma = mysql_fetch_array($mas)) {
		if(empty($ma['telmobil']) && empty($ma['teldienst'])) continue;
		$pdf->Cell(34,$zh,$ma['vorname'],'T',0,'R');
		$pdf->Cell(35,$zh,$ma['name'],'T');
		$pdf->Cell(34,$zh,$ma['telmobil'],'T');
		$pdf->Cell(34,$zh,$ma['teldienst'],'T');
		$pdf->Cell(30,$zh,$ma['raumstw'],'T');
		$pdf->Cell(12,$zh,$ma['telstw'],'T',1,'C');
	}
}
$pdf->Output();
exit;
?>