<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_and.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 59;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");

set_session_url();
$pers_order = getPersOrder($seite);

/* verantwortlichen Mitarbeiter aendern */
if (isset($_REQUEST['verantw']) && check_nutzer_rechte(129)){
	$sql  = "update tbh_pers_res set ver = '0' ";
	$sql .= "where res_id = '{$_REQUEST['res_id']}';";
	abfrage2($sql);

	if(is_array($_REQUEST['ver'])) foreach($_REQUEST['ver'] as $ma) {
		$sql  = "update tbh_pers_res set ver = '1' ";
		$sql .= "where res_id = '{$_REQUEST['res_id']}' ";
		$sql .= "and pers_id = '$ma';";
		abfrage2($sql);
	}
}

/* Mitarbeiter hinzufuegen */
if ($_REQUEST['add_ma'] > 0 && check_nutzer_rechte(129)){
	$sql  = "insert into tbh_pers_res set res_id = '{$_REQUEST['res_id']}', ";
	$sql .= "pers_id = '{$_REQUEST['add_ma']}';";
	abfrage2($sql);
}

/* Mitarbeiter loeschen */
if ($_REQUEST['del_ma'] > 0 && check_nutzer_rechte(129)) {
	$sql  = "delete from tbh_pers_res where res_id = '{$_REQUEST['res_id']}' ";
	$sql .= "and pers_id = '{$_REQUEST['del_ma']}';";
	abfrage2($sql);
}

/* Historien-Eintrag loeschen */
if ($_GET['drop'] > 0 && $_SESSION[$AppCode]["ULV"] >= 96) {
	$sql  = "delete from tbh_pkw_historie where res_id = '{$_GET['res_id']}' ";
	$sql .= "and datum = '{$_GET['drop']}' and typ='{$_GET['typ']}';";
	abfrage2($sql);
}

$self = $_SERVER['PHP_SELF'];

if ($_POST['wartung'] == 'Speichern!'){
	$datum_n = strlen($_POST['datum_n'])>0 ? "'".date_gr2my(check_date($_POST['datum_n'],1))."'" : "NULL";
	$km_n = strlen($_POST['km_n'])>0 ? "'{$_POST['km_n']}'" : "NULL";
	$sql = (isset($_POST['id'])) ? 'update ' : 'insert into ';
	$typ = isset($_POST['typ']) ? $_POST['typ'] : 'w';
	$sql .= "tb_res_wartung set
			typ = '$typ',
			res_id = '{$_REQUEST['res_id']}',
			art_id = '{$_POST['art_id']}',
			datum = '" . date_gr2my(check_date($_POST['datum'])) . "',
			pers_id = '{$_POST['pers_id']}',
			notizen = '{$_POST['notizen']}',
			datum_n = $datum_n,
			km_n = $km_n";
	$sql .= (isset($_POST['id'])) ? " where id = '{$_POST['id']}'" : ';';
	abfrage2($sql);
}

if (isset($_GET['wart_del'])){
	abfrage2("delete from tb_res_wartung
			where id = '{$_GET['wart_del']}'
			and res_id='{$_REQUEST['res_id']}'
			limit 1;");
}

$verantw = abfrage("select pers_id from tbh_pers_res where ver=1 and res_id='{$_GET['res_id']}'");
$verantwortlich = ($verantw[0] == $_SESSION[$AppCode]["UID"]);

echo "<table cellpadding=\0\" cellspacing=\"0\" border=\"0\">\n<tr>";
// linke Seite fuer JSE ulv < 60 ausblenden
if($_SESSION[$AppCode]["TR"] != 'jse' || $_SESSION[$AppCode]["ULV"] >= 60) {
echo "<td width=\"370\">\n";
echo "<form action=\"pkw.php\" method=\"post\">\n";
echo "<table border=\"0\">\n";
echo "<tr><th colspan=\"2\">Stammdaten</th></tr>\n";
new stwTabLine(2,2);

if (isset($_REQUEST['res_id'])){
	$pkw = abfrage_assoc("select res_id, name, aktiv,
						date_format(datum,'%d.%m.%Y') as ans,
						date_format(kaufdatum,'%d.%m.%Y') as rueck,
						notizen, pers_id, res_typ, dat1, dat2, dat3, dat4, 
						traeger_art_id, farbe, 
						unix_timestamp(datum) as von, unix_timestamp(kaufdatum) as bis
						from tb_ressourcen where res_id = '{$_REQUEST['res_id']}';");
} else $pkw = array();

$res_typ_pkw = abfrage("select res_typ from tb_res_typ where name= 'PKW';");
//echo "<input type=\"hidden\" name=\"res_typ\" value=\"$res_typ_pkw[0]\">\n";

if (isset($_REQUEST['res_id'])){
	echo "<input type=\"hidden\" name=\"res_id\" ";
	echo "value=\"{$_REQUEST['res_id']}\">\n";
}

$ti = 1;

echo "<tr><th class=\"cl1\">Name:</th>\n";
echo "<td><input type=\"text\" name=\"name\" size=\"25\" maxlength=\"50\" ";
echo "tabindex=\"$ti\""; $ti++;
echo (isset($_REQUEST['res_id'])) ? " value=\"{$pkw['name']}\"" : '';
echo ">";

 /* Dateisymbol erscheint nur bei vorhandener RessourcenID */
 if (!empty($_GET["res_id"]))
 {
   $daten = new stwDaten("11");
   $link  = $daten->get_klammer_link($_SESSION["webdir"],
                                     $_SESSION[$AppCode]["UID"],
                                     $_SESSION[$AppCode]["ULV"],
                                     $_GET["res_id"], "0");
   printf(" %s", $link);
 }
echo "</td></tr>\n";

echo "<tr><th rowspan=\"3\" class=\"cl1\">Fahrtenbuch:</th>\n";
echo "<td><input type=\"radio\" name=\"res_typ\" value=\"$res_typ_pkw[0]\"";
$checked = $pkw['res_typ']>='5' ? '' : 'checked';
echo "tabindex=\"$ti\" $checked> ja mit Sph&auml;renzuordnung</td></tr>"; $ti++;
echo "<tr><td><input type=\"radio\" name=\"res_typ\" value=\"6\"";
$checked = $pkw['res_typ']=='6' ? 'checked' : '';
echo "tabindex=\"$ti\" $checked> ja ohne Sph&auml;renzuordnung (Mietwagen)</td></tr>\n"; $ti++;
echo "<tr><td><input type=\"radio\" name=\"res_typ\" value=\"5\"";
$checked = $pkw['res_typ']=='5' ? 'checked' : '';
echo "tabindex=\"$ti\" $checked> nein (Anh&auml;nger)</td></tr>\n"; $ti++;

echo "<tr><th class=\"cl1\">Tr&auml;ger:</th>\n";
echo "<td><select name=\"traeger\" size=\"1\" ";
echo "onchange=\"UpdateKostenstellen(this.value, 0, 0)\">\n";
$trs = abfrage1("SELECT traeger_art_id, kurzname, traeger_art, farbe FROM tb_traeger_art order by kurzname asc");
while($tr = mysql_fetch_array($trs)) {
	$selected = $tr[0]==$pkw['traeger_art_id'] ? 'selected' : '';
	echo "<option style=\"color:$tr[3]\" value=\"$tr[0]\" title=\"$tr[2]\" $selected>$tr[1]</option>\n";
}
echo "</select></td></tr>\n";

echo "</tr>";

echo "<tr><th class=\"cl1\">aktiv:</th>\n";
echo "<td><input type=\"radio\" name=\"aktiv\" value=\"j\" tabindex=\"$ti\"";
if ($pkw['aktiv'] == 'j') echo ' checked';
echo ">&nbsp;ja"; $ti++;

echo "&nbsp;&nbsp;&nbsp;";
echo "<input type=\"radio\" name=\"aktiv\" value=\"n\" tabindex=\"$ti\"";
if ($pkw['aktiv'] == 'n') echo ' checked';
echo ">&nbsp;nein</td></tr>"; $ti++;

if(empty($rvar_res_id)) $key_id[0] = 0;
else $key_id = abfrage("select r.key_id, k.aktiv from tbh_res_keys r left join tb_keys k using(key_id) where r.res_id='$rvar_res_id'");
echo "<tr><th class=\"cl11\">Schl&uuml;ssel:</th><td>\n";
echo "<select name=\"key_id\" tabindex=\"$ti\">\n"; $ti++;
echo "<option value=\"0\">bitte w&auml;hlen</option>\n";
$keys = abfrage1("select key_id, name from tb_keys where art_id=2 and key_id not in (select key_id from tbh_res_keys) or key_id='$key_id[0]' order by name asc");
while($key = mysql_fetch_row($keys)) {
	$selected = $key_id[0]==$key[0] ? 'selected' : '';
	echo "<option $selected value=\"$key[0]\">$key[1]</option>\n";
}
echo "</select>\n";
if($key_id[0] > 0) {
	echo "&nbsp; <a href=\"keys_and.php?art=2&amp;key_id=$key_id[0]\"><img src=\"";
	echo ($key_id[1]=='n' ? image('key',16,16,162,162,162) : image('key'))."\"";
	echo stwToolTip("zum hinterlegten Schl&uuml;ssel" . ($key_id[1]=='n' ? "<br>(Schl&uuml;ssel nicht mehr aktiv)" : ''));
	echo "alt=\"Schl&uuml;ssel\" /></a>\n";
}
echo "</td></tr>\n";

new stwTabLine(2,2);

echo "<tr><th class=\"cl1\">Anschaffung:</th>\n";
echo "<td><input type=\"text\" name=\"ans\" size=\"11\" maxlength=\"11\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($_REQUEST['res_id']) && $pkw['ans'] != '00.00.0000') {
	echo " value=\"{$pkw['ans']}\"";
}
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">R&uuml;ckgabe:</th>\n";
echo "<td><input type=\"text\" name=\"rueck\" size=\"11\" maxlength=\"11\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($_REQUEST['res_id']) && $pkw['rueck'] != '00.00.0000') {
	echo " value=\"{$pkw['rueck']}\"";
}
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Versicherungsnr.:</th>\n";
echo "<td><input type=\"text\" name=\"dat1\" size=\"25\" maxlength=\"25\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($_REQUEST['res_id'])) echo " value=\"{$pkw['dat1']}\"";
echo "></td></tr>\n";

new stwTabLine(2,2);
echo "<tr><th class=\"cl1\">Versicherungspr&auml;mie:</th>\n<td>";
if(!isset($rvar_res_id)) {
	echo "<input type=\"text\" name=\"dat2\" size=\"11\" maxlength=\"11\" ";
	echo "tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
	if (isset($_REQUEST['res_id']) && $pkw['dat2'] > 0) {
		echo " value=\"" . geld_form_formular($pkw['dat2']) . "\"";
	}
	echo ">&nbsp;&nbsp;&euro;&nbsp;<b>(j&auml;hrlich)</b>";
} else {
	$hist = abfrage1("select dat, date_format(datum,'%d.%m.%Y'), datum from tbh_pkw_historie where res_id='$rvar_res_id' and typ='v' order by datum asc");
	$last = abfrage("select dat from tbh_pkw_historie where res_id='$rvar_res_id' and typ='v' order by datum desc limit 1");
	echo "<table cellspacing=\"2\" cellpadding=\"0\"><tr><td class=\"cl11\">";
	if($_SESSION[$AppCode]["ULV"] < 96 && !empty($last[0])) echo "<b>urspr&uuml;nglich</b>";
	else echo "<a href=\"pkw_and.php?res_id=$rvar_res_id&datum_v=dat2\">urspr&uuml;nglich</a>";	
	echo "</td><td style=\"text-align:right\" class=\"cl11\">".geld_form_web($pkw['dat2'])."</td>";
	echo "<td><b>(j&auml;hrlich)</b></td></tr>\n";
	$val = '';
	while($dat = mysql_fetch_row($hist)) {
		echo "<tr><td class=\"cl11\">seit ";
		if($_SESSION[$AppCode]["ULV"] < 96 && $dat[0] != $last[0]) echo "<b>$dat[1]</b>";
		else echo "<a href=\"pkw_and.php?res_id=$rvar_res_id&datum_v=$dat[2]\">$dat[1]</a>";
		echo "</td><td style=\"text-align:right\" class=\"cl11\">" . geld_form_web($dat[0]) . "</td>";
		if($_SESSION[$AppCode]["ULV"] >= 96) {
			echo "<td><a href=\"pkw_and.php?res_id=$rvar_res_id&drop=$dat[2]&typ=v\" ";
			if($dat[0] != $last[0]) echo "onclick=\"return confirm('Dieser Eintrag ist nicht der letzte. Soll er trotzdem entfernt werden?')\" ";
			echo "style=\"color:red\">X</a></td>";
		}
		echo "</tr>\n";
		if(isset($_GET['datum_v']) && $_GET['datum_v']==$dat[2]) $val = geld_form_formular($dat[0]);
	}
	echo "<tr>";
	if(isset($_GET['datum_v']) && $_GET['datum_v'] == 'dat2') {
		echo "<th>urspr&uuml;nglich</th>";
		echo "<td class=\"cl11\"><input type=\"text\" name=\"dat2\" size=\"8\" maxlength=\"11\" ";
		echo "tabindex=\"$ti\" style=\"text-align:right\" "; $ti++;
		echo "value=\"" . geld_form_formular($pkw['dat2']) . "\">&nbsp;&euro;</td>\n";
	} else {
		echo "<td>ab <input type=\"text\" name=\"datum_v\" size=\"10\" maxlength=\"10\" tabindex=\"$ti\" "; $ti++;
		if($val != '') echo "value=\"" . date_my2gr($_GET['datum_v']) . "\" ";
		echo " placeholder=\"TT.MM.JJJJ\" /></td>";
		echo "<td class=\"cl11\"><input type=\"text\" name=\"dat_v\" size=\"8\" maxlength=\"11\" tabindex=\"$ti\" ";
		echo "value=\"$val\" style=\"text-align:right\" />&nbsp;&euro;</td>\n"; $ti++;
		if(isset($_GET['datum_v'])) echo "<input type=\"hidden\" name=\"datum_v_old\" value=\"{$_GET['datum_v']}\" />\n";
		echo "<input type=\"hidden\" name=\"dat2\" value=\"".geld_form_formular($pkw['dat2'])."\" />\n";
	}
	echo "</tr></table>\n";
}
echo "</td></tr>\n";

new stwTabLine(2,2);

echo "<tr><th class=\"cl1\">Kfz-Steuer:</th>\n<td>";
if(!isset($rvar_res_id)) {
	echo "<input type=\"text\" name=\"dat3\" size=\"11\" maxlength=\"11\" ";
	echo "tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
	if (isset($_REQUEST['res_id']) && $pkw['dat3'] > 0) {
		echo " value=\"" . geld_form_formular($pkw['dat3']) . "\"";
	}
	echo ">&nbsp;&nbsp;&euro;&nbsp;<b>(j&auml;hrlich)</b>";
} else {
	$hist = abfrage1("select dat, date_format(datum,'%d.%m.%Y'), datum from tbh_pkw_historie where res_id='$rvar_res_id' and typ='k' order by datum asc");
	$last = abfrage("select dat from tbh_pkw_historie where res_id='$rvar_res_id' and typ='k' order by datum desc limit 1");
	echo "<table cellspacing=\"2\" cellpadding=\"0\"><tr><td class=\"cl11\">";
	if($_SESSION[$AppCode]["ULV"] < 96 && !empty($last[0])) echo "<b>urspr&uuml;nglich</b>";
	else echo "<a href=\"pkw_and.php?res_id=$rvar_res_id&datum_k=dat3\">urspr&uuml;nglich</a>";	
	echo "</td><td style=\"text-align:right\" class=\"cl11\">".geld_form_web($pkw['dat3'])."</td>";
	echo "<td><b>(j&auml;hrlich)</b></td></tr>\n";
	$val = '';
	while($dat = mysql_fetch_row($hist)) {
		echo "<tr><td class=\"cl11\">seit ";
		if($_SESSION[$AppCode]["ULV"] < 96 && $dat[0] != $last[0]) echo "<b>$dat[1]</b>";
		else echo "<a href=\"pkw_and.php?res_id=$rvar_res_id&datum_k=$dat[2]\">$dat[1]</a>";
		echo "</td><td style=\"text-align:right\" class=\"cl11\">" . geld_form_web($dat[0]) . "</td>";
		if($_SESSION[$AppCode]["ULV"] >= 96) {
			echo "<td><a href=\"pkw_and.php?res_id=$rvar_res_id&drop=$dat[2]&typ=k\" ";
			if($dat[0] != $last[0]) echo "onclick=\"return confirm('Dieser Eintrag ist nicht der letzte. Soll er trotzdem entfernt werden?')\" ";
			echo "style=\"color:red\">X</a></td>";
		}
		echo "</tr>\n";
		if(isset($_GET['datum_k']) && $_GET['datum_k']==$dat[2]) $val = geld_form_formular($dat[0]);
	}
	echo "<tr>";
	if(isset($_GET['datum_k']) && $_GET['datum_k'] == 'dat3') {
		echo "<th>urspr&uuml;nglich</th>";
		echo "<td class=\"cl11\"><input type=\"text\" name=\"dat3\" size=\"8\" maxlength=\"11\" ";
		echo "tabindex=\"$ti\" style=\"text-align:right\" "; $ti++;
		echo "value=\"" . geld_form_formular($pkw['dat3']) . "\">&nbsp;&euro;</td>\n";
	} else {
		echo "<td>ab <input type=\"text\" name=\"datum_k\" size=\"10\" maxlength=\"10\" tabindex=\"$ti\" "; $ti++;
		if($val != '') echo "value=\"" . date_my2gr($_GET['datum_k']) . "\" ";
		echo " placeholder=\"TT.MM.JJJJ\" /></td>";
		echo "<td class=\"cl11\"><input type=\"text\" name=\"dat_k\" size=\"8\" maxlength=\"11\" tabindex=\"$ti\" ";
		echo "value=\"$val\" style=\"text-align:right\" />&nbsp;&euro;</td>\n"; $ti++;
		if(isset($_GET['datum_k'])) echo "<input type=\"hidden\" name=\"datum_k_old\" value=\"{$_GET['datum_k']}\" />\n";
		echo "<input type=\"hidden\" name=\"dat3\" value=\"".geld_form_formular($pkw['dat3'])."\" />\n";
	}
	echo "</tr></table>\n";
}
echo "</td></tr>\n";

new stwTabLine(2,2);

echo "<tr><th class=\"cl1\">Rate:</th>\n<td>";
if(!isset($rvar_res_id)) {
	echo "<input type=\"text\" name=\"dat4\" size=\"11\" maxlength=\"11\" ";
	echo "tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
	if (isset($_REQUEST['res_id']) && $pkw['dat4'] > 0) {
		echo " value=\"" . geld_form_formular($pkw['dat4']) . "\"";
	}
	echo ">&nbsp;&nbsp;&euro;&nbsp;<b>(monatlich)</b>";
} else {
	$hist = abfrage1("select dat, date_format(datum,'%d.%m.%Y'), datum from tbh_pkw_historie where res_id='$rvar_res_id' and typ='r' order by datum asc");
	$last = abfrage("select dat from tbh_pkw_historie where res_id='$rvar_res_id' and typ='r' order by datum desc limit 1");
	echo "<table cellspacing=\"2\" cellpadding=\"0\"><tr><td class=\"cl11\">";
	if($_SESSION[$AppCode]["ULV"] < 96 && !empty($last[0])) echo "<b>urspr&uuml;nglich</b>";
	else echo "<a href=\"pkw_and.php?res_id=$rvar_res_id&datum_r=dat4\">urspr&uuml;nglich</a>";	
	echo "</td><td style=\"text-align:right\" class=\"cl11\">".geld_form_web($pkw['dat4'])."</td>";
	echo "<td><b>(monatlich)</b></td></tr>\n";
	$val = '';
	while($dat = mysql_fetch_row($hist)) {
		echo "<tr><td class=\"cl11\">seit ";
		if($_SESSION[$AppCode]["ULV"] < 96 && $dat[0] != $last[0]) echo "<b>$dat[1]</b>";
		else echo "<a href=\"pkw_and.php?res_id=$rvar_res_id&datum_r=$dat[2]\">$dat[1]</a>";
		echo "</td><td style=\"text-align:right\" class=\"cl11\">" . geld_form_web($dat[0]) . "</td>";
		if($_SESSION[$AppCode]["ULV"] >= 96) {
			echo "<td><a href=\"pkw_and.php?res_id=$rvar_res_id&drop=$dat[2]&typ=r\" ";
			if($dat[0] != $last[0]) echo "onclick=\"return confirm('Dieser Eintrag ist nicht der letzte. Soll er trotzdem entfernt werden?')\" ";
			echo "style=\"color:red\">X</a></td>";
		}
		echo "</tr>\n";
		if(isset($_GET['datum_r']) && $_GET['datum_r']==$dat[2]) $val = geld_form_formular($dat[0]);
	}
	echo "<tr>";
	if(isset($_GET['datum_r']) && $_GET['datum_r'] == 'dat4') {
		echo "<th>urspr&uuml;nglich</th>";
		echo "<td class=\"cl11\"><input type=\"text\" name=\"dat4\" size=\"8\" maxlength=\"11\" ";
		echo "tabindex=\"$ti\" style=\"text-align:right\" "; $ti++;
		echo "value=\"" . geld_form_formular($pkw['dat4']) . "\">&nbsp;&euro;</td>\n";
	} else {
		echo "<td>ab <input type=\"text\" name=\"datum_r\" size=\"10\" maxlength=\"10\" tabindex=\"$ti\" "; $ti++;
		if($val != '') echo "value=\"" . date_my2gr($_GET['datum_r']) . "\" ";
		echo " placeholder=\"TT.MM.JJJJ\" /></td>";
		echo "<td class=\"cl11\"><input type=\"text\" name=\"dat_r\" size=\"8\" maxlength=\"11\" tabindex=\"$ti\" ";
		echo "value=\"$val\" style=\"text-align:right\" />&nbsp;&euro;</td>\n"; $ti++;
		if(isset($_GET['datum_r'])) echo "<input type=\"hidden\" name=\"datum_r_old\" value=\"{$_GET['datum_r']}\" />\n";
		echo "<input type=\"hidden\" name=\"dat4\" value=\"".geld_form_formular($pkw['dat4'])."\" />\n";
	}
	echo "</tr></table>\n";
}
echo "</td></tr>\n";

new stwTabLine(2,2);

echo "<script type=\"text/javascript\"><!--\n";
echo "function UpdateKostenstellen(traeger, id, id2) {\n";
echo "var select = document.getElementById('kto_lfd');\n";
echo "var select2 = document.getElementById('kto_benzin');\n";
echo "for(var i=select.options.length-1; i>=0; i=select.options.length-1) {\n";
echo "select.options[i] = select2.options[i] = null;\n}\n";
echo "select.options[select.options.length] = new Option('', '0');\n";
echo "select2.options[select2.options.length] = new Option('', '0');\n";
mysql_data_seek($trs,0);
while($tr = mysql_fetch_row($trs)) {
	echo "if($tr[0] == traeger) {\n";
	$ktos = abfrage1("select * from tb_bkto where traegerart_id='$tr[0]' and aktiv='j'  order by kurzname asc");
	while($kto = mysql_fetch_row($ktos)) {
		echo "select.options[select.options.length] = new Option('$kto[1] ".str_replace("\r\n",' ',$kto[3])."', '$kto[0]', false, (id == $kto[0]));\n";
		echo "select2.options[select2.options.length] = new Option('$kto[1] ".str_replace("\r\n",' ',$kto[3])."', '$kto[0]', false, (id2 == $kto[0]));\n";
	}
	echo "}\n";
}
echo "}\n";
echo "--></script>\n";

$lfd = isset($rvar_res_id) ? abfrage("select kto_id from tbh_res_kto where res_id='$rvar_res_id' and typ='l'") : array();
echo "<tr><th class=\"cl1\">Buchungskonten:</th>\n";
echo "<td><table cellpadding=\"0\" cellspacing=\"1\">";
echo "<tr><td class=\"cl1\" style=\"text-align:right\">laufende Kosten:</td><td>";
echo "<select tabindex=\"$ti\" name=\"kto_l\" id=\"kto_lfd\" "; $ti++;
echo "size=\"1\" style=\"width:160px;\">\n<option value=\"0\"></option>\n";
echo "</select></td></tr>\n";
$benzin = isset($rvar_res_id) ? abfrage("select kto_id from tbh_res_kto where res_id='$rvar_res_id' and typ='b'") : array();
echo "<tr><td class=\"cl1\" style=\"text-align:right\">Kraftstoffkosten:</td><td>";
echo "<select tabindex=\"$ti\" name=\"kto_b\" id=\"kto_benzin\" "; $ti++;
echo "size=\"1\" style=\"width:160px;\">\n<option value=\"0\"></option>\n";
echo "</select></td></tr>\n";
echo "</table></td></tr>\n";

echo "<script type=\"text/javascript\">UpdateKostenstellen(".$pkw['traeger_art_id'].",".intval($lfd[0]).",".intval($benzin[0]).")</script>\n";

new stwTabLine(2,2);

echo "<tr><th class=\"cl1\">Notizen:</th>\n";
echo "<td><textarea name=\"notizen\" rows=\"5\" cols=\"30\" tabindex=\"$ti\">";
if (isset($_REQUEST['res_id'])) echo $pkw['notizen'];
echo "</textarea></td></tr>\n"; $ti++;

echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
echo "<tr><td class=\"cl1\"><b style=\"color:#FFCC00\">Farbe</b> (im Kalender)<b style=\"color:#FFCC00\">:</b></td>\n";
echo "<td><input type=\"text\" name=\"farbe\" size=\"11\" maxlength=\"25\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($_REQUEST['res_id'])) {
	echo " value=\"{$pkw['farbe']}\"";
	if(!empty($pkw['farbe'])) {
		$rgb = transformColor($pkw['farbe']);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo "style=\"background-color:{$pkw['farbe']};color:$co;\" ";
	}
}
echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\" ";	
echo ">&nbsp;&nbsp;<span style=\"font-weight:bold;color:{$pkw['farbe']}\">";
echo "HTML- bzw. CSS-Farbcode!</span></td></tr>\n";

if (check_nutzer_rechte(132)){
	new stwTabLine(2,2);
	echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"speichern\" ";
	echo "value=\"Speichern\"></td></tr>\n";
}

echo "</form>\n";

if(!empty($_REQUEST['res_id'])) {
	new stwTabLine(1,2);

	echo "<tr><th class=\"cl1\">zust&auml;ndig:</th>";
	echo "<td><table>\n";

	if(check_nutzer_rechte(129)) {
		echo "<form action=\"$self\" method=\"post\">\n";
		echo "<input type=\"hidden\" name=\"res_id\" value=\"{$_REQUEST['res_id']}\">\n";
		echo "<input type=\"hidden\" name=\"verantw\" value=\"1\">\n";
	}
	$order = $pers_order==2 ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc;";
	$mas = abfrage1("select h.pers_id, h.ver from tbh_pers_res h
									left join tb_personal p using(pers_id)
									where res_id = '{$_REQUEST['res_id']}'
									order by $order;");

	if (mysql_num_rows($mas) > 0) {
		echo "<tr><th class=\"cl1\">Name</th>\n";
		echo "<th class=\"cl1\">verantwortlich</th></tr>\n";
		new stwTabLine(2,10);
	}

	$mitarbeiter = array();

	$radio = getConf('PKWmultiVerantw') ? 'checkbox' : 'radio';
	while ($ma = mysql_fetch_row($mas)){
		$mitarbeiter[] = $ma[0];
		echo "<tr><td class=\"cl1\">" . ($pers_order==2 ? pers_name2($ma[0]) : pers_name($ma[0])) . "</td>\n";

		echo "<td class=\"cl1\" style=\"text-align: center;\">";
		echo "<input type=\"$radio\" name=\"ver[]\" value=\"$ma[0]\" ";
		if ($ma[1] == 1) echo 'checked ';
		if(check_nutzer_rechte(129)) {
			echo "onClick=\"this.form.submit()\"></td>\n";
			echo "<td><a href=\"$self?res_id={$_REQUEST['res_id']}&";
			echo "del_ma=$ma[0]\" style=\"color: #f00;\"";
			echo stwToolTip('<b>VORSICHT!</b> Mitarbeiter l&ouml;schen!');
			echo ">X</a>";
		} else echo "disabled>";
		echo "</td></tr>\n";
	}

	if(check_nutzer_rechte(129)) {
		echo "</form>\n";

		if (mysql_num_rows($mas) > 0) new stwTabLine(2,10);

		echo "<tr><th colspan=\"3\">Mitarbeiter hinzuf&uuml;gen:</th></tr>\n";

		echo "<form action=\"$self\" method=\"post\">\n";
		echo "<input type=\"hidden\" name=\"res_id\" ";
		echo "value=\"{$_REQUEST['res_id']}\">\n";

		echo "<tr><td colspan=\"3\">";
		echo "<select name=\"add_ma\" size=\"1\" tabindex=\"$ti\" ";
		echo "onChange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">Mitarbeiter w&auml;hlen!</option>\n";

		$mas = abfrage1("select p.pers_id from tb_personal p where p.status_id = 2 order by $order");

		while ($ma = mysql_fetch_row($mas)){
			if (!in_array($ma[0], $mitarbeiter)){
				echo "<option value=\"$ma[0]\">" . ($pers_order==2 ? pers_name2($ma[0]) : pers_name($ma[0])) . "</option>\n";
			}
		}
		echo "</select></td></tr>\n";
		echo "</form>\n";
	}
	echo "</table></td></tr>\n";
}
echo "</table>\n";
echo "</td><td width=\"10\"></td>\n";
} elseif (isset($_REQUEST['res_id'])){
	$res = abfrage("select name, farbe from tb_ressourcen where res_id = '{$_REQUEST['res_id']}';");
	echo "<th style=\"text-align:center;color:$res[1]\">$res[0]</th></tr>\n";
	new stwTabLine(2,1);
	echo "<tr>";
} // End: linke Seite fuer JSE ulv < 60 ausblenden
if(!empty($_REQUEST['res_id'])) {
	echo "<td width=\"360\">\n";
	echo "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\n";
	echo "<tr><td>\n";

	echo "<table><tr>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">Monat</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">Anfang</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">gefahren</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">Ende</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">Kraftstoff</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">Kosten</th>\n";

	$sql = "select month(t.von), year(t.von)
			from tb_ab_zk z
			left join tb_termine t using (termin_id)
			where z.res_id = '{$_REQUEST['res_id']}'
			and (km_dienst > 0";
	if(!empty($pkw['von']) || !empty($pkw['bis'])) $sql .= " or (";
	if(!empty($pkw['von'])) $sql .= "unix_timestamp(t.von) >= {$pkw['von']}";
	if(!empty($pkw['von']) && !empty($pkw['bis'])) $sql .= " and ";
	if(!empty($pkw['bis'])) $sql .= "unix_timestamp(t.bis) < {$pkw['bis']}";
	if(!empty($pkw['von']) || !empty($pkw['bis'])) $sql .= ")";
	$sql .= ") group by month (t.von), year(t.von)
			order by year(t.von) desc, month(t.von) desc";
	$monate = abfrage1($sql);

	if (mysql_num_rows($monate) > 12){

		if ($_GET['km'] == 1){
			$kmlink  = "{$_SERVER['PHP_SELF']}?res_id=" . $_REQUEST['res_id'];
			$kmlink .= "&wt={$_GET['wt']}&km=0";
			$kmtext = 'gek&uuml;rzt anzeigen';
			$km_img = 'up_green.png';
		} else {
			$kmlink  = "{$_SERVER['PHP_SELF']}?res_id=" . $_REQUEST['res_id'];
			$kmlink .= "&wt={$_GET['wt']}&km=1";
			$kmtext = 'komplett anzeigen';
			$km_img = 'down_red.png';
		}

		echo "<td><a href=\"$kmlink\" title=\"$kmtext\">";
		echo "<img border=\"0\" src=\"img/$km_img\"></a></td>\n";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);


	if (mysql_num_rows($monate) > 12 && $_GET['km'] != 1){
		$sql .= ' limit 12';
	}

	$monate1 = abfrage1($sql);

	while ($mon = mysql_fetch_row($monate1)){
		echo "<tr>";
		$von = mktime(0,0,0,$mon[0],1,$mon[1]);
		$bis = mktime(23,59,59,date('n', $von), date('t', $von), date('Y',$von));

		$von1 = date('Y-m-d', $von);
		$bis1 = date('Y-m-d', $bis);

		$monat_anz = strftime('%m / %Y', $von);
		$monat_anz1 = strftime('%B %Y', $von);

		echo "<td style=\"padding-right:5px\">";
		echo "<a href=\"pkw_km.php?res_id={$_REQUEST['res_id']}&von=$von1&";
		echo "bis=$bis1\" title=\"Fahrtenbuch f&uuml;r $monat_anz1 anzeigen\">";
		echo $monat_anz . "</a></td>\n";

		$end = km_stand($_REQUEST['res_id'], $bis);
		$anf = km_stand($_REQUEST['res_id'], $von);
		$gef = $end - $anf;
		echo "<td class=\"cl1\" style=\"text-align:right\">";
		echo km_form($anf) . "</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:right\">";
		echo km_form($gef) . "</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:right\">";
		echo km_form($end) . "</td>\n";


		/* --- Kosten --- */

		if (check_nutzer_rechte(132)) echo "<form action=\"pkw_kosten_sql.php\" method=\"post\">\n";
		echo "<input type=\"hidden\" name=\"pkw_and\" value=\"1\">\n";
		echo "<input type=\"hidden\" name=\"pkw\" value=\"{$_REQUEST['res_id']}\">\n";
		echo "<input type=\"hidden\" name=\"abmonat\" value=\"$mon[0]\">\n";
		echo "<input type=\"hidden\" name=\"abjahr\" value=\"$mon[1]\">\n";
		echo "<input type=\"hidden\" name=\"res_id[]\" ";
		echo "value=\"{$_REQUEST['res_id']}\">\n";

		if ($_GET['km'] == 1){
			echo "<input type=\"hidden\" name=\"km\" value=\"1\">\n";
		}


		/* abfragen, ob Daten fuer diesen PKW und diesen Monat schon vorhanden */
		$sql  = "select kosten1, kosten2 from tb_res_kosten ";
		$sql .= "where res_id = '{$_REQUEST['res_id']}' and ";
		$sql .= "ab_monat = '$von1';";
		$kosten = abfrage_assoc($sql);


		echo "<th class=\"cl1\" style=\"text-align: right;\">";
		if ($kosten['kosten1'] > 0){
			echo "<a href=\"pkw_kosten.php?abmonat=$mon[0]&abjahr=$mon[1]&auto={$_REQUEST['res_id']}&page=1\">" . geld_form_formular($kosten['kosten1']) . "</a>";
		} else {
			echo "<input type=\"text\" name=\"kosten1[]\" size=\"8\" ";
			echo "tabindex=\"$ti\" style=\"text-align: right;\">"; $ti++;
		}
		echo "&nbsp;&nbsp;&euro;</th>\n";


		echo "<th class=\"cl1\" style=\"text-align: right;\">";
		if ($kosten['kosten2'] > 0){
			echo "<a href=\"pkw_kosten.php?abmonat=$mon[0]&abjahr=$mon[1]&auto={$_REQUEST['res_id']}&page=2\">" . geld_form_formular($kosten['kosten2']) . "</a>";
		} else {
			echo "<input type=\"text\" name=\"kosten2[]\" size=\"8\" ";
			echo "tabindex=\"$ti\" style=\"text-align: right;\">"; $ti++;
		}
		echo "&nbsp;&nbsp;&euro;</th>\n";

		if (check_nutzer_rechte(132)) {
			echo "<td><input type=\"image\" src=\"img/senden.png\" border=\"0\"></td>\n";
			echo "</form>\n";
		}
		/*  --- Ende Kosten --- */

		echo "<td><a href=\"fahrten_pr_mon.php?res_id={$_REQUEST['res_id']}";
		echo "&von=$von1&bis=$bis1&ts=" . time() . "\" target=\"_pdf\" title=\"Fahrtenbuch f&uuml;r ";
		echo "$monat_anz1 drucken\"><img src=\"img/drucker.png\" border=\"0\">";
		echo "</a></td></tr>\n";
	}
	new stwTabLine(1,30);
	echo "</table>\n";
	echo "</td></tr>\n";


	/* Tabelle Wartungen */
	echo "<tr><td>\n";
	echo "<table width=\"100%\"><tr><td colspan=\"30\">\n";
	echo "<table style=\"width:100%\"><tr>";
	if ($verantwortlich || $_SESSION[$AppCode]['ULV'] >= 45){
		echo "<td><input type=\"button\" value=\"neue Pflege\" ";
		echo "onClick=\"self.location.href='pkw_wart.php?pflege=1&res_id=";
		echo $_REQUEST['res_id'] . "'\"></td>\n";

		echo "<td><input type=\"button\" value=\"neue Wartung\" ";
		echo "onClick=\"self.location.href='pkw_wart.php?res_id=";
		echo $_REQUEST['res_id'] . "'\"></td>\n";
	}
	echo "<td><input type=\"button\" value=\"neues Feedback\" ";
	echo "onClick=\"self.location.href='pkw_fb_and.php?res_id=";
	echo $_REQUEST['res_id'] . "'\"></td>\n";
	echo "<th style=\"width:50%;text-align:center\">Historie</th>\n";
	$eintraege = array();
	$data = array();
	$index = 0;

$sql = "select fb_id, # 0
		feedback,     # 1
		date_format(datetime,'%d.%m.%Y'), # 2
		unix_timestamp(datetime), # 3
		erl_ma,       # 4
		erl_gf,       # 5
		pers_id       # 6
        from tb_res_fb
		where res_id='{$_REQUEST['res_id']}'
        order by to_days(datetime) desc";
	if ($_GET['wt'] != 1){
		$sql .= ' limit 12';
	}

	$fbs = abfrage1($sql);
	while ($fb = mysql_fetch_row($fbs)){
		$eintraege[$index] = $fb[3];
		$data[$index]['link'] = "pkw_fb_and.php?fb_id=" . $fb[0];
		$data[$index]['abk'] = 'feedb';
		$daten = new stwDaten("40");
		$data[$index]['klammer'] = $daten->get_klammer_link($_SESSION["webdir"],
															$_SESSION[$AppCode]["UID"],
															$_SESSION[$AppCode]["ULV"],
															$fb[0], "0");
		$data[$index]['farbe'] = $fb[5] ? '#999999' : ($fb[4] ? 'red' : 'lime');
		$data[$index]['datum'] = $fb[2];
		$erledigt = $fb[5] ? ' (erledigt)' : ($fb[4] ? ' (OK MA)' : '');
		$data[$index]['title'] = "<b>Feedback".$erledigt."</b> Angelegt von ".pers_kname($fb[6]);
		$data[$index]['text'] = $fb[1];
		$index++;
	}

	$sql = "select w.id,
			date_format(w.datum, '%d.%m.%Y') as datum,
			w.pers_id,
			w.notizen,
			unix_timestamp(w.datum) as dat_ts,
			w.typ,
			unix_timestamp(w.datum_n) as one,
			w.km_n as two,
			a.art_id,
			a.art,
			a.beschreibung,
			w.datum_n as innen
			from tb_res_wartung w
			left join tb_wartung_art a using(art_id)
			where w.res_id = '{$_REQUEST['res_id']}'
			order by to_days(w.datum) desc";
	if ($_GET['wt'] != 1){
		$sql .= ' limit 12';
	}

	$wartung = abfrage1($sql);
	while ($wt = mysql_fetch_assoc($wartung)){
		$eintraege[$index] = $wt['dat_ts'];
		$data[$index]['link'] = "pkw_wart.php?res_id=" . $_REQUEST['res_id'] . "&id=" . $wt['id'];
		if($wt['typ'] == 'p') $data[$index]['link'] .= '&pflege=1';
		$data[$index]['abk'] = $wt['typ'] == 'p' ? 'Pfl' : "<small style=\"color:#CCCCCC\">{$wt['art']}</small>WT";
		$wartg = $wt['typ'] == 'p' ? "Pflege" : "Wartung {$wt['beschreibung']}";
		$data[$index]['title'] = "<b>$wartg</b><br>Angelegt von ".pers_kname($wt['pers_id']);
		$red = false;
		if($wt['typ'] == 'w' && (!empty($wt['two']) || !empty($wt['one']))) {
			$sql = "select id from tb_res_wartung 
					where res_id = '{$_REQUEST['res_id']}' 
					and typ='{$wt['typ']}' and art_id='{$wt['art_id']}'
					and unix_timestamp(datum) > {$wt['dat_ts']}";
			$nxt = abfrage($sql);
			if(empty($nxt[0])) {
				if(!empty($wt['two'])) {
					$km = km_stand($_REQUEST['res_id'], time(), true);
					if($km > $wt['two']) {
						$red = true;
						$data[$index]['title'] .= "<br><b>Kilometerstand bis zur n&auml;chsten Wartung &uuml;berschritten</b>";
					}
				}
				if(!empty($wt['one'])) {
					if($wt['one'] < time()) {
						$red = true;
						$data[$index]['title'] .= "<br><b>Zeitpunkt n&auml;chste Wartung &uuml;berschritten</b>";
					}
				}
			}
		}
		$data[$index]['farbe'] = $wt['typ'] == 'p' ? '#00FFFF' : ($red ? '#FF0000' : '#FFFF00');
		$data[$index]['datum'] = $wt['datum'];
		$daten = new stwDaten("39");
		$data[$index]['klammer'] = $daten->get_klammer_link($_SESSION["webdir"],
															$_SESSION[$AppCode]["UID"],
															$_SESSION[$AppCode]["ULV"],
															$wt['id'], "0");
		if($wt['typ'] == 'p') {
			$data[$index]['text'] = "innen: " . (is_null($wt['innen']) ? '<b style="color:red">nein</b>' : '<b style="color:lime">ja</b>');
			$data[$index]['text'] .= ", au&szlig;en: " . (empty($wt['two']) ? '<b style="color:red">nein</b>' : '<b style="color:lime">ja</b>');
			if(!empty($wt['notizen'])) $data[$index]['text'] .= ', ' . $wt['notizen'];
		} else $data[$index]['text'] = $wt['notizen'];
		$data[$index]['del_link'] = $_SERVER['PHP_SELF'] . "?res_id=" . $_REQUEST['res_id'] . "&wart_del=" . $wt['id'];
		$index++;
	}

	$query="select hp_id, hp_art, date_format(datum, '%d.%m.%Y'), unix_timestamp(datum) 
			from tb_hp where (hp_art in ('x','y') and ap_id='{$_REQUEST['res_id']}') or hp_id in (
				select id from tbh_postzuordnung where posttyp='h' and id2='{$_REQUEST['res_id']}' and typ='w'			
			) order by to_days(datum) desc";
	if($_GET['wt'] != 1) $query .= " LIMIT 12";
	$posts = abfrage1($query);
	while($post = mysql_fetch_row($posts)) {
		$eintraege[$index] = $post[3];
		$data[$index]['datum'] = $post[2];
		if($post[1]=='x') {
			$query 	= "SELECT t2.kurzname, t1.post_in_id, "
					. "t1.betreff, t1.notizen, k.name2 "
					. "FROM tb_post_eingang t1 "
					. "left join tb_kontakte k "
					. "on k.kont_id = t1.kont_id and k.kh_id='0' "
					. "INNER JOIN tb_post_art t2 ON "
					. "t1.postart_id = t2.post_art_id WHERE "
					. "t1.hp_id = '$post[0]'";
			$erg	= abfrage($query);
			$data[$index]['text'] = $erg[2];
			$daten = new stwDaten("5");
			$data[$index]['klammer'] = $daten->get_klammer_link($_SESSION["webdir"],
																$_SESSION[$AppCode]["UID"],
																$_SESSION[$AppCode]["ULV"],
																$erg[1], "0");

			$id = substr("00".$erg[1],-3);
			$data[$index]['abk'] = "<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg[0]";
			$data[$index]['link'] = "post_in.php?post_id=".$erg[1];
			$data[$index]['farbe'] = "rgb(51,153,51)";
			$data[$index]['title'] = "Posteingang:<br>$erg[4]<br><b>$erg[2]</b><br>$erg[3]";
		} else {
			$sql	= "SELECT a.postart_id, a.post_out_id, a.brief_id, "
					. "a.betreff, a.notizen, k.name2 FROM tb_post_ausgang a "
					. "left join tb_kontakte k on k.kont_id = a.kont_id and k.kh_id='0' "
					. "WHERE hp_id = '$post[0]';";
			$erg	= abfrage($sql);
			$data[$index]['text'] = $erg[3];
			$daten = new stwDaten("13");
			$data[$index]['klammer'] = $daten->get_klammer_link($_SESSION["webdir"],
																$_SESSION[$AppCode]["UID"],
																$_SESSION[$AppCode]["ULV"],
																$erg[1], "0");
			if ($erg[0] != 0) {
				$sql  = "SELECT kurzname FROM tb_post_art ";
				$sql .= "WHERE post_art_id = '$erg[0]';";
				$erg2 = abfrage($sql);
				$data[$index]['title'] = "Postausgang:<br>$erg[5]<br><b>$erg[3]</b><br>$erg[4]";
			} else {
				$erg2[] = "??";
				$data[$index]['title'] = "Postausgang ohne Postart";
			}
			$id = substr("00".$erg[1],-3);
			$data[$index]['abk'] = "<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg2[0]";
			if (is_null($erg[2])) {
				$data[$index]['link'] = "post_out.php?post_id=".$erg[1];
			} else {
				$data[$index]['link'] = "brief.php?id=".$erg[1];
			}
			$data[$index]['farbe'] = "#FF0000";
		}
		$index++;
	}

	$sql = "select nachr_id, date_format(sent, '%d.%m.%Y') as datum, unix_timestamp(sent) as dat_ts, von, text, betreff
			from tb_nachr where res_id = '{$_REQUEST['res_id']}' or nachr_id in (
				select id from tbh_postzuordnung where posttyp='n' and id2='{$_REQUEST['res_id']}' and typ='w'
			) order by to_days(sent) desc";
	if ($_GET['wt'] != 1){
		$sql .= ' limit 12';
	}

	$mails = abfrage1($sql);
	while ($mail = mysql_fetch_assoc($mails)){
		$eintraege[$index] = $mail['dat_ts'];
		$data[$index]['link'] = "nachr_and.php?nachr_id=" . $mail['nachr_id'];
		$data[$index]['abk'] = "<img src=\"img/brief.png\">";
		$data[$index]['farbe'] = '#FFFF00';
		$data[$index]['datum'] = $mail['datum'];
		$daten = new stwDaten("12");
		$data[$index]['klammer'] = $daten->get_klammer_link($_SESSION["webdir"],
															$_SESSION[$AppCode]["UID"],
															$_SESSION[$AppCode]["ULV"],
															$mail['nachr_id'], "0");
		$data[$index]['text'] = "<b>".$mail['betreff']."</b> gesendet von ".pers_kname($mail['von']);
		$txt = strip_tags($mail['text']);
		$tels = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='{$mail['nachr_id']}'");
		if(mysql_num_rows($tels) > 0) {
			$tel = mysql_fetch_array($tels);
			$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
			if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
			if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
			$text .= "<br />";
			if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
			if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
			if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
			if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
			if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
			if($tel['war_da'] == 'j') $text .= "(war da) ";
			if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
			$txt = "$text<br />$txt";
		}
		$data[$index]['title'] = $txt;
		$index++;
	}

	if(sizeof($eintraege) >= 12) {
		if ($_GET['wt'] == 1){
			$wtlink  = "{$_SERVER['PHP_SELF']}?wt=0&res_id=" . $_REQUEST['res_id'];
			if(isset($_GET['km'])) $wtlink .= "&km={$_GET['km']}";
			if(isset($_GET['hhk'])) $wtlink .= "&hhk={$_GET['hhk']}";
			$wttext = 'gek&uuml;rzt anzeigen';
			$wt_img = 'up_green.png';
		} else {
			$wtlink  = "{$_SERVER['PHP_SELF']}?wt=1&res_id=" . $_REQUEST['res_id'];
			if(isset($_GET['km'])) $wtlink .= "&km={$_GET['km']}";
			if(isset($_GET['hhk'])) $wtlink .= "&hhk={$_GET['hhk']}";
			$wttext = 'komplett anzeigen';
			$wt_img = 'down_red.png';
		}
		echo "<td colspan=\"30\" style=\"text-align:right\">";
		echo "<a href=\"$wtlink\" title=\"$wttext\">";
		echo "<img border=\"0\" src=\"img/$wt_img\"></a></td>\n";
	}
	echo "</tr></table></td></tr>\n";
	new stwTabLine(2,30);

	arsort($eintraege);
	$index = 0;
	foreach($eintraege as $i => $ts) {
		echo "<tr><td class=\"cl11\" style=\"text-align:right\"><a href=\"";
		echo $data[$i]['link'] . "\" style=\"color:" . $data[$i]['farbe'];
		echo "\"" . stwToolTip($data[$i]['title']) . ">";
		echo $data[$i]['abk'] . "</a></td>\n";
		echo "<td class=\"cl11\">" . $data[$i]['datum'] . "</td>\n";
		echo "<td class=\"ww\" style=\"width:100%\">" . $data[$i]['text'] . "</td>\n";
		echo "<td class=\"cl11\">";
		if(!empty($data[$i]['klammer'])) echo $data[$i]['klammer'];
		echo "</td><td class=\"cl11\">";
		if(isset($data[$i]['del_link']) && $_SESSION[$AppCode]['ULV'] >= 96) {
			echo "<a href=\"".$data[$i]['del_link']."\" ";
			echo "style=\"color:#FF0000\"";
			echo stwToolTip('VORSICHT! Wartung l&ouml;schen!');
			echo ">X</a>\n";
		}
		echo "</td></tr>\n";
		$index++;
		if($index >= 12 && $_GET['wt'] != 1) break;
	}
	new stwTabLine(2,30);
	$pros = abfrage1("select proj_id from tbh_proj_pkw where res_id='{$_REQUEST['res_id']}'");
	while($pro = mysql_fetch_row($pros)) {
		$projekt = new stwProjekt($pro[0]);
		echo "<tr><td colspan=\"30\">" . $projekt->link() . "</td></tr>\n";
	}
	echo "</table>\n";
	echo "</td></tr>\n";

	/* unerledigte Feedbacks abfragen und ggf. Tabelle aufbauen */
	$sql = "select fb_id,
			prio,
			feedback,
			proj_id,
			date_format(datetime, '%d.%m.%Y') as datum,
			pers_id,
			erl_ma,
			erl_gf
			from tb_res_fb
			where res_id = '{$_REQUEST['res_id']}'
			and erl_gf is null
			order by unix_timestamp(datetime) asc;";
	$fbs = abfrage1($sql);

	if (mysql_num_rows($fbs) > 0){
		echo "<tr><td>\n<table>\n";
		new stwTabLine(1,30);
		echo "<tr><th class=\"cl1\" style=\"text-align:center\">Nr.</th>\n";
		echo "<th class=\"cl1\" style=\"text-align:center\">Projekt</th>\n";
		echo "<th class=\"cl1\" style=\"text-align:center\">Datum</th>\n";
		echo "<th class=\"cl1\" style=\"text-align:center\">Benutzer</th>\n";
		echo "<th class=\"cl1\" style=\"text-align:center\">MA</th>\n";
		echo "<th class=\"cl1\" style=\"text-align:center\">GF</th>\n</tr>\n";
		new stwTabLine(2,30);

		while ($fb = mysql_fetch_assoc($fbs)){
			echo "<tr>";
			echo "<td style=\"padding-right:5px;text-align:center\">";
			if ($fb['prio'] > 2){
				$style = "style=\"color:#FF0000\"";
				$tt = "<b><i>Priorit&auml;t&nbsp;hoch</i></b><br>";
			} elseif ($fb['prio'] < 2) {
				$style = "style=\"color:#CCCCCC\"";
				$tt = "<b><i>Priorit&auml;t&nbsp;niedrig</i></b><br>";
			} else {
				$style = $tt = '';
			}

			$tt .= $fb['feedback'];

			echo "<a href=\"pkw_fb_and.php?fb_id={$fb['fb_id']}\" $style";
			echo stwToolTip($tt) . ">{$fb['fb_id']}</a></td>\n";

			echo "<td style=\"padding-right:5px\">";
			if ($fb['proj_id'] > 0){
				$pro = new stwProjekt($fb['proj_id']);
				echo $pro->nummer();
			}
			echo "</td>\n";

			echo "<td class=\"cl1\" style=\"text-align:right\">{$fb['datum']}</td>\n";
			echo "<td class=\"cl1\">" . pers_kname($fb['pers_id']) . "</td>\n";

			if ($fb['erl_ma'] > 0) {
				$col = 'green';
				$ma = abfrage("select fb_id, date_format(erl_ma_time, '%d.%m.%Y - %H:%i')
								from tb_res_fb where fb_id = {$fb['fb_id']};");
				$title = pers_kname($ma[0]) . ", $ma[1]";
			} else {
				$col = 'red';
				$title = "noch nicht vom Mitarbeiter erledigt";
			}
			echo "<td style=\"padding-right:5px;text-align:center\" title=\"$title\">";
			echo "<img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";
			if ($fb['erl_gf'] > 0) {
				$col = 'green';
				$gf = abfrage("select erl_gf_id, date_format(erl_gf_time, '%d.%m.%Y - %H:%i')
								from tb_res_fb where fb_id = {$fb['fb_id']};");
				$title = pers_kname($gf[0]) . ", $gf[1]";
			} else {
				$col = 'red';
				$title = "noch nicht vom Gesch&auml;ftsf&uuml;hrer als erledigt markiert";
			}
			echo "<td style=\"padding-right:5px;text-align:center\" title=\"$title\">";
			echo "<img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";

			echo "</tr>\n";
		}

		new stwTabLine(1,30);
		echo "</table>\n";
		echo "</td></tr>\n";
	}

	echo "</table>\n";
}
echo "</td></tr>\n";
echo "</table>\n";
new stwLine(1);

 if (!empty($_GET["res_id"]))
 {
   new stwEnd($seite, NULL, NULL, NULL, $_GET["res_id"], "0");
 }
 else
 {
   new stwEnd($seite);
 }

?>
