<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_aus.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 59;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

$self = $_SERVER['PHP_SELF'];

$abmonat = (isset($_REQUEST['abmonat'])) ? $_REQUEST['abmonat'] : date('n');
$abjahr = (isset($_REQUEST['abjahr'])) ? $_REQUEST['abjahr'] : date('Y');

$ts1 = mktime(0,0,0,$abmonat - 6, 1, $abjahr);
$ts2 = mktime(23,59,59,$abmonat - 1, date('t', mktime(23,59,59,$abmonat - 1,1,$abjahr)), $abjahr);

echo "<table><tr><th class=\"cl20\" style=\"vertical-align: middle; ";
echo "color: #FFFF00;\">PKW-Auslastung</th>\n";

echo "<th class=\"cl1\" style=\"vertical-align: middle\">W&auml;hlen Sie den ";
echo "anzuzeigenden Zeitraum:</th>\n";

$vm_ts = mktime(0,0,0,$abmonat - 1, 1, $abjahr);
$vmm = date('n', $vm_ts);
$vmj = date('Y', $vm_ts);

$order = isset($rvar_order) ? $rvar_order : 'name';

echo "<td class=\"cl1\" style=\"vertical-align: middle;\">";
echo "<a href=\"$self?abmonat=$vmm&abjahr=$vmj\">";
echo "<img src=\"img/zurueck.png\" border=\"0\"></a></td>\n";

echo "<th class=\"cl1\" style=\"vertical-align: middle;\">";
echo strftime('%B %Y', $ts1) . "</th>";

echo "<th class=\"cl1\" style=\"vertical-align: middle;\">-</th>\n";

echo "<th class=\"cl1\" style=\"vertical-align: middle;\">";
echo strftime('%B %Y', $ts2) . "</th>";

$fm_ts = mktime(0,0,0,$abmonat + 1, 1, $abjahr);
$fmm = date('n', $fm_ts);
$fmj = date('Y', $fm_ts);

echo "<td class=\"cl20\" style=\"vertical-align: middle;\">";
echo "<a href=\"$self?abmonat=$fmm&abjahr=$fmj\">";
echo "<img src=\"img/vor.png\" border=\"0\"></a></td>\n";

echo "<td style=\"vertical-align: middle;\">";
echo "<a href=\"pkw_aus_pr.php?abmonat=$abmonat&abjahr=$abjahr&ts=" . time() . "\" ";
echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\"></a></td>\n";

echo "</tr>\n</table>\n";
new stwLine(1);

$sql  = "select distinct r.res_id, r.name, r.pers_id, ";
$sql .= "unix_timestamp(r.datum) as ansch, r.aktiv, ";
$sql .= "if(unix_timestamp(r.kaufdatum) = 0 or isnull(r.kaufdatum), 0, to_days(r.kaufdatum)) as ruckorder, ";
$sql .= "date_format(r.kaufdatum, '%d.%m.%Y') as ruckdatum, ";
$sql .= "unix_timestamp(r.kaufdatum) as ruck_ts from tb_ab_zk z ";
$sql .= "left join tb_termine t on z.termin_id = t.termin_id ";
$sql .= "left join tb_ressourcen r on z.res_id = r.res_id ";
$sql .= "where z.res_id > 0 and (z.km_dienst > 0 or z.km_privat > 0) ";
$sql .= "and unix_timestamp(t.von) < '$ts2' ";
$sql .= "and unix_timestamp(t.bis) > '$ts1' order by ";

switch($order) {
	case 'ruc2':
		$sql .= "ruckorder asc, ";
		break;
	case 'ruck':
		$sql .= "ruckorder desc, ";
		break;
	case 'nam2':
		$sql .= "r.name desc, ";
		break;
}
$sql .= "r.name asc";
$res = abfrage1($sql);

echo "<table>\n";
$link = "pkw_aus.php?abmonat=$abmonat&amp;abjahr=$abjahr";

if (mysql_num_rows($res) > 0) {
	$now = time();
	$ord = ($order == 'name') ? 'nam2' : 'name';
	echo "<tr><th class=\"cl20\"><a href=\"$link&amp;order=$ord\">Fahrzeug</a></th>\n";
	$ord = ($order == 'ruck') ? 'ruc2' : 'ruck';
	echo "<th class=\"cl20\"><a href=\"$link&amp;order=$ord\">R&uuml;ckgabe</a></th>\n";
	$mon = $ts1;
	for($i=1; $i<=6; $i++) {
		echo "<th";
		if ($i < 6) echo " class=\"cl20\"";
		echo " style=\"text-align: center;\">";
		echo date('m/Y', $mon) . "</th>\n";
		$mon = mktime(0,0,0,date('n', $mon) + 1, 1, date('Y', $mon));
	}
	echo "</tr>\n";
	new stwTabLine(1,20);

	$rows = array();
	$sort = array();
	$i = 0;
	while ($row = mysql_fetch_array($res)) {
		$rows[ $row['res_id'] ] = $row;
		$mon1 = mktime(0,0,0,date('n', $ts2), 1, date('Y', $ts2));
		$mon2 = mktime(23,59,59,date('n', $mon1), date('t', $mon1), date('Y', $mon1));
		switch($order) {
			case 'll':
				$km_stand_end = km_stand($row['res_id'], $mon2);
				$km_stand_anf = km_stand($row['res_id'], $mon1 - 1);
				$km_akt = $km_stand_end - $km_stand_anf;
				$sort[ $row['res_id'] ] = $km_akt;
				break;
			case 'gl':
				$km_stand_end = km_stand($row['res_id'], $mon2);
				$sort[ $row['res_id'] ] = $km_stand_end;
				break;
			case 'dml':
			case 'h36':
				$sort[ $row['res_id'] ] = 0;
				$ansch_ts = $row['ansch'];
				if ($ansch_ts > 0){
					$ans_w1 = date('Y-m-d H:i', $ansch_ts);
					$ans_w2 = date('Y-m-d H:i', $mon2);
					$anz_ansch_mon_res = abfrage("select timestampdiff(month, '$ans_w1', '$ans_w2');");
					if ($anz_ansch_mon_res[0] > 0) {
						$km_stand_end = km_stand($row['res_id'], $mon2);
						$durchschnitt = $km_stand_end / $anz_ansch_mon_res[0];
						$sort[ $row['res_id'] ] = $durchschnitt;
					}
				}
				break;
			default:
				$sort[ $row['res_id'] ] = $i++;
		}
	}
	asort($sort);

	foreach($sort as $key => $val) {
		$row = $rows[$key];
		echo "<tr>\n";

		/* verantwortlichen Mitarbeiter fuer das Fahrzeug ermitteln */
		$sql  = "select pers_id from tbh_pers_res ";
		$sql .= "where res_id = '{$row['res_id']}' ";
		$sql .= "and ver = '1';";
		$ver = abfrage_assoc($sql);

		/* Name und Verantwortlichen des PKW ausgeben */
		$key_id = abfrage("select key_id from tbh_res_keys where res_id='{$row['res_id']}'");
		echo "<td class=\"cl20\"><table>\n";
		echo "<tr><th colspan=\"2\"><a href=\"pkw_and.php?res_id={$row['res_id']}\"";
		if($row['aktiv'] == 'n') echo " style=\"color:#999999\"";
		echo ">" . $row['name'] . "</a></th></tr>\n<tr><td>";
		$mas = abfrage1("select pers_e from tb_keys_aus where key_id='$key_id[0]' and pers_e = '{$ver['pers_id']}'");
		if(mysql_num_rows($mas) == 1) echo "<img src=\"img/key.png\">";
		echo "</td><th>" . pers_kname($ver['pers_id']) . "</th></tr>\n";

		$mas = abfrage1("select pers_e from tb_keys_aus where key_id='$key_id[0]' and pers_e != '{$ver['pers_id']}' and bis IS NULL");
		while($ma = mysql_fetch_row($mas)) {
			echo "<tr><td><img src=\"img/key.png\"></td>";
			echo "<td>" . pers_kname($ma[0]) . "</td></tr>\n";
		}

		echo "</table></td>\n<td";
		if($now > $row['ruck_ts']) echo " style=\"color:#FF0000\"";
		elseif($now + 15552000 > $row['ruck_ts']) echo " style=\"color:#FF00FF\"";
		echo ">".($row['ruckdatum']=='00.00.0000'?'':$row['ruckdatum'])."</td>\n";

		$mon = $ts1;
		for($i=1; $i<=6; $i++) {
			$slash_a = $i==6 ? "</a>" : '';
			echo "<td";
			if ($i < 6) echo " class=\"cl20\"";
			echo "><table width=\"70\">\n";

			/* Start- und Endzeitstempel des Monats ermitteln */
			$mon1 = $mon;
			$mon2 = mktime(23,59,59,date('n', $mon1), date('t', $mon1), date('Y', $mon1));

			/* km-Stand Monatsende */
			$km_stand_end = km_stand($row['res_id'], $mon2);

			/* km-Stand Monatsanfang */
			$km_stand_anf = km_stand($row['res_id'], $mon1 - 1);

			/* Differenz = Laufleistung im aktuellen Monat */
			$km_akt = $km_stand_end - $km_stand_anf;

			/* Laufleistung fuer den angezeigten Monat ausgeben */
			echo "<tr><td style=\"text-align: right;\"";
			if($i==6) echo "><a href=\"$link&amp;order=ll\" ";
			echo stwToolTip('Laufleistung im ' . strftime('%B %Y', $mon1));
			echo ">" . km_form($km_akt) . "$slash_a</td></tr>\n";


			$ansch_ts = $row['ansch'];

			/* km-Stand am Monatsende ausgeben */
			echo "<tr><td style=\"text-align: right;\"";
			if($i==6) echo "><a href=\"$link&amp;order=gl\" ";
			echo stwToolTip('Gesamtlaufleistung des Kfz bis ' . strftime('%B %Y', $mon1));
			echo ">" . km_form($km_stand_end) . "$slash_a</td></tr>\n";

			/* Anzahl der seit Anschaffung des Kfz vergangenen Monate ermitteln */
			if ($ansch_ts > 0){
				$ans_w1 = date('Y-m-d H:i', $ansch_ts);
				$ans_w2 = date('Y-m-d H:i', $mon2);

				$sql  = "select timestampdiff(month, '$ans_w1', '$ans_w2');";
				$anz_ansch_mon_res = abfrage($sql);

				if ($anz_ansch_mon_res[0] > 0) {

					/* durchschnittliche Monatslaufleistung */
					$durchschnitt = $km_stand_end / $anz_ansch_mon_res[0];

					echo "<tr><td style=\"text-align:right;\" ";
					if($i==6) echo "><a href=\"$link&amp;order=dml\" ";
					echo stwToolTip('durchschnittliche Monatslaufleistung');
					echo ">" . km_form($durchschnitt) . "$slash_a</td></tr>\n";

					/* Hochrechnung des Monatswerts auf 36 Monate (Leasingdauer)
					 * auf Basis des monatl. Durchschnitts
					 */
					$hoch36 = $durchschnitt * 36;
					$sw1 = getConf('pkw_sw1');
					$sw2 = getConf('pkw_sw2');

					/* Farbgebung des Hochrechnungswertes in der Tabelle */
					if ($hoch36 <= $sw1){
						$hoch36_color = '#ff0000'; /* bis 45.000 km -> rot */
					} elseif ($hoch36 > $sw1 && $hoch36 <= $sw2){
						$hoch36_color = '#ffff00'; /* 45.001 bis 50.000 km -> gelb */
					} else {
						$hoch36_color = '#00ff00'; /* ab 50.001 km -> gruen */
					}

					/* Hochrechnungswert ausgeben */
					echo "<tr><td style=\"text-align:right;";
					if($i==6) echo "\"><a href=\"$link&amp;order=h36\" style=\"";
					echo "color:$hoch36_color;\" ";
					echo stwToolTip('Hochrechnung &uuml;ber 36 Monate');
					echo ">" . km_form($hoch36) . "$slash_a</td></tr>\n";

				}

			}

			echo "</table></td>\n";

			$mon = mktime(0,0,0,date('n', $mon) + 1, 1, date('Y', $mon));
		}

		echo "</tr>\n";
		new stwTabLine(2,20);
	}
} else {
	echo "<tr><th style=\"color: #f00;\">F&uuml;r den angegebenen Zeitraum ";
	echo "liegen keine auswertbaren Daten vor!</th></tr>\n";
	new stwTabLine(1,1);
}
echo "</table>\n";
new stwEnd($seite);
?>
