<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_aus_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter('private');
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);
require_once($pfad."inc/auth.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, 'de_DE@euro');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(auto, 25);
$pdf->SetTopMargin(25);
$pdf->SetLeftMargin(15);
$pdf->AliasNbPages();

$footer = 'PKW-Auslastung';

$zh = 4.5;

$pdf->AddPage();

$abmonat = (isset($_REQUEST['abmonat'])) ? $_REQUEST['abmonat'] : date('n');
$abjahr = (isset($_REQUEST['abjahr'])) ? $_REQUEST['abjahr'] : date('Y');

$ts1 = mktime(0,0,0,$abmonat - 6, 1, $abjahr);
$ts2 = mktime(23,59,59,$abmonat - 1, date('t', mktime(23,59,59,$abmonat - 1,1,$abjahr)), $abjahr);

$ueberschrift  = 'PKW-Auslastung von ' . strftime('%B %Y', $ts1) . ' bis ';
$ueberschrift .= strftime('%B %Y', $ts2);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(100,$zh,$ueberschrift,0,1);

$pdf->Ln($zh/2);

$pdf->SetFont('Arial','B',11);
$pdf->SetFillColor(200,200,200);

$pdf->Cell(35,$zh,'Fahrzeug',1);

$mon = $ts1;
$i = 1;
while ($i <= 6) {
	$ln = ($i < 6) ? 0 : 1;
	$pdf->Cell(20,$zh, date('m/Y', $mon), 1, $ln, 'C');
	$mon = mktime(0,0,0,date('n', $mon) + 1, 1, date('Y', $mon));
	$i++;
}


$sql  = "select distinct r.res_id, r.name, r.pers_id, ";
$sql .= "unix_timestamp(r.datum) as ansch, r.aktiv from tb_ab_zk z ";
$sql .= "left join tb_termine t on z.termin_id = t.termin_id ";
$sql .= "left join tb_ressourcen r on z.res_id = r.res_id ";
$sql .= "where z.res_id > 0 and (z.km_dienst > 0 or z.km_privat > 0) ";
$sql .= "and unix_timestamp(t.von) < '$ts2' ";
$sql .= "and unix_timestamp(t.bis) > '$ts1' ";
$sql .= "order by r.name asc;";

$res = abfrage1($sql);

while ($row = mysql_fetch_array($res)) {

	/* aktuellen Y-Wert festhalten */
	$y_start = $pdf->GetY();

	$pdf->SetTextColor(0,0,0);
	$pdf->SetFont('Arial','B',9);

	/* verantwortlichen Mitarbeiter fuer das Fahrzeug ermitteln */
	$sql  = "select pers_id from tbh_pers_res ";
	$sql .= "where res_id = '{$row['res_id']}' ";
	$sql .= "and ver = '1';";
	$ver = abfrage_assoc($sql);

	/* Kennzeichen des Kfz ausgeben */
	$pdf->Cell(35,$zh,$row['name'],'LRT',2,'L',$row['aktiv']=='n'?1:0);

	$pdf->SetFont('Arial','',9);

	/* Name des verantwortlichen Mitarbeiters ausgeben */
	$pdf->Cell(35,$zh,pers_kname($ver['pers_id']),'LR',1,'L',$row['aktiv']=='n'?1:0);
	$key_id = abfrage("select key_id from tbh_res_keys where res_id='{$row['res_id']}'");
	$mas = abfrage1("select pers_e from tb_keys_aus where key_id='$key_id[0]' and pers_e != '{$ver['pers_id']}' limit 2");
	$pers = array();
	while($ma = mysql_fetch_row($mas)) {
		$pers[] = "+ ".pers_kname($ma[0]);
	}
	$pdf->Cell(35,$zh,$pers[0],'LR',1,'L',$row['aktiv']=='n'?1:0);
	$pdf->Cell(35,$zh,$pers[1],'LR',1,'L',$row['aktiv']=='n'?1:0);

	$pdf->SetXY(50,$y_start);

	$mon = $ts1;
	$i = 1;
	while ($i <= 6) {

		$pdf->SetTextColor(0,0,0);
		$pdf->SetFont('Arial','',9);

		/* Start- und Endzeitstempel des Monats ermitteln */
		$mon1 = $mon;
		$mon2 = mktime(23,59,59,date('n', $mon1), date('t', $mon1), date('Y', $mon1));


		/* km-Stand Monatsende */
		$km_stand_end = km_stand($row['res_id'], $mon2);

		/* km-Stand Monatsanfang */
		$km_stand_anf = km_stand($row['res_id'], $mon1 - 1);

		/* Differenz = Laufleistung im aktuellen Monat */
		$km_akt = $km_stand_end - $km_stand_anf;

		$pdf->SetXY(($i*20)+30, $y_start);
		$pdf->Cell(20,$zh,km_form($km_akt),1,2,'R');

		$ansch_ts = $row['ansch'];

		$pdf->Cell(20,$zh,km_form($km_stand_end),1,2,'R');

		/* Anzahl der seit Anschaffung des Kfz vergangenen Monate ermitteln */
		if ($ansch_ts > 0){
			$ans_w1 = date('Y-m-d H:i', $ansch_ts);
			$ans_w2 = date('Y-m-d H:i', $mon2);

			$sql  = "select timestampdiff(month, '$ans_w1', '$ans_w2');";
			$anz_ansch_mon_res = abfrage($sql);

			if ($anz_ansch_mon_res[0] > 0) {

				/* durchschnittliche Monatslaufleistung */
				$durchschnitt = $km_stand_end / $anz_ansch_mon_res[0];

				$pdf->Cell(20,$zh,km_form($durchschnitt),1,2,'R');

				/* Hochrechnung des Monatswerts auf 36 Monate (Leasingdauer)
				 * auf Basis des monatl. Durchschnitts
				 */
				$hoch36 = $durchschnitt * 36;

				/* Farbgebung des Hochrechnungswertes in der Tabelle */
				if ($hoch36 <= 45000){
					$h36_r = 255; /* bis 45.000 km -> rot */
					$h36_g = 0;
					$h36_b = 0;
				} elseif ($hoch36 > 45000 && $hoch36 <= 50000){
					$h36_r = 200; /* 45.001 bis 50.000 km -> gelb */
					$h36_g = 200;
					$h36_b = 0;
				} else {
					$h36_r = 0; /* ab 50.001 km -> gruen */
					$h36_g = 200;
					$h36_b = 0;
				}

				$pdf->SetTextColor($h36_r, $h36_g, $h36_b);

				$pdf->SetFont('Arial', 'B', 9);

				$ln = ($i < 6) ? 0 : 1;
				$pdf->Cell(20,$zh,km_form($hoch36),1,$ln,'R');

				$pdf->SetTextColor(0,0,0);

			} else {
				$pdf->Ln(0);
			}

		} else {
			$pdf->Ln(0);
		}

		$mon = mktime(0,0,0,date('n', $mon) + 1, 1, date('Y', $mon));
		$i++;

	}

	$y_ende = $y_start + 4 * $zh;
	$pdf->SetY($y_ende);

	$pdf->Line(15,$y_start,15,$y_ende);
	$pdf->Line(50,$y_start,50,$y_ende);
	$pdf->Line(15,$y_ende,50,$y_ende);

	if ($pdf->GetY() > 250){
		$pdf->AddPage();
	}
}

$pdf->Output();
exit;
?>
