<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_km.php 2757 2017-06-16 06:54:57Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 59;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

$auto = abfrage("select name from tb_ressourcen where res_id = $rvar_res_id");
list($jahr, $monat, $tag) = explode("-", $rvar_von);
$datum = mktime(0,0,0,$monat,$tag,$jahr);

$titel = "Fahrtenbuch <a href=\"pkw_and.php?res_id=$rvar_res_id\">$auto[0]</a>";
$titel .= " f&uuml;r " . strftime('%B %Y', $datum);

echo "<table><tr><th style=\"padding-right:30px\">$titel</th>";
echo "<td><a href=\"fahrten_pr_mon.php?res_id=$rvar_res_id&von=$rvar_von&bis=$rvar_bis&ts=" . time() . "\" ";
echo "target=\"_pdf\" title=\"Fahrtenbuch drucken\">";
echo "<img src=\"img/drucker.png\" border=\"0\"></a></td>\n";
echo "</tr></table>\n";

// Anfangs-km-Stand
$anf = abfrage("select sum(z.km_dienst) from tb_ab_zk z
				left join tb_termine t using (termin_id)
				where z.res_id = $rvar_res_id
				and to_days(t.von) < to_days('$rvar_von');");
// End-km-Stand
$end = abfrage("select sum(z.km_dienst) from tb_ab_zk z
				left join tb_termine t using (termin_id)
				where z.res_id = $rvar_res_id
				and to_days(t.von) <= to_days('$rvar_bis');");

echo "<table><tr><th style=\"padding-right:10px\">Monatsanfang :</th>";
echo "<td style=\"padding-right:30px;font-weight:bold\">" . km_form($anf[0]) . "</td>\n";

echo "<th style=\"padding-right:10px\">Monatsende :</th>";
echo "<td style=\"padding-right:30px;font-weight:bold\">" . km_form($end[0]) . "</td>\n";

echo "<th style=\"padding-right:10px\">gefahren :</th>";

echo "<td style=\"font-weight:bold\">" . km_form($end[0] - $anf[0]) . "</td>\n";
echo "</tr></table>\n";

new stwLine(1);

echo <<< KOPFZEILE
<table>
<tr>
<th style="padding-right:10px">Datum</th>
<th style="padding-right:10px;text-align:center">von</th>
<th style="padding-right:10px;text-align:center">&uuml;ber</th>
<th style="padding-right:10px;text-align:center">nach</th>
<th style="padding-right:10px;text-align:center">Grund</th>
<th style="padding-right:10px;text-align:center">km</th>
<th style="text-align:center">Benutzer</th>
</tr>

KOPFZEILE;
new stwTabLine(2,30);

for($i=0;$i<2;$i++) {
	$sql = "select date_format(t.von, '%d.%m.%Y') as datum,
			z.km_von,
			z.km_via1,
			z.km_nach,
			t.terminart,
			z.km_dienst,
			f.fahrt,
			concat(left(p.vorname,1), '. ', p.name) as benutzer,
			z.proj_id,
			z.zk_id
			from tb_ab_zk z
			left join tb_termine t on z.termin_id = t.termin_id
			left join tb_personal p on z.pers_id = p.pers_id
			left join tb_fahrt f on z.fahrt_id = f.fahrt_id
			where z.res_id = $rvar_res_id ";
	$sql.= $i==0 ? "and z.km_dienst > 0 " : "and z.km_dienst = 0 and z.res_id > 0 ";
	$sql.= "and to_days(t.von) >= to_days('$rvar_von')
			and to_days(t.von) <= to_days('$rvar_bis')
			order by t.von asc;";
	$fas = abfrage1($sql); 

	while ($fa = mysql_fetch_assoc($fas)){
		echo "<tr><td style=\"padding-right:10px;text-align:right\">";
		$lnk = $fa['terminart']=='a' ? "fahrten_and.php?" : "pro_ab_zk.php?proj_id={$fa['proj_id']}&";
		echo "<a href=\"" . $lnk . "zk_id={$fa['zk_id']}\"";
		if($i == 0) echo " style=\"color:$zk_ab_ja\"";
		echo ">" . $fa['datum'] . "</a></td>\n";
		echo "<td style=\"padding-right:10px\">{$fa['km_von']}</td>\n";
		echo "<td style=\"padding-right:10px\">{$fa['km_via1']}</td>\n";
		echo "<td style=\"padding-right:10px\">{$fa['km_nach']}</td>\n";

		if ($fa['terminart'] == 'a'){
			$grund = $fa['fahrt'];
		} else {
			$projekt = new stwProjekt($fa['proj_id']);
			$grund = $projekt->nummer();
		}
		echo "<td style=\"padding-right:10px\">$grund</td>\n";
		echo "<td style=\"padding-right:10px;text-align:right\">";
		echo km_form($fa['km_dienst']) ."</td>\n";
		echo "<td style=\"padding-right:10px\">{$fa['benutzer']}</td>\n";

		echo "</tr>\n";
	}
	if($i==0) new stwTabLine(2,30);
}
echo "</table>\n";

new stwLine(1);
new stwEnd($seite);
?>
