<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_kosten.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 59;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");

/* auszuwertende Parameter ermitteln */
$monat = (isset($_GET['abmonat'])) ? $_GET['abmonat'] : date('n');
$jahr  = (isset($_GET['abjahr'])) ? $_GET['abjahr'] : date('Y');
$page = intval($_GET['page']);

$abcal = ab_cal($monat, $jahr);

$abm = $abcal['amm'];
$abj = $abcal['amj'];
$vmm = $abcal['vmm'];
$vmj = $abcal['vmj'];
$fmm = $abcal['fmm'];
$fmj = $abcal['fmj'];

$self = $_SERVER['PHP_SELF'];

$traeger = isset($rvar_traeger) ? $rvar_traeger : getPersEinst($uid, "pkw_traeger_art_id", 0);

$auto = isset($rvar_auto) ? $rvar_auto : 0;

if(isset($_POST['kosten'])) $kosten = str_replace(',', '.', $_POST['kosten']);
if(isset($_POST['save'])) {
	if($_POST['id'] > 0) {
		if($kosten >= 0.01 || $kosten <= -0.01) {
			$sql = "update tb_res_einzelkosten 
					set kosten='$kosten', 
					notizen='{$_POST['notizen']}'
					where id='{$_POST['id']}'";
		} else {
			$sql = "delete from tb_res_einzelkosten where id='{$_POST['id']}'";
		}
		abfrage2($sql);
	} elseif($kosten >= 0.01 || $kosten <= -0.01) {
		$sql = "insert into tb_res_einzelkosten
				set res_id='{$_POST['res_id']}', 
				ab_monat='{$abcal['von']}', page='$page',
				kosten='$kosten', notizen='{$_POST['notizen']}'";
		abfrage2($sql);
	}
	$sql = "select sum(kosten) from tb_res_einzelkosten
			where res_id='{$_POST['res_id']}' 
			and ab_monat='{$abcal['von']}' and page='$page'";
	$kost = abfrage($sql);
	$sql = "update tb_res_kosten set kosten" . $page . " = '$kost[0]'
			where res_id = '{$_POST['res_id']}' and ab_monat = '{$abcal['von']}';";
	abfrage2($sql);
} elseif(isset($_POST['res_id']) && ($kosten >= 0.01 || $kosten <= -0.01)) {
	$sql = "insert into tb_res_einzelkosten
			set res_id='{$_POST['res_id']}', 
			ab_monat='{$abcal['von']}', page='$page',
			kosten='$kosten', notizen='{$_POST['notizen']}'";
	abfrage2($sql);
	$sql = "select sum(kosten) from tb_res_einzelkosten
			where res_id='{$_POST['res_id']}' 
			and ab_monat='{$abcal['von']}' and page='$page'";
	$kost = abfrage($sql);
	$sql = "insert into tb_res_kosten set kosten" . $page . " = '$kost[0]',
			res_id = '{$_POST['res_id']}', ab_monat = '{$abcal['von']}'
			ON DUPLICATE KEY UPDATE kosten" . $page . " = '$kost[0]';";
	abfrage2($sql);
}

echo "<table><tr>\n";

echo "<th class=\"cl11\" style=\"vertical-align: middle;\">";
echo "PKW-Kosten f&uuml;r Abrechnungsmonat:</th>\n";

echo "<form action=\"$self\" method=\"get\">\n";

echo "<td class=\"cl1\" style=\"vertical-align: middle;\">";
echo "<a href=\"$self?abmonat=$vmm&amp;abjahr=$vmj&amp;traeger=$traeger&amp;auto=$auto\">";
echo "<img src=\"img/zurueck.png\" border=\"0\"></a></td>\n";

echo "<td class=\"cl1\" style=\"vertical-align: middle;\">";
echo "<select name=\"abmonat\" onchange=\"this.form.submit()\">\n";

for ($i = 1; $i <= 12; $i++)
{
	$dt = strftime("%B", mktime(0,0,0,$i,1,1));
	echo "<option value=\"$i\"";
	if ($monat == $i) {
		echo " selected ";
	}
	echo ">$dt</option>\n";
}
echo "</	></td>\n";

echo "<td class=\"cl1\" style=\"vertical-align: middle;\">";
echo "<select name=\"abjahr\" onchange=\"this.form.submit()\">\n";

$y = date('Y') + 1;
$x = $y - 11;

for ($i = $x; $i <= $y; $i++) {
	echo "<option value=\"$i\"";
	if ($jahr == $i) echo ' selected ';
	echo ">$i</option>\n";
}
echo "</select></td>\n";

if (isset($rvar_pers_einst)) {
	abfrage2("update tb_pers_einst set pkw_traeger_art_id='$traeger' where pers_id='$uid'");
} else $rvar_pers_einst = 0;

echo "<td class=\"cl11\" style=\"vertical-align: middle;\">";
echo "<a href=\"$self?abmonat=$fmm&amp;abjahr=$fmj&amp;traeger=$traeger&amp;auto=$auto\">";
echo "<img src=\"img/vor.png\" border=\"0\"></a></td>\n";

echo "<th class=\"cl1\">Tr&auml;ger:</th>\n";
echo "<td><select name=\"traeger\" size=\"1\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"0\" title=\"Fahrzeuge aller Tr&auml;ger anzeigen\">ALLE</option>\n";
$trs = abfrage1("SELECT traeger_art_id, kurzname, traeger_art, farbe FROM tb_traeger_art order by kurzname asc");
while($tr = mysql_fetch_array($trs)) {
	$selected = $tr[0]==$traeger ? 'selected' : '';
	echo "<option style=\"color:$tr[3]\" value=\"$tr[0]\" title=\"$tr[2]\" $selected>$tr[1]</option>\n";
}
echo "</select></td>\n";
echo "<td class=\"cl20\">\n";
echo "<a href=\"pkw_kosten.php?abmonat=$abm&amp;abjahr=$abj&amp;traeger=$traeger&amp;pers_einst=1\" ";
$tt = "Aktuellen Tr&auml;ger als pers&ouml;nliche Voreinstellung speichern!";
echo stwToolTip($tt);
echo "style=\"color:";
echo ($rvar_pers_einst == 1) ? "lime" : "#CCCCCC";
echo "\">:)</a></td>";

echo "</td>\n";
echo "</form>\n";

echo "<th class=\"cl1\">PKW:</th>";
echo "<td class=\"cl11\">";
echo "<form action=\"$self\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"abmonat\" value=\"$monat\">\n";
echo "<input type=\"hidden\" name=\"abjahr\" value=\"$jahr\">\n";
$sql = "select r.res_id, r.name, r.farbe from tb_ressourcen r
		left join tb_res_typ t on r.res_typ = t.res_typ
		where t.name = 'PKW' and r.aktiv = 'j'
		or r.res_id = '$auto'
		order by r.name asc;";
$res = abfrage1($sql);
echo "<select name=\"auto\" size=\"1\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"0\" title=\"Fahrzeuge aller Tr&auml;ger anzeigen\">ALLE</option>\n";
while($pkw = mysql_fetch_row($res)) {
	$selected = $pkw[0]==$auto ? 'selected' : '';
	echo "<option style=\"color:$pkw[2]\" value=\"$pkw[0]\" $selected>$pkw[1]</option>\n";
}
echo "</select>\n";
echo "</form>\n";
echo "</td>\n";

echo "<td class=\"cl11\" style=\"vertical-align: middle;\">";
echo "<a href=\"pkw_sphere_pr.php?abjahr=$jahr&amp;abmonat=$monat&amp;traeger=$traeger&amp;ts=";
echo time() . "\" target=\"_pdf\"";
echo stwToolTip('&Uuml;bersicht Steuersph&auml;renzuordnung drucken');
echo "><img src=\"img/drucker.png\" border=\"0\"></a></td>\n";

echo "</tr></table>\n";

new stwLine(1);

if($page) {
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function DoTT(id,res_id) {\n";
	echo "var kosten = document.getElementById('kosten_'+res_id+'_'+id);\n";
	echo "var notizen = document.getElementById('notizen_'+res_id+'_'+id);\n";
	echo "var str = '<form name=\"tempform\" method=\"post\" action=\"$self?abmonat=$monat&abjahr=$jahr&page=$page&traeger=$traeger&auto=$auto\">';\n";
	echo "str += '<input type=\"hidden\" name=\"res_id\" value=\"';\n";
	echo "str += res_id;\n";
	echo "str += '\" />';\n";
	echo "str += '<input type=\"hidden\" name=\"id\" value=\"';\n";
	echo "str += id;\n";
	echo "str += '\" />';\n";
	echo "str += '<input type=\"text\" style=\"text-align:right;width:80px\" name=\"kosten\" value=\"';\n";
	echo "str += kosten.value;\n";
	echo "str += '\" /> &euro;,&cent;<br /><br />';\n";
	echo "str += 'Notizen:<br><textarea style=\"width:200px\" name=\"notizen\">';\n";
	echo "str += notizen.value;\n";
	echo "str += '</textarea><br /><br />';\n";
	echo "str += '<input type=\"submit\" value=\"speichern\" name=\"save\" /></form>';\n";
	echo "var anker = 'edit_' + res_id + '_' + id;\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, '".($page==1 ? 'Kraftstoffkosten' : 'sonstige Kosten')."',TITLEBGCOLOR, '#006600', WIDTH, 210, HEIGHT, 120, FIX, [anker,-100,-20], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n";
	echo "--></script>\n";
}

echo "<table>\n";
$sql  = "select r.res_id, r.name, r.aktiv from tb_ressourcen r ";
$sql .= "left join tb_res_typ t on r.res_typ = t.res_typ ";
if($auto > 0) $sql .= "where r.res_id = '$auto';";
else {
	$sql .= "where t.name = 'PKW' and r.aktiv = 'j' ";
	if($traeger > 0) $sql .= "and traeger_art_id = '$traeger' ";
	$sql .= "order by r.name asc;";
}

$res = abfrage1($sql);

$link = "pkw_kosten.php?abmonat=$abm&abjahr=$abj&traeger=$traeger&auto=$auto&page";
$class = $page==0 ? 'menuactive' : 'menuinactive';
echo "<tr><th width=\"100\" class=\"$class\"".stwToolTip('zur &Uuml;bersichtsseite')."><a href=\"$link=0\">Fahrzeug</a></th>\n";
echo "<td rowspan=\"300\" style=\"background-color:#006600\"></td>\n";
echo "<th style=\"text-align:right\">Summe</th>\n";
echo "<td rowspan=\"300\" style=\"background-color:#006600\"></td>\n";
if($page==0) {
	echo "<th width=\"100\" class=\"menuinactive\"><a href=\"$link=1\">Kraftstoffkosten</a></th>\n";
	echo "<th width=\"100\" class=\"menuinactive\"><a href=\"$link=2\">sonstige Kosten</a></th>\n";
} else {
	echo "<th width=\"200\" colspan=\"2\">" . ($page==1 ? 'Kraftstoffkosten' : 'sonstige Kosten') . "</th>\n";
	echo "<td rowspan=\"300\" style=\"background-color:#006600\"></td>\n";
	echo "<th colspan=\"5\" style=\"text-align:right\">neuen Kostenpunkt hinzuf&uuml;gen</th>";
}
echo "</tr>\n";
new stwTabLine(2,30);

$sum = $s_fz = $s_kk = $s_sk = 0;
$ti = 1;

while ($pkw = mysql_fetch_assoc($res)){
	echo "<form action=\"$link=$page\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"res_id\" value=\"{$pkw['res_id']}\">\n";
	echo "<tr class=\"mo\"><td class=\"cl20\"><a href=\"pkw_and.php?";
	echo "res_id={$pkw['res_id']}\"";
	if($page) {
	}
	if($pkw['aktiv'] == 'n') echo " style=\"color:#999999\"";
	echo ">{$pkw['name']}</a></td>\n";

	/* evtl.vorhanden Daten abfragen */
	$sql = "select kosten1, kosten2 from tb_res_kosten
			where res_id = '{$pkw['res_id']}' 
			and ab_monat = '{$abcal['von']}';";
	$dat1 = abfrage_assoc($sql);

	$style = $style1 = $style2 = $tt = $tt1 = $tt2 = '';
	if($page == 0 || $page == 1) {
		$sql = "select sum(kosten) from tb_res_einzelkosten
				where res_id = '{$pkw['res_id']}' 
				and ab_monat = '{$abcal['von']}' and page = '1'";
		$ksum = abfrage($sql);
		if($ksum[0] != $dat1['kosten1']) {
			$style = $style1 = 'color:red';
			$tt = $tt1 = stwToolTip("Der Wert im Feld 'Summe Kraftstoffkosten' (".geld_form_web($dat1['kosten1']).")<br>entspricht nicht der Summe der einzelnen Posten (".geld_form_web($ksum[0]).")");
		}
	}
	if($page == 0 || $page == 2) {
		$sql = "select sum(kosten) from tb_res_einzelkosten
				where res_id = '{$pkw['res_id']}' 
				and ab_monat = '{$abcal['von']}' and page = '2'";
		$ksum = abfrage($sql);
		if($ksum[0] != $dat1['kosten2']) {
			$style = $style2 = 'color:red';
			$tt = $tt2 = stwToolTip("Der Wert im Feld 'Summe sonstige Kosten' (".geld_form_web($dat1['kosten2']).")<br>entspricht nicht der Summe der einzelnen Posten (".geld_form_web($ksum[0]).")");
		}
	}
	
	echo "<td style=\"text-align:right;$style\" $tt id=\"sum_".$pkw['res_id']."\">";
	if($page == 0) {
		echo geld_form_web($dat1['kosten1'] + $dat1['kosten2']) . "</td>\n";
		$sum += $dat1['kosten1'] + $dat1['kosten2'];
		echo "<td $tt1 style=\"text-align:right;$style1\">" . geld_form_web($dat1['kosten1']) . "</td>\n";
		$s_kk += $dat1['kosten1'];
		echo "<td $tt2 style=\"text-align:right;$style2\">" . geld_form_web($dat1['kosten2']);
		$s_sk += $dat1['kosten2'];
	} elseif($page == 1) {
		$sum += $dat1['kosten1'];
		echo geld_form_web($dat1['kosten1']);
	} elseif($page == 2) {
		$sum += $dat1['kosten2'];
		echo geld_form_web($dat1['kosten2']);
	}
	echo "</td>\n";
	if($page) {
		echo "<td colspan=\"2\" class=\"cl20\"><table cellspacing=\"0\" cellpadding=\"0\"><tr>\n";
		$sql = "select id, kosten, notizen from tb_res_einzelkosten
				where res_id = '{$pkw['res_id']}' 
				and ab_monat = '{$abcal['von']}'
				and page = '$page'
				order by id asc;";
		$dats = abfrage1($sql);
		if(mysql_num_rows($dats) == 0 && $dat1['kosten'.$page] != 0.00) {
			abfrage2("insert into tb_res_einzelkosten set kosten='{$dat1['kosten'.$page]}', res_id = '{$pkw['res_id']}', ab_monat = '{$abcal['von']}', page = '$page'");
			$dats = abfrage1($sql);
		}
		while($dat2 = mysql_fetch_row($dats)) {
		  if($dat2[1] != 0.00) {
			echo "<td class=\"cl1\"";
			if(strlen($dat2[2])>0) echo stwToolTip($dat2[2]);
			echo ">" . geld_form_web($dat2[1]) . "</td>";
			echo "<td class=\"cl11\">";
			echo "<input type=\"hidden\" id=\"kosten_".$pkw['res_id'].'_'.$dat2[0]."\" value=\"$dat2[1]\">\n";
			echo "<textarea style=\"display:none\" id=\"notizen_".$pkw['res_id'].'_'.$dat2[0]."\">$dat2[2]</textarea>\n";
			echo "<img id=\"edit_".$pkw['res_id'].'_'.$dat2[0]."\" src=\"img/stift.png\" onclick=\"DoTT(".$dat2[0].",".$pkw['res_id'].")\" style=\"cursor:pointer\" />";
			echo "</td>\n";
		  }
		}
		echo "</tr></table></td>\n";
		echo "<th>&euro;,&cent;:</th>";
		echo "<td><input type=\"text\" name=\"kosten\" size=\"6\" ";
		echo "tabindex=\"$ti\" style=\"text-align: right;\">"; $ti++;
		echo "<th>Notiz:</th>";
		echo "<td><textarea tabindex=\"$ti\" style=\"height:16px;width:100px\" name=\"notizen\">";
		echo "</textarea></td>\n"; $ti++;
		echo "<td><input tabindex=\"$ti\" type=\"image\" src=\"img/senden.png\" /></td>"; $ti++;
	}
	echo "</tr>\n";
	echo "</form>\n";
}

new stwTabLine(2,30);

echo "<tr><th>";
echo mysql_num_rows($res) . " Fahrzeuge";
echo "</th><td style=\"text-align:right\">";
echo geld_form_web($sum);
echo "</td><td style=\"text-align:right\">";
if($page==0) echo geld_form_web($s_kk);
echo "</td><td style=\"text-align:right\">";
if($page==0) echo geld_form_web($s_sk);
echo "</td></tr>";
echo "</table>\n";

new stwLine(1);

new stwEnd($seite);

?>
