<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_kosten_aus.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 59;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

$self = $_SERVER['PHP_SELF'];

$abmonat = (isset($_REQUEST['abmonat'])) ? $_REQUEST['abmonat'] : date('n');
$abjahr = (isset($_REQUEST['abjahr'])) ? $_REQUEST['abjahr'] : date('Y');

$ts1 = mktime(0,0,0,$abmonat - 6, 1, $abjahr);
$ts2 = mktime(23,59,59,$abmonat - 1, date('t', mktime(23,59,59,$abmonat - 1,1,$abjahr)), $abjahr);

echo "<table><tr><th class=\"cl20\" style=\"vertical-align: middle; ";
echo "color: #FFFF00;\">PKW-Auslastung</th>\n";

echo "<th class=\"cl1\" style=\"vertical-align: middle\">W&auml;hlen Sie den ";
echo "anzuzeigenden Zeitraum:</th>\n";

$vm_ts = mktime(0,0,0,$abmonat - 1, 1, $abjahr);
$vmm = date('n', $vm_ts);
$vmj = date('Y', $vm_ts);

echo "<td class=\"cl1\" style=\"vertical-align: middle;\">";
echo "<a href=\"$self?abmonat=$vmm&abjahr=$vmj\">";
echo "<img src=\"img/zurueck.png\" border=\"0\"></a></td>\n";

echo "<th class=\"cl1\" style=\"vertical-align: middle;\">";
echo strftime('%B %Y', $ts1) . "</th>";

echo "<th class=\"cl1\" style=\"vertical-align: middle;\">-</th>\n";

echo "<th class=\"cl1\" style=\"vertical-align: middle;\">";
echo strftime('%B %Y', $ts2) . "</th>";

$fm_ts = mktime(0,0,0,$abmonat + 1, 1, $abjahr);
$fmm = date('n', $fm_ts);
$fmj = date('Y', $fm_ts);

echo "<td class=\"cl20\" style=\"vertical-align: middle;\">";
echo "<a href=\"$self?abmonat=$fmm&abjahr=$fmj\">";
echo "<img src=\"img/vor.png\" border=\"0\"></a></td>\n";

echo "<td style=\"vertical-align: middle;\">";
echo "<a href=\"pkw_kosten_aus_pr.php?abmonat=$abmonat&abjahr=$abjahr&ts=" . time() . "\" ";
echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\"></a></td>\n";

echo "</tr>\n</table>\n";
new stwLine(1);

$sql  = "select distinct r.res_id, r.name, r.pers_id, dat2, dat3, dat4, ";
$sql .= "unix_timestamp(r.datum) as ansch, r.aktiv from tb_ab_zk z ";
$sql .= "left join tb_termine t on z.termin_id = t.termin_id ";
$sql .= "left join tb_ressourcen r on z.res_id = r.res_id ";
$sql .= "where z.res_id > 0 and (z.km_dienst > 0 or z.km_privat > 0) ";
$sql .= "and unix_timestamp(t.von) < '$ts2' ";
$sql .= "and unix_timestamp(t.bis) > '$ts1' ";
$sql .= "order by r.name asc;";

$res = abfrage1($sql);

echo "<table>\n";

if (mysql_num_rows($res) > 0) {
	echo "<tr><th class=\"cl20\">Fahrzeug</th>\n";
	$mon = $ts1;
	$i = 1;
	while ($i <= 6) {
		echo "<th";
		if ($i < 6) echo " class=\"cl20\"";
		echo " style=\"text-align: center;\">";
		echo date('m/Y', $mon) . "</th>\n";
		$mon = mktime(0,0,0,date('n', $mon) + 1, 1, date('Y', $mon));
		$i++;
	}
	echo "</tr>\n";
	new stwTabLine(1,20);

	while ($row = mysql_fetch_array($res)) {
		echo "<tr>\n";

		/* verantwortlichen Mitarbeiter fuer das Fahrzeug ermitteln */
		$sql  = "select pers_id from tbh_pers_res ";
		$sql .= "where res_id = '{$row['res_id']}' ";
		$sql .= "and ver = '1';";
		$ver = abfrage_assoc($sql);

		/* Name und Verantwortlichen des PKW ausgeben */
		echo "<td class=\"cl20\"><table>\n";
		echo "<tr><th><a href=\"pkw_and.php?res_id={$row['res_id']}\"";
		if($row['aktiv'] == 'n') echo "style=\"color:#999999\"";
		echo ">" . $row['name'] . "</a></th></tr>\n";
		echo "<tr><td>" . pers_kname($ver['pers_id']) . "</td></tr>\n";
		echo "</table></td>\n";

		$mon = $ts1;
		$i = 1;
		while ($i <= 6) {

			echo "<td";
			if ($i < 6) echo " class=\"cl20\"";
			echo "><table width=\"70\">\n";

			/* Start- und Endzeitstempel des Monats ermitteln */
			$mon1 = $mon;
			$mon2 = mktime(23,59,59,date('n', $mon1), date('t', $mon1), date('Y', $mon1));

			/* erster des Monats im MySQL-Date-Format */
			$ab_monat = date('Y-m-d', $mon1);

			/* Krafstoff- und sonstige Kosten fuer Monat und dieses Kfz ermitteln */
			$sql  = "select kosten1, kosten2 from tb_res_kosten ";
			$sql .= "where res_id = '{$row['res_id']}' ";
			$sql .= "and ab_monat = '$ab_monat';";

			$res_kosten = abfrage_assoc($sql);

			/* Kraftstoffkosten fuer den angezeigten Monat ausgeben */
			echo "<tr><td style=\"text-align: right;\"";
			echo stwToolTip('Kraftstoffkosten im ' . strftime('%B %Y', $mon1));
			echo ">" . geld_form_web($res_kosten['kosten1']) . "</td></tr>\n";

			/* km-Stand Monatsende */
			$km_stand_end = km_stand($row['res_id'], $mon2);

			/* km-Stand Monatsanfang */
			$km_stand_anf = km_stand($row['res_id'], $mon1 - 1);

			/* Differenz = Laufleistung im aktuellen Monat */
			$km_akt = $km_stand_end - $km_stand_anf;


			if ($km_akt > 0) {

				/* Kraftstoffkosten je km fuer akt. Monat ermitteln */
				$km_kosten = $res_kosten['kosten1'] / $km_akt;

				/* Kraftstoffkosten je km fuer akt. Monat ausgeben */
				echo "<tr><td style=\"text-align: right;\"";
				echo stwToolTip('Kraftstoffkosten je km im ' . strftime('%B %Y', $mon1));
				echo ">" . geld_form_web($km_kosten) . "</td></tr>\n";

			}

			/* sonstige Kosten fuer den angezeigten Monat ausgeben */
			echo "<tr><td style=\"text-align: right;\"";
			echo stwToolTip('sonstige Kosten im ' . strftime('%B %Y', $mon1));
			echo ">" . geld_form_web($res_kosten['kosten2']) . "</td></tr>\n";


			/* Monatsletzter als Grundlage fuer MySQL-Funktion timestampdiff
			 * im MySQL-Date-Format
			 */
			$ber_bis = date('Y-m-d', $mon2);
			$ber_von = date('Y-m-d', $row['ansch']);

			/* Summe alle bisher eingegebenen Kraftstoff- und sonstigen Kosten */
			$sql  = "select sum(kosten1) + sum(kosten2) as kosten ";
			$sql .= "from tb_res_kosten where res_id = '{$row['res_id']}';";
			$res1 = abfrage_assoc($sql);
			$posten1 = $res1['kosten'];

			/* Versicherungskosten ermitteln */
			$posten2 = pkwKosten($row['res_id'],$ber_von,$ber_bis,'v');

			/* Kfz-Steuer ermitteln */
			$posten3 = pkwKosten($row['res_id'],$ber_von,$ber_bis,'k');

			/* Rate ermitteln */
			$posten4 = pkwKosten($row['res_id'],$ber_von,$ber_bis,'r');

			$gesamtkosten = $posten1 + $posten2 + $posten3 + $posten4;

			if ($km_stand_end > 0) {

				$kosten_je_km = $gesamtkosten / $km_stand_end;

				$kosten_farbe = ($kosten_je_km > 0.3) ? '#ff0000' : '#00ff00';

				/* Gesamtkosten je km ausgeben */
				echo "<tr><td style=\"color: $kosten_farbe; text-align: right;\"";
				echo stwToolTip('Gesamtkosten je km');
				echo ">" . geld_form_web($kosten_je_km) . "</td></tr>\n";

			}

			echo "</table></td>\n";

			$mon = mktime(0,0,0,date('n', $mon) + 1, 1, date('Y', $mon));
			$i++;
		}

		echo "</tr>\n";
		new stwTabLine(2,20);
	}
} else {
	echo "<tr><th style=\"color: #f00;\">F&uuml;r den angegebenen Zeitraum ";
	echo "liegen keine auswertbaren Daten vor!</th></tr>\n";
	new stwTabLine(1,1);
}
echo "</table>\n";
new stwEnd($seite);
?>
