<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_kosten_aus_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter('private');
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 21);
require_once($pfad."inc/auth.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, 'de_DE@euro');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(auto, 25);
$pdf->SetTopMargin(25);
$pdf->SetLeftMargin(15);
$pdf->AliasNbPages();

$footer = 'PKW-Kostencontrolling';

$zh = 4.5;

$pdf->AddPage();

$abmonat = (isset($_REQUEST['abmonat'])) ? $_REQUEST['abmonat'] : date('n');
$abjahr = (isset($_REQUEST['abjahr'])) ? $_REQUEST['abjahr'] : date('Y');

$ts1 = mktime(0,0,0,$abmonat - 6, 1, $abjahr);
$ts2 = mktime(23,59,59,$abmonat - 1, date('t', mktime(23,59,59,$abmonat - 1,1,$abjahr)), $abjahr);

$ueberschrift  = 'PKW-Kostencontrolling von ' . strftime('%B %Y', $ts1) . ' bis ';
$ueberschrift .= strftime('%B %Y', $ts2);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(100,$zh,$ueberschrift,0,1);

$pdf->Ln($zh/2);

$pdf->SetFont('Arial','B',11);
$pdf->SetFillColor(200,200,200);

$pdf->Cell(40,$zh,'Fahrzeug',1);

$mon = $ts1;
$i = 1;
while ($i <= 6) {
	$ln = ($i < 6) ? 0 : 1;
	$pdf->Cell(20,$zh, date('m/Y', $mon), 1, $ln, 'C');
	$mon = mktime(0,0,0,date('n', $mon) + 1, 1, date('Y', $mon));
	$i++;
}

$sql  = "select distinct r.res_id, r.name, r.pers_id,  dat2, dat3, dat4, ";
$sql .= "unix_timestamp(r.datum) as ansch, r.aktiv from tb_ab_zk z ";
$sql .= "left join tb_termine t on z.termin_id = t.termin_id ";
$sql .= "left join tb_ressourcen r on z.res_id = r.res_id ";
$sql .= "where z.res_id > 0 and (z.km_dienst > 0 or z.km_privat > 0) ";
$sql .= "and unix_timestamp(t.von) < '$ts2' ";
$sql .= "and unix_timestamp(t.bis) > '$ts1' ";
$sql .= "order by r.name asc;";

$res = abfrage1($sql);

$y_start = $pdf->GetY();

while ($row = mysql_fetch_array($res)) {

	$y_start = $pdf->GetY();

	$pdf->SetTextColor(0,0,0);
	$pdf->SetFont('Arial','B',9);

	/* verantwortlichen Mitarbeiter fuer das Fahrzeug ermitteln */
	$sql  = "select pers_id from tbh_pers_res ";
	$sql .= "where res_id = '{$row['res_id']}' ";
	$sql .= "and ver = '1';";
	$ver = abfrage_assoc($sql);

	$pdf->SetY($y_start);

	/* Kennzeichen des Kfz ausgeben */
	$pdf->Cell(40,$zh,$row['name'],'LTR',2,'L',$row['aktiv']=='n'?1:0);

	$pdf->SetFont('Arial','',9);

	/* Name des verantwortlichen Mitarbeiters ausgeben */
	$pdf->Cell(40,$zh*3,pers_kname($ver['pers_id']),'LR',1,'L',$row['aktiv']=='n'?1:0);

	$pdf->SetXY(55,$y_start);

	$mon = $ts1;
	$i = 1;

	while ($i <= 6) {

		$pdf->SetTextColor(0,0,0);
		$pdf->SetFont('Arial','',9);

		/* Start- und Endzeitstempel des Monats ermitteln */
		$mon1 = $mon;
		$mon2 = mktime(23,59,59,date('n', $mon1), date('t', $mon1), date('Y', $mon1));

		/* erster des Monats im MySQL-Date-Format */
		$ab_monat = date('Y-m-d', $mon1);

		/* Krafstoff- und sonstige Kosten fuer Monat und dieses Kfz ermitteln */
		$sql  = "select kosten1, kosten2 from tb_res_kosten ";
		$sql .= "where res_id = '{$row['res_id']}' ";
		$sql .= "and ab_monat = '$ab_monat';";

		$res_kosten = abfrage_assoc($sql);

		$pdf->SetXY(($i*20) + 35, $y_start);

		/* Krafstoff- und sonstige Kosten fuer Monat und dieses Kfz ausgeben */
		$pdf->Cell(20,$zh,geld_form_pdf($res_kosten['kosten1']),1,2,'R');

		/* km-Stand Monatsende */
		$km_stand_end = km_stand($row['res_id'], $mon2);

		/* km-Stand Monatsanfang */
		$km_stand_anf = km_stand($row['res_id'], $mon1 - 1);

		/* Differenz = Laufleistung im aktuellen Monat */
		$km_akt = $km_stand_end - $km_stand_anf;

		if ($km_akt > 0) {
			/* Kraftstoffkosten je km fuer akt. Monat ermitteln */
			$km_kosten = $res_kosten['kosten1'] / $km_akt;

			/* Kraftstoffkosten je km fuer akt. Monat ausgeben */
			$pdf->Cell(20,$zh,geld_form_pdf($km_kosten),1,2,'R');
		} else {
			$pdf->Cell(20,$zh,geld_form_pdf(0),1,2,'R');
		}

		/* sonstige Kosten fuer den angezeigten Monat ausgeben */
		$pdf->Cell(20,$zh,geld_form_pdf($res_kosten['kosten2']),1,2,'R');

		/* Monatsletzter als Grundlage fuer MySQL-Funktion timestampdiff
		 * im MySQL-Date-Format
		 */
		$ber_bis = date('Y-m-d', $mon2);
		$ber_von = date('Y-m-d', $row['ansch']);

		/* Summe alle bisher eingegebenen Kraftstoff- und sonstigen Kosten */
		$sql  = "select sum(kosten1) + sum(kosten2) as kosten ";
		$sql .= "from tb_res_kosten where res_id = '{$row['res_id']}';";
		$res1 = abfrage_assoc($sql);
		$posten1 = $res1['kosten'];

		/* Versicherungskosten ermitteln */
		$posten2 = pkwKosten($row['res_id'],$ber_von,$ber_bis,'v');

		/* Kfz-Steuer ermitteln */
		$posten3 = pkwKosten($row['res_id'],$ber_von,$ber_bis,'k');

		/* Rate ermitteln */
		$posten4 = pkwKosten($row['res_id'],$ber_von,$ber_bis,'r');

		$gesamtkosten = $posten1 + $posten2 + $posten3 + $posten4;

		if ($km_stand_end > 0) {

			$kosten_je_km = $gesamtkosten / $km_stand_end;

			$kosten_farbe = ($kosten_je_km > 0.3) ? '#ff0000' : '#00ff00';

			if ($kosten_je_km > 0.3) {
				$kf_r = 255;
				$kf_g = 0;
				$kf_b = 0;
			} else {
				$kf_r = 0;
				$kf_g = 200;
				$kf_b = 0;
			}

			$pdf->SetTextColor($kf_r, $kf_g, $kf_b);
			$pdf->SetFont('Arial', 'B', 9);

			$ln = ($i < 6) ? 0 : 1;
			$pdf->Cell(20,$zh,geld_form_pdf($kosten_je_km),1,$ln,'R');

			$pdf->SetTextColor(0,0,0);

		} else {
			$pdf->Ln(0);
		}

		$mon = mktime(0,0,0,date('n', $mon) + 1, 1, date('Y', $mon));
		$i++;

	}

	$pdf->Rect(15,$y_start,40,$zh*4,'D');
	$pdf->Rect(55,$y_start,120,$zh*4,'D');


	if ($pdf->GetY() > 250){
		$pdf->AddPage();
	}
}

$pdf->Output();
exit;
?>
