<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_list_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(15.0);

$pdf->AddPage();

$sql  = "select r.res_id, r.name, ";
$sql .= "date_format(r.datum,'%d.%m.%Y') as ans, ";
$sql .= "unix_timestamp(r.datum) as ans_ts, ";
$sql .= "date_format(r.kaufdatum,'%d.%m.%Y') as rueck, ";
$sql .= "unix_timestamp(r.kaufdatum) as rueck_ts, r.notizen, ";
$sql .= "a.kurzname from tb_ressourcen r left join tb_res_typ t using (res_typ) ";
$sql .= "left join tb_traeger_art a using(traeger_art_id) ";
$sql .= "where t.name = 'PKW' and r.aktiv = 'j' order by r.traeger_art_id asc, r.name asc;";
$pkws = abfrage1($sql);

$pdf->Cell(180,10,"PKW-Liste",0,1,'C');

$pdf->SetFont('Arial','b',11);
$pdf->Cell(35,$zh,'PKW');
$pdf->Cell(10,$zh,'Tr.');
$pdf->Cell(25,$zh,'Konto (lfd.)',0,0,'R');
$pdf->Cell(30,$zh,'Konto (Benzin)',0,0,'R');
$pdf->Cell(23,$zh,'Rckgabe',0,0,'R');
$pdf->Cell(58,$zh,'PKW-Verantwortlicher');
$pdf->SetFont('Arial','',11);
$pdf->Ln($zh);
while($pkw = mysql_fetch_array($pkws)) {
	$kont_b = abfrage("select k.kurzname from tbh_res_kto r left join tb_bkto k using(kto_id) where res_id='{$pkw['res_id']}' and typ='b'");
	$kont_l = abfrage("select k.kurzname from tbh_res_kto r left join tb_bkto k using(kto_id) where res_id='{$pkw['res_id']}' and typ='l'");
	$pdf->Cell(35,$zh,$pkw['name'],'T');
	$pdf->Cell(10,$zh,$pkw['kurzname'],'T');
	$pdf->Cell(25,$zh,$kont_l[0],'T',0,'R');
	$pdf->Cell(30,$zh,$kont_b[0],'T',0,'R');
	$pdf->Cell(23,$zh,$pkw['rueck']=='00.00.0000' ? '' : $pkw['rueck'],'T',0,'R');
	$pers = abfrage1("select pers_id from tbh_pers_res where res_id='{$pkw['res_id']}' and ver='1'");
	$ver = '';
	while($per=mysql_fetch_row($pers)) {
		if($ver != '') $ver .= '
';
		$ver .= pers_kname($per[0]);
	}
	$pdf->Multicell(58,$zh,$ver,'T');
}

$pdf->Output();
exit;
?>