<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_sphere_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

if ($rvar_abmonat == 'all'){
	$von = mktime(0,0,0,1,1,$rvar_abjahr);
	$bis = mktime(0,0,0,12,31,$rvar_abjahr);
} else {
	$von = mktime(0,0,0,$rvar_abmonat,1,$rvar_abjahr);
	$bis = mktime(0,0,0,$rvar_abmonat,date('t', $von),$rvar_abjahr);
}

$my_von = date('Y-m-d', $von);
$my_bis = date('Y-m-d', $bis);

$textm = strftime("%B", $von);

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

if ($rvar_abmonat == 'all'){
	$footer = "bersicht Steuersphrenzuordnung $rvar_abjahr";
} else {
	$footer = "bersicht Steuersphrenzuordnung $textm $rvar_abjahr";
}

$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);
$pdf->AliasNbPages();
$pdf->SetAutoPageBreak(true, 25);

$pdf->AddPage();

$pdf->SetFont('stw','',14);
$pdf->Text(15,28,$footer);

$pdf->SetDrawColor(0,0,0);
$pdf->SetLineWidth('0.3');

$pdf->SetLineWidth('0.1');

$sql = "select z.* from tb_ab_zk z left join tb_termine t using(termin_id) 
		left join tb_ressourcen r on(z.res_id = r.res_id)
		where unix_timestamp(t.bis) > '$von'
		and unix_timestamp(t.von) < '$bis'
		and z.km_dienst > 0 and (z.fahrt_id > 0 or z.ab='j') ";
if($rvar_traeger == 0) $sql .= "and r.traeger_art_id > 0";
else $sql .= "and r.traeger_art_id = '$rvar_traeger'";
$res = abfrage1($sql);
$sum_isf = $sum_bzb = $sum_wgb = $sum = 0;
while ($row = mysql_fetch_array($res)) {
	$sum += $row['km_dienst'];
	if($row['sphere'] == 'isf') $sum_isf += $row['km_dienst'];
	elseif($row['sphere'] == 'bzb') $sum_bzb += $row['km_dienst'];
	elseif($row['sphere'] == 'wgb') $sum_wgb += $row['km_dienst'];
	else {
		if($row['fahrt_id'] == 1) $sum_wgb += $row['km_dienst'];
		elseif($row['proj_id'] > 0) {
			$abt_id = abfrage("select abt_id from tb_projekte where proj_id='{$row['proj_id']}'");
			$sph = abfrage("select sphere from tb_personal_abt where abt_id='$abt_id[0]'");
			if($sph[0] == 'bzb') $sum_bzb += $row['km_dienst'];
			elseif($sph[0] == 'wgb') $sum_wgb += $row['km_dienst'];
			else $sum_isf += $row['km_dienst'];
		} else $sum_isf += $row['km_dienst'];
	}
}

$and = $rvar_traeger == 0 ? 'and' : "and traeger_art_id = '$rvar_traeger' and";
$rate = $vers = $kfzsteuer = 0;
$autos = abfrage1("select res_id from tb_ressourcen where aktiv='j' $and res_typ='1'");
while($auto = mysql_fetch_row($autos)) {
	$rate += pkwKosten($auto[0],$von,$bis,'r');
	$vers += pkwKosten($auto[0],$von,$bis,'v');
	$kfzsteuer += pkwKosten($auto[0],$von,$bis,'k');
}
if($rvar_traeger == 0) {
	$reskost = abfrage("select sum(kosten1), sum(kosten2) from tb_res_kosten where ab_monat = '$my_von';");
} else {
	$reskost = abfrage("select sum(k.kosten1), sum(k.kosten2) 
						from tb_res_kosten k left join tb_ressourcen r using(res_id) 
						where r.traeger_art_id = '$rvar_traeger' and k.ab_monat = '$my_von'");
}
$kosten = $rate + $reskost[0] + $reskost[1];

$pdf->SetXY(15,32);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(20,5,"Kosten:");
$pdf->Cell(40,5,"monatliche Rate:",0,0,'R');
$pdf->Cell(20,5,geld_form($rate),0,0,'R');
$pdf->Cell(50,5,"Versicherungsprmie:",0,0,'R');
$pdf->Cell(20,5,geld_form($vers),0,1,'R');
$pdf->Cell(60,5,"Kraftstoffkosten:",0,0,'R');
$pdf->Cell(20,5,geld_form($reskost[0]),0,0,'R');
$pdf->Cell(50,5,"Kfz-Steuer:",0,0,'R');
$pdf->Cell(20,5,geld_form($kfzsteuer),0,1,'R');
$pdf->Cell(60,5,"sonstige Kosten:",0,0,'R');
$pdf->Cell(20,5,geld_form($reskost[1]),0,0,'R');
$pdf->Cell(12,5,"");
$pdf->Cell(38,5,"Summe steuerfreie Kosten:",'T',0,'R');
$pdf->Cell(20,5,geld_form($kfzsteuer + $vers),'T',1,'R');
$pdf->Ln(5);

$wWGB = $sum==0 ? 0 : ($sum_wgb / $sum * 180);
$wBZB = $sum==0 ? 0 : ($sum_bzb / $sum * 180);
$wISF = $sum==0 ? 0 : ($sum_isf / $sum * 180);
$einhundertachzig = $wISF + $wBZB + $wWGB;
if($einhundertachzig == 0) $einhundertachzig = 180;
$pdf->Cell($einhundertachzig,5,"gefahrene Kilometer gesamt: " . km_form($sum) . "    Kosten gesamt: " . geld_form($kosten),1,1);
$pdf->SetFont('Arial','',6);
$pdf->SetFillColor(0,255,0);
if($sum_isf > 0) $pdf->Cell($wISF,5,"isf",1,0,'C',1);
$pdf->SetFillColor(255,255,0);
if($sum_bzb > 0) $pdf->Cell($wBZB,5,"bzb",1,0,'C',1);
$pdf->SetFillColor(255,50,50);
if($sum_wgb > 0) $pdf->Cell($wWGB,5,"wgb",1,0,'C',1);
if($sum > 0) {
	$pdf->Ln(10);
	$pdf->SetFont('Arial','B',8);
	$pdf->Cell(10,5,"isf");
	$pdf->Cell(60,5,"ideell / steuerfrei");
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(20,5,km_form($sum_isf),0,0,'R');
	$pdf->Cell(20,5,proz_form($sum_isf / $sum * 100,2,1),0,0,'R');
	$pdf->Cell(30,5,geld_form($sum_isf / $sum * $kosten),0,0,'R');
	$pdf->Ln(5);
	$pdf->SetFont('Arial','B',8);
	$pdf->Cell(10,5,"bzb");
	$pdf->Cell(60,5,"begnstigter Zweckbetrieb");
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(20,5,km_form($sum_bzb),0,0,'R');
	$pdf->Cell(20,5,proz_form($sum_bzb / $sum * 100,2,1),0,0,'R');
	$pdf->Cell(30,5,geld_form($sum_bzb / $sum * $kosten),0,0,'R');
	$pdf->Ln(5);
	$pdf->SetFont('Arial','B',8);
	$pdf->Cell(10,5,"wgb");
	$pdf->Cell(60,5,"wirtschaftlicher Geschftsbetrieb");
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(20,5,km_form($sum_wgb),0,0,'R');
	$pdf->Cell(20,5,proz_form($sum_wgb / $sum * 100,2,1),0,0,'R');
	$pdf->Cell(30,5,geld_form($sum_wgb / $sum * $kosten),0,0,'R');
	$pdf->Ln(5);
}

$pdf->Ln(5);
$pdf->Cell($einhundertachzig,5,'','T',1);
$pdf->SetFont('Arial','B',8);
$pdf->Cell($einhundertachzig,5,"Die hier ausgewiesenen monatlichen Kosten stimmen mit den Salden der Sachkonten in der Buchhaltung berein.");
$pdf->Ln(25);

$pdf->SetFont('arial','',6);
$pdf->Cell(30,3, 'Datum','T',0,'C');
$pdf->Cell(20,3, '');
$pdf->Cell(50,3, 'Unterschrift','T',0,'C');

$pdf->Output();
exit;
?>