<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pool.php 2865 2018-06-04 09:13:40Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();
$seite = 41;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function Edit($ts,$proj1,$proj2) {
	$ue = abfrage("select stunden from tb_ab_pool where unix_timestamp(ab_monat)='$ts' and proj1='$proj1' and proj2='$proj2'");
	$ret = "<input style=\"position:relative;top:-5px;text-align:right\" type=\"text\" size=\"5\" id=\"edit_".$ts.'_'.$proj1.'_'.$proj2."\" value=\"$ue[0]\" />";
	$ret .= "<img src=\"img/senden.png\" style=\"padding-left:3px;cursor:pointer\" onclick=\"xajax_Save($ts,$proj1,$proj2,document.getElementById('edit_".$ts.'_'.$proj1.'_'.$proj2."').value)\" />";
	$userResp = new xajaxResponse();
	$userResp->assign($ts.'_'.$proj1.'_'.$proj2, 'innerHTML', $ret);
	return $userResp;
}
function Save($ts,$proj1,$proj2,$val) {
	$stunden = str_replace(',','.',$val);
	abfrage2("update tb_ab_pool set stunden='$stunden' where unix_timestamp(ab_monat)='$ts' and proj1='$proj1' and proj2='$proj2';");
	$pool = abfrage("select pool from tb_projekte where proj_id = '$proj1';");
	if(empty($pool[0]) || $pool[0]=='0.00') {
		$seconds = $stunden * 3600;
		$ref = date('Y-m-d H:i', $ts);
		$von = date('Y-m-d H:i', $ts);
		$ts2 = $ts + $seconds;
		$bis = date('Y-m-d H:i', $ts2);
		$exist = abfrage("select termin_id from tb_ab_zk where proj_id='$proj1' and code='@' and unix_timestamp(ab_monat)='$ts'");
		if(!empty($exist)) {
			abfrage2("UPDATE tb_termine SET von='$von', bis='$bis' WHERE termin_id='$exist[0]'");
			abfrage2("UPDATE tb_ab_zk SET fls=sec_to_time($seconds) WHERE termin_id='$exist[0]'");
		} else {
			abfrage2("INSERT INTO tb_termine SET terminart='@@@', von='$von', bis='$bis'");
			$termin_id = mysql_insert_id();
			abfrage2("INSERT INTO tb_ab_zk SET termin_id='$termin_id', 
					proj_id='".$_POST['proj1']."', pers_id='0', ab='j', 
					unix_timestamp(ab_monat)='$ts', fls=sec_to_time($seconds),
					code='@', inhalte='KORREKTUR-ZK'");
		}
	}
	$userResp = new xajaxResponse();
	$userResp->assign($ts.'_'.$proj1.'_'.$proj2, 'innerHTML', fls_form($val));
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('Edit');
$xajax->registerFunction('Save');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/stw.inc.php");
if(!isset($rvar_proj_id)) {
	echo "<h1>Warnung: proj_id nicht gesetzt</h1>";
	exit(-1);
}
echo "<h3>Details Poolstand Projekt " . projektnummer($rvar_proj_id, true, true) . "</h3>";
$proj = projektnummer($rvar_proj_id);

new stwLine(2);
$projekt = new stwProjekt($rvar_proj_id);
echo "<table><tr><td class=\"cl20\"><table>\n";
echo "<tr><th style=\"text-align:right\">Pool gesamt:</th>";
echo "<td style=\"text-align:right\">" . fls_form($projekt->pool_st()) . "<td></tr>\n";

echo "<tr><th style=\"text-align:right\">Pool geleistet:</th>";
echo "<td style=\"text-align:right\">" . fls_form($projekt->pool_geleistet()) . "<td></tr>\n";

$ueb = abfrage("select sum(stunden) from tb_ab_pool
				where proj2 = '$projekt->id'
				group by proj2;");
echo "<tr><th style=\"text-align:right\">Pool-&Uuml;bertragungen nach $proj:</th>";
echo "<td style=\"text-align:right\">" . fls_form($ueb[0]) . "<td></tr>\n";

$uea = abfrage("select sum(stunden) from tb_ab_pool
				where proj1 = '$projekt->id'
				group by proj1;");
echo "<tr><th style=\"text-align:right\">Pool-&Uuml;bertragungen von $proj:</th>";
echo "<td style=\"text-align:right\">" . fls_form($uea[0]) . "<td></tr>\n";
new stwTabLine(2,2);
echo "<tr><th style=\"text-align:right\">aktueller Poolstand:</th>";
echo "<td style=\"text-align:right\">" . fls_form($projekt->pool_stand()) . "<td></tr>\n";
echo "</table></td>\n";
$ueas=abfrage1("select unix_timestamp(ab_monat), stunden, proj2 from tb_ab_pool
				where proj1 = '$projekt->id' order by ab_monat asc;");
$uebs=abfrage1("select unix_timestamp(ab_monat), stunden, proj1 from tb_ab_pool
				where proj2 = '$projekt->id' order by ab_monat asc;");
if(mysql_num_rows($ueas) > 0) {
	echo "<td class=\"cl20\"><table>";
	echo "<tr><th colspan=\"3\">von $proj nach:</th></tr>\n";
	while($ue = mysql_fetch_row($ueas)) {
		echo "<tr><td class=\"cl1\">" . strftime('%B %Y',$ue[0]) . "</td>";
		echo "<td class=\"cl1\"><a href=\"pro_daten.php?proj_id=$ue[2]\">". projektnummer($ue[2]) . "</a></td>";
		echo "<td style=\"text-align:right\" id=\"".$ue[0].'_'.$projekt->id.'_'.$ue[2]."\">" . fls_form($ue[1]) . "</td>";
		if($ulv >= 97) echo "<td><img style=\"cursor:pointer\" src=\"img/stift.png\" onclick=\"if(confirm('Wollen Sie die &Uuml;bertragung wirklich editieren?\\n&Auml;nderungen an den Summen (links) werden erst nach Neuladen der Seite sichtbar')) xajax_Edit($ue[0],$projekt->id,$ue[2])\"/></td>";
		echo "</tr>\n";
	}
	echo "</table></td>";
}
if(mysql_num_rows($uebs) > 0) {
	echo "<td><table>\n";
	echo "<tr><th colspan=\"3\">nach $proj von:</th></tr>\n";
	while($ue = mysql_fetch_row($uebs)) {
		echo "<tr><td class=\"cl1\">" . strftime('%B %Y',$ue[0]) . "</td>";
		echo "<td class=\"cl1\"><a href=\"pro_daten.php?proj_id=$ue[2]\">". projektnummer($ue[2]) . "</a></td>";
		echo "<td style=\"text-align:right\" id=\"".$ue[0].'_'.$ue[2].'_'.$projekt->id."\">" . fls_form($ue[1]) . "</td>\n";
		if($ulv >= 97) echo "<td><img style=\"cursor:pointer\" src=\"img/stift.png\" onclick=\"if(confirm('Wollen Sie die &Uuml;bertragung wirklich editieren?\\n&Auml;nderungen an den Summen (links) werden erst nach Neuladen der Seite sichtbar')) xajax_Edit($ue[0],$ue[2],$projekt->id)\"/></td>";
		echo "</tr>\n";
	}
	echo "</table></td>";
}
echo "</tr></table>\n";
new stwEnd($seite);
?>