<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: post_out.php 2885 2018-09-11 16:32:04Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Formular auswerten und Datenbank fuellen */
if (isset($_POST["save"])) include("post_sql.php");

/* Seitennummer innerhalb des Menues */
$seite = 45;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

$onload_form = 'post';

if ($_POST['send'] == true){
	if ($_POST['postart'] != $_POST['last_postart']) {
		$onload_focus = 'projekte';
	} elseif ($_POST['firma_kurzname'] != $_POST['letzte_kont_id']) {
		$onload_focus = 'ap';
	} elseif ($_POST['absender'] != $_POST['letzte_kont_id']) {
		$onload_focus = 'ap';
	} elseif ($_POST['projekte'] != $_POST['lastproj']) {
		$onload_focus = 'firma_kurzname';
	}
} else {
	$onload_focus = 'datum';
}

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/stwDaten.inc.php");

$pers_order = getPersOrder($seite);
$rechnung = false;
if (isset($_GET['post_id'])){
	$query = "SELECT
			DATE_FORMAT(hp.datum,'%d.%m.%Y') AS dt_datum,
			pa.post_out_id,
			pa.betreff,
			pa.rg_betrag,
			pa.notizen,
			pa.postart_id,
			pa.traegerart_id,
			t.kurzname as t_kname,
			t.farbe,
			p.kurzname as p_kname,
			k.kont_id,
			k.name as k_name,
			apk.ap_id,
			apk.name as apk_name,
			apk.vorname,
			pr.projektnr,
			pr.proj_id,
			pa.hp_id,
			pa.ma_id,
			personal.name as ok_name,
			personal.vorname as ok_vorname,
			pa.ok,
			pa.kont_id as p_kont_id,
			pa.ap_id as p_ap_id,
			pa.kat_id,
			pa.skonto,
			hp.pers_id,
			hp.ap_id as pkw,
			DATE_FORMAT(hp.datum_n,'%d.%m.%Y') AS stichtag,
			hp.chg_id as team_art_id,
			hp.hilfeverlauf as person_id
		  FROM tb_post_ausgang pa
		  LEFT JOIN tb_kontakte k ON k.kont_id = pa.kont_id and k.kh_id='0'
		  LEFT JOIN tb_kontakte_ap apk ON apk.ap_id = pa.ap_id
		  LEFT JOIN tb_traeger_art t ON t.traeger_art_id = pa.traegerart_id
		  LEFT JOIN tb_post_art p ON p.post_art_id = pa.postart_id
		  LEFT JOIN tb_hp hp ON hp.hp_id = pa.hp_id
		  LEFT JOIN tb_projekte pr ON pr.proj_id = hp.proj_id
		  LEFT JOIN tb_personal personal ON personal.pers_id = pa.ma_id
		  WHERE pa.post_out_id = ".$rvar_post_id;
	$daten = abfrage_array($query);
	if($daten['postart_id'] == 4) {
		$re_id = abfrage("select re_id from tb_rechnung where post_out_id='$rvar_post_id'");
		if(!empty($re_id[0])) $rechnung = true;
	}
} else $daten = array();

if($rechnung) {
	if(!check_nutzer_rechte(134)) {
		echo "<p style=\"font-size:18pt; color:red; text-align:center; ";
		echo "font-weight: bold;\">Sie haben keine ausreichende<br>Berechtigung ";
		echo "f&uuml;r diese Seite!</p>\n";
		new stwEnd($seite);
		exit(0);
	}
}

$self = $_SERVER['PHP_SELF'];
$ti = 1;
$nurHzE = ($rvar_postart == 12 || $rvar_postart == 13 || (empty($rvar_postart) && $daten[5] == 12) || (empty($rvar_postart) && $daten[5] == 13));
if(isset($rvar_sort)) $sort = $rvar_sort;
else {
  $sql = "select post_sort from tb_pers_einst where pers_id=".$_SESSION[$AppCode]["UID"];
  $sortiert = abfrage($sql);
  $sort = ($sortiert[0]) ? "name" : "nr";
}
/* persoenl. Einstellung fuer Sortierung speichern */
if (isset($_POST['pers_einst'])){
/* Hat aktueller Benutzer bereits persoenliche Einstellungen? */
  $sql = "select post_sort from tb_pers_einst where pers_id=".$_SESSION[$AppCode]["UID"];
  $post_sort = abfrage1($sql);
  if (mysql_num_rows($post_sort) > 0)	$act_edit = 1; else $act_edit = 0;
	$sql  = ($act_edit == 1) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set pers_id = '{$_SESSION[$AppCode]['UID']}', ";
	$sql .= ($sort=="name") ? "post_sort = '1'" : "post_sort = '0'";
	$sql .= ", post_in_traeger = '$rvar_post_in_traeger'";
	if ($act_edit == 1){
		$sql .= " where pers_id = '{$_SESSION[$AppCode]['UID']}';";
	} else {
		$sql .= ';';
	}
	abfrage2($sql);
}

if(!$rechnung) echo "<form action=\"$self\" name=\"post\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"lastproj\" value=\"".intval($_POST['projekte'])."\">\n";

/* Datum */
echo "<table><tr><th class=\"cl1\">Datum:</th>\n";
echo "<td><input type=\"text\" name=\"datum\" size=\"11\" maxlength=\"11\" ";
echo "tabindex=\"$ti\" "; $ti++;

if (isset($_GET['post_id'])) {
 	$dat = $daten[0];
} elseif (isset($rvar_send)) {
	$dat = $rvar_datum;
} else {
	$dat = date("d.m.Y", time());
}
echo "value=\"$dat\">&nbsp;&nbsp;TT.MM.JJJJ";
if(isset($rvar_post_id)) {
	$id = substr("00".$rvar_post_id,-3);
	echo "<b style=\"padding-left:20px;color:#FFCC00;\">PostausgangsID:</b> $id";
}
echo "</td></tr>\n";

/* Postart */
echo "<tr><th class=\"cl1\">Postart:</th>\n";
echo "<td><table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
echo "<td class=\"cl20\"><select style=\"width:300px\" name=\"postart\" size=\"1\" tabindex=\"$ti\" "; $ti++;
echo "onChange=\"document.forms['post'].submit()\">\n";
echo "<option value=\"7\">Postart w&auml;hlen!</option>\n";
$query = "SELECT post_art_id, post_art FROM tb_post_art
					order by post_art_id asc;";
$res = abfrage1($query);
while($row = mysql_fetch_array($res))
{
	$selected = ((isset($rvar_send) && $rvar_postart == $row['post_art_id'])
							|| (isset($_GET['post_id']) && $daten[5] == $row['post_art_id']))
				? " selected" : "";
	if($rvar_postart != 11 && $daten[5] != 11 && $row['post_art_id'] == 11) continue;
	echo "<option value=\"$row[0]\" $selected>$row[1]</option>\n";
}
echo "</select></td>";
if($nurHzE) {
	echo "<th class=\"cl11\">HP-Datum:</th>";
	echo "<td id=\"HPDatPlatz\">&nbsp;</td>\n";
}
echo "<th class=\"cl1\" style=\"width:100%;text-align:right\">Stichtag:</th>";
echo "<td><input type=\"text\" name=\"stichtag\" size=\"10\" tabindex=\"$ti\" "; $ti++;
echo "value=\"{$daten['stichtag']}\"></td>\n";
echo "</tr></table></td></tr>\n";

/* Projekt / Mitarbeiter / PKW / Abteilung */
if(isset($rvar_send)) $proj_id = $rvar_projekte;
elseif($daten['proj_id'] > 0) $proj_id = $daten['proj_id'];
elseif($daten['pkw'] > 0) $proj_id = 'w'.$daten['pkw'];
elseif($daten['team_art_id'] > 0) $proj_id = 't'.$daten['team_art_id'];
elseif(isset($rvar_proj_id)) $proj_id = $rvar_proj_id;
else $proj_id = 0;
$bPROJ = $bMA = $bPKW = $bTEAM = $bAUFGABE = $this_form_submit = true;
if($nurHzE) $bMA = $bPKW = $bTEAM = $bAUFGABE = false;
$bNoX = ($rvar_postart == 11 || $daten[5] == 11);
$posttyp = 'h';
$id = isset($rvar_post_id) ? $daten['hp_id'] : 0;
include('post.proj_ma_pkw.inc.php');

if($nurHzE) {
	$h2 = abfrage("select h2_id from tbh_post_h2 where hp_id='$id'");
	/* Variable wurde erst in der post.proj_ma_pkw.inc.php gesetzt */
	echo "<span id=\"HPDat\" style=\"position:absolute;\">\n";
	echo "<select style=\"width:100px\" name=\"hp_zuordnung\">\n";
	$sql = "select hp_id, date_format(datum,'%d.%m.%Y'), proj_id from tb_hp where proj_id in (";
	$first = 0;
	foreach($pzo as $proj_id) {
		if($first > 0) $sql .= ",";
		$first++;
		$sql .= $proj_id;
	}
	$sql .= ") and hp_art='h2' order by datum desc";
	if($first > 0) {
		$hpzs = abfrage1($sql);
		while($hpz = mysql_fetch_row($hpzs)) {
			echo "<option value=\"$hpz[0]\"";
			if($h2[0] == $hpz[0]) echo " selected";
			echo ">$hpz[1] ";
			if(sizeof($pzo) > 1) echo ' - '.projektnummer($hpz[2]);
			echo "</option>";
		}
	}
	echo "</select></span>\n";
	echo "<script type=\"text/javascript\">\n";
	echo "var element = document.getElementById('HPDatPlatz');\n";
	echo "var x = 0;\n";
	echo "var y = 0;\n";
	echo "while (element) {\n";
	echo "	y += element.offsetLeft;\n";
	echo "	x += element.offsetTop;\n";
	echo "	element = element.offsetParent;\n";
	echo "}\n";
	echo "document.getElementById('HPDat').style.left = y+'px';\n";
	echo "document.getElementById('HPDat').style.top  = x+'px';\n";
	echo "</script>\n";
}

/* Empfaenger */
echo "<tr><th class=\"cl1\">Empf&auml;nger:&nbsp;</th>\n";
echo "<td>";
include('post_ap.php');
echo "</td></tr>\n";

/* Betreff */
echo "<tr><th class=\"cl1\">Betreff:</th>\n";
echo "<td><textarea name=\"betreff\" cols=\"50\" cols=\"2\" tabindex=\"$ti\">";
$ti++;

if(isset($_GET['post_id'])) echo $daten[2];
if(isset($rvar_send)) echo str_replace("\\\"", "\"", $rvar_betreff);
echo "</textarea>";

 /* Dateisymbol einblenden */
 if (!empty($rvar_post_id)) {
	$daten_dlg = new stwDaten("13");
	$link = $daten_dlg->get_klammer_link($_SESSION["webdir"],
                                    $_SESSION[$AppCode]["UID"],
                                    $_SESSION[$AppCode]["ULV"],
                                    $rvar_post_id, "0");
	echo $link;
 }

 printf("</td></tr>\n");

/* Projektkategorie (PK) - nur anzeigen, wenn ein Projekt gewaehlt ist
	 UND dem gewaehlten Projekt PK zugeordnet sind, sonst = 0 */
if ($daten[16] > 0 || $_POST['projekte'] > 0) {
	$pid = ($daten[16] > 0) ? $daten[16] : $_POST['projekte'];

	$pks = abfrage1("select h.kat_id, k.name
									 from tbh_proj_kat h
									 left join tb_proj_kat k using (kat_id)
									 where h.proj_id = '$pid'
									 order by k.name asc;");

	if (mysql_num_rows($pks) > 0) {
		echo "<tr><th class=\"cl1\">Projektkategorie:</th>\n<td>";
		echo "<select name=\"kat_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
		echo "<option value=\"0\">Projektkategorie w&auml;hlen!</option>\n";
		while ($pk = mysql_fetch_row($pks)){
			echo "<option value=\"$pk[0]\"";
			if ($daten[24] == $pk[0]) echo ' selected';
			echo ">$pk[1]</option>\n";
		}
		echo "</select></td></tr>\n";
	} else {
		echo "<input type=\"hidden\" name=\"kat_id\" value=\"0\">\n";
	}
} else {
	echo "<input type=\"hidden\" name=\"kat_id\" value=\"0\">\n";
}

/* Betrag */
echo "<tr><th class=\"cl1\">Betrag:</th>\n";
echo "<td><input type=\"text\" name=\"betrag\" size=\"10\" tabindex=\"$ti\" ";
echo "style=\"text-align:right\" "; $ti++;
if(isset($_GET['post_id'])) {
	if($daten[5] == 4 && is_null($daten[3])) {
		list($re_nr, $rest) = explode(" ", substr($daten[2],13,12));
		$betrag = abfrage("select betrag from tb_rechnung where re_nr = '$re_nr'");
	} else $betrag[0] = $daten[3];
	echo "value=\"". geld_form_formular($betrag[0]) ."\"";
} if(isset($rvar_send)) echo "value=\"".$rvar_betrag."\"";
echo ">&nbsp;&nbsp;&euro;,&cent;&nbsp;&nbsp;</td></tr>\n";
echo "<input type=\"hidden\" name=\"skonto\" value=\"0\">";

/* Absender */

/* falls Projekt uebergeben wurde -> Objekt erzeugen */
if ($proj_id > 0) $pro = new stwProjekt($proj_id);

echo "<tr><th class=\"cl1\">Absender:&nbsp;</th>\n";
echo "<td><select name=\"traeger\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
echo "<option value=\"0\">Tr&auml;ger w&auml;hlen!</option>\n";
$query = "SELECT t1.traeger_art_id, t1.traeger_art,t3.standard_traeger_art_id
		  FROM tb_traeger_art t1
		  INNER JOIN tbh_pers_traegerart t2 ON t2.traeger_art_id = t1.traeger_art_id
		  INNER JOIN tb_personal t3 ON t3.pers_id = t2.pers_id
		  WHERE t3.pers_id = ".$_SESSION[$AppCode]['UID'];
$res = abfrage1($query);
while($row = mysql_fetch_array($res)){
	$selected = ((isset($rvar_send) && $rvar_traeger == $row[0])
							|| ($rvar_traeger == $row[0] && !isset($pro))
							|| (isset($_GET['post_id']) && $daten[6] == $row[0])
							|| (isset($rvar_projekte) && $row[0] == $pro->traeger_art_id))
				? 'selected' : '';
	if ($selected == '' && ($row[0] == $row['standard_traeger_art_id'])
			&& (!isset($rvar_traeger) && !isset($pro))) $selected = 'selected';
	echo "<option value=\"$row[0]\" $selected>$row[1]</option>\n";
}
echo "</select></td></tr>\n";

/* Abteilung -> Anzeige nur wenn Projekt ausgewaehlt (Objekt vorhanden) */
if (isset($pro)){
	echo "<tr><th class=\"cl1\">Abteilung:</th>\n";
	$abt = abfrage("select name from tb_personal_abt
									where abt_id = '{$pro->abt_id}';");
	if(strlen($abt[0]) > 0) {
		$abt1  = $abt[0];
		$abs = abfrage1("select t1.abt_id, t2.name from tbh_proj_abt t1 
						left join tb_personal_abt t2 using (abt_id)
						where t1.proj_id='$proj_id'");
		while($ab = mysql_fetch_row($abs)) {
			if($ab[0] != $pro->abt_id) $abt1 .= ", <i>$ab[1]</i>";
		}
	} else $abt1 = 'keine zugeordnet';
	echo "<td>$abt1</td></tr>\n";
}


/* Notizen */
if($rechnung) {
	echo "<form action=\"$self\" name=\"post\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"nur_notizen\" value=\"1\" />\n";
}
echo "<tr><th class=\"cl1\">Notizen:&nbsp;</th>\n";
echo "<td><textarea style=\"width:100%\" rows=\"15\" name=\"notizen\" tabindex=\"$ti\">";
$ti++;
if(isset($_GET['post_id'])) echo $daten[4];
if (isset($rvar_send)) echo str_replace("\\\"", "\"", $rvar_notizen);
echo "</textarea></td></tr>\n";

if (isset($rvar_post_id)){
	$post = new stwPost("o",$rvar_post_id);
}

$boxen = isset($rvar_post_id) ? $post->getMyCheckbox($id) : array();
/* OK */
$post_ok = abfrage1("SELECT id2, typ, personaltyp_id, ok, DATE_FORMAT(ok_datum,'%d.%m.%Y') FROM tb_post_ok WHERE hp_id='$id'");
if(mysql_num_rows($post_ok) == 0) {
	if (isset($rvar_post_id)){
		if (isset($rvar_send)){
			if (isset($_POST['ok'])){
				$post -> updateCheck();
			}else{
				if(strpos($boxen[0],'0_0') !== false) $post -> updateCheck("NULL");
			}
		}
	}
	echo "<tr><th class=\"cl1\">OK HB:</th>\n";
	echo "<td>";
	if (isset($rvar_post_id)){
		echo $post -> displayCheckbox(0,0,0,$id);
	}
	echo "</td></tr>\n";
} else {
	while($pok = mysql_fetch_row($post_ok)) {
		$title = $id . "_" . $pok[1] . "_" . $pok[0] . $pok[2];
		$title_v = $title . "_v";
		$kn = abfrage("select kurzname from tb_personaltyp where personaltyp_id='$pok[2]'");
		echo "<tr><th class=\"cl1\">OK $kn[0]:</th>\n";
		echo "<td>";
		echo $post -> displayCheckbox($pok[2], $pok[0], $pok[1], $id);
		switch($pok[1]) {
			case 'p':
					echo " &nbsp; (" . projektnummer($pok[0]) . ") <i";
					$ma = abfrage("select pers_id from tbh_pers_proj where proj_id='$pok[0]' and personaltyp_id='$pok[2]'");
					if(pers_fehlzeit($ma[0])) {
						echo " style=\"color:red\"";
						$vertr = abfrage("select pers_id from tbh_pers_proj where proj_id='$pok[0]' and personaltyp_id='3' order by (pers_id='$uid') desc limit 1");
						if($vertr[0]) echo stwToolTip("Vertretung: " . pers_kname($vertr[0]));
					}
					echo "> &nbsp; (" . pers_kname($ma[0]) . ")</i>";
					break;
			case 't':
					echo " &nbsp; (" . team_nummer($pok[0]) . ") <i";
					$ma = abfrage("select pers_id from tb_team_art_pers where team_art_id='$pok[0]' and fokus='$pok[2]'");
					if(pers_fehlzeit($ma[0])) {
						echo " style=\"color:red\"";
						$vertr = abfrage("select pers_id from tb_team_art_pers where team_art_id='$pok[0]' and fokus='3' order by (pers_id='$uid') desc limit 1");
						if($vertr[0]) echo stwToolTip("Vertretung: " . pers_kname($vertr[0]));
					}
					echo "> &nbsp; (" . pers_kname($ma[0]) . ")";
					break;
			case 'w':
					$pkw = abfrage("select name from tb_ressourcen where res_id='$pok[0]'");
					echo " &nbsp; ($pkw[0])";
					$mas = abfrage1("select pers_id from tb_benutzerrechte where obj_id='115'");
					if(mysql_num_rows($mas) > 0) {
						echo " &nbsp; ";
						$komma = "(";
						while($ma = mysql_fetch_row($mas)) {
							echo $komma;
							$komma = ', ';
							echo "<i";
							if(pers_fehlzeit($ma[0])) echo " style=\"color:red\"";
							echo ">" . pers_kname($ma[0]) . "</i>";
						}
						echo ")";
					}
					break;
			case 'm':
					echo " &nbsp; (MA ".pers_kname($pok[0]).")";
					$mas = abfrage1("select pers_id from tb_benutzerrechte where obj_id='114'");
					if(mysql_num_rows($mas) > 0) {
						echo " &nbsp; ";
						$komma = "(";
						while($ma = mysql_fetch_row($mas)) {
							echo $komma;
							$komma = ', ';
							echo "<i";
							if(pers_fehlzeit($ma[0])) echo " style=\"color:red\"";
							echo ">" . pers_kname($ma[0]) . "</i>";
						}
						echo ")";
					}
					break;
			case 'r':
					$vm = abfrage( "select vp.id2, v.name, v.artikelnr from tbh_vormerk_print vp 
									left join tb_vormerkliste v using(vm_id)
									where vp.vm_id='$pok[0]'");
					echo " (R ".str_pad($vm[0], 4 ,'0', STR_PAD_LEFT)." $vm[1] ($vm[2])) <i";
					$ma = abfrage1("select pers_id from tbh_pers_vormerk where vm_id = '$pok[0]' and abteilungsleiter = 'n' order by zeit asc limit 1;");
					if(pers_fehlzeit($ma[0])) echo " style=\"color:red\"";
					echo "> &nbsp; (" . pers_kname($ma[0]) . ")</i>";
					break;
		}
		echo "</td></tr>\n";
	}
}

echo "</table>\n";
new stwLine(1);
echo "<table><tr><td class=\"cl20\">";
if (isset($rvar_post_id)){
	echo "<input type=\"hidden\" name=\"post_id\" value=\"$rvar_post_id\">\n";
} 
if ($_SESSION[$AppCode]['ULV'] >= 60 && $rvar_postart != 11 && $daten['postart_id'] != 11){
	echo "<input type=\"submit\" name=\"save\" value=\"Speichern\" ";
	echo "tabindex=\"$ti\">"; $ti++;
}
echo "<input type=\"hidden\" name=\"type\" value=\"post_out\">\n";
echo "<input type=\"hidden\" name=\"send\" value=\"true\">\n";

$val = "value=\"\" />";
if(isset($_GET['post_id'])) $val = "value=\"".$daten[17]."\" />";
if(isset($rvar_send)) $val = "value=\"".$rvar_hp_id."\" />";
echo "<input type=\"hidden\" name=\"hp_id\"".$val."\n";
echo "</td>";
if(isset($_GET['post_id']) || isset($rvar_send)) {
	$hp = isset($rvar_send) ? $rvar_hp_id : $daten[17];
	$angelegt = abfrage("select pers_id, date_format(datetime, '%d.%m.%Y %H:%i') from tb_hp_angelegt where hp_id='$hp'");
	if($angelegt[0] > 0) {
		echo "<td>angelegt von " . pers_name($angelegt[0]) . " am $angelegt[1] Uhr</td>";
	}
}
echo "</tr></table>\n";
echo "</form>\n";
if (!empty($rvar_post_id)) {
	new stwEnd($seite, NULL, NULL, NULL, $rvar_post_id, "0");
} else {
	new stwEnd($seite);
}
?>
