<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro.php 2909 2018-11-14 10:37:41Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
if (!isset($_SESSION)) {
	session_start();
}

/* Sicherheitslevel festlegen */
if(isset($_POST['zusatz_id2'])) $vertr = $_POST['zusatz_id2'];
else $vertr = (isset($_GET['vertr']) && $_GET['vertr'] == 1) ? 1 : 0;

if(($_POST['zusatz_id1']==11 || $_GET['pra']==11) && $vertr==1) $seite = 77;
elseif($_POST['zusatz_id1']==11 || $_GET['pra']==11) $seite = 76;
elseif($_POST['zusatz_id1']==11 || $_GET['pra']==6) $seite = 78;
else $seite = 6;
$level = 5;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* notwendige Dateien noch mit einbinden */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 7);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function pers_hp($id, $check){
	global $AppCode;
	$userResp = new xajaxResponse();
	$_SESSION[$AppCode]["pers_hp_$id"] = $check ? 1 : 0;
	$userResp->assign("pers_hp_$id", 'value', $_SESSION[$AppCode]["pers_hp_$id"]);
	return $userResp;
}

function smileAbt($pers_id, $pra, $abt, $proj) {
	$sql = "replace into tb_pers_einst_neu set
			pers_id='$pers_id', 
			pers_einst_id='$pra',
			wert='$abt'";
	abfrage2($sql);
	$siebzehn = $pra + 17;
	$sql = "replace into tb_pers_einst_neu set
			pers_id='$pers_id', 
			pers_einst_id='$siebzehn',
			wert='$proj'";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('TraegerIcon', 'style.color', 'lime');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('pers_hp');
$xajax->registerFunction('smileAbt');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");
require_once($pfad."inc/stw.inc.php");


$_SESSION[$AppCode]['url_pro'] = $_SERVER['REQUEST_URI'];

set_session_url();
$pers_order = getPersOrder($seite);
$bereitschaft = check_bereitschaftsrecht();

/* Archivieren veralteter Projekte */
$archivierungszeit = getConf('arc_mon'); //Mindestalter zu archivierender Projekte in Monaten
if (isset($_POST['archiv'])){
	$sql  = "SELECT p.projektnr, YEAR(p.ende) from tb_projekte p ";
	$sql .= "where p.projektnr < 10000 and p.projektnr > 0 and ";
	$sql .= "to_days(p.ende) <= to_days(date_sub(curdate(), INTERVAL $archivierungszeit MONTH));";
	$arcs = abfrage1($sql);
	while ($arc = mysql_fetch_row($arcs)){
		$projektnrNeu = $arc[1];
		for($count = strlen($arc[0]); $count < 4; $count++) $projektnrNeu .= "0";
		$projektnrNeu .= $arc[0];
		$sql  = "UPDATE tb_projekte SET projektnr='". $projektnrNeu ."' ";
		$sql .= "WHERE projektnr='". $arc[0] ."';";
		mysql_query($sql);
	}
}

if(isset($_GET['toArchive']) && is_numeric($_GET['toArchive'])) {
	$checked = $_GET['checked'] == 'false' ? "checked" : '';
	abfrage2("insert into tb_pro_archiv set proj_id = '{$_GET['toArchive']}', pers_id='$uid', checked='$checked', datetime=now()");
} elseif(isset($_POST['chk_ok']) && isset($_POST['archiv2'])) {
	if(is_array($_POST['pids'])) foreach($_POST['pids'] as $proj_id) {
		$check = abfrage("select checked from tb_pro_archiv where proj_id='$proj_id' order by datetime desc limit 1");
		$archiviert = empty($_POST['archiviert']) ? array() : $_POST['archiviert'];
		$toArchiv = in_array($proj_id, $archiviert);
		if(empty($check[0]) && $toArchiv) {
			abfrage2("insert into tb_pro_archiv set proj_id = '$proj_id', pers_id='$uid', checked='checked', datetime=now()");
		} elseif($check[0] == 'checked' && !$toArchiv) {
			abfrage2("insert into tb_pro_archiv set proj_id = '$proj_id', pers_id='$uid', checked='', datetime=now()");
		}
	}
}

if(isset($_GET['toErase']) && is_numeric($_GET['toErase'])) {
	$checked = $_GET['checked2'] == 'false' ? "checked" : '';
	abfrage2("insert into tb_pro_vernichtung set proj_id = '{$_GET['toErase']}', pers_id='$uid', checked='$checked', datetime=now()");
} elseif(isset($_POST['chk2_ok']) && isset($_POST['archiv2'])) {
	if(is_array($_POST['pids'])) foreach($_POST['pids'] as $proj_id) {
		$check = abfrage("select checked from tb_pro_vernichtung where proj_id='$proj_id' order by datetime desc limit 1");
		$toErase = empty($_POST['toErase']) ? array() : $_POST['toErase'];
		$erase = in_array($proj_id, $toErase);
		if(empty($check[0]) && $erase) {
			abfrage2("insert into tb_pro_vernichtung set proj_id = '$proj_id', pers_id='$uid', checked='checked', datetime=now()");
		} elseif($check[0] == 'checked' && !$erase) {
			abfrage2("insert into tb_pro_vernichtung set proj_id = '$proj_id', pers_id='$uid', checked='', datetime=now()");
		}
	}
}

if(isset($_POST['undo_abt'])) {
	if(is_array($rvar_zk_id)) { 
		foreach($rvar_zk_id as $projid) {
			abfrage2("delete from tbh_proj_abt where abt_id='$rvar_abt_new' and proj_id='$projid' limit 1;");
			$mainabt = abfrage("select abt_id from tb_projekte where proj_id='$projid'");
			if($mainabt[0] == $rvar_abt_new) {
				$new_abt = abfrage("select abt_id from tbh_proj_abt where proj_id='$projid' limit 1;");
				abfrage2("UPDATE tb_projekte SET abt_id='$new_abt[0]' WHERE proj_id='$projid' limit 1;");
			}
		}
	}
}

if(isset($_POST['do_abt'])) {
	if(is_array($rvar_zk_id)) { 
		foreach($rvar_zk_id as $projid) {
			abfrage2("REPLACE INTO tbh_proj_abt SET abt_id='$rvar_abt_new', proj_id='$projid';");
		}
	}
}

if (isset($_GET['pers_einst']) && $_GET['pra'] > 0){
/* Hat aktueller Benutzer bereits persoenliche Einstellungen? */
  $sql = "select pers_id from tb_pers_einst where pers_id=".$_SESSION[$AppCode]["UID"];
  $fav_bereich = abfrage1($sql);
  if (mysql_num_rows($fav_bereich) > 0)	$act_edit = 1; else $act_edit = 0;
	$sql  = ($act_edit == 1) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set pro_bereich = '".$_GET['pra']."'";
	if ($act_edit == 1){
		$sql .= " where pers_id = '{$_SESSION[$AppCode]['UID']}';";
	} else {
		$sql .= ", pers_id = '{$_SESSION[$AppCode]['UID']}';";
	}
	abfrage2($sql);
}

if (isset($_GET['fb'])){
	$sql = "select pers_id from tb_pers_einst where pers_id=".$_SESSION[$AppCode]["UID"];
	$pers_einst = abfrage1($sql);
	$exist = (mysql_num_rows($pers_einst) > 0);
	$sql  = $exist ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set einkauf_fb = '".$_GET['fb']."'";
	if ($exist){
		$sql .= " where pers_id = '{$_SESSION[$AppCode]['UID']}';";
	} else {
		$sql .= ", pers_id = '{$_SESSION[$AppCode]['UID']}';";
	}
	abfrage2($sql);
}

if (isset($_GET['sbja'])){
	$sql = "select pers_id from tb_pers_einst where pers_id=".$_SESSION[$AppCode]["UID"];
	$pers_einst = abfrage1($sql);
	$exist = (mysql_num_rows($pers_einst) > 0);
	$sql  = $exist ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set einkauf_sb = '".$_GET['sbja']."'";
	if ($exist){
		$sql .= " where pers_id = '{$_SESSION[$AppCode]['UID']}';";
	} else {
		$sql .= ", pers_id = '{$_SESSION[$AppCode]['UID']}';";
	}
	abfrage2($sql);
}

if($_SESSION[$AppCode]['ULV'] >= 97 && isset($_GET['del']) && is_numeric($_GET['del'])) {
	$hps = abfrage1("select hp_id from tb_hp where proj_id='{$_GET['del']}'");
	if(mysql_num_rows($hps) <= 1) {
		$zks = abfrage1("select zk_id from tb_ab_zk where proj_id='{$_GET['del']}'");
		if(mysql_num_rows($zks) == 0) {
			abfrage2("delete from tb_projekte where proj_id='{$_GET['del']}' limit 1");
			abfrage2("delete from tb_hp where proj_id='{$_GET['del']}'");
		}
	}
}

/* anzuzeigende Projektart ermitteln */
/* Projektart vorher festgelegt, ber Suche weitergereicht */ 
if (isset($_POST['zusatz_id1'])) {
  $pra_nr = $_POST['zusatz_id1'];
/* Projektart ber URL festgelegt */
} elseif (isset($_GET['pra'])) {
  $pra_nr = $_GET['pra'];
/* Projektart noch nicht festgelegt */
} else {
 /* Favorisierter Bereich als persoenliche Einstellung hinterlegt? */
 $sql = "select pro_bereich from tb_pers_einst where pers_id=".$_SESSION[$AppCode]["UID"];
 $fav_bereich = abfrage($sql);
 if(isset($fav_bereich[0])) $pra_nr = $fav_bereich[0];
 /* Level 60-70 sollen automatisch in den HzE Bereich springen. */
 else if ($_SESSION[$AppCode]['ULV'] >= 60 && $_SESSION[$AppCode]['ULV'] <= 70) {
   $pra_nr = 1;
 } else {
   $prnr_min = abfrage("select min(p.projektnr)"
					." from tbh_pers_proj h"
					." left join tb_projekte p using (proj_id)"
					." where h.pers_id = {$_SESSION[$AppCode]['UID']};");

	if (empty($prnr_min[0])){
		$pra_nr = 1;
	} else {
		$pra_my = abfrage("select pra_id"
						." from tb_projektart"
						." where $prnr_min[0] >= nr_von"
						." and $prnr_min[0] <= nr_bis;");
		$pra_nr = $pra_my[0];
	}
 }
}

if(isset($_GET['bezug'])) $_SESSION[$AppCode]['pro_bezug'] = $_GET['bezug'];
$bezug = 0 + $_SESSION[$AppCode]['pro_bezug'];

/* aktuelle Filter ermitteln */
$proj = (isset($_GET['proj'])) ? $_GET['proj'] : getPersEinst($_SESSION[$AppCode]['UID'], intval($pra_nr+17), 'all');
if(isset($_GET['abt'])) {
	$abt = $_GET['abt'];
	if(substr($abt,0,2)=='tr') {
		$traeger = substr($abt,2);
		$abt = 'all';
	} else $traeger = 0;
} elseif($pra_nr == 11) {
	$abt = getPersEinst($_SESSION[$AppCode]['UID'], 'einkauf_abt', 'all');
	$traeger = getPersEinst($_SESSION[$AppCode]['UID'], 'einkauf_traeger_art_id', 0);
} else {
	$abt = getPersEinst($_SESSION[$AppCode]['UID'], intval($pra_nr), 'all');
	$traeger = 0;
}

if($abt != 'all' && $rvar_ma == $rvar_last_ma && !empty($rvar_last_ma)) $ma = 'all';

/* anzuzeigenden Mitarbeiter ermitteln */
elseif (isset($rvar_ma)){
    $ma = $rvar_ma;
} else {

  /* Level 60-70 sollen automatisch im Bereich HzE alle Projekte sehen */
  if ($_SESSION[$AppCode]['ULV'] >= 60 && $_SESSION[$AppCode]['ULV'] <= 70 &&
      (empty($pra_nr) || $pra_nr == 1))
  {
    $ma = 'all';
    $lsort = 'nr';
  }
  else
  {
    $ma = ($pra_nr == 11) ? getPersEinst($_SESSION[$AppCode]['UID'], 'einkauf_ma', $_SESSION[$AppCode]['UID']) : $_SESSION[$AppCode]['UID'];
  }
}

if (isset($_GET['smile'])){
	$sql = "select pers_id from tb_pers_einst where pers_id='{$_SESSION[$AppCode]["UID"]}'";
	$fav_bereich = abfrage1($sql);
	if (mysql_num_rows($fav_bereich) > 0) {
		$sql = "update";
		$where = "where pers_id='{$_SESSION[$AppCode]["UID"]}'";
	} else {
		$sql = "insert into";
		$where = ", pers_id='{$_SESSION[$AppCode]["UID"]}'";
	}
	$sql .= " tb_pers_einst set einkauf='p', einkauf_ma='$ma', einkauf_proj='$proj',";
	$sql .= " einkauf_abt='$abt', einkauf_traeger_art_id='$traeger' $where;";
	abfrage2($sql);
}

/* Sortierung ermitteln */
if (isset($_GET['lsort'])){
    $lsort = $_GET['lsort'];
} else {
  /*
   * Sortierung ist Default noch Personaltyp, fuer alle Projekte soll
   * die Projektnummer als Sortierung gelten.
   */
  $lsort = ($ma == 'all') ? 'nr' : 'gr';
}

/* nur aktive / alle Projekte */
$suchstr = "";
$fZ = 0;
if (isset($_POST['suche'])) {
	$suchstr = strtoupper ($_POST['suche']);
	$all = 1;
	$cal = 0;
} elseif ((isset($_GET['all']) && $_GET['all'] == 'fZ')) {
	$all = $cal = 0;
	$fZ = 1;
} elseif ((isset($_GET['all']) && intval($_GET['all']) == 1)) {
	$all = $cal = 1;
} else {
	$all = $cal = 0;
}

$kont_id = isset($_GET['kont_id']) ? $_GET['kont_id'] : 0;

/* Ermittlung des Anzeigemodus und des anzuzeigenden Tages (nur bei all == 1) */
if ($all == 1) {
	$anz = (isset($_GET['anz'])) ? $_GET['anz'] : 'w1';

	if(empty($_GET['tag'])){
		$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
	} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
		$anz = 'j';
		$tag = mktime(0,0,0,1,1,$_GET['tag']);
	} elseif($_GET['tag'] == '0000-00-00'){
		$tag = 0;
	} else {
		$tag =  date_isodate_stamp($_GET['tag']);
	}

	if($tag) $tg = date('Y-m-d', $tag);
	else $tg = "0000-00-00";

	switch ($anz){
		case 'w1':
			$wtag = date('w', $tag);

			if ($wtag == 0){
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
			} else {
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
			}
			$sql_end = $sql_beg + (7 * 86400);
			break;

		case 'w2':
			$wtag = date('w', $tag);

			if ($wtag == 0){
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
			} else {
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
			}
			$sql_end = $sql_beg + (7 * 86400);
			break;

		case 'm':
			$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
			$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
			break;

		case 'j':
			if($tag) {
			  $sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
			  $sql_end = mktime(23,59,59,12,31, date('Y', $tag));
			}
			else  {
			  $sql_beg = mktime(0,0,0,1,1, date('Y', 1));
			  $sql_end = mktime(23,59,59,12,31, date('Y', 2140000000)); //sollte spaetestens im Jahre 2037 geaendert werden
			}
			break;

		case 't';
			$sql_beg = $tag;
			$sql_end = $tag;
			break;
	}
}

$proj_gruppe_pra = getConf('proj_gruppe_pra');
$proj_gruppe_pra_name_neu = getConf('proj_gruppe_pra_name_neu');

if($pra_nr == 30) { 
	$pra_rng = array(0,1999);
} else {
	$pra_rng = abfrage("select nr_von, nr_bis from tb_projektart"
					. " where pra_id = " . ($pra_nr==0 ? 1 : $pra_nr));
	if($pra_nr == 11) {
		if($vertr==1) $pra_rng[0] = 18000;
		else $pra_rng[1] = 17999;
	}
}
$pas = abfrage1("select pra_id, kname, titel, nr_von, nr_bis ".
				"from tb_projektart ".
				"where aktiv = 1 order by sort asc;");

if ($_SESSION[$AppCode]['ULV'] > 5 && empty($_GET['sb']) && $pra_nr != 6 && $pra_nr != 11) {
  /* Anzeige Anfragen fr Levelebene GF oder Rechteobjekt 51 */
  $doAnfragen = false;
  $and = $leftjoin = '';
  if (check_nutzer_rechte(51)) $doAnfragen = true;
  else {
	$abts = abfrage1("select abt_id from tb_personal_abt_leit where pers_id = '$uid'");
	if(mysql_num_rows($abts) > 0) {
		$doAnfragen = true;
		$leftjoin = 'left join tbh_proj_abt pa using (proj_id)';
		while($abteilung = mysql_fetch_row($abts)) {
			if($and == '') $and = "and (pa.abt_id in (";
			else $and .= ',';
			$and .= $abteilung[0];
		}
		$and .= ") or t1.abt_id='0' or t1.abt_id is null) ";
	}
  }
  if($doAnfragen) {
	$q1 = array(1, 2);
	$qn1 = abfrage("select nr_von from tb_projektart where pra_id = 1;");
	$qn2 = abfrage("select nr_bis from tb_projektart where pra_id = 2;");

	$sql  = "select t1.proj_id, t1.beginn, t1.ende, t1.kostenzus, ";
	$sql .= "to_days(t1.ende), to_days(curdate()), t1.ma_geschlecht from tb_projekte t1 ";
	$sql .= $leftjoin;
	if($abt != 'all' && $leftjoin == '') $sql .= "left join tbh_proj_abt pa on t1.proj_id = pa.proj_id ";
	$sql .= "where ((t1.ende is null or t1.ende = '0000-00-00' or ";
	$sql .= "t1.ende > curdate())) $and and t1.projektnr >= '$qn1[0]' and ";
	if(isset($_GET['pra']) && $_GET['pra']==0) {
		if(is_numeric($proj)) $sql .= "t1.hilfeart_id=$proj and ";
		if($abt == 'none') $sql .= "(t1.abt_id='0' or t1.abt_id is null) and ";
		elseif($abt != 'all') $sql .= "(pa.abt_id='$abt' or t1.abt_id='$abt' or t1.abt_id='0' or t1.abt_id is null) and ";
	}
	$sql .= "t1.projektnr <= '$qn2[0]' ";
	$sql .= "order by t1.projektnr asc;";
	$anfragen = abfrage1($sql);
  }
  echo "<table cellpadding=\"5\"><tr>\n";

  $eigHzE = 0;
  while ($pa = mysql_fetch_row($pas)){
	if($pa[0]=='12' && !check_nutzer_rechte(151)) continue;
	$sql  = "select h.proj_id from tbh_pers_proj h ".
			"left join tb_projekte p using (proj_id) ".
			"where h.pers_id = {$_SESSION[$AppCode]['UID']} ".
			"and p.projektnr >= $pa[3] and p.projektnr <= $pa[4]";
	if($pa[0] < 12) {
		$sql .= " and (p.ende is null or p.ende = '0000-00-00' or".
				" to_days(p.ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY)))";
	}
	$sql .= ";";
	$eig = abfrage1($sql);
	if($pa[0] < 2) $eigHzE += mysql_num_rows($eig);

	if($pa[0] == 1 && $doAnfragen && ($pra_id==0 || mysql_num_rows($anfragen) > 0)) {
		$class = (isset($_GET['pra']) && $_GET['pra']==0) ? 'menuactive' : 'menuinactive';
		echo "<td rowspan=\"2\" class=\"$class\"><a href=\"pro.php?pra=0\" style=\"color:red\">Anfragen</a></td>\n";
	}

	if($pa[0] == 1 && isset($_GET['pra']) && $_GET['pra']==0) $class = 'menuinactive';
	else $class = ($pa[0] == $pra_nr) ? 'menuactive' : 'menuinactive';
	echo "<td ";
	if($pa[0] > 2) echo "rowspan=\"2\"";
	else echo "style=\"font-size:9pt;padding:0\"";
	echo " class=\"$class\">";
	$vormerkliste = false;
	if($pa[0] == 11) {
		$vormerkliste = (getPersEinst($_SESSION[$AppCode]['UID'], 'einkauf', 'v') == 'v');
	}
	if($vormerkliste) {
		echo "<a href=\"vormerkliste.php";
	} else {
		echo "<a href=\"pro.php?pra=$pa[0]";
		if($pa[0] == 12) echo "&amp;all=1&amp;ma=all&amp;proj=all";
	}
	echo "\"";
	if(projektgruppe() && $proj_gruppe_pra==$pa[0] && !empty($proj_gruppe_pra_name_neu)) {
		$pa[1] = $proj_gruppe_pra_name_neu;
	} elseif ($pa[1] != $pa[2]){
		echo " title=\"$pa[2]\"";
	}
	if (mysql_num_rows($eig) > 0){
		echo " style=\"color:lime\" ";
	}
	echo ">$pa[1]</a></td>\n";
  }
  echo "<td rowspan=\"2\"><a href=\"pro.php?pra=".$pra_nr."&amp;pers_einst=1\" ";
  $tt = "Aktuellen Bereich als pers&ouml;nliche Voreinstellung speichern!";
  echo stwToolTip($tt);
  echo "style=\"color:";

  // sicherstellen das Variable gesetzt ist
  if (!isset($rvar_pers_einst)) $rvar_pers_einst = NULL;
  echo ($rvar_pers_einst == 1) ? "lime" : "#CCCCCC";
  echo "\">:)</a></td>";
  echo "</tr>";
  $class = ($pra_nr == 30) ? 'menuactive' : 'menuinactive';
  echo "<tr><td colspan=\"2\" style=\"padding:0\" class=\"$class\"><a href=\"pro.php?pra=30\" style=\"font-size:6pt;";
  if($eigHzE > 0) echo "color:lime;";
  echo "\">Hilfen zur Erziehung</a></td></tr>\n";
  echo "</table>\n";
  new stwLine(1);
}

echo "<table>\n<tr>\n";

$personenprojekte = array(1,2,30);
$betreuerprojekte = array(1,2,30);
$itprojekte = array(8, 9, 10);

if ($pra_nr <= 2 || $pra_nr == 30){
	$link = "pro_anfrage.php?pra=" . ($pra_nr<2 ? 1 : $pra_nr);
	$txt = 'neue Anfrage';
} else {
	$link = "pro_daten.php?pra=$pra_nr";
	$txt = 'neues Projekt';
}

if (($_SESSION[$AppCode]["ULV"] > 5) && ($pra_nr != 12)) {
	if($pra_nr == 1 || $pra_nr == 30 || check_nutzer_rechte(101 + $pra_nr) || check_nutzer_rechte(75)) {
	  echo "<td class=\"cl1\"><input type=\"button\" value=\"$txt\" ";
	  echo "onclick=\"self.location.href='$link'\" /></td>\n";
	}
}

echo "<td class=\"cl1\">";
echo "<form action=\"pro.php\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"lsort\" value=\"$lsort\" />\n";
echo "<input type=\"hidden\" name=\"pra\" value=\"$pra_nr\" />\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\" />\n";
echo "<input type=\"hidden\" name=\"proj\" value=\"$proj\" />\n";
echo "<input type=\"hidden\" name=\"abt\" value=\"$abt\" />\n";
echo "<input type=\"hidden\" name=\"kont_id\" value=\"$kont_id\" />\n";
echo "<input type=\"hidden\" name=\"vertr\" value=\"$vertr\" />\n";
if ($suchstr != "") {
	$dat_all = 0;
	echo "<input type=\"button\" value=\"Suche zur&uuml;cksetzen\" ";
	echo "onclick=\"self.location.href='pro.php?ma=".$ma."&amp;all=".$dat_all."&amp;lsort=".$lsort."&amp;pra=".$pra_nr."&amp;proj=".$proj;
	if($vertr==1) echo "&amp;vertr=1";
	if($pra_nr == 6 || $pra_nr == 7 || $pra_nr == 11) echo "&amp;kont_id=$kont_id";
	echo "'\" />";
} else {
	$dat_all = $all ? 0 : 1;
	echo "<select name=\"all\" onchange=\"this.form.submit()\">\n";
	$selected = $all || $fZ ? '' : 'selected';
	echo "<option $selected value=\"0\">nur aktive</option>\n";
	$selected = $all ? 'selected' : '';
	echo "<option $selected value=\"1\">auch passive</option>\n";
	$selected = $fZ ? 'selected' : '';
	echo "<option $selected value=\"fZ\">aktive fZ</option>\n";
	echo "</select>\n";
}
echo "</form>\n";
echo "</td>\n";

if (($pra_nr <= 1 && ($_SESSION[$AppCode]["ULV"] >= 45 || $bereitschaft)) || $_SESSION[$AppCode]["ULV"] >= 60){

    // sicherstellen das die Variablen gesetzt sind
    if (!isset($tg)) $tg = NULL;
    if (!isset($anz)) $anz = NULL;

	echo "<form action=\"pro.php\" method=\"get\">\n";

	if($vertr==1) echo "<input type=\"hidden\" name=\"vertr\" value=\"1\" />\n";
	echo "<input type=\"hidden\" name=\"all\" value=\"$all\" />\n";
	echo "<input type=\"hidden\" name=\"tag\" value=\"$tg\" />\n";
	echo "<input type=\"hidden\" name=\"lsort\" value=\"$lsort\" />\n";
	echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\" />\n";
	echo "<input type=\"hidden\" name=\"last_ma\" value=\"$ma\" />\n";
	if ($pra_nr == 6 || $pra_nr == 7 || $pra_nr == 11) 	{
		echo "<input type=\"hidden\" name=\"kont_id\" value=\"$kont_id\" />\n";
	}
	echo "<input type=\"hidden\" name=\"pra\" value=\"$pra_nr\" />\n";

  /*
   * alle Projekte ermitteln die aktuell gerade gezeigt werden sollen
   * diese Mitarbeiter koennen dann auch ausgewaehlt werden
   */
  $sql  = "SELECT t1.proj_id FROM tb_projekte t1 ";
  $sql .= "LEFT JOIN tbh_pers_proj t2 ON t1.proj_id = t2.proj_id ";

  $sql .= "WHERE t1.projektnr >= '$pra_rng[0]' ";
  $sql .= "AND t1.projektnr <= '$pra_rng[1]'";

  if ($all != 1)
  {
    $sql .= " AND (t1.ende IS NULL OR t1.ende = '0000-00-00' OR ";
    $sql .= "TO_DAYS(t1.ende) >= TO_DAYS(DATE_SUB(CURDATE(), INTERVAL ";

    $sql .= "28 DAY)))";
  }

  $sql .= " GROUP BY t1.proj_id;";

  /* Projekte fuer eine neue Anfrage zusammenstellen */
  $projekte = abfrage1($sql);
  while ($zwischen = mysql_fetch_row($projekte))
  {
    if (empty($anf)) $anf = $zwischen[0]; else $anf .= ",".$zwischen[0];
  }
  if(!isset($_GET['pra']) || $_GET['pra']!=0) {
	echo "<th class=\"cl1\">MA:</th>\n";
	echo "<td class=\"cl1\">";
	$order = ($pers_order == 2) ? "t2.name ASC, t2.vorname ASC" : "t2.vorname ASC, t2.name ASC";
	$sql  = "SELECT t1.pers_id FROM tbh_pers_proj t1 ";
	$sql .= "LEFT JOIN tb_personal t2 ON t1.pers_id = t2.pers_id ";
	$sql .= "WHERE t1.proj_id IN (".$anf.") ";
	$sql .= "GROUP BY t1.pers_id ORDER BY $order;";

	echo "<select style=\"width:150px\" name=\"ma\" size=\"1\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"all\"";
	echo ($ma == 'all') ? ' selected="selected"' : '';
	echo ">ALLE anzeigen</option>\n";
	$inListe = $_SESSION[$AppCode]['UID']==$ma ? false : true;
	if (!empty($anf)) {
		$data1 = abfrage1($sql);
		while ($mit = mysql_fetch_row($data1)) {
		  if($ma==$mit[0]) $inListe=true;
		  echo "<option value=\"$mit[0]\"";
		  echo ($mit[0] == $ma) ? ' selected="selected"' : '';

		  /* Projekte ohne Hauptbetreuer */
		  if (empty($mit[0])) {
			echo ">kein Hauptbetreuer</option>\n";
		  } else {
			printf(">%s</option>\n", $pers_order == 2 ? pers_name2($mit[0]) : pers_name($mit[0]));
		  }
		}
	}
	if(!$inListe) $ma = 'all';
	echo "</select>\n";
	echo "</td>\n";
  }
  echo "<th class=\"cl1\">Proj.:</th>\n";
  echo "<td class=\"cl1\"><select name=\"proj\" style=\"width:80px\" onchange=\"this.form.submit()\">\n";
  echo "<option value=\"all\"";
  echo ($proj == 'all') ? ' selected="selected"' : '';
  echo ">- ALLE -</option>\n";
  if($pra_nr == 0) {
	 $grps = abfrage1("select * from tb_anf_ha_grp order by name asc");
	 if(mysql_num_rows($grps) > 0) {
		while($grp = mysql_fetch_row($grps)) {
			$selected = ($proj == "grp".$grp[0]) ? 'selected' : '';
			echo "<option $selected value=\"grp".$grp[0]."\">$grp[1]</option>\n";
		}
		echo "<option value=\"all\">--------</option>\n";
	 }
  }
  if (!empty($anf)) {
    $sql  = "SELECT distinct ha.hilfeart, t1.hilfeart_id FROM tb_hilfeart ha ";
    $sql .= "LEFT JOIN tb_projekte t1 USING (hilfeart_id) ";
    $sql .= "WHERE t1.proj_id IN (".$anf.") ";
    $sql .= "ORDER BY ha.hilfeart ASC;";
    $data2 = abfrage1($sql);
	while ($ha = mysql_fetch_row($data2))
    {
      echo "<option value=\"$ha[1]\"";
      echo ($ha[1] == $proj) ? ' selected="selected"' : '';
      echo ">" . $ha[0] . "</option>\n";
    }
  }
  echo "</select>\n";
  echo "</td>\n";

  echo "<th class=\"cl1\"".stwToolTip('Tr&auml;ger / Abteilung').">Tr./Abt.:</th>\n";
  echo "<td class=\"cl1\"><select name=\"abt\" style=\"width:85px\" size=\"1\" onchange=\"this.form.submit()\">\n";
  echo "<option value=\"all\"";
  echo ($abt == 'all') ? ' selected="selected"' : '';
  echo ">-- ALLE --</option>\n";
  if (!empty($anf)) {
	$sql  = "SELECT traeger_art_id, traeger_art, kurzname ";
	$sql .= "FROM tb_traeger_art order by kurzname asc;";
	$res = abfrage1($sql);
	while ($row = mysql_fetch_row($res)) {
		echo "<option title=\"$row[1]\"";
		if ($traeger == $row[0]) echo ' selected="selected"';
		echo " value=\"tr$row[0]\">$row[2]</option>\n";
	}
	echo "<option value=\"all\">-------------</option>";
    $sql  = "SELECT distinct a.name, t1.abt_id FROM tb_personal_abt a ";
    $sql .= "LEFT JOIN tbh_proj_abt t1 USING (abt_id) ";
    $sql .= "WHERE t1.proj_id IN (".$anf.") ";
    $sql .= "ORDER BY a.name ASC;";
    $abs = abfrage1($sql);
	while ($ab = mysql_fetch_row($abs)) {
		echo "<option value=\"$ab[1]\"";
		echo ($ab[1] == $abt) ? ' selected="selected"' : '';
		echo ">" . $ab[0] . "</option>\n";
	}
  }
  echo "<option value=\"none\"";
  echo ($abt == 'none') ? ' selected="selected"' : '';
  echo ">-- keine --</option>\n";
  echo "</select>\n";
  echo "</td>\n";
  echo "<td class=\"cl1\"><a href=\"#\" style=\"color: #ccc\" id=\"TraegerIcon\"";
  echo " onclick=\"xajax_smileAbt({$_SESSION[$AppCode]['UID']}, '$pra_nr', '$abt', '$proj')\"";
  echo stwToolTip("Hilfeart und Abteilung als pers&ouml;nliche Voreinstellung speichern") . ">:)</a></td>\n";
  echo "<td class=\"cl1\"><input type=\"image\" src=\"img/senden.png\" /></td>\n";
  echo "</form>\n";
  if ($pra_nr == 11){
	echo "<td class=\"cl1\"><a href=\"pro.php?ma=$ma&all=$dat_all&lsort=$lsort&pra=$pra_nr";
	if($vertr==1) echo "&vertr=1";
	echo "&proj=$proj&traeger=$traeger&abt=$abt&kont_id=$kont_id&smile=1\" ";
	$tt = "'Einkauf' im Men&uuml; f&uuml;hrt standardm&auml;&szlig;ig zu Einkaufsprojekten<br>";
	$tt.= "Werte f&uuml;r MA, Proj., Abt. und Tr&auml;ger als Standard speichern";
	echo stwToolTip($tt,false);
	echo ($rvar_smile == 1) ? "style=\"color:lime\"" : "style=\"color:#CCCCCC\"";
	echo ">:)</a></td>\n";
  }

  if ($_SESSION[$AppCode]["ULV"] >= 50 || $bereitschaft){

	// Falls es pro_pr_kl.php (Klienten Liste Drucken ) oder pro_pr_rechnung.php im Mandanten-Verzeichnis
	// gibt diese statt der standard Datei verwenden

	$kl_pdf_mandant_local = "{$_SESSION['basedir']}/mandant/{$_SESSION[$AppCode]['TR']}/pro_pr_kl.php";
	$kl_pdf_mandant = "{$_SESSION['webdir']}/mandant/{$_SESSION[$AppCode]['TR']}/pro_pr_kl.php";

	$rl_pdf_mandant_local = "{$_SESSION['basedir']}/mandant/{$_SESSION[$AppCode]['TR']}/pro_pr_rechnung.php";
	$rl_pdf_mandant = "{$_SESSION['webdir']}/mandant/{$_SESSION[$AppCode]['TR']}/pro_pr_rechnung.php";

	$kl_pdf = (file_exists($kl_pdf_mandant_local)) ? $kl_pdf_mandant : 'pro_pr_kl.php';
	$rl_pdf = (file_exists($rl_pdf_mandant_local)) ? $rl_pdf_mandant : 'pro_pr_rechnung.php';

	echo "<td class=\"cl1\"><a href=\"$kl_pdf?sort=name&amp;pra=$pra_nr&ts=" . time();
	if($vertr==1) echo "&amp;vertr=1";
	echo "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\"".stwToolTip("Liste drucken (Name)");
	echo "border=\"0\" alt=\"Drucker\"/></a></td>\n";

	echo "<td class=\"cl1\"><a href=\"$kl_pdf?sort=nr&amp;pra=$pra_nr&ts=" . time();
	if($vertr==1) echo "&amp;vertr=1";
	echo "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\"".stwToolTip("Liste drucken (Nr.)");
	echo "border=\"0\" alt=\"Drucker\"/></a></td>\n";

	echo "<td class=\"cl1\"><a href=\"$rl_pdf?rsort=nr&amp;pra=$pra_nr&ts=" . time();
	if($vertr==1) echo "&amp;vertr=1";
	echo "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\"".stwToolTip("Rechnungsliste drucken (Nr.)");
	echo "border=\"0\" alt=\"Drucker\"/></a></td>\n";

	echo "<td class=\"cl1\"><a href=\"$rl_pdf?rsort=name&amp;pra=$pra_nr&ts=" . time();
	if($vertr==1) echo "&amp;vertr=1";
	echo "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\"".stwToolTip("Rechnungsliste drucken (Name)");
	echo "border=\"0\" alt=\"Drucker\"/></a></td>\n";
  }
} elseif($pra_nr == 11) {
	echo "<form action=\"pro.php\" method=\"get\">\n";
	if($vertr==1) echo "<input type=\"hidden\" name=\"vertr\" value=\"1\" />\n";
	echo "<input type=\"hidden\" name=\"all\" value=\"$all\" />\n";
	echo "<input type=\"hidden\" name=\"tag\" value=\"$tg\" />\n";
	echo "<input type=\"hidden\" name=\"lsort\" value=\"$lsort\" />\n";
	echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\" />\n";
	echo "<input type=\"hidden\" name=\"ma\" value=\"all\" />\n";
	echo "<input type=\"hidden\" name=\"kont_id\" value=\"$kont_id\" />\n";
	echo "<input type=\"hidden\" name=\"pra\" value=\"$pra_nr\" />\n";
	$abt_leits = abfrage1("select l.abt_id, a.name from tb_personal_abt_leit l
							left join tb_personal_abt a using(abt_id) 
							where l.pers_id = '$uid' order by a.name asc;");
	if(mysql_num_rows($abt_leits)) {
		echo "<th class=\"cl1\" style=\"padding-left:20px\">Abteilung:</th>\n";
		echo "<td class=\"cl1\"><select name=\"abt\" size=\"1\" onchange=\"this.form.submit()\">\n";
		echo "<option onClick=\"self.location.href='pro.php?pra=11'\">-- Eigene --</option>\n";
		while ($ab = mysql_fetch_row($abt_leits)) {
			echo "<option value=\"$ab[0]\"";
			echo ($ab[0] == $abt) ? ' selected="selected"' : '';
			echo ">" . $ab[1] . "</option>\n";
		}
		echo "</select></td></form>\n";
	}
} elseif($_SESSION[$AppCode]["ULV"] >= 45) {
	echo "<form action=\"pro.php\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"all\" value=\"$all\" />\n";
	echo "<input type=\"hidden\" name=\"tag\" value=\"$tg\" />\n";
	echo "<input type=\"hidden\" name=\"lsort\" value=\"$lsort\" />\n";
	echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\" />\n";
	echo "<input type=\"hidden\" name=\"kont_id\" value=\"$kont_id\" />\n";
	echo "<input type=\"hidden\" name=\"pra\" value=\"$pra_nr\" />\n";
	echo "<th class=\"cl1\" style=\"padding-left:20px\">MA:</th>\n";
	echo "<td class=\"cl1\"><select style=\"width:150px\" name=\"ma\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"all\"";
	echo ($ma == 'all') ? ' selected="selected"' : '';
	echo ">ALLE anzeigen</option>\n";
	$order = ($pers_order == 2) ? "t2.name ASC, t2.vorname ASC" : "t2.vorname ASC, t2.name ASC";
	$sql  = "SELECT p.pers_id, CONCAT(";
	$sql .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
	$sql .= ") FROM tbh_pers_abt a LEFT JOIN tb_personal p USING(pers_id)";
	$sql .= "WHERE a.abt_id IN (select abt_id from tb_personal_abt_leit where pers_id='$uid') ";
	$sql .= "OR p.pers_id='$uid' GROUP BY p.pers_id ORDER BY ";
	$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
	$mas = abfrage1($sql);
	while($pers = mysql_fetch_row($mas)) {
		echo "<option value=\"$pers[0]\"";
		echo ($ma == $pers[0]) ? ' selected="selected"' : '';
		echo ">$pers[1]</option>\n";
	}
	echo "</select></td>";
	echo "<th class=\"cl1\">Proj.:</th>\n";
	echo "<td class=\"cl1\"><select name=\"proj\" size=\"1\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"all\"";
	echo ($proj == 'all') ? ' selected="selected"' : '';
	echo ">ALLE</option>\n";
	if (!empty($anf)) {
		$sql  = "SELECT distinct ha.hilfeart, t1.hilfeart_id FROM tb_hilfeart ha ";
		$sql .= "LEFT JOIN tb_projekte t1 USING (hilfeart_id) ";
		$sql .= "WHERE t1.proj_id IN (".$anf.") ";
		$sql .= "ORDER BY ha.hilfeart ASC;";
		$data2 = abfrage1($sql);
		while ($ha = mysql_fetch_row($data2))
		{
		  echo "<option value=\"$ha[1]\"";
		  echo ($ha[1] == $proj) ? ' selected="selected"' : '';
		  echo ">" . $ha[0] . "</option>\n";
		}
	}
	echo "</select>\n";
	echo "</td>\n";

	echo "<th class=\"cl1\"".stwToolTip('Tr&auml;ger / Abteilung').">Tr./Abt.:</th>\n";
	echo "<td class=\"cl1\"><select name=\"abt\" style=\"width:85px\" size=\"1\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"all\"";
	echo ($abt == 'all') ? ' selected="selected"' : '';
	echo ">-- ALLE --</option>\n";
	if (!empty($anf)) {
		$sql  = "SELECT traeger_art_id, traeger_art, kurzname ";
		$sql .= "FROM tb_traeger_art order by kurzname asc;";
		$res = abfrage1($sql);
		while ($row = mysql_fetch_row($res)) {
			echo "<option title=\"$row[1]\"";
			if ($traeger == $row[0]) echo ' selected="selected"';
			echo " value=\"tr$row[0]\">$row[2]</option>\n";
		}
		echo "<option value=\"all\">-------------</option>";
		$sql  = "SELECT distinct a.name, t1.abt_id FROM tb_personal_abt a ";
		$sql .= "LEFT JOIN tbh_proj_abt t1 USING (abt_id) ";
		$sql .= "WHERE t1.proj_id IN (".$anf.") ";
		$sql .= "ORDER BY a.name ASC;";
		$abs = abfrage1($sql);
		while ($ab = mysql_fetch_row($abs)) {
			echo "<option value=\"$ab[1]\"";
			echo ($ab[1] == $abt) ? ' selected="selected"' : '';
			echo ">" . $ab[0] . "</option>\n";
		}
	}
	echo "<option value=\"none\"";
	echo ($abt == 'none') ? ' selected="selected"' : '';
	echo ">-- keine --</option>\n";
	echo "</select>\n";
	echo "</td>\n";
	echo "<td class=\"cl1\"><a href=\"#\" style=\"color: #ccc\" id=\"TraegerIcon\"";
	echo " onclick=\"xajax_smileAbt({$_SESSION[$AppCode]['UID']}, '$pra_nr', '$abt', '$proj')\"";
	echo stwToolTip("Abteilung als pers&ouml;nliche Voreinstellung speichern") . ">:)</a></td>\n";
	echo "<td class=\"cl1\"><input type=\"image\" src=\"img/senden.png\" /></td>\n";
	echo "</form>\n";
}

if($ulv > 5) { //Druck: Alle HPs des MAs
	if(!isset($_SESSION[$AppCode]['pers_hp_passiv'])) $_SESSION[$AppCode]['pers_hp_passiv'] = 0;
	echo "<input type=\"hidden\" id=\"pers_hp_passiv\" value=\"{$_SESSION[$AppCode]['pers_hp_passiv']}\" />\n";
	$parts = abfrage1("select * from tb_personaltyp order by sort asc");
	while($part = mysql_fetch_array($parts)) {
		if(!isset($_SESSION[$AppCode]['pers_hp_'.$part['kurzname']])) $_SESSION[$AppCode]['pers_hp_'.$part['kurzname']] = $part['sort']<5 ? 1 : 0;
		echo "<input type=\"hidden\" id=\"pers_hp_".$part['kurzname']."\" value=\"" . $_SESSION[$AppCode]['pers_hp_'.$part['kurzname']] . "\" />\n";
	}
	echo "<script type=\"text/javascript\"><!--\n";
	echo "  function doTT() {\n";
	echo "    var str = ' &nbsp; <input style=\"position:relative;top:2px;margin-top:4px\" type=\"checkbox\" ';\n";
	echo "    if(document.getElementById('pers_hp_passiv').value == 1) str += 'checked ';\n";
	echo "    str += 'onchange=\"xajax_pers_hp(\'passiv\',this.checked)\" /> auch erledigte ';\n";
	echo "    str += '<input style=\"position:relative;top:160px;left:30px\" type=\"button\" onclick=\"tt_HideInit()\" value=\"OK\" /><br />';\n";
	mysql_data_seek($parts,0);
	while($part = mysql_fetch_array($parts)) {
		echo "    str += '<br /> &nbsp; <input style=\"position:relative;top:2px\" type=\"checkbox\" ';\n";
		echo "    if(document.getElementById('pers_hp_".$part['kurzname']."').value == 1) str += 'checked ';\n";
		echo "    str += 'onchange=\"xajax_pers_hp(\'".$part['kurzname']."\',this.checked)\" /> ".$part['personaltyp']."';\n";
	}
	echo "    Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Einstellungen HP-&Uuml;bersicht',TITLEBGCOLOR, '#006600', WIDTH, 180, HEIGHT, 180, FIX, ['pers_hp_pr',-25,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "  }\n";
	echo "--></script>\n";
	echo "<td class=\"cl1\"" . stwToolTip('Hilfeplan&uuml;bersicht des gew&auml;hlten Mitarbeiters drucken');
	echo "><a target=\"_pdf\" href=\"pers_hp_pr.php?pers_id=$ma&amp;pra=$pra_nr";
	if(isset($_GET['tag']) && !empty($_GET['tag'])) echo "&amp;datum=$rvar_tag&amp;anz=$rvar_anz";
	echo "\"><img id=\"pers_hp_pr\" src=\"img/drucker.png\" alt=\"Drucker\" /></a> <a href=\"#\" ";
	echo "style=\"font-size:small;position:relative;top:-4px;\" onClick=\"doTT()\">+</a></td>\n";
}

/* Archivierungs-Button (nur unter Archiv) */
if (($_SESSION[$AppCode]['ULV'] >= 65) && ($pra_nr == 12)) {
	echo "<form action=\"pro.php?pra=12&amp;all=1&amp;tag=".$tg."&amp;anz=".$anz."&amp;ma=".$ma."\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"archiv\" value=\"1\" />\n";
	echo "<td align=\"right\" class=\"cl1\"><input type=\"image\" src=\"img/archiv.png\" ";
	$aTip  = "Archivieren aller Projekte, die mind. ";
	$aTip .= $archivierungszeit . " Monate abgeschlossen sind";
	echo stwToolTip($aTip);
	echo " /></td>\n";
	echo "</form>\n";
}

echo "</tr>\n</table>\n";

 /* es folgt der Projektbereich in dem alle Projekte gezeigt werden */
 new stwLine(1);

$sqly = '';
$sql1 = "select straight_join t1.proj_id, t1.beginn, pp.personaltyp_id ";
if($lsort == 'gr') $sql1.= ", t2.sort ";
$sql1.= "from tb_projekte t1 ";
$sql1.= "left join tbh_pers_proj pp on (t1.proj_id = pp.proj_id";
if($ma != 'all' && $ma != 0) $sql1.= " and pp.pers_id='$ma'";
$sql1.= ") ";

if($abt != 'all') $sql1 .= "left join tbh_proj_abt pa on t1.proj_id = pa.proj_id ";

switch ($lsort) {

  case "gr": /*
              * Sortierung nach Betreuungsart - noch eine Sortiertabelle
              * mit einhaengen
              */
             $sql1 .= "LEFT JOIN tb_personaltyp t2 ON ";
             $sql1 .= "pp.personaltyp_id = t2.personaltyp_id ";

             /* die Sortiertabelle gibt die Ordnung vor */
             $sql3  = "ORDER BY t2.sort ASC, t1.projektnr ASC ";
             break;

	case 'nr':
    $sql3 = 'order by t1.projektnr asc ';
    break;
  case 'vn':
    $sql1 .= 'left join tbh_proj_personen t2 on t1.proj_id = t2.proj_id
                and t2.perstyp_id = 1
              left join tb_personen t3 on t2.person_id = t3.person_id ';
    $sql3 = 'order by t3.vorname asc ';
    break;
  case 'nn':
    $sql1 .= 'left join tbh_proj_personen t2 on t1.proj_id = t2.proj_id
                and t2.perstyp_id = 1
              left join tb_personen t3 on t2.person_id = t3.person_id ';
    $sql3 = 'order by t3.name asc ';
    break;
  case 'ja':
    $sql1 .= 'left join tb_kontakte_ap t2 on t1.ap_id = t2.ap_id
              left join tb_kontakte t3 on t2.kont_id = t3.kont_id and t3.kh_id=0 ';
    $sql3 = 'order by t3.kurzname asc, t2.name asc ';
    break;
  case 'sb':
    $sql1 .= 'left join tb_kontakte_ap t2 on t1.ap_id = t2.ap_id';
    $sql3 = 'order by t2.name asc ';
    break;
  case 'hb':
    $sql1 .= 'left join tb_personal t3 on pp.pers_id = t3.pers_id  ';
	$sqly = ' and pp.personaltyp_id = 1 ';
    $sql3 = ' order by t3.name asc ';
    break;

  case "vr": /* nach Vertretungsspalte sortieren */
             $sql1 .= "LEFT JOIN tb_personal t3 ON pp.pers_id = t3.pers_id ";
             $sqly  = " AND pp.personaltyp_id='3' ";
			 $sql3  = " ORDER BY t3.name ASC ";
             break;

  case 'al':
    $sql1 .= 'left join tbh_proj_personen t2 on t1.proj_id = t2.proj_id
                and t2.perstyp_id = 1
              left join tb_personen t3 on t2.person_id = t3.person_id ';
    $sql3 = 'order by t3.geboren desc ';
    break;
  case 'or':
    $sql1 .= 'left join tbh_proj_personen t2 on t1.proj_id = t2.proj_id
                and t2.perstyp_id = 1
              left join tb_personen t3 on t2.person_id = t3.person_id
              left join tb_p_adressen t4 on t3.adress_id = t4.adress_id ';
    $sql3 = 'order by t4.ort asc';
    break;
  case 'kdn1':
	if($pra_nr == 7) {
		$sql1 .= 'left join tbh_ap_proj ap on t1.proj_id = ap.proj_id
				  left join tb_kontakte_ap ka on ap.ap_id = ka.ap_id ';
		$sql3 = 'order by ka.vorname asc, ka.name asc';
	} else {
		$sql1 .= 'left join tbh_kont_proj kp on t1.proj_id = kp.proj_id
				  left join tb_kontakte kk on kp.kont_id = kk.kont_id and kk.kh_id=0
				  left join tb_personal pk on kp.kont_id = (pk.pers_id + 100000)';
		$sql3 = 'order by IF(kp.kont_id > 100000,pk.name,kk.name) asc, IF(kp.kont_id > 100000,pk.vorname,kk.name2) asc';
	}
    break;
  case 'kdn2':
	if($pra_nr == 7) {
		$sql1 .= 'left join tbh_ap_proj ap on t1.proj_id = ap.proj_id
				  left join tb_kontakte_ap ka on ap.ap_id = ka.ap_id ';
		$sql3 = 'order by ka.name asc, ka.vorname asc';
	} else {
		$sql1 .= 'left join tbh_kont_proj kp on t1.proj_id = kp.proj_id
				  left join tb_kontakte kk on kp.kont_id = kk.kont_id and kk.kh_id=0
				  left join tb_personal pk on kp.kont_id = (pk.pers_id + 100000)';
		$sql3 = 'order by IF(kp.kont_id > 100000,pk.vorname,kk.name2) asc, IF(kp.kont_id > 100000,pk.name,kk.name) asc';
	}
    break;
  case 'kdnr':
	if($pra_nr == 7) {
		$sql1 .= 'left join tbh_ap_proj ap on t1.proj_id = ap.proj_id ';
		$sql3 = 'order by ap.ap_id asc';
	} else {
		$sql1 .= 'left join tbh_kont_proj kp on t1.proj_id = kp.proj_id';
		$sql3 = 'order by IF(kp.kont_id > 100000,kp.kont_id-100000,kp.kont_id) asc';
	}
    break;
  case 'archiv':
	$sql1 .= 'left join tb_pro_archiv a on t1.proj_id = a.proj_id ';
	$sql3 = 'order by a.checked desc, t1.projektnr asc, a.datetime desc';
    break;
  case 'erase':
	$sql1 .= 'left join tb_pro_vernichtung e on t1.proj_id = e.proj_id ';
	$sql1 .= 'left join tb_pro_archiv a on t1.proj_id = a.proj_id ';
	$sql3 = 'order by e.checked desc, a.checked desc, t1.projektnr asc, e.datetime desc';
    break;
}

$sql2 = " where t1.projektnr >= '$pra_rng[0]' and t1.projektnr <= '$pra_rng[1]' ";

/* in den Defaulteinstellungen sollen die Verwaltungsprojekte am Ende stehen */
if ($lsort == "gr" && $pra_rng[1] < 2000) {
	$sql1 .= "left join tb_hilfeart ha on t1.hilfeart_id = ha.hilfeart_id ";
	$sql4 = $sql2;
	$sql2 .= " and ha.verw = 'n' ";
	$sql4 .= " and ha.verw = 'j' ";

	$remember = 1;
} else {
	$remember = 0;
}

$sqlx = "";
if ($traeger > 0) $sqlx .= " AND t1.traeger_art_id = '$traeger' ";
if($ma != 'all' && $suchstr == "") {
	if($ma==0) {
		$sqlx .= " and (pp.pers_id = '0' or pp.proj_id IN (
						SELECT proj_id
						FROM tbh_pers_proj 
						WHERE personaltyp_id=1
						GROUP BY proj_id
						HAVING Count( 1 ) >1 ) or pp.proj_id IN (
						SELECT px.proj_id
						FROM tb_projekte px
						LEFT JOIN tbh_pers_proj ppx on (ppx.personaltyp_id=1 and px.proj_id=ppx.proj_id)
						WHERE ppx.pers_id IS NULL) ) ";
	} else $sqlx .= " and pp.pers_id = '$ma' ";
}
if ($all == "1") {
	/* alle anzeigen - Auswertung Kalenderdaten erfolgt in PHP */
	$sqlx .= '';
} elseif($pra_nr == 11) {
	// Bei Einkaufsprojekten Sonderfall Vorkasse beachten
	$sqlx.="and (t1.ende is null or t1.ende = '0000-00-00'
			or to_days(t1.ende) >= to_days(date_sub(curdate(), INTERVAL 42 DAY))
			or (wihi_id = '3' and (t1.kostenzus_ende is null or t1.kostenzus_ende = '0000-00-00' or 
			to_days(t1.kostenzus_ende) >= to_days(date_sub(curdate(), INTERVAL 42 DAY))))) ";
} else {
	// nur aktive anzeigen
	$sqlx .= "and (t1.ende is null or t1.ende = '0000-00-00' or ".
			" to_days(t1.ende) >= to_days(date_sub(curdate(), INTERVAL 42 DAY))) ";
}

if(is_numeric($proj)) $sqlx .= "and t1.hilfeart_id=$proj ";
if($abt == 'none') $sqlx .= "and (t1.abt_id='0' or t1.abt_id is null) ";
elseif($abt != 'all') $sqlx .= "and (pa.abt_id='$abt' or t1.abt_id='$abt') ";

if(isset($rvar_pid) && is_array($rvar_pid)) {
	$sql2 = $sql4 = " where t1.proj_id in (" . implode(",",$rvar_pid) . ") ";
	$sql3 = $sqlx = '';
	$all = 0;
}

if(isset($_GET['sb']) && $_GET['sb'] == 1) {
	$remember = 0;
	$pra_nr = 0;
	$erster = mktime(0,0,0,1,1,date('Y'));
	$letztes = mktime(0,0,0,1,1,date('Y')-1);
	$hb = empty($_GET['hb']) ? '' : "and pp.pers_id='{$_GET['hb']}'";
	$sql = "select p.proj_id from tb_sachbericht s"
		. " left join tb_sachbericht_proj sp using(sb_id)"
		. " left join tbh_pers_proj pp on(sp.proj_id=pp.proj_id $hb)"
		. " left join tb_projekte p on(sp.proj_id = p.proj_id)"
		. " where s.einverst='j' and pp.personaltyp_id = 1"
		. " and (p.einverst IS NULL or p.einverst = 0)"
		. " and ((unix_timestamp(s.bis) < '$erster'"
		. " and unix_timestamp(s.bis) >= '$letztes')"
		. " or (TO_DAYS(p.ende) < (TO_DAYS(curdate()) + 42)))"
		. " group by p.proj_id order by p.projektnr asc;";
} else {
	$sql = $sql1 . $sql2 . $sqlx . $sqly . " group by t1.proj_id " . $sql3;
}
$res = abfrage1($sql);

/* nur wenn obere Bedingung erfuellt wurde */
if ($remember == 1) {
  $sql5 = $sql1 . $sql4 . $sqlx . " group by t1.proj_id " . $sql3;
  $res2 = abfrage1($sql5);
}

$fls_summe7 = 0;
$fls_summe8 = 0;
$summe_anf = 0;

if (in_array($pra_nr, $personenprojekte)){
	$nnm = "Name";
	$vnm = "Vorname";
	$ort = "Ort";
} else {
	$nnm = "Name 1";
	$vnm = "Name 2";
	$ort = $pra_nr == 6 ? 'Standort' : "Beschreibung";
}

echo "<table>\n";
if($pra_nr > 1 || !isset($_GET['pra']) || $_GET['pra']==1) {
if($pra_nr == 1) {
	/* Einverstaendniserklaerung Sachberichte */
	$erster = mktime(0,0,0,1,1,date('Y'));
	$letztes = mktime(0,0,0,1,1,date('Y')-1);
	$sql = "select sp.proj_id from tb_sachbericht s"
		. " left join tb_sachbericht_proj sp using(sb_id)"
		. " left join tb_projekte p using(proj_id)"
		. " left join tbh_pers_proj pp on (sp.proj_id=pp.proj_id and pp.pers_id = '$uid')"
		. " where s.einverst='j' and pp.personaltyp_id = 1 and (p.einverst IS NULL or p.einverst = 0)"
		. " and ((unix_timestamp(s.bis) < '$erster' and unix_timestamp(s.bis) >= '$letztes')"
		. " or (TO_DAYS(p.ende) < (TO_DAYS(curdate()) + 42)))";
	$evesbs = abfrage1($sql);
	if(mysql_num_rows($evesbs) > 0) {
		echo "<tr><td colspan=\"30\"><a href=\"pro.php?sb=1&amp;hb=".$uid."\" style=\"color:red\">";
		echo "Fehlende Haken: Einverst&auml;ndniserkl&auml;rung Sachberichte</a>";
		echo "</td></tr>\n";
	}
}

if(($abt != 'all' && check_nutzer_rechte(82)) || $pra_nr == 12) {
	echo "<form action=\"pro.php?pra=".$pra_nr."&amp;ma=".$ma."&amp;all=".$all."&amp;tag=".$tg."&amp;anz=".$anz."&amp;abt=".$abt."&amp;lsort=".$lsort."\" method=\"post\">\n";
}

$urlEx = "&amp;ma=$ma&amp;all=$all&amp;traeger=$traeger&amp;pra=$pra_nr&amp;proj=$proj";
if(isset($_GET['tag'])) $urlEx .= "&amp;tag={$_GET['tag']}&amp;anz={$_GET['anz']}";

echo "<tr>";
if($abt != 'all' && check_nutzer_rechte(82)) {
	echo "<td><input type=\"checkbox\" name=\"checkall\" onclick=\"checkAll1(this.checked)\" /></td>";
}
if ($suchstr=="") {
	$spalte = "<a id=\"hpro\" href=\"pro.php?lsort=nr$urlEx\">Projektnr.</a>";
} else {
	$spalte = "Projektnr.";
}
echo "<th style=\"padding-right:3px\">".$spalte."</th>\n";

if($pra_nr == 12) {
	echo "<script language=\"JavaScript\">\n";
	echo "var chkArray = new Array();\n";
	echo "var chk2Array = new Array();\n";
	echo "function chk_toggle() {\n";
	echo "var doIt = 0;\n";
	echo "if(document.getElementById('chk').checked) {";
	echo "if(confirm('wirklich alle Haken setzen?') == true) doIt = 1;\n";
	echo "else document.getElementById('chk').checked = false;\n";
	echo "} else doIt = 2;\n";
	echo "if(doIt > 0) {\n";
	echo "checkboxes = document.getElementsByName('archiviert[]');\n";
	echo "for(var i in checkboxes)\n";
	echo "if(doIt == 1) checkboxes[i].checked = true;\n";
	echo "else if(chkArray[i] != 1) checkboxes[i].checked = false;}\n}\n";
	echo "function chk2_toggle() {\n";
	echo "var doIt = 0;\n";
	echo "if(document.getElementById('chk2').checked) {";
	echo "if(confirm('wirklich alle Haken setzen?') == true) doIt = 1;\n";
	echo "else document.getElementById('chk2').checked = false;\n";
	echo "} else doIt = 2;\n";
	echo "if(doIt > 0) {\n";
	echo "checkboxes = document.getElementsByName('toErase[]');\n";
	echo "for(var i in checkboxes)\n";
	echo "if(doIt == 1) checkboxes[i].checked = true;\n";
	echo "else if(chk2Array[i] != 1) checkboxes[i].checked = false;}\n}\n";
	echo "</script>\n";
	echo "<td><a href=\"pro.php?lsort=archiv$urlEx\"><img".stwToolTip("Sortieren nach 'archiviert'")."src=\"".image('sort_up',8,16)."\" /></a>";
	echo "<input id=\"chk\" type=\"checkbox\"".stwToolTip("alle Checkboxen 'archiviert' anhaken")." onchange=\"chk_toggle()\">\n";
	echo "<input type=\"submit\" name=\"chk_ok\" value=\"\" ";
	echo stwToolTip("<b>alle abgehakten Projekte als archiviert markieren</b><br />(mehrere Haken durch Rechtsklick auf die Checkboxen setzen)",false);
	echo "style=\"background-color:#333333;background-image:url(img/senden2.png);background-repeat:no-repeat;height:11px;width:10px;border:0\" /></td>\n";
	echo "<td><a href=\"pro.php?lsort=erase$urlEx\"><img".stwToolTip("Sortieren nach 'Vernichted'")."src=\"".image('sort_up',8,16)."\" /></a>";
	echo "<input id=\"chk2\" type=\"checkbox\"".stwToolTip("alle Checkboxen 'zur elektronischen Vernichtung vorgemerkt' anhaken")." onchange=\"chk2_toggle()\">\n";
	echo "<input type=\"submit\" name=\"chk2_ok\" value=\"\" ";
	echo stwToolTip("<b>Akten aller abgehakten Projekte zur elektronischen Vernichtung vormerken</b><br />(mehrere Haken durch Rechtsklick auf die Checkboxen setzen)<br />(nur Akten archivierter Projekte k&ouml;nnen vernichtet werden)",false);
	echo "style=\"background-color:#333333;background-image:url(img/senden2.png);background-repeat:no-repeat;height:11px;width:10px;border:0\" /></td>\n";
}
echo "<td colspan=\"4\" id=\"pr_cnt\"".stwToolTip('Anzahl Projekte')."></td>";
if($pra_nr != 11) echo "<th colspan=\"2\">Std./W.</th>";
echo "<th>";

if ($suchstr=="") {
	$spalte1 = "<a href=\"pro.php?lsort=vn$urlEx\">$vnm</a>";
	$spalte2 = "<a href=\"pro.php?lsort=nn$urlEx\">$nnm</a>";
} else {
	$spalte1 = $vnm;
	$spalte2 = $nnm;
}
	
if (in_array($pra_nr, $personenprojekte)){
	echo $spalte1."</th>\n"."<th style=\"padding-right:3px\">\n".$spalte2."</th>\n";
} else {
	echo $spalte2."</th>\n"."<th style=\"padding-right:3px\">\n".$spalte1."</th>\n";
}

if ($pra_nr == 6 || $pra_nr == 7 || $pra_nr == 11) {
	if($pra_nr == 11) echo "<th style=\"text-align:center\"".stwToolTip("Gesamtbetrag Einkaufsprojekt").">&sum;</th>\n";
	echo "<th style=\"position:relative;top:-3px;padding-right:3px\">";
	if ($suchstr=="") {
		echo "<a href=\"pro.php?lsort=kdnr$urlEx\"";
		echo stwToolTip("Kundennummer " . ($pra_nr == 11 ? "Bezugsquelle" : "hinterlegter Kontakt"));
		echo ">KdNr.</a>";
	} else echo "KdNr.";

	$sortierung = array("<b>Kurzname</b>, Name1, Name2", "<b>Name1</b>, Name2, Kurzname", "<b>Name2</b>, Name1, Kurzname");
	$kuerzel = array("K", "N1", "N2");
	echo " <a id=\"pbezug\" style=\"color:#CCCCCC;\" href=\"#\"".stwToolTip('Sortierung nach '.$sortierung[$bezug]."<br />zum &Auml;ndern hier klicken", false);
	echo "onmousedown=\"doTT2()\" ";
	echo "oncontextmenu=\"return false;\">" . $kuerzel[$bezug];
	echo "<span style=\"font-size:small;position:relative;left:0;top:-4px;\">+</span></a>";

	echo " <img style=\"position:relative;top:2px\" src=\"img/runter1.png\" ";
	echo stwToolTip("Hinweis: Die Suchfunktion des Browsers<br>funktioniert auch in der Liste der Kontakte");
	echo "onclick=\"doTT()\" alt=\"V\" />";
	echo "</th>\n";
	$doTTdata = array();

	echo "<th style=\"padding-right:3px\"".stwToolTip("Name 1 Kontakt").">";
	if ($suchstr=="") {
		echo "<a href=\"pro.php?lsort=kdn1$urlEx\">Name 1</a>";
	} else echo "Name 1";
	echo "</th>\n";

	echo "<th style=\"padding-right:3px\"".stwToolTip("Name 2 Kontakt").">";
	if ($suchstr=="") {
		echo "<a href=\"pro.php?lsort=kdn2$urlEx\">Name 2</a>";
	} else echo "Name 2";
	echo "</th>\n";

 /* Fachberatung */
	$einkauf_fb = getPersEinst($_SESSION[$AppCode]['UID'],'einkauf_fb','1');
	echo "<th".stwToolTip('Fachberatung');
	if($einkauf_fb == 0) echo "style=\"color:#999999\"";
	echo ">FB<a style=\"font-size:small;position:relative;left:0;top:-4px;";
	if($einkauf_fb == 0) echo "color:#999999;";
	echo "\" href=\"pro.php?lsort=$lsort".$urlEx."&amp;fb=";
	echo $einkauf_fb == 1 ? 0 : 1;
	echo "\">+</a></th>";
}

 /* Ueberschrift Sachbearb. */
$style = '';
$einkauf_sb = 1;
if ($pra_nr == 6 || $pra_nr == 7 || $pra_nr == 11) {
	$einkauf_sb = getPersEinst($_SESSION[$AppCode]['UID'],'einkauf_sb','1');
	if($einkauf_sb == 0) $style = "style=\"color:#999999\"";
}
if ($suchstr=="") {
	$spalte = "<a $style href=\"pro.php?lsort=sb$urlEx\">Sachb.</a>"
			. "<a $style href=\"pro.php?lsort=ja$urlEx\">(JA)</a>";
} else {
	$spalte = "Sachbearb.";
}
if ($pra_nr == 6 || $pra_nr == 7 || $pra_nr == 11) {
	$spalte .= "<a style=\"font-size:small;position:relative;left:0;top:-4px;";
	if($einkauf_sb == 0) $spalte .= "color:#999999;";
	$spalte .= "\" href=\"pro.php?lsort=$lsort".$urlEx."&amp;sbja=";
	$spalte .= $einkauf_sb == 1 ? 0 : 1;
	$spalte .= "\">+</a>";
}
echo "<th $style>".$spalte."</th>\n";

echo "<th>FB</th>\n";

 /* Ueberschrift Betreuer */
echo "<th";
if ($suchstr=="") {
	echo "><a href=\"pro.php?lsort=hb$urlEx\"";
}
if($pra_nr == 6 || $pra_nr == 11) echo stwToolTip("Sachbearbeiter Verwaltung<br />(Hauptbetreuer)") . ">SBVerw";
else echo ">Betreuer";
if ($suchstr=="") {
	echo "</a>";
}
echo "</th>\n";

 /* Ueberschrift Vertretung */
if($pra_nr == 6) {
	echo "<th" . stwToolTip("fachlicher Sachbearbeiter<br />(Tandem)") . ">SBFachl</th>";
}
echo "<th";
if ($suchstr=="") {
	echo "><a href=\"pro.php?lsort=vr$urlEx\"";
}
if($pra_nr == 11) echo stwToolTip("fachlicher Sachbearbeiter<br />(Tandem)") . ">SBFachl";
else echo ">Vertretung";
if ($suchstr=="") {
	echo "</a>";
}
echo "</th>\n";

if (in_array($pra_nr, $personenprojekte)){
	if ($suchstr=="") {
		$spalte ="<a href=\"pro.php?lsort=al$urlEx\">Alter</a>";
	} else {
		$spalte = "Alter";
	}
	echo "<th style=\"padding-right:3px\">".$spalte."</th>\n";
}

if ($suchstr=="") {
	$spalte = "<a href=\"pro.php?lsort=or$urlEx\">".$ort."</a>";
} else {
	$spalte = $ort;
}
echo "<th class=\"cl1\">".$spalte."</th>\n";

if (in_array($pra_nr, $personenprojekte)){
	echo "<th style=\"padding-right:3px\">Telefon</th>\n";
}
echo "</tr>\n";

new stwTabLine(2,30);

$vertrline = $aBline = true;
$cnt = 0;

 /*
  * Schleife wird solange durchlaufen bis alle SQL Ergebnisse $res, $res2
  * verarbeitet sind.
  */
 for (;;) {
   /*
    * In dem ersten SQL Ergebniss stehen mindestens alle Projekte von 0 bis 899.
    * Danach folgen die Verwaltungsprojekte ab 900. Diese sind alle sortiert
    * nach Projektnummern.
    */
   $zeile = mysql_fetch_row($res);
   if (!$zeile) {
     if ($remember == 1) {
       $zeile = mysql_fetch_row($res2);
       if (!$zeile) break;
     } else {
       /* keine zweite Bedingung -> raus aus Schleife */
       break;
     }
   }
  if($pra_id != 1 && $ma == 'all' && $ulv < 60) {
	if(!check_projekt_berechtigung($zeile[0])) continue;
  }
  $projekt = new stwProjekt($zeile[0]);
  if($fZ && !$projekt->fallbegleitung()) continue;
  if($lsort == 'gr' && $vertrline && $zeile[2] == 3) {
	echo "<tr><td colspan=\"9\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\" /></td>";
	echo "<td colspan=\"2\"".stwToolTip("Vertretung")."style=\"font-size:8pt;text-align:center;color:#008000\">Vertretung</td>";
	echo "<td colspan=\"20\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\"></td></tr>\n";
	$vertrline = false;
  }
  if($lsort == 'gr' && $aBline && $zeile[3] > 5) {
	echo "<tr><td colspan=\"9\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\" /></td>";
	echo "<td colspan=\"2\"".stwToolTip("andere Betreuung, Mentor, Assistenz, ...")."style=\"font-size:8pt;text-align:center;color:#008000\">andere Betreuung</td>";
	echo "<td colspan=\"20\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\"></td></tr>\n";
	$aBline = false;
  }

  /* Bei der Suche berprfen, ob der Suchstring
     ein Teil von Projektnummer oder Name oder Vorname oder Ort ist,
     falls nicht: rausspringen

     Hinweis: Die Filterung bereits im ursprnglichen SQL-Statement
              wre schneller, aber wesentlich aufwendiger im Quellcode
  */
  if ($suchstr != "") {
	$bVormerkungen = $bPersonen = $bKontakte = false;
  	if($projekt->nr >= 10000 && $projekt->nr < 20000){
		$vms = abfrage1("select RIGHT(CONCAT('000', vp.id2),4), v.name, 
						v.notizen from tb_vormerkliste v 
						left join tbh_vormerk_print vp using(vm_id)
						where v.proj_id = '$projekt->id'");
		while($vm = mysql_fetch_row($vms)) {
			if((strpos($vm[0], $suchstr) !== false) ||
			(strpos(strtoupper($vm[1]), $suchstr) !== false) ||
			(strpos(strtoupper($vm[2]), $suchstr) !== false)) {
				$bVormerkungen = true;
				break;
			}
		}
	}
	$namen=abfrage1("select t2.name, t2.vorname, t2.email 
					from tbh_proj_personen t1
					left join tb_personen t2 using(person_id)
					where t1.proj_id = '$projekt->id'");
	while($name = mysql_fetch_row($namen)) {
		if((strpos(strtoupper($name[0]), $suchstr) !== false) ||
		(strpos(strtoupper($name[1]), $suchstr) !== false) ||
		(strpos(strtoupper($name[2]), $suchstr) !== false)) {
			$bPersonen = true;
			break;
		}
	}
    $kte = abfrage1("select h.kont_id,
							IF(h.kont_id > 100000,p.personalnr,k.kurzname) as kurzname,
							IF(h.kont_id > 100000,p.name,k.name) as name,
							IF(h.kont_id > 100000,p.vorname,k.name2) as name2
					 from tbh_kont_proj h
					 left join tb_kontakte k on h.kont_id = k.kont_id and k.kh_id='0'
					 left join tb_personal p on h.kont_id = (p.pers_id + 100000)
					 where h.proj_id = '$projekt->id';");
	while($kt = mysql_fetch_row($kte)) {
		if((strpos(strtoupper($kt[0]), $suchstr) !== false) ||
		(strpos(strtoupper($kt[1]), $suchstr) !== false) ||
		(strpos(strtoupper($kt[2]), $suchstr) !== false)) {
			$bKontakte = true;
			break;
		}
	}
	if (($bVormerkungen === false) && ($bPersonen === false) && ($bKontakte === false) &&
		(strpos($projekt->nummer(), $suchstr) === false) &&
		(strpos(strtoupper($projekt->he_info('ort')), $suchstr) === false)) {
		continue;
	}
  }

  /* bei Anzeige aller Projekte (auch beendete) nach Kalenderdaten filtern */
  $projektbeginn = ($projekt->beginn_ts() == NULL) ? $projekt->ende_ts() : $projekt->beginn_ts();
  if (($all == 1
  		&& (($projektbeginn <= $sql_end && $projekt->ende_ts() >= $sql_beg)
  				||($projektbeginn <= $sql_end && $projekt->ende_ts() == 0)))
  		|| $all != 1 || $suchstr != ""){

	  $zeit = $projekt->beginn_ts();

	  if ($pra_nr == 6 || $pra_nr == 7 || $pra_nr == 11) {
		$continue = $kont_id == 0;
		if($pra_nr == 11 && $all == 1) $continue = true;
		if($pra_nr == 7) $kte = abfrage1("select a.name, a.vorname, a.name, a.ap_id
                     from tbh_ap_proj h
                     left join tb_kontakte_ap a on h.ap_id = a.ap_id
                     where h.proj_id = '$projekt->id'
                     order by a.name asc, a.vorname asc;");
		else $kte = abfrage1("select IF(h.kont_id > 100000,p.personalnr,k.kurzname) as kurzname,
								IF(h.kont_id > 100000,p.name,k.name) as name,
								IF(h.kont_id > 100000,p.vorname,k.name2) as name2,
								h.kont_id from tbh_kont_proj h
						 left join tb_kontakte k on h.kont_id = k.kont_id and k.kh_id='0'
						 left join tb_personal p on h.kont_id = (p.pers_id + 100000)
						 where h.proj_id = '$projekt->id'
						 order by k.kurzname asc, p.personalnr asc, k.name asc;");
		$ktnr = $ktn1 = $ktn2 = $ktt = '';
		$ktcnt = mysql_num_rows($kte);
		while($kt = mysql_fetch_row($kte)) {
			if($ktn1 == '') {
				if($pra_nr == 7) $ktnr = '1' . sprintf("%04d",$kt[3]);
				elseif($kt[3] > 100000) $ktnr = '0' . sprintf("%04d",$kt[3]-100000);
				else $ktnr = '2' . sprintf("%04d",$kt[3]);
				$ktn1 = strCut($kt[1],15);
				$ktn2 = strCut($kt[2],15);
			}
			$ktt .= "<b>$kt[0]</b> $kt[1] $kt[2]<br />";
			if($bezug == 0) $doTTdata[$kt[3]] = "$kt[0] - $kt[1] $kt[2]";
			elseif($bezug == 1) $doTTdata[$kt[3]] = "$kt[1] $kt[2] ($kt[0])";
			elseif($bezug == 2) $doTTdata[$kt[3]] = "$kt[2], $kt[1] ($kt[0])";
			if($kt[3] == $kont_id) $continue = true;
		}
		if(!$continue) continue;
		$ktt = $ktcnt>1 ? stwToolTip($ktt) : '';
	  }

	  $style = '';
	  if($zeile[2] == 3) {
		$pvertr = abfrage("select perstyp_vertr from tbh_pers_proj where pers_id='$uid' and proj_id='$projekt->id'");
		$sql = "select pers_id from tbh_pers_proj where proj_id='$projekt->id' and personaltyp_id";
		if($pvertr[0] == 0) $sql .= " in (1,9)";
		else $sql .= "='$pvertr[0]'";
		$pers = abfrage1($sql);
		while($per = mysql_fetch_row($pers)) {
			if(pers_fehlzeit($per[0])) $style = "style=\"background-color:#555555\"";
		}
	  }
	  echo "<tr $style class=\"mo\">\n";
	  if($abt != 'all' && check_nutzer_rechte(82))
			echo "<td><input type=\"checkbox\" name=\"zk_id[]\" value=\"$projekt->id\" /></td>\n";
	  echo "<td class=\"cl1\">";
	  echo $projekt->link();
	  echo "</td>\n";

	  if($pra_nr == 12) {
		echo "<input type=\"hidden\" name=\"pids[]\" value=\"$projekt->id\" />\n";
		echo "<td style=\"padding-left:9px\"><input name=\"archiviert[]\" value=\"$projekt->id\" type=\"checkbox\"";
		$tt = '';
		$archive = abfrage1("select pers_id, checked, date_format(datetime, '%d.%m.%Y %H:%i') from tb_pro_archiv where proj_id='$projekt->id' order by datetime desc");
		$checked = false;
		while($archiv = mysql_fetch_row($archive)) {
			if($checked === false) $checked = $archiv[1];
			$tt .= "<input type=\"checkbox\" $archiv[1]> $archiv[2] <b>" . pers_kname($archiv[0]) . "</b><br />";
		}
		$tt = ($tt == '') ? stwToolTip('Projekt im Archiv abgelegt') : stwToolTip($tt,false);
		echo "onmousedown=\"if(event.button==2){this.checked=!this.checked;}else{self.location.href='pro.php?pra=$pra_nr&amp;lsort=$lsort&amp;all=$all&amp;ma=$ma&amp;tag=$tg&amp;anz=$anz&amp;abt=$abt&amp;toArchive=$projekt->id&amp;checked='+this.checked;}\" $tt $checked />";
		echo "</td>\n";
		if($checked == 'checked') {
			echo "<script language=\"JavaScript\">\n";
			echo "chkArray[$cnt] = 1;";
			echo "</script>\n";
		}
		echo "<td style=\"padding-left:9px\">";
		$checked2 = false;
		if($checked == 'checked') {
			echo "<input name=\"toErase[]\" value=\"$projekt->id\" type=\"checkbox\"";
			$tt = '';
			$toErase = abfrage1("select pers_id, checked, date_format(datetime, '%d.%m.%Y %H:%i') from tb_pro_vernichtung where proj_id='$projekt->id' order by datetime desc");
			while($erase = mysql_fetch_row($toErase)) {
				if($checked2 === false) $checked2 = $erase[1];
				$tt .= "<input type=\"checkbox\" $erase[1]> $erase[2] <b>" . pers_kname($erase[0]) . "</b><br />";
			}
			$tt = ($tt == '') ? stwToolTip('Akten des Projekts k&ouml;rperlich vernichtet<br>zur elektronischen Vernichtung vorgemerkt') : stwToolTip($tt,false);
			echo "onmousedown=\"if(event.button==2){this.checked=!this.checked;}else{self.location.href='pro.php?pra=$pra_nr&amp;lsort=$lsort&amp;all=$all&amp;ma=$ma&amp;tag=$tg&amp;anz=$anz&amp;abt=$abt&amp;toErase=$projekt->id&amp;checked2='+this.checked;}\" $tt $checked2 />";
		}
		echo "</td>\n";
		if($checked2 == 'checked') {
			echo "<script language=\"JavaScript\">\n";
			echo "chk2Array[$cnt] = 1;";
			echo "</script>\n";
		}
	  }
	  $cnt++;

	  if ((empty($zeit) || $zeit == 0 || $zeit > time()) &&
	      $projekt->projektart() == 1) {
	        $summe_anf += $projekt->wost();
	  } else {
	    if ($projekt->nr < 800){
	      $fls_summe7 += $projekt->wost();
		  } else {
		    $fls_summe8 += $projekt->wost();
	    }
	  }

	  printf("<td style=\"vertical-align:middle\">");
	  if($pra_nr != 12) {
		$kwg_icon = kwg_icon($projekt->id);
		if($kwg_icon != '') echo $kwg_icon;
		else {
			// letzten Projektbericht ermitteln
				$pb_last_datum = abfrage("select max(datum) from tb_hp
										where proj_id = $projekt->id
										and hp_art = 'pb';");
			if (!is_null($pb_last_datum[0])){
				$pb1 = abfrage("select p.t1_es, p.t1_pr,
								p.t2_es, p.t2_pr,
								p.t3_es, p.t2_pr,
								p.t4_es, p.t2_pr,
								h.hp_id, p.fertig
								from tb_pb p
								left join tb_hp h using(hp_id)
								where h.proj_id = $projekt->id
								and h.hp_art = 'pb'
								and h.datum = '$pb_last_datum[0]';");
				if (in_array(1, $pb1)){
					$pb_farbe = '#FF0000';
				} elseif (in_array(2, $pb1)){
					$pb_farbe = '#FFFF00';
				} else {
					$pb_farbe = '#00FF00';
				}
				echo "<a style=\"color:$pb_farbe;\" ";
				echo stwToolTip("Projektbericht");
				echo "href=\"pro_pb.php?";
				if(empty($pb1[9])) echo "hp_id=".$pb1[8]."&amp;";
				echo "proj_id=".$projekt->id."\">B</a>\n";
			}
		}
		/* Einverstaendniserklaerung Sachbericht (mahnendes 'S') */
		$projekt->sbS();
	  }
	  echo "</td>\n";

		// Fachberatung
		$fb = abfrage("select fb_id from tb_projekte where proj_id = $projekt->id;");
		if ($pra_nr != 12 && empty($fb[0])){
			echo "<td style=\"background-color:red;padding-right:3px\" ";
			echo "title=\"keine Fachberatung\"></td>\n";
		} else {
			echo "<td></td>\n";
		}

		echo "<td>" . ($pra_nr==12 ? '' : $projekt->Euro()) . "</td>\n";

		$link1 = "<a href=\"pro_ab_zk.php?proj_id=".$projekt->id."&amp;abr=1\"" . stwToolTip('neue Zeitkarte erfassen') . ">".
				 "<img border=\"0\" src=\"img/karte.png\" alt=\"Karte\"/>";
		$link2 = "<a href=\"pro_ab.php?proj_id=".$projekt->id."\">";
		$link_ende = "</a>";
		if($_SESSION[$AppCode]["ULV"] < 50 && !$projekt->kontaktst() && !$bereitschaft) {
		  $temp = abfrage1("select pers_id from tbh_pers_proj where proj_id = '$projekt->id' and pers_id = '{$_SESSION[$AppCode]["UID"]}';");
		  if(mysql_num_rows($temp) == 0) {
			if($projekt->fb != $_SESSION[$AppCode]["UID"]) {
				$link1 = $link2 = $link_ende = '';
			}
		  }
		}
		
		// Link zu neuer Zeitkarte als Icon
		if($pra_nr == 12) {
			echo "<th colspan=\"3\" class=\"cl11\" style=\"text-align:right\">";
			echo fls_form($projekt->wost_f());
			echo "</th>\n";
		} elseif($pra_nr != 11) {
			echo "<td style=\"vertical-align:middle\">";
			echo "$link1 $link_ende</td>\n";
			$s = $projekt->inProjektgruppe() ? "<b".stwToolTip('Teil einer Projektgruppe').">s</b>" : '';
			$satz = stundensatz(date('Y-m-d'), $projekt->id);
			if($satz[0] == 'd') {
				echo "<td style=\"text-align:center\">$link2<span style=\"color:white\"".stwToolTip('Projekt mit Tagessatz').">Tag</span>$link_ende $s</td>";
			} elseif($satz[0] == 'm') {
				echo "<td style=\"text-align:center\">$link2<span style=\"color:white\"".stwToolTip('Projekt mit monatlichem Festbetrag').">Mon.</span>$link_ende $s</td>";
			} else {
				// Wochenstunden
				$wost_f = $projekt->wost_f();
				echo "<th style=\"text-align:right;";
				$tt = "<b>Abrechnung</b>";
				if($wost_f > 0) {
					$tt .= "<br>&Uuml;bertrag: " . fls_form($projekt->fls_folgemonat(date('Y-m-01')));
				}
				if($projekt->kontaktst()) {
					echo "background-color:#554433";
					$tt .= "<br>KLS = " . fls_form($projekt->wost_kontaktstunden());
				}
				echo "\">$link2";
				if($projekt->fallbegleitung()) {
					$tt.= "<br>Fallbegleitung: ja";
					echo "<span style=\"color:#FF6600\""; 
				} else echo "<span";
				echo stwToolTip($tt,false);
				echo ">" . fls_form($wost_f,1,'&nbsp;');
				echo "</span>$link_ende $s</th>\n";
			}
			echo "<td>" . $projekt->pool_P() . "</td>";
		} else echo "<td></td>";
		/* Vor- und Nachname ausgeben (auf 20 Zeichen begrenzt) */
		if (in_array($pra_nr, $personenprojekte)) {
			echo "<td title=\"".$projekt->vname()."\">";
			echo strCut($projekt->vname(), 20)."</td>\n";	
			if(check_projekt_berechtigung($projekt->id)) {
				$namen=abfrage1("select t2.beschreibung, t2.vorname, t2.name, a.telefon, t2.telmobil
								from tbh_proj_personen t1
								left join tb_personen t2 using(person_id)
								left join tb_p_adressen a on t2.adress_id = a.adress_id
								where t1.proj_id = '$projekt->id' 
								group by person_id
								order by perstyp_id=1 desc;");
				$tt = '';
				$i = 0;
				while($name = mysql_fetch_row($namen)) {
					if($i == 1) {
						$tt .= "<hr noshade size=\"1\"><b style=\"position:relative;top:-7px\">weitere Persnen:</b><br />";
					}
					$tt .= "<b>$name[0]</b> $name[1] $name[2]";
					if(!empty($name[3])) $tt .= " | $name[3]";
					if(!empty($name[4])) $tt .= " | $name[4]";
					$tt .= "<br />";
					$i++;
				}
			} else $tt = $projekt->nname();
			echo "<td".stwToolTip($tt,false).">";
			echo strCut($projekt->nname(), 20)."</td>\n";
		} else {
			echo "<td title=\"".$projekt->nname()."\">";
			echo strCut($projekt->nname(), 20)."</td>\n";

			echo "<td title=\"".$projekt->vname()."\">";
			echo strCut($projekt->vname(), 20)."</td>\n";
		}

		if ($pra_nr == 6 || $pra_nr == 7 || $pra_nr == 11) {
			if($pra_nr == 11) {
				$vm_sum = 0;
				$vm_rows = abfrage1("select anzahl, betrag from tb_vormerkliste where proj_id='$projekt->id'");
				while($vm_row = mysql_fetch_row($vm_rows)) {
					$vm_sum += is_numeric($vm_row[0]) ? $vm_row[0] * $vm_row[1] : $vm_row[1];
				}
				$sum = $vm_sum;
				$geld = abfrage("select register, hilfe_bisher, schule from tb_projekte where proj_id='$projekt->id'");
				$sum += (floatval($geld[0]) / 100) * $vm_sum;
				$sum += floatval($geld[1] + $geld[2]);
				echo "<td class=\"cl1\" style=\"text-align:right\">" . geld_form_web($sum) . "</td>";
			}
			echo "<td>$ktnr</td>";
			echo "<td>$ktn1</td>";
			if($einkauf_fb == 0 && $einkauf_sb == 0) $colspan = "colspan=\"3\"";
			elseif($einkauf_fb == 0) $colspan = "colspan=\"2\"";
			else $colspan = '';
			echo "<td $ktt $colspan style=\"padding-right:3px\">$ktn2</td>\n";

			/* Fachberatung */
			if($einkauf_fb == 1) {
				$fb = abfrage("select vorname, name, teldienst, telmobil from tb_personal where pers_id='$projekt->fb'");
				if (strlen($fb[1])>0){
					$name = $fb[0]{0} . ". " . $fb[1];
					$titel = $fb[2];
					if (empty($titel)) $titel = $fb[3]; 
					elseif(strlen($fb[3])>0) $titel .= " | ".$fb[3];
					$tt = stwToolTip("$fb[0] $fb[1] $titel");
				} else {
					$name = $tt = "";
				}
				echo "<td " . $tt;
				if($einkauf_sb == 0) echo "colspan=\"2\"";
				echo ">$name</td>";
			}
		}

		if($einkauf_sb == 1) {
			// Sachbearbeiter JA
			$zle = abfrage ("select t1.anrede, t1.name, t2.kont_art_id, t1.teldienst
							from tb_kontakte_ap t1
							left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0'
							where t1.ap_id = $projekt->sb;");
			if(substr($zle[0],0,2)=='Fr'){
				$dat = "Fr.";
			} else {
				$dat = "Hr.";
			}
			$kart = $zle[2];
			$site = k_art_seite($kart);
			echo "<td title=\"$zle[3]\" style=\"padding-right:3px\">";
			echo "<a href=\"kont_ap_and.php?ap_id=".$projekt->sb."&amp;ka=".$kart."&amp;st=".$site."\">"
				. $dat."&nbsp;".$zle[1]."</a></td>\n";
		}

		if($projekt->fb) {
			echo "<td".pers_toolTip($projekt->fb).">" . pers_initialen($projekt->fb) . "</td>";
		} else echo "<td />";
		$ANZ = $pra_nr == 6 ? 2 : 1;
		$ptid = array(1,8);
		for($x = 0; $x < $ANZ; $x++) {
			// Hauptbetreuer STW
			$zle = abfrage("select t2.vorname, t2.name, t1.pers_id, t2.teldienst,"
						. " t2.telmobil"
						. " from tbh_pers_proj t1"
						. " left join tb_personal t2 using(pers_id)"
						. " where t1.proj_id = '$projekt->id' and personaltyp_id = '".$ptid[$x]."';");
			if (strlen($zle[1])>0){
				$name = $zle[0];
				$name = $name{0};
				$name = $name . ". " . $zle[1];
			} else {
				if($x == 1) {
					echo "<td></td>";
					continue;
				}
				$name = "";
			}
			$sql  = "select v.geklaert, v.beschreibung, v.vertreter_id, ";
			$sql .= "IF(t.von < DATE_ADD(CURDATE(),INTERVAL 14 DAY) AND t.von > CURDATE(), 0, 1),";
			$sql .= "date_format(t.von, '%d.%m.'), date_format(t.bis, '%d.%m.'), a.name, ";
			$sql .= "unix_timestamp(t.von), unix_timestamp(t.bis) ";
			$sql .= "from tb_termine t ";
			$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
			$sql .= "left join tb_fehlz f on t.termin_id = f.termin_id ";
			$sql .= "left join tbh_fehlz_vertretung v on (f.fehlz_id = v.fehlz_id and v.proj_id = '$projekt->id') ";
			$sql .= "where t.von < DATE_ADD(CURDATE(),INTERVAL 14 DAY) and t.bis >= CURDATE() ";
			$sql .= "and f.pers_id = '$zle[2]' ";
			$sql .= "group by t.termin_id order by t.von asc";
			$erg = abfrage($sql);
			$farbe = '';
			$hb = $zle[2];
			$titel = $zle[3];
			if (empty($titel)) $titel = $zle[4]; else if($zle[4]) $titel .= " | ".$zle[4];
			$vertretung = '';
			if ($erg) {
			  if($erg[0]) $titel .= "<br>".pers_kname($erg[2]) . ":";
			  else {
				if(arbeitstage($erg[7], $erg[8]) > 3) $titel .= "<br>Vertretung nicht gekl&auml;rt";
			  }
			  $titel .= " <b>$erg[4] - $erg[5]</b> $erg[6]<br>$erg[1]";
			  if($pra_nr == 6 && $erg[3] == 1) {
				$zln2= abfrage1("select t2.vorname, t2.name, t1.pers_id, t2.teldienst,"
							. " t2.telmobil, t1.personaltyp_id"
							. " from tbh_pers_proj t1"
							. " left join tb_personal t2 using(pers_id)"
							. " where t1.proj_id = '$projekt->id' and t1.personaltyp_id = 3"
							. " and t1.perstyp_vertr IN (0,1) order by personaltyp_id desc");
				$farbe = "color:#A0A000;";
				$name = pers_kname($zle2[2]);
			  } elseif($erg[3] == 1) {
				$zln2= abfrage1("select t2.vorname, t2.name, t1.pers_id, t2.teldienst,"
							. " t2.telmobil, t1.personaltyp_id"
							. " from tbh_pers_proj t1"
							. " left join tb_personal t2 using(pers_id)"
							. " where t1.proj_id = '$projekt->id' and personaltyp_id IN (8,9)"
							. " order by personaltyp_id desc");
				if(mysql_num_rows($zln2) > 0) {
				  $ttl = array(8 => 'Tandem', 9 => 'Doppelbetreuer');
				  $col = array(8 => '#FFFF50', 9 => '#FFFF00');
				  while($zle2 = mysql_fetch_row($zln2)) {
					$sql = "SELECT termin_id FROM tb_fehlz LEFT JOIN tb_termine USING(termin_id)
							WHERE pers_id = '$zle2[2]' AND von <= CURDATE() AND bis >= CURDATE()";
					$tandem_fehlz = abfrage1($sql);
					if(mysql_num_rows($tandem_fehlz)>0) {
						$titel .= "<br><b>gleichzeitige&nbsp;Fehlzeit&nbsp;Tandem</b>";
						$farbe = "color:#FF0000;text-decoration:blink;";
					} else {
						$hb = $zle2[2];
						$name = pers_kname($zle2[2]);
						$titel = $ttl[$zle2[5]] . ': ' . $zle2[3] . "<br>Fehlzeit " . pers_kname($zle[2]) . ": <b>$erg[4] - $erg[5]</b> $erg[6]<br>$erg[1]";
						$farbe = "color:" . $col[$zle2[5]];
						if (empty($titel)) $titel = $zle2[4]; else if($zle2[4]) $titel .= " | ".$zle2[4];
						break;
					}
				  }
				} else $farbe = "color:#FF0000;";
			  } elseif(arbeitstage($erg[7], $erg[8]) > 3) $farbe = "color:#00FF00;";
			}

			echo "<td ";
			if(strlen($titel)>0) echo stwToolTip($titel,false);
			echo "style=\"padding-right:3px\">";

			/* den Betreuernamen ausgeben - nur 12 Zeichen nutzen */
			printf("<a href=\"pers_and.php?pers_id=%s\" style=\"%s\">", $zle[2], $farbe);
			printf("%s</a></td>\n", strCut($name, 12));
		}

	    /*
	     * Spalte fuer Vertretung einblenden - zuerst schaun ob Tandembetreuer
	     * oder neu: Doppelbetreuer vorhanden
	     */
	    $sql  = "SELECT t2.vorname, t2.name, t1.pers_id, t2.teldienst, ";
	    $sql .= "t2.telmobil, t1.personaltyp_id FROM tbh_pers_proj t1 ";
	    $sql .= "LEFT JOIN tb_personal t2 ON t1.pers_id = t2.pers_id ";
	    $sql .= "WHERE t1.proj_id='".$projekt->id."' ";
		$sql .= "AND t1.personaltyp_id IN (3, 8, 2, 9) ORDER BY ";
		if($pra_nr == 6) $sql .= "t1.personaltyp_id=8 ASC, ";
		$sql .= "t1.personaltyp_id DESC LIMIT 1";
	    $ver  = abfrage($sql);

	    if (!empty($ver[1]))
	    {
	      $name = substr($ver[0], 0, 1).". ".$ver[1];
	    }
	    else
	    {
	      $name = "";
	    }

		$vertreter = strCut($name, 12);
	    /* Farbe fuer Vertretungsspalte bestimmen */
	    switch ($ver[5])
	    {
	      case "2": /* Cobetreuer */
	                $farbe = "color:#969696;";
	                break;

	      case "3": /* Betreuer Vertretung */
	                $farbe = "color:#FFCC00;";
	                break;

	      case "8": /* Tandembetreuer */
	                $farbe = "color:rgb(255,255,80);";
	                break;

	      case "9": /* Doppelbetreuer */
	                $farbe = "color:rgb(255,255,0);";
	                break;
	    }
		
		echo "<td><a href=\"pers_and.php?pers_id=$ver[2]\" ";
		$titel = $blink = "";
		if(($projekt->beginn_ts() < (time() - 2419200) && $projekt->nr < 900 && $projekt->beginn_ts()>0 
				&& ($projekt->ende_ts() == 0 || $projekt->ende_ts() > time())) || $pra_nr == 6) {
			$sql  = "SELECT count(pers_id) FROM tbh_pers_proj ".
					"WHERE proj_id='".$projekt->id."' AND (personaltyp_id = 1 OR personaltyp_id = 9)";
			$c_HB = abfrage($sql);
			$sql  = "SELECT count(pers_id) FROM tbh_pers_proj ".
					"WHERE proj_id='".$projekt->id."' AND (personaltyp_id = 3 OR personaltyp_id = 8)";
			$c_VER = abfrage($sql);
			$sql  = "SELECT pers_id, eingearbeitet_pers_id FROM tbh_pers_proj ".
					"WHERE proj_id='".$projekt->id."' AND (personaltyp_id = 3 OR personaltyp_id = 8) ".
					"ORDER BY eingearbeitet_pers_id DESC LIMIT 1";
			$temp  = abfrage($sql);
			if(empty($temp[0])) {
				$titel = "<b>KEINE Vertretung!</b>";
				if(empty($vertreter)) {
					$vertreter = 'KEINE Vertr.';
					$farbe = "color:red;";
				}
				if(!getConf('pro_blinken_aus')) $blink = "name=\"blink\"";
			} elseif($c_VER[0] < $c_HB[0]) {
				$titel = "<b>Zu wenig Vertretungen (Doppelbetreuer!)</b>";
				$farbe = "color:red;";
				if(!getConf('pro_blinken_aus')) $blink = "name=\"blink\"";
			} elseif(empty($temp[1])) {
				$titel = "<b>Vertretung noch nicht eingearbeitet!</b>";
				if(!getConf('pro_blinken_aus')) $blink = "name=\"blink\"";
			}
		}
		$sql  = "SELECT t2.vorname, t2.name, t2.teldienst, ".
				"t2.telmobil, p.fuer, t.personaltyp FROM tbh_pers_proj p ".
				"LEFT JOIN tb_personaltyp t USING (personaltyp_id) ".
				"LEFT JOIN tb_personal t2 USING (pers_id) ".
				"WHERE p.proj_id='".$projekt->id."' AND (p.personaltyp_id != 1) ".
				"ORDER BY t.sort ASC";
		$betrs  = abfrage1($sql);
		while($betr = mysql_fetch_row($betrs)) {
			if(!empty($titel)) $titel.= "<br />";
			$titel .= "<b>$betr[0] $betr[1]</b> $betr[5] ";
			if(!empty($betr[4])) $titel .= "f&uuml;r $betr[4] ";
			$titel .= $betr[2];
			if (empty($betr[2])) $titel .= $betr[3]; else if($betr[3]) $titel .= " | ".$betr[3];
		}
	    if(strlen($titel)>0) echo stwToolTip($titel, false);
	    echo "$blink style=\"$farbe\">$vertreter</a></td>";
		if (in_array($pra_nr, $personenprojekte)){
			// Alter Hilfeempfnger
			$bd = abfrage("select to_days(concat(date_format(curdate(),'%Y-'),
								right(t2.geboren,5))) - to_days(curdate()),
							date_format(t2.geboren, '%d.%m.')
							from tbh_proj_personen t1
							left join tb_personen t2 using (person_id)
							where t1.proj_id = $projekt->id and t1.perstyp_id = 1;");
			if ($bd[0] >= -7 && $bd[0] <= 7) {
				$ages = "style=\"font-weight:bold;color:red;padding-right:3px\"";
				if ($bd[0] < 0) {
					$agt = "Hatte";
				} else {
					$agt = "Hat";
				}
				$aget = "title=\"$agt am $bd[1] Geburtstag!\"";
			} else {
				$ages = "style=\"padding-right:3px\"";
				$aget = "";
			}
			echo "<td align=\"center\" $ages $aget>";

		    echo $projekt->he_info('alter');
		    echo "</td>\n";
		}

		// Ort Hilfeempfnger
		$dat = $projekt->he_info('ort');
		$ort = strCut($dat, 15);
		echo "<td title=\"$dat\" style=\"padding-right:3px\">$ort</td>\n";
		// Telefon Hilfeempfnger
		echo "<td style=\"padding-right:3px\">";
    echo $projekt->he_info('tel');
    echo "</td>\n";

    if (in_array($pra_nr, $itprojekte) || $projekt->pb == 1){
    	echo "<td><a href=\"pro_pr_kzu.php?proj_id=$projekt->id&ts=" . time() . "\" ";
    	echo "target=\"_pdf\">";
    	echo "<img src=\"img/drucker.png\" border=\"0\" ";
    	echo "title=\"Kostenzusage/ Projektbeschreibung drucken\" /></a></td>\n";
    }
    echo "</tr>\n";
    flush();
  }
}

if ($pra_nr == 6 || $pra_nr == 7 || $pra_nr == 11) {
	$link = "pro.php?pra=11&ma=$ma&amp;all=$all&amp;lsort=$lsort&amp;pra=$pra_nr&amp;proj=$proj";
	$doTTtext = "<a style=\"color:black\" href=\"$link&amp;kont_id=0\"> -- Alle anzeigen -- </a><br />";
	asort($doTTdata);
	foreach($doTTdata as $id => $data) {
		$doTTtext .= "<a style=\"color:black\" href=\"$link&amp;kont_id=$id\">$data</a><br />";
	}

    printf("<script type=\"text/javascript\"><!--\nfunction doTT() {");
    printf("var str='%s';\n", $doTTtext);
    printf("Tip(str, BGCOLOR, '#CCCCCC', CLOSEBTN, 1, DELAY, 0, TITLE, 'Bezugsquellen / zugeordnete Kontakte', TITLEBGCOLOR, '#006600', BORDERCOLOR, '#666666', WIDTH, 750, HEIGHT, 300, FIX, ['hpro',0,-16], STICKY, 1);\n}\n");
	echo "function doTT2() {\n";
	echo "var str = '<a style=\"color:white;\" href=\"$link&amp;bezug=0\">Kurzname</a><br />';\n";
	echo "str += '<a style=\"color:white;\" href=\"$link&amp;bezug=1\">Name 1</a><br />';\n";
	echo "str += '<a style=\"color:white;\" href=\"$link&amp;bezug=2\">Name 2</a>';\n";
	echo "Tip(str, BGCOLOR, '#999999', WIDTH, 75, HEIGHT, 40, FIX, ['pbezug',-7,-17], STICKY, 1);\n}\n";
    printf("--></script>");
}

if ($ma == 'all'){

	$flse = abfrage1("select p.pers_id from tb_personal p
			left join tb_personalart a using (p_art_id)
			where p.status_id = 2
			and a.personalart in ('DSA', 'DSP', 'DIA', 'DHP')
			order by personalnr;");
	$fls_soll = 0;
	while ($rw = mysql_fetch_row($flse)) {
		$soll = 0;
		$von = abfrage("select max(von)
						from tb_paz
						where pers_id = '$rw[0]'
						group by pers_id;");
		$paz = abfrage("select paz_id from tb_paz where pers_id = '$rw[0]'
						and von = '$von[0]';");
		if ($paz) {
			$soll = fls_woche($paz[0]);
		}
		$fls_soll = $fls_soll + $soll;
	}

	$q1 = array(1, 2);

	if (in_array($pra_nr, $q1)){
		switch ($pra_nr){
			case 1:
				$q2 = 2;
				break;
			case 2;
				$q2 = 1;
				break;
		}

		$qnr = abfrage("select nr_von, nr_bis from tb_projektart
						where pra_id = $q2;");

		$sql_5  = "select t1.proj_id from tb_projekte t1 ";
		if($abt != 'all') $sql_5 .= "left join tbh_proj_abt pa on t1.proj_id = pa.proj_id ";
		$sql_5 .= "where t1.projektnr >= '$qnr[0]' and t1.projektnr <= '$qnr[1]' ";

		$sql_1 = $sql_5 . $sqlx;

		$pro_1 = abfrage1($sql_1);

		while ($pro_2 = mysql_fetch_row($pro_1)){

			$pro_3 = new stwProjekt($pro_2[0]);
			$fls = $pro_3->wost();

			if ($pro_3->nr < 800){
				$fls_summe7 += $fls;
			} else {
				$fls_summe8 += $fls;
			}
		}
	}

	$fls_summe = $fls_summe7 + $fls_summe8;
	$diff = $fls_soll - $fls_summe;

	if($pra_nr == 12) {
		echo "<input type=\"hidden\" name=\"archiv2\" value=\"1\" />\n";
		echo "</form>\n";
	} elseif($abt != 'all' && check_nutzer_rechte(82)) {
		new stwTabLine(2,30);
		echo "<tr><th colspan=\"30\">ausgew&auml;hlte Abteilung ";
		echo "<select name=\"abt_new\" size=\"1\">\n";
		$abs = abfrage1("SELECT name, abt_id FROM tb_personal_abt ORDER BY name ASC");
		while ($ab = mysql_fetch_row($abs)) {
		  echo "<option value=\"$ab[1]\"";
		  if($ab[1] == $abt) echo ' selected="selected"';
		  echo ">$ab[0]</option>\n";
		}
		echo "</select>\n";
		echo "<input type=\"submit\" name=\"do_abt\" value=\"zuordnen\" /> ";
		echo "<input type=\"submit\" name=\"undo_abt\" value=\"Zuordnung l&ouml;schen\" /> ";
		echo "</th></tr></form>\n";
	}

	new stwTabLine(2,30);

	echo "<tr><td colspan=\"30\"><table><tr>\n";
	echo "<th>Wochenstunden&nbsp;aktiv:</th>";

	echo "<th style=\"padding-right:15px\">";
	if ($fls_summe7 > 0){
		echo  fls_form($fls_summe7) . ' + ';
		echo "<span style=\"color:#FF6600\">";
	}
	echo fls_form($fls_summe8);
	if ($fls_summe7 > 0){
		echo "</span> = " . fls_form($fls_summe);
	}
	echo "</th>\n";
	echo "<th>FLS-Soll :</th><th style=\"padding-right:15px\">" . fls_form($fls_soll) . "</th>";
	if ($diff < 0){
		$co = "rgb(255,0,0)";
	} else {
		$co = "rgb(0,255,0)";
	}
	echo "<th>Kapazit&auml;t :</th><th style=\"color:$co;padding-right:15px\">" . fls_form($diff) . "</th>";
	echo "<th>Anfragen :</th><th>" . fls_form($summe_anf) . "</th>";
	echo "</tr></table></td></tr>\n";
}
} else {
	echo "<tr><th class=\"cl1\"><a href=\"pro.php?lsort=nr&amp;all=".$all."&amp;pra=0&amp;proj=".$proj."\">Projektnr.</a></th>";
	echo "<th class=\"cl1\"><a href=\"pro.php?lsort=beg&amp;all=".$all."&amp;pra=0&amp;proj=".$proj."\">Beginn</a></th>";
	echo "<th class=\"cl1\" colspan=\"2\">Std./W.</th>";
	echo "<th class=\"cl1\"><a href=\"pro.php?lsort=vn&amp;all=".$all."&amp;pra=0&amp;proj=".$proj."\">Vorname</a></th>";
	echo "<th class=\"cl1\"><a href=\"pro.php?lsort=nn&amp;all=".$all."&amp;pra=0&amp;proj=".$proj."\">Name</a></th>";
	echo "<th class=\"cl1\"><a href=\"pro.php?lsort=sb&amp;all=".$all."&amp;pra=0&amp;proj=".$proj."\">Sachb.</a><a href=\"pro.php?lsort=ja&amp;all=".$all."&amp;pra=0&amp;proj=".$proj."\">(JA)</a></th>";
	echo "<th class=\"cl1\">FB</th>\n";
	echo "<th style=\"text-align:center\">&female;&male;</th>";
	echo "<th class=\"cl1\"><a href=\"pro.php?lsort=hb&amp;all=".$all."&amp;pra=0&amp;proj=".$proj."\">Betreuer</a></th>";
	echo "<th class=\"cl1\"><a href=\"pro.php?lsort=age&amp;all=".$all."&amp;pra=0&amp;proj=".$proj."\">Alter</a></th>";
	echo "<th class=\"cl1\"><a href=\"pro.php?lsort=ort&amp;all=".$all."&amp;pra=0&amp;proj=".$proj."\">Ort</a></th>";
	echo "<th class=\"cl1\">Telefon</th>";
	echo "</tr>\n";
	new stwTabLine(2,30);
	$sortarray = $anfragearray = $projektarray = array();
	while ($zeile = mysql_fetch_row($anfragen)){
		/* pruefen ob Hilfehistorie vielleicht schon begonnen hat */
		$projekt = new stwProjekt($zeile[0]);
		$zeit = $projekt->beginn_ts();

		/* nur wenn Hilfe leer, 0 oder Zukunft liegt */
		if (empty($zeit) || $zeit == 0 || $zeit > time()){
			if(strpos($proj,'grp') !== false) {
			  $id = substr($proj,3);
			  $excl = abfrage("select excl from tb_anf_ha_grp where grp_id='$id'");
			  $has = abfrage1("select * from tbh_anf_ha_grp where grp_id='$id'");
			  $pra = $projekt->projektart();
			  $weiter = ($excl[0]=='j');
			  while($ha = mysql_fetch_row($has)) {
				if($excl[0]=='j') {
					if(empty($ha[2]) && $pra == $ha[1]) continue 2;
					if($ha[2] == $projekt->ha) continue 2;
				} else {
					if(empty($ha[2]) && $pra == $ha[1]) { $weiter=true; break; }
					if(!empty($ha[2]) && $ha[2] == $projekt->ha) { $weiter=true; break; }
				}
			  }
			  if(!$weiter) continue;
			}
		
		  /* Bei der Suche berprfen, ob der Suchstring
			 ein Teil von Projektnummer oder Name oder Vorname oder Ort ist,
			 falls nicht: rausspringen

			 Hinweis: Die Filterung bereits im ursprnglichen SQL-Statement
					  wre schneller, aber wesentlich aufwendiger im Quellcode
		  */
			if ($suchstr != "") {
				$bPersonen = false;
				$namen=abfrage1("select t2.name, t2.vorname from tbh_proj_personen t1
								left join tb_personen t2 using(person_id)
								where t1.proj_id = '$projekt->id'");
				while($name = mysql_fetch_row($namen)) {
					if((strpos(strtoupper($name[0]), $suchstr) !== false) ||
					(strpos(strtoupper($name[1]), $suchstr) !== false)) {
						$bPersonen = true;
						break;
					}
				}
				if (($bPersonen === false) &&
					(strpos($projekt->nummer(), $suchstr) === false) &&
					(strpos(strtoupper($projekt->he_info('ort')), $suchstr) === false)) {
					continue;
				}
			}
			$projektarray[ $zeile[0] ] = $projekt;
			$anfragearray[ $zeile[0] ] = $zeile;
			switch ($lsort) {
				case 'beg': 
					 if(empty($zeit) && !empty($zeile[1]) && $zeile[1] != "0000-00-00") $zeit = date_my2ts($zeile[1]);
					$sortarray[ $zeile[0] ] = $zeit; 
					break;
				case 'vn': $sortarray[ $zeile[0] ] = $projekt->vname(); break;
				case 'nn': $sortarray[ $zeile[0] ] = $projekt->nname(); break;
				case 'sb':
					$sb = abfrage("select name from tb_kontakte_ap where ap_id = '$projekt->sb'");
					$sortarray[ $zeile[0] ] = $sb[0]; 
					break;
				case 'ja':
					$ja = abfrage("select concat(k.kurzname,' ',a.name) from tb_kontakte_ap a left join tb_kontakte k using(kont_id) where a.ap_id = '$projekt->sb'");
					$sortarray[ $zeile[0] ] = $ja[0]; 
					break;
				case 'hb': $sortarray[ $zeile[0] ] = pers_name2($projekt->hb()); break;
				case 'age': $sortarray[ $zeile[0] ] = $projekt->he_info('alter'); break;
				case 'ort': $sortarray[ $zeile[0] ] = $projekt->he_info('ort'); break;
				default: $sortarray[ $zeile[0] ] = $projekt->nr; break;
			}
		}
	}
	asort($sortarray);
	foreach($sortarray as $id => $sort) {
		$zeile = $anfragearray[ $id ];
		$projekt = $projektarray[ $id ];
		$zeit = $projekt->beginn_ts();
		echo "<tr class=\"mo\">\n<td style=\"padding-right:3px\">";
		$blink = false;
		$co = "#00A600";
		if ((empty($zeit) || $zeit == 0) && (empty($zeile[1]) 
		  || $zeile[1] == "0000-00-00")) $co = "#00FF00";
		else if (((time() + 60*60*24*14) > date_my2ts($zeile[1]))
		  && (empty($zeit) || $zeit == 0)) $blink = true;
		if(!empty($zeit) && $zeit != 0) {
		  $ti = "Beginn: " . date('d.m.Y',$zeit);
		  if($projekt->hb() == NULL) {
		    $ti = "KEIN BETREUER! " . $ti;
		    $blink = true;
		  }
		}
		else if(!empty($zeile[1]) && $zeile[1] != "0000-00-00")
		  $ti = "voraussichtlicher Beginn: " . date_my2gr($zeile[1]);
		else $ti = "Anfrage ohne voraussichtlichen Beginn";
		$note = abfrage("select notizen from tb_projekte where proj_id='$projekt->id'");
		$ti = "<b>$ti</b><br>$note[0]";

		echo "<a href=\"pro_anfrage.php?proj_id=$zeile[0]\" style=\"color:$co\"";
		echo stwToolTip($ti) . ">";
		if(getConf('pro_blinken_aus')) $blink = false;
		if($blink) echo "<span style=\"text-decoration:blink\">";
		// Projektnr
		echo $projekt->nummer();
		if($blink) echo "</span>";
		echo "</a></td>\n";

		// Beginn
		echo "<td class=\"cl1\"><a href=\"pro_daten.php?proj_id=$zeile[0]\"";
		if(!empty($zeit)) $beg = date('d.m.Y',$zeit);
		elseif(!empty($zeile[1]) && $zeile[1] != "0000-00-00") {
			echo " style=\"color:#00A600\"";
			$beg = date_my2gr($zeile[1]);
		} else $beg='';
		echo ">$beg</a></td>";

		// Wochenstunden
		echo "<td align=\"center\" title=\"Abrechnung\"> "
			."<a href=\"pro_ab.php?proj_id=$zeile[0]\">"
			. fls_form($projekt->wost())
			. "</a></td>\n";
		echo "<td>" . $projekt->pool_P() . "</td>";

		/* Vor- und Nachname ausgeben (auf 12 Zeichen begrenzt) */
		echo "<td title=\"".$projekt->vname()."\">";
		echo strCut($projekt->vname(), 12)."</td>\n";

		echo "<td title=\"".$projekt->nname()."\">";
		echo strCut($projekt->nname(), 12)."</td>\n";

		// Sachbearbeiter JA
		$sql1 = "select anrede, name
				from tb_kontakte_ap
				where ap_id = $projekt->sb";
		$res1 = mysql_query($sql1) or die(mysql_error());
		$zle = mysql_fetch_row($res1);
		if($zle[0] == "Frau"){
			$dat = "Fr.";
		} else {
			$dat = "Hr.";
		}
		echo "<td style=\"padding-right:3px\">$dat&nbsp;$zle[1]</td>\n";

		if($projekt->fb) {
			echo "<td".pers_toolTip($projekt->fb).">" . pers_initialen($projekt->fb) . "</td>";
		} else echo "<td />";

		echo "<td";
		if($zeile[6] == 'w') echo ">&female;";
		elseif($zeile[6] == 'm') echo " style=\"text-align:right\">&male;";
		elseif($zeile[6] == 'b') echo " style=\"text-align:center\">&female;&male;";
		elseif($zeile[6] == '-') echo " style=\"text-align:center\">&empty;";
		else echo ">";
		echo "</td>";
		// Hauptbetreuer STW
		$sql1 = "select t2.vorname, t2.name from tbh_pers_proj t1 ".
				"left join tb_personal t2 using(pers_id) ".
				"where t1.proj_id = $zeile[0] and personaltyp_id=1;";
		$res1 = mysql_query($sql1) or die(mysql_error());
		$zle = mysql_fetch_row($res1);
 		if (strlen($zle[1])>0){
			$name = $zle[0];
			$name = $name{0};
			$name = $name . ". " . $zle[1];
		} else {
			$name = "";
		}

		/* den Betreuernamen ausgeben - nur 12 Zeichen nutzen */
		printf("<td title=\"%s\">%s</td>\n", $name, strCut($name, 12));

		// Alter Hilfeempfnger
		echo "<td align=\"center\" style=\"padding-right:3px\">";
		echo $projekt->he_info('alter');
		echo "</td>\n";
		// Ort Hilfeempfnger
		echo "<td style=\"padding-right:3px\">";
		$dat = $projekt->he_info('ort');
		if (strlen($dat) > 17){
			$dat = substr($dat,0,17);
		}
		echo $dat;
		echo "</td>\n";
		// Telefon Hilfeempfnger
		echo "<td style=\"padding-right:3px\">";
		echo $projekt->he_info('tel');
		echo "</td>\n";
		/* Loeschen (Nur Anfragen ohne HB) */
		if($_SESSION[$AppCode]['ULV'] >= 97 && $pra_id == 0 && empty($projekt->hb())) {
			echo "<td>";
			$hps = abfrage1("select hp_id, prognose from tb_hp where proj_id='$zeile[0]'");
			$empty = (mysql_num_rows($hps) == 0);
			if(mysql_num_rows($hps) == 1) {
				$hp = mysql_fetch_row($hps);
				if($hp[1]=='j') $empty = true;
			}
			if($empty) {
				$zks = abfrage1("select zk_id from tb_ab_zk where proj_id='$zeile[0]'");
				if(mysql_num_rows($zks) == 0) {
					echo "<a style=\"color:red\"" . stwToolTip("<b>Vorsicht!</b> Projekt l&ouml;schen");
					echo "href=\"pro.php?pra=$pa[0]&amp;ma=0";
					if(isset($_GET['all'])) echo "&amp;all=".$_GET['all'];
					if(isset($_GET['lsort'])) echo "&amp;lsort=".$_GET['lsort'];
					if(isset($_GET['anz'])) echo "&amp;anz=".$_GET['anz'];
					if(isset($_GET['tag'])) echo "&amp;tag=".$_GET['tag'];
					if(isset($_GET['abt'])) echo "&amp;abt=".$_GET['abt'];
					if(isset($_GET['proj'])) echo "&amp;proj=".$_GET['proj'];
					echo "&amp;del=$zeile[0]\">X</a>";
				}
			}
			echo "</td>\n";
		}
		echo "</tr>\n";
	}
}
echo "</table>\n";

if($pra_nr != 12) {
	echo "<script type=\"text/javascript\"><!--\n";
	echo "var pr_cnt = document.getElementById('pr_cnt');\n";
	echo "if(pr_cnt != 'undefined') pr_cnt.innerHTML = '$cnt';\n";
	echo "--></script>\n";
}
new stwLine(1);
new stwEnd($seite, $cal, NULL, NULL, NULL, NULL, NULL, NULL, $pra_nr, $vertr);
?>