<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_ab.php 2920 2018-12-03 17:25:30Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

$pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function EinstellungenSpeichern($pers_id, $aktenart) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select pers_id from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set pro_ab_aktenart = '$aktenart'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('AktenartIcon', 'style.color', 'lime');
	return $userResp;
}

function codeTTT($zk_id, $code){
	if($zk_id > 0) {
		abfrage2("update tb_ab_zk set code_ttt='$code' where zk_id='$zk_id'");
	}
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('codeTTT');
$xajax->registerFunction('EinstellungenSpeichern');
/* --- Ende Abschnitt (X)AJAX --- */

$level = 5;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 41;
require("inc/stw.inc.php");
require_once("inc/kal.inc.php");

/* Zeitkarten von TTT-Projekten ggf. sperren */
if ($_POST['zk_sperren'] > 0){
	$sql  = "update tb_ab_zk set sperre = 'j', ";
	$sql .= "sperre_id = '{$_SESSION[$AppCode]['UID']}', ";
	$sql .= "sperre_dt = now() where zk_id = '{$_POST['zk_sperren']}' limit 1;";
	abfrage2($sql);
}


/* Zeitkarten von TTT-Projekten ggf. entsperren */
if ($_POST['zk_entsperren'] > 0){
	$sql  = "update tb_ab_zk set sperre = 'n', ";
	$sql .= "sperre_id = NULL, ";
	$sql .= "sperre_dt = NULL where zk_id = '{$_POST['zk_entsperren']}' limit 1;";
	abfrage2($sql);
}

/* 4W Einstellung speichern */
if (isset($_GET['4w'])){
	$sql = "select pers_id from tb_pers_einst where pers_id = '".$_SESSION[$AppCode]['UID']."';";
	$vorh = abfrage1($sql);
	$update = (mysql_num_rows($vorh) > 0) ? "UPDATE" : "INSERT INTO";
	$where = (mysql_num_rows($vorh) > 0) ? "WHERE" : ",";
	$sql  = "$update tb_pers_einst SET pro_ab_4w='".$_GET['4w']."' $where pers_id = '".$_SESSION[$AppCode]['UID']."';";
	abfrage2($sql);
}

 /* Speichern Textfelder 'Begruendung Mehrstunden' */
if(isset($_POST['saveMStBegr'])) {
	$pid = intval($_POST['proj_id']);
	$datum = $_POST['datum'];
	$text = $_POST['text'];
	abfrage2("INSERT INTO tb_ab_mehrst_begr VALUES ('$pid','$datum','j','','$text','$uid',NULL) ON DUPLICATE KEY UPDATE titel='', text='$text', pers_id='$uid';");
}

$zeit = explode(" ",microtime()); // Zeitstempel inkl. Nanosekunden ermitteln
$zeit_start = $zeit[0] + $zeit[1]; // akt. Zeit speichern

set_session_url();

if(empty($_REQUEST['proj_id'])) {
	echo "<h1 style=\"color:red\">Fehler: Projekt-ID nicht gesetzt!</h1>";
	new stwEnd($seite);
	exit(-1);
}

$fahrz = getConf('fz_pro_ab');

$anzeige = isset($_GET['anz']) ? $_GET['anz'] : 'm';
$w4_anz = getPersEinst($_SESSION[$AppCode]['UID'],'pro_ab_4w',0);

if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anzeige == 'm')){
	$anzeige = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

$monat = date('n',$tag);
$jahr = date('Y',$tag);
$wtag = date('w', $tag);

$alt_codes = getConf('alt_codes');
if($alt_codes) {
	$codeArray = array();
	$codes = abfrage1("select code,code2 from tb_ab_code4");
	while($c = mysql_fetch_row($codes)) $codeArray[$c[0]] = $c[1];
}

$projekt = new stwProjekt($rvar_proj_id);

if(isset($_GET["sort"])) $sort = $_GET["sort"];
elseif($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH') $sort = 'kb';
else $sort = 'dat';

$mon_ts = date('Y-m-d', mktime(0,0,0,$monat,1,$jahr));
switch ($anzeige) {
	case 'w1':
		$kal_von = getConf("kal_von");
		$kal_bis = getConf("kal_bis");
		$t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
		$t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));
		if ($wtag == 0){
			$erster = mktime(0,0,0,$monat,date('j', $tag)-6,$jahr);
		} else {
			$erster = mktime(0,0,0,$monat,date('j', $tag)-($wtag-1),$jahr);
		}
		$letzter = $erster + (7 * 86400);
	break;
	case 'w2':
		$erster = mktime(0,0,0,$monat,date('j', $tag),$jahr);
		$letzter = $erster + (28 * 86400);
	break;
	case 't':
		$erster = mktime(0,0,0,$monat,date('j', $tag),$jahr);
		$letzter = $erster + (14 * 86400);
	break;
	case 'j':
		$erster = mktime(0,0,0,1,1,$jahr);
		$letzter = mktime(0,0,0,1,1,$jahr+1);
	break;
	case "tg": /* grafische Tagesansicht */
		$kal_von = getConf("kal_von");
		$kal_bis = getConf("kal_bis");
		$t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
		$t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));
		$erster = $tag;
		$letzter = $tag + 86400;
	break;
	default :
		$erster = mktime(0,0,0,$monat,1,$jahr);
		$letzter = mktime(0,0,0,$monat+1,1,$jahr);
}

$gruppe = abfrage1("SELECT proj_id_gruppe FROM tbh_projekt_gruppe WHERE proj_id_gruppe='$rvar_proj_id'");
$projektgruppe = (mysql_num_rows($gruppe) > 0);
$sql = "SELECT proj_id_gruppe FROM tbh_projekt_gruppe 
		WHERE proj_id='$rvar_proj_id' 
		AND unix_timestamp(von) < $letzter 
		AND (bis is NULL OR unix_timestamp(bis) >= '$erster')";
$pgr = abfrage($sql);
if(empty($pgr[0])) $gruppenprojekt = false;
else {
	$sql = "SELECT g.proj_id FROM tbh_projekt_gruppe g
			LEFT JOIN tbh_proj_personen pp USING(proj_id)
			LEFT JOIN tb_personen pers USING(person_id)
			WHERE g.proj_id_gruppe='$pgr[0]'
			AND pers.name IS NULL AND pers.vorname IS NULL";
	$gpr = abfrage($sql);
	$gruppenprojekt = $gpr[0];
}

$sql  = "select pro_ab_aktenart from tb_pers_einst where pers_id = ".$_SESSION[$AppCode]['UID'];
$persEinst = abfrage($sql);
$akte = (isset($_REQUEST['akte'])) ? $_REQUEST['akte'] : ($persEinst[0] ? $persEinst[0] : 1);

$erl_auf = (isset($_REQUEST['erl_auf'])) ? $_REQUEST['erl_auf'] : 0;

/* fuer TTM-Projekte wird spaeter der Code TTT ausgegeben */
$sql  = "SELECT h.hilfeart FROM tb_projekte p ";
$sql .= "left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id ";
$sql .= "WHERE proj_id = '$rvar_proj_id';";
$h_art = abfrage($sql);
$ttm = (substr($h_art[0],0,2) == 'TT') ? 1 : 0;

$self = $_SERVER['PHP_SELF'];

$tabindex = 1;

echo "<table><tr><th class=\"cl1\">Projekt-Nr.</th>\n";

$sql  = "select t3.personaltyp, left(t1.vorname,1), t1.name, t1.pers_id ";
$sql .= "from tb_personal t1 left join tbh_pers_proj t2 using (pers_id) ";
$sql .= "left join tb_personaltyp t3 using (personaltyp_id) ";
$sql .= "where t2.proj_id = '$rvar_proj_id' ";
$sql .= "order by t2.personaltyp_id limit 3;";
$betrs = abfrage1($sql);

while ($betr = mysql_fetch_row($betrs)){
	echo "<th class=\"cl1\" style=\"text-align:left\">$betr[0]</th>\n";
}

echo "<th class=\"cl1\">akt. FLS</th>\n";
if($projekt->kontaktst("$jahr-$monat-01")) {
	echo "<th class=\"cl1\">KLS</th>\n";
}
echo "<th class=\"cl1\">Vormonat</th>\n";
echo "<th ";
if($projekt->fls_fzk) {
	echo "style=\"color:#FF6600\"" . stwToolTip("Soll nach Fehlzeit<br>Auch geplante Fehlzeiten werden ber&uuml;cksichtigt");
}
echo "class=\"cl1\">FLS Soll</th>\n";
echo "<th class=\"cl1\">geleistet</th>\n";
if ($fahrz == 'bfz' || $fahrz == 'nfz') {
	echo"<th class=\"cl1\">Fahrz.</th>";
}
if(!empty($projekt->pauschalVuN)) {
	echo "<th class=\"cl1\">".$projekt->prozVuN."%<small> Doku</small></th>\n";
	echo "<th class=\"cl1\">in Abr.</th>\n";
}
$uebertrag = getConf('traeger') == 'sik' ? "+/- Stunden" : "&Uuml;bertrag";
echo "<th ";
if($projekt->fls_fzk) {
	echo "style=\"color:#FF6600\"" . stwToolTip("Soll nach Fehlzeit<br>Auch geplante Fehlzeiten werden ber&uuml;cksichtigt");
}
echo "class=\"cl1\">$uebertrag</th>\n";
if ($projekt->pool()){
	echo "<th class=\"cl1\">Pool-Stand</th>\n";
}
echo "<th class=\"cl1\">Spesen</th>\n";
echo "</tr>\n";
echo "<tr><td class=\"cl1\">" . $projekt->link() . "</td>\n";


mysql_data_seek($betrs,0);
while ($betr = mysql_fetch_row($betrs)) {
	$sql = "select f.fehlz_id, date_format(t.von,'%d.%m.%Y'), date_format(t.bis,'%d.%m.%Y'), a.name, a.farbe 
			from tb_fehlz f left join tb_termine t using(termin_id)
			left join tb_terminart a using(terminart)
			where f.pers_id='$betr[3]'
			and unix_timestamp(t.bis) >= $erster and unix_timestamp(t.von) < $letzter 
			order by t.von asc";
	$fzs = abfrage1($sql);
	echo "<td class=\"cl1\"";
	if(mysql_num_rows($fzs) > 0) {
		$fz = mysql_fetch_row($fzs);
		$tt = "<b>$fz[1] - $fz[2]</b> $fz[3]";
		echo " style=\"color:$fz[4]\"";
		while($fz = mysql_fetch_row($fzs)) {
			$tt .= "<br><b>$fz[1] - $fz[2]</b> $fz[3]";
		}
		echo stwToolTip($tt);
	}
	echo ">$betr[1].&nbsp;$betr[2]</td>\n";
}

$tt = "";
if($projekt->kontaktst()) $tt .= "KLS = " . fls_form($projekt->wost_kontaktstunden());
if($projekt->fallbegleitung()) $tt .= "<br>Fallbegleitung: ja";
stunden_zelle($projekt->wost_f(), $tt, 'cl1', $projekt->kontaktst(), $projekt->fallbegleitung(), false);

if($projekt->kontaktst("$jahr-$monat-01")) {
	echo "<td class=\"cl1\" style=\"text-align:center;\">";
	$wost = $projekt->wost_kontaktstunden("$jahr-$monat-01");
	if($projekt->fallbegleitung("$jahr-$monat-01")) {
		$tt = stwToolTip("Fallbegleitung: ja");
		echo "<b style=\"color:#FFCC00\" $tt>".fls_form($wost)."</b>";
	}
	else echo fls_form($wost);
	echo "</td>\n";
}

$r_cnt=abfrage("select sum(time_to_sec(fls)/3600)
				from tb_ab_zk where proj_id = '$rvar_proj_id'
				and ab = 'j' and code = 'R' and ab_monat is NULL");

$dat_gel = $projekt->fls_gesamt($mon_ts,true);
if($dat_gel == 0) {
	abfrage2("delete from tb_azk_proj where proj_id = '$rvar_proj_id' and datum = '$mon_ts'");
	$dat_gel = $projekt->fls_gesamt($mon_ts,true);
}
$dat_vm = $projekt->fls_vormonat($mon_ts);
$dat_soll = $projekt->fls_monat($mon_ts);
$dat_fz = $projekt->fls_fz($mon_ts);
$dat_fm = $projekt->fls_folgemonat($mon_ts);
if(!empty($projekt->pauschalVuN)) {
	$dat_vun = $projekt->fls_vun_pauschal($mon_ts);
	$dat_gel -= $dat_vun;
}

if($fahrz=='bfz'){
	$dat_bfz = $projekt->fls_fz_brutto($mon_ts);
}elseif($fahrz=='nfz'){
	$dat_nfz = $projekt->fls_fz($mon_ts);
}

$vormonat = date('Y-m-d', mktime(0,0,0,$monat-1,1,$jahr));
$sql = "select time_to_sec(fls) from tb_ab_zk 
		where code = '@' and proj_id='$projekt->id' 
		and ab_monat = '$vormonat'";
$korrVormonat = abfrage($sql);
echo "<th class=\"cl1\" ";
if ($korrVormonat > 0){
	$tt = abfrage("SELECT korrektur, korrektur_notiz FROM tb_fls_korrektur WHERE proj_id='$projekt->id' AND datum='$mon_ts'");
	echo stwToolTip(fls_form($tt[0])." ".$tt[1]);
	$style .= "background-color:#666666;";
}
$co = ($dat_vm <= 0) ? '#FF0000' : '#00FF00';
echo "style=\"color:$co;text-align:center;$style\">" . fls_form($dat_vm) . '</th>';

$tt2 = '';
if($projekt->fallbegleitung()) {
	$tt = "Fallbegleitung: ja";
	$tt2 = "<br>Fallbegleitende Zeit: " . fls_form($r_cnt[0]);
} else $tt = "<b>keine</b> Fallbegleitung";
stunden_zelle($dat_soll, $tt, 'cl1', $projekt->kontaktst(), $projekt->fallbegleitung());
$gesamt = $dat_gel + ($projekt->kontaktst($mon_ts) ? $dat_fz : 0);
$proz = $gesamt > 0 ? 100 * ($dat_fz / $gesamt) : 0;
stunden_zelle($dat_gel, "Fahrzeit: " . fls_form($dat_fz) . " (".proz_form($proz,2,true).")$tt2",'cl1',false,$r_cnt[0]>0);

if($fahrz=='bfz'){
	echo "<td class=\"cl1\" style=\"text-align:right\">";
	echo fls_form($dat_bfz). "</td>\n";
}elseif($fahrz=='nfz'){
	echo "<td class=\"cl1\" style=\"text-align:right\">";
	echo fls_form($dat_nfz). "</td>\n";
}
if(!empty($projekt->pauschalVuN)) {
	stunden_zelle($dat_vun);
	stunden_zelle($dat_gel + $dat_vun);
}
$co = ($dat_fm <= 0) ? '#FF0000' : '#00FF00';
$style = "color:$co;font-weight:bold;text-align:right;";
echo "<td class=\"cl1\" ";
$kapp_mod = $projekt->fls_kappung($mon_ts);
if ($kapp_mod['kapp_pos'] == 1 && $dat_fm > 0){
	if($dat_fm > $kapp_mod['kapp_pos_wert']) {
		echo stwToolTip("!! ACHTUNG! max. m&ouml;gl. Sollstunden &uuml;berschritten !!");
		$style .= "background-color:#FF6699;";
	} elseif($dat_fm + 1 > $kapp_mod['kapp_pos_wert']) {
		echo stwToolTip("!! max. m&ouml;gl. Sollstunden fast erreicht !!");
		$style .= "background-color:#FF6699;";
	}
}
echo "style=\"$style\">" . fls_form($dat_fm) . '</td>';
if ($projekt->pool()){
	echo "<th class=\"cl1\" " . $projekt->pool_style() . ">" . fls_form($projekt->pool_stand()) . "</th>";
}
$spesen = $projekt->fls_spesen($mon_ts);
$color = $dat_gel * 0.14 >= $spesen ? 'lime' : 'red';
echo "<th class=\"cl1\" style=\"text-align:right;color:$color\">" . geld_form_web($spesen) . "</th>";

echo "</tr></table>\n";

new stwLine(1);

/* -- dem Projekt zurgeordnete Aufgaben abrufen -- */

$sql  = "select t1.aufgabe_id, t2.prioritaet, ";
$sql .= "date_format(t1.termin,'%d.%m.%Y') as termin, t3.pers_id, ";
$sql .= "t1.autor, t1.titel, t1.erledigt, t2.prio, ";
$sql .= "date_format(t1.erl_datum,'%d.%m.%Y') as erl_datum, ";
$sql .= "to_days(t1.termin) as to_termin, to_days(curdate()) as to_heute, ";
$sql .= "date_format(t1.eingabe,'%d.%m.%Y') as eingabe ";
$sql .= "from tb_aufgaben t1 left join tb_prio t2 using (prio) ";
$sql .= "left join tbh_pers_auf t3 on t1.aufgabe_id = t3.aufgabe_id ";
$sql .= "and t3.zust = 'j' where t1.proj_id = '$projekt->id' ";
if (empty($erl_auf)) $sql .= "and erledigt < 100 ";
$sql .= "order by t1.termin asc;";
$aufs = abfrage1($sql);

if (mysql_num_rows($aufs) > 0){
  echo "<table>\n";
  echo "<table><tr>\n";

  echo "<th class=\"cl1\">Priorit&auml;t</a></th>\n";
  echo "<th class=\"cl1\">f&auml;llig</a></th>\n";
  echo "<th class=\"cl1\">erstellt</a></th>\n";
  echo "<th class=\"cl1\">zust&auml;ndig</a></th>\n";
  echo "<th class=\"cl1\">Autor</a></th>\n";
  echo "<th class=\"cl1\">Titel</a></th>\n";
  echo "<th class=\"cl1\">erledigt</a></th>\n";
  echo "</tr>\n";
  new stwTabLine(2,30);

  while ($zeile = mysql_fetch_assoc($aufs)) {
  	echo "<tr>";
  	echo "<td";
  	switch ($zeile['prioritaet']) {
  		case 'niedrig':
  			echo " style=\"color:lightgrey\"";
  			break;
  		case 'normal':
  			echo " style=\"color:yellow\"";
  			break;
  		case 'hoch':
  			echo " style=\"color:red\"";
  			break;
  }
  	echo ">{$zeile['prioritaet']}</td>";

  	if ($zeile['erledigt'] == 100){
  		$style = "style=\"color:#CCCCCC\"";
  		$text = "title=\"Aufgabe erledigt\"";
  	} elseif ($zeile['to_termin'] < $zeile['to_heute']){
  		$style = "style=\"color:#FF0000\"";
  		$text = "title=\"Aufgabe &uuml;berf&auml;llig\"";
  	} elseif ($zeile['erledigt'] > 0 && $zeile['erledigt'] < 100){
  		$style = "style=\"color:#00FF00\"";
  		$text = "title=\"Aufgabe begonnen\"";
  	} else {
  		$style = " ";
  		$text = " ";
  	}

  	echo "<td class=\"cl1\">";
  	echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\" $style $text>";
  	echo $zeile['termin'] . "</a></td>";
  	echo "<td class=\"cl1\">{$zeile['eingabe']}</td>\n";

  	$zust = ($zeile['pers_id'] == 99999) ? 'C-Zeitenliste' : pers_kname($zeile['pers_id']);
  	$aut  = pers_kname($zeile['autor']);
  	$czust = pers_farbe($zeile['pers_id']);
  	$caut = pers_farbe($zeile['pers_id']);
  	echo "<td style=\"color:$czust;padding-right:5px\">$zust</td>\n";
  	echo "<td style=\"color:$caut;padding-right:5px\">$aut</td>\n";
  	echo "<td class=\"cl1\">{$zeile['titel']}</td>\n";
  	echo "<td style=\"padding-right:5px;text-align:right\">";
  	echo proz_form($zeile['erledigt'], 0) . "</td>\n";
  	if ($_GET["all"] == 1 && $zeile['erledigt'] == 100){
  		echo "<td style=\"padding-right:5px;text-align:right\">{$zeile['erl_datum']}</td>\n";
  	}
  	if ($_SESSION[$AppCode]['ULV'] >= 96 || $_SESSION[$AppCode]['UID'] == $zeile['autor']){
  		echo "<td class=\"cl1\"><a href=\"auf_del_sql.php?aufgabe_id={$zeile['aufgabe_id']}";
  		echo "&all={$_GET['all']}&sort=$sort&ma={$_GET['ma']}\" ";
  		echo "style=\"color:red\" title=\"VORSICHT! Lschen\">X</a></td>\n";
  	}
  	echo "</tr>\n";
  }


  echo "</table>\n";
  new stwLine(1);
} /* --- Ende zugeordnete Aufgaben -- */

echo "<table width=\"750\"><tr>\n";
echo "<td class=\"cl20\"><input type=\"button\" ";
echo "value=\"neue ZK\" onClick=\"self.location.href=";
echo "'pro_ab_zk.php?proj_id=$projekt->id&abr=1'\"></td>\n";

if ($projekt->fb == $_SESSION[$AppCode]['UID'] || $_SESSION[$AppCode]['ULV'] >= 65 || check_al_proj($projekt->id)){
  $pooluebertrag = abfrage("select pooluebertrag from tb_hilfeart where hilfeart_id='$projekt->ha'");
  if ($pooluebertrag[0] == 'j'){
    echo "<td class=\"cl20\"><input type=\"button\" ";
    echo "value=\"Pool &Uuml;bertrag\" onClick=\"self.location.href=";
    echo "'pro_ab_pool.php?proj_id=$projekt->id&ab_monat=$mon_ts'\"></td>\n";
  }

  $ist = abfrage("select proj2, stunden from tb_ab_pool
  				where proj1 = $projekt->id
  				and ab_monat = '$mon_ts'
  				limit 1;");
  if (empty($ist) || $ist[1] == 0){
  } else {
  	$pro = new stwProjekt($ist[0]);
  	$pnr = $pro->nummer();
  	echo "<th class=\"cl1\">&Uuml;bertrag&nbsp;<a href=\"pro_daten.php?proj_id=$ist[0]\">$pnr</a>:</th>\n";
  	echo "<td>" . fls_form($ist[1]) . "</td>\n";
  }
}


if ($ulv > 5){
/* -- Aktenart A- / B-Akte / alle --  nur mit Level > 5 sichtbar -- */
	echo "<form action\"$self\" method=\"get\">\n";

	if(isset($_GET['tag'])) echo "<input type=\"hidden\" name=\"tag\" value=\"{$_GET['tag']}\">\n";;
	if(isset($_GET['anz'])) echo "<input type=\"hidden\" name=\"anz\" value=\"{$_GET['anz']}\">\n";;
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";

	echo "<th class=\"cl1\">Aktenart:</th>\n";
	echo "<td><select name=\"akte\" size=\"1\" onchange=\"this.form.submit();\">\n";

	echo "<option value=\"1\"";
	if ($akte == 1) echo ' selected';
	echo ">A-Akte extern</option>\n";

	echo "<option value=\"2\"";
	if ($akte == 2) echo ' selected';
	echo ">Intern</option>\n";

	echo "<option value=\"3\"";
	if ($akte == 3) echo ' selected';
	echo ">alle</option>\n";

	echo "</select></td>\n";
	echo "</form>\n";

/* Smiley zum Speichern einer persoenlichen Einstellung */
	echo "<td class=\"cl1\"><a href=\"#\" style=\"color: #ccc\" id=\"AktenartIcon\"";
	echo " onclick=\"xajax_EinstellungenSpeichern({$_SESSION[$AppCode]['UID']}, '$akte')\"";
	$tt = 'Aktenart als pers&ouml;nliche Einstellung speichern!';
	echo stwToolTip($tt) . ">:)</a></td>\n";
}

echo "<form action=\"$self\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
echo "<input type=\"hidden\" name=\"akte\" value=\"$akte\">\n";

/* Button nur aktuelle / auch erledigte Aufgaben */
$link  = "pro_ab.php?proj_id=$rvar_proj_id&akte=$akte&erl_auf=";
if ($erl_auf == 1){
	$link .= 0;
	$btn_tx = 'aktuelle Aufgaben';
	$btn_tt = 'nur aktuelle Aufgaben anzeigen';
} else {
	$link .= 1;
	$btn_tx = 'alle Aufgaben';
	$btn_tt = 'auch erledigte Aufgaben anzeigen';
}
if(isset($_GET['tag'])) $link .= "&tag=" . $_GET['tag'];
if(isset($_GET['anz'])) $link .= "&anz=" . $_GET['anz'];

$hps = abfrage1("select hp_id from tb_hp where proj_id='$projekt->id' and hp_art in ('h','h2')");
if(mysql_num_rows($hps) > 0) {
	$hp = array();
	$hp0 = abfrage("select hp_id, date_format(datum,'%d.%m.%Y') 
					from tb_hp where proj_id='$projekt->id'
					and unix_timestamp(datum)<='$erster'
					and hp_art in ('h','h2')
					order by datum desc limit 1");
	echo "<th style=\"color:white\"".stwToolTip('Hilfeplan').">HP:</th>\n";
	if($hp0[0]) $hp[$hp0[0]] = $hp0[1];
	$hp1s = abfrage1("select hp_id, date_format(datum,'%d.%m.%Y') 
					from tb_hp where proj_id='$projekt->id'
					and unix_timestamp(datum)>'$erster'
					and unix_timestamp(datum)<='$letzter'
					and hp_art in ('h','h2')
					order by datum asc");
	while ($hp1 = mysql_fetch_row($hp1s)){
		$hp[$hp1[0]] = $hp1[1];
	}
	$hp2 = abfrage("select hp_id, date_format(datum,'%d.%m.%Y') 
					from tb_hp where proj_id='$projekt->id'
					and unix_timestamp(datum)>'$letzter'
					and hp_art in ('h','h2')
					order by datum asc limit 1");
	if($hp2[0]) $hp[$hp2[0]] = $hp2[1];
	foreach($hp as $hp_id => $datum) {
		$query  = "SELECT t1.minimalkonsens FROM tb_hp_eg t1 "
				. "INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id "
				. "WHERE t2.proj_id = '$projekt->id'";
		$hauptziel = abfrage($query);
		$title = "<b>Hauptziel:</b><br />" . $hauptziel[0];
		$ziele  = abfrage1("SELECT nummer, ziel FROM tb_hp_praxisziele"
						. " WHERE hp_id IN ("
							. " SELECT hp_id FROM tb_hp"
							. " WHERE proj_id = '$projekt->id'"
							. " AND datum <= '" . date_gr2my($datum) . "')"
						. " AND LE='1' AND HE='1' AND ASD='1' AND"
						. " (erledigt IS NULL OR erledigt = '0000-00-00')"
						. " ORDER BY nummer ASC");
		if(mysql_num_rows($ziele) > 0) {
		  $title .= "<br /><b>Praxisziele:</b><br /><ol style=\"margin:0px;\">";
		  while($ziel = mysql_fetch_row($ziele)) {
			$title .= "<li value='$ziel[0]'>$ziel[1]</li>";
		  }
		  $title .= "</ol>";
		}
		$tt = stwToolTip($title);
		echo "<td><a style=\"color:white\" $tt href=\"pro_hp2.php?proj_id=$projekt->id&amp;hp_id=$hp_id\">$datum</a></td>";
	}
}
$rfs = abfrage1("select hp_id from tb_hp where proj_id='$projekt->id' and hp_art = 'r'");
$rf_ts = array();
$ts_rf = array();
$rf_tt = array();
$rf_erg = array();
if(mysql_num_rows($rfs) > 0) {
	$rf = array();
	$rf0 = abfrage("select hp_id, unix_timestamp(if(unix_timestamp(and_datum) > 0, and_datum, datum)) as ts,
					date_format(if(unix_timestamp(and_datum) > 0, and_datum, datum),'%d.%m.%Y') as date
					from tb_hp where proj_id='$projekt->id'
					and unix_timestamp(if(unix_timestamp(and_datum) > 0, and_datum, datum))<='$erster'
					and hp_art = 'r'
					order by ts desc limit 1");
	echo "<th ".stwToolTip('Reflexion').">RF:</th>\n";
	if($rf0[0]) $rf[$rf0[0]] = $rf0[2];
	$rf1s = abfrage1("select hp_id, unix_timestamp(if(unix_timestamp(and_datum) > 0, and_datum, datum)) as ts,
					date_format(if(unix_timestamp(and_datum) > 0, and_datum, datum),'%d.%m.%Y') as date
					from tb_hp where proj_id='$projekt->id'
					and unix_timestamp(if(unix_timestamp(and_datum) > 0, and_datum, datum))>='$erster'
					and unix_timestamp(if(unix_timestamp(and_datum) > 0, and_datum, datum))<'$letzter'
					and hp_art = 'r'
					order by ts asc");
	while ($rf1 = mysql_fetch_row($rf1s)){
		$rf[$rf1[0]] = $rf1[2];
		$rf_ts[$rf1[1]] = $rf1[0];
		$ts_rf[$rf1[0]] = $rf1[1];
	}
	$rf2 = abfrage("select hp_id, unix_timestamp(if(unix_timestamp(and_datum) > 0, and_datum, datum)) as ts,
					date_format(if(unix_timestamp(and_datum) > 0, and_datum, datum),'%d.%m.%Y') as date
					from tb_hp where proj_id='$projekt->id'
					and unix_timestamp(if(unix_timestamp(and_datum) > 0, and_datum, datum))>'$letzter'
					and hp_art in ('h','h2')
					order by ts asc limit 1");
	if($rf2[0]) $rf[$rf2[0]] = $rf2[2];
	foreach($rf as $hp_id => $datum) {
		$and_date = abfrage("select unix_timestamp(and_datum) from tb_hp where hp_id='$hp_id'");
		$style = $and_date[0]==0 ? "style=\"color:#00FF00\"" : '';
		$title	= "";
		$reflex = abfrage("select prozess, fok_g, fok_s, fok_h, ergebnis from tb_hp_re where hp_id='$hp_id'");
		$ueberschrift = array('Prozessreflexion', 'Fokus&nbsp;Gruppe', 'Fokus&nbsp;Berater/Supervisor', 'Fokus&nbsp;Hauptbetreuer', 'Ergebnis');
		for($i=0; $i<5; $i++) {
			if(!empty($reflex[$i])) $title .= "<b>" . $ueberschrift[$i] . ":</b> " . $reflex[$i] . "<br />";
			if($i==4) $rf_erg[$hp_id] = $reflex[$i];
		}
		$kwg = abfrage("select kwg from tb_hp_re where hp_id = '$hp_id';");
		if($kwg[0] == 1) {
			$abk.= "<img src=\"img/icon_kwg.png\"";
			$kwg = abfrage("select ressourcen from tb_hp where hp_art = 'k'"
						. " and proj_id = $projekt->id and and_datum is null;");
			$abk.= stwToolTip(" <b> Anlass&nbsp;Kindeswohlgef&auml;hrdung: </b> $kwg[0]");
			$abk.= " />";
		}
		$tt = $title=='' ? '' : stwToolTip($title);
		$rf_tt[$hp_id] = $tt;
		echo "<td><a $tt $style href=\"pro_re.php?proj_id=$projekt->id&amp;hp_id=$hp_id\">$datum</a></td>";
	}
}

echo "<th><input type=\"button\" value=\"$btn_tx\"" . stwToolTip($btn_tt);
echo "onClick=\"self.location.href='$link'\"></th>\n";
echo "</form>\n";

$kapp_mod = $projekt->fls_kappung($mon_ts);
$mehrst_begr = abfrage("select text, checked from tb_ab_mehrst_begr where proj_id='$projekt->id' and ab_monat='$mon_ts'");
if(!empty($mehrst_begr[0]) || $kapp_mod['kapp_pos'] == 1 && $kapp_mod['kapp_pos_wert'] == 0) {
	$lastMAtext = abfrage("select text from tb_ab_mehrst_begr where pers_id='{$_SESSION[$AppCode]["UID"]}' order by zeit desc limit 1");
	echo "<textarea style=\"display:none\" id=\"lastMAtext\">$lastMAtext[0]</textarea>\n";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function doTT(id,text) {\n";
	echo "var str = '<form method=\"post\" action=\"pro_ab.php?proj_id=$projekt->id\">';\n";
	echo "str += '<input type=\"hidden\" name=\"datum\" value=\"$mon_ts\" />';\n";
	echo "str += '<input type=\"hidden\" name=\"proj_id\" value=\"';\n";
	echo "str += id;\n";
	echo "str += '\">Sehr geehrte Damen und Herren,';\n";
	if($mehrst_begr[1] != 'j') {
		echo "str += '<input type=\"button\" style=\"width:32px;height:23px;position:absolute;left:320px;background-image:url(";
		echo Image('archiv',19,14,0,0,0) . ");background-repeat:no-repeat;background-position:4px 3px;\" onclick=\"this.form.text.value+=';\n";
		$lastPrText = abfrage("select text from tb_ab_mehrst_begr where proj_id='$projekt->id' order by zeit desc limit 1");
		echo "str += \"'" . str_replace("\n","\\n",htmlspecialchars($lastPrText[0])) . "'\";\n";
		echo "str += ';return false;\" title=\"...den Text der letzten Mehrstunden-Begr&uuml;ndung dieses Projekts einf&uuml;gen\" />';\n";
		echo "str += '<input type=\"button\" style=\"width:30px;height:23px;position:absolute;left:356px;background-image:url(";
		echo Image('person',16,16,0,0,0) . ");background-repeat:no-repeat;background-position:5px 3px;\" onclick=\"this.form.text.value+=';\n";
		echo "str += \"document.getElementById('lastMAtext').value;\";\n";
		echo "str += ';return false\" title=\"...den Text Ihrer letzten Mehrstunden-Begr&uuml;ndung einf&uuml;gen\" />';\n";
	}
	echo "str += '<br><br>';\n";
	echo "var text2 = 'text' + id;\n";
	$readonly = ($mehrst_begr[1] == 'j') ? 'readonly' : '';
	echo "str += '<span style=\"vertical-align:top;\">Text: </span><textarea $readonly onkeyup=\"document.ab2form.';\n";
	echo "str += text2;\n";
	echo "str += '.value = this.value\" style=\"width:350px\" rows=\"6\" name=\"text\">';\n";
	echo "str += text;\n";
	echo "str += '</textarea>';\n";
	echo "str += '<br><br>Mit freundlichen Gr&uuml;&szlig;en...<br><br>';\n";
	if($mehrst_begr[1] != 'j') echo "str += '<input name=\"saveMStBegr\" type=\"submit\" value=\"speichern\">';\n";
	else echo "str += '<i>(Speichern nicht mehr m&ouml;glich, da Projekt in diesem Monat bereits abgerechnet)</i>';\n";
	echo "str += '</form>';\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Begr&uuml;ndung Mehrstunden',TITLEBGCOLOR, '#006600', WIDTH, 400, HEIGHT, 190, FIX, [id,-10,-20], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n--></script>\n";

	$tt = '<b>Begr&uuml;ndung Mehrstunden</b>';
	if(strlen($mehrst_begr[0])==0) {
		$dat = 'daten';
	} else {
		$dat = 'daten_gruen';
		$tt .= '<br>' . $mehrst_begr[0];
	}
	echo "<td><img" . stwToolTip($tt) . "src=\"img/$dat.png\" id=\"" . $projekt->id . "\"";
	echo "onmousedown=\"doTT('$projekt->id',document.ab2form.text$projekt->id.value);return false;\"></td>\n";
	echo "<form name=\"ab2form\"><textarea name=\"text$projekt->id\" style=\"display:none\">$mehrst_begr[0]</textarea></form>\n";
}

$nw = abfrage("select nachw_id, intern from tb_ab_nachw where year(datum) = $jahr and month(datum) = $monat");
$nw = (empty($nw[0]) || $nw[1]=='n') ? '' : "&nachw_id=$nw[0]";
echo "<td width=\"100%\" style=\"text-align:right\">";
if($_SESSION[$AppCode]['ULV'] >= 45) {
	$tt = stwToolTip("Druck Nachweismappe intern");
	echo "<a $tt href=\"{$_SESSION['webdir']}/mandant/";
	$ab_monat = (mktime(0,0,0,$monat,1,$jahr) < mktime(0,0,0,date('n'),1,date('Y'))) ? "&ab_monat=$mon_ts" : '';	
	echo $_SESSION[$AppCode]['TR'] . "/nachw_pr.php?proj_id=".$projekt->id . $nw ."&ext=0".$ab_monat."&ts=" . time() . "\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\"></a>&nbsp;";

	if($projekt->h_art!='TTT') {
		$tt = stwToolTip("Druck Nachweismappe extern");
		echo "<a $tt href=\"{$_SESSION['webdir']}/mandant/";
		$ab_monat = (mktime(0,0,0,$monat,1,$jahr) < mktime(0,0,0,date('n'),1,date('Y'))) ? "&ab_monat=$mon_ts" : '';	
		echo $_SESSION[$AppCode]['TR'] . "/nachw_pr.php?proj_id=".$projekt->id . $nw ."&ext=1".$ab_monat."&ts=" . time() . "\" ";
		echo "target=\"_pdf\"><img src=\"img/drucker.png\"></a>&nbsp;";
	}

	if($_SESSION[$AppCode]['TR'] == 'b_l') {
		$tt = stwToolTip("Druck Nachweismappe extern inkl. A-Akte");
		echo "<a $tt href=\"{$_SESSION['webdir']}/mandant/";
		$ab_monat = (mktime(0,0,0,$monat,1,$jahr) < mktime(0,0,0,date('n'),1,date('Y'))) ? "&ab_monat=$mon_ts" : '';	
		echo $_SESSION[$AppCode]['TR'] . "/nachw_pr.php?proj_id=".$projekt->id . $nw ."&ext=2".$ab_monat."&ts=" . time() . "\" ";
		echo "target=\"_pdf\"><img src=\"img/drucker.png\"></a>&nbsp;";
	}
}
if($projekt->h_art=='TTT') {
	$tt = stwToolTip("Druck Nachweismappe <b>".strftime('%B %Y', mktime(0,0,0,$monat,1,$jahr))."</b> extern");
	echo "<a $tt href=\"{$_SESSION['webdir']}/mandant/";
	$ab_monat = (mktime(0,0,0,$monat,1,$jahr) < mktime(0,0,0,date('n'),1,date('Y'))) ? "&ab_monat=$mon_ts" : '';	
	echo $_SESSION[$AppCode]['TR'] . "/nachw_pr_ttt.php?proj_id=".$projekt->id . $nw ."&ext=1".$ab_monat;
	if($projekt->traeger_art_id) echo "&traeger=" . $projekt->traeger_art_id;
	echo "&ts=" . time() . "\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\"></a>";

	$tt = stwToolTip("Nachweis teilnehmerbezogene Aufwandsentsch&auml;digung<br>(".$projekt->hb_name().") in ESF-Vorhaben drucken");
	echo " <a $tt href=\"{$_SESSION['webdir']}/mandant/";
	echo $_SESSION[$AppCode]['TR'] . "/nachw_tn_sab_pr.php?ma=".$projekt->hb()."&proj_id=".$projekt->id."&jahr=$jahr&monat=$monat&ts=".time()."\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\"></a>";
}
echo "</td></tr>\n</table>\n";
$td = mktime(0,0,0,date('n'),date('j'),date('Y'));
$sql  = "SELECT v.vertreter_id, v.beschreibung, ";
$sql .= "date_format(t.von,'%d.%m.'), date_format(t.bis,'%d.%m.'), unix_timestamp(t.von), ";
$sql .= "unix_timestamp(t.bis), v.fehlz_id, f.pers_id, a.name ";
$sql .= "FROM tbh_fehlz_vertretung v ";
$sql .= "LEFT JOIN tb_fehlz f ON v.fehlz_id = f.fehlz_id ";
$sql .= "LEFT JOIN tb_termine t ON f.termin_id = t.termin_id ";
$sql .= "LEFT JOIN tb_terminart a ON t.terminart = a.terminart ";
$sql .= "WHERE proj_id='".$projekt->id."' AND geklaert=1 ";
$sql .= "AND (( unix_timestamp(t.von) < $erster AND unix_timestamp(t.bis) >= $erster ) ";
$sql .= "OR ( unix_timestamp(t.von) < $letzter AND unix_timestamp(t.bis) >= $letzter ) ";
$sql .= "OR ( unix_timestamp(t.von) >= $erster AND unix_timestamp(t.bis) < $letzter )) ";
$sql .= "GROUP BY v.fehlz_id ORDER BY t.von ASC;";
$ver  = abfrage1($sql);
if(isset($_POST['fehlz_id'])) $fehlz_id = $_POST['fehlz_id'];
$i = 1;
$anz = mysql_num_rows($ver);
if ($anz > 0) {
	$lastFehlz = 0;
	echo "<table width=\"100%\">\n";
	while ($v = mysql_fetch_row($ver)) {
		echo "<tr><td><form action=\"{$_SERVER['PHP_SELF']}";
		echo "?proj_id=$rvar_proj_id\" ";
		echo "method=\"POST\" style=\"height:2px;\">\n";
		echo "<input type=\"hidden\" name=\"fehlz_id\" value=\"$v[6]\">\n";
		echo "<input type=\"image\" src=\"img/stift.png\" ";
		echo "style=\"background-color: #333333\"></form>\n</td>";
		echo "<td style=\"white-space:normal;\"><b>&nbsp;";
		if($v[4] <= $td && $v[5] >= $td) echo "<span style=\"color:#FF0000;\"";
		elseif($v[4] > $td) echo "<span style=\"color:#00FF00;\"";
		else echo "<span";
		echo stwToolTip($v[8]);
		echo ">" . pers_kname($v[7]) . "&nbsp;";
		$days = ($v[2] == $v[3]) ? "($v[2])" : "($v[2]-$v[3])"; 
		echo "&nbsp;$days&nbsp;</span>" . pers_kname($v[0]);
		echo ":</b> ".str_replace("\n", "<br>", $v[1])."&nbsp;";
		$weitere = abfrage1("select vertreter_id, beschreibung from tbh_fehlz_vertretung where fehlz_id='$v[6]' and proj_id='$rvar_proj_id' and vertreter_id != '$v[0]' ");
		while($w = mysql_fetch_row($weitere)) {
			echo "<b>" . pers_kname($w[0]) . ": </b> $w[1]&nbsp;";
		}
		echo "</td></tr>\n";
		if($anz > $i++) new stwTabLine(2,2);
	}
	echo "</table>\n";
}

if(isset($fehlz_id)){
/* Anzeige des Textfeldes zur Klaerung von Fehlzeiten-Vertretungen */
	$style = "color:#FF0000;text-decoration:blink;";
	echo "<form action=\"fehlz_and.php?fehlz_id=$fehlz_id\" method=\"post\">\n";
	echo "<table><tr><th style=\"$style\">Vertretungs-<br>vereinbarung:</th>\n";
	echo "<input type=\"hidden\" name=\"vertr_projekt\" value=\"$rvar_proj_id\">\n";
	echo "<td><textarea name=\"beschr\" cols=\"40\" rows=\"2\" tabindex=\"$tabindex\">";
	$beschr = abfrage("select beschreibung from tbh_fehlz_vertretung where fehlz_id='$fehlz_id' and proj_id='$rvar_proj_id' and vertreter_id = '$uid'");
	echo "$beschr[0]</textarea></td>\n"; $tabindex++;
	echo "<td><input type=\"image\" src=\"img/senden.png\"></td></tr></table>\n";
	echo "</form>\n";
}

new stwLine(1);

if($anzeige == 'w1' || $anzeige == 'tg') {
/* Grafische Kalenderansicht der Zeitkarten */
  $sql  = "select t.termin_id, date_format(t.von, '%d.%m.%Y'), ";
  $sql .= "date_format(t.von, '%H:%i'), date_format(t.bis, '%H:%i'), ";
  $sql .= "r.name, t.terminart, week(t.von, 1), unix_timestamp(t.von), a.pers_id, ";
  $sql .= "unix_timestamp(t.bis), a.inhalte, a.zk_id, a.ab, a.ab_monat, a.nachw_id ";
  $sql .= "from tb_ab_zk a left join tb_termine t using (termin_id) ";
  $sql .= "left join tb_personal b on a.pers_id = b.pers_id ";
  $sql .= "left join tb_terminart r on r.terminart = t.terminart ";
  $sql .= "where a.proj_id = '$rvar_proj_id' ";
  $sql .= "AND ((unix_timestamp(t.von) >= '$erster' AND unix_timestamp(t.von) <= '$letzter') ";
  $sql .= "OR (unix_timestamp(t.bis) >= '$erster' AND unix_timestamp(t.bis) <= '$letzter') ";
  $sql .= "OR (unix_timestamp(t.von) <= '$erster' AND unix_timestamp(t.bis) >= '$letzter')) ";
  $sql .= "order by unix_timestamp(t.von) asc;";

  $res = abfrage1($sql);
  $kalender = array();
  $tid = 0;
  $br = "
";
  while ($row = mysql_fetch_array($res)) {
	if($y > 14) $y = 0;
	$ma = $row[8];
	$kalender[$tid]['id'] = $row[0];
	$kalender[$tid]['art'] = $row[5];
	$kalender[$tid]['datum'] = $row[1];
	$kalender[$tid]['von'] = $row[2];
	$kalender[$tid]['bis'] = $row[3];
	$kalender[$tid]['ts1'] = $row[7];
	$kalender[$tid]['ts2'] = $row[9];
	$kalender[$tid]['wtag'] = strftime('%a', $row[7]);
	$kalender[$tid]['kw'] = $row[6];
	$kalender[$tid]['datum_link'] = 1;
	$kalender[$tid]['datum_url'] = "pro_ab_zk.php?zk_id=$row[11]&proj_id=$projekt->id";
	if ($row['ab'] == 'j' || $row['ab'] == 'u'){
		$kalender[$tid]['ta_color'] = $zk_ab_ja;
		$kalender[$tid]['ta_title'] = "abrechnungsrelevant$br";
		if (!empty($row['ab_monat'])){
			$kalender[$tid]['ta_color'] = $zk_abgerechnet;
			$kalender[$tid]['ta_title'] = "abgerechnet$br";
			if (!empty($row['nachw_id'])){
				$kalender[$tid]['ta_color'] = $zk_abgelegt;
				$kalender[$tid]['ta_title'] = "abgelegt$br";
			}
		}
	} else {
		$kalender[$tid]['ta_color'] = $zk_ab_nein;
		$kalender[$tid]['ta_title'] = "Termin$br";
	}
	$kalender[$tid]['ta_text'] = pers_kname($row[8]);
	$kalender[$tid]['cont_title_tt'] = "<div>".$row[10]."</div>";
	$url = "ktyp=".$row[5]."&zk_id=".$row[11]."&termin_id=".$row[0];
	$kalender[$tid]["del_url"] = "kal_del_sql.php?".$url."&loc=kal";
	if (($row[8] == $_SESSION[$AppCode]['UID'] ||
	  $_SESSION[$AppCode]['ULV'] >= 96) && ($row[12] != "j"))
		$kalender[$tid]["del_link"] = 1;
	$tid++;
  }
  echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td>\n";
  kal_tabelle_zeit($t_beg, $t_end);
  echo "</td>\n";
  if($anzeige == 'tg') {
	kal_zelle_farbe("darkgreen");
	printf("<td>");
	kal_tabelle_tag($kalender, $ma, $erster, $kal_von, $kal_bis, "700", $ft1, '', '', true, true);
	printf("</td></tr></table>\n");
  } else {
	/* Montag, Dienstag, Mittwoch, Donnerstag und Freitag ausgeben */
	$wt1 = $erster;
	$wt2 = mktime(0, 0, 0, date("n", $wt1), date("j", $wt1) + getConf('kal_tage'), date("Y", $wt1));

	/* Daten der Feiertage holen */
	$ft = feiertage(date("Y", $erster));

	while ($wt1 <= $wt2) {
		/* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
		if ($erster != $wt1) kal_zelle_farbe("#333333");
		/* gruene senkrechte Trennlinie zwischen den einzelnen Tagen zeichnen */
		kal_zelle_farbe("darkgreen");
		/* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
		if ($erster != $wt1) kal_zelle_farbe("#333333");
		/* bestimmen ob der Tag ein Feiertag ist */
		$ft1 = find_key_in_array($ft, $wt1);
		/* neuer Tag mit eigener Tabelle anfangen */
		printf("<td>");
		/* den ganzen Tag ausgeben */
		kal_tabelle_tag($kalender, 0, $wt1, $kal_von, $kal_bis, "140", $ft1, '', '');
		/* Tag abschliessen */
		printf("</td>\n");
		/* Zeit einen Tag weitersetzen */
		$wt1 += 86400;
	}
  }
  echo "</tr></table>\n";

} else {
/* Tabellarische Ansicht der Zeitkarten */
  echo "<table><tr>\n";
  echo "<th class=\"cl1\"><a href=\"{$_SERVER['PHP_SELF']}?sort=dat&";
  if(isset($_GET['tag'])) echo "tag=$rvar_tag&anz=$rvar_anz&";
  echo "proj_id=$rvar_proj_id\">Datum</a></th>\n";
  echo "<td></td>\n";
  if ($projekt->h_art == 'TTT') {
	printf("<th></th>\n");
  }
  echo "<th class=\"cl1\">von</th>\n";
  echo "<th class=\"cl1\">bis</th>\n";
  echo "<th class=\"cl1\">fls</th>\n";

  $sql  = "select a.vun "; #4
  $sql .= "from tb_ab_zk a left join tb_termine t using (termin_id) ";
  $sql .= "left join tb_personal b on a.pers_id = b.pers_id ";
  $sql .= "where a.proj_id = '$rvar_proj_id' ";
  $sql .= "and a.code != '@' ";
  $sql .= "and unix_timestamp(t.von) >= $erster ";
  $sql .= "and unix_timestamp(t.bis) < $letzter ";
  if ($akte == 2) $sql .= "and length(a.inhalte2) > 0 ";
  $sql .= "and time_to_sec(a.vun) > 0";
  $vunanz = abfrage1($sql);
  $b_vun = false;
  if(getConf('vor_nach_b') == 1 || 
	mysql_num_rows($vunanz) > 0 ||
	(getConf('tt_vor_nach_b') == 1 && ($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH'))) {
	echo"<th class=\"cl1\">VuN</th>\n";
	$b_vun = true;
  }
  echo "<th class=\"cl1\">Fahrt</th>\n";
  echo "<th class=\"cl1\"><a href=\"{$_SERVER['PHP_SELF']}?sort=bet&";
  if(isset($_GET['tag'])) echo "tag=$rvar_tag&anz=$rvar_anz&";
  echo "proj_id=$rvar_proj_id\">Betreuer</a></th>\n";
  if ($ttm == 1) {
	if($h_art[0] == 'TTT') $lpd = abfrage("select von from tbh_tt_proj where unix_timestamp(von) < $letzter order by von desc limit 1");
	else $lpd = abfrage("select von from tbh_tt_proj where proj_id='$projekt->id'");
	$ttt_tt = '';
	$kat_ttt_ist = $kat_ttt_soll = array();
	$sql = "select * from tb_ab_code_ttt where aktiv='j' order by nr asc";
	$ab_ttt = abfrage1($sql);
	$kat2ttt_soll = $kat2ttt_ist = array();
	while ($zeile = mysql_fetch_row($ab_ttt)){
		$sql = "select time_format(sec_to_time(sum(time_to_sec(z.fls))),'%H:%i'), 
				sum(time_to_sec(z.fls)) from tbh_tt_proj tt
				left join tb_ab_zk z using(proj_id) 
				where tt.von='$lpd[0]' and z.ab='j' and z.code_ttt='$zeile[0]'";
		$ist = abfrage($sql);
		$ttt_tt .= "$zeile[4] <b>$zeile[1]</b> ($zeile[3]:00 / ";
		$ttt_tt .= empty($ist[0]) ? '&nbsp;-&nbsp;' : $ist[0];
		$ttt_tt .= ")<br />";
		$kat_ttt_ist[ $zeile[2] ] += $ist[1];
		$kat_ttt_soll[ $zeile[2] ] += $zeile[3];
		$kat2ttt_ist[ $zeile[6] ] += $ist[1];
		$kat2ttt_soll[ $zeile[6] ] += $zeile[3];
	}
	$kats = abfrage1("select kat_id, name from tb_ab_kat_ttt");
	$tt2 = "<hr noshade size=\"1\">";
	while($kat = mysql_fetch_row($kats)) {
		if($kat_ttt_ist[ $kat[0] ] > 0) {
			$tt2 .= "<b>$kat[1]: </b>" . $kat_ttt_soll[ $kat[0] ] . ":00 / " . dec2time_hhmm($kat_ttt_ist[ $kat[0] ] / 3600) . " &nbsp; &nbsp; ";
		}
	}
	$ttt_tt .= $tt2;
	$code_ttt_nr = array();
	$ab_tt = abfrage1("select code_id, nr from tb_ab_code_ttt");
	while($ab = mysql_fetch_row($ab_tt)) {
		$code_ttt_nr[ $ab[0] ] = $ab[1];
	}
	$tt = '';
	foreach($kat2ttt_soll as $id => $val) {
		$name = abfrage("select name from tb_kat_ttt where id='$id'");
		if(empty($name)) $name[0] = '-&nbsp;LEER&nbsp;-';
		$tt .= "<b>$name[0]</b> ($val:00 / ";
		$tt .= empty($kat2ttt_ist[$id]) ? '&nbsp;-&nbsp;' : dec2time_hhmm($kat2ttt_ist[ $id ] / 3600);
		$tt .= ")<br />";
	}
	echo "<th class=\"cl1\"".stwToolTip($tt.$tt2,0).">CodeTTT</th>\n";
  } else echo "<th class=\"cl1\">Code</th>\n";
  echo "<th class=\"cl1\">Inhalte";
  if($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH') {
	echo "<span".stwToolTip('p&auml;dagogisches Training')."> P&auml;d. Tr.</span>";
  } elseif ($akte == 1 || $akte == 3){
	echo ' A-Akte extern';
  } elseif ($akte == 2){
	echo ' Intern';
  }

  if ($akte == 3) echo "<th class=\"cl1\">Inhalte Intern</th>\n";
  echo "</th>\n<th class=\"cl1\"><a href=\"pro_ab.php?proj_id=".$_GET["proj_id"];
  if(isset($_GET["akte"])) echo "&akte=".$_GET["akte"];
  if(isset($_GET["erl_auf"])) echo "&erl_auf=".$_GET["erl_auf"];
  if(isset($_GET["ma"])) echo "&ma=".$_GET["ma"];
  if(isset($_GET["anz"])) echo "&anz=".$_GET["anz"];
  if(isset($_GET["tag"])) echo "&tag=".$_GET["tag"];
  echo "&4w=".($w4_anz==1 ? 0 : 1)."\"";
  if(empty($w4_anz)) echo " style=\"color:#B4B4B4\" ";
  echo ">4W</a></th>\n";

  switch ($sort) {
	case 'bet':
		$order = " order by b.vorname asc, b.name asc,
					unix_timestamp(t.von) asc;";
		break;
	case 'kb':
		$order = " order by to_days(t.von) asc,
					(l.lom_id is NULL) asc,
					l.tender asc,
					unix_timestamp(l.von) asc,
					unix_timestamp(t.von) asc;";
		break;
	default:
		$order = " order by unix_timestamp(t.von) asc;";
		break;
  }

  $sql  = "select date_format(t.von,'%d.%m.%Y') as date_von, "; #0
  $sql .= "time_format(t.von,'%k:%i') as time_von, "; #1
  $sql .= "time_format(t.bis,'%k:%i') as time_bis, "; #2
  $sql .= "time_format(a.fls,'%k:%i') as time_fls, "; #3
  $sql .= "time_format(sec_to_time(unix_timestamp(t.bis) - ";
  $sql .= "unix_timestamp(t.von) - time_to_sec(a.fls) - ";
  $sql .= "time_to_sec(a.vun)),'%k:%i') as time_fz, "; #4
  $sql .= "a.pers_id, a.code, a.inhalte, a.zk_id, a.proj_id, "; #9
  $sql .= "(concat(left(b.vorname,1), '. ', b.name)) as betr_name, "; #10
  $sql .= "a.ab, a.ab_monat, a.nachw_id, t.termin_id, "; #14
  $sql .= "unix_timestamp(t.bis) - unix_timestamp(t.von) - ";
  $sql .= "time_to_sec(a.fls), "; #15
  $sql .= "a.kwg, time_to_sec(a.fls2) as sec_fls2, "; #17
  $sql .= "time_format(a.fls2,'%k:%i') as time_fls2, "; #18
  $sql .= "time_to_sec(a.fz2) as sec_fz2, "; #19
  $sql .= "time_format(a.fz2,'%k:%i') as time_fz2, "; #20
  $sql .= "time_to_sec(a.fls) as sec_fls, a.inhalte2, a.sperre, a.code_ttt, "; #24
  $sql .= "a.sperre_id, unix_timestamp(a.sperre_dt) as sperre_ts, "; #26

  if ($akte == 1 || $akte == 3){
	$sql .= "a.inhalte as inhalte_1, ";
  } elseif ($akte == 2){
	$sql .= "a.inhalte2 as inhalte_1, ";
  }

  $sql .= "a.res2_id, unix_timestamp(t.von) as ts_von, ";
  $sql .= "unix_timestamp(t.bis) as ts_bis, ";
  $sql .= "time_format(a.vun,'%k:%i') as time_vun, "; #31
  $sql .= "date_format(t.bis,'%d.%m.%Y') as date_bis "; #32
  $sql .= "from tb_ab_zk a left join tb_termine t using (termin_id) ";
  $sql .= "left join tb_personal b on a.pers_id = b.pers_id ";
  if($sort == 'kb') {
	$sql.= "left join (
			select ll.lom_id, lt.von, lt.bis, anl.pers_id, ll.tender 
			from tbh_lom_anleiter anl
			left join tb_lom ll using (lom_id)
			left join tb_termine lt using (termin_id)
			where unix_timestamp(lt.bis) >= $erster
			and unix_timestamp(lt.von) < $letzter 
			) l on (l.pers_id = a.pers_id and l.von < t.bis and l.bis > t.von)";
  }
if(!$gruppenprojekt) $sql .= "where a.proj_id = '$rvar_proj_id' ";
else {
	$sql .= "where (a.proj_id = '$rvar_proj_id' or (a.proj_id='$gruppenprojekt' 
			and unix_timestamp(t.von) >= ".$projekt->beginn_ts();
	if($projekt->ende_ts() > 0) $sql .= " and unix_timestamp(t.von) < ".($projekt->ende_ts()+86400);
	$sql .= ")) ";
}
  if ((!check_projekt_berechtigung($rvar_proj_id)) &&
      (!check_bereitschaftsrecht())) {
	$sql .= "and a.pers_id = '$uid' ";
  }
  $sql .= "and (a.code != '@') ";
  $sql .= "and unix_timestamp(t.bis) >= $erster ";
  $sql .= "and unix_timestamp(t.von) < $letzter ";

  if ($akte == 2){
	$sql .= "and length(a.inhalte2) > 0 ";
  }

  $sql .= " group by zk_id " . $order;

  $res = abfrage1($sql);
  $curRF = array_shift($rf_ts);
  $lom_ids = array();

  $pro_al = $_SESSION[$AppCode]['ULV'] >= 96 || check_al_proj($projekt->id);
  $lastWd = -1;
  while ($row = mysql_fetch_array($res)) {
	if($sort == 'kb') {
		$sql = "select a.lom_id, date_format(t.von,'%d.%m.%Y'),
				time_format(t.von, '%k:%i'), time_format(t.bis, '%k:%i'),
				unix_timestamp(t.von), unix_timestamp(t.bis),
				lt.farbe
				from tbh_lom_anleiter a
				left join tb_lom l using (lom_id)
				left join tb_termine t using (termin_id)
				left join tb_lom_team lt on (lt.team_id = l.tender)
				where unix_timestamp(t.von) < '{$row['ts_bis']}'
				and unix_timestamp(t.bis) > '{$row['ts_von']}'
				and a.pers_id = '{$row['pers_id']}'
				order by t.von desc limit 1";
		$lom = abfrage($sql);
		if(!in_array($lom[0],$lom_ids) && !empty($lom[0])) {
			$lom_ids[] = $lom[0];
			new stwTabLine(1,30);
			echo "<tr style=\"background-color:black\"><th class=\"cl1\" colspan=\"2\" style=\"background-color:$lom[6];color:#000000\">KB: <a style=\"color:#000000\" href=\"lom_and.php?lom_id=$lom[0]\">$lom[1]</a></th>\n";
			echo "<td class=\"cl1\" style=\"text-align:right\">$lom[2]</td><td class=\"cl1\" style=\"text-align:right\">$lom[3]</td>\n";
			$sql = "select t1.nr, t1.aufgabe_id, t2.prioritaet, 
					date_format(t1.termin,'%d.%m.%Y') as termin,
					to_days(t1.termin) as to_termin, to_days(curdate()) as to_heute,
					t1.titel, t1.erledigt, t2.farbe from tbh_lom_aufgaben h 
					left join tb_aufgaben t1 using(aufgabe_id) 
					left join tb_prio t2 using (prio) 
					where h.lom_id = '$lom[0]' order by t1.termin asc;";
			$aufs = abfrage1($sql);
			$anumb = mysql_num_rows($aufs);
			if($anumb == 0) echo "<th colspan=\"6\" style=\"color:red\">??? keine Aufgaben ???</th>";
			else {
				$n = $anumb == 1 ? '' : 'n';
				echo "<th colspan=\"2\">Aufgabe$n:</th><td colspan=\"4\"><table cellpadding=\"0\" cellspacing=\"0\">";
				while($zeile = mysql_fetch_array($aufs)) {
					echo "<tr><td class=\"cl1\">";
					echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\">{$zeile['nr']}</a>";
					echo "</td>\n<td class=\"cl1\" style=\"text-align:center;color:{$zeile['farbe']}\">{$zeile['prioritaet']}</td>";
					if ($zeile['erledigt'] == 100){
						$style = "style=\"color:#CCCCCC\"";
						$text = "title=\"Aufgabe erledigt\"";
					} elseif ($zeile['to_termin'] < $zeile['to_heute']){
						$style = "style=\"color:#FF0000\"";
						$text = "title=\"Aufgabe berfllig\"";
					} elseif ($zeile['erledigt'] > 0 && $zeile['erledigt'] < 100){
						$style = "style=\"color:#00FF00\"";
						$text = "title=\"Aufgabe begonnen\"";
					} else {
						$style = $text = " ";
					}
					echo "<td class=\"cl1\">";
					echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\" $style $text>";
					echo $zeile['termin'] . "</a></td>";
					echo "<td class=\"cl1\">{$zeile['titel']}</td></tr>\n";
				} 
				echo "</table></td>\n";
			}
			$sql = "select vm_id from tbh_pers_vormerk where pers_id in (
						select pers_id from tbh_lom_anleiter where lom_id = '$lom[0]'
					) and unix_timestamp(zeit) <= '$lom[5]' and unix_timestamp(zeit) >= '$lom[4]'
					group by vm_id order by zeit asc";
			$vormerkungen=abfrage1($sql);
			echo "<td colspan=\"4\" style=\"text-align:right\">";
			$cnt = mysql_num_rows($vormerkungen);
			if($cnt > 0) {
				$en = $cnt>1 ? 'en' : '';
				$url = "vormerkliste.php?state=all";
				$tt = "<ul style=\"margin:0;padding-left:12px\">";
				while ($vml = mysql_fetch_row($vormerkungen)) {
					$url .= "&amp;vmid[]=$vml[0]";
					$vm = abfrage("select anzahl, name from tb_vormerkliste where vm_id='$vml[0]'");
					$tt .= "<li>$vm[0] $vm[1]</li>";
				}
				$tt .= '</ul>';
				echo "<a href=\"$url\"".stwToolTip($tt).">($cnt Vormerkung$en bearbeitet)</a>";
			}
			echo "</td></tr>\n";
		}
		if(empty($lom[0])) new stwTabLine(2,30);
	}
	while($curRF && $ts_rf[$curRF] < $row['ts_von']) {
		echo "<tr><th class=\"cl1\" style=\"color:#00FF00\">RF: <a href=\"pro_re.php?proj_id=$projekt->id&amp;hp_id=$curRF\"";
		echo $rf_tt[$curRF].">".$rf[$curRF]."</a></th>";
		echo "<td colspan=\"30\" class=\"ww\"".$rf_tt[$curRF].">".$rf_erg[$curRF]."</td></tr>\n";
		new stwTabLine(2,30);
		$curRF = array_shift($rf_ts);
	}
	if($gruppenprojekt && !pr_gr_anwesend($projekt->id,$row[0])) {
		$zk = abfrage1("select zk_id from tb_ab_zk z left join tb_termine t using(termin_id) where to_days(t.von) = to_days('" . date_gr2my($row[0]) . "') and z.proj_id='$rvar_proj_id'");
		if(mysql_num_rows($zk) == 0) continue;
	}
	$wd = date('N', $row['ts_von']);
	$wday = strftime('%a', $row['ts_von']);
	$errorcolor = (empty($row['pers_id']) && $row['code']!='$' && $row['code']!='U') ? "style=\"background-color:#0000FF\"" : '';
	if($wd > $lastWd) new stwTabLine(2,30);
	elseif($wd < $lastWd) new stwTabLine(1,30);
	else new stwTabLine('#555555',30);
	$lastWd	= $wd;
	echo "<tr class=\"mo\" $errorcolor>";
	if ($row['ab'] == 'j' || $row['ab'] == 'u'){
		$co = $zk_ab_ja;
		$tt = "abrechnungsrelevant";
		if (!empty($row['ab_monat'])){
			$co = $zk_abgerechnet;
			$tt = "abgerechnet";
			if (!empty($row['nachw_id'])){
				$co = $zk_abgelegt;
				$tt = "abgelegt";
			}
		}
	} else {
		$co = $zk_ab_nein;
		$tt = 'Termin';
	}
	if(empty($row['pers_id']) && $row['code']!='U') $tt = "<b>FEHLER!</b> Kein Betreuer eingetragen";
	if($row['code']=='#') $tt = "Zeitkarte einer Pool-&Uuml;bertragung";
	if($row['code']=='$') $tt = "Zeitkarte zur <b>Spesen</b>-Abrechnung";
	$st = "style=\"color:$co\"";
	if($gruppenprojekt && !pr_gr_anwesend($projekt->id,$row[0])) $tt .= "<br>Klient an diesem Tag nicht anwesend";
	$tt = stwToolTip($tt);
	echo "<td class=\"cl1\"";
	if($gruppenprojekt && !pr_gr_anwesend($projekt->id,$row[0])) echo "style=\" background-color:grey\"";
	echo ">$wday <a href=\"pro_ab_zk.php?zk_id=$row[8]&";
	echo "proj_id=$row[9]\" $st $tt>$row[0]</a></td>\n";
	echo '<td';
	if ($row['kwg']){
		$kwg = abfrage("select ressourcen, date_format(datum,'%d.%m.%Y')
						from tb_hp where hp_art = 'k'
						and proj_id = $projekt->id
						and and_datum is null;");
		echo " class=\"cl1\"><img style=\"padding-top:3px\" src=\"img/icon_kwg.png\"";
		$tt = "<b>Kindeswohlgef&auml;hrdung!</b>";
		if(!empty($kwg[0])) $tt .= " (Anlass vom $kwg[1])<br>" . $kwg[0];
		echo stwToolTip($tt) . '>';
	} else  {
		echo '>';
	}
	echo "</td>\n";

	/* Checkbox Zeitkartengenehmigung (vormals ZK-Sperre) - nur TTT-Projekte! */
	if ($projekt->h_art == 'TTT') {

		echo "<form action=\"{$_SERVER['PHP_SELF']}?";
		echo "proj_id=$projekt->id\" method=\"post\">\n";
		$ttt_cb_value = $row['zk_id'];

		if ($row['sperre'] == 'j'){ /* ZK ist genehmigt -> Checkbox loescht Gen. */

			echo "<input type=\"hidden\" name=\"zk_entsperren\" value=\"{$row['zk_id']}\">\n";

			$ttt_cb_name = 'zk_entsperren';
			$ttt_cb_checked = ' checked';
			$ttt_cb_tt  = 'Zeitkarte genehmigt';
			if ($row['sperre_id'] > 0) {
				$ttt_cb_tt .= '	durch ' . pers_name($row['sperre_id']);
			}
			if ($row['sperre_ts'] > 0) {
				$ttt_cb_tt .= ' am ' . strftime('%d.%m.%Y, %H:%M Uhr', $row['sperre_ts']);
			}

			/* nur Benutzerrecht 43 und ab Level 96 duerfen Zeitkarten ENTsperren
			 * sonst -> Checkbox inaktiv! */
			if (check_nutzer_rechte(43)){
				$ttt_cb_ro = '';
			} else {
				$ttt_cb_ro = ' disabled';
			}

		} else { /* ZK ist nicht gesperrt -> Checkbox sperrt */
			$ttt_cb_name = 'zk_sperren';
			$ttt_cb_checked = '';
			$ttt_cb_tt = 'Zeitkarte genehmigen!';

			/* nur Benutzerrecht 24 und ab Level 96 duerfen Zeitkarten sperren
			 * sonst -> Checkbox inaktiv! */
			if (check_nutzer_rechte(24)){
				$ttt_cb_ro = '';
			} else {
				$ttt_cb_ro = ' disabled';
			}
		}

		echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"$ttt_cb_name\" ";
		echo "value=\"$ttt_cb_value\" tabindex=\"$tabindex\" "; $tabindex++;
		echo stwToolTip($ttt_cb_tt) . $ttt_cb_ro . $ttt_cb_checked;
		echo " onChange=\"this.form.submit()\"></td>\n";
		echo "</form>\n";
	}
	if($row['code'] == '$') {
		echo "<td colspan=\"2\" style=\"text-align:center\">Spesen</td>";
	} elseif($row['code'] == 'U') {
		echo "<td colspan=\"2\" $st class=\"cl1\"> - &nbsp; <b>$row[32]</b></td>";
	} else {
		echo "<td class=\"cl1\" style=\"text-align:right\">$row[1]</td>";
		echo "<td class=\"cl1\" style=\"text-align:right\">$row[2]</td>";
	}
	if ($row[17] > 0 && $row[17] != $row[21]){
		$fls = $row[18];
		$style  = "style=\"text-align:right;color:yellow;\"";
		$style .=  stwToolTip('&uuml;berschneidende Zeitkarten!');
	} else {
		$fls = $row[3];
		$style = "style=\"text-align:right;\"";
	}
	echo "  <td class=\"cl1\" $style>$fls</td>";
	if($b_vun) {
		echo "  <td class=\"cl1\">";
		if($row[31] != "0:00") echo $row[31];
		echo "</td>";
	}
	if ($row[19] > 0 && $row[19] != $row[15]){
		$fz = $row[20];
		$fz1 = $row[19];
		$color = ($row[19] < 0) ? 'red;text-decoration:blink;' : 'yellow;';
		$style = "style=\"text-align:right;color:$color\"";
		$title = stwToolTip('&uuml;berschneidende Zeitkarten!');
	} else {
		$fz = $row[4];
		$fz1 = $row[15];
		$style = "style=\"text-align:right;";
		$style .= ($row[15] < 0) ? "color:red;text-decoration:blink;\"" : "\"";
		$title = '';
	}

  if($row['code'] == '$') {
	$ga = abfrage("select ga_id from tbh_ga_spesen where zk_id='{$row['zk_id']}'");
	if(empty($ga[0])) {
		$einz = abfrage("select einz_id from tbh_spesen_einz_zk where zk_id='{$row['zk_id']}'");
		if(empty($einz[0])) echo "<td colspan=\"2\"></td>";
		else echo "<td colspan=\"2\"><a href=\"pro_einz.php?proj_id=$projekt->id&einz_id=$einz[0]\">Einzahlung Klientenkonto</a></td>";
	} else echo "<td colspan=\"2\"><a href=\"ga_and.php?ga_id=$ga[0]\">Gruppenarbeit</a></td>";
  } elseif($row['code'] == 'U') {
	echo "<td class=\"cl1\" colspan=\"2\">&Uuml;berbr&uuml;ckung</td>";
  } else {
	echo "<td class=\"cl1\"";
	echo ($fz1 > 0) ? " $style $title>$fz" : '>';
	echo "</td>\n";

	$ts = date_gr2ts($row[0]);
	$sql = "SELECT a.name FROM tb_fehlz f
			LEFT JOIN tb_termine t ON f.termin_id = t.termin_id
			LEFT JOIN tb_terminart a ON t.terminart = a.terminart
			WHERE f.pers_id = '".$projekt->hb()."'
			AND unix_timestamp(t.von) <= '$ts'
			AND unix_timestamp(t.bis) >= '$ts'";
	$fehlz = abfrage1($sql);
	if(mysql_num_rows($fehlz) > 0) {
		$fehl = mysql_fetch_row($fehlz);
		$style = "style=\"background-color:#666666\"";
		$style .= stwToolTip("<b>".$projekt->hb_name().":</b> $fehl[0]");
	} else $style = "";
	echo "<td $style class=\"cl1\">$row[10]</td>";
  }
	if ($ttm == 1) {
		echo "<td style=\"text-align:center;padding-right:10px\"";
		echo stwToolTip($ttt_tt,0) . ">";
		if(empty($row[24]) || $pro_al) {
			echo "<select onchange=\"xajax_codeTTT($row[8],this.value)\" style=\"width:50px\">\n";
			$sql = "select * from tb_ab_code_ttt where aktiv='j' or code_id='$row[24]' order by nr asc";
			$codes = abfrage1($sql);
			echo "<option value=''>! ! ! &nbsp; &nbsp; Inhalt ausw&auml;hlen! &nbsp; &nbsp; ! ! !</option>\n";
			while ($zeile = mysql_fetch_row($codes)){
				echo "<option value=\"$zeile[0]\"";
				if ($row[24] == $zeile[0]) echo ' selected';
				echo ">$zeile[4]";
				if($zeile[4] < 10) echo "&nbsp;";
				echo " &nbsp; $zeile[1]</option>\n";
			}
			echo "</select>\n";
		} else {
			echo $code_ttt_nr[ $row[24] ];
		}
		echo "</td>";
	} else {
		echo "<td class=\"cl1\" ";
		$st = 'text-align:center;';
		if($row[6] == 'R') {
		  if($projekt->fallbegleitung(date_gr2my($row[0])) && empty($row[12])) {
			echo stwToolTip(fls_form($r_cnt[0])." Fallbegleitende Zeit abgerechnet (ca. 4h fZ vorgesehen)");
			if($r_cnt[0] > 4) {
				$st .= "color:#FF6600;";
			}
		  } elseif(!$projekt->fallbegleitung(date_gr2my($row[0]))) {
			$st .= "color:#FF6600;text-decoration:blink;";
			echo stwToolTip("Fallbegleitende Zeit ohne entsprechende Vereinbarung");
		  }
		}
		echo "style=\"$st\">";
		if($alt_codes) echo $codeArray[ $row[6] ];
		else echo $row[6] == 'U' ? '&Uuml;' : $row[6];
		echo "</td>";
	}

	/* Inhalte A- bzw. B-Akte. je nach Schalter */
	echo "<td class=\"cl1\">";
	echo wordwrap(str_replace("\r\n", '', nl2br($row['inhalte_1'])), 50, '<br />');
	echo "</td>\n";

	if ($akte == 3){
		echo "<td class=\"cl1\">";
		echo wordwrap(str_replace("\r\n", '', nl2br($row['inhalte2'])), 50, '<br />');
		echo "</td>\n";
	}

	if($w4_anz==1) {
		$w4 = round($row['ts_bis'] / (60*60*24*7), 0) % 4;
		if($w4 == 0) $w4 = 4;
	} else $w4='';
	echo "<td class=\"cl1\" style=\"text-align:center\">$w4</td>\n";

	if($row[5] == $_SESSION[$AppCode]['UID'] || $_SESSION[$AppCode]['ULV'] >= 96) $chZK = true;
	else {
		$sql = "SELECT COUNT(*) FROM tb_pers_pers_recht WHERE precht_id=1 AND user_id=$uid AND pers_id='$row[5]'";
		$UserHasRight = abfrage($sql);
		$chZK = $UserHasRight[0] ? true : false;
	}

	if ($chZK && empty($row[12]) && $row['sperre'] == "n"){
		$delln = "kal_del_sql.php?ktyp=z&zk_id=$row[8]&termin_id=$row[14]";
		echo "<td class=\"cl1\"><a href=\"$delln\" style=\"color:red\" ";
		echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a></td>\n";
		$link3 = "kal_serie.php?termin_id=$row[14]&zk_id=$row[8]";
		echo "<td class=\"cl1\"><a href=\"$link3\">Serie</a></td>\n";
	}

	if (strlen($row[22]) > 0){
		echo "<td class=\"cl1\"";
		echo stwToolTip('interne Inhalte vorhanden!') . ">B</td>\n";
	}

	/* Raumbelegung */
	if ($row['res2_id'] > 0){
		echo "<td";

		/* sonstige Raumbelegung abfragen */
		$sql  = "select z.zk_id from tb_ab_zk z ";
		$sql .= "left join tb_termine t using (termin_id) ";
		$sql .= "where res2_id = '{$row['res2_id']}' and zk_id != '$row[8]' ";
		$sql .= "and unix_timestamp(t.bis) >= '{$row['ts_von']}' ";
		$sql .= "and unix_timestamp(t.von) <= '{$row['ts_bis']}';";
		$rk = abfrage1($sql);

		if (mysql_num_rows($rk) == 1){
			echo " style=\"color: lime;\"";
			echo stwToolTip('Raum reserviert!');
		} else {
			echo " style=\"color: red;\"";
			echo stwToolTip('Raum mehrfach reserviert!');
		}
		echo ">R</td>\n";
	}

	echo "</tr>\n";
  }
  while($curRF) {
	new stwTabLine(2,30);
	echo "<tr><th class=\"cl1\" style=\"color:#00FF00\">RF: <a href=\"pro_re.php?proj_id=$projekt->id&amp;hp_id=$curRF\"";
	echo $rf_tt[$curRF].">".$rf[$curRF]."</a></th>";
	echo "<td colspan=\"30\" class=\"ww\"".$rf_tt[$curRF].">".$rf_erg[$curRF]."</td></tr>\n";
	$curRF = array_shift($rf_ts);
  }
  echo "</table>\n";
}

new stwLine(1);
new stwEnd($seite,1);
?>