<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_ab_zk.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Sicherheistlevel und Seitennummer setzen */
 $level = 5;
 $seite = 41;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad . 'inc/func.inc.php');

/* wenn vorhandene ZK -> zum Leistungszeitpunkt aktive Autos */
if (isset($_GET['zk_id'])){
	$res = abfrage("select res_id from tb_ab_zk where zk_id='{$_GET['zk_id']}'");
	$sql  = "select r.res_id, r.name from tb_ressourcen r ";
	$sql .= "left join tb_res_typ t using (res_typ) ";
	$sql .= "where t.name = 'PKW' and (r.aktiv = 'j' or ";
	$sql .= "r.res_id = '$res[0]') ";
	$sql .= "order by r.name asc;";
} else {
	$sql  = "select r.res_id, r.name from tb_ressourcen r ";
	$sql .= "left join tb_res_typ t using (res_typ) ";
	$sql .= "where t.name = 'PKW' and r.aktiv = 'j' order by r.name asc;";
}
$pkws = abfrage1($sql);

$sql  = "select res_id, name from tb_ressourcen ";
$sql .= "where res_typ = '2' and reservierung = '1' order by name asc;";
$raeume = abfrage1($sql);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function dienstgang($zk_id, $datum, $start_check, $startzeit, $ende_check, $endzeit) {
	$userResp = new xajaxResponse();
	if($start_check) {
		$time = check_time($startzeit);
		if(empty($time)) $time = strftime("%H:%M", time());
	} else $time = 0;
	if($time) {
		$dienst_start = date_tstime(date_gr2ts($datum),$time);
		if($ende_check) {
			$time = check_time($endzeit);
			if(empty($time)) $time = strftime("%H:%M", time());
		} else $time = 0;
		if($time) {
			$dienst_ende = date_tstime(date_gr2ts($datum),$time);
		} else $dienst_ende = 0;
	} else $dienst_start = $dienst_ende = 0;
	$sql = "REPLACE INTO tb_ab_zk_dienst 
			SET zk_id = '$zk_id', 
			dienst_start = '$dienst_start', 
			dienst_ende = '$dienst_ende'";
	abfrage2($sql);
	$userResp->assign('startzeit', 'value', $dienst_start ? strftime("%H:%M", $dienst_start) : '');
	$userResp->assign('endzeit', 'value', $dienst_ende ? strftime("%H:%M", $dienst_ende) : '');
	$userResp->assign('dienst_start', 'checked', $dienst_start ? 'checked' : '');
	$userResp->assign('dienst_ende', 'checked', $dienst_ende ? 'checked' : '');
	return $userResp;
}

function kmStand($datum, $von, $res_id, $km){
	$userResp = new xajaxResponse();
	if($res_id > 0) {		
		$userResp->assign('kmstd', 'style.display', 'table-row');
		$datum = check_date($datum);
		$ts = date_gr2ts($datum);
		$time = check_time($von);
		if($time) $ts = date_tstime($ts,$time);
		$kmStand = km_stand($res_id,$ts,1);
		$userResp->assign('km_anfang', 'value', 0+$kmStand);
		$userResp->assign('km_ende', 'value', 0+$kmStand+$km);
	} else {
		$userResp->assign('kmstd', 'style.display', 'none');
		$userResp->assign('km_anfang', 'value', 0);
		$userResp->assign('km_ende', 'value', 0);
	}
	return $userResp;
}

function checkStatus($datum, $von, $bis, $res_id, $res2_id){
	global $pkws;
	global $raeume;
	$userResp = new xajaxResponse();
	$autoselectbgcolor = array();
	$raumselectbgcolor = array();
	while($pkw = mysql_fetch_row($pkws)) {
		$autoselectbgcolor[$pkw[0]] = $pkw[0];
	}
	mysql_data_seek($pkws,0);
	while($raum = mysql_fetch_row($raeume)) {
		$raumselectbgcolor[$raum[0]] = $raum[0];
	}
	mysql_data_seek($raeume,0);
	$datum = check_date($datum);
	$ts = $von_ts = date_gr2ts($datum);
	$time1 = check_time($von);
	$time2 = check_time($bis);
	if($time1 == false || $time2 == false) {
		$userResp->assign("res2_id", 'style.background', '#CCCCCC');
		$userResp->assign("res_id", 'style.background', '#CCCCCC');
		return $userResp;
	}
	if($time1) $von_ts = date_tstime($ts,$time1);
	$bis_ts = date_tstime($ts,$time2 ? $time2 : '23:59');
	$sql = "select res_id, res2_id from tb_ab_zk z
			left join tb_termine t using (termin_id) 
			where unix_timestamp(t.bis) > '$von_ts' ";
	if(isset($_GET['zk_id'])) $sql.= "and zk_id != '{$_GET['zk_id']}' ";
	$sql.= "and unix_timestamp(t.von) < '$bis_ts';";
	$zks = abfrage1($sql);
	$autored = $raumred = false;
	while($zk = mysql_fetch_row($zks)) {
		if($zk[0] > 0) {
			$userResp->assign("pkw$zk[0]", 'style.background', 'red');
			$autoselectbgcolor[$zk[0]] = false;
			if($res_id == $zk[0]) $autored = true;
		}
		if($zk[1] > 0) {
			$userResp->assign("raum$zk[1]", 'style.background', 'red');
			$raumselectbgcolor[$zk[1]] = false;
			if($res2_id == $zk[1]) $raumred = true;
		}
	}
	foreach($autoselectbgcolor as $id) {
		if($id) $userResp->assign("pkw$id", 'style.background', '');
	}
	foreach($raumselectbgcolor as $id) {
		if($id) $userResp->assign("raum$id", 'style.background', '');
	}
	$userResp->assign("res_id", 'style.background', $autored?'red':'#CCCCCC');
	$userResp->assign("res2_id",'style.background', $raumred?'red':'#CCCCCC');
	return $userResp;
}

function codeTTT($zk_id, $code){
	if($zk_id > 0) {
		abfrage2("update tb_ab_zk set code_ttt='$code' where zk_id='$zk_id'");
	}
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('dienstgang');
$xajax->registerFunction('checkStatus');
$xajax->registerFunction('kmStand');
$xajax->registerFunction('codeTTT');
/* --- Ende Abschnitt (X)AJAX --- */

 require_once($pfad . 'inc/auth.inc.php');
 require_once($pfad . 'inc/stw.inc.php');

 require_once($pfad . 'inc/level.inc.php');
 require_once($pfad . 'inc/ab.inc.php');

/* Projekt anlegen fuer die Anzeige wenn ID vorhanden */
if (!isset($_REQUEST['proj_id'])) {
	echo "Fehler: intern wird eine ProjektID erwartet aber nicht vorhanden.";
	new stwEnd($seite);
	exit(0);
} else {
	$projekt = new stwProjekt($rvar_proj_id);
}
$pers_order = getPersOrder($seite);

echo "<script type=\"text/javascript\"><!--\n";
echo "window.onload = function () {\n";
echo "xajax_checkStatus(document.zk_form.datum.value, document.zk_form.von.value, document.zk_form.bis.value, document.zk_form.res_id.value, document.zk_form.res2_id.value);\n";
echo "}\n";
echo "function validate() {\n";
echo "if(document.getElementById('code').value == 'U') {\n";
echo " var von = String(document.zk_form.datum.value);\n";
echo " var dat1 = von.split('.');\n";
echo " var bis = String(document.zk_form.bis_datum.value);\n";
echo " var dat2 = bis.split('.');\n";
echo " if(dat1[1] < dat2[1]) {";
echo "  return confirm(\"Sie sind im Begriff eine berbrckungszeitkarte ber mehrere Monate hinweg anzulegen.\\n";
echo "  Es wird empfohlen, berbrckungszeiten bis zum Letzten des Monats und anschlieend\\neine weitere Zeitkarte ab dem Ersten des Folgemonats anzulegen.\\n";
echo "  Auf diese Weise knnen sie verschiedenen Abrechnungsmonaten zugeordnet werden.\\n\\n";
echo "  Im Druck werden solche Zeitkarten als ein Zeitraum betrachtet.\\n\\n";
echo "  Sind Sie sicher, dass sie eine Zeitkarte ber den Monatswechsel hinweg anlegen mchten?\")";
echo "}\n}\n";
echo "if(document.getElementById('ab_ja').checked == false) return true;\n";
echo "var doIt = false;\n";
echo "var str = '';\n";
echo "var datum = String(document.zk_form.datum.value);\n";
echo "var dat = datum.split('.');\n";
echo "var von2 = document.zk_form.von.value;\n";
echo "if(von2.indexOf(':') >= 0) {\n";
echo " var tom = von2.split(':');\n";
echo " var tom0 = parseInt(tom[0]);\n";
echo " var tom1 = parseInt(tom[1]);\n";
echo "} else {\n";
echo " var tom0 = parseInt(von2.substring(0,von2.length-2));\n";
echo " var tom1 = parseInt(von2.substring(von2.length-2));\n";
echo "}\n";
echo "var bis2 = document.zk_form.bis.value;\n";
echo "if(bis2.indexOf(':') >= 0) {\n";
echo " var tim = bis2.split(':');\n";
echo " var tim0 = parseInt(tim[0]);\n";
echo " var tim1 = parseInt(tim[1]);\n";
echo "} else {\n";
echo " var tim0 = parseInt(bis2.substring(0,bis2.length-2));\n";
echo " var tim1 = parseInt(bis2.substring(bis2.length-2));\n";
echo "}\n";
echo "var fls0 = tim0 - tom0;\n";
echo "var fls1 = tim1 - tom1;\n";
echo "if(fls1 < 0) {\n";
echo " fls1 += 60;\n";
echo " fls0--;\n";
echo "}\n";
echo "if(document.zk_form.km_dienst != 'undefined') {\n";
echo " var km = String(document.zk_form.km_dienst.value);\n";
echo " var fahrzeit = String(document.zk_form.fahrzeit.value);\n";
echo " var fz = fahrzeit.split(':');\n";
echo " var geleistet = String(document.zk_form.fls.value);\n";
echo " if(geleistet.indexOf(':') >= 0) {\n";
echo "  var fls = geleistet.split(':');\n";
echo " } else {\n";
echo "  var fls = new Array(parseInt(bis2.substring(0,bis2.length-2)),parseInt(bis2.substring(bis2.length-2)));\n";
echo " }\n";
echo " if(parseInt(fz[0]) == 0 && parseInt(fz[1]) == 0 && parseInt(km) > 0 && fls0 == fls[0] && fls1 == fls[1]) {;\n";
echo " doIt = true;\n";
echo " str += 'gefahrene Kilometer ohne eingetragene Fahrzeit?!\\n';\n}\n";
echo "}\n";
if(getConf("zk_midnight") == 0) {
	echo "if(fls0 < 0 && (tim0 != 0 || tim1 != 0)) {\n";
	echo "doIt = true;\n";
	echo "str += unescape('Zeitkarten %FCber Mitternacht hinweg unzul%E4ssig. `bis wird auf Mitternacht gek%FCrzt.\\n');\n}\n";
}
$beg_ts = $projekt->beginn_ts();
if($beg_ts > 0) {
	echo "var t = ".date('j',$beg_ts).";\n";
	echo "var m = ".date('n',$beg_ts).";\n";
	echo "var j = ".date('Y',$beg_ts).";\n";
	echo "if(j>dat[2] || (j==dat[2] && m>dat[1]) || (j==dat[2] && m==dat[1] && t>dat[0])) {\n";
	echo "doIt = true;\n";
	echo "str += 'Das eingegebene Datum liegt vor dem Projektbeginn!\\n';\n}\n";
} else {
	echo "doIt = true;\n";
	echo "str += unescape('Achtung! Noch kein Projektbeginn! Bitte Stunden%E4nderung anlegen!\\n');\n";
}
$end_ts = $projekt->ende_ts();
if($end_ts > 0) {
	echo "var t = ".date('j',$end_ts).";\n";
	echo "var m = ".date('n',$end_ts).";\n";
	echo "var j = ".date('Y',$end_ts).";\n";
	echo "if(j<dat[2] || (j==dat[2] && m<dat[1]) || (j==dat[2] && m==dat[1] && t<dat[0])) {\n";
	echo "doIt = true;\n";
	echo "str += 'Das eingegebene Datum liegt nach dem Projektende!\\n';\n}\n";
}
if ($projekt->pool()) {
	$pool_gesamt = $projekt->pool_st();
	$pool_gel = $projekt->pool_geleistet();
	$prozent = 100 * $pool_gel/$pool_gesamt;
	if($prozent >= 95) {
		$pool_stand = fls_form($projekt->pool_stand());
		echo "doIt = true;\n";
		echo "str += 'Von ".fls_form($pool_gesamt)." Pool des Projektes sind nur noch $pool_stand verbleibend!\\n';\n";
	}
}
if(getConf("zk_ab_perspek") == 0) {
	echo "var t2 = ".date('j').";\n";
	echo "var m2 = ".date('n').";\n";
	echo "var j2 = ".date('Y').";\n";
	echo "if (serverzeit == null) {\n";
	echo "var hh = ".date('G').";\n";
	echo "var mm = ".date('i').";\n";
	echo "} else {\n";
	echo "var hh = serverzeit.getHours();\n";
	echo "var mm = serverzeit.getMinutes();\n";
	echo "}\n";
	echo "if(j2==dat[2] && m2==dat[1] && t2==dat[0]) {\n";
	echo " if((hh>tom0 || (hh==tom0 && mm>tom1)) && (hh<tim0 || (hh==tim0 && mm<tim1))) {\n";
	echo "  str += unescape('Endzeitpunkt '+tim0+':'+(tim1<10?0:'')+tim1+' liegt in der Zukunft und wird m%F6glicherweise gek%FCrzt!\\n');\n";
	echo "  doIt = true;\n";
	echo " }\n";
	echo "}\n";
}
echo "if(doIt) {\n";
echo "str += 'Wollen Sie die Zeitkarte dennoch anlegen?';\n";
echo "return confirm(str);\n";
echo "} else return true;\n";
echo "}\n\n";
echo "function dienstkm() {\n";
echo "var start = parseInt(document.zk_form.km_anfang.value);\n";
echo "var ende = parseInt(document.zk_form.km_ende.value);\n";
echo "if(ende > start) document.zk_form.km_dienst.value = (ende - start);\n";
echo "else document.zk_form.km_dienst.value = '';\n";
$extrafahrt_km = intval(getConf('extrafahrt_km'));
echo "if(document.zk_form.kmg0.value=='n' && (ende - start) >= $extrafahrt_km) {\n";
echo "document.getElementById('extrafahrt').style.display = 'table-row';";
echo "} else {\n";
echo "document.getElementById('extrafahrt').style.display = 'none';";
echo "}\n";
echo "}\n";
echo "--></script>\n";
 /* Benutzer, in dessen Namen die Zeitkarte erstellt wird */
$pers_id = $_SESSION[$AppCode]["UID"];
if(isset($rvar_pers_id)) {
  $sql  = "SELECT COUNT(*) FROM tb_pers_pers_recht WHERE precht_id=1 ";
  $sql .= "AND user_id=".$_SESSION[$AppCode]["UID"]." AND pers_id=$rvar_pers_id";
  $erg = abfrage($sql);
  if($erg[0]) $pers_id = $rvar_pers_id;
}

/* Projektnummer wechseln wenn angefordert und noch nicht abgerechnet */
if ($_GET['nr'] == 1){
  echo "<form action=\"pro_ab_zk.php?zk_id=$rvar_zk_id&proj_id=";
  echo $rvar_proj_id . "\" method=\"post\">\n";
  echo "<table>\n";
  echo "<tr><th colspan=\"3\">Zeitkarte einem anderen Projekt zuordnen</th></tr>\n";
  new stwTabLine(2,10);

  echo "<tr><th class=\"cl1\">von:</th><th colspan=\"2\">" . $projekt->nummer();
  echo "</th></tr>\n";

  echo "<tr><th class=\"cl1\">nach:</th><td colspan=\"2\">";

 	/* alle Projekte ermitteln */
 	$sql  = "SELECT t1.proj_id FROM tbh_pers_proj t1 ";
 	$sql .= "INNER JOIN tb_projekte t2 ON t1.proj_id = t2.proj_id WHERE ";
 	if ($_SESSION[$AppCode]['ULV'] < 96) {
 		$sql .= "t1.pers_id='".$pers_id."' AND ";
 	}
  $sql .= "(t2.ende IS NULL or t2.ende='0000-00-00' ";
  $sql .= "OR TO_DAYS(t2.ende) >= TO_DAYS(DATE_SUB(CURDATE(), INTERVAL ";
  $sql .= "28 DAY))) GROUP BY t1.proj_id ";
  /* Sortierung wie in pro.php -> Standard-Sortierung */
  $sql .= "ORDER BY t2.projektnr ASC";


  $erg  = abfrage1($sql);
  if (mysql_num_rows($erg) > 0){

  	$style = "font-weight:bold;background-color:#333333;";

  	echo "<select name=\"change_proj_id\" size=\"1\" style=\"" . $style;
    echo "color:#FFCC00\">\n";

    echo "<option value=\"0\" style=\"" . $style . "color:#FFCC00\">";
    echo "Projekt ausw&auml;hlen</option>";

    while ($zeile = mysql_fetch_row($erg)){
    	$proj = new stwProjekt($zeile[0]);
    	$feld = $proj->ListenMarkierung($pers_id);

    	if (empty($feld["co"])) $farbe = "#FFCC00"; else $farbe = $feld["co"];
    	/* Tooltip (only Mozilla&Co) */
		$zle = abfrage("select t2.vorname, t2.name from tbh_pers_proj t1
						left join tb_personal t2 using(pers_id)
						where t1.proj_id = '$proj->id' and personaltyp_id = '1';");
	 	if (strlen($zle[1])>0)
			$hb = "Hauptbetreuer: " . $zle[0] . " " . $zle[1];
    	echo "<option title=\"$hb\"";
    	echo "value=\"$zeile[0]\" style=\"$style; color: $farbe;\">";
    	echo $proj->nummer() . "</option>\n";
    }

    echo "</select>";
  }

  echo "</td></tr>\n";

  new stwTabLine(2, 3);

  echo "<tr><td></td><td><input type=\"submit\" value=\"Ok\" ";
  echo "name=\"change_ok_proj_id\"></td>\n";

  echo "<td><input type=\"submit\" value=\"Abbrechen\"></td></tr>\n";
  echo "</table></form>\n";

  new stwEnd($seite);
  exit(0);
}

/* Projektnummer wechseln - hier auswerten */
if ($_POST['change_proj_id'] > 0){
	$sql  = "UPDATE tb_ab_zk SET proj_id='".$_POST["change_proj_id"]."' ";
  $sql .= "WHERE zk_id='".$_GET["zk_id"]."'";

  abfrage2($sql);

  /* Projekt wechseln weil geaendert wurde */
  $projekt = new stwProjekt($_POST["change_proj_id"]);
  $rvar_proj_id = $_POST["change_proj_id"];
}

if(isset($rvar_zk_id) || isset($rvar_kopie)){
	$sql = "select date_format(t3.von,'%d.%m.%Y'),	#0
			time_format(t3.von,'%H:%i'),			#1
			time_format(t3.bis,'%H:%i'),			#2
			time_format(t1.fls,'%H:%i'),			#3
			time_format(sec_to_time(unix_timestamp(t3.bis)-unix_timestamp(t3.von)
				-time_to_sec(t1.fls)-time_to_sec(t1.vun)),'%H:%i'),		#4
			concat(left(t2.vorname,1), '. ', t2.name), #5
			t1.inhalte,								#6
			t1.code,								#7
			t1.km_von,								#8
			t1.km_via1,								#9
			t1.km_via2,								#10
			t1.km_via3,								#11
			t1.km_via4,								#12
			t1.km_via5,								#13
			t1.km_nach,								#14
			t1.km_dienst,							#15
			t1.km_privat,							#16
			t1.spesen_text,							#17
			t1.spesen_betr,							#18
			t1.spesen_eig,							#19
			t3.termin_id,							#20
			t1.ab,									#21
			unix_timestamp(t1.ab_monat),			#22
			t1.pers_id,								#23
			t1.res_id,								#24
			t1.inhalte2,							#25
			t1.ab_monat,							#26
			unix_timestamp(t3.von) as ts_von,		#27
			t1.kwg,									#28
			t1.zk_dat,								#29
			t1.code_ttt,							#30
			UNIX_TIMESTAMP(t3.bis),					#31
			t1.ts_pers,								#32
			t1.empfang,								#33
			t1.sperre,								#34
			t1.sperre_id,							#35
			unix_timestamp(t1.sperre_dt) as sperre_ts,	#36
			res2_id,								#37
			t3.von,									#38
			unix_timestamp(t3.bis) as ts_bis,		#39
			t1.ts_verlauf_end,						#40
			time_format(t1.vun,'%H:%i'),			#41
			t1.km_abw_ja,							#42
			date_format(t3.bis,'%d.%m.%Y'),			#43
			t1.hr,									#44
			t1.sphere								#45
			from tb_ab_zk t1
			left join tb_personal t2 using(pers_id)
			left join tb_termine t3 on t1.termin_id = t3.termin_id ";

	if (isset($rvar_zk_id)) $sql .= "WHERE t1.zk_id='".$rvar_zk_id."'";
	if (isset($rvar_kopie)) $sql .= "WHERE t1.zk_id='".$rvar_kopie."'";

	$zk = abfrage_array($sql);
} else $zk = array();

/* Ueberbrckungszeiten - ZKs mit code U */
$ue = isset($rvar_code) ? ($rvar_code == U) : ($zk['code'] == 'U');

/* Korrektur-ZK */
$korrekt_zk = $zk['code']=='@' || $zk['code']=='#';
if($_SESSION[$AppCode]["ULV"] < 97 && $korrekt_zk) {
	echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
	new stwEnd($seite);
	exit(0);
}

/* Zeitkarte dient nur der Spesenabrechnung (keine Aenderungsmgl.) */
$spesen_zk = isset($rvar_zk_id) ? ($zk['code'] == '$') : false;

/* Ausgabe eines Formulars fuer die Daten der Zeitkarte */
echo "<form name=\"zk_form\" onsubmit=\"return validate()\" method=\"post\" action=\"pro_ab_zksql.php\">\n";
echo "<table>\n";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";

/*
* Pruefen ob ZK abrechnungsrelevant ist.
* Falls nicht wird ein Link zum Aendern der Projektnummer angeboten.
*/
if ($zk[21] == 'j' && !check_nutzer_rechte(126)) {
	echo "<tr><th class=\"cl1\" ";
	echo stwToolTip("Zeitkarte einem anderen Projekt zuordnen nur m&ouml;glich, 
					 wenn sie nicht abrechnungsrelevant ist
					 (oder Nutzer Zusatzrecht hat)");
	echo ">Projekt-Nr.";
} else {
	echo  "<tr><th class=\"cl1\"><a href=\"pro_ab_zk.php?zk_id=$rvar_zk_id&";
	echo "proj_id=$rvar_proj_id&nr=1\"";
	echo stwToolTip('Diese Zeitkarte einen anderem Projekt zuordnen!');
	echo ">Projekt-Nr.</a>";
}
$hp = abfrage("select hp_id, datum from tb_hp 
				where proj_id='$projekt->id'
				and hp_art in ('h','h2')
				order by datum desc limit 1");

if($hp[0]) {
	$query  = "SELECT t1.minimalkonsens FROM tb_hp_eg t1 "
			. "INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id "
			. "WHERE t2.proj_id = '$projekt->id'";
	$hauptziel = abfrage($query);
	$title = empty($hauptziel[0]) ? "<b>Hilfeplan</b><br />" : "<b>Hauptziel:</b><br />$hauptziel[0]";
	$ziele  = abfrage1("SELECT nummer, ziel FROM tb_hp_praxisziele"
					. " WHERE hp_id IN ("
						. " SELECT hp_id FROM tb_hp"
						. " WHERE proj_id = '$projekt->id'"
						. " AND datum <= '$hp[1]')"
					. " AND LE='1' AND HE='1' AND ASD='1' AND"
					. " (erledigt IS NULL OR erledigt = '0000-00-00')"
					. " ORDER BY nummer ASC");
	if(mysql_num_rows($ziele) > 0) {
	  $title .= "<br /><b>Praxisziele:</b><br /><ol style=\"margin:0px;\">";
	  while($ziel = mysql_fetch_row($ziele)) {
		$title .= "<li value='$ziel[0]'>$ziel[1]</li>";
	  }
	  $title .= "</ol>";
	}
	$tt = stwToolTip($title);
	echo " &nbsp; <a style=\"position:absolute;color:white\" $tt href=\"pro_hp2.php?proj_id=$projekt->id&amp;hp_id=$hp[0]\">HP</a>";
}

echo "</th>\n";

$sql  = "select t3.personaltyp, left(t1.vorname,1), t1.name ";
$sql .= "from tb_personal t1 left join tbh_pers_proj t2 using (pers_id) ";
$sql .= "left join tb_personaltyp t3 using (personaltyp_id)";
$sql .= "where t2.proj_id = '$rvar_proj_id' ";
$sql .= "order by t2.personaltyp_id limit 3";
$res  = abfrage1($sql);

while ($betr = mysql_fetch_row($res)) {
	echo "<th class=\"cl1\" style=\"text-align:left\">$betr[0]</th>\n";
}

echo "<th class=\"cl1\">akt. FLS</th>\n";

echo "<th class=\"cl1\">Vormonat</th>\n";
echo "<th class=\"cl1\">FLS Soll</th>\n";
echo "<th class=\"cl1\">geleistet</th>\n";
$fahrz = getConf('fz_pro_ab');
if ($fahrz == 'bfz' || $fahrz == 'nfz') {
	echo"<th class=\"cl1\">Fahrz.</th>";
}
if(!empty($projekt->pauschalVuN)) {
	echo "<th class=\"cl1\">".$projekt->prozVuN."%<small> Doku</small></th>\n";
	echo "<th class=\"cl1\">in Abr.</th>\n";
}
$uebertrag = getConf('traeger') == 'sik' ? "+/- Stunden" : "&Uuml;bertrag";
echo "<th class=\"cl1\">$uebertrag</th>\n";
if ($projekt->pool()){
	echo "<th class=\"cl1\">Pool-Stand</th>\n";
}
echo "<th class=\"cl1\">Spesen</th>\n";
echo "</tr>\n";

/* bestimmen was im Datumsfeld gezeigt wird */
if(isset($_GET['tag'])) { /* Es wurde ein Tag im Kalendermodul ausgewaehlt */
	$zktag = date_isodate_stamp($_GET['tag']);
	$datum = date('d.m.Y', $zktag);
} elseif (isset($rvar_zk_id) || isset($rvar_kopie)) {
	$datum = $zk[0];
} else {
	/* pruefen ob Datum vom Kalender mitgegeben wurde */
	if(isset($rvar_kaldate)) {
	  $zktag = date_isodate_stamp($rvar_kaldate);
	  $datum = date('d.m.Y', $zktag);
	} else {
	  $datum = date("d.m.Y");
	}
}
$inProjektgruppe = $projekt->inProjektgruppe($datum);

echo "<tr><td class=\"cl1\">";
if($inProjektgruppe && $projekt->nr >= 19000) {
	echo "<a href=\"pro_gruppe_and.php?proj_id=$inProjektgruppe\">";
	echo projektnummer($inProjektgruppe) . "</a>";
} else echo $projekt->link();
echo "</td>\n";

$sql  = "select t3.personaltyp, t1.pers_id from tb_personal t1 ";
$sql .= "left join tbh_pers_proj t2 using (pers_id) ";
$sql .= "left join tb_personaltyp t3 using (personaltyp_id) ";
$sql .= "where t2.proj_id = '$rvar_proj_id' ";
$sql .= "order by t2.personaltyp_id limit 3;";
$res = abfrage1($sql);

while ($betr = mysql_fetch_row($res)){
	echo "<td class=\"cl1\">" . pers_kname($betr[1]) . "</td>\n";
}

$tt = "";
if($projekt->kontaktst()) $tt .= "KLS = " . fls_form($projekt->wost_kontaktstunden());
if($projekt->fallbegleitung()) $tt .= "<br>Fallbegleitung: ja";
$co = $projekt->fallbegleitung() ? '#FF6600' : '#CCCCCC';
$bg = $projekt->kontaktst() ? 'background-color:#554433;' : '';
echo "<td class=\"cl1\" style=\"text-align:center;$bg\">";
echo "<a href=\"pro_ab.php?anz=m&tag=".date_gr2my($datum)."&proj_id=".$projekt->id."\"";
echo stwToolTip($tt) . "style=\"color:$co\">" . fls_form($projekt->wost_f()) . "</a></td>";

$mon_ts = date('Y-m-01');
$dat_vm = $projekt->fls_vormonat($mon_ts);
$dat_soll = $projekt->fls_monat($mon_ts);
$dat_gel = $projekt->fls_gesamt($mon_ts);
if(!empty($projekt->pauschalVuN)) {
	$dat_vun = $projekt->fls_vun_pauschal($mon_ts);
	$dat_gel -= $dat_vun;
}
$dat_fz = $projekt->fls_fz($mon_ts);
$dat_fm = $projekt->fls_folgemonat($mon_ts);

if($fahrz=='bfz'){
	$dat_bfz = $projekt->fls_fz_brutto($mon_ts);
}elseif($fahrz=='nfz'){
	$dat_nfz = $projekt->fls_fz($mon_ts);
}

stunden_zelle($dat_vm);
if($projekt->fallbegleitung()) {
	$tt = "Fallbegleitung: ja";
} else $tt = "<b>keine</b> Fallbegleitung";
stunden_zelle($dat_soll, $tt, 'cl1', $projekt->kontaktst(), $projekt->fallbegleitung());
$gesamt = $dat_gel + ($projekt->kontaktst($mon_ts) ? $dat_fz : 0);
$proz = $gesamt > 0 ? 100 * ($dat_fz / $gesamt) : 0;
stunden_zelle($dat_gel, "Fahrzeit: $dat_fz (".proz_form($proz,2,true).")");

if($fahrz=='bfz'){
	echo "<td class=\"cl1\" style=\"text-align:right\">";
	echo fls_form($dat_bfz). "</td>\n";
}elseif($fahrz=='nfz'){
	echo "<td class=\"cl1\" style=\"text-align:right\">";
	echo fls_form($dat_nfz). "</td>\n";
}
if(!empty($projekt->pauschalVuN)) {
	stunden_zelle($dat_vun);
	stunden_zelle($dat_gel + $dat_vun);
}

echo "<td class=\"cl1\" ";
$kapp_mod = $projekt->fls_kappung($mon_ts);
$co = ($dat_fm <= 0) ? '#FF0000' : '#00FF00';
$style = "color:$co;font-weight:bold;text-align:right;";
if ($kapp_mod['kapp_pos'] == 1 && $dat_fm > 0){
	if($dat_fm > $kapp_mod['kapp_pos_wert']) {
		echo stwToolTip("!! ACHTUNG! max. m&ouml;gl. Sollstunden &uuml;berschritten !!");
		$style .= "background-color:#FF6699;";
	} elseif($dat_fm + 1 > $kapp_mod['kapp_pos_wert']) {
		echo stwToolTip("!! max. m&ouml;gl. Sollstunden fast erreicht !!");
		$style .= "background-color:#FF6699;";
	}
}
echo "style=\"$style\">" . fls_form($dat_fm) . '</td>';
if ($projekt->pool()){
	echo "<th class=\"cl1\" " . $projekt->pool_style() . ">" . fls_form($projekt->pool_stand()) . "</th>";
}
$spesen = $projekt->fls_spesen($mon_ts);
$color = $dat_gel * 0.14 >= $spesen ? 'lime' : 'red';
echo "<th class=\"cl1\" style=\"text-align:right;color:$color\">" . geld_form_web($spesen) . "</th>";
  
echo "</tr></table>";
new stwLine(1);

echo "<table><tr>";
if($korrekt_zk) {
	echo "<td colspan=\"2\"><b style=\"color:#FFCC00\">FLS</b> HH:MM</td><td><b style=\"color:#FFCC00\">Fahrzeit</b> HH:MM</td><td><b style=\"color:#FFCC00\">VuN</b> HH:MM</td>";
} else {
  $datevon = $ue ? "Datum von" : "Datum";
  echo "<td colspan=\"7\"><table><tr><th>$datevon</th><td style=\"text-align:right\">TT.MM.JJJJ</td><td width=1></td>";
  if($ue) printf("<td><b style=\"color:#FFCC00\">Datum bis</b> TT.MM.JJJJ</td><td width=1></td>");
  else printf("<td><b style=\"color:#FFCC00\">von</b> HH:MM</td><td width=1></td><td><b style=\"color:#FFCC00\">bis</b> HH:MM</td><td width=1></td>");
  if($ue) {
	echo "<td width=\"100%\" style=\"text-align:right\">";
	$tt = stwToolTip('Antrag auf Bewilligung einer &Uuml;berbr&uuml;ckungszeit');
	echo "<a href=\"pro_pr_antrag.php?proj_id=$rvar_proj_id&zk_id=$rvar_zk_id&ts=" . time() . "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" $tt></a>";
  }
  /*
   * FLS und Fahrzeit fuer Sicherheitslevel 5 und drunter ausblenden;
   * ausserdem brauchen Projekte ab 9000 diese Felder auch nicht
   * auch Ueberbrueckungszeitkarten brauchen sie nicht
   */
  if (($projekt->nr < 9000 || $projekt->nr >= 20000) && $_SESSION[$AppCode]["ULV"] > 5 && !$ue && empty($inProjektgruppe) && !$spesen_zk)
  {
    echo "<td><b style=\"color:#FFCC00\">K-FLS</b> HH:MM</td>";
    if(getConf('vor_nach_b') == 1 || 
		(getConf('tt_vor_nach_b') == 1 && ($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH'))) 
	  echo "<td width=1></td><td><b style=\"color:#FFCC00\">VuN</b> HH:MM</td>";
    echo "<td width=1></td><td><b style=\"color:#FFCC00\">Fahrz.</b> HH:MM</td><td>";
	if($_SESSION[$AppCode]["TR"] == 'jse' || $projekt->kontaktst(date_gr2my($datum))) {
		$checked = ($zk[44] == 'h' || $zk[44] == 'hr') ? 'checked' : '';
		echo " <span ".stwToolTip('Hinfahrt').">H <input $checked type=\"checkbox\" name=\"h\" value=\"h\"></span>";
		$checked = ($zk[44] == 'r' || $zk[44] == 'hr') ? 'checked' : '';
		echo " <span ".stwToolTip('R&uuml;ckfahrt').">R <input $checked type=\"checkbox\" name=\"r\" value=\"r\"></span>";
	}
	echo "</td>";
    if (isset($rvar_zk_id))
    {
      echo "<th>Betreuer</th>";
    }
  } elseif (isset($rvar_zk_id)) echo "<th class=\"cl20\">Betreuer</th>\n";
}
/* Button Kopie ZK einbinden wenn die ZK nicht selber gehoert. */
if (isset($rvar_zk_id) && !$korrekt_zk) {
	$sql = "SELECT pers_id FROM tb_ab_zk WHERE zk_id = '$rvar_zk_id';";
	$id  = abfrage($sql);

	if ($id[0] != $pers_id) {
		echo "<td rowspan=\"2\" style=\"vertical-align:middle\"><input type=\"button\" name=\"kopie_zk\" ";
		echo "value=\"Kopie ZK\" onclick=\"self.location.href='pro_ab_zk.php?";
		echo "kopie=$rvar_zk_id&proj_id=$rvar_proj_id&abr=1'\"></td>\n";
	}
}

echo "</tr>\n<tr><td style=\"text-align:right\" colspan=\"2\">";

/* Datum zur Weiterverwendung im Kalender speichern */
$s_datum = $datum;
$ti = 1;
if($korrekt_zk) {
  	echo "<input type=\"text\" name=\"fls\" size=\"8\" maxlength=\"8\" value=\"$zk[3]\"></td>\n";
  	echo "<td style=\"text-align:right\"><input type=\"text\" readonly name=\"vun\" size=\"8\" maxlength=\"8\" value=\"$zk[41]\"></td>\n";
    echo "<td style=\"text-align:right\"><input type=\"text\" readonly name=\"fahrzeit\" size=\"8\" maxlength=\"8\" value=\"$zk[4]\"></td>";
	echo "<th style=\"color:red\">FLS maximal 838h</th></td></tr>\n";
	echo "<input type=\"hidden\" name=\"code\" value=\"@\">\n";
	echo "<input type=\"hidden\" name=\"von_ts\" value=\"$zk[27]\">\n";
} else {
  echo "<input type=\"text\" name=\"datum\" id=\"datum\" size=\"10\" maxlength=\"10\" style=\"margin-left:51px\" ";
  if (($projekt->nr < 9000 || $projekt->nr >= 20000) && $_SESSION[$AppCode]["ULV"] > 5 && !$ue && empty($inProjektgruppe) && !$spesen_zk) {
	echo "onblur=\"xajax_kmStand(datum.value, von.value, res_id.value, km_dienst.value); xajax_checkStatus(datum.value, von.value, bis.value, res_id.value, res2_id.value)\" ";
  }
  echo "tabindex=\"$ti\" value=\"$datum\"></td><td width=1></td>\n"; $ti++;

  if($ue) {
	if (isset($rvar_zk_id) || isset($rvar_kopie)) $bis = $zk[43]; else $bis = $datum;
	echo "<td style=\"text-align:right\"><input type=\"text\" id=\"bis_datum\" name=\"bis_datum\" size=\"10\" maxlength=\"10\" ";
	echo "tabindex=\"$ti\" value=\"$bis\"></td><td width=1></td>\n"; $ti++;
  } else {
	/* von Uhrzeit bestimmen */
	if (isset($rvar_zk_id) || isset($rvar_kopie)) $von = $zk[1]; else $von = "";

	echo "<td style=\"text-align:right\"><input type=\"text\" id=\"von\" name=\"von\" size=\"8\" maxlength=\"8\" ";
	echo "onblur=\"xajax_checkStatus(datum.value, von.value, bis.value, res_id.value, res2_id.value)\" ";
	echo "tabindex=\"$ti\" value=\"$von\"></td><td width=1></td>\n<td style=\"text-align:right\">\n"; $ti++;

	/* bis Uhrzeit bestimmen */
	if (isset($rvar_zk_id) || isset($rvar_kopie)) $bis = $zk[2]; else $bis = "";

	echo "<input type=\"text\" name=\"bis\" id=\"bis\" size=\"8\" maxlength=\"8\" ";
	echo "onblur=\"xajax_checkStatus(datum.value, von.value, bis.value, res_id.value, res2_id.value)\" ";
	echo "tabindex=\"$ti\" value=\"$bis\"></td><td width=1></td>\n"; $ti++;
  }
  /*
   * Sicherheitslevel 5 und drunter sieht die folgenden Felder nicht
   * zusaetzlich brauchen die EDV und SWP Projekte diese auch nicht
   */
  if (($projekt->nr < 9000 || $projekt->nr >= 20000) && $_SESSION[$AppCode]["ULV"] > 5 && !$ue && empty($inProjektgruppe) && !$spesen_zk){
    printf("<td style=\"text-align:right\">");
    printf("<input type=\"text\" name=\"fls\" size=\"8\" maxlength=\"8\" ");

    if (isset($rvar_zk_id) || isset($rvar_kopie)){
    	echo "tabindex=\"$ti\" value=\"$zk[3]\"></td><td width=1></td>\n"; $ti++;
    } else {
    	echo "tabindex=\"$ti\"></td>\n<td width=1></td>\n"; $ti++;
    }
      if(getConf('vor_nach_b') == 1 || 
		(getConf('tt_vor_nach_b') == 1 && ($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH'))) {
      printf("<td style=\"text-align:right\">");
      printf("<input type=\"text\" name=\"vun\" size=\"8\" maxlength=\"8\" ");

      if (isset($rvar_zk_id) || isset($rvar_kopie)){
    	echo "tabindex=\"$ti\" value=\"$zk[41]\"></td><td width=1></td>\n"; $ti++;
      } else {
    	echo "tabindex=\"$ti\"></td><td width=1></td>\n"; $ti++;
      }
    } else echo "<input type=\"hidden\" name=\"vun\" value=\"0\">";
    
    printf("<td style=\"text-align:right\">");
    printf("<input type=\"text\" name=\"fahrzeit\" size=\"8\" ");

    if (isset($rvar_zk_id) || isset($rvar_kopie)){
    	echo "maxlength=\"8\" tabindex=\"$ti\" value=\"$zk[4]\"></td><td "; $ti++;
		$fls = time_hhmmss2dec($zk[3]);
		$fz = time_hhmmss2dec($zk[4]);
		$proz = $fz * 100 / ($fls + $fz);
		$tt = "prozentualer Anteil Fahrzeit";
		if($proz > 15) {
			echo "style=\"color:red\" ";
			$tt .= "<br /><b>&uuml;ber 15%</b>";
		}
		echo stwToolTip($tt);
		echo ">" . proz_form($proz,0);
		echo "</td>\n";
    } else {
    	echo "maxlength=\"8\" tabindex=\"$ti\"></td><td width=1></td>\n"; $ti++;
    }

	if(!check_projekt_berechtigung($rvar_proj_id) && $uid != $zk[23] && (!$projekt->kontaktst(date_gr2my($datum)) || isset($rvar_zk_id))) {
		if (isset($rvar_zk_id)) echo "<td class=\"cl20\">$zk[5]</td>\n";
		echo "</tr></table>";
		echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
		new stwEnd($seite);
		exit(0);
	}

    if (isset($rvar_zk_id)) {
    	echo "<td class=\"cl20\">$zk[5]</td>\n";
    } else {
    	if (!isset($rvar_kopie)) {
    		echo "<td colspan=\"4\"><input type=\"submit\" ";
    		echo "name=\"submit\" value=\"Berechnen\"></td>";
      }
    }
  } else {
    if (isset($rvar_zk_id)) echo "<td class=\"cl20\">$zk[5]</td>\n";
  	echo "<input type=\"hidden\" name=\"fls\" value=\"0\">\n";
  	echo "<input type=\"hidden\" name=\"vun\" value=\"0\">\n";
    echo "<input type=\"hidden\" name=\"fahrzeit\" value=\"0\">\n";
  }
  if($inProjektgruppe>0) {
	$order = ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
	$mas = abfrage1("select p.pers_id, p.vorname, p.name from tbh_pers_proj pp
					left join tb_personal p using(pers_id)
					where pp.proj_id = '$inProjektgruppe'
					group by p.pers_id order by $order");
	echo "<td><select name=\"pers_id\">";
	while ($ma = mysql_fetch_row($mas)) {
		echo "<option";
		if ($ma[0] == $pers_id) echo ' selected';
		echo " value=\"$ma[0]\">";
		echo $pers_order == 2 ? "$ma[2], $ma[1]" : "$ma[1] $ma[2]";
		echo "</option>\n";
	}
	echo "</select></td>\n";
  }
  echo "</tr>\n</table>\n\n<!-- Zeiten, Inhalte, KWG, Code, Fahrt -->\n\n";
  echo "</td></tr>\n";

  if($ue) $aakte = "Auf<br>Grund:";
  elseif($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH') {
	$aakte = "<span".stwToolTip('T&auml;tigkeitsnachweis - Inhalte p&auml;dagogisches Training').">Inhalte<br>P&auml;d. Tr.</span>";
	if(isset($rvar_zk_id)) {
		$sql = "select lt.name, lt.farbe
				from tbh_lom_anleiter a
				left join tb_lom l using (lom_id)
				left join tb_termine t using (termin_id)
				left join tb_lom_team lt on (lt.team_id = l.tender)
				where unix_timestamp(t.von) < '$zk[31]'
				and unix_timestamp(t.bis) > '$zk[27]'
				and a.pers_id = '$zk[23]'
				group by l.tender";
		$loms = abfrage1($sql);
		while($lom = mysql_fetch_row($loms)) {
			$aakte .= "<small><br /><span style=\"background-color:$lom[1];color:black\">&nbsp;$lom[0]&nbsp;</span></small>";
		}
	}
  } elseif($projekt->h_art == 'TTT') $aakte = "<span".stwToolTip('T&auml;tigkeitsnachweis - praktischer Arbeitserfolg').">Arbeits-<br>erfolg:</span>";
  else $aakte = "Inhalte<br>A-Akte<br>Extern:";
  echo "<tr><th style=\"width:50px\">$aakte</th>\n\n\n";
  echo "<td colspan=\"6\"><textarea name=\"inhalte\" cols=\"90\" ";
  echo "rows=\"2\" tabindex=\"$ti\">"; $ti++;

  if (isset($rvar_zk_id) || isset($rvar_kopie)) printf("%s", $zk[6]);
  printf("</textarea></td>\n</tr>\n");
  /*
   * Entwickler, EDV und sehr niedrige Sicherheitsstufe brauchen
   * die naechsten Angaben nicht fuer die Zeitkarteneingabe
   */
  if ((($projekt->nr < 9000 || $projekt->nr >= 20000) && $_SESSION[$AppCode]["ULV"] > 5 && !$spesen_zk) || $inProjektgruppe>0) {
	if(($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH') && isset($rvar_zk_id)) {
		$zeile_initialisiert = false;
		$sql = "select a.lom_id, date_format(t.von, '%H:%i'), date_format(t.bis, '%H:%i')
				from tbh_lom_anleiter a
				left join tb_lom l using (lom_id)
				left join tb_termine t using (termin_id)
				where unix_timestamp(t.von) < '$zk[31]'
				and unix_timestamp(t.bis) > '$zk[27]'
				and a.pers_id = '$zk[23]'
				order by t.von asc";
		$loms = abfrage1($sql);
		while($lom = mysql_fetch_row($loms)) {
			$sql = "select t1.nr, t1.aufgabe_id, t2.prioritaet, 
					date_format(t1.termin,'%d.%m.%Y') as termin,
					to_days(t1.termin) as to_termin, to_days(curdate()) as to_heute,
					t1.titel, t1.erledigt, t2.farbe from tbh_lom_aufgaben h 
					left join tb_aufgaben t1 using(aufgabe_id) 
					left join tb_prio t2 using (prio) 
					where h.lom_id = '$lom[0]' order by t1.termin asc;";
			$aufs = abfrage1($sql);
			if(mysql_num_rows($aufs) > 0) {
				$zeile_initialisiert = true;
				echo "<tr><th>Aufgabe:</th><td colspan=\"3\"><table cellpadding=\"0\" cellspacing=\"0\">";
				while($zeile = mysql_fetch_array($aufs)) {
					echo "<tr><td class=\"cl1\">";
					echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\">{$zeile['nr']}</a>";
					echo "</td>\n<td class=\"cl1\" style=\"text-align:center;color:{$zeile['farbe']}\">{$zeile['prioritaet']}</td>";
					if ($zeile['erledigt'] == 100){
						$style = "style=\"color:#CCCCCC\"";
						$text = "title=\"Aufgabe erledigt\"";
					} elseif ($zeile['to_termin'] < $zeile['to_heute']){
						$style = "style=\"color:#FF0000\"";
						$text = "title=\"Aufgabe berfllig\"";
					} elseif ($zeile['erledigt'] > 0 && $zeile['erledigt'] < 100){
						$style = "style=\"color:#00FF00\"";
						$text = "title=\"Aufgabe begonnen\"";
					} else {
						$style = $text = " ";
					}
					echo "<td class=\"cl1\">";
					echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\" $style $text>";
					echo $zeile['termin'] . "</a></td>";
					echo "<td class=\"cl1\">{$zeile['titel']}</td></tr>\n";
				} 
				echo "</table></td>\n";
			}
		}
		$vormerkungen=abfrage1("select vm_id from tbh_pers_vormerk where pers_id='$zk[23]' and 
								unix_timestamp(zeit) <= '$zk[31]' and unix_timestamp(zeit) >= '$zk[27]'
								group by vm_id order by zeit asc");
		$cnt = mysql_num_rows($vormerkungen);
		if($cnt > 0) {
			if(!$zeile_initialisiert) {
				$zeile_initialisiert = true;
				echo "<tr>";
			}
			$en = $cnt>1 ? 'en' : '';
			$url = "vormerkliste.php?state=all";
			$tt = "<ul style=\"margin:0;padding-left:12px\">";
			while ($vml = mysql_fetch_row($vormerkungen)) {
				$url .= "&amp;vmid[]=$vml[0]";
				$vm = abfrage("select anzahl, name from tb_vormerkliste where vm_id='$vml[0]'");
				$tt .= "<li>$vm[0] $vm[1]</li>";
			}
			$tt .= '</ul>';
			echo "<td colspan=\"3\"><a href=\"$url\"".stwToolTip($tt).">($cnt Vormerkung$en bearbeitet)</a></td>";
		}
		if($zeile_initialisiert) echo "</tr>";
	}

    if ($projekt->nr < 3000 || $projekt->nr >= 5000){
		$kwg = abfrage("select hp_id, ressourcen from tb_hp where hp_art = 'k'
						and proj_id = '$projekt->id' and and_datum is null;");
		if (!empty($kwg[0])) {
			echo "<tr><td></td>\n";
			echo "<td colspan=\"30\"><table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
			echo "<td class=\"cl1\">";
			echo "<input type=\"checkbox\" id=\"kwg2\" tabindex=\"$ti\""; $ti++;
			echo "onchange=\"var kwg = document.getElementById('kwg');";
			echo "kwg.checked = this.checked;";
			echo "if(this.checked) kwg.value=2; else kwg.value=1;\"";
			if ((isset($rvar_zk_id) || isset($rvar_kopie)) && $zk[28] == 2) echo ' checked';
			echo "></td>";
			echo "<th class=\"cl11\" style=\"color:#FF69B4;\"";
			$dat = isset($rvar_zk_id) ? "'$zk[38]'" : 'curdate()';
			$lastzk = abfrage1("select to_days(curdate()) - to_days(t.von), inhalte2,
								unix_timestamp(t.von) from tb_ab_zk z
								left join tb_termine t using (termin_id)
								where z.proj_id='$projekt->id' and z.inhalte2!='' and z.kwg='2'
								and z.ab='j' and t.von < $dat order by t.von desc limit 2");
			if(mysql_num_rows($lastzk) > 0) {
				$title = '';
				$wielangeher = 0;
				while($last = mysql_fetch_row($lastzk)) {
					if($wielangeher == 0) $wielangeher = $last[0];
					$title .= "<b>" . strftime("%a %d.%m.%Y",$last[2]) . "</b> (vor $last[0] Tagen)<b>:</b> $last[1]<br />";
				}
				echo stwToolTip($title);
			}
			if(!isset($rvar_zk_id) && $wielangeher >= 7) echo "name=\"blink\"";
			echo ">w&ouml;chentliche Einsch&auml;tzung mit den Eltern zum Kindeswohl</th><td>";
			echo "<th class=\"cl11\" style=\"text-align:right;width:100%\"".stwToolTip($kwg[1]);
			echo ">betrifft <span style=\"color:#FF69B4;\">KWG</span>:</th>";
			echo "<td><input type=\"checkbox\" id=\"kwg\" name=\"kwg\" value=\"";
			echo $zk[28] == 2 ? 2 : 1;
			echo "\" onchange=\"var kwg = document.getElementById('kwg2');";
			echo "if(kwg.checked && !this.checked) { kwg.checked=this.checked; this.value=1; }\"";
			echo "tabindex=\"$ti\""; $ti++;
			if ((isset($rvar_zk_id) || isset($rvar_kopie)) && (!empty($zk[28]))) echo ' checked';
			echo "></td></tr></table></td></tr>\n";
		}
	}

	echo "<tr>\n<th";
	if($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH') {
		echo stwToolTip("praktischer Arbeitserfolg");
		$inhalteintern = "Arbeits-<br>erfolg:";
	} else $inhalteintern = "Intern:";
	echo ">$inhalteintern</th>\n<td colspan=\"6\">";
	echo "<textarea name=\"inhalte2\" cols=\"90\" rows=\"2\" ";
	echo "tabindex=\"$ti\">"; $ti++;
	if (isset($rvar_zk_id) || isset($rvar_kopie)) echo $zk[25];
	echo "</textarea></td></tr>\n";
  }
  if (($projekt->nr < 9000 || $projekt->nr >= 20000) && $_SESSION[$AppCode]["ULV"] >= 5 && !$ue && empty($inProjektgruppe) && !$spesen_zk) {
    /* Empfangsdienstoption zeigen */
    if ($projekt->nr > 999 && $projekt->nr < 5000){
    	echo "<tr><td colspan=\"20\"><table>";

      echo "<tr><th style=\"padding-left:60px\">Empfangsdienst: </th>";
      echo "<td class=\"cl20\"><input type=\"checkbox\" name=\"empfang\" ";
			echo "value=\"1\" tabindex=\"$ti\""; $ti++;

      if ((isset($rvar_zk_id) || isset($rvar_kopie)) && $zk[33] == 1){
      	echo ' checked';
      }
			echo "></td>\n";

      /* Dienstgang: Start und Ende */
      if (isset($rvar_zk_id)){
      	$sql  = "SELECT dienst_start, dienst_ende FROM tb_ab_zk_dienst ";
        $sql .= "WHERE zk_id='".$rvar_zk_id."'";
        $dienst = abfrage($sql);
      }

	  $chRight = ($ulv >= 96 || check_al_proj($rvar_proj_id));
	  echo "<th class=\"cl1\">Dienstgang:</th><td>Start:</td>\n<td>";
	  if($dienst[0] > 0 && !$chRight) echo "<img src=\"img/checked.png\" />\n";
	  echo "<input type=\"checkbox\" id=\"dienst_start\" name=\"dienst_start\" value=\"1\" onclick=\"xajax_dienstgang($rvar_zk_id,'$zk[0]',";
	  echo "document.zk_form.dienst_start.checked, document.zk_form.startzeit.value, ";
	  echo "document.zk_form.dienst_ende.checked, document.zk_form.endzeit.value)\" ";
	  echo "tabindex=\"$ti\""; $ti++;
        if ($dienst[0] > 0) {
	  	echo ' checked';
	  	if (!$chRight) echo " style=\"display:none\"";
	  }
      echo "></td><td class=\"cl11\">";
	  echo "<input type=\"text\" size=\"5\" id=\"startzeit\" ";
	  if(!$chRight) echo "readonly";
	  echo " name=\"startzeit\" value=\"".(empty($dienst[0]) ? '' : strftime("%H:%M", $dienst[0]))."\" />";
	  echo "</td>\n";
      
	  echo "<td>Ende:</td><td>";
	  if($dienst[1] > 0 && !$chRight) echo "<img src=\"img/checked.png\" />\n";
      echo "<input type=\"checkbox\" id=\"dienst_ende\" name=\"dienst_ende\" value=\"1\" onclick=\"xajax_dienstgang($rvar_zk_id,'$zk[0]',";
	  echo "document.zk_form.dienst_start.checked, document.zk_form.startzeit.value, ";
	  echo "document.zk_form.dienst_ende.checked, document.zk_form.endzeit.value)\" ";
      echo "value=\"$dienst[1]\" tabindex=\"$ti\""; $ti++;
	  if ($dienst[1] > 0) {
	  	echo ' checked';
	  	if (!$chRight) echo " style=\"display:none\"";
	  }
	  echo "></td><td>";
	  echo "<input type=\"text\" size=\"5\" id=\"endzeit\" ";
	  if(!$chRight) echo "readonly";
	  echo " name=\"endzeit\" value=\"".(empty($dienst[1]) ? '' : strftime("%H:%M", $dienst[1]))."\" />";
	  echo "</td>";
	  if($chRight) {
		echo "<td><input type=\"button\" value=\" \" style=\"background-color:#333;color:transparent;width:16px;";
		echo "background-image:url(img/senden.png);background-repeat:no-repeat\" onclick=\"xajax_dienstgang($rvar_zk_id,'$zk[0]',";
		echo "document.zk_form.dienst_start.checked, document.zk_form.startzeit.value, ";
		echo "document.zk_form.dienst_ende.checked, document.zk_form.endzeit.value)\"></td>";
	  }
	  echo "</tr>\n</table></td></tr>\n";
    }
  }
  if (($projekt->nr < 9000 || $projekt->nr >= 20000) && $_SESSION[$AppCode]["ULV"] >= 5 && !$ue && !$spesen_zk) {
    if ($projekt->nr < 3000 || $projekt->nr >= 5000){
		echo "<tr>";
		if (empty($kwg[0])) {
			/* KWG Merkmal zeigen ab Level 30 */
		  if ($_SESSION[$AppCode]["ULV"] > 29){
			echo "<th>KWG:</th><th>";
			echo "<input type=\"checkbox\" name=\"kwg\" value=\"1\" ";
					echo "tabindex=\"$ti\""; $ti++;

			if ((isset($rvar_zk_id) || isset($rvar_kopie)) && $zk[28] == 1){
				echo ' checked';
			}

			if ((isset($rvar_zk_id) || isset($rvar_kopie)) && $zk[28] == 1 &&
				$_SESSION[$AppCode]["ULV"] < 96) echo ' disabled';

			echo "> Kindeswohlgef&auml;hrdung nach 8a SGB VIII</th>\n";

			if ((isset($rvar_zk_id) || isset($rvar_kopie)) && $zk[28] == 1 &&
				$_SESSION[$AppCode]['ULV'] < 96){
			  echo "<input type=\"hidden\" name=\"kwg\" value=\"1\">\n";
			}
		  }
		}
		if($projekt->h_art == 'TTS') {
			echo "<td colspan=\"4\" rowspan=\"4\"><table cellpadding=\"1\" cellspacing=\"0\" width=\"100%\">";
			echo "<tr><th class=\"cl1\">Klassenbuch</th><th class=\"cl1\">Thema</th><th>Reflexion</th></tr>\n";
			new stwTabLine(2,30);
			$sql = "select l.lom_id, date_format(t.von, '%H:%i'), date_format(t.bis, '%H:%i'), 
					l.thema, l.reflexion, lt.name, lt.farbe
					from tb_lom l left join tb_termine t using (termin_id) 
					left join tb_terminart r on r.terminart = t.terminart 
					left join tb_lom_team lt on l.tender = lt.team_id
					WHERE l.tender > 0 AND unix_timestamp(t.bis) > '{$zk['ts_von']}' 
					AND unix_timestamp(t.von) < '{$zk['ts_bis']}'";
			$kbs = abfrage1($sql);
			while ($kb = mysql_fetch_row($kbs)){
				echo "<tr><td class=\"cl1\"><a style=\"color:$kb[6]\" href=\"lom_and.php?lom_id=$kb[0]\"";
				echo stwToolTip($kb[5]) . ">$kb[1] - $kb[2]</a></td>";
				echo "<td class=\"cl1\"" . stwToolTip($kb[4]) . ">$kb[3]</td><td>";
				echo "<textarea name=\"reflexion[$kb[0]]\" style=\"height:16px;width:100%\">$kb[4]</textarea></td></tr>\n";
			}
			echo "</table></td>";
		}
		echo "</tr>\n";
    }
  }
    /* Code fuer TTT - nur fuer Hilfearten TTS, TTH, ... */
  if(substr($projekt->h_art,0,2) == 'TT') {
	echo "<tr><th>Code TTT";
	if($ulv >= 60 || $uid == $projekt->fb || check_al_proj($projekt->id)) {
		echo " <a href=\"code_ttt_conf.php\"><img style=\"position:relative;top:3px\" src=\"".image('hammer')."\" /></a>";
	}
	echo ":</th><td><select style=\"width:300px;\" name=\"code_ttt\" size=\"1\" ";
	if(empty($zk[30]) || $_SESSION[$AppCode]['ULV'] >= 96 || check_al_proj($projekt->id)) 
		echo "onchange=\"xajax_codeTTT(".intval($rvar_zk_id).",this.value)\" ";
	echo "tabindex=\"$ti\">"; $ti++;

	$sql = "select * from tb_ab_code_ttt where aktiv='j' or code_id='$zk[30]' order by nr asc";
	$res = abfrage1($sql);
	$len = 0;
	while($zeile = mysql_fetch_row($res)) {
		if($len < 2+strlen($zeile[1])) $len = 2+strlen($zeile[1]);
	}
	echo "<option value=''>Inhalt ausw&auml;hlen!";
	for($i=14; $i<$len; $i++) echo '&nbsp;';
	echo "( soll&nbsp;&nbsp;/&nbsp;ist )</option>\n";

	mysql_data_seek($res,0);
	$lpd = abfrage("select von from tbh_tt_proj where proj_id='$projekt->id'");
	while ($zeile = mysql_fetch_row($res)){
		echo "<option value=\"$zeile[0]\"";
		if (isset($rvar_zk_id) || isset($rvar_kopie)){
			if ($zk[30] == $zeile[0]) echo ' selected';
		}
		echo ">" . $zeile[4];
		for($i=strlen($zeile[4]); $i<3; $i++) echo '&nbsp;';
		echo $zeile[1];
		for($i=strlen($zeile[1]); $i<$len; $i++) echo '&nbsp;';
		echo "($zeile[3]:00";
		for($i=strlen($zeile[3]); $i<4; $i++) echo '&nbsp;';
		$sql = "select time_format(sec_to_time(sum(time_to_sec(z.fls))),'%H:%i'), 
				sum(time_to_sec(z.fls)) from tbh_tt_proj tt
				left join tb_ab_zk z using(proj_id) 
				where tt.von='$lpd[0]' and z.ab='j' and z.code_ttt='$zeile[0]'";
		$ist = abfrage($sql);

		echo "/ ";
		echo empty($ist[0]) ? '&nbsp;-&nbsp;' : $ist[0];
		echo ")</option>\n";
	}
	echo "</select></td></tr>\n";
  } elseif (($projekt->nr < 9000 || $projekt->nr >= 20000) && $_SESSION[$AppCode]["ULV"] > 5 && empty($inProjektgruppe) && !$spesen_zk) {
	if(getConf('nachtdienst')) {
		if (isset($rvar_zk_id)) {
			$die_ber = abfrage("select dienst_bereitschaft from tbh_termin_bereitschaft where termin_id='$zk[20]'");
		} else $die_ber[0] = 0;
		echo "<tr>\n<th>Dienst:</th>\n<td>\n";
		echo "<select style=\"width:300px;\" name=\"dienst\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
		echo "<option value=\"0\">Standard</option>\n";
		$bers = abfrage1("select * from tb_dienst_bereitschaft order by id asc");
		while ($ber = mysql_fetch_row($bers)){
			$selected = ($die_ber[0] == $ber[0]) ? 'selected' : '';
			echo "<option $selected value=\"$ber[0]\">$ber[1]</option>\n";
		}
		echo "</select></td></tr>";
	}
    echo "<tr>\n<th>Code:</th>\n<td>\n";
	$FB = $readonly = "";
	if($_SESSION[$AppCode]['ULV'] < 50) {
		$res = abfrage1("select pers_id from tbh_pers_proj where proj_id = '$rvar_proj_id' and pers_id = '$uid';");
		if(mysql_num_rows($res) == 0) {
			$res = abfrage1("select fb_id from tb_projekte where proj_id = '$rvar_proj_id' and fb_id = '$uid';");
			if (mysql_num_rows($res) == 0 && !check_bereitschaftsrecht()) {
				echo "<input type=\"hidden\" name=\"code\" value=\"R\">\n";
				$readonly = "disabled";
				if($projekt->fallbegleitung(date_gr2my($datum))) $FB = " selected";
			}
		}
	}
    echo "<select style=\"width:300px;\" id=\"code\" name=\"code\" size=\"1\" tabindex=\"$ti\" $readonly>\n"; $ti++;
	if(getConf('alt_codes') == 1) {
		$sql = "SELECT * FROM tb_ab_code4 code order by code2 ASC";
		$res = abfrage1($sql);
		while ($zeile = mysql_fetch_array($res)){
			echo "<option value=\"{$zeile['code']}\"";
			if (isset($rvar_code)){
				if ($rvar_code == $zeile['code']) echo ' selected';
			} elseif (isset($rvar_zk_id) || isset($rvar_kopie)){
				if ($zk[7] == $zeile['code']) echo ' selected';
			}
			echo ">$zeile[1] $zeile[2]</option>\n";
		}
	} else {
		$sql = "SELECT c1.name as nam1, c2.* FROM tb_ab_code2 c2 
				left join tb_ab_code c1 on (c1.code = c2.code)
				ORDER BY code ASC";
		$res = abfrage1($sql);

		while ($zeile = mysql_fetch_array($res)){
		  if(($projekt->kontaktst(date_gr2my($datum))&& getConf('zweitcodes') == 1) || isset($zeile['nam1']) || $zk[7] == $zeile['code']) {
			if($projekt->code_a && $zeile['code']=='A') {
				$acodes = abfrage1("select * from tb_ab_code_a order by code asc");
				while($acode = mysql_fetch_row($acodes)) {
					echo "<option value=\"$acode[0]\"";
					if ((isset($rvar_zk_id) || isset($rvar_kopie)) && $zk[7] == $acode[0]) echo ' selected';
					echo ">$acode[0]&nbsp;$acode[1]";
					if($projekt->kontaktst(date_gr2my($datum)) && getConf('zweitcodes') == 1) echo " (K Kontakt)";
					echo "</option>\n";
				}
			} elseif(($zeile['code'] != 'U' || $_SESSION[$AppCode]['ULV'] >= 70 || pers_fb($_SESSION[$AppCode]['UID'],true) || $zk[7] == 'U') 
			&& ($zeile['code'] != 'R' || $zk[7] == 'R' || $projekt->fallbegleitung(date_gr2my($datum)))) {
			  echo "<option value=\"{$zeile['code']}\"";
			  if($zeile['code'] == 'U') {
				echo "onClick=\"";
				echo "var d=document.getElementById('datum').value.split('.');";
				echo "var ref='pro_ab_zk.php?proj_id=$rvar_proj_id";
				if(isset($rvar_zk_id)) echo "&zk_id=$rvar_zk_id";
				echo "&code=U&tag='+d[2]+'-'+d[1]+'-'+d[0];";
				echo "self.location.href=ref\"";
			  } elseif($ue) {
				echo "onClick=\"";
				echo "var d=document.getElementById('datum').value.split('.');";
				echo "var ref='pro_ab_zk.php?proj_id=$rvar_proj_id";
				if(isset($rvar_zk_id)) echo "&zk_id=$rvar_zk_id";
				echo "&code=".$zeile['code']."&tag='+d[2]+'-'+d[1]+'-'+d[0];";
				echo "self.location.href=ref\"";
			  }
			  if ($rvar_code == 'U' && $_SESSION[$AppCode]['ULV'] >= 70){
				if ($zeile['code'] == 'U') echo ' selected';
			  } elseif (isset($rvar_code)){
				if ($rvar_code == $zeile['code']) echo ' selected';
			  } elseif (isset($rvar_zk_id) || isset($rvar_kopie)){
				if ($zk[7] == $zeile['code']) echo ' selected';
			  } else {
				if($zeile['code'] == 'R') echo $FB;
			  }
			  if($projekt->kontaktst(date_gr2my($datum)) && getConf('zweitcodes') == 1) {
				$temp = "";
				if($zeile['code'] == 'R') $zeile['nam1'] = "Reflexion";
				if($zeile['code']!=$zeile['code2']) $temp .= $zeile['code'].' '.$zeile['nam1'].' (';
				$temp.= ($zeile['code2']=='U' ? '&Uuml;' : $zeile['code2']) . '&nbsp;' . $zeile['name'];
				if($zeile['code']!=$zeile['code2']) $temp .= ')';
			  }
			  else $temp = $zeile['code'] . '&nbsp;' . (empty($zeile['nam1']) ? $zeile['name'] : $zeile['nam1']);
			  echo ">$temp</option>\n";
			}
		  }
		}
	}
	if(getConf('skt_zk')) {
		$selected = $zk[7]=='S' ? 'selected' : '';
		echo "<option $selected value=\"S\">S Sozialkompetenztraining</option>\n";
	}
    echo "</select></td></tr>\n";
  }
  if($inProjektgruppe>0 && !$spesen_zk) {
	echo "<tr>\n<th>Code:</th>\n<td><select style=\"width:300px;\" name=\"code\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	$sql = "SELECT * FROM tb_ab_code3 ORDER BY code ASC";
	$res = abfrage1($sql);
	echo "<option value=\"\"></option>\n";
	while ($zeile = mysql_fetch_row($res)){
		echo "<option value=\"$zeile[0]\"";
		if ($zk[7] == $zeile[0]) echo ' selected';
		echo ">$zeile[0] $zeile[1]</option>\n";
	}
	echo "</select></td></tr>";
  }

/* Bereich fuer das Fahrtenbuch */
if ($_SESSION[$AppCode]["ULV"] > 5 && !$ue && empty($inProjektgruppe) && !$spesen_zk) {
new stwTabLine(2,7);
/* Raum auswaehlen */
echo "<tr><th class=\"cl11\">Raum:</th>\n";
$style="";
if ($rvar_zk_id > 0 && $zk['res2_id'] > 0){
	$sql = "select z.zk_id, z.pers_id, date_format(t.von, '%H:%i'), 
			date_format(t.bis, '%H:%i') from tb_ab_zk z 
			left join tb_termine t using (termin_id)
			where res2_id = '{$zk['res2_id']}'
			and unix_timestamp(t.bis) > '{$zk['ts_von']}'
			and unix_timestamp(t.von) < '{$zk['ts_bis']}';";
	$rk = abfrage1($sql);
	if(mysql_num_rows($rk) > 1) {
		$raum = abfrage("select name from tb_ressourcen where res_id='{$zk['res2_id']}'");
		$tt = "$raum[0] doppelt belegt!";
		while($rkzk = mysql_fetch_row($rk)) {
			if($rkzk[0] == $rvar_zk_id) continue;
			$pers = abfrage("select name, vorname, telmobil, teldienst from tb_personal where pers_id='$rkzk[1]'");
			$tel = empty($pers[2]) ? $pers[3] : (empty($pers[3]) ? $pers[2] : "$pers[2] | $pers[3]");
			$tt .= "<br /><b>$pers[1] $pers[0]".(empty($tel) ? '' : " ($tel)").":</b> $rkzk[2] - $rkzk[3]";
		}
		$style="style=\"background-color:red\"".stwToolTip($tt,false);
	}
}
echo "<td><select $style name=\"res2_id\" id=\"res2_id\" size=\"1\" ";
echo "onchange=\"xajax_checkStatus(datum.value, von.value, bis.value, res_id.value, res2_id.value)\" ";
echo "tabindex=\"$ti\">\n"; $ti++;

echo "<option value=\"0\"";
if (empty($zk['res2_id'])) echo 'selected';
echo ">kein Raum</option>\n";

while ($raum = mysql_fetch_row($raeume)){
	echo "<option id=\"raum$raum[0]\" value=\"$raum[0]\"";
	if (isset($rvar_zk_id) && $zk['res2_id'] == $raum[0]) echo ' selected';
	$title = (strlen($raum[1]) > 25) ? $raum[1]: '';
	if (strlen($title) > 0) echo " title=\"$title\"";
	echo ">" . strCut($raum[1], 25) . "</option>\n";
}
echo "</select>";
if (!isset($rvar_kopie) && !isset($rvar_zk_id)) {
	echo "&nbsp; <input type=\"submit\" name=\"submit\" value=\"Raumnutzung pr&uuml;fen\"";
	echo stwToolTip("&Uuml;berpr&uuml;ft Auslastung<br />des gew&auml;hlten Raumes<br />im angegebenen Zeitraum") . "/>";
}
echo "</td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"res2_id\" id=\"res2_id\" value=\"0\" />\n";

if (($projekt->nr < 9000 || $projekt->nr >= 20000) && $_SESSION[$AppCode]["ULV"] > 5 && !$ue && empty($inProjektgruppe) && !$spesen_zk) {
new stwTabLine(2,7);
echo "<tr>\n<td><b style=\"color:#FFCC00\">Fahrten</b><br />";
echo "<small>Wohnort Klient:<br />";
echo $projekt->he_info('ort');
echo "</small></td>\n";

echo "<td colspan=\"4\">\n";
echo "<table>\n";


echo "<tr><th class=\"cl11\">von:</th>\n";
echo "<td class=\"cl20\"><input type=\"text\" name=\"km_von\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"$zk[8]\"";
echo "></td>\n";

echo "<th class=\"cl11\">&uuml;ber 1:</th>\n";
echo "<td><input type=\"text\" name=\"km_via1\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"$zk[9]\"";
echo "></td></tr>\n";


echo "<tr><th class=\"cl11\">&uuml;ber 2:</th>\n";
echo "<td class=\"cl20\"><input type=\"text\" name=\"km_via2\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"$zk[10]\"";
echo "></td>\n";

echo "<th class=\"cl11\">&uuml;ber 3:</th>\n";
echo "<td><input type=\"text\" name=\"km_via3\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"$zk[11]\"";
echo "></td></tr>\n";


echo "<tr><th class=\"cl11\">&uuml;ber 4:</th>\n";
echo "<td class=\"cl20\"><input type=\"text\" name=\"km_via4\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"$zk[12]\"";
echo "></td>\n";

echo "<th class=\"cl11\">&uuml;ber 5:</th>\n";
echo "<td><input type=\"text\" name=\"km_via5\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_zk_id)) echo " value=\"$zk[13]\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl11\">Dienstwagen:</th>\n";
$ti++;
echo "<td class=\"cl20\"><select id=\"res_id\" name=\"res_id\" size=\"1\" ";
echo "onchange=\"xajax_kmStand(datum.value, von.value, res_id.value, km_dienst.value); ";
echo "xajax_checkStatus(datum.value, von.value, bis.value, res_id.value, res2_id.value)\" ";
echo "tabindex=\"$ti\">\n";
$ti--;
echo "<option value=\"0\">Dienstwagen w&auml;hlen!</option>\n";

$pkw = false;
while ($zeile = mysql_fetch_row($pkws)){
	echo "<option id=\"pkw$zeile[0]\" value=\"$zeile[0]\"";
  if  (isset($rvar_zk_id)){
  	if ($zk[24] == $zeile[0]) {
		echo ' selected';
		$pkw = true;
	}
  } else {
	$PKWselZK = getConf('PKWselZK');
	if($PKWselZK == 2) {
		$pkw_zk = abfrage("select pkw_zk from tb_hilfeart where hilfeart_id='$projekt->ha'");
		if($pkw_zk[0] == 'j') $PKWselZK = 1;
	}
	if($PKWselZK == 1) {
  	/* wenn neue ZK, dann Standard 'eigenes' Auto (wenn vorhanden) */
		$pkw = abfrage("select h.res_id from tbh_pers_res h
										left join tb_ressourcen r using(res_id)
										where r.res_typ = '1'
										and h.pers_id = '$pers_id'
										limit 1;");
		if (!empty($pkw[0]) && $pkw[0] == $zeile[0]) echo ' selected';
	}
  }
  echo '>' . $zeile[1] .  "</option>\n";
}
echo "</select></td>";

echo "<th class=\"cl11\">nach:</th>\n";
echo "<td class=\"cl20\"><input type=\"text\" name=\"km_nach\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti+=2;
if (isset($rvar_zk_id)) echo " value=\"$zk[14]\"";
echo "></td></tr>\n";

if(isset($rvar_zk_id)) {
	$fh = km_stand_zk($rvar_zk_id);
	$kmanfang = $fh[0];
	$kmende = $fh[1];
} elseif($pkw !== false) {
	$kmende = $kmanfang = km_stand($pkw[0],time(),1);
} else $kmende = $kmanfang = '';
if(strpos($kmende,'.')!==false) {
	if(substr($kmende,-1,1) == '0') $kmende = substr($kmende,0,-1);
	if(substr($kmende,-1,1) == '0') $kmende = substr($kmende,0,-1);
	if(substr($kmende,-1,1) == '.') $kmende = substr($kmende,0,-1);
}
if(strpos($kmanfang,'.')!==false) {
	if(substr($kmanfang,-1,1) == '0') $kmanfang = substr($kmanfang,0,-1);
	if(substr($kmanfang,-1,1) == '0') $kmanfang = substr($kmanfang,0,-1);
	if(substr($kmanfang,-1,1) == '.') $kmanfang = substr($kmanfang,0,-1);
}
echo "<tr id=\"kmstd\"";
if($pkw === false) echo " style=\"display:none\"";
echo "><th class=\"cl11\">Kilometerstand:</th>\n";
echo "<td class=\"cl20\">Anfang: <input type=\"text\" id=\"km_anfang\" name=\"km_anfang\" size=\"6\" ";
echo "onkeyup=\"dienstkm()\" maxlength=\"8\" tabindex=\"$ti\""; $ti++;
echo " value=\"$kmanfang\"> &nbsp; Ende: <input type=\"text\" id=\"km_ende\" name=\"km_ende\" size=\"6\" ";
echo "onkeyup=\"dienstkm()\" maxlength=\"8\" tabindex=\"$ti\""; $ti++;
echo " value=\"$kmende\"></td>\n";
/*$prev = prevFahrt($rvar_zk_id);
if(!empty($prev[0])) {
	echo "<td colspan=\"30\"><table cellspacing=\"0\" cellpadding=\"0\">";
	echo "<tr><th style=\"text-align:right\" class=\"cl11\">vorherige Fahrt:</th>";
	echo "<th class=\"cl1\">$prev[3]</th><td class=\"cl1\">".pers_kname($prev[4])."</td>";
	echo "<td>".km_form($prev[1])."</td><td>-</td><td>".km_form($prev[2])."</td>";
	echo "</tr></table>";
}*/
echo "</tr>\n";

if(empty($zk[45])) {
	$ust = abfrage("select ust from tb_kont_hilfeart where kont_id='$projekt->ja' and hilfeart_id='$projekt->ha' and von<curdate() and (bis='0000-00-00' or bis>curdate())");
	if(empty($ust[0])) {
		$shpere = abfrage("select sphere from tb_personal_abt where abt_id='$projekt->abt_id'");
		$sph = $shpere[0];
	} else $sph = $ust[0]==7 ? 'bzb' : 'wgb';
} else $sph = $zk[45];
$fahrtenSphere = stwFahrtenSphere($sph);
echo "<tr><th class=\"cl11\">Dienst-PKW:</th>\n";
echo "<td class=\"cl20\"><input type=\"text\" id=\"km_dienst\" name=\"km_dienst\" ";
echo stwToolTip("zum &Auml;ndern der Dienst-Kilometer<br>bitte Anfangs- und End-Kilometerstand &auml;ndern");
echo "size=\"4\" readonly style=\"text-align:right\" tabindex=\"$ti\"";
$ti++;
if (isset($rvar_zk_id) && $zk[15] > 0) {
	$km = $zk[15];
	if(strpos($km,'.')!==false) {
		if(substr($km,-1,1) == '0') $km = substr($km,0,-1);
		if(substr($km,-1,1) == '0') $km = substr($km,0,-1);
		if(substr($km,-1,1) == '.') $km = substr($km,0,-1);
	}
	echo " value=\"$km\"";
} else $km = 0;
echo ">&nbsp;km &nbsp; &nbsp; $fahrtenSphere</td>\n";
/*$next = nextFahrt($rvar_zk_id);
if(!empty($next[0])) {
	echo "<td colspan=\"30\"><table cellspacing=\"0\" cellpadding=\"0\">";
	echo "<tr><th style=\"text-align:right\" class=\"cl11\">n&auml;chste Fahrt:</th>";
	echo "<th class=\"cl1\">$next[3]</th><td class=\"cl1\">".pers_kname($next[4])."</td>";
	echo "<td>".km_form($next[1])."</td><td>-</td><td>".km_form($next[2])."</td>";
	echo "</tr></table>";
}*/
echo "</tr>";

$kmg = $projekt->kilometergeld(date_gr2my($datum));
echo "<tr>";
echo "<th class=\"cl11\">Privat-PKW:</th>\n";
echo "<td><table cellspacing=\"0\" cellpadding=\"0\"><tr>\n<td class=\"cl20\">";
echo "<input type=\"text\" name=\"km_privat\" ";
echo "size=\"4\" maxlength=\"6\" style=\"text-align:right\" tabindex=\"$ti\"";
if (isset($rvar_zk_id) && $zk[16] > 0) echo " value=\"$zk[16]\""; $ti++;
echo ">&nbsp;km</td>\n";

if($kmg[0] == 'j') {
	echo "<th class=\"cl11\"";
	echo stwToolTip("abweichende km f&uuml;r Abrechnung JA");
	echo ">abw. km JA:</th><td><input type=\"text\" name=\"km_abw_ja\" ";
	echo "size=\"4\" maxlength=\"6\" style=\"text-align:right\" tabindex=\"$ti\"";
	echo stwToolTip("abweichende km f&uuml;r Abrechnung JA");
	if (isset($rvar_zk_id) && $zk[42] > 0) echo " value=\"$zk[42]\""; $ti++;
	echo ">&nbsp;km</td>\n";
}
if($kmg[0] == 'n') {
	if(isset($rvar_zk_id)) $xf = abfrage("select extrafahrt from tbh_extrafahrt where zk_id='$rvar_zk_id'");
	else $xf = array();
	if(isset($rvar_zk_id) && $xf[0] != 'j') {
		echo "<td style=\"position:absolute;left:550px\">";
		echo "<input type=\"button\" onclick=\"document.getElementById('extrafahrt').style.display='table-row';this.style.display='none';\" ";
		echo stwToolTip("diese Fahrt in Rechnung stellen, unabh&auml;ngig von Einstellung zur Erstattung des km-Geldes im zugeordneten Jugendamt");
		echo "style=\"color:grey;background-color:black;border:1px solid grey\" value=\"zus&auml;tzliches Kilometergeld\" /></td>\n";
	}
}

echo "</tr></table></td></tr>\n";
echo "<input type=\"hidden\" name=\"kmg0\" value=\"$kmg[0]\" />\n";
echo "</table></td></tr>\n";
if($kmg[0] == 'n') {
	echo "<tr id=\"extrafahrt\" ";
	if($km < $extrafahrt_km && $xf[0] != 'j') echo "style=\"display:none\"";
	$checked = $xf[0]=='j' ? 'checked' : '';
	echo ">\n<td style=\"text-align:right;vertical-align:middle\"><input type=\"checkbox\" name=\"xf\" $checked value=\"$zk[46]\" /></td>\n";
	echo "<th colspan=\"30\">diese Fahrt in Rechnung stellen, unabh&auml;ngig von Einstellung zur Erstattung des km-Geldes im zugeordneten Jugendamt";
	if($kmg[1] <= 0) {
		echo "<br /><b style=\"color:red\">Achtung: Beim <a href=\"kont_and.php?kont_id=$projekt->ja&ka=1&st=5&konf=1\">Jugendamt</a> ist kein km-Satz hinterlegt! Diesen bitte trotz \"Erstattung km-Geld: nein\" eintragen!</b>";
	}
	echo "</th>\n</tr>\n";
}

new stwTabLine(2,7);
} else echo "<input type=\"hidden\" name=\"res_id\" id=\"res_id\" value=\"0\" />\n";

if(!$ue && $projekt->kmgpauschale && check_nutzer_rechte(133)) {
	if(isset($rvar_zk_id) || isset($rvar_kopie)){
		$kmgp = abfrage("select betrag from tb_zk_km_geld where zk_id='".(isset($rvar_zk_id) ? $rvar_zk_id : $rvar_kopie)."'");
	} else $kmgp[0] = 0;
	echo "<tr><th".stwToolTip('Kilometergeldpauschale').">kmg(p):</th>\n";
	echo "<td colspan=\"6\"><table cellpadding=\"0\" cellspacing=\"0\"><tr>\n";
	echo "<td class=\"cl20\"><input type=\"text\" size=\"6\" style=\"text-align:right\" name=\"kmgp\" id=\"kmgp\" value=\"".geld_form_formular($kmgp[0])."\"/> &euro;</td>\n";
	$kmgps = abfrage1("select betrag from tb_km_geld_pauschale where kont_id='$projekt->ja' order by betrag asc");
	while($kmgp = mysql_fetch_row($kmgps)) {
		echo "<td class=\"cl1\"><input type=\"button\" value=\"" . geld_form_web($kmgp[0]) . "\" ";
		echo "onclick=\"document.getElementById('kmgp').value='".geld_form_formular($kmgp[0])."'\" /></td>\n";
	}
	echo "</tr></table></td></tr>\n";
	new stwTabLine(2,7);
}

if ($spesen_zk || (($projekt->nr < 9000 || $projekt->nr >= 20000) && $_SESSION[$AppCode]["ULV"] > 5 && !$ue && empty($inProjektgruppe))) {
	$abr_zk_spesen = getConf('abr_zk_spesen');
	if($abr_zk_spesen == 2) {
		$hon = abfrage("select besch_id from tb_personal where pers_id='$uid'");
		if($hon[0] != 2) $abr_zk_spesen = 0;
	}
	if($abr_zk_spesen == 0) {
		$klientenkonto2 = intval(getConf("klientenkonto2"));
		if($klientenkonto2) {
			echo "<script type=\"text/javascript\"><!--\n";
			echo "function kk2hide() {\n";
			echo "var kk2 = document.getElementById('kk2');\n";
			echo "var kk_1 = document.getElementById('eigenanteil1');\n";
			echo "var kk_2 = document.getElementById('eigenanteil2');\n";
			echo "if(kk2.checked) {\n";
			echo "kk_1.style.display = 'none';\n";
			echo "kk_2.style.display = 'none';\n";
			echo "} else {\n";
			echo "kk_1.style.display = 'inline';\n";
			echo "kk_2.style.display = 'inline';\n";
			echo "}\n}\n";
			echo "--></script>\n";
		}
		$kk2 = array();
		echo "<tr><th class=\"cl11\">Spesen</th>\n";
		echo "<td colspan=\"30\"><table><tr>";
		echo "<th>f&uuml;r:</th>\n";
		echo "<td colspan=\"4\" class=\"cl11\"><input type=\"text\" name=\"spesen_text\" ";
		echo "size=\"50\" maxlength=\"50\" tabindex=\"$ti\""; $ti++;
		if (isset($rvar_zk_id)) {
			if($klientenkonto2) {
				$kk2 = abfrage_array("select * from tb_klientenkonto2 where zk_id='$rvar_zk_id'");
			}
			echo " value=\"" . (empty($kk2[0]) ? $zk[17] : $kk2['spesen_text']) . "\"";
		}
		echo "></td>";
		if($klientenkonto2) {
			if(isset($rvar_zk_id)) {
				$abm = empty($kk2[0]) ? date('Y-m-01', $zk['ts_von']) : $kk2['ab_monat'];
			} else $abm = date('Y-m-01');
			$kk2s = abfrage("select sum(k.spesen_betr) from tb_ab_zk z left join tb_klientenkonto2 k using(zk_id) where z.ab='j' and z.proj_id='$rvar_proj_id' and k.ab_monat='$abm'");
			$tt = stwToolTip("<b>2. Klientenkonto mit Betrag belasten</b><br>In diesem Monat ist es bereits mit ".geld_form_web($kk2s[0])." belastet");
			$checked = empty($kk2[0]) ? '' : "checked";
			echo "<td $tt><input type=\"checkbox\" $checked id=\"kk2\" name=\"kk2\" value=1 onclick=\"kk2hide()\"></td>";
			echo "<td $tt>JA Spesen</td>";
		}
		echo "</tr>\n<tr><th class=\"cl11\">Summe:</th>\n";
		echo "<td><input type=\"text\" name=\"spesen_betr\" size=\"10\" ";
		echo "maxlength=\"10\" tabindex=\"$ti\"	style=\"text-align:right\""; $ti++;
		if (isset($rvar_zk_id)) echo " value=\"" . geld_form_formular(empty($kk2[0]) ? $zk[18] : $kk2['spesen_betr']). "\"";
		echo ">&nbsp;&euro;,&nbsp;&cent</td>\n<th id=\"eigenanteil1\"";
		if(!empty($kk2[0])) echo " style=\"display:none\"";
		echo ">Eigenanteil Klient:</th>\n<td id=\"eigenanteil2\"";
		if(!empty($kk2[0])) echo " style=\"display:none\"";
		echo "><input type=\"text\" name=\"spesen_eig\" size=\"10\" ";
		echo "maxlength=\"10\" tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
		if (isset($rvar_zk_id)) echo " value=\"" . geld_form_formular($zk[19]) . "\"";
		echo ">&nbsp;&euro;,&nbsp;&cent</td>";
		echo "</tr></table></td></tr>\n";
		new stwTabLine(2,7);
	}
 /*
  * Entwickler, EDV  und niedrige Sicherheitslevel brauchen
  * bis hier nichts sehen
  */
} else {
	echo "</table><table>";
}

/* gruene Trennlinie zeichnen */

/* abrechnungsrelevant oder Monat in dem abgerechnet wurde */
echo "<tr><td colspan=\"30\">";
echo "<table cellspacing=\"0\" cellpadding=\"0\">";
if (empty($zk[22]) || $_GET["abre"] == 1){
	echo "<tr><th class=\"cl20\">abrechnungsrelevant ?</th>";
	echo "<td style=\"vertical-align: middle;\">";
	echo "<input type=\"radio\" id=\"ab_ja\" name=\"abr\" value=\"j\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	$ueber = false;
	if(!$ue || (isset($rvar_zk_id) && $zk[21] == 'u')) {
		$sql = "select z.zk_id from tb_ab_zk z left join tb_termine t using(termin_id)
				where z.proj_id='$rvar_proj_id' and z.code='u' 
				and t.von <= '".date_gr2my($datum)."'
				and t.bis >= '".date_gr2my($datum)."'";
		$ueberbr = abfrage1($sql);
		if(mysql_num_rows($ueberbr) > 0) {
			echo " disabled";
			$ueber = true;
		}
	}

	if (isset($rvar_zk_id)){
		if ($zk[21] == "j") echo ' checked';
	} elseif ($_GET['abr'] == 1) echo ' checked';

	echo ">";
	if($ueber) {
		echo "<br /><span style=\"padding-top:4px;position:absolute\"><input type=\"radio\" name=\"abr\" value=\"u\"";
		if (isset($rvar_zk_id)){
			if ($zk[21] == 'u') echo ' checked';
		}
		echo ">trotz &Uuml;berbr&uuml;ckungszeitkarte</span>&nbsp;";
	}
	echo "</td><td ";
	if($ueber) echo "style=\"color:#666666\" " . stwToolTip("nicht m&ouml;glich, da laufende &Uuml;berbr&uuml;ckungszeit");
	echo "class=\"cl11\">ja</td><td class=\"cl11\">";
	echo "<input type=\"radio\" name=\"abr\" value=\"n\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;

	if (isset($rvar_zk_id)){
		if ($zk[21] == 'n') echo ' checked';
	}
	elseif ($_GET['abr'] != 1) echo ' checked';

    $style = ab_last_zk_style($zk[40], $zk[29]);
    $title = ab_last_zk_title($zk[40], $zk[29]);

    if ($zk[29] != 0) $datum = date("d.m.Y H:i", $zk[29]); else $datum = "";
    if ($zk[32] != 0) $name = pers_name($zk[32]); else $name = "";

    /*
     * Tabellenspalte fuer nein Radio Button abschliessen und neue fuer Verlauf
     * beginnen.
     */
    echo ">nein</td>";
	if (isset($rvar_zk_id)){
		$first = abfrage("select ts_change, ts_pers from tb_ab_zk_verlauf WHERE zk_id='$rvar_zk_id' order by ts_change asc limit 1");
		$fdat = empty($first[0]) ? '' : date("d.m.Y H:i, ", $first[0]);
		$tt = stwToolTip("Wann und von wem wurde die Zeitkarte angelegt");
		echo "<td $tt><small>" . $fdat . pers_name($first[1]) . "</small></td>";
		echo "<td>&nbsp; | &nbsp;</td>";
		$last = abfrage("select ts_change, ts_pers, ab from tb_ab_zk_verlauf WHERE zk_id='$rvar_zk_id' order by ts_change desc limit 1");
		$ldat = empty($last[0]) ? '' : date("d.m.Y H:i, ", $last[0]);
		if($zk[21] == 'n') {
			$tt = stwToolTip("letzte &Auml;nderung an Datum oder Uhrzeit der Zeitkarte");
			echo "<td $tt><small>" . $ldat . pers_name($last[1]) . "</small></td>";
		} else {
			echo "<td".stwToolTip($title)."style=\"$style\">" . $ldat . pers_name($last[1]) . "</td>";		
		}
	}
	echo "</tr>\n";

	if (isset($rvar_zk_id)) ab_historie($rvar_zk_id, 6);
} else {
    /*
     * Zeile anfangen die den Abrechnungsmonat enthaelt, weitere Zeilen
     * den ZK Verlauf.
     */
    printf("<tr><th class=\"cl20\">Abrechnungsmonat:</th>");
    printf("<td class=\"cl20\" style=\"font-weight:bold;colo:rgb(255,255,0)\">");
 
    printf("%s</td>", strftime("%B %Y", $zk[22]));
 
    /* wenn Verlaufdaten vorhanden sind diese anzeigen sonst nichts */
    if ($zk[29] != 0 && $zk[32] != 0)
    {
      printf("<td style=\"%s\" ", ab_last_zk_style($zk[40], $zk[29]));
      printf("title=\"%s\">", ab_last_zk_title($zk[40], $zk[29]));
 
      printf("%s, %s</td>", date("d.m.Y H:i", $zk[29]), pers_name($zk[32]));
    }
 
    printf("</tr>\n");
 
    /* falls vorhanden weitere Verlaufsdaten zeigen */
    ab_historie($rvar_zk_id, 2);
}
echo "</table></td></tr>\n";

if(empty($inProjektgruppe)) {

/* Zeitkartengenehmigung - nur bei TTT-Projekten (und vorh. Zeitkarten) */
if (isset($rvar_zk_id) && $projekt->h_art == 'TTT'){

	if ($zk['sperre'] == 'j') { /* ZK ist genehmigt */

		$ttt_cb_name = 'sperre';
		$ttt_cb_value = 'j';	//da stand ein n... Warum ???
		$ttt_cb_checked = ' checked';

		$ttt_cb_text  = 'Zeitkarte genehmigt';
		if ($zk['sperre_id'] > 0) {
			$ttt_cb_text .= '	durch ' . pers_name($zk['sperre_id']);
		}
		if ($zk['sperre_ts'] > 0) {
			$ttt_cb_text .= ' am ' . strftime('%d.%m.%Y, %H:%M Uhr', $zk['sperre_ts']);
		}

		/* nur Benutzerrecht 43 und ab Level 96 duerfen Zeitkartengenehmigungen
		 * loeschen, sonst -> Checkbox inaktiv! */
		if (check_nutzer_rechte(43)){
			echo "<input type=\"hidden\" name=\"sperre\" value=\"n\">\n";
			$ttt_cb_ro = '';
		} else {
			$ttt_cb_ro = ' disabled';
		}

	} else { /* ZK ist noch nicht genehmigt */

		$ttt_cb_name = 'sperre';
		$ttt_cb_value = 'j';
		$ttt_cb_checked = '';
		$ttt_cb_text = '';

		/* nur Benutzerrecht 24 und ab Level 96 duerfen Zeitkarten genehmigen
		 * sonst -> Checkbox inaktiv! */
		if (check_nutzer_rechte(24)){
			$ttt_cb_ro = '';
		} else {
			$ttt_cb_ro = ' disabled';
		}
	}

	/* Zeile ausgeben */
	echo "<tr><th colspan=\"2\" class=\"cl1\">Genehmigung:</th>\n";
	echo "<td colspan=\"3\">";
	echo "<input type=\"checkbox\" name=\"$ttt_cb_name\" value=\"$ttt_cb_value\" ";
	echo $ttt_cb_ro . $ttt_cb_checked . ">&nbsp;&nbsp;" . $ttt_cb_text;
	echo "</td></tr>\n";

} /* Ende Zeile Genehmigung TTT-Zeitkarten */
} /* Ende !inProjektgruppe */
} /* Ende !Korrektur-Zeitkarte */
echo "</table>\n";

if(empty($inProjektgruppe)) echo "<input type=\"hidden\" name=\"pers_id\" value=\"$pers_id\">\n";

new stwLine(1);
if ((is_null($zk[22]) || ($_GET["abre"] == 1 && $_SESSION[$AppCode]['ULV'] >= 65)
	|| ($_SESSION[$AppCode]['ULV'] >= 96 || $_SESSION[$AppCode]['ULV'] == 65
	|| ($_SESSION[$AppCode]["ULV"] == 70) || (check_nutzer_rechte(15) && $_GET['kt'] == 1))) && !$spesen_zk){
	if (isset($rvar_zk_id)){
		echo "<input type=\"hidden\" name=\"zk_id\" value=\"$rvar_zk_id\">\n";
		echo "<input type=\"hidden\" name=\"termin_id\" value=\"$zk[20]\">\n";
		echo "<input type=\"hidden\" name=\"ab_monat\" value=\"$zk[26]\">\n";

		if (isset($rvar_zk_id) && !empty($zk[22])){
			echo "<input type=\"hidden\" name=\"abr\" value=\"$zk[21]\">\n";
		}

		if ($_GET['kt'] == 1){
			echo "<input type=\"hidden\" name=\"kt\" value=\"1\">\n";
			echo "<input type=\"hidden\" name=\"abmonat\" value=\"{$_GET['abmonat']}\">\n";
			echo "<input type=\"hidden\" name=\"abjahr\" value=\"{$_GET['abjahr']}\">\n";
			echo "<input type=\"hidden\" name=\"abr\" value=\"$zk[21]\">\n";
		}

		/* bei TTT-Projekten: ZK Aenderung nur wenn nicht genehmigt (gesperrt) */
		if (($projekt->h_art == 'TTT' && ($zk['sperre'] == 'n' ||
				($zk['sperre'] == 'j' && check_nutzer_rechte(43)))) ||
					$projekt->h_art != 'TTT' || 
				(check_nutzer_rechte(15) && $_GET['kt'] == 1)) {
			echo "<table><tr><td><input type=\"submit\" name=\"submit\" ";
			echo "value=\"&Auml;ndern!\" tabindex=\"$ti\"></td></tr></table>\n"; $ti++;
		}
		/* bei TTT-Projekten Speicherung der B-Akte auch nach Sperrung der ZK mgl. */ 
		elseif($projekt->h_art == 'TTT' && $zk['sperre'] == 'j' && $_SESSION[$AppCode]['ULV'] > 5) {
			echo "<table><tr><td><input type=\"submit\" name=\"bsubmit\" ";
			echo "value=\"Interne Inhalte Speichern\" tabindex=\"$ti\"></td></tr></table>\n"; $ti++;
		}

		if ($_GET['kt'] == 1){
			echo "&nbsp;<span style=\"color:red;font-weight:bold\"><blink>";
			echo "Achtung! Bereits abgerechnete Zeitkarte!</blink></span>\n";
		}
	} else {
		echo "<table><tr><td><input type=\"submit\" name=\"submit\" ";
		echo "value=\"Speichern!\" tabindex=\"$ti\"></td></tr></table>\n"; $ti++;
	}
}
echo "</form>\n";
new stwEnd($seite, -date_isodate_stamp(date_time_stamp($s_datum)));
?>