<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_ab_zksql.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

 require_once($pfad."inc/func.inc.php");
 require_once($pfad."inc/azk.inc.php");

 if(empty($_SESSION[$AppCode]["UID"])) {
	unset_session_url();
	header("Location: index.php");
	exit(0);
 }

 /* bei TTT-Projekten Speicherung der B-Akte auch nach Sperrung der ZK */
 if (!isset($_POST["submit"]) && isset($_POST["bsubmit"])) {
	$sql = "UPDATE tb_ab_zk SET inhalte2 = '{$_POST['inhalte2']}' WHERE zk_id = '{$_POST['zk_id']}'";
	abfrage2($sql);
	$url = (isset($_SESSION[$AppCode]['url'])) ? $_SESSION[$AppCode]['url'] : "pro_ab.php?proj_id={$_POST["proj_id"]}";
	unset_session_url();
	header("Location: $url");
	exit(0);
 }

 /* Korrektur-ZKs */
 if (isset($_POST["submit"]) && $_POST["code"]=='@' && $_SESSION[$AppCode]["ULV"] >= 97) {
	$fls_min = time2min($_POST['fls']);
	if($fls_min > 60*838) {
		$fls_min = 60*838;
	}
	$fls = min2time($fls_min);
	$sql = "UPDATE tb_ab_zk SET fls='$fls', vun='0:00' WHERE zk_id = '{$_POST['zk_id']}';";
	abfrage2($sql);
	$sql = "UPDATE tb_termine SET bis=DATE_ADD(von, INTERVAL $fls_min MINUTE) WHERE termin_id = '{$_POST['termin_id']}';";
	abfrage2($sql);
	$fls_dec = $fls_min / 60;
	$jahr = date('Y',$_POST['von_ts']);
	$monat = date('m',$_POST['von_ts']);
	$tag = date('d',$_POST['von_ts']);
	
	$ts = mktime(0,0,0,$monat+1,$tag,$jahr);
	$kor_date = date('Y-m-d', $ts);
	$sql = "UPDATE tb_fls_korrektur SET korrektur='$fls_dec' WHERE proj_id = '{$_POST['proj_id']}' AND datum='$kor_date';";
	abfrage2($sql);
	$url = (isset($_SESSION[$AppCode]['url'])) ? $_SESSION[$AppCode]['url'] : "pro_ab_k.php?abmonat=$monat&abjahr=$jahr&proj_id={$_POST["proj_id"]}";
	unset_session_url();
	header("Location: $url");
	exit(0);
 }

 /*
  * Nur ZK speichern oder aendern wenn der entsprechende Button
  * gedrueckt wurden.
  */
 if (!isset($_POST["submit"]))
 {
	$seite = 41;
	require_once($pfad . 'inc/stw.inc.php');
	printf("<h1>ZK &Auml;nderung nicht m&ouml;glich.</h1>");
	if ($_POST["kt"] == 1)
		$url = "Location: pro_ab_k.php?proj_id=$rvar_proj_id&abmonat=$rvar_abmonat&abjahr=$rvar_abjahr";
	elseif ($_POST['code'] == 'C')
		$url = "Location: auf.php?ma=99999";
	else
		$url = (isset($_SESSION[$AppCode]['url'])) ? $_SESSION[$AppCode]['url'] : "pro_ab.php?proj_id=$rvar_proj_id";
	echo "<br><a href=\"$url\">Zur&uuml;ck</a>";
	new stwEnd($seite);
	exit(0);
 }

 /* GET/POST/Cookie Variablen in den globalen Scope holen */
 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

 /* TTS: Reflexion eingetragen? */
 if(isset($rvar_reflexion) && is_array($rvar_reflexion)) {
	foreach($rvar_reflexion as $id => $refl) {
		abfrage2("update tb_lom set reflexion='$refl' where lom_id='$id';");
	}
 }

 /* Datum und Zeiten in lokale Variablen uebertragen */
 $dat = check_date($rvar_datum);
 $dat2 = (empty($rvar_bis_datum)) ? $dat : check_date($rvar_bis_datum);

 $von = check_time($rvar_von);
 $bis = check_time($rvar_bis);

 $beg = date_time_stamp($dat, $von);
 $end = date_time_stamp($dat2, $bis);

 $beg_ts = date_isodatetime_stamp($beg);
 $end_ts = date_isodatetime_stamp($end);

 if(getConf("zk_midnight") && $end < $beg) {
	$end_ts += (24 * 60 * 60);
	$end = date('Y-m-d H:i', $end_ts);
 } elseif($end < $beg) {
	$end_ts = mktime(0, 0, 0, date("n",$beg_ts), date('j',$beg_ts)+1, date("Y",$beg_ts));
	$end = date('Y-m-d H:i', $end_ts);
 }

 $dat1 = date_gr2my($dat);

 if(empty($rvar_pers_id)) $rvar_pers_id = $_SESSION[$AppCode]["UID"];
 $equal = true;
 if(isset($rvar_zk_id)) {
	$sql_aend = "SELECT UNIX_TIMESTAMP(t.von), UNIX_TIMESTAMP(t.bis), z.ab
				FROM tb_termine t
				LEFT JOIN tb_ab_zk z USING(termin_id)
				WHERE termin_id = '$rvar_termin_id'";
	$erg_aend  = abfrage($sql_aend);

	$hist = abfrage1("select * from tb_fahrtenhistorie where zk_id = '$rvar_zk_id'");
	$history = (mysql_num_rows($hist) == 0);
 } else $history = true;
 if(!$history && isset($rvar_zk_id) && empty($rvar_Sicherheitsabfrage) && $rvar_km_dienst>0) {
	$hist = abfrage("SELECT zk_dat FROM tb_ab_zk WHERE zk_id = '$rvar_zk_id'");
	if($hist[0] > 0) {
		$new_zk = array($rvar_km_von, $rvar_km_via1, $rvar_km_via2, $rvar_km_via3, $rvar_km_via4, $rvar_km_via5, $rvar_km_nach, $rvar_km_dienst, $rvar_res_id);
		$sql = "SELECT km_von, km_via1, km_via2, km_via3, km_via4, km_via5, km_nach, km_dienst, res_id, ab FROM tb_ab_zk WHERE zk_id = '$rvar_zk_id'";
		$ref_zk = abfrage($sql);
		for($i=0; $i<9; $i++) if($new_zk[$i] != $ref_zk[$i]) $equal=false;
		if($equal) {
			$sql = "SELECT date_format(von, '%d.%m.%Y') FROM tb_termine WHERE termin_id = '$rvar_termin_id'";
			$ref_termin = abfrage($sql);
			if($ref_termin[0] != $dat) $equal=false;
		}
		if($equal) {
			$sql = "SELECT km_start, km_ende FROM tb_fahrtenhistorie WHERE zk_id = '$rvar_zk_id' order by fh_id desc limit 1";
			$ref_km = abfrage($sql);
			if($ref_km[0] != $rvar_km_anfang || $ref_km[1] != $rvar_km_ende) $equal=false;
		}
		if($equal && ($ref_zk[9]=='j' && $rvar_abr=='n')) $equal=false;
	}
 }
 if(!$equal) {
	$level = 5;
	$seite = 41;
	require_once($pfad . 'inc/stw.inc.php');
	/* Zwischenformular ausgeben um zu warnen */
	$abgerechnet = istMonatAbgerechnet($dat);
	echo "<center>\n<form method=\"post\" action=\"pro_ab_zksql.php\">\n";
	echo "<table>\n<tr><th style=\"color:red\" colspan=\"2\">";
	echo "Die &Auml;nderung hat Auswirkung auf das Fahrtenbuch!<br>";
	if($abgerechnet) echo "Das Datum $dat liegt in einem bereits abgerechneten Monat.";
	else echo "Soll die Fahrt wirklich ge&auml;ndert werden?";
	if(!$abgerechnet || check_nutzer_rechte(70)) {
		if($abgerechnet) echo "<br>Trotzdem &Auml;nderung vornehmen?";
		echo "</th></tr>\n";
		echo "<tr><th style=\"text-align:right\">Begr&uuml;ndung:</th><td>";
		echo "<input type=\"text\" name=\"grund\" style=\"width:100%\"></td></tr>\n";
		echo "<tr><td style=\"text-align:right\"><input type=\"submit\" name=\"submit\" value=\"Ok\" ";
		echo "name=\"fahrt_ok2\"></td>\n";
		echo "<th><input type=\"submit\" value=\"Abbrechen\" name=\"nk\">\n";

		echo "<input type=\"hidden\" name=\"Sicherheitsabfrage\" value=\"1\">\n";

		/* alle uebergebenen Daten muessen aufgehoben werden */
		echo "<input type=\"hidden\" name=\"zk_id\" value=\"$rvar_zk_id\">\n";
		echo "<input type=\"hidden\" name=\"termin_id\" value=\"$rvar_termin_id\">\n";
		echo "<input type=\"hidden\" name=\"datum\" value=\"$rvar_datum\">\n";
		echo "<input type=\"hidden\" name=\"bis_datum\" value=\"$rvar_bis_datum\">\n";
		echo "<input type=\"hidden\" name=\"von\" value=\"$rvar_von\">\n";
		echo "<input type=\"hidden\" name=\"bis\" value=\"$rvar_bis\">\n";
		echo "<input type=\"hidden\" name=\"km_von\" value=\"$rvar_km_von\">\n";
		echo "<input type=\"hidden\" name=\"km_via1\" value=\"$rvar_km_via1\">\n";
		echo "<input type=\"hidden\" name=\"km_via2\" value=\"$rvar_km_via2\">\n";
		echo "<input type=\"hidden\" name=\"km_via3\" value=\"$rvar_km_via3\">\n";
		echo "<input type=\"hidden\" name=\"km_via4\" value=\"$rvar_km_via4\">\n";
		echo "<input type=\"hidden\" name=\"km_via5\" value=\"$rvar_km_via5\">\n";
		echo "<input type=\"hidden\" name=\"km_nach\" value=\"$rvar_km_nach\">\n";
		echo "<input type=\"hidden\" name=\"km_dienst\" value=\"$rvar_km_dienst\">\n";
		echo "<input type=\"hidden\" name=\"res_id\" value=\"$rvar_res_id\">\n";

		echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
		echo "<input type=\"hidden\" name=\"abr\" value=\"$rvar_abr\">\n";
		echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
		echo "<input type=\"hidden\" name=\"fahrzeit\" value=\"$rvar_fahrzeit\">\n";
		echo "<input type=\"hidden\" name=\"vun\" value=\"$rvar_vun\">\n";
		echo "<input type=\"hidden\" name=\"fls\" value=\"$rvar_fls\">\n";
		echo "<input type=\"hidden\" name=\"code\" value=\"$rvar_code\">\n";
		echo "<input type=\"hidden\" name=\"inhalte\" value=\"$rvar_inhalte\">\n";
		echo "<input type=\"hidden\" name=\"km_privat\" value=\"$rvar_km_privat\">\n";
		echo "<input type=\"hidden\" name=\"km_abw_ja\" value=\"$rvar_km_abw_ja\">\n";
		echo "<input type=\"hidden\" name=\"spesen_text\" value=\"$rvar_spesen_text\">\n";
		echo "<input type=\"hidden\" name=\"spesen_betr\" value=\"$rvar_spesen_betr\">\n";
		echo "<input type=\"hidden\" name=\"spesen_eig\" value=\"$rvar_spesen_eig\">\n";
		echo "<input type=\"hidden\" name=\"res2_id\" value=\"$rvar_res2_id\">\n";
		echo "<input type=\"hidden\" name=\"inhalte2\" value=\"$rvar_inhalte2\">\n";
		echo "<input type=\"hidden\" name=\"kwg\" value=\"$rvar_kwg\">\n";
		echo "<input type=\"hidden\" name=\"code_ttt\" value=\"$rvar_code_ttt\">\n";
		echo "<input type=\"hidden\" name=\"empfang\" value=\"$rvar_empfang\">\n";
		echo "<input type=\"hidden\" name=\"dienst_start\" value=\"$rvar_dienst_start\">\n";
		echo "<input type=\"hidden\" name=\"dienst_ende\" value=\"$rvar_dienst_ende\">\n";
		echo "<input type=\"hidden\" name=\"sperre\" value=\"$rvar_sperre\">\n";
		echo "<input type=\"hidden\" name=\"kt\" value=\"$rvar_kt\">\n";
		echo "<input type=\"hidden\" name=\"abmonat\" value=\"$rvar_abmonat\">\n";
		echo "<input type=\"hidden\" name=\"abjahr\" value=\"$rvar_abjahr\">\n";
		echo "<input type=\"hidden\" name=\"h\" value=\"$rvar_h\">\n";
		echo "<input type=\"hidden\" name=\"r\" value=\"$rvar_r\">\n";
		echo "<input type=\"hidden\" name=\"sphere\" value=\"$rvar_sphere\">\n";
		echo "<input type=\"hidden\" name=\"km_anfang\" value=\"$rvar_km_anfang\">\n";
		echo "<input type=\"hidden\" name=\"km_ende\" value=\"$rvar_km_ende\">\n";
		echo "<input type=\"hidden\" name=\"kk2\" value=\"$rvar_kk2\">\n";
	}
	echo "</th></form>\n</tr></table>\n</center>\n";
	/* den Abschluss noch zeigen */
	new stwEnd($seite);
	exit(0);
 }

 /* ist Dienstplan womoeglich schon gesperrt? */
if(!check_nutzer_rechte(116)) {
	$ts  = mktime(0, 0, 0, date("n",$beg_ts), 1, date("Y",$beg_ts));
	$sperre = abfrage1("select abt_id from tb_dienst_monat 
						where ts_monat='$ts' and gf_dienst>0 
						and abt_id = (select abt_id from tb_projekte where proj_id='$rvar_proj_id')");
	if(mysql_num_rows($sperre) > 0) $gesperrt = true;
	else {
		$sperre = abfrage1("select abt_id from tb_dienst_monat 
							where ts_monat='$ts' and al_dienst>0 
							and abt_id in(select abt_id from tb_projekte where proj_id='$rvar_proj_id')");
		$gesperrt = (mysql_num_rows($sperre) > 0);
		if($gesperrt) {
			while($spr = mysql_fetch_row($sperre)) {
				$al = abfrage1("select pers_id from tb_personal_abt_leit where abt_id='$spr[0]' and pers_id='{$_SESSION[$AppCode]["UID"]}'");
				if(mysql_num_rows($al) > 0) {
					$gesperrt = false;
					break;
				}
			}
		}
	}
	if($gesperrt) {
		$ts_start = abfrage("select min(ts_start) from tb_ab_zk_copy c where ts_ende > $beg_ts and ts_start < $end_ts and pers_id='".$_SESSION[$AppCode]["UID"]."'");
		$ts_ende = abfrage("select max(ts_ende) from tb_ab_zk_copy c where ts_ende > $beg_ts and ts_start < $end_ts and pers_id='".$_SESSION[$AppCode]["UID"]."'");
		if($beg_ts < $ts_start[0] || $ts_ende[0] < $end_ts) {
			if(isset($rvar_zk_id)) {
				$termin = abfrage("select unix_timestamp(von),unix_timestamp(bis) from tb_termine where termin_id='$rvar_termin_id'");
				if($beg_ts < $termin[0] || $termin[1] < $end_ts) {
					$level = 5;
					$seite = 41;
					require_once($pfad . 'inc/stw.inc.php');
					echo "<h2 style=\"color:red\">Zeitkarte konnte nicht gespeichert werden</h2>\n";
					echo "<h3>Sie sind nicht berechtigt, Beginn oder Ende der Zeitkarte<br />au&szlig;erhalb des geplanten Zeitraumes zu plazieren</h3>\n";
					new stwEnd($seite);
					exit(0);
				}
			} else {
				$level = 5;
				$seite = 41;
				require_once($pfad . 'inc/stw.inc.php');
				echo "<h2 style=\"color:red\">Zeitkarte konnte nicht gespeichert werden</h2>\n";
				echo "<h3>Sie sind nicht berechtigt, Zeitkarten nach Sperrung des Dienstkalenders anzulegen</h3>\n";
				new stwEnd($seite);
				exit(0);
			}
		}
	}
}
 /* Benutzer, in dessen Namen die Zeitkarte erstellt wird */
$pers_id = $_SESSION[$AppCode]["UID"];
if(!empty($rvar_pers_id)) {
  $sql  = "SELECT COUNT(*) FROM tb_pers_pers_recht WHERE precht_id='1' ";
  $sql .= "AND user_id='".$_SESSION[$AppCode]["UID"]."' AND pers_id='$rvar_pers_id'";
  $precht = abfrage($sql);
  $sql  = "SELECT COUNT(*) FROM tbh_projekt_gruppe WHERE proj_id=$rvar_proj_id ";
  $sql .= "AND von <= '$dat1' AND (bis >= '$dat1' OR bis IS NULL)";
  $pgruppe = abfrage($sql);
  if(($precht[0] + $pgruppe[0]) > 0) $pers_id = $rvar_pers_id;
}
if(empty($rvar_bis_datum)) {
 /* Wert fuer abrechnungsrelevant uebernehmen */
 $abr = $rvar_abr;
 $ha = abfrage("SELECT h.hilfeart FROM tb_hilfeart h 
				LEFT JOIN tb_projekte p ON p.hilfeart_id = h.hilfeart_id 
				WHERE p.proj_id = $rvar_proj_id");

 /*
  * Folgende Regeln gelten fuer die Eingabe von Zeitkarten:
  * 1.) Beginn und Ende in der Zukunft: abrechnungsrelevant nein
  * 2.) Beginn Vergangenheit und Ende Zukunft: Termin kuerzen
          - aufrunden auf volle 15 Minuten wenn nur noch 5 Minuten brig
          - abrunden wenn kleiner als 10 Minuten
  * 3.) Beginn und Ende in der Vergangenheit: Wert lassen
  */
 $akt_zeit = time();

 if (date_isodatetime_stamp($beg) > $akt_zeit &&
     date_isodatetime_stamp($end) > $akt_zeit && $abr == "j") $abr = "n";

 if (date_isodatetime_stamp($beg) < $akt_zeit &&
     date_isodatetime_stamp($end) > $akt_zeit && $abr == "j")
 {
   /* jetzt auf Viertelstunde aufrunden */
   $zwischen = intval($akt_zeit / 900);
   /* TTTs duerfen 45min in Zukunft abrechnen */
   if($ha[0] == 'TTT') $ttt_z = getConf('ttt_zukunft');
   if(getConf("zk_ab_perspek")) {
     $end_ts = date_isodatetime_stamp($end);
   } elseif($ha[0] == 'TTT' && date_isodatetime_stamp($end) <= $akt_zeit + $ttt_z) {
     $end_ts = date_isodatetime_stamp($end);
   }
   elseif (($akt_zeit - $zwischen * 900) >= 600)
   {
     /* aufrunden */
     $end_ts = ($zwischen + 1) * 900;
   }
   else
   {
     /* abrunden */
     $end_ts = $zwischen * 900;
   }

   $end = strftime("%Y-%m-%d %H:%M", $end_ts);
   $bis = strftime("%H:%M", $end_ts);
 }

 if(($ha[0] == 'TTP' || $ha[0] == 'TTH') && $rvar_abr = 'j') {
	$sql = "select l.lom_id,
			unix_timestamp(t.von) as von_ts,
			unix_timestamp(t.bis) as bis_ts
			from tbh_lom_anleiter a
			left join tb_lom l using (lom_id)
			left join tb_termine t using (termin_id)
			where unix_timestamp(t.von) < '$end_ts'
			and unix_timestamp(t.bis) > '$beg_ts'
			and a.pers_id = '$rvar_pers_id'
			group by l.tender";
	$loms = abfrage1($sql);
	while($lom = mysql_fetch_row($loms)) {
		$pers = abfrage1("select pers_id from tbh_lom_pers where lom_id = '$lom[0]';");
		while($per = mysql_fetch_row($pers)) {
			$sql = "select z.zk_id from tb_ab_zk z 
					left join tb_termine t using(termin_id)
					where z.pers_id='$per[0]'
					and code_ttt = ''
					and unix_timestamp(t.von) < '$lom[2]'
					and unix_timestamp(t.bis) > '$lom[1]'";
			$termine = abfrage1($sql);
			while($termin = mysql_fetch_row($termine)) {
				abfrage2("update tb_ab_zk set code_ttt='$rvar_code_ttt' where zk_id='$termin[0]'");
			}				
		}
	}
 }

$fahrzeit = time2min(check_time($rvar_fahrzeit));
$VuNzeit = time2min(check_time($rvar_vun));

$diff = $diff0 = ($end_ts - $beg_ts) / 60;
$fls1  = time2min(check_time_fls($rvar_fls));

if($VuNzeit > 0 && ($fahrzeit + $VuNzeit + $fls1 > $diff)) {
	$vunz = abfrage("select vun from tb_ab_zk where zk_id='$rvar_zk_id' and proj_id='$rvar_proj_id'");
	if($vunz[0] == $VuNzeit) $VuNzeit = $diff - $fls1 - $fahrzeit;
	if($VuNzeit < 0) $VuNzeit = 0;
}
if($VuNzeit > 0) $diff -= $VuNzeit;

//Falls Fahrzeit angegeben wird differenz ausrechnen (gesamtzeit-fahrzeit= diff2)
if(empty($fahrzeit) || empty($rvar_fahrzeit) || $fahrzeit < 0){
	$diff2 = $diff;
} else {
	$diff2 = $diff - $fahrzeit;
}

if (!check_time_fls($rvar_fls) || empty($rvar_fls)){

  if($fahrzeit>$diff){
	$diff2=0;
  }
	//Falls fahrzeit grer 24:00
  if($fahrzeit==0 && !empty($rvar_fahrzeit) && $rvar_fahrzeit != 0){
	$fls=0;
  } else{
	$fls = min2time($diff2);
  }
} else {
	if ($fls1 > $diff){
		$fls = min2time($diff);
	} else {
		$fls = check_time_fls($rvar_fls);
	}
}

$vun = min2time($VuNzeit);

//Ermitteln ob Fahrzeit oder FLS geaendert wurde
if ((isset($rvar_zk_id)) && (time2min($fls)+$fahrzeit!=$diff) ){
	$outp = abfrage("select z.fls, unix_timestamp(t.von), unix_timestamp(t.bis) 
					from tb_ab_zk z 
					left join tb_termine t using(termin_id)
					where z.zk_id = '$rvar_zk_id' and z.proj_id= '$rvar_proj_id';");
	if (time2min($fls)==time2min($outp[0])) {
		if($diff2<0){$diff2=0;}
		$fls=min2time($diff2);
	}
}

$fahrzeit = $diff - $diff2;
if($fahrzeit < 0) $fls=min2time($diff2 + $fahrzeit);
}

if($rvar_code == 'U') {
	$projekt = new stwProjekt($rvar_proj_id);
	$day = date_isodatetime_stamp($beg);
	$hpst = 0;
	while ($day <= date_isodatetime_stamp($end)){
		$hpst += $projekt->fls_tag($day);
		$day = mktime(0,0,0,date('n', $day), date('j', $day) + 1, date('Y', $day));
	}
	$min = floor(($hpst-floor($hpst))*60);
	$min -= $min % 15; 
	$fls = floor($hpst) . ":" . $min . ":00";
	$vun = 0;
	$pers_id = 0;
	$abr = $rvar_abr == 'j' ? 'j' : 'n';
}
 
// Tabelle tb_termine updaten
if (isset($rvar_zk_id)){
    $sql = "update ";
} else {
    $sql = "insert into ";
}

if ($rvar_bis == "" && empty($rvar_bis_datum)){
$sql .= "tb_termine set von = '$beg',
					bis = date_add('$beg', interval 30 minute),
					terminart = 'z' ";
} else {
$sql .= "tb_termine set von = '$beg',
					bis = '$end',
					terminart = 'z' ";
}

if (isset($rvar_zk_id)) {
		$sql .= " where termin_id = '$rvar_termin_id'";
}

 abfrage2($sql);

 /* TerminID die gerade in tb_termine erstellt wurde ermitteln */
 if (isset($rvar_zk_id)) $termin_id = $rvar_termin_id;
 else $termin_id = mysql_insert_id();

/* Bereitschaft / Nachtdienst abspeichern */
if(empty($rvar_dienst)) {
	if(isset($rvar_zk_id)) abfrage2("delete from tbh_termin_bereitschaft where termin_id='$rvar_termin_id'");
} else {
	/* Bereitschafts-ZKs gehen nicht in Abrechnung ein */
	if($rvar_dienst<3) $abr = 'n';
	if(isset($rvar_zk_id)){
		abfrage2("replace into tbh_termin_bereitschaft set termin_id='$rvar_termin_id', dienst_bereitschaft='$rvar_dienst'");
	} else {
		abfrage2("replace into tbh_termin_bereitschaft set termin_id='$termin_id', dienst_bereitschaft='$rvar_dienst'");
	}
}
 /* Vorhandenen Eintrag aendern oder neuen anlegen. */
 if(isset($rvar_zk_id)) $sql = "UPDATE "; else $sql = "INSERT INTO ";

$hr = $rvar_h . $rvar_r;
if(empty($hr) && $fahrzeit > 0) $hr = 'h';
$sql .= "tb_ab_zk set proj_id = '$rvar_proj_id',
		fls = '$fls',
		vun = '$vun',
		code = '$rvar_code',
		inhalte = '$rvar_inhalte',
		km_von = '$rvar_km_von',
		km_via1 = '$rvar_km_via1',
		km_via2 = '$rvar_km_via2',
		km_via3 = '$rvar_km_via3',
		km_via4 = '$rvar_km_via4',
		km_via5 = '$rvar_km_via5',
		km_nach = '$rvar_km_nach',
		km_dienst = '".str_replace(',','.',$rvar_km_dienst)."',
		km_privat = '".str_replace(',','.',$rvar_km_privat)."',
		km_abw_ja = '".str_replace(',','.',$rvar_km_abw_ja)."',";
if($rvar_kk2 != 1)
	$sql .= "spesen_text = '$rvar_spesen_text',
			spesen_betr = '" . str_replace(',', '.', $rvar_spesen_betr) . "',
			spesen_eig = '" . str_replace(',', '.', $rvar_spesen_eig) . "', ";
else $sql.="spesen_text=NULL, spesen_betr=NULL, spesen_eig=NULL, ";
$sql .= "ab = '$abr',
		res_id = '$rvar_res_id',
		res2_id = '$rvar_res2_id',
		inhalte2 = '$rvar_inhalte2',
		kwg = '$rvar_kwg',
		code_ttt = '$rvar_code_ttt',
		hr = '$hr',
		sphere = '$rvar_sphere'";

 /* Empfangsdienst Merkmal setzen */
 $sql .= ", empfang = '".$rvar_empfang."'";

 /*
  * Wenn ZK jetzt neu angelegt wird und abrechnungsrelevant ist, gleich
  * einen Zeitstempel anlegen.
  */
 if (!isset($rvar_zk_id) && $abr == "j")
 {
   $sql .= ", zk_dat = '".time()."', ts_pers = '".$pers_id;
   $sql .= "', ts_verlauf_end = '".date_isodatetime_stamp($end)."'";
 }

 /*
  * ZK schon vorhanden aber bis jetzt wurde noch kein Zeitstempel gesetzt,
  * weil noch nicht abrechnungsrelevant.
  */
 if (isset($rvar_zk_id) && $abr == "j")
 {
   /* pruefen ob Datum vorhanden */
   $ask = "SELECT zk_dat FROM tb_ab_zk WHERE zk_id = '".$rvar_zk_id."'";
   $erg = abfrage($ask);

   if ($erg[0] <= 0)
   {
     $sql .= ", zk_dat = '".time()."', ts_pers = '".$pers_id;
     $sql .= "', ts_verlauf_end = '".date_isodatetime_stamp($end)."'";
   }
 }

 /* Person die die ZK anlegt wenn neu. */
 if (!isset($rvar_zk_id) || $pgruppe[0]>0)
 {
   $sql .= ", pers_id = '".$pers_id."'";
 }

if(isset($rvar_zk_id)){
    $sql .= ", termin_id = '$rvar_termin_id'";
	$sql .= " where zk_id = '$rvar_zk_id';";
} else {
	$sql .= ", termin_id = '$termin_id'";
}

 abfrage2($sql);

 /* ZK ID ermitteln */
 if (!isset($rvar_zk_id))
 {
   $zk_id = mysql_insert_id();
 }
 else
 {
   $zk_id = $rvar_zk_id;
 }

 /*
  * Die Zeitaenderung an der ZK werden alle protokolliert
  */
/* pruefen ob schon ein Eintrag in tb_ab_zk vorhanden ist */
if (!isset($rvar_zk_id) || date_isodatetime_stamp($beg) != $erg_aend[0] || date_isodatetime_stamp($end) != $erg_aend[1] || $erg_aend[2]=='n' && $abr=='j') {
	$sql2  = "INSERT INTO tb_ab_zk_verlauf SET zk_id = '".$zk_id."', ";
	$sql2 .= "ts_change = '".time()."', ts_pers = '";
	$sql2 .= $_SESSION[$AppCode]["UID"]."', ts_zk_end = '";
	$sql2 .= date_isodatetime_stamp($end)."', ab='$abr'";

	abfrage2($sql2);
}

 if(isset($_POST['kmgp'])) {
	abfrage2("REPLACE INTO tb_zk_km_geld SET zk_id='$zk_id', betrag='".str_replace(',', '.', $rvar_kmgp)."'");
 } else {
	abfrage2("DELETE FROM tb_zk_km_geld WHERE zk_id='$zk_id' LIMIT 1");
 }

 if(isset($_POST['xf'])) {
	abfrage2("REPLACE INTO tbh_extrafahrt SET zk_id='$zk_id', extrafahrt='j'");
 } else {
	$xf = abfrage("select extrafahrt from tbh_extrafahrt WHERE zk_id='$zk_id'");
	if($xf[0] == 'j') abfrage2("UPDATE tbh_extrafahrt SET extrafahrt='n' WHERE zk_id='$zk_id'");
 }

 if($rvar_submit == "Kosten") {
	abfrage2("INSERT INTO tbh_extrafahrt SET zk_id='$zk_id', extrafahrt='n'");
 }

 /* 2. Klientenkonto */
 abfrage2("delete from tb_klientenkonto2 where zk_id='$zk_id'");
 if($rvar_kk2 == 1) {
	$sql = "insert into tb_klientenkonto2 set zk_id='$zk_id',
			ab_monat='".date('Y-m-01', date_isodatetime_stamp($beg))."',
			spesen_text='$rvar_spesen_text', 
			spesen_betr = '" . str_replace(',', '.', $rvar_spesen_betr) . "'";
	abfrage2($sql);
 }

 /* 
  * Historie der Aenderungen am Fahrtenbuch 
  */
if(isset($rvar_Sicherheitsabfrage) || ($history && $rvar_km_dienst>0)) {
 $sql  = "INSERT INTO tb_fahrtenhistorie SET zk_id = '$zk_id', ";
 $sql .= "res_id = '$rvar_res_id', zk_ts='".date_isodatetime_stamp($beg)."', ";
 $sql .= "km_start='$rvar_km_anfang', km_ende='$rvar_km_ende', ";
 $sql .= "text = '$rvar_grund', pers_id = '{$_SESSION[$AppCode]['UID']}'";
 abfrage2($sql);
}

if($rvar_dienst_start) {
	$time = check_time($rvar_startzeit);
	if(empty($time)) $time = strftime("%H:%M", time());
} else $time = 0;
if($time) {
	$dienst_start = date_tstime(date_gr2ts($dat),$time);
	if($rvar_dienst_ende) {
		$time = check_time($rvar_endzeit);
		if(empty($time)) $time = strftime("%H:%M", time());
	} else $time = 0;
	if($time) {
		$dienst_ende = date_tstime(date_gr2ts($dat),$time);
	} else $dienst_ende = 0;
} else $dienst_start = $dienst_ende = 0;
$sql = "REPLACE INTO tb_ab_zk_dienst 
		SET zk_id = '$zk_id', 
		dienst_start = '$dienst_start', 
		dienst_ende = '$dienst_ende'";
abfrage2($sql);

// bei Kindeswohlgefhrdung:
if ($rvar_kwg == 1){
	$vorh = abfrage("select hp_id from tb_hp
					where proj_id = $rvar_proj_id and hp_art = 'k'
					and (and_datum is null or and_datum = '0000-00-00' or and_datum > '$beg');");

	if (empty($vorh[0])){
		if(empty($rvar_zk_id)) $pers = $rvar_pers_id;
		else {
			$ma = abfrage("select pers_id from tb_ab_zk where zk_id = $rvar_zk_id;");
			$pers = $ma[0];
		}
		abfrage2("insert into tb_hp set
					proj_id = '$rvar_proj_id',
					pers_id = '$pers',
					datum = '$dat1',
					hp_art = 'k';");
	}
}

/* Zeitkartengenehmigung bei TTT-Projekten */
if (isset($rvar_zk_id) && isset($rvar_sperre)){
	$sql = 'update tb_ab_zk set sperre =';

	if ($rvar_sperre == 'j'){
		$sql .= "'j', sperre_id = '$pers_id', ";
		$sql .= "sperre_dt = now() ";
	} else {
		$sql .= "'n', sperre_id = NULL, sperre_dt = NULL ";
	}

	$sql .= "where zk_id = '$rvar_zk_id' limit 1;";
	abfrage2($sql);
}

 /* ZK Aenderung - Cachetabelle updaten */
 azk_update_cache($rvar_proj_id, $beg);

// berschneidende Zeitkarten aufteilen, sofern ZK-Code berschneidungen erlaubt
if (zk_ueber($rvar_code)){

	$zk = (isset($rvar_zk_id)) ? $rvar_zk_id : $zk_id;
	$ma = abfrage("select pers_id from tb_ab_zk where zk_id = $zk;");

	$beg1 = date_isodatetime_stamp($beg);
	$end1 = date_isodatetime_stamp($end);
	zk_aendere_ueberschneidungen($ma[0], $beg1, $end1);
}

if ($rvar_submit == "Berechnen" || substr($rvar_submit, 0, 11) == "Raumnutzung" || $rvar_submit == "Kosten"){
	header("Location: pro_ab_zk.php?proj_id=$rvar_proj_id&zk_id=$zk_id");
} elseif ($_POST["kt"] == 1) {
	header("Location: pro_ab_k.php?proj_id=$rvar_proj_id&abmonat=$rvar_abmonat&abjahr=$rvar_abjahr");
} elseif ($rvar_code == 'C' && getConf("czeitenliste")){
	header("Location: auf.php?ma=99999");
} else {
	$url = (isset($_SESSION[$AppCode]['url'])) ? $_SESSION[$AppCode]['url'] : "pro_ab.php?proj_id=$rvar_proj_id";
	unset_session_url();
	header("Location: $url");
}
?>