<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_betr.php 2897 2018-10-24 15:16:23Z tfreudenberg $
 *
 */

session_start();
$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = isset($_GET['team_art_id']) ? 35 : 6;
require("inc/stw.inc.php");

$proj = isset($rvar_proj_id);
$team = isset($rvar_team_art_id);
$aufg = isset($rvar_aufgabe_id);

if(($proj && !check_projekt_berechtigung($rvar_proj_id)) || ($team && !check_nutzer_rechte(62))) {
	echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
	new stwEnd($seite);
	exit(0);
}

$pers_order = getPersOrder($seite);

if($proj) {
	$projekt = new stwProjekt($rvar_proj_id);
	$projekt->InfoZeile();
}
if($team) {
	$ta = abfrage_array("select art, farbe, extern, kuerzel, kurzname, name,
						IF(nummer IS NULL, LPAD(RIGHT(team_art_id,3),3,'0'), nummer) as nr
						from tb_team_art where team_art_id='$rvar_team_art_id'");
	echo "<table width=\"750\"><tr><td>";
	echo "<a href=\"team_art_and.php?team_art_id=$rvar_team_art_id\" style=\"color:$ta[1]\">";
	echo $ta['art'] . ($ta['extern'] ? 'e' : 'i') . ' ' . $ta['nr'] . ' ' . $ta['kuerzel'];
	echo "</a></td><th>" . $ta['kurzname'] . "</th><td>" . $ta['name'] . "</td></tr></table>\n";
}
if($aufg) {
	$sql = "select t2.prioritaet,
			date_format(t1.termin,'%d.%m.%Y') as termin, t6.pers_id, t1.autor,
			t1.titel, t1.erledigt, t2.farbe,
			date_format(t1.erl_datum,'%d.%m.%Y') as erl_datum,
			to_days(t1.termin) as to_termin, to_days(curdate()) as to_heute, 
			date_format(t1.eingabe,'%d.%m.%Y') as eingabe,
			abt.name as abteilung, t1.nr
			from tb_aufgaben t1 left join tb_prio t2 using (prio)
			left join tbh_pers_auf t3 on t1.aufgabe_id = t3.aufgabe_id
			left join tb_personal_abt abt on t1.abt_id = abt.abt_id
			left join tb_personal t4 on t3.pers_id = t4.pers_id
			left join tb_personal t5 on t1.autor = t5.pers_id 
			left join tbh_pers_auf t6 on t1.aufgabe_id = t6.aufgabe_id and t6.zust = 'j' 
			where t1.aufgabe_id = '$rvar_aufgabe_id'";
	$zeile = abfrage_assoc($sql);
	echo "<table><tr>";
	echo "<td class=\"cl1\"><a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\">{$zeile['nr']}</a></td>\n";
	echo "<td class=\"cl20\">".$zeile['titel']."</td><td class=\"cl20\" style=\"color:{$zeile['farbe']}\">{$zeile['prioritaet']}</td>";
	echo "<th>f&auml;llig:</th>";
  	if ($zeile['erledigt'] == 100){
  		$style = "style=\"color:#CCCCCC\"";
  		$text = "title=\"Aufgabe erledigt\"";
  	} elseif ($zeile['to_termin'] < $zeile['to_heute']){
  		$style = "style=\"color:#FF0000\"";
  		$text = "title=\"Aufgabe berfllig\"";
  	} elseif ($zeile['erledigt'] > 0 && $zeile['erledigt'] < 100){
  		$style = "style=\"color:#00FF00\"";
  		$text = "title=\"Aufgabe begonnen\"";
  	} else {
  		$style = " ";
  		$text = " ";
  	}
  	echo "<td class=\"cl20\">";
  	echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\" $style $text>";
  	echo $zeile['termin'] . "</a></td>\n";
	echo "<td class=\"cl1\">{$zeile['abteilung']}</td>\n";
	echo "</tr></table>\n";
}
new stwLine(1);

if (isset($rvar_pers_id)){
	if($proj) $sql="select personaltyp_id, kat_id, kl_id, ppkw, fuer,
					eingearbeitet_pers_id, eingearbeitet_ts, hperw, perstyp_vertr
					from tbh_pers_proj
					where proj_id = $rvar_proj_id and pers_id = $rvar_pers_id;";
	if($team) $sql="select fokus, fuer, eingearbeitet_pers_id, eingearbeitet_ts,
					perstyp_vertr, remind from tb_team_art_pers 
					where team_art_id = '$rvar_team_art_id'
					and pers_id = '$rvar_pers_id'";
	if($aufg) {
		$sql="select personaltyp_id, auf, zust from tbh_pers_auf where aufgabe_id = '$rvar_aufgabe_id' and pers_id = $rvar_pers_id;";
		$hb = abfrage("select pers_id from tbh_pers_auf where aufgabe_id = '$rvar_aufgabe_id' and zust='j'");
	}
	$bet = abfrage_array($sql);
}

echo "<table>\n";
echo "<form method=\"post\" name=\"betrform\" action=\"pro_betrsql.php\">\n";

$ti = 1;

echo "<tr><th class=\"cl1\">Betreuer:</th>\n";
$order = ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
if ($proj && isset($rvar_pers_id) && $bet[0] == 1 || $aufg && $bet[2] == 'j'){
	echo "<td>" . pers_name($rvar_pers_id) . "</td>\n";
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
} else {
	echo "<td><select name=\"pers_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\">Mitarbeiter w&auml;hlen!</option>\n";

	$betreuerprojekte = array(1, 2);

	if ($proj && in_array($projekt->projektart(), $betreuerprojekte)){
		$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$rvar_proj_id'");
		
		$res = abfrage1("select pers_id from tb_personal
						where status_id = 2 and (
							betreuer = 'j' or pers_id in (
								select p.pers_id from tbh_proj_abt a
								left join tbh_pers_abt p using(abt_id)
								where a.proj_id='$rvar_proj_id'
						) ) order by $order;");
	} else {
		$sql = "select pers_id from tb_personal where status_id = 2 ";
		if($team) $sql .= "and pers_id not in 
			(select pers_id from tb_team_art_pers where team_art_id = '$rvar_team_art_id' and fokus is not null) ";
		if(isset($rvar_pers_id)) $sql .= "or pers_id='$rvar_pers_id' ";
		$sql .= "order by $order;";
		$res = abfrage1($sql);
	}

	while ($zeile = mysql_fetch_row($res)) {
	  if($team || $proj && $projekt->hb() != $zeile[0] || $aufg && $hb[0] != $zeile[0]) {
	    echo "  <option ";
	    echo "value=\"$zeile[0]\" ";
	    echo ($zeile[0] == $rvar_pers_id) ? 'selected' : '';
		echo ">" . ($pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
	  }
	}
	echo "</select>\n</td>\n";
}
echo "</tr>\n";


echo "<tr><th class=\"cl1\">Rolle:</th>\n";
if ($proj && isset($rvar_pers_id) && $bet[0] == 1 || $aufg && $bet[2] == 'j' && $bet[0] < 2){
	echo "<td>";
	if($proj) {
		$SBVerw = SBVerw($rvar_proj_id,1);
		echo $SBVerw ? "$SBVerw (Hauptbetreuer)" : "Hauptbetreuer";
	} else echo "Hauptbetreuer";
	echo "<input type=\"hidden\" name=\"personaltyp_id\" value=\"1\">\n";
} else {
	echo "<td><select style=\"width:140px\" name=\"personaltyp_id\" tabindex=\"$ti\" ";
	echo "onchange=\"";
	if($proj) {
		echo "if(document.betrform.hperw) {";
		echo "if(document.betrform.personaltyp_id.value==2 || ";
		echo "document.betrform.personaltyp_id.value==8 || ";
		echo "document.betrform.personaltyp_id.value==9)";
		echo "{document.betrform.hperw[0].checked=1;";
		echo "document.betrform.hperw[1].checked=0;} ";
		echo "else {document.betrform.hperw[0].checked=0;";
		echo "document.betrform.hperw[1].checked=1;} } ";
	}
	echo "if(document.betrform.personaltyp_id.value==3 || document.betrform.personaltyp_id.value==8){ ";
	echo "document.getElementById('vertretung').style.display='inline'; }";
	echo "else { document.getElementById('vertretung').style.display='none'; }";
	echo "\">\n"; $ti++;
	echo "<option value=\"5\">Rolle w&auml;hlen!</option>\n";
	$sql = "select personaltyp_id, personaltyp from tb_personaltyp ";
	if($proj || $aufg) $sql.= "where personaltyp_id != '1' ";
	$sql.= "order by sort asc";
	$res = abfrage1($sql);

	while ($zeile = mysql_fetch_row($res)) {
	    echo "  <option ";
	    echo "value=\"$zeile[0]\" ";
		echo ($zeile[0] == $bet[0]) ? 'selected' : '';
	    echo ">";
		if($proj) {
			$SBVerw = SBVerw($rvar_proj_id,$zeile[0]);
			echo $SBVerw ? "$SBVerw ($zeile[1])" : $zeile[1];
		} else echo $zeile[1];
		echo "</option>\n";
    }
	echo "</select>\n";
}

if(!$aufg) {
	echo " &nbsp; f&uuml;r ";
	echo "<input type=\"text\" name=\"fuer\" size=\"20\" maxlength=\"30\" tabindex=\"$ti\" ";
	echo "value=\"" . $bet['fuer'] . "\">\n<span"; $ti++;
	if($bet[0] != 3 && $bet[0] != 8) echo " style=\"display:none\"";
	echo " id=\"vertretung\">";
	$res = abfrage1("select personaltyp_id, personaltyp from tb_personaltyp order by sort asc");
	echo " &nbsp; vertritt: ";
	echo "<select name=\"perstyp_vertr\" size=\"1\" tabindex=\"$ti\">\n";$ti++;
	echo "<option value=\"0\">jeden ohne explizite Vertretung</option>\n";
	while ($zeile = mysql_fetch_row($res)) {
		echo "  <option ";
		echo "value=\"$zeile[0]\" ";
		echo ($zeile[0] == $bet['perstyp_vertr']) ? 'selected' : '';
		echo ">$zeile[1]</option>\n";
	}
	echo "</select>\n";
	$checked = $bet['eingearbeitet_pers_id']>0 ? 'checked' : '';
	echo "<br /><input type=\"checkbox\" value=\"1\" style=\"margin-top:5px;\" $checked ";
	echo "name=\"eingearbeitet\" tabindex=\"$ti\"> Einf&uuml;hrung erfolgt "; $ti++;
	if($bet['eingearbeitet_pers_id']>0) echo "(".pers_kname($bet['eingearbeitet_pers_id']).", ".date('d.m.Y G:i', $bet['eingearbeitet_ts']).")";
	echo "</span>";
}
echo "</td></tr>\n";

if($proj) {
	echo "<tr><th class=\"cl1\">im HP aufgef&uuml;hrt:</th>\n";
	echo "<td><input type=\"radio\" name=\"hperw\" value=\"j\" tabindex=\"$ti\"";
	$ti++;
	if($bet[0] == 1) echo " disabled checked";
	elseif($bet[7] == 'j' || empty($bet[7]) && ($bet[0] == 2 || $bet[0] == 8 || $bet[0] == 9)) echo " checked";
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"hperw\" value=\"n\" tabindex=\"$ti\"";
	$ti++;
	if($bet[0] == 1) echo " disabled";
	elseif($bet[7] == 'n' || empty($bet[7]) && $bet[0] != 2 && $bet[0] != 8 && $bet[0] != 9) echo ' checked';
	echo ">&nbsp;<b>nein</b></td></tr>\n";

	echo "<tr><th>Projektkategorie:</th>\n";
	$pks = abfrage1("select k.kat_id, k.name from tb_proj_kat k
									 left join tbh_proj_kat h using (kat_id)
									 where k.global = '1' or h.proj_id = '$projekt->id'
									 order by k.name asc;");
	if (mysql_num_rows($pks) > 0){
		echo "<td><select name=\"kat_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;

		echo "<option value=\"0\"";
		if (empty($bet[1])) echo ' selected';
		echo ">keiner Projektkategorie zuordnen</option>\n";

		while ($pk = mysql_fetch_row($pks)){
			echo "<option value=\"$pk[0]\"";
			if ($pk[0] == $bet[1]) echo ' selected';
			echo ">$pk[1]</option>\n";
		}

		echo "</select></td>\n";
	} else {
		$ttt  = 'Diesem Projekt wurden noch keine ';
		$ttt .= 'Projektkategorien zugeordnet.';
		echo '<td' . stwToolTip($ttt) . ">keine Projektkategorien</td></tr>\n";
	}

	if ($_SESSION[$AppCode]['ULV'] >= 96){
		echo "<tr><th class=\"cl1\">Stundensatz:</th>\n";
		echo "<td><select name=\"kl_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
		echo "<option value=\"0\">Honorarklasse w&auml;hlen!</option>\n";
		$res = abfrage1("select h.kl_id, IF(p.kurzname IS NULL, p.personalart, p.kurzname), h.name, h.betrag
						from tb_hon_kl h
						left join tb_personalart p using (p_art_id)
						order by IF(p.kurzname IS NULL, p.personalart, p.kurzname) asc, h.betrag asc;");

		while ($zeile = mysql_fetch_row($res)) {
			echo "  <option ";
			echo "value=\"$zeile[0]\"";
			echo ($zeile[0] == $bet[2]) ? ' selected' : '';
			echo ">$zeile[1]&nbsp;-&nbsp;$zeile[2]&nbsp;-&nbsp;";
			if($zeile[0]>0) echo geld_form_web($zeile[3]) ."/h";
			echo "</option>\n";
		}
		echo "</select></td>\n</tr>\n";


		echo "<tr><th class=\"cl1\">Honorarkraft mit<br>km-Geld Privat-PKW:</th>\n";
		echo "<td><input type=\"radio\" name=\"ppkw\" value=\"j\" tabindex=\"$ti\"";
		$ti++;
		echo ($bet[3] == 'j') ? ' checked' : '';
		echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
		echo "<input type=\"radio\" name=\"ppkw\" value=\"n\" tabindex=\"$ti\"";
		$ti++;
		echo ($bet[3] == 'n' || empty($bet[3])) ? ' checked' : '';
		echo ">&nbsp;<b>nein</b></td></tr>\n";
	}
} elseif($team) {
	new stwTabLine(2,30);
	$checked = is_null($bet['remind']) ? '' : "checked";
	echo "<tr><th><input type=\"checkbox\" name=\"rchk\" value=\"1\" $checked style=\"position:relative;top:2px\"> Einnerung:</th>";
	echo "<td><input type=\"text\" style=\"text-align:right\" value=\"{$bet['remind']}\" size=\"3\" name=\"remind\">";
	echo " Tage vor der Sitzung</td></tr>\n";
}
new stwTabLine(2,30);
if($proj) {
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$projekt->id\">\n";
	echo "<input type=\"hidden\" name=\"returnpath\" value=\"$rvar_returnpath\">\n";
	if(isset($rvar_proj_id_neu)) echo "<input type=\"hidden\" name=\"proj_id_neu\" value=\"$rvar_proj_id_neu\">\n";
	if(isset($rvar_proj_id_alt)) echo "<input type=\"hidden\" name=\"proj_id_alt\" value=\"$rvar_proj_id_alt\">\n";
}
if($team) echo "<input type=\"hidden\" name=\"team_art_id\" value=\"$rvar_team_art_id\">\n";
if($aufg) echo "<input type=\"hidden\" name=\"aufgabe_id\" value=\"$rvar_aufgabe_id\">\n";
echo "<tr><td><input type=\"submit\" value=\"Speichern!\" tabindex=\"$ti\"></td></tr>\n";
echo "</form>\n";
echo "</table>\n";
new stwLine(1);

new stwEnd($seite);
?>
