<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level=96;
$seite = 6;
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function pr_ende($beginn,$proj_id,$chk,$alt,$neu) {
	$userResp = new xajaxResponse();
	$ts = date_gr2ts($beginn);
	$monatserster = mktime(0,0,0, date('n',$ts),1,date('Y',$ts));
	if($ts > $monatserster) {
		$abm = date('Y-m-01',$ts);
		$zk = abfrage("select nachw_id from tb_ab_zk where proj_id='$proj_id' and ab_monat >= '$abm' order by nachw_id desc limit 1");
		if($zk[0]) {
			$ts = date_my2ts($abm);
			$beginn = date('d.m.Y',mktime(0,0,0, date('n',$ts),1,date('Y',$ts)));
			$userResp->assign('beginn','value',$beginn);
		}
	}
	$ende = date('d.m.Y',mktime(0,0,0, date('n',$ts),date('j',$ts)-1,date('Y',$ts)));
	$userResp->assign('ende','value',$ende);
	$userResp->call("xajax_archiv('$chk','$alt','$neu','$ende')");
	return $userResp;
}

function pr_beginn($ende,$proj_id,$chk,$alt,$neu) {
	$userResp = new xajaxResponse();
	$ts = date_gr2ts($ende);
	$monatsletzter = mktime(0,0,0, date('n',$ts),date('t',$ts),date('Y',$ts));
	if($ts < $monatsletzter) {
		$abm = date('Y-m-01',$ts);
		$zk = abfrage("select nachw_id from tb_ab_zk where proj_id='$proj_id' and ab_monat > '$abm' order by nachw_id desc limit 1");
		if($zk[0]) {
			$ts = $monatsletzter;
			$ende = date('t.m.Y',$monatsletzter);
			$userResp->assign('ende','value',$ende);
		}
	}
	$beginn = date('d.m.Y',mktime(0,0,0, date('n',$ts),date('j',$ts)+1,date('Y',$ts)));
	$userResp->assign('beginn','value',$beginn);
	$userResp->call("xajax_archiv('$chk','$alt','$neu','$ende')");
	return $userResp;
}

function archiv($chk,$alt,$neu,$ende) {
	$y = substr($ende,-4);
	$userResp = new xajaxResponse();
	$userResp->assign('nr','value',($chk ? $alt : $neu));
	$exist = abfrage("select proj_id from tb_projekte where projektnr='".$y.$alt."'");
	$userResp->assign('save','innerHTML',($chk && !empty($exist[0]) ? "<h2 style=\"color:red\">Spalten nicht m&ouml;glich. Projekt ".projektnummer($exist[0])." existiert bereits</h2>" : "<input type=\"button\" value=\"Projekt spalten\" onclick=\"cut.value='1';this.form.submit();\"/>"));
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('pr_ende');
$xajax->registerFunction('pr_beginn');
$xajax->registerFunction('archiv');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");
require_once($pfad."inc/stw.inc.php");

if(isset($_POST['korrektur'])) {
	list($jahr, $monat, $tag) = explode("-", $rvar_korrektur_datum);
	$folgemonat = date('Y-m-d', mktime(0,0,0,$monat+1,$tag,$jahr));
	$vormonat = date('Y-m-d', mktime(0,0,0,$monat-1,$tag,$jahr));
	$sql = "update tb_fls_korrektur 
			set korrektur='".str_replace(',','.',$rvar_korrektur)."', 
			korrektur_notiz='$rvar_korrektur_notiz'
			where proj_id='$rvar_proj_id_neu' and datum='$rvar_korrektur_datum'";
	abfrage2($sql);
	azk_update_cache($rvar_proj_id_neu,$vormonat);
	azk_update_cache($rvar_proj_id_neu,$rvar_korrektur_datum);
	azk_update_cache($rvar_proj_id_neu,$folgemonat);
}

if(isset($_POST['save'])) {
	// Projekt Alt
	$gebdat = date_gr2my(check_date($rvar_geboren_alt, 1));
	$begdat = date_gr2my(check_date($rvar_beginn_alt, 1));
	$enddat = date_gr2my(check_date($rvar_ende_alt, 1));
	$kosdat = date_gr2my(check_date($rvar_kostenzus_alt, 1));
	$kzedat = date_gr2my(check_date($rvar_kostenzus_ende_alt, 1));
	$befristung = ($rvar_befristung_alt == 'j' && !empty($enddat)) ? 'j' : 'n'; 
	$sql = "update tb_projekte set
			hilfeart_id = '$rvar_hilfeart_id_alt',
			projektnr = '$rvar_projektnr_alt',
			traeger_art_id = '$rvar_traeger_art_id_alt',
			ap_id = '$rvar_ap_id_alt',
			fb_id = '$rvar_fb_id_alt',
			fb_prio = '$rvar_fb_prio_alt',
			beginn = '$begdat',
			ende = '$enddat',
			register = '$rvar_register_alt',
			az = '$rvar_az_alt',
			kostenzus = '$kosdat',
			kostenzus_ende = '$kzedat',
			pool = '". str_replace(',', '.', $rvar_pool_alt) . "',
			wihi_id = '$rvar_wihi_id_alt',
			befristung = '$befristung',
			notizen_pro = '$rvar_notizen_pro_alt'
			where proj_id='$rvar_proj_id';";
	abfrage2($sql);
	$sql = "update tb_personen set name = '$rvar_name_alt',
								vorname = '$rvar_vorname_alt',
								geboren = '$gebdat',
								geschlecht = '$rvar_geschlecht_alt',
								telmobil = '$rvar_telmobil_alt',
								email = '$rvar_email_alt'
								where person_id = '$rvar_person_id_alt';";
	abfrage2($sql);
	$sr = getSozialraum($rvar_plz_alt, $rvar_ort_alt);
	if($sr !== false) $rvar_sozialraum_alt = $sr;
	$sql = "update tb_p_adressen set strasse = '$rvar_strasse_alt',
								 plz = '$rvar_plz_alt',
								 ort = '$rvar_ort_alt',
								 telefon = '$rvar_telefon_alt',
								 entfernung = '$rvar_entfernung_alt',
								 sozialraum = '$rvar_sozialraum_alt',
								 fax = '$rvar_fax_alt'
								 where adress_id = '$rvar_adress_id_alt';";
	abfrage2($sql);
	abfrage2("delete from tbh_pers_proj where proj_id = '$rvar_proj_id' and personaltyp_id = '1'");
	abfrage2("replace into tbh_pers_proj set pers_id = '$rvar_pers_id_alt', personaltyp_id = '1', proj_id = '$rvar_proj_id';");

	$show_child = empty($rvar_show_child) ? 'n' : 'j'; 
	$show_parent = empty($rvar_show_parent) ? 'n' : 'j'; 
	abfrage2("update tb_pro_inheritance set show_child_in_parent='$show_child', show_parent_in_child='$show_parent' where proj_id_parent='$rvar_proj_id' and proj_id_child='$rvar_proj_id_neu'");

	// Projekt Neu
	$gebdat = date_gr2my(check_date($rvar_geboren_neu, 1));
	$begdat = date_gr2my(check_date($rvar_beginn_neu, 1));
	$enddat = date_gr2my(check_date($rvar_ende_neu, 1));
	$kosdat = date_gr2my(check_date($rvar_kostenzus_neu, 1));
	$kzedat = date_gr2my(check_date($rvar_kostenzus_ende_neu, 1));
	$befristung = ($rvar_befristung_neu == 'j' && !empty($enddat)) ? 'j' : 'n'; 
	$sql = "update tb_projekte set
			hilfeart_id = '$rvar_hilfeart_id_neu',
			projektnr = '$rvar_projektnr_neu',
			traeger_art_id = '$rvar_traeger_art_id_neu',
			ap_id = '$rvar_ap_id_neu',
			fb_id = '$rvar_fb_id_neu',
			fb_prio = '$rvar_fb_prio_neu',
			beginn = '$begdat',
			ende = '$enddat',
			register = '$rvar_register_neu',
			az = '$rvar_az_neu',
			kostenzus = '$kosdat',
			kostenzus_ende = '$kzedat',
			pool = '". str_replace(',', '.', $rvar_pool_neu) . "',
			wihi_id = '$rvar_wihi_id_neu',
			befristung = '$befristung',
			notizen_pro = '$rvar_notizen_pro_neu'
			where proj_id='$rvar_proj_id_neu';";
	abfrage2($sql);
	$sql = "update tb_personen set name = '$rvar_name_neu',
								vorname = '$rvar_vorname_neu',
								geboren = '$gebdat',
								geschlecht = '$rvar_geschlecht_neu',
								telmobil = '$rvar_telmobil_neu',
								email = '$rvar_email_neu'
								where person_id = '$rvar_person_id_neu';";
	abfrage2($sql);
	$sr = getSozialraum($rvar_plz_neu, $rvar_ort_neu);
	if($sr !== false) $rvar_sozialraum_neu = $sr;
	$sql = "update tb_p_adressen set strasse = '$rvar_strasse_neu',
								 plz = '$rvar_plz_neu',
								 ort = '$rvar_ort_neu',
								 telefon = '$rvar_telefon_neu',
								 entfernung = '$rvar_entfernung_neu',
								 sozialraum = '$rvar_sozialraum_neu',
								 fax = '$rvar_fax_neu'
								 where adress_id = '$rvar_adress_id_neu';";
	abfrage2($sql);
	abfrage2("delete from tbh_pers_proj where proj_id = '$rvar_proj_id_neu' and personaltyp_id = '1'");
	abfrage2("replace into tbh_pers_proj set pers_id = '$rvar_pers_id_neu', personaltyp_id = '1', proj_id = '$rvar_proj_id_neu';");
}

if(isset($_POST['cut']) && $_POST['cut']==1) {
	$datum0 = date_gr2my($rvar_ende);
	$datum1 = date_gr2my($rvar_beginn);
	$abm = date('Y-m-01',date_gr2ts($rvar_beginn));
	$nachw = abfrage("select nachw_id, ab_monat from tb_ab_zk where proj_id='$rvar_proj_id' and ab_monat >= date_sub('$abm', INTERVAL 1 MONTH) order by nachw_id desc limit 1");
	if($nachw[0]) {
		$azk = abfrage("SELECT vormonat FROM tb_azk_proj WHERE proj_id='$rvar_proj_id' AND datum='$abm'");
		if(is_null($azk[0])) {
			$temp = new stwProjekt($rvar_proj_id);
			$vm = $temp->fls_vormonat($abm);
		} else $vm = $azk[0];
	}
	$pro = abfrage_assoc("select * from tb_projekte where proj_id='$rvar_proj_id'");

	$sql = "update tb_projekte set ende='$datum0'";
	if($rvar_archiv == 1) {
		list($tag, $monat, $jahr) = explode(".", $rvar_ende);
		$nr = $pro['projektnr'];
		while(strlen($nr) < 4) $nr = '0'.$nr;
		$nr = $jahr.$nr;
		$sql .= ", projektnr='$nr'";
	}
	$sql .= " where proj_id='$rvar_proj_id'";
	abfrage2($sql);

	$sql = "INSERT INTO tb_projekte SET ";
	$keinkomma = true;
	foreach($pro as $name => $value) {
		if($name == 'proj_id') continue;
		if($name == 'projektnr') $value = $rvar_nr;
		if($name == 'ersteller_id') $value = $uid;
		if($name == 'erstelldatum') $value = date('Y-m-d');
		if($name == 'ende' && $value <= $datum1) continue;
		if($keinkomma) $keinkomma=false;
		else $sql .= ', ';
		$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
	}
	abfrage2($sql);
	$proj_id_neu = mysql_insert_id();
	abfrage2("insert into tb_pro_inheritance set proj_id_child='$proj_id_neu', proj_id_parent='$rvar_proj_id'");

	// Betreuer
	$betrs = abfrage1("select * from tbh_pers_proj where proj_id='$rvar_proj_id'");
	while ($betr = mysql_fetch_assoc($betrs)) {
		$sql = "INSERT INTO tbh_pers_proj SET proj_id='$proj_id_neu', 
				pers_id='{$betr['pers_id']}', 
				personaltyp_id='{$betr['personaltyp_id']}',
				hpst='{$betr['hpst']}',
				kl_id='{$betr['kl_id']}',
				ppkw='{$betr['ppkw']}',
				kat_id='{$betr['kat_id']}',
				fuer='{$betr['fuer']}',
				eingearbeitet_pers_id='{$betr['eingearbeitet_pers_id']}',
				eingearbeitet_ts='{$betr['eingearbeitet_ts']}',
				hperw='{$betr['hperw']}',
				perstyp_vertr='{$betr['perstyp_vertr']}',
				hpskala='{$betr['hpskala']}'";
		abfrage2($sql);
	}

	//Honorarklassen
	$pphks = abfrage1("select * from tbh_pers_proj_hon_kl where proj_id='$rvar_proj_id'");
	while ($pphk = mysql_fetch_assoc($pphks)) {
		$sql = "INSERT INTO tbh_pers_proj_hon_kl SET proj_id='$proj_id_neu', 
				pers_id='{$pphk['pers_id']}', kl_id='{$pphk['kl_id']}',
				ppkw='{$pphk['ppkw']}'";
		abfrage2($sql);
	}

	// Personen
	$child = abfrage("select person_id from tbh_proj_personen where proj_id='$rvar_proj_id' and perstyp_id = 1 order by person_id asc limit 1");
	$pers_data = abfrage_assoc("select * from tb_personen where person_id='$child[0]'");
	$adresse = abfrage_assoc("select * from tb_p_adressen where adress_id='{$pers_data['adress_id']}'");
	$sql = "insert into tb_p_adressen set ";
	$komma = false;
	foreach($adresse as $name => $value) {
		if($name == 'adress_id') continue;
		if($komma) $sql .= ',';
		else $komma = true;
		$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
	}
	abfrage2($sql);
	$adress_id_neu = mysql_insert_id();
	$sql = "insert into tb_personen set ";
	$komma = false;
	foreach($pers_data as $name => $value) {
		if($name == 'person_id') continue;
		if($name == 'adress_id') $value = $adress_id_neu;
		if($komma) $sql .= ',';
		else $komma = true;
		$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
	}
	abfrage2($sql);
	$person_id_neu = mysql_insert_id();
	abfrage2("insert into tbh_proj_personen set person_id='$person_id_neu', proj_id='$proj_id_neu', perstyp_id='1'");
	$personen = abfrage1("select * from tbh_proj_personen where proj_id='$rvar_proj_id' and perstyp_id != 1");
	while ($per = mysql_fetch_array($personen)) {
		$sql = "INSERT INTO tbh_proj_personen SET proj_id='$proj_id_neu',
				person_id='{$per['person_id']}', 
				perstyp_id='{$per['perstyp_id']}', 
				sorgerecht='{$per['sorgerecht']}'";
		abfrage2($sql);
	}

	// Kontakte
	$aps = abfrage1("select ap_id from tbh_ap_proj where proj_id='$rvar_proj_id'");
	while ($ap = mysql_fetch_row($aps)) {
		abfrage2("INSERT INTO tbh_ap_proj SET proj_id='$proj_id_neu', ap_id='$ap[0]'");
	}
	$konts = abfrage1("select kont_id from tbh_kont_proj where proj_id='$rvar_proj_id'");
	while ($kont = mysql_fetch_row($konts)) {
		abfrage2("INSERT INTO tbh_kont_proj SET proj_id='$proj_id_neu', kont_id='$kont[0]'");
	}

	// Projektkategorien
	$kats = abfrage1("select kat_id from tbh_proj_kat where proj_id='$rvar_proj_id'");
	while ($kat = mysql_fetch_row($kats)) {
		abfrage2("INSERT INTO tbh_proj_kat SET proj_id='$proj_id_neu', kat_id='$kat[0]'");
	}

	// Traeger / Abteilungen
	$trs = abfrage1("select traeger_art_id from tbh_proj_traeger where proj_id='$rvar_proj_id'");
	while ($tr = mysql_fetch_row($trs)) {
		abfrage2("INSERT INTO tbh_proj_traeger SET proj_id='$proj_id_neu', traeger_art_id='$tr[0]'");
	}
	$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$rvar_proj_id'");
	while ($abt = mysql_fetch_row($abts)) {
		abfrage2("INSERT INTO tbh_proj_abt SET proj_id='$proj_id_neu', abt_id='$abt[0]'");
	}

	// Ressourcen
	$res = abfrage1("select res_id from tbh_proj_pkw where proj_id='$rvar_proj_id'");
	while ($re = mysql_fetch_row($res)) {
		abfrage2("INSERT INTO tbh_proj_pkw SET proj_id='$proj_id_neu', res_id='$re[0]'");
	}

	// Statistikboegen
	$stats = abfrage1("select ab_monat from tb_statistikbogen where proj_id='$rvar_proj_id' and ab_monat > '$datum0'");
	while ($ab = mysql_fetch_row($stats)) {
		abfrage2("UPDATE tb_statistikbogen SET proj_id='$proj_id_neu' where proj_id='$rvar_proj_id' and ab_monat = '$ab[0]'");
	}

	// Projektberichtszeitraeume
	$pb_zr = abfrage1("select * from tb_pb_zr where proj_id='$rvar_proj_id' and (bis > '$datum0' or bis IS NULL or bis = '0000-00-00')");
	while($zr = mysql_fetch_array($pb_zr)) {
		if($zr['von'] > $datum0) abfrage2("update tb_pb_zr set proj_id='$proj_id_neu' where zr_id='$zr[0]'");
		elseif($zr['von'] < $datum0) abfrage2("insert into tb_pb_zr set proj_id='$proj_id_neu', von='$datum1', bis='{$zr['bis']}', frist='{$zr['frist']}'");
	}

	// Begruendung Mehrstunden
	$begrs = abfrage1("select ab_monat from tb_ab_mehrst_begr where proj_id='$rvar_proj_id' and ab_monat > '$datum0'");
	while ($ab = mysql_fetch_row($begrs)) {
		abfrage2("UPDATE tb_ab_mehrst_begr SET proj_id='$proj_id_neu' where proj_id='$rvar_proj_id' and ab_monat = '$ab[0]'");
	}

	// Hilfeplaene, Post, etc...
	$hps = abfrage1("select hp_id, hp_art, proj_id from tb_hp where
					datum>'$datum0' and (proj_id='$rvar_proj_id' or hp_id in 
					(select id from tbh_postzuordnung where posttyp='h' and id2='$rvar_proj_id' and typ='p')
					) order by hp_id asc");
	$eg = 0;
	while ($hp = mysql_fetch_row($hps)) {
		if($hp[2]==$rvar_proj_id) abfrage2("update tb_hp set proj_id='$proj_id_neu' where hp_id='$hp[0]'");
		else abfrage2("update tbh_postzuordnung set id2='$proj_id_neu' where id2='$rvar_proj_id' and posttyp='h' and id='$hp[0]' and typ='p'");
		if($hp[1]=='h2' && $eg == 0) $eg = $hp[0];
	}
	if($eg > 0) {
		$sql = "select * from tb_hp_eg e 
				left join tb_hp h using(hp_id)
				where h.proj_id='$rvar_proj_id' 
				order by hp_id asc limit 1";
		$hp = abfrage_assoc($sql);
		// EG kopieren
		if($hp['hp_id'] && $eg != $hp['hp_id']) {
			$sql = "INSERT INTO tb_hp SET ";
			$keinkomma = true;
			foreach($hp as $name => $value) {
				if($name == 'hp_id' || $name == 'eg_id' || $name == 'minimalkonsens' || $name == 'anlass' || $name == 'and_datum' || $name == 'hp_st') continue;
				if($name == 'proj_id') $value = $proj_id_neu;
				if($keinkomma) $keinkomma=false;
				else $sql .= ', ';
				$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
			}
			abfrage2($sql);
			$hp_id = mysql_insert_id();

			$sql = "insert into tb_hp_eg set hp_id='$hp_id', 
					minimalkonsens='" . str_replace("'", "\'", $hp['minimalkonsens']) . "',
					anlass='" . str_replace("'", "\'", $hp['anlass']) . "'";
			abfrage2($sql);

			$bels = abfrage1("select * from tb_hp_bel where hp_id='{$hp['hp_id']}';");
			while($bel = mysql_fetch_assoc($bels)){
				$sql = "insert into tb_hp_bel set hp_id='$hp_id', bel_kat_id='{$bel['bel_kat_id']}', 
						text='" . str_replace("'", "\'", $bel['text']) . "'";
				abfrage2($sql);
			}

			$praxisziele = abfrage1("select p.* FROM tb_hp_praxisziele p
									LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
									WHERE h.proj_id='$rvar_proj_id' and h.datum<'$datum1';");
			while($praxisziel = mysql_fetch_array($praxisziele)){
				$erledigt = empty($praxisziel['erledigt']) ? 'NULL' : "'{$praxisziel['erledigt']}'";
				$sql = "insert into tb_hp_praxisziele set hp_id='$hp_id', 
						nummer = '{$praxisziel['nummer']}', 
						ziel = '" . str_replace("'", "\'", $praxisziel['ziel']) . "', 
						termin = '{$praxisziel['termin']}', LE = '{$praxisziel['LE']}', 
						le_datum = '{$praxisziel['le_datum']}', HE = '{$praxisziel['HE']}', 
						he_datum = '{$praxisziel['he_datum']}', ASD = '{$praxisziel['ASD']}', 
						asd_datum = '{$praxisziel['asd_datum']}', erledigt = $erledigt, 
						erreicht = '{$praxisziel['erreicht']}', prio = '{$praxisziel['prio']}', 
						grund = '" . str_replace("'", "\'", $praxisziel['grund']) . "', 
						weiter = '{$praxisziel['weiter']}', 
						prio2 = '{$praxisziel['prio2']}', prio3 = '{$praxisziel['prio3']}', 
						kategorie = '{$praxisziel['kategorie']}'";
				abfrage2($sql);
				$ziel_id = mysql_insert_id();
				$vziele[ $praxisziel['id'] ] = $ziel_id;

				$handlungsschritte = abfrage1("select * from tb_hp_handlungsschritte where ziel_id='{$praxisziel['id']}'");
				while($handlungsschritt = mysql_fetch_array($handlungsschritte)){
					$sql = "insert into tb_hp_handlungsschritte set ziel_id='$ziel_id', 
							schritt = '" . str_replace("'", "\'", $handlungsschritt['schritt']) . "', 
							verantwortlich = '{$handlungsschritt['verantwortlich']}', 
							kat_id = '{$handlungsschritt['kat_id']}', 
							nummer = '{$handlungsschritt['nummer']}'";
					abfrage2($sql);
					$schritt_id = mysql_insert_id();
				}
			}
			$hpvors = abfrage1("select * from tb_hpvor where hp_id='{$hp['hp_id']}';");
			while($hpvor = mysql_fetch_array($hpvors)){
				$sql = "insert into tb_hpvor set hp_id='$hp_id', 
						befind_kl='" . str_replace("'", "\'", $hpvor['befind_kl']) . "', 
						befind_sb='" . str_replace("'", "\'", $hpvor['befind_sb']) . "', 
						befind_ma='" . str_replace("'", "\'", $hpvor['befind_ma']) . "', 
						hziel_kl='" . str_replace("'", "\'", $hpvor['hziel_kl']) . "', 
						hziel_sb='" . str_replace("'", "\'", $hpvor['hziel_sb']) . "', 
						hziel_ma='" . str_replace("'", "\'", $hpvor['hziel_ma']) . "', 
						res_kl='" . str_replace("'", "\'", $hpvor['res_kl']) . "', 
						res_sb='" . str_replace("'", "\'", $hpvor['res_sb']) . "', 
						res_ma='" . str_replace("'", "\'", $hpvor['res_ma']) . "', 
						zzeit_kl='" . str_replace("'", "\'", $hpvor['zzeit_kl']) . "', 
						zzeit_sb='" . str_replace("'", "\'", $hpvor['zzeit_sb']) . "', 
						zzeit_ma='" . str_replace("'", "\'", $hpvor['zzeit_ma']) . "', 
						znicht_kl='" . str_replace("'", "\'", $hpvor['znicht_kl']) . "', 
						znicht_sb='" . str_replace("'", "\'", $hpvor['znicht_sb']) . "', 
						znicht_ma='" . str_replace("'", "\'", $hpvor['znicht_ma']) . "';";
				abfrage2($sql);
			}
			$hpvor2s = abfrage1("select * from tb_hpvor2 where hp_id='{$hp['hp_id']}';");
			while($hpvor2 = mysql_fetch_array($hpvor2s)){
				$sql = "insert into tb_hpvor2 set hp_id='$hp_id', ziel_id='{$vziele[ $hpvor2['ziel_id'] ]}', 
						le_err='" . str_replace("'", "\'", $hpvor2['le_err']) . "', 
						le_vor='" . str_replace("'", "\'", $hpvor2['le_vor']) . "',
						ad_err='" . str_replace("'", "\'", $hpvor2['ad_err']) . "', 
						ad_vor='" . str_replace("'", "\'", $hpvor2['ad_vor']) . "',
						ad_err2='" . str_replace("'", "\'", $hpvor2['ad_err2']) . "', 
						ad_vor2='" . str_replace("'", "\'", $hpvor2['ad_vor2']) . "',
						le_skala='{$hpvor2['le_skala']}', ad_skala='{$hpvor2['ad_skala']}',
						ad2_skala='{$hpvor2['ad2_skala']}', ad3_skala='{$hpvor2['ad3_skala']}',
						ad4_skala='{$hpvor2['ad4_skala']}';";
				abfrage2($sql);
			}
		}
	}

	// Projektbeginn
	$last = abfrage_assoc("select * from tb_hp where proj_id='$rvar_proj_id' and hp_art in ('s','h','h2') and and_datum <= '$datum1' order by and_datum desc limit 1");
	if(!empty($last['hp_id']) && $last['and_datum'] != $datum1) {
		$sql = "INSERT INTO tb_hp SET ";
		$keinkomma = true;
		foreach($last as $name => $value) {
			if($name == 'hp_id' || $name == 'time') continue;
			if($name == 'proj_id') $value = $proj_id_neu;
			if($name == 'hp_art') $value = 's';
			if($name == 'datum' || $name == 'and_datum') $value = $datum1;
			if($name == 'pers_id' || $name == 'chg_id') $value = $uid;
			if($keinkomma) $keinkomma=false;
			else $sql .= ', ';
			$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
		}
		abfrage2($sql);
		$hp_id = mysql_insert_id();
		$mas = abfrage1("select * from tbh_pers_proj_hp where hp_id='{$last['hp_id']}'");
		while($ma = mysql_fetch_assoc($mas)) {
			abfrage2("insert into tbh_pers_proj_hp set pers_id='{$ma['pers_id']}', proj_id='$proj_id_neu', hp_id='$hp_id', personaltyp_id='{$ma['personaltyp_id']}', hpst='{$ma['hpst']}'");
		}
	}

	// Nachrichten
	$nachs = abfrage1( "select nachr_id, proj_id from tb_nachr 
						where sent >= '$datum1' and (proj_id='$rvar_proj_id' 
						or nachr_id in (select id from tbh_postzuordnung where posttyp='n' and id2='$rvar_proj_id' and typ='p'))");
	while($nach = mysql_fetch_row($nachs)) {
		if($nach[1] == $rvar_proj_id) abfrage2("update tb_nachr set proj_id='$proj_id_neu' where nachr_id='$nach[0]'");
		else abfrage2("update tbh_postzuordnung set id2='$proj_id_neu' where id2='$rvar_proj_id' and posttyp='n' and id='$nach[0]' and typ='p'");
	}

	// Zeitkarten
	$sql = "select z.zk_id from tb_ab_zk z left join tb_termine t using(termin_id)
			where z.proj_id='$rvar_proj_id' and t.von >= '$datum1'";
	$zks = abfrage1($sql);
	while($zk = mysql_fetch_row($zks)) {
		abfrage2("update tb_ab_zk set proj_id='$proj_id_neu' where zk_id='$zk[0]'");
	}

	// Aufgaben
	abfrage2("update tb_aufgaben set proj_id='$proj_id_neu' where proj_id='$rvar_proj_id' and erledigt<100");
	abfrage2("update tb_web_feedback set proj_id='$proj_id_neu' where proj_id='$rvar_proj_id' and (erl_gf IS NULL or erl_gf = 0)");
	abfrage2("update tb_pc_fb set proj_id='$proj_id_neu' where proj_id='$rvar_proj_id' and (erl_gf IS NULL or erl_gf = 0)");
	abfrage2("update tb_res_fb set proj_id='$proj_id_neu' where proj_id='$rvar_proj_id' and (erl_gf IS NULL or erl_gf = 0)");

	// Uebertrag?!
	if($nachw[0]) {
		$seconds = ($nachw[1] > $datum1) ? $vm * 3600 : 0;
		list($jahr, $monat, $tag) = explode("-", $abm);
		$ts = mktime(0,0,0,$monat-1,$tag,$jahr);
		$vormonat = date('Y-m-d', $ts);
		if($vm{0} == '-') { //negative Zeitspanne
			$bis = date('Y-m-d H:i', $ts);
			$ts += substr($seconds,1);
			$von = date('Y-m-d H:i', $ts);
		} else { //positive Zeitspanne
			$von = date('Y-m-d H:i', $ts);
			$ts += $seconds;
			$bis = date('Y-m-d H:i', $ts);
		}

		$sql = "INSERT INTO tb_fls_korrektur SET korrektur='$vm', proj_id='$proj_id_neu', datum='$abm',
				korrektur_notiz='nach Spaltung &uuml;bernommener &Uuml;bertrag'";
		abfrage2($sql);

		abfrage2("INSERT INTO tb_termine SET terminart='@@@', von='$von', bis='$bis'");
		$termin_id = mysql_insert_id();
		$nachw_id = abfrage("SELECT max(nachw_id) FROM tb_ab_zk WHERE ab_monat='$vormonat'");

		abfrage2("INSERT INTO tb_ab_zk SET termin_id='$termin_id', 
				proj_id='$proj_id_neu', pers_id='0', ab='j', 
				ab_monat='$vormonat', fls=sec_to_time($seconds), code='@',
				nachw_id='$nachw_id[0]', inhalte='KORREKTUR-ZK'");
	}

	// ist zu spaltendes Projekt in einer Projektgruppe?
	$grprs = abfrage1("select * from tbh_projekt_gruppe where proj_id = '$rvar_proj_id' and (bis > '$datum0' OR bis IS NULL)");
	while($grpr = mysql_fetch_row($grprs)) {
		if($grpr[2] > $datum0) {
			abfrage2("update tbh_projekt_gruppe set proj_id='$proj_id_neu' where proj_id='$rvar_proj_id' and von='$grpr[2]'");
		} else {
			abfrage2("update tbh_projekt_gruppe set bis='$datum0' where proj_id='$rvar_proj_id' and von='$grpr[2]'");
			abfrage2("insert into tbh_projekt_gruppe set proj_id='$proj_id_neu', proj_id_gruppe='$grpr[1]', von='$datum1', bis=" . ($grpr[3] ? "'$grpr[3]'" : 'NULL'));
		}
	}
	// ist zu spaltendes Projekt selbst eine Gruppe?
	$neunundsechzig = abfrage("SELECT h.pra_id FROM tb_projekte p left join tb_hilfeart h using(hilfeart_id) WHERE proj_id = '$rvar_proj_id'");
	if($neunundsechzig[0] == 69) {
		// Maximalwerte Fehlzeiten Projektgruppen
		$fzs = abfrage1("select * from tb_pro_gruppe_fz where proj_id = '$rvar_proj_id'");
		while($fz = mysql_fetch_row($fzs)) {
			abfrage2("insert into tb_pro_gruppe_fz set proj_id='$proj_id_neu', terminart='$fz[1]', max='$fz[2]'");
		}
		// zugeordnete Projekte
		$grprs = abfrage1("select * from tbh_projekt_gruppe where proj_id_gruppe = '$rvar_proj_id' and (bis > '$datum0' OR bis IS NULL)");
		while($grpr = mysql_fetch_row($grprs)) {
			if($grpr[2] > $datum0) {
				abfrage2("update tbh_projekt_gruppe set proj_id_gruppe='$proj_id_neu' where proj_id='$grpr[0]' and von='$grpr[2]'");
			} else {
				abfrage2("update tbh_projekt_gruppe set bis='$datum0' where proj_id='$grpr[0]' and von='$grpr[2]'");
				abfrage2("insert into tbh_projekt_gruppe set proj_id='$grpr[0]', proj_id_gruppe='$proj_id_neu', von='$datum1', bis=" . ($grpr[3] ? "'$grpr[3]'" : 'NULL'));
			}
		}
		// erweiterte Einstellungen Projektgruppe
		$einst = abfrage_assoc("select * from tb_pro_gr_einst where proj_id='$rvar_proj_id'");
		if($einst['proj_id']) {
			$sql = "insert into tb_pro_gr_einst set ";
			$komma = false;
			foreach($einst as $name => $value) {
				if($name == 'proj_id') $value=$proj_id_neu;
				if($komma) $sql .= ',';
				else $komma = true;
				$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
			}
			abfrage2($sql);
		}
		// Tagessaetze pro Hilfeart und Projektgruppe
		$satzs = abfrage1("select * from tb_pro_gr_ha_satz where proj_id='$rvar_proj_id'");
		while($satz = mysql_fetch_assoc($satzs)) {
			$sql = "insert into tb_pro_gr_ha_satz set ";
			$komma = false;
			foreach($satz as $name => $value) {
				if($name == 'proj_id') $value=$proj_id_neu;
				if($komma) $sql .= ',';
				else $komma = true;
				$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
			}
			abfrage2($sql);
		}
	}
}

/////////////////////////////////////////////////////////
//                                                     //
//                   A U S G A B E                     //
//                                                     //
/////////////////////////////////////////////////////////
if(isset($_POST['cut']) && $_POST['cut']==1 || isset($rvar_proj_id_neu)) {
	if(isset($rvar_proj_id_neu)) $proj_id_neu = $rvar_proj_id_neu;
	$apro = abfrage_array("select * from tb_projekte where proj_id='$rvar_proj_id'");
	$npro = abfrage_array("select * from tb_projekte where proj_id='$proj_id_neu'");
	$inheritance = abfrage_array("select * from tb_pro_inheritance where proj_id_child='$proj_id_neu' and proj_id_parent='$rvar_proj_id'");
	$alt = new stwProjekt($rvar_proj_id);
	$neu = new stwProjekt($proj_id_neu);
	$hb_alt = $alt->hb();
	$hb_neu = $neu->hb();
	$personenprojekt = personenprojekt($proj_id_neu);
	$ti = 1;
	$prnr = ($neu->nr > 10000000) ? intval(substr($neu->nr,4)) : $neu->nr;
	$pranr = abfrage("select pra_id from tb_projektart where nr_von<=$prnr and nr_bis>=$prnr");
	$pra = $pranr[0];

	echo "<form method=\"post\" action=\"pro_cut.php?proj_id=$alt->id&proj_id_neu=$neu->id\">\n";
	echo "<table width=\"750\">\n";
	if(empty($inheritance[0])) {
		echo "<tr><th colspan=\"7\" style=\"color:red;text-align:center\">";
		echo "WARNUNG! Die beiden Projekte scheinen nicht auseinander hervorgegangen zu sein</th></tr>\n";
		new stwTabLine(1,7);;
	}
	echo "<tr class=\"mo\"><td><input type=\"submit\" name=\"save\" value=\"speichern\" /></td>";
	echo "<td>" . $alt->link() . "</td><td colspan=\"2\">Stand: ".$alt->ende()."</td>";
	echo "<td>" . $neu->link() . "</td><td colspan=\"2\">Stand: ".date('d.m.Y')."</td></tr>\n";
	new stwTabLine(2,7);
	echo "<tr class=\"mo\"><th class=\"cl1\">Projekt-Nr.:</th>\n";
//Projekt-Nr. alt
	echo "<td>";
	echo "<select style=\"width:50px\" name=\"hilfeart_id_alt\" size=\"1\" tabindex=\"$ti\">"; $ti++;
	$ha_where = "where ( aktiv = 'j' and pra_id = '$pra' ) or hilfeart_id = '".$alt->ha."'";
	$sort_ha = ($pra == 10) ? 'desc' : 'asc';
	$sql = "SELECT * FROM tb_hilfeart $ha_where order by hilfeart $sort_ha;";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option title=\"$zeile[2]\"";
        if ($alt->ha == $zeile[0]) echo ' selected';
	    echo " value=\"$zeile[0]\">$zeile[1]&nbsp;&nbsp;$zeile[2]</option>\n";
    }
    echo "</select>\n";
	echo "<input type=\"text\" name=\"projektnr_alt\" size=\"5\" maxlength=\"5\"";
	echo " tabindex=\"$ti\" style=\"text-align: right;\""; $ti++;
	echo " value=\"$alt->nr\" /> &nbsp;";
	echo initialien($alt->vname(),$alt->nname());
	$ja = abfrage("select t2.kurzname from tb_kontakte_ap t1 "
				. "left join tb_kontakte t2 on t1.kont_id = t2.kont_id and t2.kh_id='0' "
				. "where t1.ap_id = '$alt->sb';");
	echo " $ja[0]";
	echo "</td><th style=\"text-align:right\">Tr&auml;ger:</th>\n<td>";
	echo "<select name=\"traeger_art_id_alt\" size=\"1\" tabindex=\"$ti\">";
	$ti++;
	$sql  = "SELECT traeger_art_id, traeger_art, kurzname ";
	$sql .= "FROM tb_traeger_art order by kurzname asc;";
	$res = abfrage1($sql);
	$numtrs = mysql_num_rows($res);
	while ($row = mysql_fetch_row($res)) {
		echo "<option title=\"$row[1]\"";
		if ($alt->traeger_art_id == $row[0]) echo ' selected';
	  echo " value=\"$row[0]\">$row[2]</option>\n";
	}
	echo "</select>\n";
	if(in_array($pra,array(6,11))) {
		echo "<script type=\"text/javascript\"><!--\n";
		echo "function trShow() {\n";
		echo " var trs = document.getElementsByName('traeger_art_zus[]');\n";
		echo " for (var i = 0; i < trs.length; i++) if(trs[i].style.display == 'none') {\n";
		echo "  trs[i].style.display = 'inline';\nbreak;\n }\n";
		echo "}\n--></script>\n";
		$zus_trs = abfrage1("select traeger_art_id from tbh_proj_traeger where proj_id='$alt->id'");
		$zus_tr_cnt = mysql_num_rows($zus_trs);
		for($i=1; $i<$numtrs; $i++) {
			$style = $zus_tr_cnt >= $i ? '' : "style=\"display:none\"";
			echo "<select name=\"traeger_art_zus[]\" size=\"1\" tabindex=\"$ti\" $style>";
			echo "<option value=\"0\">--</option>\n";
			$ti++;
			$zus_tr = mysql_fetch_row($zus_trs);
			$sql  = "SELECT traeger_art_id, traeger_art, kurzname ";
			$sql .= "FROM tb_traeger_art order by kurzname asc;";
			$res = abfrage1($sql);
			while ($row = mysql_fetch_row($res)) {
				echo "<option title=\"$row[1]\"";
				if ($zus_tr[0] == $row[0]) echo ' selected';
			  echo " value=\"$row[0]\">$row[2]</option>\n";
			}
			echo "</select>\n";
		}
		echo " <a href=\"#\" style=\"font-size:16px\"";
		echo stwToolTip("weiteren Tr&auml;ger hinzuf&uuml;gen");
		echo "onmousedown=\"trShow();\">+</a> ";
	}
	echo "</td>\n";
//Projekt-Nr. neu
	echo "<td>";
	echo "<select style=\"width:50px\" name=\"hilfeart_id_neu\" size=\"1\" tabindex=\"$ti\">"; $ti++;
	$ha_where = "where ( aktiv = 'j' and pra_id = '$pra' ) or hilfeart_id = '".$neu->ha."'";
	$sort_ha = ($pra == 10) ? 'desc' : 'asc';
	$sql = "SELECT * FROM tb_hilfeart $ha_where order by hilfeart $sort_ha;";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option title=\"$zeile[2]\"";
        if ($neu->ha == $zeile[0]) echo ' selected';
	    echo " value=\"$zeile[0]\">$zeile[1]&nbsp;&nbsp;$zeile[2]</option>\n";
    }
    echo "</select>\n";
	echo "<input type=\"text\" name=\"projektnr_neu\" size=\"5\" maxlength=\"5\"";
	echo " tabindex=\"$ti\" style=\"text-align: right;\""; $ti++;
	echo " value=\"$neu->nr\" />&nbsp;";
	echo initialien($neu->vname(),$neu->nname());
	$ja = abfrage("select t2.kurzname from tb_kontakte_ap t1 "
				. "left join tb_kontakte t2 on t1.kont_id = t2.kont_id and t2.kh_id='0' "
				. "where t1.ap_id = '$neu->sb';");
	echo " $ja[0]";
	echo "</td><th style=\"text-align:right\">Tr&auml;ger:</th><td>\n";
	echo "<select name=\"traeger_art_id_neu\" size=\"1\" tabindex=\"$ti\">";
	$ti++;
	$sql  = "SELECT traeger_art_id, traeger_art, kurzname ";
	$sql .= "FROM tb_traeger_art order by kurzname asc;";
	$res = abfrage1($sql);
	$numtrs = mysql_num_rows($res);
	while ($row = mysql_fetch_row($res)) {
		echo "<option title=\"$row[1]\"";
		if ($neu->traeger_art_id == $row[0]) echo ' selected';
	  echo " value=\"$row[0]\">$row[2]</option>\n";
	}
	echo "</select>\n";
	if(in_array($pra,array(6,11))) {
		echo "<script type=\"text/javascript\"><!--\n";
		echo "function trShow2() {\n";
		echo " var trs = document.getElementsByName('traeger_art_zus2[]');\n";
		echo " for (var i = 0; i < trs.length; i++) if(trs[i].style.display == 'none') {\n";
		echo "  trs[i].style.display = 'inline';\nbreak;\n }\n";
		echo "}\n--></script>\n";
		$zus_trs = abfrage1("select traeger_art_id from tbh_proj_traeger where proj_id='$neu->id'");
		$zus_tr_cnt = mysql_num_rows($zus_trs);
		for($i=1; $i<$numtrs; $i++) {
			$style = $zus_tr_cnt >= $i ? '' : "style=\"display:none\"";
			echo "<select name=\"traeger_art_zus2[]\" size=\"1\" tabindex=\"$ti\" $style>";
			echo "<option value=\"0\">--</option>\n";
			$ti++;
			$zus_tr = mysql_fetch_row($zus_trs);
			$sql  = "SELECT traeger_art_id, traeger_art, kurzname ";
			$sql .= "FROM tb_traeger_art order by kurzname asc;";
			$res = abfrage1($sql);
			while ($row = mysql_fetch_row($res)) {
				echo "<option title=\"$row[1]\"";
				if ($zus_tr[0] == $row[0]) echo ' selected';
			  echo " value=\"$row[0]\">$row[2]</option>\n";
			}
			echo "</select>\n";
		}
		echo " <a href=\"#\" style=\"font-size:16px\"";
		echo stwToolTip("weiteren Tr&auml;ger hinzuf&uuml;gen");
		echo "onmousedown=\"trShow2();\">+</a> ";
	}
	echo "</td>\n";
	echo "</tr>\n";

/* Projektberichte */
	$pb_alt = abfrage("SELECT frist FROM tb_pb_zr WHERE proj_id = '".$alt->id."' ORDER BY zr_id DESC LIMIT 1");
	$pb_neu = abfrage("SELECT frist FROM tb_pb_zr WHERE proj_id = '".$neu->id."' ORDER BY zr_id DESC LIMIT 1");
	if (!empty($pb_alt) || !empty($pb_neu)) {
		echo "<tr class=\"mo\"><th class=\"cl1\">Projektbericht:</th>";
		$frist = $pb_alt[0];
		for($Iterator=0;$Iterator<2;$Iterator++) {
			if(empty($frist)) $zeitraum = ' - ';
			else switch ($frist) {
				case 1: $zeitraum = "w&ouml;chentlich"; break;
				case 2: $zeitraum = "14t&auml;gig"; break;
				case 3: $zeitraum = "monatlich"; break;
				case 4: $zeitraum = "quartalsweise"; break;
				case 5: $zeitraum = "halbj&auml;hrlich"; break;
				case 6: $zeitraum = "j&auml;hrlich"; break;
				default: $zeitraum = "unbekannt";
			}
			echo "<th colspan=\"3\">$zeitraum</th>";
			$frist = $pb_neu[0];
		}
		echo "</tr>\n";
	}
// verb. Projekt:
	echo "<tr class=\"mo\"><th>verb. Projekt:</th>\n";
	echo "<td colspan=\"2\" style=\"text-align:right\">abgespaltenes Projekt anzeigen:</td>";
	echo "<td><input type=\"checkbox\" value=\"1\" name=\"show_child\"";
	if($inheritance['show_child_in_parent'] == 'j') echo " checked";
	echo " /></td><td colspan=\"2\" style=\"text-align:right\">Ursprungs-Projekt anzeigen:</td>";
	echo "<td><input type=\"checkbox\" value=\"1\" name=\"show_parent\"";
	if($inheritance['show_parent_in_child'] == 'j') echo " checked";
	echo " /></td></tr>\n";
	/*
	$vbs = abfrage1("select verbund_id, date_format(datetime_von,'%d.%m.%Y') from tb_pro_verbund where proj_id='$alt->id' and datetime_bis is NULL order by datetime_von desc");
	if(mysql_num_rows($vbs) > 0) echo "<tr><td /><td colspan=\"6\" bgcolor=\"#008000\"></td></tr>\n";
	while($vb = mysql_fetch_row($vbs)) {
		$pr = abfrage("select proj_id from tb_pro_verbund where proj_id!='$alt->id' and verbund_id='$vb[0]'");
		echo "<tr class=\"mo\"><td /><td colspan=\"3\"><a href=\"pro_daten.php?proj_id=$pr[0]\">" . projektnummer($pr[0]) . "</a>";
		echo "<span style=\"position:absolute;left:290px\">$vb[1]</span></td>";
		echo "<td colspan=\"3\"><input type=\"submit\" name=\"save[$pr[0]]\" style=\"width:100%\" value=\"".$neu->nummer()." mit ".projektnummer($pr[0])." verkn&uuml;pfen\"></td></tr>\n";
	}
	$vbs = abfrage1("select verbund_id, date_format(datetime_von,'%d.%m.%Y'), date_format(datetime_bis,'%d.%m.%Y') from tb_pro_verbund where proj_id='$alt->id' and datetime_bis is not NULL order by datetime_von desc");
	if(mysql_num_rows($vbs) > 0) echo "<tr><td /><td colspan=\"6\" bgcolor=\"#008000\"></td></tr>\n";
	while($vb = mysql_fetch_row($vbs)) {
		$pr = abfrage("select proj_id from tb_pro_verbund where proj_id!='$alt->id' and verbund_id='$vb[0]'");
		echo "<tr class=\"mo\"><td /><td colspan=\"3\"><a style=\"color:grey\" href=\"pro_daten.php?proj_id=$pr[0]\"";
		echo stwToolTip("Projekt nicht mehr mit ".$alt->nummer()." verbunden");
		echo ">" . projektnummer($pr[0]) . "</a>";
		echo "<span style=\"position:absolute;left:290px\">$vb[1] - $vb[2]</span></td>";
		echo "<td colspan=\"3\"><input type=\"submit\" name=\"save[$pr[0]]\" style=\"width:100%\" value=\"".$neu->nummer()." mit ".projektnummer($pr[0])." verkn&uuml;pfen\"></td></tr>\n";
	}
*/
/* Abteilung */
	echo "<tr class=\"mo\"><th class=\"cl1\">Abteilungen:</th>\n";
	echo "<td colspan=\"3\" />";
	if ($alt->abt_id > 0){
		$abt_name = abfrage("select name from tb_personal_abt where abt_id = '$alt->abt_id';");
		echo "<span style=\"color:#FFCC00\">$abt_name[0]</span>";
		$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$alt->id'");
		while ($abt = mysql_fetch_row($abts)){
		  if($abt[0] != $alt->abt_id) {
			$abt_name = abfrage("select name from tb_personal_abt where abt_id = '$abt[0]';");
			echo ", <i>$abt_name[0]</i>";
		  }
		}
	} else echo 'keine';
	echo "</td>\n";
	echo "<td colspan=\"3\" />";
	if ($neu->abt_id > 0){
		$abt_name = abfrage("select name from tb_personal_abt where abt_id = '$neu->abt_id';");
		echo "<span style=\"color:#FFCC00\">$abt_name[0]</span>";
		$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$neu->id'");
		while ($abt = mysql_fetch_row($abts)){
		  if($abt[0] != $neu->abt_id) {
			$abt_name = abfrage("select name from tb_personal_abt where abt_id = '$abt[0]';");
			echo ", <i>$abt_name[0]</i>";
		  }
		}
	} else echo 'keine';
	echo "</td>\n";
	echo "</tr>\n";

/* Name */
	$daten = new stwDaten(3);
	if ($personenprojekt) {
		$nnm = 'Name';
		$vnm = 'Vorname';
		$ort = 'Ort';
	} else {
		$nnm = 'Name 1';
		$vnm = 'Name 2';
		$ort = ($pra==6 || $neu->nr >= 18000 && $neu->nr < 20000) ? 'Standort' : 'Beschreibung';
	}
	echo "<input type=\"hidden\" name=\"person_id_alt\" value=\"".$alt->he_info('person_id')."\" />\n";
	echo "<input type=\"hidden\" name=\"adress_id_alt\" value=\"".$alt->he_info('adress_id')."\" />\n";
	echo "<input type=\"hidden\" name=\"person_id_neu\" value=\"".$neu->he_info('person_id')."\" />\n";
	echo "<input type=\"hidden\" name=\"adress_id_neu\" value=\"".$neu->he_info('adress_id')."\" />\n";
	echo "<tr class=\"mo\"><th>$nnm:</th>";
	echo "<td colspan=\"3\">\n";
	echo "<input type=\"text\" name=\"name_alt\" size=\"30\" maxlength=\"50\" ";
	$klammer = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $alt->id, 0);
	echo "tabindex=\"$ti\" value=\"".$alt->nname()."\" /> $klammer</td>\n"; $ti++;
	echo "<td colspan=\"3\">\n";
	echo "<input type=\"text\" name=\"name_neu\" size=\"30\" maxlength=\"50\" ";
	$klammer = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $neu->id, 0);
	echo "tabindex=\"$ti\" value=\"".$neu->nname()."\" /> $klammer</td></tr>\n"; $ti++;

/* Vorname */
	echo "<tr class=\"mo\"><th>$vnm:</th>";
	echo "<td colspan=\"3\">\n";
	echo "<input type=\"text\" name=\"vorname_alt\" size=\"30\" maxlength=\"50\" ";
	echo "value=\"".$alt->vname()."\" tabindex=\"$ti\" /></td>\n"; $ti++;
	echo "<td colspan=\"3\">\n";
	echo "<input type=\"text\" name=\"vorname_neu\" size=\"30\" maxlength=\"50\" ";
	echo "value=\"".$neu->vname()."\" tabindex=\"$ti\" /></td></tr>\n"; $ti++;

/* Geburtsdatum, Geschlecht, Adresse, ... */
	if ($personenprojekt) {
		echo "<tr class=\"mo\"><th>geboren:</th><td colspan=\"3\">";
		echo "<input type=\"text\" name=\"geboren_alt\" size=\"11\" maxlength=\"11\" ";
		if($alt->he_info('geboren') != '00.00.0000') echo "value=\"".$alt->he_info('geboren')."\" ";
		echo "tabindex=\"$ti\" />&nbsp;&nbsp;TT.MM.JJJJ</td>\n"; $ti++;
		echo "<td colspan=\"3\">";
		echo "<input type=\"text\" name=\"geboren_neu\" size=\"11\" maxlength=\"11\" ";
		if($neu->he_info('geboren') != '00.00.0000') echo "value=\"".$neu->he_info('geboren')."\" ";
		echo "tabindex=\"$ti\" />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n"; $ti++;

		$daten = new stwDaten(18);
		echo "<tr class=\"mo\"><th>Geschlecht:</th>";
		$klammer = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $alt->id, 0);
		echo "<td colspan=\"3\">";
		echo "<input type=\"radio\" name=\"geschlecht_alt\" value=\"w\" tabindex=\"$ti\" "; $ti++;
		if($alt->he_info('geschlecht') == 'w') echo "checked ";
		echo "/>&nbsp;<b>weiblich</b>&nbsp;";
		echo "<input type=\"radio\" name=\"geschlecht_alt\" value=\"m\" tabindex=\"$ti\" "; $ti++;
		if($alt->he_info('geschlecht') == 'm') echo "checked ";
		echo "/>&nbsp;<b>m&auml;nnlich</b> &nbsp; &nbsp; Genogramm: $klammer</td>\n";
		$klammer = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $neu->id, 0);
		echo "<td colspan=\"3\">";
		echo "<input type=\"radio\" name=\"geschlecht_neu\" value=\"w\" tabindex=\"$ti\" "; $ti++;
		if($neu->he_info('geschlecht') == 'w') echo "checked ";
		echo "/>&nbsp;<b>weiblich</b>&nbsp;";
		echo "<input type=\"radio\" name=\"geschlecht_neu\" value=\"m\" tabindex=\"$ti\" "; $ti++;
		if($neu->he_info('geschlecht') == 'm') echo "checked ";
		echo "/>&nbsp;<b>m&auml;nnlich</b> &nbsp; &nbsp; Genogramm: $klammer</td>\n";
		echo "</tr>\n";

		echo "<tr class=\"mo\"><th>Stra&szlig;e:</th><td colspan=\"3\">";
		echo "<input type=\"text\" name=\"strasse_alt\" size=\"30\" maxlength=\"30\" ";
		echo "value=\"".$alt->he_info('strasse')."\" ";
		echo "tabindex=\"$ti\" /></td>\n"; $ti++;
		echo "<td colspan=\"3\">";
		echo "<input type=\"text\" name=\"strasse_neu\" size=\"30\" maxlength=\"30\" ";
		echo "value=\"".$neu->he_info('strasse')."\" ";
		echo "tabindex=\"$ti\" /></td></tr>\n"; $ti++;

		echo "<tr class=\"mo\"><th>PLZ:</th>";
		echo "<td><input type=\"text\" name=\"plz_alt\" size=\"5\" maxlength=\"5\" ";
		echo "value=\"".$alt->he_info('plz')."\" tabindex=\"$ti\" />"; $ti++;
		$srs = abfrage1("select id, kreis from tb_sozialraum group by kreis, id order by kreis, id asc");
		if(mysql_num_rows($srs) > 0) {
			echo "&nbsp; Sozialraum: ";
			$sozr = $alt->he_info('sozialraum');
			echo "<select name=\"sozialraum_alt\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
			echo "<option value=\"0\">w&auml;hlen!</option>\n";
			while ($sr = mysql_fetch_row($srs)) {
				echo "<option";
				$orte = abfrage1("select ort from tb_sozialraum where id='$sr[0]' and kreis='$sr[1]'");
				$title = "";
				while ($or = mysql_fetch_row($orte)) {
					$title .= "$or[0], ";
				}
				if($title != "") $title = " title=\"".substr($title,0,-2)."\""; 
				if ($sozr == "$sr[1]$sr[0]") echo ' selected';
				echo "$title value=\"$sr[1]$sr[0]\">$sr[1] $sr[0]</option>\n";
			}
			echo "</select>\n";
		}
		echo "</td>";
		echo "<th style=\"text-align:right;\"".stwToolTip('Entfernung').">Entf.:</th>";
		echo "<td class=\"cl20\"><input type=\"text\" name=\"entfernung_alt\" size=\"3\" maxlength=\"3\"";
		echo " tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
		echo " value=\"".$alt->he_info('entfernung')."\" />&nbsp;km</td>";
		echo "<td><input type=\"text\" name=\"plz_neu\" size=\"5\" maxlength=\"5\" ";
		echo "value=\"".$neu->he_info('plz')."\" tabindex=\"$ti\" />"; $ti++;
		mysql_data_seek($srs,0);
		if(mysql_num_rows($srs) > 0) {
			echo "&nbsp; Sozialraum: ";
			$sozr = $neu->he_info('sozialraum');
			echo "<select name=\"sozialraum_neu\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
			echo "<option value=\"0\">w&auml;hlen!</option>\n";
			while ($sr = mysql_fetch_row($srs)) {
				echo "<option";
				$orte = abfrage1("select ort from tb_sozialraum where id='$sr[0]' and kreis='$sr[1]'");
				$title = "";
				while ($or = mysql_fetch_row($orte)) {
					$title .= "$or[0], ";
				}
				if($title != "") $title = " title=\"".substr($title,0,-2)."\""; 
				if ($sozr == "$sr[1]$sr[0]") echo ' selected';
				echo "$title value=\"$sr[1]$sr[0]\">$sr[1] $sr[0]</option>\n";
			}
			echo "</select>\n";
		}
		echo "</td>";
		echo "<th style=\"text-align:right;\"".stwToolTip('Entfernung').">Entf.:</th>";
		echo "<td><input type=\"text\" name=\"entfernung_neu\" size=\"3\" maxlength=\"3\"";
		echo " tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
		echo " value=\"".$neu->he_info('entfernung')."\" />&nbsp;km</td>";
		echo "</tr>\n";
	}

	/* Ort */
	echo "<tr class=\"mo\"><th>$ort:</th>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"ort_alt\" size=\"30\" ";
	echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
	echo " value=\"".$alt->he_info('ort')."\" /></td>";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"ort_neu\" size=\"30\" ";
	echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
	echo " value=\"".$neu->he_info('ort')."\" /></td>";
	echo "</tr>\n";

	if($alt->h_art=='TTT' || $neu->h_art=='TTT') {
		$tel_alt = abfrage("select telprivat, telmobilprivat, emailprivat, strasse, plz, ort,
							date_format(geboren, '%d.%m.%Y')
							from tb_personal where pers_id='$hb_alt'");
		$tel_neu = abfrage("select telprivat, telmobilprivat, emailprivat, strasse, plz, ort,
							date_format(geboren, '%d.%m.%Y')
							from tb_personal where pers_id='$hb_neu'");
		
		echo "<tr class=\"mo\"><th>Telefon Wg:</th>\n";
		echo "<td class=\"cl11\">";
		echo "<input type=\"text\" name=\"telefon_alt\" size=\"15\" maxlength=\"15\" tabindex=\"$ti\""; $ti++;
		echo " value=\"".$alt->he_info('telefon')."\" /></td><td colspan=\"2\"><span style=\"position:absolute\">$tel_alt[3]<br>$tel_alt[4] $tel_alt[5]<br>";
		if(!empty($tel_alt[6]) && $tel_alt[6] != '00.00.0000') echo "geb.: $tel_alt[6]";
		echo "</span></td><td class=\"cl11\">";
		echo "<input type=\"text\" name=\"telefon_neu\" size=\"15\" maxlength=\"15\" tabindex=\"$ti\""; $ti++;
		echo " value=\"".$alt->he_info('telefon')."\" /></td><td colspan=\"2\"><span style=\"position:absolute\">$tel_neu[3]<br>$tel_neu[4] $tel_neu[5]<br>";
		if(!empty($tel_neu[6]) && $tel_neu[6] != '00.00.0000') echo "geb.: $tel_neu[6]";
		echo "</span></td></tr>\n";
		
		echo "<tr class=\"mo\"><th>Telefon mobil:</th>\n";
		echo "<td colspan=\"3\">";
		echo "<input type=\"text\" name=\"telmobil_alt\" size=\"15\" maxlength=\"15\" tabindex=\"$ti\""; $ti++;
		echo " value=\"".$alt->he_info('telmobil')."\" /></td>";
		echo "</td><td colspan=\"3\">";
		echo "<input type=\"text\" name=\"telmobil_neu\" size=\"15\" maxlength=\"15\" tabindex=\"$ti\""; $ti++;
		echo " value=\"".$alt->he_info('telmobil')."\" /></td></tr>\n";

		echo "<tr class=\"mo\"><th>Fax:</th>\n";
		echo "<td colspan=\"3\">";
		echo "<input type=\"text\" name=\"telmobil_alt\" size=\"15\" maxlength=\"15\" tabindex=\"$ti\""; $ti++;
		echo " value=\"".$alt->he_info('telmobil')."\" /></td>";
		echo "</td><td colspan=\"3\">";
		echo "<input type=\"text\" name=\"telmobil_neu\" size=\"15\" maxlength=\"15\" tabindex=\"$ti\""; $ti++;
		echo " value=\"".$alt->he_info('telmobil')."\" /></td></tr>\n";

		echo "<tr class=\"mo\"><th>E-Mail:</th>\n";
		echo "<td colspan=\"3\"><input type=\"text\" name=\"email_alt\" size=\"30\" ";
		$mail = $alt->he_info('email');
		echo "maxlength=\"50\" tabindex=\"$ti\" value=\"$mail\" />"; $ti++;
		echo " <a href=\"mailto:$mail\"";
		echo stwToolTip('E-Mail schreiben') . '>@</a></td>';
		echo "<td colspan=\"3\"><input type=\"text\" name=\"email_neu\" size=\"30\" ";
		$mail = $alt->he_info('email');
		echo "maxlength=\"50\" tabindex=\"$ti\" value=\"$mail\" />"; $ti++;
		echo " <a href=\"mailto:$mail\"";
		echo stwToolTip('E-Mail schreiben') . '>@</a></td>';
	}
//Sachbearbeiter
	echo "<tr class=\"mo\"><th>Sachb. ASD:</th>\n";
	echo "<td colspan=\"3\"><select style=\"width:270px\" name=\"ap_id_alt\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option>Sachbearbeiter w&auml;hlen!</option>\n";
	$sql = "SELECT ap.ap_id, ko.kurzname, ap.vorname, ap.name ".
			"FROM tb_kontakte_ap ap LEFT JOIN tb_kontakte ko ".
			"ON ko.kont_id = ap.kont_id and ko.kh_id='0' ".
			"WHERE ko.kont_art_id = 1 ".
			"and ap.abt not like '%wihi%' and (ap.aktiv = 'j' and ko.aktiv = 'j' or ap.ap_id = '".$alt->sb."') ".
			"order by ko.kurzname asc, ap.name asc, ap.vorname asc";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option value=\"$zeile[0]\"";
		if ($alt->sb == $zeile[0]) echo ' selected';
		echo ">" . $zeile[1] . "&nbsp;-&nbsp;" . $zeile[3];
		if (strlen($zeile[2]) > 0) echo ",&nbsp;" . $zeile[2];
		echo "</option>\n";
    }
	echo "</select></td>";
	echo "<td colspan=\"3\"><select style=\"width:270px\" name=\"ap_id_neu\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option>Sachbearbeiter w&auml;hlen!</option>\n";
	$sql = "SELECT ap.ap_id, ko.kurzname, ap.vorname, ap.name ".
			"FROM tb_kontakte_ap ap LEFT JOIN tb_kontakte ko ".
			"ON ko.kont_id = ap.kont_id and ko.kh_id='0' ".
			"WHERE ko.kont_art_id = 1 ".
			"and ap.abt not like '%wihi%' and (ap.aktiv = 'j' and ko.aktiv = 'j' or ap.ap_id = '".$neu->sb."') ".
			"order by ko.kurzname asc, ap.name asc, ap.vorname asc";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option value=\"$zeile[0]\"";
		if ($neu->sb == $zeile[0]) echo ' selected';
		echo ">" . $zeile[1] . "&nbsp;-&nbsp;" . $zeile[3];
		if (strlen($zeile[2]) > 0) echo ",&nbsp;" . $zeile[2];
		echo "</option>\n";
    }
	echo "</select></td>";
	
	echo "</tr>\n";

/* Hauptbetreuer */
	echo "<tr class=\"mo\"><th>Hauptbetreuer:</th>\n";
	echo "<td colspan=\"3\">\n<select name=\"pers_id_alt\" size=\"1\" ";
	echo "style=\"width:270px\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option>Hauptbetreuer w&auml;hlen!</option>\n";
	$order = ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
	$sql  = "SELECT pers_id FROM tb_personal WHERE pers_id='$hb_alt' or ( status_id = '2' ";
	if($personenprojekt) $sql .= "AND betreuer = 'j' ";
	$sql .= " ) ORDER BY $order";
	$res  = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)){
		echo "<option value=\"$zeile[0]\"";
		if ($hb_alt == $zeile[0]) echo ' selected';
		echo '>' . ($pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
	}
	echo "</select></td>\n";
	echo "<td colspan=\"3\">\n<select name=\"pers_id_neu\" size=\"1\" ";
	echo "style=\"width:270px\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option>Hauptbetreuer w&auml;hlen!</option>\n";
	$order = ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
	$sql  = "SELECT pers_id FROM tb_personal WHERE pers_id='$hb_neu' or ( status_id = '2' ";
	if($personenprojekt) $sql .= "AND betreuer = 'j' ";
	$sql .= " ) ORDER BY $order";
	$res  = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)){
		echo "<option value=\"$zeile[0]\"";
		if ($hb_neu == $zeile[0]) echo ' selected';
		echo '>' . ($pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
	}
	echo "</select></td>\n";
	echo "</tr>\n";

/* Fachberatung */
	echo "<tr class=\"mo\"><th>Fachberatung:</th>";
	$where = "WHERE status_id = '2' AND betreuer = 'j'";
	$sql  = "SELECT pers_id FROM tb_personal $where ORDER BY $order";
	$res  = abfrage1($sql);
	$maxl = abfrage("SELECT MAX( LENGTH( concat( name, vorname ) ) ) FROM tb_personal $where");
	echo "<td colspan=\"3\">";
	echo "<select style=\"width:270px\" name=\"fb_id_alt\" size=\"1\" tabindex=\"$ti\">"; $ti++;
	echo "<option>FachberaterIn w&auml;hlen!</option>";
	$later = array();
	while ($zeile = mysql_fetch_row($res)){
		$sum = abfrage("SELECT count(p.proj_id)
						FROM tb_projekte p 
						left join tb_personal pers on p.fb_id = pers.pers_id
						WHERE p.fb_id > 0 AND (p.ende IS NULL OR p.ende = '0000-00-00' OR 
						TO_DAYS(p.ende) >= TO_DAYS(CURDATE())) AND 
						(p.projektnr < 900 OR p.projektnr >= 1000 AND p.projektnr < 2000)
						AND p.fb_id = '$zeile[0]'
						group by p.fb_id");
		if(empty($sum[0])) {
			$later[] = $zeile[0];
			continue;
		}
		echo "<option value=\"$zeile[0]\"";
		if($alt->fb == $zeile[0]) echo ' selected';
		$pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
		echo ">$pers_name";
		for($i = strlen($pers_name); $i<=$maxl[0] + 3; $i++) echo "&nbsp;";
		if($sum[0]) echo "HzE: $sum[0]";
		echo "</option>\n";
	}
	if(sizeof($later) > 0) {
		echo "<option value=\"0\">";
		for($i = 0; $i<=$maxl[0] + 6; $i++) echo "-";
		echo "</option>";
		foreach($later as $zeile[0]) {
			echo "<option value=\"$zeile[0]\"";
			if($alt->fb == $zeile[0]) echo ' selected';
			$pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
			echo ">$pers_name</option>\n";
		}
	}
	if($alt->fb) {
		$sql  = "SELECT status_id FROM tb_personal WHERE pers_id = '" . $alt->fb . "'";
		$erg  = abfrage($sql);
		if ($erg[0] != "2"){
			echo "<option value=\"".$alt->fb."\" selected style=\"background-color:#666666\">";
			echo pers_name($alt->fb) . "</option>\n";
		}
	}
	echo "</select></td>";
	echo "<td colspan=\"3\">";
	echo "<select style=\"width:270px\" name=\"fb_id_neu\" size=\"1\" tabindex=\"$ti\">"; $ti++;
	echo "<option>FachberaterIn w&auml;hlen!</option>";
	$later = array();
	mysql_data_seek($res,0);
	while ($zeile = mysql_fetch_row($res)){
		$sum = abfrage("SELECT count(p.proj_id)
						FROM tb_projekte p 
						left join tb_personal pers on p.fb_id = pers.pers_id
						WHERE p.fb_id > 0 AND (p.ende IS NULL OR p.ende = '0000-00-00' OR 
						TO_DAYS(p.ende) >= TO_DAYS(CURDATE())) AND 
						(p.projektnr < 900 OR p.projektnr >= 1000 AND p.projektnr < 2000)
						AND p.fb_id = '$zeile[0]'
						group by p.fb_id");
		if(empty($sum[0])) {
			$later[] = $zeile[0];
			continue;
		}
		echo "<option value=\"$zeile[0]\"";
		if($neu->fb == $zeile[0]) echo ' selected';
		$pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
		echo ">$pers_name";
		for($i = strlen($pers_name); $i<=$maxl[0] + 3; $i++) echo "&nbsp;";
		if($sum[0]) echo "HzE: $sum[0]";
		echo "</option>\n";
	}
	if(sizeof($later) > 0) {
		echo "<option value=\"0\">";
		for($i = 0; $i<=$maxl[0] + 6; $i++) echo "-";
		echo "</option>";
		foreach($later as $zeile[0]) {
			echo "<option value=\"$zeile[0]\"";
			if($neu->fb == $zeile[0]) echo ' selected';
			$pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
			echo ">$pers_name</option>\n";
		}
	}
	if($neu->fb) {
		$sql  = "SELECT status_id FROM tb_personal WHERE pers_id = '" . $neu->fb . "'";
		$erg  = abfrage($sql);
		if ($erg[0] != "2"){
			echo "<option value=\"".$neu->fb."\" selected style=\"background-color:#666666\">";
			echo pers_name($neu->fb) . "</option>\n";
		}
	}
	echo "</select></td>";
	echo "</tr>\n";

	echo "<tr class=\"mo\"><th>Priorit&auml;t Fachb.:</th>\n";
	$res2 = abfrage1("select prio, prioritaet from tb_prio order by prio asc;");
	echo "<td colspan=\"3\"><select name=\"fb_prio_alt\" size=\"1\" ";
	echo "tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\">Priorit&auml;t w&auml;hlen!</option>\n";
	while ($row2 = mysql_fetch_row($res2)) {
		echo '<option';
		if($apro['fb_prio'] == $row2[0]) echo ' selected';
		echo " value=\"$row2[0]\">$row2[1]</option>\n";
	}
	echo "</select></td>\n";
	echo "<td colspan=\"3\"><select name=\"fb_prio_neu\" size=\"1\" ";
	echo "tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\">Priorit&auml;t w&auml;hlen!</option>\n";
	mysql_data_seek($res2,0);
	while ($row2 = mysql_fetch_row($res2)) {
		echo '<option';
		if($npro['fb_prio'] == $row2[0]) echo ' selected';
		echo " value=\"$row2[0]\">$row2[1]</option>\n";
	}
	echo "</select></td>\n";
	echo "</tr>\n";

//Beginn
	echo "<tr class=\"mo\"><th>vorauss. Beginn:</th>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"beginn_alt\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	echo " value=\"" . date_my2gr($apro[6]) . "\" />&nbsp;&nbsp;TT.MM.JJJJ</td>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"beginn_neu\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	echo " value=\"" . date_my2gr($npro[6]) . "\" />&nbsp;&nbsp;TT.MM.JJJJ</td>\n";	
	echo "</tr>\n";

	echo "<tr class=\"mo\"><th>Beginn Hilfehist.:</th>\n";
	echo "<td colspan=\"3\">";
	$beg = $alt->beginn();
	if ($beg == '01.01.1970'){
		echo "<span style=\"color:red;font-weight:bolder;text-decoration:blink\">";
		echo "Eintrag in Historie fehlt!</span>\n";
	} else echo $beg;
	echo "</td><td colspan=\"3\">";
	$beg = $neu->beginn();
	if ($beg == '01.01.1970'){
		echo "<span style=\"color:red;font-weight:bolder;text-decoration:blink\">";
		echo "Eintrag in Historie fehlt!</span>\n";
	} else echo $beg;
	echo "</td></tr>\n";

// Ende
	echo "<tr class=\"mo\"><th>Ende:</th>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"ende_alt\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ($apro[7] != '0000-00-00' && !empty($apro[7])) {
		echo " value=\"" . date_my2gr($apro[7]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ &nbsp; &nbsp; &nbsp; <b style=\"color:#FFCC00\">Befristung:</b> ";
	$checked = $apro['befristung']=='j' ? 'checked' : '';
	echo "<input type=\"checkbox\" $checked name=\"befristung_alt\" value=\"j\" />\n</td>";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"ende_neu\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ($npro[7] != '0000-00-00' && !empty($npro[7])) {
		echo " value=\"" . date_my2gr($npro[7]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ &nbsp; &nbsp; &nbsp; <b style=\"color:#FFCC00\">Befristung:</b> ";
	$checked = $npro['befristung']=='j' ? 'checked' : '';
	echo "<input type=\"checkbox\" $checked name=\"befristung_neu\" value=\"j\" />\n</td>";
	echo "</tr>\n";

//Aktenzeichen
	echo "<tr class=\"mo\"><th>Aktenzeichen:</th>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"az_alt\" size=\"30\" ";
	echo "maxlength=\"40\" tabindex=\"$ti\" value=\"$apro[28]\" /></td>"; $ti++;
	echo "<td colspan=\"3\"><input type=\"text\" name=\"az_neu\" size=\"30\" ";
	echo "maxlength=\"40\" tabindex=\"$ti\" value=\"$npro[28]\" /></td>"; $ti++;
	echo "</tr>\n";

	echo "<tr class=\"mo\">";
	if($neu->h_art=='TTT') echo "<th>BG-Nr.:</th>\n";
	else echo "<th>Register-Nr.:</th>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"register_alt\" size=\"20\" ";
	echo "maxlength=\"20\" tabindex=\"$ti\" value=\"$apro[10]\" /></td>"; $ti++;
	echo "<td colspan=\"3\"><input type=\"text\" name=\"register_neu\" size=\"20\" ";
	echo "maxlength=\"20\" tabindex=\"$ti\" value=\"$npro[10]\" /></td>"; $ti++;
	echo "</tr>\n";

//Kostenzusage
	echo "<tr class=\"mo\"><th>Kostenzusage:</th>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"kostenzus_alt\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ($apro[8] != '0000-00-00' && !empty($apro[8])) {
		echo " value=\"" . date_my2gr($apro[8]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"kostenzus_neu\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ($npro[8] != '0000-00-00' && !empty($npro[8])) {
		echo " value=\"" . date_my2gr($npro[8]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td>\n";
	echo "</tr>\n";

	echo "<tr class=\"mo\"><th>Kostenzus. bis:</th>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"kostenzus_ende_alt\" ";
	echo "size=\"11\" maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ($apro[19] != '0000-00-00' && !empty($apro[19])) {
		echo " value=\"" . date_my2gr($apro[19]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"kostenzus_ende_neu\" ";
	echo "size=\"11\" maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ($npro[19] != '0000-00-00' && !empty($npro[19])) {
		echo " value=\"" . date_my2gr($npro[19]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td>\n";
	echo "</tr>\n";

/* Pooleingabefeld */
	echo "<tr class=\"mo\"><th>Pool:</th>\n";
	echo "<td colspan=\"3\">";
	echo "<input type=\"text\" name=\"pool_alt\" size=\"11\" ";
	echo "maxlength=\"8\" tabindex=\"$ti\""; $ti++;
	if($apro[20] > 0) echo " value=\"" . geld_form_formular($apro[20]) . "\"";
	echo " />&nbsp;&nbsp;Stunden</td>\n";
	echo "<td colspan=\"3\">";
	echo "<input type=\"text\" name=\"pool_neu\" size=\"11\" ";
	echo "maxlength=\"8\" tabindex=\"$ti\""; $ti++;
	if($npro[20] > 0) echo " value=\"" . geld_form_formular($npro[20]) . "\"";
	echo " />&nbsp;&nbsp;Stunden</td>\n";

	if($alt->pauschFLS == 'g' || $neu->pauschFLS == 'g') {
		echo "<tr class=\"mo\"><th>Gutscheinbetrag:</th><td colspan=\"3\">\n";
		if($alt->pauschFLS == 'g') {
			echo "<table cellspacing=\"2\" cellpadding=\"0\">\n";
			$pFLSgs = abfrage1("select id, betrag from tb_pauschFLSg where proj_id='$alt->id' order by id asc");
			$pFLSg = mysql_fetch_row($pFLSgs);
			echo "<tr><td style=\"width:150px;text-align:right\" class=\"cl1\">Gesamtrechnungsbetrag:</td>";
			echo "<td><input type=\"text\" name=\"pFLSg_alt[".$pFLSg[0]."]\" value=\"" . geld_form_formular($pFLSg[1]) . "\" ";
			echo "style=\"text-align:right;width:60px;\" /></td></tr>\n";
			$rest = $pFLSg[1];
			while($pFLSg = mysql_fetch_row($pFLSgs)) {
				echo "<tr><td class=\"cl1\" style=\"text-align:right\">Teilbetrag:</td>";
				echo "<td style=\"width:60px;text-align:right\">".geld_form_formular($pFLSg[1])."</td></tr>";
				$rest -= $pFLSg[1];
			}
			echo "</table>";
			if(mysql_num_rows($pFLSgs) > 1) {
				echo "<table><tr><td class=\"cl1\" style=\"width:150px;text-align:right\">Restbetrag:</td>";
				echo "<td style=\"width:60px;text-align:right\" id=\"pFLSrest\">" . geld_form_formular($rest) . "</td>\n";
				echo "</tr></table>\n";
			}
		}
		echo "</td>\n<td colspan=\"3\">";
		if($neu->pauschFLS == 'g') {
			echo "<table cellspacing=\"2\" cellpadding=\"0\">\n";
			$pFLSgs = abfrage1("select id, betrag from tb_pauschFLSg where proj_id='$neu->id' order by id asc");
			$pFLSg = mysql_fetch_row($pFLSgs);
			echo "<tr><td style=\"width:150px;text-align:right\" class=\"cl1\">Gesamtrechnungsbetrag:</td>";
			echo "<td><input type=\"text\" name=\"pFLSg_neu[".$pFLSg[0]."]\" value=\"" . geld_form_formular($pFLSg[1]) . "\" ";
			echo "style=\"text-align:right;width:60px;\" /></td></tr>\n";
			$rest = $pFLSg[1];
			while($pFLSg = mysql_fetch_row($pFLSgs)) {
				echo "<tr><td class=\"cl1\" style=\"text-align:right\">Teilbetrag:</td>";
				echo "<td style=\"width:60px;text-align:right\">".geld_form_formular($pFLSg[1])."</td></tr>";
				$rest -= $pFLSg[1];
			}
			echo "</table>";
			if(mysql_num_rows($pFLSgs) > 1) {
				echo "<table><tr><td class=\"cl1\" style=\"width:150px;text-align:right\">Restbetrag:</td>";
				echo "<td style=\"width:60px;text-align:right\" id=\"pFLSrest\">" . geld_form_formular($rest) . "</td>\n";
				echo "</tr></table>\n";
			}
		}
		echo "</td></tr>\n";
	}

//WiHi
	echo "<tr class=\"mo\"><th>Sachb. WiHi:</th>\n";
	$sql = "SELECT ap.ap_id, ko.kurzname, ap.vorname, ap.name ".
			"FROM tb_kontakte_ap ap LEFT JOIN tb_kontakte ko ".
			"ON ko.kont_id = ap.kont_id and ko.kh_id='0' ".
			"WHERE ko.kont_art_id = 1 ".
			"and not (ap.abt like '%asd%' or ap.abt like '%fm%' or ap.abt like '%ssd%') ".
			"and (ap.aktiv = 'j' and ko.aktiv = 'j' or ap.ap_id = '$apro[33]' or ap.ap_id = '$npro[33]') ".
			"order by ko.kurzname asc, ap.name asc, ap.vorname asc";
	$res = abfrage1($sql);
	echo "<td colspan=\"3\"><select style=\"width:270px\" name=\"wihi_id_alt\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option>Sachbearbeiter w&auml;hlen!</option>\n";
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if ($apro[33] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">";
		echo $zeile[1] . "&nbsp;-&nbsp;" . $zeile[3];
		if (strlen($zeile[2]) > 0){
			echo ",&nbsp;" . $zeile[2];
			}
		echo "</option>\n";
		}
	echo "</select>\n</td>";
	echo "<td colspan=\"3\"><select style=\"width:270px\" name=\"wihi_id_neu\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option>Sachbearbeiter w&auml;hlen!</option>\n";
	mysql_data_seek($res);
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if ($npro[33] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">";
		echo $zeile[1] . "&nbsp;-&nbsp;" . $zeile[3];
		if (strlen($zeile[2]) > 0){
			echo ",&nbsp;" . $zeile[2];
			}
		echo "</option>\n";
		}
	echo "</select>\n</td>";
	echo "</tr>\n";

//Pool / Gesamtstunden
	if($alt->pool() || $neu->pool()){
		echo "<tr class=\"mo\"><th>Pool Stand:&nbsp;</th>\n";
		$style = $alt->pool_style('left');
		echo "<td colspan=\"3\" $style>";
		if($alt->pool()) {
			$pool = fls_form($alt->pool_st());
			$gel = fls_form($alt->pool_geleistet());
			$stand = fls_form($alt->pool_stand());
			echo "<span " . stwToolTip("Pool gesamt") . ">$pool</span>";
			$uebertrag = abfrage("select sum(stunden) from tb_ab_pool where proj2 = '$alt->id' group by proj2;");
			if (intval($uebertrag[0]) != 0){
				$tt = '<b>&Uuml;bertrag gesamt</b>';
				$uebs = abfrage1("select proj1, stunden, unix_timestamp(ab_monat) from tb_ab_pool 
								  where proj2 = '$alt->id' order by ab_monat desc limit 10;");
				$i = 0;
				while($ueb = mysql_fetch_row($uebs)) {
					$i++;
					$tt .= "<br>" . projektnummer($ueb[0]) . " (" . strftime("%B %Y",$ueb[2]) . "): +" . fls_form($ueb[1]);
				}
				if($i > 9) $tt .= "<br>...";
				echo " + <span" . stwToolTip($tt) . '>';
				echo fls_form($uebertrag[0]) ."</span>";
			}
			$uebertrag = abfrage("select sum(stunden) from tb_ab_pool where proj1 = '$alt->id' group by proj1;");
			if (intval($uebertrag[0]) != 0){
				$tt = '<b>&Uuml;bertrag gesamt</b>';
				$uebs = abfrage1("select proj2, stunden, unix_timestamp(ab_monat) from tb_ab_pool 
								  where proj1 = '$alt->id' order by ab_monat desc limit 10;");
				$i = 0;
				while($ueb = mysql_fetch_row($uebs)) {
					$i++;
					$tt .= "<br>" . projektnummer($ueb[0]) . " (" . strftime("%B %Y",$ueb[2]) . "): -" . fls_form($ueb[1]);
				}
				if($i > 9) $tt .= "<br>...";
				echo " - <span" . stwToolTip($tt) . '>';
				echo fls_form($uebertrag[0]) ."</span>";
			}
			echo " - <span " . stwToolTip("FLS gesamt geleistet") . ">$gel</span>";
			echo " = <span " . stwToolTip("Pool Stand") . " style=\"font-weight:bold;\">";
			echo "$stand</span>";
			if($stand != $pool - $gel) echo "<a ".substr($style,0,-1).";position:relative;top:-5px\"".stwToolTip("Detailansicht Pool-Bewegungen")."href=\"pool.php?proj_id=$alt->id\">*</a>";
		}
		echo "</td>\n";
		$style = $neu->pool_style('left');
		echo "<td colspan=\"3\" $style>";
		if($neu->pool()) {
			$pool = fls_form($neu->pool_st());
			$gel = fls_form($neu->pool_geleistet());
			$stand = fls_form($neu->pool_stand());
			echo "<span " . stwToolTip("Pool gesamt") . ">$pool</span>";
			$uebertrag = abfrage("select sum(stunden) from tb_ab_pool where proj2 = '$neu->id' group by proj2;");
			if (intval($uebertrag[0]) != 0){
				$tt = '<b>&Uuml;bertrag gesamt</b>';
				$uebs = abfrage1("select proj1, stunden, unix_timestamp(ab_monat) from tb_ab_pool 
								  where proj2 = '$neu->id' order by ab_monat desc limit 10;");
				$i = 0;
				while($ueb = mysql_fetch_row($uebs)) {
					$i++;
					$tt .= "<br>" . projektnummer($ueb[0]) . " (" . strftime("%B %Y",$ueb[2]) . "): +" . fls_form($ueb[1]);
				}
				if($i > 9) $tt .= "<br>...";
				echo " + <span" . stwToolTip($tt) . '>';
				echo fls_form($uebertrag[0]) ."</span>";
			}
			$uebertrag = abfrage("select sum(stunden) from tb_ab_pool where proj1 = '$neu->id' group by proj1;");
			if (intval($uebertrag[0]) != 0){
				$tt = '<b>&Uuml;bertrag gesamt</b>';
				$uebs = abfrage1("select proj2, stunden, unix_timestamp(ab_monat) from tb_ab_pool 
								  where proj1 = '$neu->id' order by ab_monat desc limit 10;");
				$i = 0;
				while($ueb = mysql_fetch_row($uebs)) {
					$i++;
					$tt .= "<br>" . projektnummer($ueb[0]) . " (" . strftime("%B %Y",$ueb[2]) . "): -" . fls_form($ueb[1]);
				}
				if($i > 9) $tt .= "<br>...";
				echo " - <span" . stwToolTip($tt) . '>';
				echo fls_form($uebertrag[0]) ."</span>";
			}
			echo " - <span " . stwToolTip("FLS gesamt geleistet") . ">$gel</span>";
			echo " = <span " . stwToolTip("Pool Stand") . " style=\"font-weight:bold;\">";
			echo "$stand</span>";
			if($stand != $pool - $gel) echo "<a ".substr($style,0,-1).";position:relative;top:-5px\"".stwToolTip("Detailansicht Pool-Bewegungen")."href=\"pool.php?proj_id=$neu->id\">*</a>";
		}
		echo "</td></tr>\n";
	} else {
		echo "<tr class=\"mo\"><th>Gesamtstunden:</th>\n";
		echo "<td colspan=\"3\" style=\"color:#00FF00\">";
		echo fls_form($alt->fls_geleistet_summe()) . "</td>";
		echo "<td colspan=\"3\" style=\"color:#00FF00\">";
		echo fls_form($neu->fls_geleistet_summe()) . "</td>";
		echo "</tr>\n";
	}

//Notizen
	echo "<tr><th>Notizen:</th>\n";
	echo "<td colspan=\"3\"><textarea name=\"notizen_pro_alt\" cols=\"40\" rows=\"2\" tabindex=\"$ti\">$apro[21]</textarea></td>\n"; $ti++;
	echo "<td colspan=\"3\"><textarea name=\"notizen_pro_neu\" cols=\"40\" rows=\"2\" tabindex=\"$ti\">$npro[21]</textarea></td>\n"; $ti++;
	echo "</tr>";

	new stwTabLine(2,7);
//weitere Personen
	echo "<tr><th>weitere Personen</th>\n";
	$daten = new stwDaten(38);
	echo "<td colspan=\"3\"><table cellspacing=\"0\">";
	$sql  = "select t2.person_id, t2.vorname, t2.name, t2.beschreibung, ";
	$sql .= "t2.telmobil, t3.telefon, t2.aktiv, t2.email ";
	$sql .= "from tbh_proj_personen t1 ";
	$sql .= "left join tb_personen t2 using(person_id) ";
	$sql .= "left join tb_p_adressen t3 using(adress_id) ";
	$sql .= "where t1.proj_id = '$alt->id' and t1.perstyp_id != '1' ";
	$sql .= "group by t2.person_id order by t2.name asc, t2.vorname asc;";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_array($res)) {
		echo "<tr>\n";
		if (empty($zeile[1])) {
			if (empty($zeile[2])) $name = "Person"; else $name = $zeile[2];
		} else {
			if (empty($zeile[2])) $name = $zeile[1];
			else $name = $zeile[2].", ".$zeile[1];
		}
		echo "<th class=\"cl1\"";
		if($zeile[6] != 1) echo " style=\"color: #969696;\"";
		echo ">$name</td>\n";
		echo "<td class=\"cl1\">$zeile[3]</td>\n";
		echo "<td class=\"cl1\">$zeile[4]</td>\n";
		echo "<td class=\"cl1\">$zeile[5]</td>\n";
		echo "<td class=\"cl11\">";
		if (strlen($zeile['email']) > 0){
			echo "<a href=\"mailto:{$zeile['email']}\"";
			echo stwToolTip('E-Mail schreiben') . '>@</a>';
		}
		$klammer = $daten->get_klammer_link($_SESSION["webdir"],$uid,$ulv,$alt->id,$zeile[0]);
		echo "</td>\n<td>$klammer</td></tr>\n";
	}
	echo "</table></td>\n";
	echo "<td colspan=\"3\"><table cellspacing=\"0\">";
	$sql  = "select t2.person_id, t2.vorname, t2.name, t2.beschreibung, ";
	$sql .= "t2.telmobil, t3.telefon, t2.aktiv, t2.email ";
	$sql .= "from tbh_proj_personen t1 ";
	$sql .= "left join tb_personen t2 using(person_id) ";
	$sql .= "left join tb_p_adressen t3 using(adress_id) ";
	$sql .= "where t1.proj_id = '$neu->id' and t1.perstyp_id != '1' ";
	$sql .= "group by t2.person_id order by t2.name asc, t2.vorname asc;";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_array($res)) {
		echo "<tr>\n";
		if (empty($zeile[1])) {
			if (empty($zeile[2])) $name = "Person"; else $name = $zeile[2];
		} else {
			if (empty($zeile[2])) $name = $zeile[1];
			else $name = $zeile[2].", ".$zeile[1];
		}
		echo "<th class=\"cl1\"";
		if($zeile[6] != 1) echo " style=\"color: #969696;\"";
		echo ">$name</td>\n";
		echo "<td class=\"cl1\">$zeile[3]</td>\n";
		echo "<td class=\"cl1\">$zeile[4]</td>\n";
		echo "<td class=\"cl1\">$zeile[5]</td>\n";
		echo "<td class=\"cl11\">";
		if (strlen($zeile['email']) > 0){
			echo "<a href=\"mailto:{$zeile['email']}\"";
			echo stwToolTip('E-Mail schreiben') . '>@</a>';
		}
		$klammer = $daten->get_klammer_link($_SESSION["webdir"],$uid,$ulv,$neu->id,$zeile[0]);
		echo "</td>\n<td>$klammer</td></tr>\n";
	}
	echo "</table></td></tr>\n";

	new stwTabLine(2,7);

	$korr = abfrage_assoc("select * from tb_fls_korrektur where proj_id='$neu->id' order by datum asc limit 1");
	if($korr['proj_id']) {
		echo "<input type=\"hidden\" name=\"korrektur_datum\" value=\"".$korr['datum']."\">\n";
		echo "<tr><th colspan=\"2\">&Uuml;bertrag aus Ursprungsprojekt:</th>";
		echo "<td colspan=\"2\" style=\"text-align:right\">Korrektur:\n";
		echo "<input type=\"text\" name=\"korrektur\" size=\"10\" tabindex=\"$ti\" value=\"".geld_form_formular($korr['korrektur'])."\" />"; $ti++;
		echo " &nbsp; Notiz:</td>\n";
		echo "<td colspan=\"2\"><textarea name=\"korrektur_notiz\" cols=\"40\" rows=\"1\" tabindex=\"$ti\">".$korr['korrektur_notiz']."</textarea></td>"; $ti++;
		echo "<td><input type=\"image\" src=\"img/senden.png\" /></td></tr>\n";
		new stwTabLine(2,7);
	}

	$doNotAllowBetrDel = true;
	$projekt = $alt;
	echo "<tr><th>Betreuer</th>";
	echo "<td colspan=\"3\"><table cellspacing=\"0\">";
	include('betreuer.inc.php');
	echo "</table></td><td colspan=\"3\"><table cellspacing=\"0\">";
	$projekt = $neu;
	include('betreuer.inc.php');
	echo "</table></td></tr>\n";

	new stwTabLine(2,7);

	echo "<tr><th>Historie</th>";
	$id = $alt->id;
	$do_not_allow_delete = true;
	$nurbasis = false;
	for($Iterator=0;$Iterator<2;$Iterator++) {
		echo "<td colspan=\"3\"><table cellspacing=\"0\">";
		// Hilfehistorie
		$sql = "select hp_id,	#0
				proj_id,		#1
				datum,			#2
				hp_art,			#3
				and_datum,		#4
				hp_st,			#5
				erst,			#6
				to_days(and_datum),	#7
				to_days(curdate()),	#8
				prognose,		#9
				if(st_grund='aus Anfrage' , 0 , unix_timestamp(datum)),	#10
				ressourcen,		#11
				kontakt,		#12
				kontakt_fz,		#13
				fallbegl,		#14
				st_grund,		#15
				if(st_grund='aus Anfrage',1,0) as sort
				from tb_hp
				where proj_id = '$id' or (hp_art in ('x','y') and hp_id in 
				(select id from tbh_postzuordnung where posttyp='h' and id2='$id' and typ='p'))";
		$order = "order by sort asc, datum desc, and_datum desc;";

		$res = abfrage1($sql . $order);

		$cnt = mysql_num_rows($res);

		$nachs = abfrage1( "select unix_timestamp(n.sent) as sent_ts, n.* from tb_nachr n 
							where proj_id='$id' or nachr_id in (
								select id from tbh_postzuordnung where posttyp='n' and id2='$id' and typ='p'
							) order by sent asc");

		$nachrichten = array();
		if(mysql_num_rows($nachs) == 0) $letzteNachricht = array(0,0,'','');
		else {
			$cnt += mysql_num_rows($nachs);
			while($nachr = mysql_fetch_array($nachs)) {
				$txt = strip_tags($nachr['text']);
				$tels = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='{$nachr['nachr_id']}'");
				if(mysql_num_rows($tels) > 0) {
					$tel = mysql_fetch_array($tels);
					$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
					if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
					if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
					$text .= "<br />";
					if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
					if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
					if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
					if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
					if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
					if($tel['war_da'] == 'j') $text .= "(war da) ";
					if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
					$txt = "$text<br />$txt";
				}
				$nachrichten[] = array($nachr['nachr_id'],$nachr['sent_ts'],$nachr['betreff'],$txt);
			}
			$letzteNachricht = array_pop($nachrichten);
		}

		if ($cnt != 0 || $letzteNachricht[0] > 0) {
			while ($zeile = mysql_fetch_row($res)) {
				while($letzteNachricht[1] > $zeile[10]) {
					echo "<tr>";
					echo "<td style=\"text-align:right\">";
					echo "<a href=\"nachr_and.php?nachr_id=$letzteNachricht[0]\"";
					echo stwToolTip($letzteNachricht[3]);
					echo "><img src=\"img/brief.png\" /></a></td><td></td>";
					echo "<td class=\"cl1\">".date('d.m.Y', $letzteNachricht[1])."</td>";
					echo "<td".stwToolTip($letzteNachricht[3]);
					echo "colspan=\"30\">$letzteNachricht[2]</td></tr>\n";
					$letzteNachricht = array_pop($nachrichten);
					$zeilennummer++;
				}
			  // fr die gekrzte Liste Anzahl angezeigte Eintrge durchzhlen und entsprechend raus
			  include ($pfad."pro_daten_aktenzeile.php");
		   }
			while($letzteNachricht[0]) {
				echo "<tr><td colspan=\"2\" style=\"text-align:center\">";
				echo "<a href=\"nachr_and.php?nachr_id=$letzteNachricht[0]\"";
				echo stwToolTip($letzteNachricht[3]);
				echo "><img src=\"img/brief.png\" /></a></td>";
				echo "<td class=\"cl1\">".date('d.m.Y', $letzteNachricht[1])."</td>";
				echo "<td".stwToolTip($letzteNachricht[3]);
				echo "colspan=\"30\">$letzteNachricht[2]</td></tr>\n";
				$letzteNachricht = array_pop($nachrichten);
				$zeilennummer++;
			}
		}
		echo "</table></td>\n";
		$id = $neu->id;
	}
	echo "</tr>\n";

	new stwTabLine(1,7);

	echo "<tr><td colspan=\"7\"><input type=\"submit\" name=\"save\" value=\"speichern\" /></td></tr>\n";


	echo "</table>\n";
	echo "</form>\n";
} else {
	$projekt = new stwProjekt($rvar_proj_id);
	$projekt->InfoZeile();
	if($projekt->nr >= 20000) $prn = array(20000,29999);
	else $prn = abfrage("select nr_von, nr_bis from tb_projektart where nr_von<='$projekt->nr' and nr_bis>='$projekt->nr';");
	$nmbs = abfrage1("select projektnr from tb_projekte where projektnr >= $prn[0] and projektnr <= $prn[1];");
	$prNrs = array();
	while ($nmb = mysql_fetch_row($nmbs)) { array_push ($prNrs, $nmb[0]); }
	for($i = $prn[0]; $i < $prn[1]; $i++) { if(!in_array($i,$prNrs)) break; }
	$nr = sprintf('%03d',$i);
	$arc_mon = intval(getConf('arc_mon'));
	$ts = mktime(0,0,0, date('n')-$arc_mon,date('j'),date('Y'));
	$d = date('j',$ts);
	$m = date('n',$ts);
	$y = date('Y',$ts);

	new stwLine(1);
	echo "<form method=\"post\" action=\"pro_cut.php?proj_id={$_GET['proj_id']}\">\n";
	echo "<input type=\"hidden\" id=\"cut\" name=\"cut\" value=\"0\" />\n";
	echo "<table style=\"width:750px\">\n";

	echo "<tr><th class=\"cl1\" style=\"width:30%;text-align:right\">Projektende Altes Projekt:</th>";
	echo "<td class=\"cl20\" style=\"width:20%\"><input type=\"text\" onblur=\"xajax_pr_beginn(this.value,$rvar_proj_id,document.getElementById('archiv').checked, '$projekt->nr', '$nr');\" name=\"ende\" id=\"ende\" size=\"10\" value=\"".date('d.m.Y')."\" /></td>\n";
	echo "<th class=\"cl1\" style=\"width:30%;text-align:right\">Projektbeginn Neues Projekt:</th>";
	echo "<td style=\"width:20%\"><input type=\"text\" size=\"10\" onblur=\"xajax_pr_ende(this.value,$rvar_proj_id,document.getElementById('archiv').checked, '$projekt->nr', '$nr');\" name=\"beginn\" id=\"beginn\" value=\"".date('d.m.Y',mktime(0,0,0, date('n'),date('j')+1,date('Y')))."\" /></td></tr>\n";

	echo "<tr><td style=\"text-align:center\" colspan=\"4\"><b>Hinweis:</b> bereits abgelegte Abrechnungsmonate werden unabh&auml;ngig vom einegebenen Tag zum Monatswechsel gespalten!</td></tr>\n";

	echo "<script type=\"text/javascript\"><!--\n";
	echo "function check(chk,end) {\n";
	echo "  var dat = end.split('.');\n";
	echo "  var d1 = new Date(dat[2],dat[1],dat[0]);\n";
	echo "  var d2 = new Date($y,$m,$d);\n";
	echo "  if(d1 <= d2 || !chk || confirm('Projekte werden erst nach $arc_mon Monaten archiviert. \\nDas angegebene Datum liegt nach dem $d.$m.$y. \\nTrotzdem archivieren?'))\n";
	echo "    xajax_archiv(chk, '$projekt->nr', '$nr', end);\n";
	echo "  else document.getElementById('archiv').checked='';\n";
	echo "}\n";
	echo "--></script>\n";

	echo "<tr><th class=\"cl1\" style=\"text-align:right\">Altes Projekt archivieren?</th>";
	echo "<td class=\"cl20\"><input type=\"checkbox\" name=\"archiv\" id=\"archiv\" value=\"1\" onchange=\"check(this.checked, ende.value)\" /> ";
	echo "<small>gleiche Nummer f&uuml;r neues Projekt verwenden</small></td>\n";
	echo "<th class=\"cl1\" style=\"text-align:right\">Projektnr. Neues Projekt:</th>";
	echo "<td><input type=\"text\" name=\"nr\" id=\"nr\" style=\"text-align:right\" size=\"5\" value=\"$nr\" /></td></tr>\n";

	new stwTabLine(2,30);
	$pra_id = $projekt->projektart();
	$hammerrecht = 135 + $pra_id;
	if(check_nutzer_rechte($hammerrecht)) {
		echo "<tr><td colspan=\"30\" id=\"save\"><input type=\"button\" value=\"Projekt spalten\" onclick=\"cut.value='1';this.form.submit();\"/></td></tr>\n";
	}
	echo "</table></form>\n";
}
new stwEnd($seite);
?>