<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_daten.php 2928 2018-12-31 10:38:52Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 6;
 $level = 5;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function Speichern($proj_id, $korrektur, $proz, $kstst, $notizen, $gf, $vmlsum, $old, $versand) {
	$userResp = new xajaxResponse();
	if($gf == 1 && ($korrektur + $vmlsum + ($vmlsum * $proz / 100)) > $old) {
		$userResp->call("alert('Speichern nicht gestattet. Bei gesetztem OK GF darf der Betrag nur noch verringert werden.')");
		$userResp->assign("gesamtbetrag", 'value', geld_form_formular($old));
		$userResp->assign("sum", 'value', geld_form_formular($old+$versand));
	} else {
		$sql = "update tb_projekte set schule = '$korrektur',  
				register = '$proz', kostenstelle = '$kstst', 
				notizen = '$notizen' where proj_id='$proj_id'";
		abfrage2($sql);
		$userResp->call("tt_HideInit()");
	}
	return $userResp;
}

function nono($proj_id,$check) {
	global $AppCode;
	$userResp = new xajaxResponse();
	$_SESSION[$AppCode]['noNote4Order'][$proj_id] = $check ? 1 : 0;
	$userResp->assign("noNote4Order", 'value', $_SESSION[$AppCode]['noNote4Order'][$proj_id]);
	return $userResp;
}

function PInventarisiert($proj_id,$uid,$check){
	$ex = abfrage("select id from tb_inventarisierung where id='$proj_id' and typ='p'");
	$exist = empty($ex[0]) ? 0 : 1;
	$sql = $exist ? "UPDATE" : "INSERT INTO";
	$sql .= " tb_inventarisierung SET ";
	if($check) $sql .= "pers_id='$uid', ts=unix_timestamp(now())";
	else $sql .= "pers_id=NULL, ts=NULL";
	$sql .= $exist ? " WHERE" : ",";
	$sql .= " id='$proj_id'";
	$sql .= $exist ? " AND" : ",";
	$sql .= " typ='p'";
	abfrage2($sql);
}

function Abteilungsleiter($id,$uid,$check){
	$userResp = new xajaxResponse();
	abfrage2("insert into tbh_pers_vormerk set pers_id='$uid', vm_id='$id', zeit=now(), abteilungsleiter='j';");
	$userResp->assign("leiter_edit_$id", 'style.display', 'none');
	$userResp->assign("leiter_static_$id", 'src', 'img/'.($check ? '' : 'un').'checked.png');
	$userResp->assign("leiter_static_$id", 'style.display', 'inline');
	return $userResp;
}

function Empfang($id,$uid,$check){
	$userResp = new xajaxResponse();
	if($check) abfrage2("update tb_vormerkliste set empf_pers_id='$uid', empf_zeit=now() where vm_id='$id'");
	else abfrage2("update tb_vormerkliste set empf_pers_id=NULL, empf_zeit=NULL where vm_id='$id'");
	calc_vml_state($id);
	$userResp->assign("empf_edit_$id", 'disabled', 'disabled');
	return $userResp;
}

function Inventarisierbar($id,$check){
	$userResp = new xajaxResponse();
	if($check) {
		abfrage2("insert into tbh_vml_inventar set vm_id='$id'");
		$userResp->assign("inv_$id", 'style.display', 'none');
		$userResp->assign("leer_static_$id", 'style.display', 'none');
		$userResp->assign("inv_neu_$id", 'style.display', 'table-cell');
		$userResp->assign("inventarisiert_edit_$id", 'style.display', 'table-cell');
	} else {
		abfrage2("delete from tbh_vml_inventar where vm_id='$id'");
		$userResp->assign("inv_$id", 'style.display', 'table-cell');
		$userResp->assign("leer_static_$id", 'style.display', 'table-cell');
		$userResp->assign("inv_neu_$id", 'style.display', 'none');
		$userResp->assign("inventarisiert_edit_$id", 'style.display', 'none');
	}
	return $userResp;
}

function Inventarisiert($id,$uid,$check){
	if($check) abfrage2("update tbh_vml_inventar set pers_id='$uid', ts=unix_timestamp(now()) where vm_id='$id'");
	else abfrage2("update tbh_vml_inventar set pers_id=NULL, ts=NULL where vm_id='$id'");
}

function add_pFLSg($proj_id){
	abfrage2("insert into tb_pauschFLSg set proj_id='$proj_id'");
	$id = mysql_insert_id();
	$userResp = new xajaxResponse();
	$userResp->call("newRow($id)");
	$txt = "<td class=\"cl1\" style=\"text-align:right\">Teilbetrag:</td><td><input type=\"text\" onkeydown=\"if(event.keyCode==13) { xajax_close_pFLSg($proj_id, $id, this.value); return false; }\" id=\"pFLSg_".$id."\" name=\"pFLSg[".$id."]\" style=\"text-align:right\" size=\"8\" value=\"\" /></td><td><img src=\"img/senden.png\" onclick=\"xajax_close_pFLSg($proj_id, $id, document.getElementById('pFLSg_".$id."').value)\" style=\"cursor:pointer\" /></td>";
	$userResp->assign("tr_$id", 'innerHTML', $txt);
	$userResp->assign("addTeilbetrag", 'style.display', 'none');
	$userResp->assign("Restbetrag", 'style.display', 'block');
	return $userResp;
}

function close_pFLSg($proj_id, $id, $betrag){
	$userResp = new xajaxResponse();
	$geld = str_replace(',','.',$betrag);
	$betraege = abfrage1("select betrag from tb_pauschFLSg where proj_id='$proj_id' and id != '$id' order by id asc");
	$betr = mysql_fetch_row($betraege);
	$rest = $betr[0];
	$rest -= $geld;
	while($betr = mysql_fetch_row($betraege)) {
		$rest -= $betr[0];
	}
	if($rest < 0) {
		$userResp->call("alert('Betrag nicht gespeichert. Die Summe der Teilzahlungen darf den Gesamtrechnungsbetrag nicht berschreiten')");
		return $userResp;
	}
	abfrage2("UPDATE tb_pauschFLSg SET betrag='$geld' WHERE id = '$id'");
	$txt = "<td class=\"cl1\" style=\"text-align:right\">Teilbetrag:</td><td style=\"text-align:right\">".geld_form_formular($geld)."</td><td><b style=\"color:red;cursor:pointer\" onclick=\"xajax_del_pFLSg($proj_id,$id)\">X</b></td>";
	$userResp->assign("tr_$id", 'innerHTML', $txt);
	$userResp->assign("pFLSrest", 'innerHTML', geld_form_formular($rest));
	$userResp->assign("addTeilbetrag", 'style.display', 'inline');
	return $userResp;
}

function del_pFLSg($proj_id, $id) {
	$userResp = new xajaxResponse();
	abfrage2("DELETE FROM tb_pauschFLSg WHERE id = '$id'");
	$userResp->assign("tr_$id", 'style.display', 'none');
	$betraege = abfrage1("select betrag from tb_pauschFLSg where proj_id='$proj_id' order by id asc");
	$betr = mysql_fetch_row($betraege);
	$rest = $betr[0];
	while($betr = mysql_fetch_row($betraege)) {
		$rest -= $betr[0];
	}
	$userResp->assign("pFLSrest", 'innerHTML', geld_form_formular($rest));
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('Speichern');
$xajax->registerFunction('nono');
$xajax->registerFunction('PInventarisiert');
$xajax->registerFunction('Inventarisiert');
$xajax->registerFunction('Abteilungsleiter');
$xajax->registerFunction('Empfang');
$xajax->registerFunction('Inventarisierbar');
$xajax->registerFunction('add_pFLSg');
$xajax->registerFunction('close_pFLSg');
$xajax->registerFunction('del_pFLSg');
/* --- Ende Abschnitt (X)AJAX --- */

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 if(isset($_POST['add_to_vk_proj']) && is_array($_POST['add_pro']) && $_POST['proj_to_add']=='n') {
	$ts = mktime();
	$traeger = 0;
	$abts = array();
	foreach($_POST['add_pro'] as $vm) {
		abfrage2("update tb_vormerkliste set todo_ts='$ts' where vm_id='$vm'");
		$trab = abfrage("select traeger_art_id, abt_id from tb_vormerkliste where vm_id='$vm'");
		if(empty($traeger)) $traeger=$trab[0];
		if(empty($abts[$trab[1]])) $abts[$trab[1]]=1; else $abts[$trab[1]]++;
	}
	$url = "Location: pro_daten.php?pra=11&hb=".$_SESSION[$AppCode]['UID']."&todo=$ts";
	if(!empty($traeger)) $url .= "&traeger=$traeger";
	arsort($abts);
	$abt = true;
	foreach ($abts as $id => $cnt) {
		if($abt) {
			$abt = false;
			$url .= "&abt=$id";
		} else $url .= "&abt_ids[]=$id";
	}
	header($url);
	exit(0);
 }

 require_once($pfad."inc/stw.inc.php");
 require_once($pfad."inc/stwDaten.inc.php");

 if(isset($rvar_bugfix)) {
	$prs = abfrage1("select * from tb_pro_inheritance");
	while($pr = mysql_fetch_row($prs)) {
		$child = abfrage("select person_id from tbh_proj_personen where proj_id='$pr[0]' and perstyp_id='1'");
		$parent = abfrage("select person_id from tbh_proj_personen where proj_id='$pr[1]' and perstyp_id='1'");
		if($child[0] == $parent[0]) {
			$pers_data = abfrage_assoc("select * from tb_personen where person_id='$child[0]'");
			$adresse = abfrage_assoc("select * from tb_p_adressen where adress_id='{$pers_data['adress_id']}'");
			$sql = "insert into tb_p_adressen set ";
			$komma = false;
			foreach($adresse as $name => $value) {
				if($name == 'adress_id') continue;
				if($komma) $sql .= ',';
				else $komma = true;
				$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
			}
			abfrage2($sql);
			$adress_id_neu = mysql_insert_id();
			$sql = "insert into tb_personen set ";
			$komma = false;
			foreach($pers_data as $name => $value) {
				if($name == 'person_id') continue;
				if($name == 'adress_id') $value = $adress_id_neu;
				if($komma) $sql .= ',';
				else $komma = true;
				$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
			}
			abfrage2($sql);
			$person_id_neu = mysql_insert_id();
			abfrage2("update tbh_proj_personen set person_id='$person_id_neu' where person_id='$child[0]' and proj_id='$pr[0]' and perstyp_id='1'");
		}
	}
 }

 if(isset($_POST['add_to_vk_proj']) && is_array($rvar_add_pro)) {
	$id2 = 0;
	foreach($rvar_add_pro as $vm) {
		if($rvar_proj_to_add == 'b' || $rvar_proj_to_add == 'l' || $rvar_proj_to_add == 'k' || $rvar_proj_to_add == 'r') {
			if($id2 == 0) {
				abfrage2("replace into tbh_vormerk_print set vm_id='$vm'");
				$id2 = mysql_insert_id();
			} else abfrage2("replace into tbh_vormerk_print set vm_id='$vm', id2='$id2'");
			abfrage2("INSERT INTO tbh_pers_vormerk SET pers_id='$uid', vm_id='$vm', zeit=now(), abteilungsleiter='$rvar_proj_to_add'");
			if($rvar_proj_to_add == 'k') abfrage2("insert into tbh_pers_vormerk set pers_id='$uid', zeit=now(), vm_id='$vm', abteilungsleiter='z'");
		} else abfrage2("update tb_vormerkliste set proj_id='$rvar_proj_to_add', todo_ts='0' where vm_id='$vm'");
	}
 }

 if(isset($rvar_add_vml)) {
	abfrage2("UPDATE tb_vormerkliste SET proj_id='$rvar_proj_id' WHERE vm_id='$rvar_add_vml' LIMIT 1");
 }
set_session_url();
if (isset($rvar_proj_id)) {
	$projekt = new stwProjekt($rvar_proj_id);
}
$proj_new_right = false;
if(empty($rvar_proj_id)) for($p=2;$p<12;$p++) {
	if(check_nutzer_rechte(101 + $p) && $rvar_pra==$p) $proj_new_right = true;
}
$darfspeichern = ($_SESSION[$AppCode]["ULV"] > 5);
if(!check_projekt_berechtigung($rvar_proj_id) && 
	(!check_nutzer_rechte(44) || !isset($_GET['hb'])) && 
	(isset($rvar_proj_id) || !$proj_new_right) &&
	(!check_nutzer_rechte(117) || $projekt->nr < 10000 || $projekt->nr >= 18000)) {
	$exit = true;
	$pro_verbund = abfrage("select verbund_id from tb_pro_verbund where proj_id='$rvar_proj_id' and datetime_bis is NULL");
	if(!empty($pro_verbund[0])) {
		$darfspeichern = false;
		$pro = abfrage("select proj_id from tb_pro_verbund where verbund_id='$pro_verbund[0]' and proj_id!='$rvar_proj_id'");
		if(projektnr($pro[0]) < 900) $exit = false;
	}
	if($exit) {
		echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
		new stwEnd($seite);
		exit(0);
	}
}

if(isset($_GET['drop']) && is_numeric($_GET['drop'])) {
	$adress = abfrage("select adress_id from tb_personen where person_id='{$_GET['drop']}'");
	$adrcnt = abfrage1("select person_id from tb_personen where adress_id='$adress[0]' group by person_id");
	if(mysql_num_rows($adrcnt) < 2) abfrage2("delete from tb_p_adressen where adress_id='$adress[0]'");
	abfrage2("delete from tbh_proj_personen where person_id='{$_GET['drop']}'");
	abfrage2("delete from tb_personen where person_id='{$_GET['drop']}'");
}

if(isset($_POST['chg_zuordnung'])) {
	if(empty($rvar_projekte)) {
		echo "<h1>Bitte neue Zuordnung w&auml;hlen</h1>\n";
	} else {
		if(is_array($rvar_h)) {
			foreach($rvar_h as $h) {
				abfrage2("delete from tbh_postzuordnung where posttyp='h' and id = '$h' and typ='p' and id2='$rvar_proj_id'");
				if($rvar_projekte[0]=='m') { $p = 'm'; $id = substr($rvar_projekte,1); }
				elseif($rvar_projekte[0]=='t') { $p = 't'; $id = substr($rvar_projekte,1); }
				elseif($rvar_projekte[0]=='w') { $p = 'w'; $id = substr($rvar_projekte,1); }
				else { $p = 'p'; $id = $rvar_projekte; }
				abfrage2("insert into tbh_postzuordnung set id='$h', posttyp='h', id2='$id', typ='$p';");
				abfrage2("update tb_hp SET proj_id = '0' where hp_id = '$h'");
			}
		}
		if(is_array($rvar_n)) {
			foreach($rvar_n as $n) {
				abfrage2("delete from tbh_postzuordnung where posttyp='n' and id = '$n' and typ='p' and id2='$rvar_proj_id'");
				if($rvar_projekte[0]=='m') { $p = 'm'; $id = substr($rvar_projekte,1); }
				elseif($rvar_projekte[0]=='t') { $p = 't'; $id = substr($rvar_projekte,1); }
				elseif($rvar_projekte[0]=='w') { $p = 'w'; $id = substr($rvar_projekte,1); }
				else { $p = 'p'; $id = $rvar_projekte; }
				abfrage2("insert into tbh_postzuordnung set id='$n', posttyp='n', id2='$id', typ='$p';");
				abfrage2("update tb_nachr SET proj_id = '0' where nachr_id = '$n'");
			}
		}
	}
}

$pra = (isset($_REQUEST['pra'])) ? $_REQUEST['pra'] : 1;

$pers_order = getPersOrder($seite);

include("pro_st_save.inc.php");

/* drei globale Variablen initialisieren */
$datei1 = '';
$datei2 = '';
$rechte_id = '';
$pro = array();

if (isset($rvar_proj_id)) {
	$pra = $projekt->projektart();
	$pro = abfrage_array("select * from tb_projekte where proj_id = '$rvar_proj_id';");

	$sql  = "select p.person_id, a.adress_id, p.name, p.vorname, ";
	$sql .= "date_format(p.geboren, '%d.%m.%Y') as geboren, p.geschlecht, ";
	$sql .= "a.strasse, a.plz, a.ort, a.entfernung, a.telefon, p.telmobil, ";
	$sql .= "p.email, p.bildung, p.bez_art, p.kontext, a.sozialraum, a.fax ";
	$sql .= "from tbh_proj_personen t1 ";
	$sql .= "left join tb_personen p on t1.person_id = p.person_id ";
	$sql .= "left join tb_p_adressen a on p.adress_id = a.adress_id ";
	$sql .= "where t1.proj_id = '$projekt->id' and t1.perstyp_id=1;";

	$kl = abfrage_assoc($sql);

} else {

	$sql = "select nr_von, nr_bis from tb_projektart where pra_id = '$rvar_pra';";
	$prn = abfrage($sql);
}

if(isset($_POST['vmlsenden'])) {
	$betrag = str_replace(',','.',$rvar_betrag);
	$sql  = (empty($rvar_vml)) ? "INSERT INTO" : "UPDATE";
	$sql .= " tb_vormerkliste SET name='$rvar_name', ";
	$sql .= " artikelnr='$rvar_artikelnr', kont_id = '$rvar_kont_id',";
	$sql .= " anzahl = '$rvar_anz', abt_id = '$rvar_abt_id',";
	$sql .= " notizen = '$rvar_notizen', link = '$rvar_url', genau='$rvar_genau', ";
	$sql .= " traeger_art_id = '$rvar_traeger_art_id', konto_id='$rvar_konto_id', ";
	$sql .= " betrag = '$betrag', prio = '$rvar_prio', proj_id = '$rvar_proj_id'";
	$sql .= (empty($rvar_vml)) ? ";" : " WHERE vm_id = '$rvar_vml';";
	abfrage2($sql);
	if(empty($rvar_vml)) $rvar_vml = mysql_insert_id();
	abfrage2("insert into tbh_pers_vormerk set pers_id='$uid', vm_id='$rvar_vml', zeit=now(), abteilungsleiter='n';");
	$rvar_artikel = NULL;
}

$personenprojekt = isset($rvar_proj_id) ? personenprojekt($rvar_proj_id) : ($pra < 3);

if(isset($rvar_really_del) && isset($rvar_von)) {
	abfrage2("delete from tbh_projekt_gruppe where proj_id='$rvar_proj_id' and von='$rvar_von' limit 1");
}
if(isset($rvar_del) && isset($rvar_von)) {
	echo "<form method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">\n";
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
	echo "<input type=\"hidden\" name=\"von\" value=\"$rvar_von\" />\n";
	echo "<table width=\"750\"><tr><th colspan=\"2\" style=\"text-align:center;color:red;\">";
	echo "<h1>Soll die Zuordnung zu dieser Wohngruppe<br />wirklich und unwiederbringlich gel&ouml;scht werden?</h1>";
	echo "</th></tr><tr><td style=\"text-align:center;width:50%;\">";
	echo "<input style=\"height:20px;\" type=\"submit\" value=\"Nein, lieber doch nicht\" /></td>\n";
	echo "<td style=\"text-align:center;width:50%;\">";
	echo "<input style=\"height:20px;\" type=\"submit\" name=\"really_del\" value=\"Ja, wirklich l&ouml;schen\" />";
	echo "</td></tr></table>\n</form>\n";
	new stwLine(1);
}

$show_post_transfer_checkbox = false;

/* Kalender offen? Zeitraum ermitteln */
if($_GET['hhk']) {
	if ($_GET['anz'] == 'j') $monat = 'all';
	elseif ($_GET['tag']) {
		if(strlen($_GET['tag']) == 4) $monat = 'all';
		else $monat = substr($_GET['tag'], 5, 2);
	} else $monat = date('n');
	if ($_GET['tag']) $jahr = substr($_GET['tag'], 0, 4);
	else $jahr = date('Y');
	if($monat == 'all') {
		if($_GET['tag'] != '0000-00-00') {
			$von = date('Y-m-d', mktime(0,0,0,1,1,$jahr));
			$bis = date('Y-m-d', mktime(0,0,0,12,31,$jahr));
		}
	} elseif($_GET['anz'] == 'a') {
		$von_monat = empty($_GET['von_monat']) ? $monat : $_GET['von_monat'];
		$bis_monat = empty($_GET['bis_monat']) ? $von_monat : $_GET['bis_monat'];
		$von_jahr = empty($_GET['von_jahr']) ? $jahr : $_GET['von_jahr'];
		$bis_jahr = empty($_GET['bis_jahr']) ? $von_jahr : $_GET['bis_jahr'];
		$von = date('Y-m-d', mktime(0,0,0,$von_monat,1,$von_jahr));
		$bis = date('Y-m-d', mktime(0,0,0,$bis_monat,date('t',mktime(0,0,0,$bis_monat,1,$bis_jahr)),$bis_jahr));
	} elseif(($_GET['anz'] == 'm') && isset($_GET['tag'])) {
		$von = $_GET['tag'];
		$tag =  date_isodate_stamp($_GET['tag']);
		$bis = date('Y-m-t', $tag);
	} elseif(($_GET['anz'] == 't') && isset($_GET['tag'])) {
		$von = $bis = $_GET['tag'];
	} elseif((($_GET['anz']=='w1')||($_GET['anz']=='w2')) && isset($_GET['tag'])) {
		$tag =  date_isodate_stamp($_GET['tag']);
		$wtag = date('w', $tag);
		if ($wtag == 0){
			$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$bis_ts = $von_ts + (6 * 86400);
		$von = date('Y-m-d', $von_ts);
		$bis = date('Y-m-d', $bis_ts);
	} else {
		$von = (date('Y')-2) . '-' . date('m') . '-01';
		$bis = false;
	}
	if($monat == 'all' && $jahr == '0000') {
		$and_kalender = '';
		$show_post_transfer_checkbox = ($ulv >= 60);
	} else {
		$and_kalender = "and datum >= '$von' ";
		if($bis !== false) $and_kalender .= "and datum <= '$bis' ";
	}
} else $and_kalender = '';

if(isset($rvar_proj_id)) {
	$projektgruppen=abfrage1("select proj_id_gruppe, date_format(von, '%d.%m.%Y'), date_format(bis, '%d.%m.%Y'), von
							  from tbh_projekt_gruppe where proj_id='$rvar_proj_id'
							  order by proj_id_gruppe asc, von asc, bis asc");
	$gruppenprojekt = mysql_num_rows($projektgruppen) > 0 ? true : false;
} else $gruppenprojekt=false;

$action = $show_post_transfer_checkbox ? "pro_daten.php?proj_id=$rvar_proj_id&hhk=1&anz=j&tag=0000-00-00" : 'pro_datsql.php';
echo "<form name=\"persform\" method=\"post\" action=\"$action\">\n";
if(empty($rvar_proj_id) && $rvar_ha=='TTT') echo "<input type=\"hidden\" name=\"TTT\" value=\"1\" />\n";
if(isset($rvar_todo)) echo "<input type=\"hidden\" name=\"todo\" value=\"$rvar_todo\" />\n";
/* Haupttabelle */
echo "<table>\n";
echo "<tr><td>\n";
/* linke Haelfte */
echo "<table>\n";

$ti = 1;
$bKW = false;
if(isset($rvar_proj_id)) {
	$kw=abfrage("select hp_id, date_format(datum,'%d.%m.%Y'), unix_timestamp(and_datum) 
				from tb_hp where proj_id = '$projekt->id' and hp_art='k' order by datum desc limit 1");
	if($kw[0] > 0) $bKW = true;
}

echo "<script type=\"text/javascript\"><!--\n";
echo "function Show4() {\n";
echo " var ntd = document.getElementById('notToDisplayVerb');\n";
echo " ntd.style.display = 'table-row';\n";
if (isset($rvar_proj_id) && ($uid == $projekt->hb() || $uid == $projekt->fb || $ulv >= 96 || check_al_proj($projekt->id))){
	echo " ntd = document.getElementById('notToDisplay4');\n";
	echo " ntd.style.display = 'inline';\n";
}
echo "}\n--></script>\n";

echo "<tr><th class=\"cl1\">Projekt-Nr.";
echo "<a href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\"";
echo stwToolTip('Konfiguration und verbundene Projekte einblenden');
echo "onclick=\"Show4()\">+</a>";
$projspaltenrecht = 135 + $pra;
if (isset($rvar_proj_id) && ($uid == $projekt->hb() || $uid == $projekt->fb || check_nutzer_rechte($projspaltenrecht) || check_al_proj($projekt->id))){
	echo " <a id=\"notToDisplay4\" style=\"display:none\" href=\"pro_konf.php?proj_id=$projekt->id&konf=1\"";
	echo stwToolTip('Projekteinstellungen und -kategorien &auml;ndern');
	echo "><img style=\"position:relative;top:3px;\" src=\"".image('hammer')."\" /></a>";
}
echo ":</th>\n<td colspan=\"3\">";
/* Projektnummer zusammenbauen...*/
if (isset($rvar_proj_id) && $_SESSION[$AppCode]['ULV'] < 96){
	$h_art = abfrage("select hilfeart, beschreibung from tb_hilfeart".
					" where hilfeart_id = '$projekt->ha';");
	echo "<input type=\"hidden\" name=\"hilfeart_id\" value=\"$projekt->ha\" />\n";
	echo "<span " . stwToolTip($h_art[1]) . ">$h_art[0]</span>\n";

} else {
	echo "<select style=\"width:50px\" name=\"hilfeart_id\" size=\"1\" tabindex=\"$ti\">"; $ti++;
	$ha_where = "where ( aktiv = 'j' and pra_id = $pra ) ";
	if(empty($rvar_proj_id)) $ha_where .= "or hilfeart = '$rvar_ha'";
	else $ha_where .= "or hilfeart_id = '".$projekt->ha."'";

	/* wenn 'pra' 10 ist wird die Sortierreihenfolge umgedreht */
	$sort_ha = ($pra == 10) ? 'desc' : 'asc';
	$sql = "SELECT * FROM tb_hilfeart $ha_where order by hilfeart $sort_ha;";
	$res = abfrage1($sql);

	while ($zeile = mysql_fetch_row($res)) {
		echo "<option title=\"$zeile[2]\"";
        if ((isset($rvar_proj_id) && $projekt->ha == $zeile[0]) ||
            ($rvar_ha == $zeile[1])) {
			echo ' selected';
        }
		if(empty($rvar_proj_id) || empty($pro[30])) {
			echo " onclick=\"document.persform.abt_id.value='$zeile[23]';\"";
		}
	    echo " value=\"$zeile[0]\">$zeile[1]&nbsp;&nbsp;$zeile[2]</option>\n";
    }
    echo "</select>\n";
}
if (isset($rvar_proj_id) && $_SESSION[$AppCode]['ULV'] < 96){
	echo " $projekt->nr\n";
	echo "<input type=\"hidden\" name=\"projektnr\" value=\"$projekt->nr\" />\n";
} else {
	echo "<input type=\"text\" name=\"projektnr\" size=\"5\" maxlength=\"5\"";
	echo " tabindex=\"$ti\" style=\"text-align: right;\""; $ti++;
	if (isset($rvar_proj_id)) {
		echo " value=\"$projekt->nr\"";
	} else {
		  if(isset($rvar_prn_mod)) $prn[0] += $rvar_prn_mod;
		  $nmbs = abfrage1("select projektnr from tb_projekte ".
					"where projektnr >= $prn[0] and projektnr <= $prn[1];");
		  $prNrs = array();
		  while ($nmb = mysql_fetch_row($nmbs)) { array_push ($prNrs, $nmb[0]); }
		  for($i = $prn[0]; $i < $prn[1]; $i++) { if(!in_array($i,$prNrs)) break; }
		  echo "value=\"$i\"";
	}
	echo " />&nbsp;";
}
if(isset($rvar_proj_id)) {
	echo initialien($projekt->vname(),$projekt->nname());
	$ja = abfrage("select t2.kurzname from tb_kontakte_ap t1 "
				. "left join tb_kontakte t2 on t1.kont_id = t2.kont_id and t2.kh_id='0' "
				. "where t1.ap_id = '$projekt->sb';");
	echo " $ja[0]";
}
$traegerselect = false;
/* Traeger - wird nicht bei neuem Projekt angezeigt
             -> dort Standardwert aus konf */
if (isset($rvar_proj_id) && $pra != 11 && $pra != 6) {
	if ($_SESSION[$AppCode]['ULV'] < 60){
		echo "&nbsp; &nbsp; <b style=\"color:#FFCC00\">Tr&auml;ger:</b>\n";
		$t_art = abfrage("select kurzname, traeger_art from tb_traeger_art
							where traeger_art_id = '$projekt->traeger_art_id';");
		echo ' <span' . stwToolTip($t_art[1]) . '>' . $t_art[0] . "</span>\n";
		echo "<input type=\"hidden\" name=\"traeger_art_id\" ";
		echo "value=\"$projekt->traeger_art_id\" />\n";
	} else {
		$traegerselect = true;
	}
}
if(in_array($pra,array(6,11))) {
	$traegerselect = true;
}
if($traegerselect) {
	echo "&nbsp; &nbsp; <b style=\"color:#FFCC00\">Tr&auml;ger:</b>\n";
	echo "<select name=\"traeger_art_id\" size=\"1\" tabindex=\"$ti\">";
	$ti++;
	$sql  = "SELECT traeger_art_id, traeger_art, kurzname ";
	$sql .= "FROM tb_traeger_art order by kurzname asc;";
	$res = abfrage1($sql);
	$numtrs = mysql_num_rows($res);

	while ($row = mysql_fetch_row($res)) {
		echo "<option title=\"$row[1]\"";
		if (isset($rvar_proj_id) && $projekt->traeger_art_id == $row[0]) echo ' selected';
	  echo " value=\"$row[0]\">$row[2]</option>\n";
	}
	echo "</select>\n";
	if(in_array($pra,array(6,11))) {
		echo "<script type=\"text/javascript\"><!--\n";
		echo "function trShow() {\n";
		echo " var trs = document.getElementsByName('traeger_art_zus[]');\n";
		echo " for (var i = 0; i < trs.length; i++) if(trs[i].style.display == 'none') {\n";
		echo "  trs[i].style.display = 'inline';\nbreak;\n }\n";
		echo "}\n--></script>\n";
		$zus_trs = abfrage1("select traeger_art_id from tbh_proj_traeger where proj_id='$rvar_proj_id'");
		$zus_tr_cnt = mysql_num_rows($zus_trs);
		for($i=1; $i<$numtrs; $i++) {
			$style = $zus_tr_cnt >= $i ? '' : "style=\"display:none\"";
			echo "<select name=\"traeger_art_zus[]\" size=\"1\" tabindex=\"$ti\" $style>";
			echo "<option value=\"0\">--</option>\n";
			$ti++;
			$zus_tr = mysql_fetch_row($zus_trs);
			$sql  = "SELECT traeger_art_id, traeger_art, kurzname ";
			$sql .= "FROM tb_traeger_art order by kurzname asc;";
			$res = abfrage1($sql);
			while ($row = mysql_fetch_row($res)) {
				echo "<option title=\"$row[1]\"";
				if ($zus_tr[0] == $row[0]) echo ' selected';
			  echo " value=\"$row[0]\">$row[2]</option>\n";
			}
			echo "</select>\n";
		}
		echo " <a href=\"#\" style=\"font-size:16px\"";
		echo stwToolTip("weiteren Tr&auml;ger hinzuf&uuml;gen");
		echo "onmousedown=\"trShow();\">+</a> ";
	}
}
/* Einverst.erkl. Sachberichte */
$ps = abfrage1("select p.proj_id from tb_sachbericht s left join tb_sachbericht_proj p using(sb_id) "
			 . "where p.proj_id='$rvar_proj_id' and s.einverst = 'j'");
if(mysql_num_rows($ps) > 0) {
	echo "&nbsp; &nbsp; <a href=\"pro_pr_einverst.php?proj_id=$rvar_proj_id&ts=" . time() . "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" alt=\"druck\"";
	echo stwToolTip('<b>Einverst&auml;ndniserkl&auml;rung drucken</b><br>Daten, die dem Jugendamt anonymisiert mitgeteilt werden',false);
	echo "/></a>";
	$checked = empty($pro[35]) ? '' : "checked";
	$einverst = (empty($rvar_proj_id) || empty($pro[35])) ? $uid : $pro[35];
	$einvdatum = (empty($rvar_proj_id) || empty($pro[36]) || $pro[36]=='0000-00-00') ? date('Y-m-d') : $pro[36];
	echo "<input type=\"hidden\" name=\"einverst\" value=\"$einverst\" />\n";
	echo "<input type=\"hidden\" name=\"einvdatum\" value=\"$einvdatum\" />\n";
	echo " &nbsp; <input type=\"checkbox\" name=\"einv\" value=\"1\" $checked";
	if(empty($pro[35])) echo stwToolTip("Einverst&auml;ndniserkl&auml;rung als unterzeichnet markieren");
	else echo stwToolTip("von " . pers_kname($pro[35]) . " am ".date_my2gr($pro[36])." als unterzeichnet markiert.");
	echo " />";
}
echo "</td>\n";
/* TTT-Datenerfassung */
if(isset($rvar_proj_id)) {
	echo "<td style=\"text-align:right;\">";
	$sql	= "select h.pers_id from tbh_pers_abt h "
			. "left join tb_personal_abt a using(abt_id) "
			. "where h.pers_id = '" . $_SESSION[$AppCode]['UID']
			. "' and a.name = 'TTMitarbeiter'";
	$ttmitarbeiter = abfrage($sql);
	if($projekt->h_art == 'TTT' && getConf('traeger') == 'stw'
								&& ($projekt->hb() == $_SESSION[$AppCode]['UID']
								|| $_SESSION[$AppCode]['ULV'] >= 65
								|| isset($ttmitarbeiter[0]))){
		$csv = abfrage1("select * from tb_ttt_csv where pers_id='".$projekt->hb()."'");
		echo "<input type=\"button\" value=\"TTT-Daten\" style=\"background-color:";
		if(mysql_num_rows($csv) == 6) {
			echo "#00FF00\"";
			$tt = "Teilnehmerdaten &auml;ndern";
		} elseif(mysql_num_rows($csv) == 0) {
			echo "#FF0000\"";
			$tt = "Tim Tender Teilnehmerdaten erfassen
			(noch keine Daten vorhanden)";
		} else {
			echo "#FFFF00\"";
			$tt = "Tim Tender Teilnehmerdaten erfassen";
		}
		echo stwToolTip($tt);
		echo "onclick=\"self.location.href='mandant/stw/csv_req.php?proj_id=$projekt->id'\" />";
	}
	echo "</td>\n";
}
echo "</tr>\n";

$verbund = abfrage1("select verbund_id from tb_pro_verbund where proj_id='$rvar_proj_id' and datetime_bis is NULL");
$parents = abfrage1("select proj_id_parent from tb_pro_inheritance where proj_id_child='$rvar_proj_id' and show_parent_in_child='j'");
$children = abfrage1("select proj_id_child from tb_pro_inheritance where proj_id_parent='$rvar_proj_id' and show_child_in_parent='j'");
$tt = stwToolTip("verbundenes Projekt");
echo "<tr id=\"notToDisplayVerb\"";
if(mysql_num_rows($verbund)==0 && mysql_num_rows($parents)==0 && mysql_num_rows($children)==0) echo " style=\"display:none\"";
echo "><th class=\"cl1\" $tt>";
if (isset($rvar_proj_id) && ($uid == $projekt->hb() || $uid == $projekt->fb || check_nutzer_rechte($projspaltenrecht) || check_nutzer_rechte(131) || check_al_proj($projekt->id))) {
	echo "<a href=\"pro_konf.php?proj_id=$projekt->id\">verb. Projekt:</a>";
}
else echo "verb. Projekt:";
echo "</th><td colspan=\"4\">";
$vPos = 0;
echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr>";
if(mysql_num_rows($verbund) > 0) {
	echo "<td><table cellpadding=\"0\" cellspacing=\"0\">";
	while($verbund_id = mysql_fetch_row($verbund)) {
		if($vPos == 0) echo "<tr>";
		$prid2 = abfrage("select proj_id from tb_pro_verbund where verbund_id='$verbund_id[0]' and proj_id!='$rvar_proj_id'");
		echo "<td class=\"cl1\" style=\"width:33%\"><a href=\"pro_daten.php?proj_id=$prid2[0]\"";
		$projektnummer = projektnummer($prid2[0],1);
		$pr = explode(" - ", $projektnummer);
		echo stwToolTip($pr[1]);
		echo ">$pr[0]</a></td>";
		if($vPos == 2) {
			echo "</tr>";
			$vPos = 0;
		} else $vPos++;
	}
	if($vPos != 0) echo "</tr>";
	echo "</table></td>";
}
if(mysql_num_rows($parents)>0 || mysql_num_rows($children)>0) {
	echo "<td width=\"100%\"></td><td><table cellpadding=\"0\" cellspacing=\"0\">";
	while($parent = mysql_fetch_row($parents)) {
		echo "<tr><td><a href=\"pro_daten.php?proj_id=$parent[0]\"";
		echo stwToolTip('zum Ursprungsprojekt ' . projektnummer($parent[0]));
		echo "style=\"color:grey\">" . sprintf('%03d',projektnr($parent[0])) . "</a></td></tr>\n";
	}
	while($child = mysql_fetch_row($children)) {
		echo "<tr><td><a href=\"pro_daten.php?proj_id=$child[0]\"";
		echo stwToolTip('zum Folgeprojekt ' . projektnummer($child[0]));
		echo "style=\"color:lime\">" . sprintf('%03d',projektnr($child[0])) . "</a></td></tr>\n";
	}
	echo "</table></td>";
}
echo "</tr></table></td></tr>\n";

/* Projektberichte */
$sql  = "SELECT frist FROM tb_pb_zr WHERE proj_id = '$rvar_proj_id' ";
$sql .= "ORDER BY zr_id DESC LIMIT 1";
$erg = abfrage($sql);

if (empty($erg[0])) $b_pb = false;
else {
	/* Zeitraum noch mit angeben daneben */
	switch ($erg[0]) {
		case 1: $zeitraum = "w&ouml;chentlich";
				break;

		case 2: $zeitraum = "14t&auml;gig";
				break;

		case 3: $zeitraum = "monatlich";
				break;

		case 4: $zeitraum = "quartalsweise";
				break;

		case 5: $zeitraum = "halbj&auml;hrlich";
				break;

		case 6: $zeitraum = "j&auml;hrlich";
				break;

		default: $zeitraum = "unbekannt";
	}
	$b_pb = true;
	echo "<tr><th class=\"cl1\">";
	if($_SESSION[$AppCode]["ULV"]>=25) echo "<a href=\"pro_konf.php?konf=1&proj_id=$rvar_proj_id\"".stwToolTip('Projektberichtszeitr&auml;ume verwalten').">";
	echo "Projektbericht<span style=\"font-size:small;position:relative;left:0;top:-4px;\">+</span>:";
	if($_SESSION[$AppCode]["ULV"]>=25) echo "</a>";
	echo "</th><th>$zeitraum</th></tr>\n";
}
/* Abteilung */
if (isset($rvar_proj_id) && !check_nutzer_rechte(147) && !check_al_proj($rvar_proj_id)) {
	echo "<tr><th class=\"cl1\">Abteilungen:</th>\n";
	echo "<input type=\"hidden\" name=\"abt_id\" value=\"$projekt->abt_id\">\n<td colspan=\"30\" />";
	$abtids = '';
	if ($projekt->abt_id > 0){
		$abt_name = abfrage("select name from tb_personal_abt
							where abt_id = '$projekt->abt_id';");
		echo "<span style=\"color:#FFCC00\">$abt_name[0]</span>";
		$abtids = $projekt->abt_id;
		$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$projekt->id'");
		while ($abt = mysql_fetch_row($abts)){
		  if($abt[0] != $projekt->abt_id) {
			$abt_name = abfrage("select name from tb_personal_abt where abt_id = '$abt[0]';");
			$abtids .= ", $abt[0]";
			echo ", <i>$abt_name[0]</i>";
		  }
		}
	} else {
		echo 'keine';
	}
	echo "<input type=\"hidden\" name=\"abt_ids\" value=\"$abtids\" />";
} else {
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function Show() {\n";
	echo " var ntd = document.getElementsByName('notToDisplay');\n";
	echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'inline';\n";
	echo "}\n--></script>\n";
	echo "<tr><th rowspan=\"2\" class=\"cl1\"><a href=\"#\" ";
	echo stwToolTip('Abteilungen hinzuf&uuml;gen und entfernen');
	echo "onmousedown=\"Show();\" oncontextmenu=\"return false;\">Abteilungen</a>";
	echo "<a href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\"";
	echo stwToolTip('Abteilungen hinzuf&uuml;gen und entfernen');
	echo "onclick=\"Show()\">+</a>:</th>\n<td colspan=\"30\" name=\"notToDisplay\"";
	if(isset($rvar_proj_id)) echo " style=\"display:none\"";
	echo ">\n";

	$js = "var Abteilungen = new Array();\n";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function makePrimary(id) {";
	echo " var sb = document.getElementById('s'+document.persform.abt_id.value+'b');\n";
	echo " if(sb) sb.style.color='#CCCCCC';\n";
	echo " sb = document.getElementById('s'+id+'b');\n";
	echo " if(sb) sb.style.color='#FFCC00';\n";
	echo " if(!id) id=0;\n";
	echo " document.persform.abt_id.value = id;\n";
	echo "} \n \n function del(id) {";
	echo " var name = Abteilungen[id];\n";
	echo " var Option = document.createElement('option');\n";
	echo " Option.value = id; Option.text = name;\n";
	echo " try { document.persform.abt.add(Option, null); }\n";
	echo " catch(ex) { document.persform.abt.add(Option); }\n";
	echo " var txt = document.getElementById('abt_out').innerHTML;\n";
	echo " var pos = txt.toLowerCase().indexOf('<'+'i');\n";
	echo " if(pos==-1) {\n  document.getElementById('abt_out').innerHTML='';\n";
	echo "  document.persform.abt_ids.value=0;\n document.persform.abt_id.value=0; }\n else {\n";
	echo "  pos0 = txt.toLowerCase().indexOf('s'+id+'b');\n";
	echo "  pos1 = txt.substr(0,pos0).lastIndexOf('<'+'sp'+'an');\n";
	echo "  pos2 = txt.toLowerCase().indexOf('x'+'</'+'a>',pos1)+5;\n";
	echo "  if(pos1 < 15) pos2+=2;\n";
	echo "  else if(txt.substr(pos1-2,1)==',') pos1-=2;\n";
	echo "  document.getElementById('abt_out').innerHTML = txt.substr(0,pos1) + txt.substr(pos2);\n";
	echo "  txt = document.persform.abt_ids.value;\n";
	echo "  pos1 = txt.indexOf(', '+id);\n";
	echo "  if(pos1<0) pos1=0; else pos1 += 2;\n";
	echo "  pos2 = txt.indexOf(',',pos1);\n";
	echo "  if(pos2 == -1) pos1 -= 2;";
	echo "  document.persform.abt_ids.value = txt.substr(0,pos1);\n";
	echo "  if(pos2 > 0) document.persform.abt_ids.value += txt.substr(pos2+2);";
	echo "  if(id == document.persform.abt_id.value){";
	echo "   pos = document.persform.abt_ids.value.indexOf(',');\n";
	echo "   if(pos == -1) makePrimary(document.persform.abt_ids.value);\n";
	echo "   else makePrimary(document.persform.abt_ids.value.substr(0,pos));\n";
	echo " }\n}\n}\n--></script>\n";
	echo "<select name=\"abt\" size=\"1\" tabindex=\"$ti\""; $ti++;
	echo " onchange=\"if(document.persform.abt_ids.value==0) {";
	echo " document.persform.abt_id.value=document.persform.abt.value;\n";
	echo " document.persform.abt_ids.value=document.persform.abt.value;\n";
	echo " document.getElementById('abt_out').innerHTML='<span id=s'+document.persform.abt.value+'b style=color:#FFCC00><i ";
	echo "onclick=makePrimary('+document.persform.abt.value+')>'+Abteilungen[document.persform.abt.value]+'</i></span>';\n";
	echo "} else {\n document.persform.abt_ids.value+=', '+document.persform.abt.value;\n";
	echo " document.getElementById('abt_out').innerHTML+=', <span id=s'+document.persform.abt.value+'b><i ";
	echo "onclick=makePrimary('+document.persform.abt.value+')>'+Abteilungen[document.persform.abt.value]+'</i></span>'; ";
	echo " }\n document.getElementById('abt_out').innerHTML+=' <a href=# style=color:red onclick=del('+document.persform.abt.value+')>X</a>'; ";
	echo " document.persform.abt.remove(document.persform.abt.selectedIndex); ";
	echo " document.persform.abt.value=0; \"";

	if (!isset($rvar_proj_id) || check_nutzer_rechte(147)) {
		$sql = "select abt_id, name from tb_personal_abt order by name asc;";
	} else {
		$sql = "select a.abt_id, a.name from tb_personal_abt_leit l
				left join tb_personal_abt a using(abt_id)
				where l.pers_id='$uid'
				order by a.name asc;";
	}
	$abtn = abfrage1($sql);
	echo "><option value=\"0\"";
	echo ">Abteilung hinzuf&uuml;gen</option>\n";
	$abt_out = '';
	if(empty($rvar_proj_id) && is_array($rvar_abt_ids)) {
		$abt_ids_comma_sep = implode(",", $rvar_abt_ids);
		$abps = abfrage1("select abt_id from tb_personal_abt where abt_id in ($abt_ids_comma_sep);");
	} else $abps = abfrage1("select abt_id from tbh_proj_abt where proj_id='$projekt->id';");
	$js2 = '';
	$abs = array();
	while ($ab = mysql_fetch_row($abps)){
	  if(isset($rvar_proj_id) && $projekt->abt_id != $ab[0]) {
		$js2 .= "document.persform.abt_ids.value+=', $ab[0]';\n";
		$js2 .= "document.getElementById('abt_out').innerHTML+=', <span id=s'+$ab[0]+'b><i ";
		$js2 .= "onclick=makePrimary('+$ab[0]+')>'+Abteilungen[$ab[0]]+'</i></span>';\n";
		if($ulv >= 97) $del = true;
		else {
			$ts  = mktime(0, 0, 0, date("n"), 1, date("Y"));
			$sperre = abfrage1("select abt_id from tb_dienst_monat where ts_monat='$ts' and gf_dienst>0 and abt_id='$ab[0]'");
			$del = (mysql_num_rows($sperre) == 0);
		}
		if($del) $js2 .= "document.getElementById('abt_out').innerHTML+='<a href=# name=\"notToDisplay\" style=\"color:red;display:none\" onclick=del($ab[0])> X</a>';\n";
		$abs[] = $ab[0];
	  }
	}
	$prime_abt = 0;
	while ($abt = mysql_fetch_row($abtn)){
		if (isset($rvar_proj_id) && $abt[0] == $projekt->abt_id || $rvar_abt == $abt[1] || $rvar_abt == $abt[0]) {
			$prime_abt = $abt[0];
			$abt_out  = "<span id=s$abt[0]b style=\"color:#FFCC00\"";
			$abt_out .= stwToolTip('<b>Prim&auml;re Abteilung</b><br>Klick auf andere Abteilung,<br>um diese zur Prim&auml;rabteilung zu machen',false);
			$abt_out .= "><i onclick=makePrimary($abt[0])>$abt[1]</i></span><a href=\"#\" name=\"notToDisplay\" style=\"color:red;display:none\" onclick=\"del($abt[0],'$abt[1]')\"> X</a>";
		} elseif (!in_array($abt[0], $abs)) {
            echo "<option value=\"$abt[0]\">$abt[1]</option>\n";
        }
		$js .= "Abteilungen[".$abt[0]."] = '$abt[1]';\n";
	}
	echo "</select></td></tr>\n";
	echo "<input type=\"hidden\" name=\"abt_ids\" value=\"". (0 + $prime_abt) ."\" />";
	echo "<input type=\"hidden\" name=\"abt_id\" value=\"". (0 + $prime_abt) ."\" />";
	echo "<tr><td class=\"ww\" colspan=\"30\" id=\"abt_out\">\n$abt_out</td></tr>\n";
	echo "<script type=\"text/javascript\"><!--\n $js $js2 --></script>\n";
}
echo "</td>\n";
echo "</tr>\n";

/* PKW?! */
if (isset($rvar_proj_id) && $projekt->h_art == 'PKW'){
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function Show2() {\n";
	echo " var ntd = document.getElementsByName('notToDisplay2');\n";
	echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'inline';\n";
	echo "}\n--></script>\n";
	echo "<tr><th rowspan=\"2\" class=\"cl1\"><a href=\"#\" ";
	echo stwToolTip('PKWs hinzuf&uuml;gen und entfernen');
	echo "onmousedown=\"Show2();\" oncontextmenu=\"return false;\">PKWs</a>";
	echo "<a href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\"";
	echo stwToolTip('PKWs hinzuf&uuml;gen und entfernen');
	echo "onclick=\"Show2()\">+</a>:</th>\n<td colspan=\"30\" name=\"notToDisplay2\"";
	if(isset($rvar_proj_id)) echo " style=\"display:none\"";
	echo ">\n";

	$js = "var PKWs = new Array();\n";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function del2(id) {";
	echo " var name = PKWs[id];\n";
	echo " var Option = document.createElement('option');\n";
	echo " Option.value = id; Option.text = name;\n";
	echo " try { document.persform.pkw.add(Option, null); }\n";
	echo " catch(ex) { document.persform.pkw.add(Option); }\n";
	echo " var txt = document.getElementById('pkw_out').innerHTML;\n";
	echo " var pos = txt.toLowerCase().indexOf('<'+'i');\n";
	echo " if(pos==-1) {\n  document.getElementById('pkw_out').innerHTML='';\n";
	echo "  document.persform.pkw_ids.value=0;\n}\n else {\n";
	echo "  pos0 = txt.toLowerCase().indexOf('s'+id+'b');\n";
	echo "  pos1 = txt.substr(0,pos0).lastIndexOf('<'+'sp'+'an');\n";
	echo "  pos2 = txt.toLowerCase().indexOf('x'+'</'+'a>',pos1)+5;\n";
	echo "  if(pos1 < 15) pos2+=2;\n";
	echo "  else if(txt.substr(pos1-2,1)==',') pos1-=2;\n";
	echo "  document.getElementById('pkw_out').innerHTML = txt.substr(0,pos1) + txt.substr(pos2);\n";
	echo "  txt = document.persform.pkw_ids.value;\n";
	echo "  pos1 = txt.indexOf(', '+id);\n";
	echo "  if(pos1<0) pos1=0; else pos1 += 2;\n";
	echo "  pos2 = txt.indexOf(',',pos1);\n";
	echo "  if(pos2 == -1) pos1 -= 2;";
	echo "  document.persform.pkw_ids.value = txt.substr(0,pos1);\n";
	echo "  if(pos2 > 0) document.persform.pkw_ids.value += txt.substr(pos2+2);";
	echo " \n}\n}\n--></script>\n";
	echo "<select name=\"pkw\" size=\"1\" tabindex=\"$ti\""; $ti++;
	echo " onchange=\"if(document.persform.pkw_ids.value==0) {";
	echo " document.persform.pkw_ids.value=document.persform.pkw.value;\n";
	echo " document.getElementById('pkw_out').innerHTML='<span id=s'+document.persform.pkw.value+'b><i>'";
	echo "+PKWs[document.persform.pkw.value]+'</i></span>';\n";
	echo "} else {\n document.persform.pkw_ids.value+=', '+document.persform.pkw.value;\n";
	echo " document.getElementById('pkw_out').innerHTML+=', <span id=s'+document.persform.pkw.value+'b><i>'";
	echo "+PKWs[document.persform.pkw.value]+'</i></span>'; ";
	echo " }\n document.getElementById('pkw_out').innerHTML+=' <a href=# style=color:red onclick=del2('+document.persform.pkw.value+')>X</a>'; ";
	echo " document.persform.pkw.remove(document.persform.pkw.selectedIndex); ";
	echo " document.persform.pkw.value=0; \"";
	$pkws=abfrage1("select r.res_id, r.name from tb_ressourcen r left join tb_res_typ t using (res_typ)
					where t.name = 'PKW' and r.aktiv = 'j' order by name asc;");

	echo "><option value=\"0\"";
	echo ">PKW hinzuf&uuml;gen</option>\n";
	$pkw_out = '';
	$ppkws = abfrage1("select res_id from tbh_proj_pkw where proj_id='$projekt->id';");
	$js2 = '';
	$pks = array();
	while ($pkw = mysql_fetch_row($ppkws)){
		$komma = ($js2=='') ? '' : ', ';
		$js2 .= "document.persform.pkw_ids.value+='".$komma."$pkw[0]';\n";
		$js2 .= "document.getElementById('pkw_out').innerHTML+='".$komma."<span id=s'+$pkw[0]+'b><i ";
		$js2 .= "onclick=self.location.href=\"pkw_and.php?res_id=$pkw[0]\"><a>'+PKWs[$pkw[0]]+'</a></i></span>';\n";
		$js2 .= "document.getElementById('pkw_out').innerHTML+='<a href=# name=\"notToDisplay2\" style=\"color:red;display:none\" onclick=del2($pkw[0])> X</a>';\n";
		$pks[] = $pkw[0];
	}
	while ($pkw = mysql_fetch_row($pkws)){
		if (!in_array($pkw[0], $pks)) {
            echo "<option value=\"$pkw[0]\">$pkw[1]</option>\n";
        }
		$js .= "PKWs[".$pkw[0]."] = '$pkw[1]';\n";
	}
	echo "</select></td></tr>\n";
	echo "<input type=\"hidden\" name=\"pkw_ids\" value=\"0\" />";
	echo "<tr><td class=\"ww\" colspan=\"30\" id=\"pkw_out\">\n$pkw_out</td></tr>\n";
	echo "<script type=\"text/javascript\"><!--\n $js $js2 --></script>\n";
}
echo "</td></tr>\n";

/* Name */
if ($personenprojekt || $gruppenprojekt) {
	$nnm = 'Name';
	$vnm = 'Vorname';
	$ort = 'Ort';
} else {
	$nnm = 'Name 1';
	$vnm = 'Name 2';
	$ort = ($pra==6 || isset($rvar_proj_id) && $projekt->nr >= 18000 && $projekt->nr < 20000) ? 'Standort' : 'Beschreibung';
}

/* Zeile wo der Name ausgegeben wird */
echo "<tr><th>";
if(isset($rvar_proj_id)) {
	$bug = abfrage1("select proj_id from tbh_proj_personen where person_id='{$kl['person_id']}' and perstyp_id='1'");
	if(mysql_num_rows($bug) > 1) {
		echo "<a href=\"pro_daten.php?proj_id=$rvar_proj_id&amp;bugfix={$kl['person_id']}\"";
		echo stwToolTip("Bugfix: Doppelt vergebene person_id nach Spaltung eines Projekts.<br><b>Bitte hier klicken!</b>");
		echo "><img src=\"".image('bug')."\" /></a> &nbsp; ";
	}
}
echo "$nnm:</th><td colspan=\"3\">\n";
echo "<input type=\"text\" name=\"name\" size=\"30\" maxlength=\"50\" ";
if (isset($rvar_proj_id)) $val = $kl['name'];
elseif (isset($rvar_name1)) $val = $rvar_name1;
else $val = "";
$daten = new stwDaten(3);

if (!empty($rvar_proj_id)) {
	$link = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $rvar_proj_id, 0);
} else {
	$link = '';
}

echo "tabindex=\"$ti\" value=\"$val\" /> $link</td></tr>\n"; $ti++;

echo "<tr><th>$vnm:</th><td colspan=\"3\">";
echo "<input type=\"text\" name=\"vorname\" size=\"30\" maxlength=\"50\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_proj_id)) echo " value=\"{$kl['vorname']}\"";
elseif(isset($rvar_name2)) echo " value=\"$rvar_name2\"";
echo " /></td></tr>\n";

if ($personenprojekt || $gruppenprojekt){
	echo "<tr><th>geboren:</th><td colspan=\"3\">";
	echo "<input type=\"text\" name=\"geboren\" size=\"11\" maxlength=\"11\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id) && $kl['geboren'] != '00.00.0000'){
		echo " value=\"{$kl['geboren']}\"";
	}
	echo "/>&nbsp;&nbsp;TT.MM.JJJJ";

	if (isset($rvar_proj_id)){
		$daten = new stwDaten(44);
		$link = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $rvar_proj_id, 0);
		echo "<span style=\"position:absolute;left:300px;\">Notfallkontrolle:</span>";
		echo "<span style=\"position:absolute;left:390px;\">$link</span>";
	}
  
  echo "</td></tr>\n";

  echo "<tr><th>Geschlecht:</th><td colspan=\"3\">";
  echo "<input type=\"radio\" name=\"geschlecht\" value=\"w\" tabindex=\"$ti\"";
  $ti++;
  if (isset($rvar_proj_id)) {
  	if ($kl['geschlecht'] == "w") {
  		echo " checked";
  	}
  }
  echo " />&nbsp;<b>weiblich</b>&nbsp;";
  echo "<input type=\"radio\" name=\"geschlecht\" value=\"m\" tabindex=\"$ti\"";
  $ti++;
  if (isset($rvar_proj_id)) {
  	if ($kl['geschlecht'] == "m") {
  		echo " checked";
  	}
  }
  echo " />&nbsp;<b>m&auml;nnlich</b>";

	if (isset($rvar_proj_id)){
		$daten = new stwDaten(18);
		$link = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $rvar_proj_id, 0);
		echo "<span style=\"position:absolute;left:300px;\">Genogramm:</span>";
		echo "<span style=\"position:absolute;left:390px;\">$link</span>";
	}

  echo "</td></tr>\n";


  echo "<tr><th>Stra&szlig;e:</th><td colspan=\"3\">";
  echo "<input type=\"text\" name=\"strasse\" size=\"30\" maxlength=\"30\" ";
  echo "tabindex=\"$ti\""; $ti++;
  if (isset($rvar_proj_id)) echo " value=\"{$kl['strasse']}\"";
  echo " /></td></tr>\n";

  echo "<tr><th>PLZ:</th>";
  echo "<td><input type=\"text\" name=\"plz\" size=\"5\" maxlength=\"5\" ";
  echo "tabindex=\"$ti\""; $ti++;
  if (isset($rvar_proj_id)) echo " value=\"{$kl['plz']}\"";
  echo " /> ";
  if ($personenprojekt && isset($rvar_proj_id)) {
	$srs = abfrage1("select id, kreis from tb_sozialraum group by kreis, id order by kreis, id asc");
	if(mysql_num_rows($srs) > 0) {
	  echo "&nbsp; Sozialraum: ";
	  $sozr = empty($kl['sozialraum']) ? getSozialraum($kl['plz'], $kl['ort']) : $kl['sozialraum'];
	  echo "<select name=\"sozialraum\" size=\"1\" tabindex=\"$ti\">\n";
	  $ti++;
	  echo "<option value=\"0\">w&auml;hlen!</option>\n";
	  while ($sr = mysql_fetch_row($srs)) {
		echo "<option";
		$orte = abfrage1("select ort from tb_sozialraum where id='$sr[0]' and kreis='$sr[1]'");
		$title = "";
		while ($or = mysql_fetch_row($orte)) {
		  $title .= "$or[0], ";
		}
		if($title != "") $title = " title=\"".substr($title,0,-2)."\""; 
		if ($sozr == "$sr[1]$sr[0]") echo ' selected';
		echo "$title value=\"$sr[1]$sr[0]\">$sr[1] $sr[0]</option>\n";
	  }
	  echo "</select>\n";
	}
  }
  echo "</td>";
  if(getConf('traeger') != 'sik') {
	echo "<th style=\"text-align:right;\"".stwToolTip('Entfernung').">Entf.:</th>";
	echo "<td><input type=\"text\" name=\"entfernung\" size=\"3\" maxlength=\"3\"";
	echo " tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"{$kl['entfernung']}\"";
	echo " />&nbsp;km</td>";
  }
  echo "</tr>\n";
}

echo "<tr><th>$ort:</th>\n";
echo "<td colspan=\"3\"><input type=\"text\" name=\"ort\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_proj_id)) echo " value=\"{$kl['ort']}\"";
elseif(isset($rvar_ort)) echo " value=\"$rvar_ort\"";
echo " /></td></tr>\n";

if (isset($rvar_proj_id)) {
	$ma=abfrage("select t1.teldienst,t1.telmobil,t1.pers_id
				 from tb_personal t1
				 left join tbh_pers_proj t2 on t1.pers_id=t2.pers_id
				 where t2.proj_id = $rvar_proj_id and t2.personaltyp_id = 1");
	$tt_hb = '';
	if (empty($ma[1])){
		if (empty($ma[0])){
			$tt_hb = 'zum Hauptbetreuer';
		} else {
			$tt_hb = $ma[0];
		}
	} else {
		$tt_hb=$ma[0]. ' | ' . $ma[1];
	}
}

if ($personenprojekt || isset($rvar_proj_id) && $projekt->h_art=='TTT' || $rvar_ha=='TTT'){
	$sql = "select s.sb_id from tb_sachbericht_proj p
			left join tb_sachbericht s using(sb_id)
			where p.proj_id='$rvar_proj_id' and s.einverst_pers_id > 0";
	$DSSachbericht = abfrage($sql);
	if($DSSachbericht[0]) {
		$geburt = date_gr2ts($kl['geboren']);
		$jetzt = mktime(0,0,0,date("m"),date("d"),date("Y"));
		$age = intval(($jetzt - $geburt) / (3600 * 24 * 365));
		if($age >= 18) {
			echo "<tr><th>Bildungsstand:</th>\n";
			echo "<td colspan=\"3\"><select name=\"bildung\" size=\"1\" tabindex=\"$ti\">\n";
			$ti++;
			echo "<option>keine Angabe!</option>\n";
			$res = abfrage1("SELECT * FROM tb_bildung_person");
			while ($zeile = mysql_fetch_row($res)) {
				echo "<option";
				if (isset($rvar_proj_id) && $kl['bildung'] == $zeile[0]) echo ' selected';
				echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
			}
			echo "</select>\n";
			echo "</td></tr>\n";
			echo "<tr><th>Art der Bez&uuml;ge:</th>\n";
			echo "<td><select name=\"bez_art\" size=\"1\" tabindex=\"$ti\">\n";
			$ti++;
			echo "<option>keine Angabe!</option>\n";
			$res = abfrage1("SELECT * FROM tb_bezuege_person");
			while ($zeile = mysql_fetch_row($res)) {
				echo "<option";
				if (isset($rvar_proj_id) && $kl['bez_art'] == $zeile[0]) echo ' selected';
				echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
			}
			echo "</select>\n";
			echo "</td></tr>\n";
		}
	}
	if($rvar_ha=='TTT' || isset($rvar_proj_id) && $projekt->h_art=='TTT') {
		$pers_id = $rvar_hb>0 ? $rvar_hb : $ma[2];
		$tel = abfrage("select telprivat, telmobilprivat, emailprivat, strasse, plz, ort,
						date_format(geboren, '%d.%m.%Y')
						from tb_personal where pers_id='$pers_id'");
	} else $tel = array();
	echo "<tr><th>Telefon Wg:</th>\n";
	echo "<td colspan=\"3\" rowspan=\"3\">";

	echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr><td class=\"cl11\">";
	echo "<input type=\"text\" name=\"telefon\" size=\"15\" maxlength=\"15\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"{$kl['telefon']}\"";
	elseif($rvar_ha=='TTT') echo " value=\"$tel[0]\"";
	echo " /></td><td rowspan=\"3\">$tel[3]<br>$tel[4] $tel[5]<br>";
	if(!empty($tel[6]) && $tel[6] != '00.00.0000') echo "geb.: $tel[6]";
	echo "</td></tr>\n";
	echo "<tr><td style=\"padding-top:5px\"><input type=\"text\" name=\"telmobil\" size=\"15\" ";
	echo "maxlength=\"15\" tabindex=\"$ti\""; $ti++;
  if (isset($rvar_proj_id)) echo " value=\"{$kl['telmobil']}\"";
	elseif($rvar_ha=='TTT') echo " value=\"$tel[1]\"";
	echo " /></td></tr>";
	echo "<tr><td style=\"padding-top:5px\"><input type=\"text\" name=\"fax\" size=\"15\" ";
	echo "maxlength=\"15\" tabindex=\"$ti\""; $ti++;
  if (isset($rvar_proj_id)) echo " value=\"{$kl['fax']}\"";
	echo " /></td></tr>";
	echo "</table>\n";
	echo "<tr><th>Telefon mobil:</th></tr>\n";
	echo "<tr><th>Fax:</th></tr>\n";

	echo "<tr><th>E-Mail:</th>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"email\" size=\"30\" ";
	echo "maxlength=\"50\" tabindex=\"$ti\""; $ti++;
  if (isset($rvar_proj_id)) echo " value=\"{$kl['email']}\"";
	elseif($rvar_ha=='TTT') echo " value=\"$tel[2]\"";
	echo " />";
	if (strlen($kl['email']) > 0){
		echo " <a href=\"mailto:{$kl['email']}\"";
		echo stwToolTip('E-Mail schreiben') . '>@</a>';
	}
	echo "</td></tr>\n";

}

echo "<tr><th>";
if (isset($rvar_proj_id) && $pro[3] > 0){
	$kont = abfrage("select kont_id, teldienst, telmobil from tb_kontakte_ap
					where ap_id = $pro[3];");
	echo "<a href=\"kont_ap_and.php?ap_id=$pro[3]&amp;kont_id=$kont[0]&amp;ka=1&amp;st=5\" ";
	if (empty($kont[2])){
		if (empty($kont[1])){
			$title = 'zum Sachbearbeiter';
		} else {
			$title = $kont[1];
		}
	} else {
		$title = $kont[2];
	}
	echo stwToolTip($title) . '>';
}
echo "Sachb. ASD:";
echo (isset($rvar_proj_id) && $pro[3] > 0) ? "</a>" : '';
echo "</th>\n";
if(isset($rvar_proj_id) && $pro[3] > 0) echo "<input type=\"hidden\" name=\"oldJA\" value=\"$kont[0]\" />\n";
echo "<td colspan=\"3\"><select style=\"width:270px\" name=\"ap_id\" size=\"1\" tabindex=\"$ti\">\n";
$ti++;
echo "<option>Sachbearbeiter w&auml;hlen!</option>\n";
$sql = "SELECT ap.ap_id, ko.kurzname, ap.vorname, ap.name ".
		"FROM tb_kontakte_ap ap LEFT JOIN tb_kontakte ko ".
		"ON ko.kont_id = ap.kont_id and ko.kh_id='0' ".
		"WHERE ko.kont_art_id = 1 ".
		"and ap.abt not like '%wihi%' and (ap.aktiv = 'j' and ko.aktiv = 'j' or ap.ap_id = '$pro[3]') ".
		"order by ko.kurzname asc, ap.name asc, ap.vorname asc";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "<option";
    if (isset($rvar_proj_id) && $pro[3] == $zeile[0]) echo ' selected';
    echo " value=\"$zeile[0]\">";
    echo $zeile[1] . "&nbsp;-&nbsp;" . $zeile[3];
    if (strlen($zeile[2]) > 0){
        echo ",&nbsp;" . $zeile[2];
        }
    echo "</option>\n";
    }
echo "</select>\n";
echo "</td></tr>\n";

/* Hauptbetreuer Link und Auswahlfeld zeigen */
echo "<tr><th><a href=\"pers_and.php?pers_id=$ma[2]\"";
$tt_hb = "<b>" . SBVerw($rvar_proj_id,1) . "</b><br>$tt_hb";
echo stwToolTip($tt_hb) . ">Hauptbetreuer:</a></th>\n";
echo "<td colspan=\"3\">\n<select name=\"pers_id\" size=\"1\" ";
echo "style=\"width:270px\" tabindex=\"$ti\">\n"; $ti++;
echo "<option>Hauptbetreuer w&auml;hlen!</option>\n";

/* die Auswahloptionen zusammenstellen */
$order = ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
if($personenprojekt) {
	$res = abfrage1("select pers_id from tb_personal
					where status_id = 2 and (
						betreuer = 'j' or pers_id in (
							select p.pers_id from tbh_proj_abt a
							left join tbh_pers_abt p using(abt_id)
							where a.proj_id='$rvar_proj_id'
					) ) order by $order;");
} else $res = abfrage1("SELECT pers_id FROM tb_personal WHERE status_id = '2' ORDER BY $order");

/* einen moeglichen schon gesetzten Hauptbetreuer ermitteln */
if (isset($rvar_proj_id)){
  $sql  = "SELECT pers_id FROM tbh_pers_proj WHERE proj_id = '";
  $sql .= $rvar_proj_id."' AND personaltyp_id = '1'";
  $pid = abfrage($sql);

  /* pruefen ob Person inaktiv ist */
  $sql  = "SELECT status_id FROM tb_personal ";
  $sql .= "WHERE pers_id = '".$pid[0]."'";
  $hb_aktiv = abfrage($sql);
} elseif(isset($rvar_hb)) $pid[0] = $rvar_hb;

/* die einzelnen aktiven Personen ausgeben */
while ($zeile = mysql_fetch_row($res)){
	echo "<option value=\"$zeile[0]\"";
	if ((isset($rvar_proj_id) || isset($rvar_hb)) && $pid[0] == $zeile[0]) echo ' selected';
	echo '>' . ($pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
}

/* falls Hauptbetreuer inaktiv - diesen hier noch ausgeben */
if (isset($rvar_proj_id) && $pid[0] != 0 && $hb_aktiv[0] != "2"){
	echo "<option value=\"$pid[0]\" selected ";
  echo "style=\"background-color:#666666\">";
	echo ($pers_order == 2 ? pers_name2($pid[0]) : pers_name($pid[0])) . "</option>\n";
}
echo "</select></td></tr>\n";

/* der Fachberatungsbereich - nur ab Level 97 */
if ($_SESSION[$AppCode]["ULV"] > 96 || check_al_proj($rvar_proj_id)){
  echo "<tr><th>Fachberatung:</th><td colspan=\"3\">";
  echo "<select style=\"width:270px\" name=\"fb_id\" size=\"1\" tabindex=\"$ti\">"; $ti++;
  echo "<option>FachberaterIn w&auml;hlen!</option>";

  $where = "WHERE status_id = '2' AND betreuer = 'j'";
  $sql  = "SELECT pers_id FROM tb_personal $where ORDER BY $order";
  $res  = abfrage1($sql);

  $maxl = abfrage("SELECT MAX( LENGTH( concat( name, vorname ) ) ) FROM tb_personal $where");
  $later = array();

  /* alle aktiven Fachbetreuer ausgeben */
  while ($zeile = mysql_fetch_row($res)){
	$sum = abfrage("SELECT count(p.proj_id)
					FROM tb_projekte p 
					left join tb_personal pers on p.fb_id = pers.pers_id
					WHERE p.fb_id > 0 AND (p.ende IS NULL OR p.ende = '0000-00-00' OR 
					TO_DAYS(p.ende) >= TO_DAYS(CURDATE())) AND 
					(p.projektnr < 900 OR p.projektnr >= 1000 AND p.projektnr < 2000)
					AND p.fb_id = '$zeile[0]'
					group by p.fb_id");
	if(empty($sum[0])) {
		$later[] = $zeile[0];
		continue;
	}
  	echo "<option value=\"$zeile[0]\"";
  	if (isset($rvar_proj_id) && $zeile[0] == $pro[22]) echo ' selected';
    $pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
	echo ">$pers_name";
	for($i = strlen($pers_name); $i<=$maxl[0] + 3; $i++) echo "&nbsp;";
	if($sum[0]) echo "HzE: $sum[0]";
	echo "</option>\n";
  }
  if(sizeof($later) > 0) {
	echo "<option value=\"0\">";
	for($i = 0; $i<=$maxl[0] + 6; $i++) echo "-";
	echo "</option>";
	foreach($later as $zeile[0]) {
		echo "<option value=\"$zeile[0]\"";
		if (isset($rvar_proj_id) && $zeile[0] == $pro[22]) echo ' selected';
		$pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
		echo ">$pers_name</option>\n";
	}
  }

  /* pruefen ob vielleicht ein inaktiver Fachbetreuer zustaendig ist */
  if (isset($rvar_proj_id) && $pro[22] != 0) {
  	$sql  = "SELECT status_id FROM tb_personal WHERE pers_id = '";
    $sql .= $pro[22]."'";

    $erg  = abfrage($sql);
    if ($erg[0] != "2"){
    	/* ist nicht mehr aktiv aber Namen trotzdem anzeigen */
      echo "<option value=\"$pro[22]\" selected ";
      echo "style=\"background-color:#666666\">";
			echo pers_name($pro[22]) . "</option>\n";
    }
  }
	echo "</select></td></tr>\n";
} elseif (!empty($rvar_proj_id)){
	echo "<tr><th>Fachberatung:</th>\n";
	echo "<td colspan=\"4\">" . pers_name($pro[22]) . "</td></tr>\n";
	echo "<input type=\"hidden\" name=\"fb_id\" value=\"$pro[22]\" />\n";
}
if ($_SESSION[$AppCode]["ULV"] > 96 || (isset($rvar_proj_id) && $_SESSION[$AppCode]['UID'] == $pro[22])){

	echo "<tr><th>Priorit&auml;t Fachb.:</th>\n";
	echo "<td colspan=\"3\"><select name=\"fb_prio\" size=\"1\" ";
	echo "tabindex=\"$ti\">\n"; $ti++;

	$sql = "select prio, prioritaet from tb_prio order by prio asc;";
	$res2 = abfrage1($sql);
	echo "<option value=\"0\">Priorit&auml;t w&auml;hlen!</option>\n";
	while ($row2 = mysql_fetch_row($res2)) {
		echo '<option';
		if (isset($rvar_proj_id) && $pro[23] == $row2[0]) echo ' selected';
		echo " value=\"$row2[0]\">$row2[1]</option>\n";
	}
	echo "</select></td></tr>\n";
} elseif (!empty($rvar_proj_id)){
	echo "<input type=\"hidden\" name=\"fb_prio\" value=\"$pro[23]\" />\n";
}

if($pra == 7 || $pra == 11) {
	if(!isset($_SESSION[$AppCode]['noNote4Order'][$rvar_proj_id])) $_SESSION[$AppCode]['noNote4Order'][$rvar_proj_id] = 0;
	if(isset($rvar_vml)) $vormerkungen = true;
	elseif(empty($rvar_proj_id)) $vormerkungen = false;
	else {
		$vm_rows = abfrage1("select * from tb_vormerkliste where proj_id='$rvar_proj_id'");
		$vormerkungen = mysql_num_rows($vm_rows);
	}
	if($vormerkungen) include "vormerk.inc.php";
	$vm_sum = $vormerkungen ? vm_sum($rvar_proj_id) : 0;
	$sum = $vm_sum;
	$sum += (floatval($pro[10]) / 100) * $vm_sum;
	$sum += floatval($pro[12]);
}

if($pra == 7) {
	echo "<tr><th>Antragsdatum:</th>\n";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"beginn\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"" . date_my2gr($pro[6]) . "\"";
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

	echo "<tr><th>Bewilligungsdatum:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"kostenzus\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[8] > 0)) {
		echo " value=\"" . date_my2gr($pro[8]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

	echo "<tr><th>Zahlungseingang:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"kostenzus_ende\" ";
	echo "size=\"11\" maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[19] > 0)) {
		echo " value=\"" . date_my2gr($pro[19]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

	if (isset($rvar_proj_id)){
		echo "<tr><th>Beginn Hilfehist.:</th>\n";
		echo "<td colspan=\"3\">";
		$beg = $projekt->beginn();
		if ($beg == '01.01.1970'){
			echo "<span style=\"color:red;font-weight:bolder;text-decoration:blink\">";
			echo "Eintrag in Historie fehlt!</span>\n";
		} else {
			echo $beg;
		}
		echo "</td></tr>\n";
	}

	echo "<tr><th>Endabrechnung erfolgt:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"ende\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[7] > 0)) {
		echo " value=\"" . date_my2gr($pro[7]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

	$kannnochaendern = true;
	echo "<tr><th>Antragsfertig:</th>\n";
	$enabled = check_nutzer_rechte(99);
	$pid = (empty($rvar_proj_id) || empty($pro[5])) ? $uid : $pro[5];
	$date = (empty($rvar_proj_id) || empty($pro[28])) ? date('Y-m-d') : $pro[28];
	echo "<input type=\"hidden\" name=\"bestellfertig_pid\" value=\"$pid\" />\n";
	echo "<input type=\"hidden\" name=\"az\" value=\"$pro[28]\" />\n";
	echo "<input type=\"hidden\" name=\"bestellfertig_date\" value=\"$date\" />\n";
	if($pro[13]=="checked") {
		$checked = "checked";
		$kannnochaendern = false;
	} elseif ((isset($rvar_proj_id)) && ($pro[5] > 0)) {
		/* erst ab 23.1.2013 */
		$checked = (date_my2ts($date) < 1358895600) ? "checked" : $pro[13];
		$kannnochaendern = false;
	} else $checked='';
	echo "<input type=\"hidden\" name=\"problemlage\" value=\"$checked\" />\n";
	echo "<td colspan=\"4\"><input type=\"checkbox\" name=\"bestellfertig\" value=\"1\" tabindex=\"$ti\""; $ti++;
	if($checked!='checked' && isset($rvar_proj_id) && $projekt->nr < 18000) echo "onclick=\"if(parseFloat(String(document.persform.gesamtbetrag.value).replace(',','.')) == 0 && document.persform.bestellfertig.checked){if(!confirm('Der Betrag Summe ist 0.00&euro;.\\nTrotzdem Bestellfertig setzen?')) document.persform.bestellfertig.checked=false;}\"";
	if($checked=='checked' && !$enabled) echo "onclick=\"if(document.persform.bestellfertig.checked==false){if(confirm('Entfernen dieses Hakens sorgt daf&uuml;r, dass Bestellfertig und OK GF zur&uuml;ckgesetzt werden')) {document.persform.gf1.checked=false;document.persform.gf2.checked=false;} else {document.persform.bestellfertig.checked=true;}}\"";
	echo " $checked />&nbsp;&nbsp;";
	if(isset($rvar_proj_id) && ($pro[5] > 0)) echo pers_kname($pro[5]) . '&nbsp;' . date_my2gr($pro[28]);
	echo "</td></tr>\n";
	echo "<tr><th>genehmigt FB:</th>\n";
	$pid = (empty($rvar_proj_id) || empty($pro[35])) ? $uid : $pro[35];
	$date = (empty($rvar_proj_id) || empty($pro[36]) || $pro[36]=='0000-00-00') ? date('Y-m-d') : $pro[36];
	echo "<input type=\"hidden\" name=\"gf1_pid\" value=\"$pid\" />\n";
	echo "<input type=\"hidden\" name=\"gf1_date\" value=\"$date\" />\n";
	if($pro[14]=="checked") {
		$checked = "checked";
		$kannnochaendern = false;
	} elseif ((isset($rvar_proj_id)) && ($pro[35] > 0)) {
		/* erst ab 23.1.2013 */
		$checked = (date_my2ts($date) < 1358895600) ? "checked" : $pro[14];
		$kannnochaendern = false;
	} else $checked='';
	echo "<input type=\"hidden\" name=\"familie\" value=\"$checked\" />\n";
	echo "<td colspan=\"4\"><input type=\"checkbox\" name=\"gf1\" value=\"1\" tabindex=\"$ti\""; $ti++;
	if(!$enabled && $checked=='') echo " disabled";
	elseif(!$enabled) echo "onclick=\"if(document.persform.gf1.checked==false){if(confirm('Entfernen dieses Hakens sorgt daf&uuml;r, dass Bestellfertig und OK GF zur&uuml;ckgesetzt werden')) {document.persform.bestellfertig.checked=false;document.persform.gf2.checked=false;} else {document.persform.gf1.checked=true}}\"";
	echo " $checked />&nbsp;&nbsp;";
	if(isset($rvar_proj_id) && ($pro[35] > 0)) echo pers_kname($pro[35]) . '&nbsp;' . date_my2gr($pro[36]);
	echo "</td></tr>\n";

	echo "<tr><th>genehmigt GF:</th>\n";
	$pid = (empty($rvar_proj_id) || empty($pro[34])) ? $uid : $pro[34];
	$date = (empty($rvar_proj_id) || empty($pro[4]) || $pro[4]=='0000-00-00') ? date('Y-m-d') : $pro[4];
	echo "<input type=\"hidden\" name=\"gf2_pid\" value=\"$pid\" />\n";
	echo "<input type=\"hidden\" name=\"gf2_date\" value=\"$date\" />\n";
	if($pro[15]=="checked") {
		$checked = "checked";
		$kannnochaendern = false;
	} elseif ((isset($rvar_proj_id)) && ($pro[34] > 0)) {
		/* erst ab 23.1.2013 */
		$checked = (date_my2ts($date) < 1358895600) ? "checked" : $pro[15];
		$kannnochaendern = false;
	} else $checked='';
	echo "<input type=\"hidden\" name=\"hobbys\" value=\"$checked\" />\n";
	echo "<td colspan=\"4\"><input type=\"checkbox\" name=\"gf2\" value=\"1\" tabindex=\"$ti\""; $ti++;
	if(!$enabled && $checked=='') echo " disabled";
	elseif(!$enabled) echo "onclick=\"if(document.persform.gf2.checked==false){if(confirm('Entfernen dieses Hakens sorgt daf&uuml;r, dass Bestellfertig und OK GF zur&uuml;ckgesetzt werden')) {document.persform.bestellfertig.checked=false;document.persform.gf1.checked=false;} else {document.persform.gf2.checked=true}}\"";
	echo " $checked />&nbsp;&nbsp;";
	if(isset($rvar_proj_id) && ($pro[34] > 0)) echo pers_kname($pro[34]) . '&nbsp;' . date_my2gr($pro[4]);
	echo "</td></tr>\n";

	echo "<tr><th>Register-Nr.:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"register\" size=\"20\" ";
	echo "maxlength=\"20\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"$pro[10]\"";
	echo " /></td></tr>\n";

	echo "<tr><th>";
	if (isset($rvar_proj_id) && $pro[33] > 0){
		$kont = abfrage("select kont_id, teldienst, telmobil from tb_kontakte_ap
						where ap_id = $pro[33];");
		echo "<a href=\"kont_ap_and.php?ap_id=$pro[33]&kont_id=$kont[0]&ka=1&st=5\" ";
		if (empty($kont[2])){
			if (empty($kont[1])){
				$title = 'zum Sachbearbeiter';
			} else {
				$title = $kont[1];
			}
		} else {
			$title .= ' | ' . $kont[2];
		}
		echo stwToolTip($title) . '>';
	}
	echo "Sachb. WiHi:";
	echo (isset($rvar_proj_id) && $pro[33] > 0) ? "</a>" : '';
	echo "</th>\n";
	echo "<td colspan=\"3\"><select style=\"width:270px\" name=\"wihi_id\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	echo "<option>Sachbearbeiter w&auml;hlen!</option>\n";
	$sql = "SELECT ap.ap_id, ko.kurzname, ap.vorname, ap.name ".
			"FROM tb_kontakte_ap ap LEFT JOIN tb_kontakte ko ".
			"ON ko.kont_id = ap.kont_id and ko.kh_id='0' ".
			"WHERE ko.kont_art_id = 1 ".
			"and not (ap.abt like '%asd%' or ap.abt like '%fm%' or ap.abt like '%ssd%') ".
			"and (ap.aktiv = 'j' and ko.aktiv = 'j' or ap.ap_id = '$pro[33]') ".
			"order by ko.kurzname asc, ap.name asc, ap.vorname asc";
	$res = mysql_query($sql) or die(mysql_error());

	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if (isset($rvar_proj_id) && $pro[33] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">";
		echo $zeile[1] . "&nbsp;-&nbsp;" . $zeile[3];
		if (strlen($zeile[2]) > 0){
			echo ",&nbsp;" . $zeile[2];
			}
		echo "</option>\n";
		}
	echo "</select>\n";
	echo "</td></tr>\n";

	/* Pooleingabefeld */
	printf("<tr><th>Pool:</th>");
	printf("<td colspan=\"4\">");

	if ($_SESSION[$AppCode]["ULV"] >= 65 || check_al_proj($rvar_proj_id)){
		$ro = '';
	} else {
		$ro = ' readonly ';
	}

	echo "<input type=\"text\" name=\"pool\" size=\"11\" ";
	echo "maxlength=\"8\" tabindex=\"$ti\" $ro"; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[20] > 0)) echo " value=\"" . geld_form_formular($pro[20]) . "\"";
	echo " />&nbsp;&nbsp;Stunden</td></tr>\n";
} elseif($pra != 11) {
	if(empty($rvar_proj_id) || $projekt->beginn_ts() == 0) {
		echo "<tr><th>vorauss. Beginn:</th>\n";
		echo "<td colspan=\"3\"><input type=\"text\" name=\"beginn\" size=\"11\" ";
		echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
		if (isset($rvar_proj_id)) echo " value=\"" . date_my2gr($pro[6]) . "\"";
		echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";
	}

	if (isset($rvar_proj_id)){
		echo "<tr><th>Beginn Hilfehist.:</th>\n";
		echo "<td colspan=\"2\">";
		$beg = $projekt->beginn();
		if ($beg == '01.01.1970'){
			echo "<span style=\"color:red;font-weight:bolder;text-decoration:blink\">";
			echo "Eintrag in Historie fehlt!</span>\n";
		} else {
			echo $beg;
		}
		echo "</td>";
		if(getConf('traeger') == 'stw') {
			echo "<td>";
			$link = "mandant/".$_SESSION[$AppCode]['TR']."/nachw_pr.php?proj_id=$rvar_proj_id&ts=".time()."&ext=";
			echo "<script type=\"text/javascript\"><!--\n";
			echo "  function nachw_extern(checked) {\n";
			echo "    var nw = document.getElementById('nachw_pr');\n";
			echo "    nw.href='$link' + (checked ? '2' : '-1');\n";
			echo "    nw.name=(checked ? '2' : '-1');\n";
			echo "  }\n";
			echo "  function doTT2() {\n";
			echo "    var ext = document.getElementById('extern');\n";
			echo "    var nw = document.getElementById('nachw_pr');\n";
			echo "    var link = '$link". 2 ."';\n";
			echo "    var str = '&nbsp; extern: <input type=\"checkbox\" style=\"position:relative;top:2px\" ';\n";
			echo "    if(nw.name == '2') str += 'checked ';\n";
			echo "    str += 'onchange=\"nachw_extern(this.checked);tt_HideInit();\">';\n";
			echo "    Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Nachweis',TITLEBGCOLOR, '#006600', WIDTH, 80, HEIGHT, 20, FIX, ['nachw_pr',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
			echo "  }\n";
			echo "--></script>\n";
			echo "<a id=\"nachw_pr\" name=\"-1\" href=\"".$link."-1\" target=\"_pdf\"";
			echo stwToolTip("alle Nachweise INTERN seit Projektbeginn drucken");
			echo "><img src=\"".image('drucker')."\"></a>";
			echo "<a href=\"#\" style=\"font-size:small;position:relative;top:-9px\" onClick=\"doTT2();return false;\">+</a>\n";
			echo "</td>";
		}
		echo "</tr>\n";
	}

	echo "<tr><th>Ende:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"ende\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[7] > 0)) {
		echo " value=\"" . date_my2gr($pro[7]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ";
	if(projekt_ab_nach_ende($rvar_proj_id, false)) {
		if($pro[7] > 0) {
			echo " &nbsp; &nbsp; &nbsp; Abrechnung: ";
			$checked = projekt_ab_nach_ende($rvar_proj_id, true) ? '' : 'checked';
			echo "<input type=\"checkbox\" name=\"do_rech\" $checked />\n";
		}
		echo "<input type=\"hidden\" name=\"projekt_ab_nach_ende\" value=\"1\" />";
		echo "<input type=\"hidden\" name=\"befristung\" value=\"n\" />";
	} elseif(isset($rvar_proj_id)) {
		echo " &nbsp; &nbsp; &nbsp; <b style=\"color:#FFCC00\">Befristung:</b> ";
		$checked = $pro['befristung']=='j' ? 'checked' : '';
		$tt = stwToolTip("<b>Wenn Hilfe befristet, IMMER Haken setzen!</b><br>falls ausgew&auml;hlt, wird Projekt trotz Projektende in Kapazit&auml;tenplanung zur Weiterarbeit vorgesehen");
		echo "<input type=\"checkbox\" $checked name=\"befristung\" $tt value=\"j\" />\n";
	}
	echo "</td></tr>\n";

	echo "<tr><th>Aktenzeichen:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"az\" size=\"30\" ";
	echo "maxlength=\"40\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"$pro[28]\"";
	elseif(isset($rvar_az)) echo " value=\"$rvar_az\"";
	echo " /></td></tr>\n";

	if(isset($rvar_proj_id) && $projekt->h_art=='TTT' || $rvar_ha=='TTT') echo "<tr><th>BG-Nr.:</th>\n";
	else echo "<tr><th>Register-Nr.:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"register\" size=\"20\" ";
	echo "maxlength=\"20\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"$pro[10]\"";
	echo " /></td></tr>\n";

	$zg_except1 = $zg_except2 = '';
	if(isset($rvar_proj_id)) {
		$sql = "select z.zg_id from tb_zahlungsgruppe z
				left join tbh_zg_kont k using(zg_id)
				left join tbh_zg_ha h using(zg_id)
				where z.von <= curdate() and (z.bis >= curdate() or z.bis = '0000-00-00')
				and k.kont_id = '$kont[0]' and h.hilfeart_id='$projekt->ha'";
		$zg = abfrage($sql);
		if($zg[0]) {
			if(check_nutzer_rechte(149)) $disabled = '';
			else {
				$disabled = 'disabled';
				echo "<input type=\"hidden\" name=\"zg_ausnahme\" value=\"{$pro['zg_ausnahme']}\" />\n";
			}
			$checked = $pro['zg_ausnahme'] == 'j' ? '' : 'checked';
			$zg_except1 = "&nbsp; <input type=\"radio\" $disabled style=\"position:relative;top:3px;\" name=\"zg_ausnahme\" value=\"n\" $checked /> Sammelrechnung";
			$checked = $pro['zg_ausnahme'] == 'j' ? 'checked' : '';
			$zg_except2 = "&nbsp; <input type=\"radio\" $disabled name=\"zg_ausnahme\" value=\"j\" $checked /> Einzelrechnung";
		} else echo "<input type=\"hidden\" name=\"zg_ausnahme\" value=\"n\" />\n";
	}
	if(isset($rvar_proj_id) && $projekt->h_art == 'TTT' && getConf('traeger') == 'stw') {
		$Kostenzusage = 'U-Negativerkl&auml;rung';
		$K_z_bis = 'U-Teinehmervertrag';
		$ttkz1 = stwToolTip('Unterschrift Negativerkl&auml;rung');
		$ttkz2 = stwToolTip('Unterschrift Teinehmervertrag');
	} else {
		$Kostenzusage = 'Kostenzusage';
		$K_z_bis = 'Kostenzus. bis';
		$ttkz1 = $ttkz2 = '';
	}
	echo "<tr><th $ttkz1>$Kostenzusage:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"kostenzus\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[8] > 0)) {
		echo " value=\"" . date_my2gr($pro[8]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ $zg_except1</td></tr>\n";

	echo "<tr><th $ttkz2>$K_z_bis:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"kostenzus_ende\" ";
	echo "size=\"11\" maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[19] > 0)) {
		echo " value=\"" . date_my2gr($pro[19]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ $zg_except2</td></tr>\n";

	echo "<tr><th>";
	if (isset($rvar_proj_id) && $pro[33] > 0){
		$kont = abfrage("select kont_id, teldienst, telmobil from tb_kontakte_ap
						where ap_id = $pro[33];");
		echo "<a href=\"kont_ap_and.php?ap_id=$pro[33]&kont_id=$kont[0]&ka=1&st=5\" ";
		if (empty($kont[2])){
			if (empty($kont[1])){
				$title = 'zum Sachbearbeiter';
			} else {
				$title = $kont[1];
			}
		} else {
			$title .= ' | ' . $kont[2];
		}
		echo stwToolTip($title) . '>';
	}
	echo "Sachb. WiHi:";
	echo (isset($rvar_proj_id) && $pro[33] > 0) ? "</a>" : '';
	echo "</th>\n";
	echo "<td colspan=\"3\"><select style=\"width:270px\" name=\"wihi_id\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	echo "<option>Sachbearbeiter w&auml;hlen!</option>\n";
	$sql = "SELECT ap.ap_id, ko.kurzname, ap.vorname, ap.name ".
			"FROM tb_kontakte_ap ap LEFT JOIN tb_kontakte ko ".
			"ON ko.kont_id = ap.kont_id and ko.kh_id='0' ".
			"WHERE ko.kont_art_id = 1 ".
			"and not (ap.abt like '%asd%' or ap.abt like '%fm%' or ap.abt like '%ssd%') ".
			"and (ap.aktiv = 'j' and ko.aktiv = 'j' or ap.ap_id = '$pro[33]') ".
			"order by ko.kurzname asc, ap.name asc, ap.vorname asc";
	$res = mysql_query($sql) or die(mysql_error());

	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if (isset($rvar_proj_id) && $pro[33] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">";
		echo $zeile[1] . "&nbsp;-&nbsp;" . $zeile[3];
		if (strlen($zeile[2]) > 0){
			echo ",&nbsp;" . $zeile[2];
			}
		echo "</option>\n";
		}
	echo "</select>\n";
	echo "</td></tr>\n";

	if(isset($rvar_proj_id) && $projekt->pauschFLS == 'g') {
		$pFLSgs = abfrage1("select id, betrag from tb_pauschFLSg where proj_id='$rvar_proj_id' order by id asc");
		if(mysql_num_rows($pFLSgs) == 0) {
			abfrage2("insert into tb_pauschFLSg set proj_id='$rvar_proj_id'");
			$pFLSgs = abfrage1("select id, betrag from tb_pauschFLSg where proj_id='$rvar_proj_id'");
		}
		echo "<tr><th>Gutscheinbetrag:</th>\n";
		echo "<td colspan=\"4\"><table cellspacing=\"2\" cellpadding=\"0\" id=\"pFLSgTable\">\n";
		$pFLSg = mysql_fetch_row($pFLSgs);
		echo "<tr><td style=\"width:150px;text-align:right\" class=\"cl1\">Gesamtrechnungsbetrag:</td>";
		echo "<td><input type=\"text\" name=\"pFLSg[".$pFLSg[0]."]\" value=\"" . geld_form_formular($pFLSg[1]) . "\" ";
		$rest = $pFLSg[1];
		if($ulv < 96) {
			$allowedToEdit = true;
			do {
				$zIn = abfrage("select checked from tbh_pauschFLSg_zin where id='$pFLSg[0]' order by ts desc limit 1");
				if($zIn[0] == 'j') $allowedToEdit = false;
			} while($pFLSg = mysql_fetch_row($pFLSgs));
			if(mysql_num_rows($pFLSgs) > 1) mysql_data_seek($pFLSgs,1);
		} else $allowedToEdit = true;
		if(!$allowedToEdit) echo "readonly ";
		echo "style=\"text-align:right;width:60px;\" /></td>";
		echo "<td /><th style=\"position:absolute\"><b id=\"addTeilbetrag\" style=\"cursor:pointer;font-size:14pt\" ";
		echo stwToolTip("Teilbetrag hinzuf&uuml;gen");
		echo "onclick=\"xajax_add_pFLSg($rvar_proj_id)\">+</b></th></tr>\n";
		while($pFLSg = mysql_fetch_row($pFLSgs)) {
			echo "<tr id=\"tr_".$pFLSg[0]."\"><td class=\"cl1\" style=\"text-align:right\">Teilbetrag:</td>";
			echo "<td style=\"width:60px;text-align:right\">".geld_form_formular($pFLSg[1])."</td><td>";
			$zIn = abfrage("select checked from tbh_pauschFLSg_zin where id='$pFLSg[0]' order by ts desc limit 1");
			if($zIn[0] == 'j') {
				echo "<b" . stwToolTip("L&ouml;schen des Teilbetrages nicht mehr m&ouml;glich.<br>Zahlungseingang bereits erfolgt.") . ">X</b>";
			} else echo "<b style=\"color:red;cursor:pointer\" onclick=\"xajax_del_pFLSg($rvar_proj_id,$pFLSg[0])\">X</b>";
			echo "</td></tr>";
			$rest -= $pFLSg[1];
		}
		echo "</table>";
		echo "<table id=\"Restbetrag\"";
		if(mysql_num_rows($pFLSgs) <= 1) echo " style=\"display:none\"";
		echo "><tr><td class=\"cl1\" style=\"width:150px;text-align:right\">Restbetrag:</td>";
		echo "<td style=\"width:60px;text-align:right\" id=\"pFLSrest\">" . geld_form_formular($rest) . "</tr>\n";
		
		echo "</td></tr></tr></table>\n";
		echo "<script type=\"text/javascript\"><!--\n";
		echo "function newRow(id) {\n";
		echo "  var tr = document.getElementById('pFLSgTable').insertRow(-1); \n";
		echo "  tr.setAttribute('id', 'tr_'+id, 0);\n";
		echo "}\n";
		echo "--></script>\n";
	}

	echo "<tr>\n";
	/* Pooleingabefeld */
	printf("<th>Pool:</th>");
	printf("<td colspan=\"4\">");

	if ($_SESSION[$AppCode]["ULV"] >= 65 || check_al_proj($rvar_proj_id)){
		$ro = '';
	} else {
		$ro = ' readonly ';
	}

	echo "<input type=\"text\" name=\"pool\" size=\"11\" ";
	echo "maxlength=\"8\" tabindex=\"$ti\" $ro"; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[20] > 0)) echo " value=\"" . geld_form_formular($pro[20]) . "\"";
	echo " />&nbsp;&nbsp;Stunden</td></tr>\n";
} else {
	echo "<input type=\"hidden\" name=\"einkaufsprojekt\" value=\"1\" />\n";
	if(empty($rvar_proj_id) || $projekt->nr < 18000) {
		echo "<tr";
		if(empty($pro[16])) echo " style=\"display:none\" name=\"notToDisplay3\"";
		echo "><th>Anfragedatum:</th>\n";
		echo "<td colspan=\"4\"><input type=\"text\" name=\"anfragedatum\" size=\"11\" ";
		echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
		if(!empty($pro[16])) echo " value=\"" . date_my2gr($pro[16]) . "\"";
		echo " />&nbsp;&nbsp;TT.MM.JJJJ";
		echo "<a href=\"kassenbeleg_pr.php?proj_id=$rvar_proj_id&pdf=5&multiline=1&shownote=2&traeger=";
		if(isset($rvar_proj_id)) echo $projekt->traeger_art_id;
		echo "&anfr=1&ts=" . time() . "\" ";
		echo stwToolTip('Anfrage drucken');
		echo "style=\"position:relative;left:66px\" ";
		echo "target=\"_pdf\"><img id=\"pr_anfrage\" src=\"img/drucker.png\" border=\"0\" /></a>\n";
		echo "<a href=\"#\" style=\"font-size:small;position:relative;top:-4px;left:66px\" onClick=\"doTT3('pr_anfrage')\">+</a>\n";
		echo "</td></tr>\n";

		echo "<tr";
		if(empty($pro[18])) echo " style=\"display:none\" name=\"notToDisplay3\"";
		echo "><th>Angebotsdatum:</th>\n";
		echo "<td colspan=\"4\"><input type=\"text\" name=\"angebotsdatum\" size=\"11\" ";
		echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
		if(!empty($pro[18])) echo " value=\"" . date_my2gr($pro[18]) . "\"";
		echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

		echo "<script type=\"text/javascript\"><!--\n";
		echo "function Show3() {\n";
		echo " var ntd = document.getElementsByName('notToDisplay3');\n";
		echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'table-row';\n";
		echo "}\n--></script>\n";
		echo "<tr><th><span" . stwToolTip("Bestell- oder Auftragsdatum") . '>' . (empty($pro[18]) ? 'Bestell' : 'Auftrags') . "datum</span><a href=\"#\" ";
		echo stwToolTip('Formularfelder Anfrage / Angebot / Leistungsberschreibung einblenden');
		echo "style=\"font-size:small;position:relative;left:0;top:-4px;\" ";
		echo "onclick=\"Show3()\">+</a>:</th>\n";
	} else {
		echo "<tr><th>Vertragsdatum:</th>\n";
	}
	echo "<td colspan=\"4\"><input type=\"text\" name=\"kostenzus\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ((isset($rvar_proj_id)) && (!empty($pro[8]))) {
		echo " value=\"" . date_my2gr($pro[8]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ";
	echo "<a href=\"kassenbeleg_pr.php?proj_id=$rvar_proj_id&pdf=5&multiline=1&shownote=2&traeger=";
	if(isset($rvar_proj_id)) echo $projekt->traeger_art_id;
	echo "&ts=" . time() . "\" ";
	echo stwToolTip('Bestellung drucken');
	echo "style=\"position:relative;left:66px\" ";
	echo "target=\"_pdf\"><img id=\"pr_bestellung\" src=\"img/drucker.png\" border=\"0\" /></a>\n";
	echo "<a href=\"#\" style=\"font-size:small;position:relative;top:-4px;left:66px\" onClick=\"doTT3('pr_bestellung')\">+</a>\n";
	echo "</td></tr>\n";

	if(empty($rvar_proj_id) || $projekt->nr < 18000) {
		echo "<tr><th>vorauss. Lieferdatum:</th>\n";
		echo "<td colspan=\"3\"><input type=\"text\" name=\"beginn\" size=\"11\" ";
		echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
		if (isset($rvar_proj_id)) echo " value=\"" . date_my2gr($pro[6]) . "\"";
		echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

		echo "<tr><th>Lieferdatum:</th>\n";
		echo "<td colspan=\"4\"><input type=\"text\" name=\"kostenzus_ende\" ";
		echo "size=\"11\" maxlength=\"11\" tabindex=\"$ti\""; $ti++;
		if ((isset($rvar_proj_id)) && ($pro[19] > 0)) {
			echo " value=\"" . date_my2gr($pro[19]) . "\"";
		}
		echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";
	}
	$bezahlt = empty($rvar_proj_id) || $projekt->nr < 18000 ? 'Zahlung erfolgt' : 'Vertrag beendet';
	echo "<tr><th>$bezahlt:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"ende\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[7] > 0)) {
		echo " value=\"" . date_my2gr($pro[7]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

	if(($pro[14] == 'checked' || $pro[15] == 'checked') && $ulv < 96) {
		$disabled = 'disabled';
		echo "<input type=\"hidden\" name=\"wihi_id\" value=\"$pro[33]\" />\n";
	} else $disabled = false;
	echo "<tr><th>Zahlungsart:</th>\n";
	echo "<td colspan=\"3\"><select $disabled name=\"wihi_id\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	$res = abfrage1("SELECT * FROM tb_zahlungsart ORDER BY za_id ASC");

	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if (isset($rvar_proj_id) && $pro[33] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
	}
	echo "</select>\n";
	if($pro[33] == 3 || $pro[33] == 5) {
		echo "<a href=\"kassenbeleg_pr.php?proj_id=$rvar_proj_id&ts=" . time() . "\" ";
		echo stwToolTip('Kassenbeleg drucken');
		echo "style=\"position:relative;left:100px\" ";
		echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\" /></a>\n";
	}
	echo "</td></tr>\n";

	$kannnochaendern = true;
	echo "<tr><th>genehmigt AL:</th>\n";
	echo "<td colspan=\"4\">\n";
	if($vormerkungen) {
		$al_ok = -1;
		if($vormerkungen===true) $vm_rows = abfrage1("select * from tb_vormerkliste where proj_id='$rvar_proj_id'");
		$cnt = mysql_num_rows($vm_rows);
		$i=0;
		$tt = '';
		while($vm = mysql_fetch_row($vm_rows)) {
			$oks = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i') from tbh_pers_vormerk where abteilungsleiter='j' and vm_id='$vm[0]' order by zeit desc");
			if(mysql_num_rows($oks) % 2 == 1) {
				$i++;
				$ok = mysql_fetch_row($oks);
				$tt .= "<b>$vm[0]</b> $vm[3]: <b>".pers_kname($ok[0])."</b> $ok[1]<br>";
			}
		}
		echo "<img ";
		if($tt!='') echo stwToolTip($tt,false);
		if($cnt == $i) {
			$al_ok = 1;
			echo "src=\"img/checked.png\"" . stwToolTip("Alle Vormerkposten AL OK");
		} elseif($i == 0) echo "src=\"img/unchecked.png\"" . stwToolTip("Kein einziger Vormerkposten AL OK");
		else echo "src=\"img/checkdisabled.png\"" . stwToolTip("Noch nicht alle Vormerkposten AL OK");
		echo "/>";
	} else {
		$al_ok = 0;
		$al = explode('|',$pro['fb_note']);
		$pid = (empty($rvar_proj_id) || empty($al[0])) ? $uid : $al[0];
		$date = (empty($rvar_proj_id) || empty($al[1])) ? date('Y-m-d') : $al[1];
		echo "<input type=\"hidden\" name=\"wohn\" value=\"$pid\" />\n";
		echo "<input type=\"hidden\" name=\"fb_note\" value=\"\" />\n";
		echo "<input type=\"hidden\" name=\"al_ok_date\" value=\"$date\" />\n";
		$checked = $al[2];
		if($checked=="checked") {
			$kannnochaendern = false;
			$al_ok = 1;
		}
		echo "<input type=\"hidden\" name=\"ziele\" value=\"$checked\" />\n";
		if(($ulv<97 || $checked=="checked" && $pro[13]=="checked") && ($pro[13]=="checked" || !check_al_proj($rvar_proj_id)))
			echo "<input type=\"hidden\" name=\"al_ok\" value=\"$checked\" />\n";
		echo "<input type=\"checkbox\" name=\"al_ok\" value=\"1\" tabindex=\"$ti\" "; $ti++;
		if(($ulv<97 || $checked=="checked" && $pro[13]=="checked") && ($pro[13]=="checked" || !check_al_proj($rvar_proj_id))) echo "disabled ";
		elseif($al_ok <= 0 && (empty($rvar_proj_id) || $projekt->nr < 18000)) echo "onclick=\"if(parseFloat(String(document.persform.gesamtbetrag.value).replace(',','.')) == 0 && document.persform.al_ok.checked){if(!confirm('Der Betrag Summe ist 0.00&euro;.\\nTrotzdem AL OK setzen?')) document.persform.al_ok.checked=false;}\"";
		echo " $checked />&nbsp;&nbsp;";
		if(isset($rvar_proj_id) && ($al[0] > 0)) echo pers_kname($al[0]) . '&nbsp;' . date_my2gr($al[1]);
	}
	echo "</td></tr>\n";

	$enabled = check_nutzer_rechte(99);
	$bestellfertig = empty($rvar_proj_id) || $projekt->nr < 18000 ? 'Bestellfertig' : 'Vertragsfertig';
	echo "<tr><th>$bestellfertig:</th>\n";
	$pid = (empty($rvar_proj_id) || empty($pro[5])) ? $uid : $pro[5];
	$date = (empty($rvar_proj_id) || empty($pro[28])) ? date('Y-m-d') : $pro[28];
	echo "<input type=\"hidden\" name=\"bestellfertig_pid\" value=\"$pid\" />\n";
	echo "<input type=\"hidden\" name=\"az\" value=\"$pro[28]\" />\n";
	echo "<input type=\"hidden\" name=\"bestellfertig_date\" value=\"$date\" />\n";
	if($pro[13]=="checked") {
		$checked = "checked";
		$kannnochaendern = false;
	} elseif ((isset($rvar_proj_id)) && ($pro[5] > 0)) {
		/* erst ab 23.1.2013 */
		$checked = (date_my2ts($date) < 1358895600) ? "checked" : $pro[13];
		$kannnochaendern = false;
	} else $checked='';
	echo "<input type=\"hidden\" name=\"problemlage\" value=\"$checked\" />\n";
	echo "<td colspan=\"4\"><input type=\"checkbox\" name=\"bestellfertig\" value=\"1\" tabindex=\"$ti\""; $ti++;
	if($checked!='checked' && (empty($rvar_proj_id) || $projekt->nr < 18000)) {
		echo "onclick=\"";
		if($al_ok <= 0) {
			echo "if(";
			if($al_ok==0) echo "!document.persform.al_ok.checked && ";
			echo "document.persform.bestellfertig.checked){if(!confirm('OK AL noch nicht ";
			if($al_ok<0) echo "bei allen zugeordneten Vormerkposten ";
			echo "gesetzt.\\nTrotzdem Bestellfertig setzen?')) document.persform.bestellfertig.checked=false;} else ";
		}
		echo "if(parseFloat(String(document.persform.gesamtbetrag.value).replace(',','.')) == 0 && document.persform.bestellfertig.checked){if(!confirm('Der Betrag Summe ist 0.00&euro;.\\nTrotzdem Bestellfertig setzen?')) document.persform.bestellfertig.checked=false;}\"";
	}
	if($checked=='checked' && !$enabled) echo "onclick=\"if(document.persform.bestellfertig.checked==false){if(confirm('Entfernen dieses Hakens sorgt daf&uuml;r, dass Bestellfertig und OK GF zur&uuml;ckgesetzt werden')) {document.persform.gf1.checked=false;document.persform.gf2.checked=false;} else {document.persform.bestellfertig.checked=true;}}\"";
	echo " $checked />&nbsp;&nbsp;";
	if(isset($rvar_proj_id) && ($pro[5] > 0)) echo pers_kname($pro[5]) . '&nbsp;' . date_my2gr($pro[28]);
	echo "</td></tr>\n";
/*	$sql = "select r.pers_id from tb_benutzerrechte r 
			left join tbh_pers_gf g on (g.obj_id = r.obj_id and g.pers_id = r.pers_id)
			where r.obj_id='99' order by g.optional desc";
	$gfs = abfrage1($sql);
	while($gf = mysql_fetch_row($gfs)) {
	}*/
	echo "<tr><th>genehmigt GF1:</th>\n";
	$pid = (empty($rvar_proj_id) || empty($pro[35])) ? $uid : $pro[35];
	$date = (empty($rvar_proj_id) || empty($pro[36]) || $pro[36]=='0000-00-00') ? date('Y-m-d') : $pro[36];
	echo "<input type=\"hidden\" name=\"gf1_pid\" value=\"$pid\" />\n";
	echo "<input type=\"hidden\" name=\"gf1_date\" value=\"$date\" />\n";
	if($pro[14]=="checked") {
		$checked = "checked";
		$kannnochaendern = false;
	} elseif ((isset($rvar_proj_id)) && ($pro[35] > 0)) {
		/* erst ab 23.1.2013 */
		$checked = (date_my2ts($date) < 1358895600) ? "checked" : $pro[14];
		$kannnochaendern = false;
	} else $checked='';
	echo "<input type=\"hidden\" name=\"familie\" value=\"$checked\" />\n";
	echo "<td colspan=\"4\"><input type=\"checkbox\" name=\"gf1\" value=\"1\" tabindex=\"$ti\""; $ti++;
	if(!$enabled && $checked=='') echo " disabled";
	elseif(!$enabled) echo "onclick=\"if(document.persform.gf1.checked==false){if(confirm('Entfernen dieses Hakens sorgt daf&uuml;r, dass Bestellfertig und OK GF zur&uuml;ckgesetzt werden')) {document.persform.bestellfertig.checked=false;document.persform.gf2.checked=false;} else {document.persform.gf1.checked=true}}\"";
	echo " $checked />&nbsp;&nbsp;";
	if(isset($rvar_proj_id) && ($pro[35] > 0)) echo pers_kname($pro[35]) . '&nbsp;' . date_my2gr($pro[36]);
	echo "</td></tr>\n";

	echo "<tr><th>genehmigt GF2:</th>\n";
	$pid = (empty($rvar_proj_id) || empty($pro[34])) ? $uid : $pro[34];
	$date = (empty($rvar_proj_id) || empty($pro[4]) || $pro[4]=='0000-00-00') ? date('Y-m-d') : $pro[4];
	echo "<input type=\"hidden\" name=\"gf2_pid\" value=\"$pid\" />\n";
	echo "<input type=\"hidden\" name=\"gf2_date\" value=\"$date\" />\n";
	if($pro[15]=="checked") {
		$checked = "checked";
		$kannnochaendern = false;
	} elseif ((isset($rvar_proj_id)) && ($pro[34] > 0)) {
		/* erst ab 23.1.2013 */
		$checked = (date_my2ts($date) < 1358895600) ? "checked" : $pro[15];
		$kannnochaendern = false;
	} else $checked='';
	echo "<input type=\"hidden\" name=\"hobbys\" value=\"$checked\" />\n";
	echo "<td colspan=\"4\"><input type=\"checkbox\" name=\"gf2\" value=\"1\" tabindex=\"$ti\""; $ti++;
	if(!$enabled && $checked=='') echo " disabled";
	elseif(!$enabled) echo "onclick=\"if(document.persform.gf2.checked==false){if(confirm('Entfernen dieses Hakens sorgt daf&uuml;r, dass Bestellfertig und OK GF zur&uuml;ckgesetzt werden')) {document.persform.bestellfertig.checked=false;document.persform.gf1.checked=false;} else {document.persform.gf2.checked=true}}\"";
	echo " $checked />&nbsp;&nbsp;";
	if(isset($rvar_proj_id) && ($pro[34] > 0)) echo pers_kname($pro[34]) . '&nbsp;' . date_my2gr($pro[4]);
	echo "</td></tr>\n";
}
echo "<tr>";
if (isset($rvar_proj_id) && $projekt->pool() && $beg != '01.01.1970'){
	echo "<th>Pool Stand:&nbsp;</th>\n";

	$style = $projekt->pool_style('left');
	$pool = fls_form($projekt->pool_st());
	$gel = fls_form($projekt->pool_geleistet());
	$stand = fls_form($projekt->pool_stand());
	$pr = getConf('p_rech') ? fls_form($projekt->pool_rechnung()) : $gel;

	echo "<td colspan=\"4\" $style>";

	echo "<span " . stwToolTip("Pool gesamt") . ">$pool</span>";

	$uebertrag = abfrage("select sum(stunden) from tb_ab_pool
						where proj2 = '$projekt->id' group by proj2;");
	if (intval($uebertrag[0]) != 0){
		$tt = '<b>&Uuml;bertrag gesamt</b>';
		$uebs = abfrage1("select proj1, stunden, unix_timestamp(ab_monat) from tb_ab_pool 
						  where proj2 = '$projekt->id' order by ab_monat desc limit 10;");
		$i = 0;
		while($ueb = mysql_fetch_row($uebs)) {
			$i++;
			$tt .= "<br>" . projektnummer($ueb[0]) . " (" . strftime("%B %Y",$ueb[2]) . "): +" . fls_form($ueb[1]);
		}
		if($i > 9) $tt .= "<br>...";
		echo " + <span" . stwToolTip($tt) . '>';
		echo fls_form($uebertrag[0]) ."</span>";
	}

	$uebertrag = abfrage("select sum(stunden) from tb_ab_pool
						where proj1 = '$projekt->id' group by proj1;");
	if (intval($uebertrag[0]) != 0){
		$tt = '<b>&Uuml;bertrag gesamt</b>';
		$uebs = abfrage1("select proj2, stunden, unix_timestamp(ab_monat) from tb_ab_pool 
						  where proj1 = '$projekt->id' order by ab_monat desc limit 10;");
		$i = 0;
		while($ueb = mysql_fetch_row($uebs)) {
			$i++;
			$tt .= "<br>" . projektnummer($ueb[0]) . " (" . strftime("%B %Y",$ueb[2]) . "): -" . fls_form($ueb[1]);
		}
		if($i > 9) $tt .= "<br>...";
		echo " - <span" . stwToolTip($tt) . '>';
		echo fls_form($uebertrag[0]) ."</span>";
	}
	echo " - <span ";
	if($gel != $pr) echo "name=\"blink\" ";
	echo stwToolTip("FLS gesamt geleistet" . ($gel==$pr ? '' : " ($pr in Rechnung gestellt)")) . ">$gel</span>";
	echo " = <span " . stwToolTip("Pool Stand") . " style=\"font-weight:bold;\">";
	echo "$stand</span>";
	if($stand != $pool - $gel) echo "<a ".substr($style,0,-1).";position:relative;top:-5px\"".stwToolTip("Detailansicht Pool-Bewegungen")."href=\"pool.php?proj_id=$rvar_proj_id\">*</a>";
	echo "</td>";
} elseif (isset($rvar_proj_id)) {
	if($pra == 11 || $pra == 7) {
		$kostenstelle = '';
		$gf = ($pro[15]=='checked' || $pro[14]=='checked') ? 1 : 0;
		echo "<script type=\"text/javascript\"><!--\n";
		echo "function setColor() {\n";
		echo "var a = parseFloat(String(document.persform.vm_sum.value).replace(',','.'));\n";
		echo "var b = parseFloat(String(document.persform.gesamtbetrag.value).replace(',','.'));\n";
		echo "if(isNaN(b)) b = a;\n";
		echo "if(a > b) document.persform.gesamtbetrag.style.color = 'lime';\n";
		echo "else if(a < b) document.persform.gesamtbetrag.style.color = 'red';\n";
		echo "else document.persform.gesamtbetrag.style.color = '#FFCC00';\n";
		echo "}\n function sumIt() {\n";
		echo "var proz = parseFloat(String(document.persform.register.value).replace(',','.'));\n";
		echo "if(isNaN(proz)) proz = 0;\n";
		echo "var korr = parseFloat(String(document.persform.schule.value).replace(',','.'));\n";
		echo "if(isNaN(korr)) korr = 0;\n";
		echo "var a = parseFloat(String(document.persform.vm_sum.value).replace(',','.'));\n";
		echo "if(isNaN(a)) a = 0;\n";
		echo "var k = (Math.round((korr + a + (a * proz / 100)) * 100) / 100).toString();\n";
		echo "k += (k.indexOf('.') == -1)? '.00' : '00';\n";
		echo "document.persform.gesamtbetrag.value = k.substring(0, k.indexOf('.') + 3).replace('.',',');\n";
		echo "var b = parseFloat(String(document.persform.hilfe_bisher.value).replace(',','.'));\n";
		echo "a = parseFloat(String(document.persform.gesamtbetrag.value).replace(',','.'));\n";
		echo "if(isNaN(b)) b = 0;\n";
		echo "k = (Math.round((a + b) * 100) / 100).toString();\n";
		echo "k += (k.indexOf('.') == -1)? '.00' : '00';\n";
		echo "document.persform.sum.value = k.substring(0, k.indexOf('.') + 3).replace('.',',');\n";
		echo "document.getElementById('koststle').innerHTML = '<b style=\"color:#FFCC00\">Kostenstelle:</b> ' + ";
		echo "document.tempform.kstst.options[document.tempform.kstst.selectedIndex].innerHTML;";
		echo "}\n function doTT() {\n";
		echo "var str = \"<form name='tempform'>\";\n";
		echo "str += 'Summe Vormerkungen: <b>".geld_form_web($vm_sum)."</b>';\n";
		echo "str += '<input type=\"button\" value=\"speichern\" style=\"position:relative;left:115px;color:red;font-weight:bold\"";
		echo "onclick=\"xajax_Speichern($projekt->id,document.tempform.korr.value,document.tempform.proz_korrekt.value,document.tempform.kstst.value,document.tempform.note.value,$gf,$vm_sum,$sum,".floatval($pro[11]).");\" />';\n";
		echo "str += '<br /><br />Korrektur: <input type=\"text\" size=\"8\" name=\"korr\" value=\"';\n";
		echo "str += document.persform.schule.value;\n";
		echo "str += '\" onkeyup=\"document.persform.schule.value=document.tempform.korr.value;sumIt();setColor();";
		echo "\">&nbsp;&euro; &nbsp; &nbsp;';\n";
		echo "str += 'Korrektur (proz.): <input type=\"text\" size=\"4\" name=\"proz_korrekt\" value=\"';\n";
		echo "str += document.persform.register.value;\n";
		echo "str += '\" onkeyup=\"document.persform.register.value=document.tempform.proz_korrekt.value;sumIt();setColor();";
		echo "\">&nbsp;%<br />';\n";
		echo "str += '&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <b style=\"color:#CC0000\">Eingaben vorzeichenbehaftet!</b><br /><br />';\n";
		echo "str += 'Kostenstelle: <select name=\"kstst\" ';\n";
		echo "str += 'onchange=\"document.persform.kostenstelle.value=document.tempform.kstst.value;sumIt();\">';\n";
		echo "str += '<option value=\"0\">----</option>';\n";
		$tr[0] = $projekt->traeger_art_id;
		$trs = abfrage1("select traeger_art_id from tbh_proj_traeger where proj_id='$projekt->id'");
		do {
			$ktos = abfrage1("select * from tb_bkto where aktiv='j' and traegerart_id='$tr[0]' order by kurzname asc");
			while($kto = mysql_fetch_row($ktos)) {
				if($kto[0] == $pro[37]) $kostenstelle = $kto[1];
				echo "str += '<option value=\"$kto[0]\"';\n";
				echo "if(document.persform.kostenstelle.value == $kto[0]) str += ' selected';\n";
				echo "str += '>$kto[1]</option>';\n";
			}
		} while($tr = mysql_fetch_row($trs));
		echo "str += '</select>';\n";
		echo "str += '<br><br><span style=\"vertical-align:top;\">Notizen: </span><textarea cols=\"45\" rows=\"3\" name=\"note\" ';\n";
		echo "str += 'onkeyup=\"document.persform.betr_notizen.value=document.tempform.note.value\">';\n";
		echo "str += document.persform.betr_notizen.value;\n";
		echo "str += '</textarea>';\n";
		echo "str += '</form>';\n";
		echo "Tip(str, BGCOLOR, '#999999', TITLE, 'Summen-Einstellungen',TITLEBGCOLOR, '#006600', WIDTH, 400, HEIGHT, 200, FIX, ['notiz',-10,-200], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
		if(!$vormerkungen) echo "document.tempform.kstst.value = document.persform.kostenstelle.value;\n";
		echo "}\n";
		echo "  function doTT3(id) {\n";
		echo "    var str = 'Notizfeld im<br>Druck ausblenden: <input type=\"checkbox\" ';\n";
		echo "    if(document.getElementById('noNote4Order').value == 1) str += 'checked';\n";
		echo "    str += ' onclick=\"xajax_nono($rvar_proj_id,this.checked)\">';\n";
		echo "    Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck Bestellung',TITLEBGCOLOR, '#006600', WIDTH, 150, HEIGHT, 30, FIX, [id,-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
		echo "  }\n";
		echo "--></script>\n";
		echo "<input type=\"hidden\" id=\"noNote4Order\" value=\"".$_SESSION[$AppCode]['noNote4Order'][$rvar_proj_id]."\" />\n";
		echo "<input type=\"hidden\" name=\"vm_sum\" value=\"$vm_sum\" />\n";
		echo "<input type=\"hidden\" name=\"kostenstelle\" value=\"$pro[37]\" />\n";
		echo "<input type=\"hidden\" name=\"betr_notizen\" value=\"$pro[17]\" />\n";
		echo "<input type=\"hidden\" name=\"schule\" value=\"$pro[12]\" />\n"; //Korrektur
		echo "<input type=\"hidden\" name=\"register\" value=\"$pro[10]\" />\n"; //proz. Korrekturwert
		echo "<th><a ";
		echo stwToolTip('Betrag bearbeiten', false);
		echo "onmousedown=\"doTT();return false;\" oncontextmenu=\"return false;\">Summe (VMP)";
		echo "<span style=\"font-size:small;position:relative;left:0;top:-4px;\">+</span>:</a></th>\n";
		echo "<td><input type=\"text\" name=\"gesamtbetrag\" id=\"gesamtbetrag\" readonly ";
		if(strlen($pro[17]) > 0) echo stwToolTip($pro[17]);
		if($vm_sum > $sum) $color = "lime";
		elseif($vm_sum < $sum) $color = "red";
		else $color = "#FFCC00";
		echo "style=\"text-align:right;width:80px;font-family:Arial,Helvetica,sans-serif;color:$color;background-color:#333;\" value=\"".geld_form_formular($sum)."\" />";
		echo "&nbsp;&nbsp;&euro;\n";
		if($projekt->nr >= 18000 && $projekt->nr < 20000) {
			echo "&nbsp; &nbsp;";
			echo "<select name=\"pb\">\n";
			$selected = $pro['pb']==1 ? 'selected' : '';
			echo "<option $selected value=\"1\">monatlich</option>\n";
			$selected = $pro['pb']==2 ? 'selected' : '';
			echo "<option $selected value=\"2\">viertelj&auml;hrlich</option>\n";
			$selected = $pro['pb']==3 ? 'selected' : '';
			echo "<option $selected value=\"3\">j&auml;hrlich</option>\n";
			echo "</select>\n";
		}
		echo "</td></tr><tr>\n";
		echo "<th>Versandkosten:</th>";
		echo "<td><input type=\"text\" name=\"hilfe_bisher\" ";
		echo "onkeyup=\"sumIt()\" ";
		echo "maxlength=\"8\" style=\"text-align:right;width:80px;\" tabindex=\"$ti\""; $ti++;
		if ($pro[11] > 0) echo " value=\"" . geld_form_formular($pro[11]) . "\"";
		echo " />&nbsp;&nbsp;&euro;</td>\n</tr>\n";
		echo "<tr><td colspan=\"30\"><table style=\"width:300px\"><tr><td style=\"background-color:#999999;\"></td></tr></table></td></tr>\n";
		echo "<tr><th>Gesamtbetrag:</th>";
		$sum += $pro[11];
		echo "<td><input type=\"text\" id=\"sum\" name=\"sum\" value=\"".geld_form_formular($sum)."\" readonly ";
		echo "style=\"text-align:right;width:80px;font-weight:bold;font-family:Arial,Helvetica,sans-serif;color:#CCC;background-color:#333;\" ";
		echo ">&nbsp;&nbsp;&euro;";
		echo "&nbsp; &nbsp;";
		echo "<span id=\"koststle\">";
		if(!empty($pro[37])) echo "<b style=\"color:#FFCC00\">Kostenstelle:</b> $kostenstelle";
		echo "</span></td>";
	} else {
		/* Gesamtstunden zeigen die fuer dieses Projekt schon geleistet wurden */
		echo "<tr><th>Gesamtstunden:</th>\n";
		echo "<td style=\"color:#00FF00\">";
		echo fls_form($projekt->fls_geleistet_summe()) . "</td>";
	}
}
echo "</tr>\n";

new stwTabLine(2,30);

echo "<tr><td colspan=\"30\"><table>\n";
echo "<tr><th colspan=\"2\">Notizen:</th></th></tr>\n";
echo "<tr><td colspan=\"2\"><textarea id=\"notiz\" name=\"notizen_pro\" cols=\"50\" rows=\"4\" ";
echo "tabindex=\"$ti\">\n"; $ti++;
if (isset($rvar_proj_id)) echo $pro[21];
echo "</textarea></td></tr></table>\n";
echo "</td></tr></table>\n";

/* --- rechte Bildschirmhaelfte --- */
echo "</td><td valign=\"top\">\n";
echo "<table width=\"375\">\n";

if (isset($rvar_proj_id)){

  /* bei Fundraising-Projekten (Projektart 7) koennen Fundraising-Ansprech-
   * zugeordnet werden
   */
  if ($pra == 7){
    $topline = true;
    new stwTabLine(2,30);
    echo "<tr><td><a href=\"pro_ap.php?proj_id=$rvar_proj_id\">";
    echo "zugeordnete Fundraising-Kontakte:</a></td></tr>\n";

    /* bereits zugeodnete Kontakte abfragen */
    $aps = abfrage1("select h.ap_id, a.vorname, a.name, k.name as kname,
                     k.kont_id, k.kont_art_id, a.fr_id
                     from tbh_ap_proj h
                     left join tb_kontakte_ap a on h.ap_id = a.ap_id
                     left join tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0'
                     where h.proj_id = '$rvar_proj_id'
                     order by a.vorname asc, a.name asc;");

    /* wenn zugeordnete Kontakte vorhanden -> Tabelle aufbauen und anzeigen */
    if (mysql_num_rows($aps) > 0){
      /* Beginn Zeile/Teiltabelle Liste zugeord. Kontakte */
      echo "<tr><td><table>\n";
      while ($ap = mysql_fetch_assoc($aps)){
        echo "<tr><td class=\"cl1\">";
        if ($ap['kont_id'] > 0){
          $link = "kont_ap_and.php?kont_id={$ap['kont_id']}&ka={$ap['kont_art_id']}&";
        } else {
          $link = 'personen_and.php?';
        }

        echo "<a href=\"" . $link . "ap_id={$ap['ap_id']}&st=61&fr={$ap['fr_id']}\">";
        echo $ap['name'] . "</a></td>\n";
        echo "<td class=\"cl1\">{$ap['vorname']}</td>\n";
        if (strlen($ap['kname']) > 0) {
          echo "<td class=\"cl1\"";
          if (strlen($ap['kname']) > 0) echo stwToolTip($ap['kname']);
          echo '>' . strCut($ap['kname'], 15) . "</td>\n";
        } else {
          echo "<td></td>\n";
        }

        echo "<td><a href=\"pro_ap_sql.php?do=del&amp;proj_id=$rvar_proj_id&";
        echo "ap_id={$ap['ap_id']}\" style=\"color:#FF0000;\"";
        $tip  = "<b>VORSICHT!</b><br>Kontaktzuordnung wird gel&ouml;scht!";
        echo stwToolTip($tip);
        echo ">X</a></td>\n";
        echo "</tr>\n";
      }
      echo "</table></td></tr>\n";
    }
    new stwTabLine(2,30);

  } elseif (in_array($pra,array(6,11))){
  	/* zugeordnete Lieferantenkontakte bei Einkaufsprojekten */

  	$topline = true;
    new stwTabLine(2,30);
    echo "<tr><td><a href=\"pro_kont.php?proj_id=$rvar_proj_id\">";
    echo "zugeordnete Kontakte:</a></td></tr>\n";

    $kte = abfrage1("select h.kont_id,
							IF(h.kont_id > 100000,p.personalnr,k.kurzname) as kurzname,
							IF(h.kont_id > 100000,p.name,k.name) as name,
							IF(h.kont_id > 100000,p.vorname,k.name2) as name2,
							k.kdnr, k.kreditor, k.email, k.www, k.lieferbedingungen
					 from tbh_kont_proj h
					 left join tb_kontakte k on h.kont_id = k.kont_id and k.kh_id='0'
					 left join tb_personal p on h.kont_id = (p.pers_id + 100000)
					 where h.proj_id = '$rvar_proj_id'
					 order by k.kurzname asc, k.name asc, p.personalnr asc;");

    if (mysql_num_rows($kte) > 0) {
    	new stwTabLine(4,30);
    	echo "<tr><td><table>\n";
		  while ($kt = mysql_fetch_assoc($kte)){
		  	$tt = empty($kt['lieferbedingungen']) ? '' : stwToolTip($kt['lieferbedingungen']);
			echo "<tr><td class=\"cl1\">";
		  	if($kt['kont_id'] > 100000)
				$link = "pers_and.php?pers_id=" . ($kt['kont_id'] - 100000);
		    else $link = "kont_and.php?kont_id={$kt['kont_id']}&ka=5{$ap['kont_art_id']}&st=25";
		    echo "<a $tt href=\"$link\">" . $kt['kurzname'] . "</a></td>\n";
		    echo "<td class=\"cl1\"";
		    if (strlen($kt['name']) > 25) echo stwToolTip($kt['name']);
		    echo '>' . strCut($kt['name'], 25) . "</td>\n";
		    if (strlen($kt['name2']) > 0) {
		      echo "<td class=\"cl1\"";
		      if (strlen($kt['name2']) > 20) echo stwToolTip($kt['name2']);
		      echo '>' . strCut($kt['name2'], 20) . "</td>\n";
		    } else {
		      echo "<td></td>\n";
		    }
			$tt = stwToolTip('KundenNr');
		    echo "<td $tt class=\"cl1\"><a href=\"".$link."\">".$kt['kdnr']."</a></td>\n";
		    echo "<td class=\"cl1\">" . $kt['kreditor'] . "</td>\n";
			echo "<td class=\"cl1\">";
			if (!empty($kt['email'])) {
				$tt = stwToolTip($kt['email']);
				echo "<a $tt href=\"mailto:{$kt['email']}\">@</a>";
			}
			echo "</td>\n";
			echo "<td class=\"cl1\">";
			if(!empty($kt['www'])) {
				$tt = stwToolTip($kt['www']);
				$www = (substr($kt['www'],0,4) == 'http') ? $kt['www'] : "http://" . $kt['www'];
				echo "<a href=\"$www\" $tt><img src=\"img/weltkugel.png\"/></a>\n";
			}
			echo "</td>\n";

		    echo "<td><a href=\"pro_kont_sql.php?do=del&amp;proj_id=$rvar_proj_id&";
		    echo "kont_id={$kt['kont_id']}\" style=\"color:#FF0000;\"";
		    $tip  = "<b>VORSICHT!</b><br>Kontaktzuordnung wird gel&ouml;scht!";
		    echo stwToolTip($tip);
		    echo ">X</a></td>\n";
		    echo "</tr>\n";
		  }
			echo "</table></td></tr>\n";
    }

    new stwTabLine(2,30);
  }
/*
  if($pra == 11 && $projekt->nr < 18000) {
	echo "<tr><td><table>\n";
	echo "<th colspan=\"30\">Zuordnung Inventar</th>";
	echo "</table></td></tr>";
	new stwTabLine(2,30);
  }
*/
  if ($topline != true) new stwTabLine(2,30);

  if($gruppenprojekt) {
	echo "<tr><td><table>";
	echo "<tr><th class=\"cl1\">von</th><th class=\"cl1\">bis</th><th class=\"cl1\" colspan=\"2\">Projektgruppe</th></tr>\n";
	new stwTabLine(2,4);
	while($pg = mysql_fetch_array($projektgruppen)) {
		echo "<tr><th class=\"cl1\">";
		if($pg[1] != '00.00.0000') echo $pg[1];
		echo "</th><th class=\"cl1\">$pg[2]</th>";
		echo "<th class=\"cl1\"><a href=\"pro_gruppe_and.php?proj_id=$pg[0]\">".projektnummer($pg[0])."</a></th>";
		echo "<td><a href=\"{$_SERVER['PHP_SELF']}?proj_id=$rvar_proj_id&amp;del=$pg[0]&amp;von=$pg[3]\"";
		echo "style=\"color:red\"" . stwToolTip("<b>Vorsicht!</b> Zuordnung aus Historie l&ouml;schen");
		echo ">X</a></td></tr>";
	}
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);
  }
  /* Beginn Liste weiterer Personen */
  echo "<tr><td style=\"background-color:black\"><table cellpadding=\"0\" cellspacing=\"0\"><tr>\n";
  echo "<th class=\"cl20\">weitere Personen</th>\n";

  /*
   * Neue weitere Personen koennen angelegt werden. Dies koennen alle Nutzer
   * die ein Level groesser 30 haben oder eine besondere Zugangsberechtigung.
   */
  if (check_nutzer_rechte(38))
  {
	  echo "<td class=\"cl11\"><input type=\"button\" value=\"Neu\" ";
	  echo "onclick=\"self.location.href='pro_wpers.php?";
	  echo "proj_id=$rvar_proj_id'\" /></td>\n";
  }

	if ($_GET['wpers'] == 1){
		$wpers = 1;
		$wpers1 = 'wpers=0';
		$wpers2 = 'nur aktive';
		$and1 = '';
	} else {
		$wpers = 0;
		$wpers1 = 'wpers=1';
		$wpers2 = 'auch inaktive';
		$and1 = 'and t2.aktiv = 1 ';
	}
  echo "<td class=\"cl11\"><input type=\"button\" value=\"$wpers2\" ";
  echo "onclick=\"self.location.href='{$_SERVER['PHP_SELF']}?";
  echo "proj_id=$rvar_proj_id&amp;$wpers1'\" /></td>\n";

  echo "<td><a href=\"pro_pr_personen.php?proj_id=$rvar_proj_id&ts=" . time() . "\" ";
  echo "target=\"_pdf\"><img src=\"".image('drucker')."\" alt=\"drucker\"";
  echo stwToolTip('Liste weiterer Personen drucken') . " /></a></td></tr>\n";

  echo "</table></td></tr>\n";

  /* Liste weiterer Personen */
  $sql  = "select t2.person_id, t2.vorname, t2.name, t2.beschreibung, ";
  $sql .= "t2.telmobil, t3.telefon, t2.aktiv, t2.email ";
  $sql .= "from tbh_proj_personen t1 ";
  $sql .= "left join tb_personen t2 using(person_id) ";
  $sql .= "left join tb_p_adressen t3 using(adress_id) ";
  $sql .= "where t1.proj_id = '$rvar_proj_id' and t1.perstyp_id != '1' ";
  $sql .= $and1;
  $sql .= "group by t2.person_id order by t2.name asc, t2.vorname asc;";

  $res = abfrage1($sql);

  if (mysql_num_rows($res) > 0) {
  	new stwTabLine(4,5);
  	echo "<tr><td>\n";
	  echo "<table>\n";

	  while ($zeile = mysql_fetch_array($res)) {
	     echo "<tr>\n";

	    /* andere Personen Namen zusammensetzen - Vorname vorhanden pruefen */
	    if (empty($zeile[1])) {
	      /* Nachname vorhanden pruefem */
	      if (empty($zeile[2])) $name = "Person"; else $name = $zeile[2];
	    } else {
	      /* Vorname vorhanden aber soll erst nach Nachnamen kommen */
	      if (empty($zeile[2])) {
	        $name = $zeile[1];
	      } else {
	        $name = $zeile[2].", ".$zeile[1];
	      }
	    }

      echo "<td class=\"cl1\">";
      $style = ($zeile[6] == 1) ? '' : "style=\"color: #969696;\"";
      echo "<a href=\"pro_wpers.php?person_id=$zeile[0]&amp;proj_id=$rvar_proj_id\"";
      echo " $style>$name</a></td>\n";
      echo "<td class=\"cl1\">$zeile[3]</td>\n";
      echo "<td class=\"cl1\">$zeile[4]</td>\n";
      echo "<td class=\"cl1\">$zeile[5]</td>\n";
      echo "<td class=\"cl20\">";
      if (strlen($zeile['email']) > 0){
      	echo "<a href=\"mailto:{$zeile['email']}\"";
      	echo stwToolTip('E-Mail schreiben') . '>@</a>';
      }
	  $daten = new stwDaten(38);
	  $klammer = $daten->get_klammer_link($_SESSION["webdir"],$uid,$ulv,$rvar_proj_id,$zeile[0]);
	  if(empty($zeile[1]) && empty($zeile[2]) && empty($zeile[3]) && empty($zeile[4]) && empty($zeile[5]) && strpos($klammer,'keine Datei') !== false) {
		$klammer = "<a href=\"pro_daten.php?proj_id=$rvar_proj_id&wpers=$wpers&drop=$zeile[0]\" style=\"color:red\"";
		$klammer .= stwToolTip('<b>Vorsicht!</b> Person wird gel&ouml;scht');
		$klammer .= "onclick=\"return confirm('Die Person wird unwiederbringlich entfernt. Fortfahren?')\"";
		$klammer .= ">X</a>";
	  }
	  echo "</td>\n<td>$klammer</td></tr>\n";
	  }
	  echo "</table></td></tr>\n";
	}
  /* Ende Liste andere Personen */
  new stwTabLine(2,30);

include('betreuer.inc.php');

// Zeile Klientenkonto
new stwTabLine(2,30);
if ($_SESSION[$AppCode]["ULV"] > 5) {
	echo "<tr>\n";
	echo "<td colspan=\"100\">\n";
	echo "<table align=\"center\">\n";
	echo "<tr><td class=\"cl1\">";
	echo "<a href=\"pro_kto.php?proj_id=$projekt->id\">";
	echo "Klientenkonto:</a></td>\n";

	$kto = $projekt->kontostand();
	$color = ($kto < 0) ? '#FF0000' : '#00FF00';
	echo "<td style=\"font-weight:bold;color:$color;padding-right:10px;\">";
	echo geld_form_web($kto) . "</td>\n";

	echo "<td class=\"cl1\">\n";
	echo "<input type=\"button\" value=\"Einzahlung\" ";
	echo "onclick=\"self.location.href='pro_einz.php?proj_id=$projekt->id&amp;tg=db'\" /></td>\n";

	echo "<td><a href=\"pro_pr_kto.php?proj_id=$projekt->id&ts=" . time() . "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" border=\"0\" ";
	echo stwToolTip("Klientenkonto drucken") . " /></a></td>\n";

	echo "</tr></table>\n</td></tr>\n";
	new stwTabLine(2,30);
}
echo "</td></tr>\n";


/* Hilfehistorie nur fuer Nuzer mit Level > 5 sichtbar */
if ($_SESSION[$AppCode]['ULV'] > 5){

// Liste HPs = Hilfehistorie
$sql = "select hp_id,	#0
		proj_id,		#1
		datum,			#2
		hp_art,			#3
		and_datum,		#4
		hp_st,			#5
		erst,			#6
		to_days(and_datum),	#7
		to_days(curdate()),	#8
		prognose,		#9
		if(st_grund='aus Anfrage' , 0 , unix_timestamp(datum)),	#10
		ressourcen,		#11
		kontakt,		#12
		kontakt_fz,		#13
		fallbegl,		#14
		st_grund,		#15
		hpv_form,		#16
		if(st_grund='aus Anfrage',1,0) as sort
		from tb_hp
		where proj_id = $projekt->id or (hp_art in ('x','y') and hp_id in 
		(select id from tbh_postzuordnung where posttyp='h' and id2='$projekt->id' and typ='p'))";
$order = "order by sort asc, datum desc, and_datum desc;";

$res = abfrage1($sql . $order);

/* Immer Ausgabe aller aktiven KWG, letzten Hilfeplan und Reflexion,
 * sowie alle geplanten und die aktuelle Stundennderung (ggf. im HP enthalten)
 */ 
if (mysql_num_rows($res) != 0) {

	// Liste durchgehen und nach aktueller Stundennderung in ST/EG/HP suchen
	$zeilennummer = 0;
	$st_zeile = 0;

	while ($zeile = mysql_fetch_row($res)) {
		$zeilennummer++;
		switch ($zeile[3]) {
			case 'h2':
			case 'h':
			case 's':
				if ($zeile[4] != '0000-00-00' &&
					$zeile[5] > 0) {
					list($tmp_jahr, $tmp_monat, $tmp_tag) = explode("-", $zeile[4]);
					$zeitaend = mktime(0, 0, 0, (int)$tmp_monat, (int)$tmp_tag, (int)$tmp_jahr);
					if ($zeitaend <= time()) {
						$st_zeile = $zeilennummer;
						break (2); // While-Schleife verlassen
					}
				}
		}
	}
	
	// Zurcksetzen Abfrageergebnis auf den ersten Datensatz
	mysql_data_seek($res, 0);

	echo "<tr>\n<th style=\"text-align:center;background-color:black\">Historie (Basisdaten)</th>\n</tr>\n";

	echo "<tr><td align=\"center\">\n";
	echo "<table>\n";

	$nurbasis = true;

	$hp_angezeigt = false;
	$rf_angezeigt = false;
	$zeilennummer = 0;

	while ($zeile = mysql_fetch_row($res)) {

		$zeilennummer++;

		switch ($zeile[3]) {
			case 'k':
				/* nur aktive KWGs anzeigen */
				if (!empty($zeile[4])) {
					continue (2);
				}
				break;
			case 'h2':
			case 'h':
				/* nur den letzten HP anzeigen */
				if ($hp_angezeigt == false) {
					$hp_angezeigt = true;
				} else {
					continue (2);
				}
				break;
			case 'r':
				/* nur die letzte RF anzeigen */
				if ($rf_angezeigt == false) {
					$rf_angezeigt = true;
				} else {
					continue (2);
				}
				break; 
			case 's':
				/* alle ST bis zur aktuell gltigen anzeigen */
				if ($zeilennummer > $st_zeile) {
					continue (2);
				}
				break;
			default:
				/* alle anderen Dinge sollen (noch nicht) 
				 * mit angezeigt werden */
				continue (2);
		}

		include ($pfad."pro_daten_aktenzeile.php");
	}

	echo "</table>\n";
	echo "</td></tr>\n";

	// Zurcksetzen Abfrageergebnis auf den ersten Datensatz
	if($and_kalender == '') mysql_data_seek($res, 0);
	/* Neue Abfrage: eventuell gekuerzte Historie */
	else $res = abfrage1($sql . $and_kalender . $order);

	$angezeigte_eintraege == 0;
}

echo "<tr><td align=\"center\"><table cellpadding=\"0\" cellspacing=\"3\"><tr>\n";

$btnstyle = "style=\"padding-left:2px;padding-right:2px;\"";

echo "<td><input type=\"button\" $btnstyle value=\"HP\"";
if(empty($pro[3])) {
	echo stwToolTip('Hilfeplangespr&auml;ch anlegen nur bei gew&auml;hltem Sachbearbeiter m&ouml;glich');
} else {
	echo stwToolTip('Hilfeplangespr&auml;ch');
	echo " onclick=\"self.location.href='pro_hp2.php?proj_id=$rvar_proj_id'\"";
}
echo "/></td>\n";

echo "<td><input type=\"button\" $btnstyle value=\"ST\"";
echo stwToolTip('Stunden&auml;nderung');
echo " onclick=\"self.location.href='pro_st.php?proj_id=$rvar_proj_id'\" /></td>\n";

echo "<td><input type=\"button\" $btnstyle value=\"RF\"";
echo stwToolTip('Reflexion');
echo " onclick=\"self.location.href='pro_re.php?proj_id=$rvar_proj_id'\" /></td>\n";

echo "<td><input type=\"button\" $btnstyle value=\"AB\"";
echo stwToolTip('Abrechnung');
echo " onclick=\"self.location.href='pro_ab.php?proj_id=$rvar_proj_id'\" /></td>\n";

if ($_SESSION[$AppCode]["ULV"] >=60) {
	echo "<td><input type=\"button\" $btnstyle value=\"IQS\"";
	echo stwToolTip('Interne Qualit&auml;tssicherung');
	echo " onclick=\"self.location.href='pro_qs.php?proj_id=$rvar_proj_id'\" /></td>\n";
}

echo "<td><input type=\"button\" $btnstyle value=\"SD\"";
echo stwToolTip('Sozialp&auml;dagogische Diagnose');
echo " onclick=\"self.location.href='pro_sd.php?proj_id=$rvar_proj_id'\" /></td>\n";

echo "<td><input type=\"button\" $btnstyle value=\"BEL\"";
echo stwToolTip('Belehrung');
echo " onclick=\"self.location.href='pro_bel.php?proj_id=$rvar_proj_id'\" /></td>\n";

echo "<td><input type=\"button\" $btnstyle value=\"PB\"";
echo stwToolTip('Projektbericht');
$lnk = ($b_pb || $_SESSION[$AppCode]["ULV"]<25) ? "pro_pb.php?proj_id=$rvar_proj_id" : "pro_konf.php?konf=1&proj_id=$rvar_proj_id";
echo " onclick=\"self.location.href='$lnk'\" /></td>\n";

echo "<td><input type=\"button\" $btnstyle value=\"BU\"";
echo stwToolTip('Bericht Begleiteter Umgang');
echo " onclick=\"self.location.href='pro_bu.php?proj_id=$rvar_proj_id'\" /></td>\n";
/*
echo "<td><input type=\"button\" style=\"padding-left:2px;padding-right:2px;font-weight:bold;color:hotpink\" value=\"KWG\" ";
echo stwToolTip("blendet Zeile Kindeswohl ein oder aus");
echo "onclick=\"var kwg=document.getElementById('kwg');if(kwg.style.display == 'none') kwg.style.display='inline'; else kwg.style.display='none';\"></td>";
*/
$agexist = abfrage1("select hp_id from tb_hp where hp_art='ag' and proj_id='$rvar_proj_id' limit 1");
echo "<td><input type=\"button\" $btnstyle value=\"AG\"";
echo stwToolTip('Endfragebogen &uuml;ber den Verlauf der Hilfe');
echo " onclick=\"";
if(mysql_num_rows($agexist) > 0) {
	echo "if(confirm('Es existiert bereits ein Abschlussgespr&auml;ch. Soll wirklich ein weiteres angelegt werden?') == true) ";
}
echo "self.location.href='pro_ag.php?proj_id=$rvar_proj_id'\" /></td>\n";

if ($_SESSION[$AppCode]['ULV'] >= 60){
	echo "<td><input type=\"button\" style=\"padding-left:2px;padding-right:2px;font-weight:bold;color:green\" value=\"PE\" ";
	echo stwToolTip("Posteingang");
	echo "onclick=\"location='post_in.php?proj_id=$rvar_proj_id&projekte=$rvar_proj_id'\"></td>";
	echo "<td><input type=\"button\" style=\"padding-left:2px;padding-right:2px;font-weight:bold;color:red\" value=\"PA\" ";
	echo stwToolTip("Postausgang");
	echo "onclick=\"location='post_out.php?proj_id=$rvar_proj_id&projekte=$rvar_proj_id'\"></td>";
}
echo "<td><input type=\"button\" ";
echo stwToolTip('Brief schreiben') . "onclick=\"self.location.href='brief.php?";
echo "br=1&amp;traeger=$projekt->traeger_art_id&amp;proj_id=$rvar_proj_id";
echo "&amp;kont_id=$projekt->ja&amp;ap_id=$projekt->sb'\" ";
echo "style=\"width:24px;background:url(img/brief_grau.png) no-repeat\" /></td>\n";

echo "</tr></table></td></tr>";

/* Tabelle: Buttons Kindeswohl 
$btnstyle = "style=\"padding-left:2px;padding-right:2px;border:1px solid hotpink\"";
echo "<tr><td align=\"center\"><table id=\"kwg\" ";
if(!$bKW) echo "style=\"display:none\" ";
echo "cellpadding=\"0\" cellspacing=\"3\"><tr>";

echo "<td><input type=\"button\" $btnstyle value=\"KWG\"";
echo stwToolTip("Kindeswohlgef&auml;hrdung");
echo "onclick=\"location='pro_kwg.php?proj_id=$rvar_proj_id'\"></td>";

if($kw[0] > 0) {
	echo "<td class=\"cl1\"><a style=\"color:";
	echo $kw[2]>0 ? '#999999' : 'hotpink';
	echo "\"" . stwToolTip("letzte Kindeswohlgef&auml;hrdung");
	echo "href=\"pro_kwg.php?proj_id=$rvar_proj_id&hp_id=$kw[0]\">$kw[1]</a></td>";
}

echo "<td><input type=\"button\" $btnstyle value=\"KWB\"";
echo stwToolTip("Beobachtungsbogen Kindeswohlgef&auml;hrdung");
echo "onclick=\"location='pro_kwg.php?proj_id=$rvar_proj_id'\"></td>";

echo "<td><input type=\"button\" $btnstyle value=\"KWR\"";
echo stwToolTip("Risiko Kindeswohl + Ressourceneinsch&auml;tzung");
echo "onclick=\"location='pro_kwg.php?proj_id=$rvar_proj_id'\"></td>";

echo "<td><input type=\"button\" $btnstyle value=\"KWK\"";
echo stwToolTip("Kriterienkatalog einer m&ouml;glichen Kindeswohlgef&auml;hrdung");
echo "onclick=\"location='pro_kwg.php?proj_id=$rvar_proj_id'\"></td>";

echo "</tr></table></td></tr>\n";
*/
$cnt = mysql_num_rows($res);

/* dem Projekt zugeordnete Nachrichten */
$nachs = abfrage1( "select unix_timestamp(n.sent) as sent_ts, n.* from tb_nachr n 
					where proj_id='$rvar_proj_id' or nachr_id in (
						select id from tbh_postzuordnung where posttyp='n' and id2='$rvar_proj_id' and typ='p'
					) order by sent asc");
$nachrichten = array();
if(mysql_num_rows($nachs) == 0) $letzteNachricht = array(0,0,'','');
else {
	$cnt += mysql_num_rows($nachs);
	while($nachr = mysql_fetch_array($nachs)) {
		$txt = strip_tags($nachr['text']);
		$tels = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='{$nachr['nachr_id']}'");
		if(mysql_num_rows($tels) > 0) {
			$tel = mysql_fetch_array($tels);
			$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
			if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
			if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
			$text .= "<br />";
			if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
			if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
			if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
			if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
			if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
			if($tel['war_da'] == 'j') $text .= "(war da) ";
			if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
			$txt = "$text<br />$txt";
		}
		$nachrichten[] = array($nachr['nachr_id'],$nachr['sent_ts'],$nachr['betreff'],$txt);
	}
	$letzteNachricht = array_pop($nachrichten);
}

if ($cnt != 0 || $letzteNachricht[0] > 0) {

	echo "<tr>\n<th style=\"text-align:center;background-color:black\">&nbsp;";
	echo "<a name=\"hhist\">Historie</a>";
	if ($_GET['hhk'] == 1){
		$hhkstat = "(Kalenderauswahl)";
		$hhklink = "{$_SERVER['PHP_SELF']}?proj_id=$rvar_proj_id";
		$hhktext = 'gek&uuml;rzt anzeigen';
		$hhk_img = 'up_green.png';
	} else {
		$hhkstat = "(gek&uuml;rzt)";
		$hhklink = "{$_SERVER['PHP_SELF']}?proj_id=$rvar_proj_id&hhk=1";
		$hhktext = 'gesamt anzeigen';
		$hhk_img = 'down_red.png';
	}
	echo "&nbsp;&nbsp;$hhkstat&nbsp;&nbsp;";
	echo "<a href=\"$hhklink\" " . stwToolTip($hhktext);
	echo "><img border=\"0\" src=\"img/$hhk_img\" /></a>";
	echo "&nbsp;</th>\n</tr>\n";


   echo "<tr><td align=\"center\">\n";
   echo "<table>\n";
   
   // Ausgabe aller Eintrge zum Projekt (bei gekrzter Liste nach n Eintrgen raus)

	$nurbasis = false;

	while ($zeile = mysql_fetch_row($res)) {
		while($letzteNachricht[1] > $zeile[10]) {
			echo "<tr>";
			if($show_post_transfer_checkbox) {
				$check = (isset($rvar_n) && is_array($rvar_n) && in_array($letzteNachricht[0],$rvar_n)) ? 'checked' : '';
				echo "<td><input type=\"checkbox\" name=\"n[]\" $check value=\"$letzteNachricht[0]\" /></td>";
			}
			echo "<td style=\"text-align:right\">";
			echo "<a href=\"nachr_and.php?nachr_id=$letzteNachricht[0]\"";
			echo stwToolTip($letzteNachricht[3]);
			echo "><img src=\"img/brief.png\" /></a></td><td></td>";
			echo "<td class=\"cl1\">".date('d.m.Y', $letzteNachricht[1])."</td>";
			echo "<td".stwToolTip($letzteNachricht[3]);
			echo "colspan=\"30\">$letzteNachricht[2]</td></tr>\n";
			$letzteNachricht = array_pop($nachrichten);
			$zeilennummer++;
			if ($_GET['hhk'] != 1) {
				if ($angezeigte_eintraege >= 12) break;
				$angezeigte_eintraege++;
			}
		}
      // fr die gekrzte Liste Anzahl angezeigte Eintrge durchzhlen und entsprechend raus
      if ($_GET['hhk'] != 1) {
         if ($angezeigte_eintraege >= 12) break;
         $angezeigte_eintraege++;
      }
      
      include ($pfad."pro_daten_aktenzeile.php");
   }
	while($letzteNachricht[0]) {
		echo "<tr><td colspan=\"2\" style=\"text-align:center\">";
		echo "<a href=\"nachr_and.php?nachr_id=$letzteNachricht[0]\"";
		echo stwToolTip($letzteNachricht[3]);
		echo "><img src=\"img/brief.png\" /></a></td>";
		echo "<td class=\"cl1\">".date('d.m.Y', $letzteNachricht[1])."</td>";
		echo "<td".stwToolTip($letzteNachricht[3]);
		echo "colspan=\"30\">$letzteNachricht[2]</td></tr>\n";
		$letzteNachricht = array_pop($nachrichten);
		$zeilennummer++;
		if ($_GET['hhk'] != 1) {
			if ($angezeigte_eintraege >= 12) break;
			$angezeigte_eintraege++;
		}
	}
   echo "</table>\n";
   echo "</td></tr>\n";
}

} /* Ende Levelbegrenzung > 5 */

} /* Ende if (isset($rvar_proj_id)) */

$pro_be = array(7, 8, 9, 10, 11);

if (in_array($pra, $pro_be) || isset($rvar_proj_id) && $projekt->pb == 1){
	// Feld Projekt- bzw. Leistungsbeschreibung
	echo "<tr";
	if($pra == 11 && empty($pro[24])) echo " style=\"display:none\" name=\"notToDisplay3\"";
	echo "><td><table width=\"360\">\n";
	$lb_name = (in_array($pra, $pro_be)) ? 'Leistungs' : 'Projekt';
	echo "<tr><th>" . $lb_name . "beschreibung: ";

	/*Druckbutton Kostenzusage/Leistungsbeschreibung*/
	echo "<a href=\"pro_pr_kzu.php?proj_id=$rvar_proj_id&ts=" . time() . "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" border=\"0\" ";
	echo stwToolTip('Kostenzusage/ Projektbeschreibung drucken') . " /></a>\n";
	echo "</th></tr>\n";

	echo "<tr><td><textarea name=\"pro_beschr\" cols=\"50\" rows=\"15\" ";
	echo "tabindex=\"$ti\">"; $ti++;
	if (isset($rvar_proj_id)){
		echo $pro[24];
	}
	echo "</textarea></td></tr>\n";
	echo "</table></td></tr>\n";
}

echo "</table></td></tr></table>\n";

new stwLine(2);

if($show_post_transfer_checkbox) {
	echo "<table>";
	$bPROJ = $bMA = $bPKW = $bTEAM = $bAUFGABE = true;
	$id = 0;
	include('post.proj_ma_pkw.inc.php');
	echo "</table>\n";
	echo "<input type=\"submit\" name=\"chg_zuordnung\" value=\"Zuordnung &auml;ndern\" />\n";
} else {
  echo "<table width=\"750\"><tr>\n";
  echo "<input type=\"hidden\" name=\"pra\" value=\"$pra\" />\n";

  if (isset($rvar_proj_id)){


	if ($pra == 1){
		echo "<td class=\"cl1\"><input type=\"button\" value=\"Ansicht Anfrage\" ";
	  echo "onclick=\"self.location.href='pro_anfrage.php?";
	  echo "proj_id=$rvar_proj_id'\" /></td>\n";
	}

	if ($_SESSION[$AppCode]['ULV'] > 5){
		echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
		echo "<input type=\"hidden\" name=\"person_id\" value=\"{$kl['person_id']}\" />\n";
		echo "<input type=\"hidden\" name=\"adress_id\" value=\"{$kl['adress_id']}\" />\n";
		echo "<input type=\"hidden\" name=\"chg\" value=\"1\" />\n";
	}

	// Falls es pro_pr_dt.php (Datenblatt Drucken ) im Mandanten-Verzeichnis gibt diese statt der
	// standard Datei verwenden

	$dt_pdf_mandant_local = "{$_SESSION['basedir']}/mandant/{$_SESSION[$AppCode]['TR']}/pro_pr_dt.php";
	$dt_pdf_mandant = "{$_SESSION['webdir']}/mandant/{$_SESSION[$AppCode]['TR']}/pro_pr_dt.php";

	$dt_pdf = (file_exists($dt_pdf_mandant_local)) ? $dt_pdf_mandant : 'pro_pr_dt.php';

	echo "<td class=\"cl1\"><a href=\"$dt_pdf?proj_id=$rvar_proj_id&ts=" . time() . "\" target=\"";
	echo "_pdf\"><img src=\"img/drucker.png\" alt=\"Drucken\" border=\"0\" ";
	echo stwToolTip('Datenblatt drucken') . " /></a></td>\n";

  }

  if ($darfspeichern) {
	$sign = "";
	if(isset($rvar_proj_id)) {
		if(isset($pro[31])) $sign .= "&nbsp;&nbsp;Angelegt von " . pers_name($pro[31]);
		if(isset($pro[32])) $sign .= " am " . date_my2gr($pro[32]);
	}
	echo "<td width=\"100%\"><input type=\"submit\" value=\"Speichern!\" />&nbsp;$sign</td>\n";
  }
  if(isset($rvar_proj_id) && $pra == 11 && $projekt->nr < 18000 && check_nutzer_rechte(125)) {
	$chk = abfrage("SELECT pers_id, ts, ger_id FROM tb_inventarisierung WHERE id='$rvar_proj_id' AND typ='p'");
	echo "<td>Inventarisiert:</td>\n";
	echo "<td><input type=\"checkbox\" ";
	if(!empty($chk[0])) echo stwToolTip("am <b>" . date("d.m.Y G:i", $chk[1]) . " Uhr</b> von <b>" . pers_name($chk[0]) . "</b> inventarisiert",false) . " checked";
	else echo stwToolTip('inventarisieren');
	echo " onclick=\"xajax_PInventarisiert($rvar_proj_id,$uid,this.checked)\" name=\"inventarisiert\" /></td>\n";
  }

  if(isset($rvar_proj_id)) {
	$parent = abfrage("select proj_id_parent from tb_pro_inheritance where proj_id_child='$rvar_proj_id'");
	if($parent[0]) {
		$pnp = projektnummer($parent[0]);
		echo "<td><small" . stwToolTip("aus Projekt $pnp hervorgegangen") . "><a style=\"color:grey\" href=\"pro_daten.php?proj_id=$parent[0]\">$pnp</a></small></td>\n";
	}
  }
  echo "</tr></table>\n";
}
echo "</form>\n";

if (!empty($rvar_proj_id)){
	$aufgs = abfrage1("select * from tb_aufgaben where proj_id='$rvar_proj_id'");
	if(mysql_num_rows($aufgs) != 0) {
		include('auf.inc.php');
		echo "<table>\n";
		echo "<tr><td colspan=\"30\" class=\"cl1\"><input type=\"button\" value=\"neue Aufgabe\" ";
		echo stwToolTip('neue Aufgabe erstellen');
		echo "onClick=\"self.location.href='auf_and.php?proj_id=$rvar_proj_id'\"></td></tr>\n";
		echo "</table>\n";
	} /* Ende Aufgaben */

	if($pra == 7) {
		new stwLine(1);
		echo "<form method=\"post\" action=\"pro_daten.php?proj_id=$rvar_proj_id\">\n";
		echo "<table><tr>\n";
		echo "<td class=\"cl11\"><input type=\"button\" value=\"neue Vormerkung\" onclick=\"self.location.href='pro_daten.php?vml=-1&proj_id=$rvar_proj_id'\" /></td>\n";
		echo "<th class=\"cl11\">Vormerkposten hinzuf&uuml;gen</th>\n";
		echo "<td><select onchange=\"this.form.submit()\" name=\"add_vml\">\n";
		echo "<option calue=\"0\"></option>\n";
		$vml = abfrage1("select * from tb_vormerkliste where proj_id IS NULL and status = 1 order by vm_id asc");
		while($vm = mysql_fetch_array($vml)) {
			echo "<option value=\"$vm[0]\">";
			echo $vm['vm_id'] . ' ' . $vm['name'] . ' ' . $vm['artikelnr'];
			echo "</option>\n";
		}
		echo "</select></td>\n";
		echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
		echo "</tr></table>\n";
		echo "</form>\n";
	}
	if(isset($rvar_del) && is_numeric($rvar_del)) {
		abfrage2("UPDATE tb_vormerkliste SET proj_id=NULL WHERE vm_id='$rvar_del' LIMIT 1");
	}
	if($vormerkungen) {
		if(!isset($rvar_vml)) $rvar_vml=0;
		$stwVormerkung = new stwVormerkung($rvar_vml, $rvar_state, $rvar_abt, 'all', $rvar_proj_id, $kannnochaendern);
		$stwVormerkung->Ausgabe();
	}

	$it = array('EDV', 'SWP');
	$p_art1 = $projekt->projektart_name();
	if (in_array($p_art1, $it)){
		$sort = (isset($_GET['sort'])) ? $_GET['sort'] : '1';
		$where  = "where t1.proj_id = '$projekt->id'";
		$cal_url = $linkadditionals = "&amp;proj_id=$projekt->id";
		new stwLine(1);
		include "feedb.proj.inc.php";
	}
}

if (!empty($rvar_proj_id)){
	new stwEnd($seite, $_GET['hhk']==1 ? 1 : NULL, NULL, NULL, $rvar_proj_id, "0");
} else {
	new stwEnd($seite);
}

?>