<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_datsql.php 2898 2018-10-25 11:59:12Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 require("inc/func.inc.php");
 require_once("inc/azk.inc.php");

 if(!isset($_POST['proj_id']) && !isset($_POST['hilfeart_id']) && !isset($_POST['chg'])){
	header("Location: pro.php");
	exit(-1);
 }

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

$error = false;
$gebdat = date_gr2my(check_date($rvar_geboren, 1));
$begdat = date_gr2my(check_date($rvar_beginn, 1));
$enddat = date_gr2my(check_date($rvar_ende, 1));
if(!empty($enddat) && isset($rvar_proj_id)) {
	$projekt = new stwProjekt($rvar_proj_id);
	if($projekt->beginn_ts() > date_gr2ts($rvar_ende)) {
		$error = true;
		$enddat = NULL;
	} elseif($projekt->inProjektgruppe()) {
		abfrage2("update tbh_projekt_gruppe set bis='$enddat' where proj_id='$rvar_proj_id' and von <= curdate() AND (bis >= curdate() OR bis IS NULL)");
	}
}
$kosdat = date_gr2my(check_date($rvar_kostenzus, 1));
$kzedat = date_gr2my(check_date($rvar_kostenzus_ende, 1));

if(empty($rvar_abt_id)) {
	$abt_id = abfrage("select abt_id from tb_hilfeart where hilfeart_id = '$rvar_hilfeart_id'");
	if(!empty($abt_id[0])) $rvar_abt_id = $abt_id[0];
}

if (isset($rvar_proj_id)){
  if(empty($rvar_person_id) || empty($rvar_adress_id)) {
	/* Falls auf Grund eines Fehlers keine Person zum Projekt vorhanden */
	$sr = getSozialraum($rvar_plz, $rvar_ort);
	if($sr !== false) $rvar_sozialraum = $sr;
	$sql = "insert into tb_p_adressen set
						strasse = '$rvar_strasse',
						plz = '$rvar_plz',
						ort = '$rvar_ort',
						telefon = '$rvar_telefon',
						fax = '$rvar_fax',
						sozialraum = '$rvar_sozialraum',
						entfernung = '$rvar_entfernung';";
	abfrage2($sql);
	$addrid = mysql_insert_id();

	$sql = "insert into tb_personen set
						name = '$rvar_name',
						vorname = '$rvar_vorname',
						telmobil = '$rvar_telmobil',
						email = '$rvar_email',
						geboren = '$gebdat',
						geschlecht = '$rvar_geschlecht',
						bildung = '$rvar_bildung',
						bez_art = '$rvar_bez_art',
						adress_id = '$addrid';";
	abfrage2($sql);
	$personid = mysql_insert_id();

	$sql = "insert into tbh_proj_personen set
						proj_id = '$rvar_proj_id',
						person_id = '$personid',
						perstyp_id = 1;";
	abfrage2($sql);
  } else {
	$sql = "update tb_personen set name = '$rvar_name',
								vorname = '$rvar_vorname',
								geboren = '$gebdat',
								geschlecht = '$rvar_geschlecht',
								telmobil = '$rvar_telmobil',
								email = '$rvar_email',
								bildung = '$rvar_bildung',
								bez_art = '$rvar_bez_art'
								where person_id = '$rvar_person_id';";
	abfrage2($sql);

	$sr = getSozialraum($rvar_plz, $rvar_ort);
	if($sr !== false) $rvar_sozialraum = $sr;
	$sql = "update tb_p_adressen set strasse = '$rvar_strasse',
								 plz = '$rvar_plz',
								 ort = '$rvar_ort',
								 telefon = '$rvar_telefon',
								 entfernung = '$rvar_entfernung',
								 sozialraum = '$rvar_sozialraum',
								 fax = '$rvar_fax'
								 where adress_id = '$rvar_adress_id';";
	abfrage2($sql);
  }
  /*
   * Wenn Gesamtstunden gezeigt wurden, ist nichts in $rvar_pool vorhanden
   * aus diesem Grund wird dann die Variable hier noch einmal initialisiert.
   */
  if (empty($rvar_pool)) $rvar_pool = 0;
  $befristung = ($rvar_befristung == 'j' && !empty($enddat)) ? 'j' : 'n'; 
	$sql = "update tb_projekte set ap_id = '$rvar_ap_id',
								wihi_id = '$rvar_wihi_id',
								beginn = '$begdat',
								ende = '$enddat',
								register = '$rvar_register',
								az = '$rvar_az',
								kostenzus = '$kosdat',
								kostenzus_ende = '$kzedat',
								pool = '". str_replace(',', '.', $rvar_pool) . "',
								notizen_pro = '$rvar_notizen_pro',
								fb_id = '$rvar_fb_id',
								fb_prio = '$rvar_fb_prio',
								pro_beschr = '$rvar_pro_beschr',
								projektnr = '$rvar_projektnr',
								hilfeart_id = '$rvar_hilfeart_id',
								abt_id = '$rvar_abt_id',
								traeger_art_id = '$rvar_traeger_art_id',
								befristung = '$befristung',
								zg_ausnahme = '$rvar_zg_ausnahme', ";
	if($rvar_einkaufsprojekt != 1) {
		$einverst = (empty($rvar_einv)) ? "NULL" : "'$rvar_einverst'";
		$einvdatum = (empty($rvar_einv)) ? "NULL" : "'$rvar_einvdatum'";
		$sql.= "einverst = $einverst, einvdatum = $einvdatum, ";
	} else {
		$anfragedatum = date_gr2my(check_date($rvar_anfragedatum, 1));
		$angebotsdatum = date_gr2my(check_date($rvar_angebotsdatum, 1));
		$sql.= "hilfe_bisher = '".str_replace(',','.',$rvar_hilfe_bisher)."',
				schule = '".str_replace(',','.',$rvar_schule)."', 
				pb = '$rvar_pb',
				notizen = '$rvar_betr_notizen',
				ziele = '$anfragedatum', 
				wohn = '$angebotsdatum', ";
	}
	$sql.= "kostenstelle = '$rvar_kostenstelle'
			where proj_id = '$rvar_proj_id';";
	abfrage2($sql);

	if($befristung == 'n') {
		abfrage2("delete from tb_ewald where ewaldkategorie_id=11 and id1='$rvar_proj_id'");
	}

	abfrage2("delete from tbh_pers_proj
				where proj_id = '$rvar_proj_id'
				and pers_id = 0;");

	$hb = abfrage("select pers_id
					from tbh_pers_proj
					where proj_id = '$rvar_proj_id'
					and personaltyp_id = 1;");

	if (empty($hb[0])){
		$sql = "insert into tbh_pers_proj set pers_id = '$rvar_pers_id',
				personaltyp_id = '1', proj_id = '$rvar_proj_id';";
	} elseif($rvar_pers_id != $hb[0]) {
		abfrage2("delete from tbh_pers_proj where pers_id = '$rvar_pers_id' and proj_id = '$rvar_proj_id'");
		$sql = "update tbh_pers_proj set pers_id = '$rvar_pers_id'
				 where proj_id = '$rvar_proj_id' and personaltyp_id=1;";
	}
	abfrage2($sql);

	/* prognostischen Beginn in ST aus Anfrage aktualisieren */
	$hp = abfrage("select hp_id from tb_hp where proj_id='$rvar_proj_id' and prognose='j' and st_grund='aus Anfrage' limit 1");
	if($hp[0]) abfrage2("update tb_hp set and_datum='$begdat' where hp_id='$hp[0]'");

	/* im AZK Cache alles zu diesem Projekt loeschen */
	azk_cache_proj_reset($rvar_proj_id);
	$projid = $rvar_proj_id;
} else {
	if(isset($_POST['traeger_art_id'])) $tra[0] = $rvar_traeger_art_id;
	/* Standard-Traeger fuer gewaehlte Hilfeart ermitteln */
	else $tra = abfrage("select traeger_art_id from tb_hilfeart
									where hilfeart_id = '$rvar_hilfeart_id';");
	$sql = "insert into tb_projekte set
						hilfeart_id = '$rvar_hilfeart_id',
						abt_id = '$rvar_abt_id',
						traeger_art_id = '$tra[0]',
						projektnr = '$rvar_projektnr',
						ap_id = '$rvar_ap_id',
						wihi_id = '$rvar_wihi_id',
						beginn = '$begdat',
						ende = '$enddat',
						register = '$rvar_register',
						az = '$rvar_az',
						kostenzus = '$kosdat',
						kostenzus_ende = '$kzedat',
						pool = '". str_replace(',', '.', $rvar_pool) . "',
						notizen_pro = '$rvar_notizen_pro',
						fb_id = '$rvar_fb_id',
						fb_prio = '$rvar_fb_prio',
						pro_beschr = '$rvar_pro_beschr',
						ersteller_id = '" . $_SESSION[$AppCode]['UID'] . "',
						erstelldatum = '" . date("Y-m-d") . "', 
						kostenstelle = '$rvar_kostenstelle';";
	abfrage2($sql);
	$projid = mysql_insert_id();

	$sql = "insert into tb_p_adressen set
						strasse = '$rvar_strasse',
						plz = '$rvar_plz',
						ort = '$rvar_ort',
						telefon = '$rvar_telefon',
						fax = '$rvar_fax',
						entfernung = '$rvar_entfernung';";
	abfrage2($sql);
	$addrid = mysql_insert_id();

	$sql = "insert into tb_personen set
						name = '$rvar_name',
						vorname = '$rvar_vorname',
						telmobil = '$rvar_telmobil',
						email = '$rvar_email',
						geboren = '$gebdat',
						adress_id = '$addrid';";
	abfrage2($sql);
	$personid = mysql_insert_id();

	$sql = "insert into tbh_proj_personen set
						proj_id = '$projid',
						person_id = '$personid',
						perstyp_id = 1;";
	abfrage2($sql);

	if ($rvar_pers_id > 0){
		$sql = "insert into tbh_pers_proj set
						proj_id = '$projid',
						pers_id = '$rvar_pers_id',
						personaltyp_id = 1;";
		abfrage2($sql);
	}

	/* im AZK Cache alles zu diesem Projekt loeschen */
	azk_cache_proj_reset($projid);

	/* Gruppenprojekt? */
	$grha = abfrage("select gruppenprojekt from tb_hilfeart where hilfeart_id='$rvar_hilfeart_id'");
	$stdPGr = getConf('standardprojektgruppe');
	if($grha[0] == 'j' && $stdPGr > 0) {
		abfrage2("INSERT INTO tbh_projekt_gruppe SET proj_id_gruppe='$stdPGr', proj_id='$projid', von=curdate();");
		abfrage2("UPDATE tbh_pers_proj SET personaltyp_id=5 WHERE proj_id='$projid'");
		$betrs = abfrage1("select * from tbh_pers_proj where proj_id='$stdPGr'");
		while ($betr = mysql_fetch_array($betrs)) {
			abfrage2("REPLACE INTO tbh_pers_proj SET proj_id='$projid', 
													pers_id='{$betr['pers_id']}', 
													personaltyp_id='{$betr['personaltyp_id']}',
													fuer='{$betr['fuer']}',
													eingearbeitet_pers_id='{$betr['eingearbeitet_pers_id']}',
													eingearbeitet_ts='{$betr['eingearbeitet_ts']}'");
		}
	}
}

/* weitere Traeger */
abfrage2("delete from tbh_proj_traeger where proj_id='$projid'");
if(is_array($rvar_traeger_art_zus)) {
	foreach($rvar_traeger_art_zus as $tr) {
		if($tr>0 && $tr!=$rvar_traeger_art_id) 
			abfrage2("replace into tbh_proj_traeger set proj_id='$projid', traeger_art_id='$tr'");
	}
}

/* bei Einkaufsprojekten ist vielleicht OK GF gesetzt worden */
if(isset($rvar_bestellfertig_pid)) {
	/* HotFix: pers_id bestellfertig war in kostenstelle gespeichert worden: nicht mehr korrekt... */
	$old = abfrage("select az, anfrage_std, kostenstelle, problemlage from tb_projekte where proj_id='$projid'");
	if(empty($old[1]) && (strlen($old[0]>0) || $old[3]=='checked')) abfrage2("update tb_projekte set anfrage_std='$old[2]' where proj_id='$projid'");
	if(!check_nutzer_rechte(99) && ((empty($rvar_gf1) && $rvar_familie == 'checked') || (empty($rvar_gf2) && $rvar_hobbys == 'checked'))) {
		abfrage2("update tb_projekte set problemlage='', anfrage_std='".$_SESSION[$AppCode]['UID']."', az='".date("Y-m-d")."' where proj_id='$projid'");
		$gf = abfrage("select familie, unix_timestamp(einvdatum), hobbys, unix_timestamp(anfrage) from tb_projekte where proj_id='$projid'");
		$sql = "update tb_projekte set ";
		if($gf[0] == 'checked' || ($gf[1]>0 && $gf[1] < 1358895600)) $sql .= "einverst='".$_SESSION[$AppCode]['UID']."', einvdatum='".date("Y-m-d")."', ";
		if($gf[2] == 'checked' || ($gf[3]>0 && $gf[3] < 1358895600)) $sql .= "anfrage_std_kont_fz='".$_SESSION[$AppCode]['UID']."', anfrage='".date("Y-m-d")."', ";
		$sql .= "familie='', hobbys='', problemlage='', anfrage_std='".$_SESSION[$AppCode]['UID']."', az='".date("Y-m-d")."' where proj_id='$projid'";
		abfrage2($sql);
	} else {
		if($rvar_gf1 == 1 && $rvar_familie == '') abfrage2("update tb_projekte set familie='checked', einverst='".$_SESSION[$AppCode]['UID']."', einvdatum='".date("Y-m-d")."' where proj_id='$projid'");
		elseif(empty($rvar_gf1) && $rvar_familie == 'checked') abfrage2("update tb_projekte set familie='', einverst='".$_SESSION[$AppCode]['UID']."', einvdatum='".date("Y-m-d")."' where proj_id='$projid'");
		if($rvar_gf2 == 1 && $rvar_hobbys == '') abfrage2("update tb_projekte set hobbys='checked', anfrage_std_kont_fz='".$_SESSION[$AppCode]['UID']."', anfrage='".date("Y-m-d")."' where proj_id='$projid'");
		elseif(empty($rvar_gf2) && $rvar_hobbys == 'checked') abfrage2("update tb_projekte set hobbys='', anfrage_std_kont_fz='".$_SESSION[$AppCode]['UID']."', anfrage='".date("Y-m-d")."' where proj_id='$projid'");
		if($rvar_bestellfertig == 1 && $rvar_problemlage == '') abfrage2("update tb_projekte set problemlage='checked', anfrage_std='".$_SESSION[$AppCode]['UID']."', az='".date("Y-m-d")."' where proj_id='$projid'");
		elseif(empty($rvar_bestellfertig) && $rvar_problemlage == 'checked') abfrage2("update tb_projekte set problemlage='', anfrage_std='".$_SESSION[$AppCode]['UID']."', az='".date("Y-m-d")."' where proj_id='$projid'");
		$fb_note = $_SESSION[$AppCode]['UID'] . '|' . date("Y-m-d") . '|';
		if($rvar_al_ok == 1 && $rvar_ziele == '') abfrage2("update tb_projekte set fb_note='".$fb_note."checked' where proj_id='$projid'");
		elseif(empty($rvar_al_ok) && $rvar_ziele == 'checked') abfrage2("update tb_projekte set fb_note='$fb_note' where proj_id='$projid'");
	}
}

abfrage2("DELETE FROM tbh_proj_abt WHERE proj_id='$projid';");
$abt_ids = explode ( ' ', $rvar_abt_ids );
foreach($abt_ids as $abt_id) {
	if($abt_id>0) {
		abfrage2("INSERT INTO tbh_proj_abt SET proj_id='$projid', abt_id='$abt_id';");
		if(empty($rvar_abt_id)) {
			$rvar_abt_id = $abt_id;
			abfrage2("update tb_projekte set abt_id='$abt_id' where proj_id='$projid'");
		}
	}
}

abfrage2("DELETE FROM tbh_proj_pkw WHERE proj_id='$projid';");
$pkw_ids = explode ( ' ', $rvar_pkw_ids );
foreach($pkw_ids as $res_id) {
	if($res_id>0) abfrage2("INSERT INTO tbh_proj_pkw SET proj_id='$projid', res_id='$res_id';");
}

if(isset($rvar_todo)) {
	abfrage2("update tb_vormerkliste set proj_id='$projid', todo_ts='0' where todo_ts='$rvar_todo'");
}

if(isset($_POST['projekt_ab_nach_ende'])) {
	$shps=abfrage1("select s.hp_id from tbh_hp_satz s
					left join tb_hp h using(hp_id)
					where h.proj_id='$projid'");
	$e = isset($_POST['do_rech']) ? 'e' : 'j';
	while($shp = mysql_fetch_row($shps)) {
		abfrage2("update tbh_hp_satz set ab_nach_ende='$e' where hp_id='$shp[0]'");
	}
}

if($rvar_einkaufsprojekt) {
	$vmls = abfrage1("select vm_id from tb_vormerkliste where proj_id='$projid'");
	while($vml = mysql_fetch_row($vmls)) {
		calc_vml_state($vml[0]);
	}
}

if(isset($rvar_pFLSg) && is_array($rvar_pFLSg)) {
	foreach($rvar_pFLSg as $id => $betrag) {
		$betrag = str_replace(',','.',$betrag);
		abfrage2("update tb_pauschFLSg set betrag='$betrag' where id='$id'");
	}
}

update_fb();

$ziel = (isset($_SESSION[$AppCode]['url_pro'])) ? $_SESSION[$AppCode]['url_pro'] : 'pro.php';

if($error) {
	$seite = 6;
	require_once($pfad."inc/stw.inc.php");
	echo "<h1 style=\"color:red;text-align:center;\">Datum 'Ende' konnte nicht geschrieben werden!</h1>\n";
	echo "<h2 style=\"color:red;text-align:center;\">Das Datum liegt vor dem Beginn der Hilfehistorie!</h2>\n";
	echo "<h1 style=\"text-align:center;\"><a href=\"javascript:history.back()\">zur&uuml;ck</a></h1>\n";
	new stwEnd($seite);
} else {
	if($rvar_TTT == 1) {
		$ttmitarbeiter = abfrage("select abt_id from tb_personal_abt where name='TTMitarbeiter'");
		$mas = abfrage1("select pers_id from tbh_pers_abt where abt_id='$ttmitarbeiter[0]'");
		while($ma = mysql_fetch_row($mas)) {
			abfrage2("insert into tbh_pers_proj set pers_id='$ma[0]', proj_id='$projid', personaltyp_id='5'");
		}
	}
	updateBetrLastHP($projid);
	header("Location: $ziel");
}
?>