<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_hp2.php 2896 2018-10-23 19:48:15Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 6;
 $level = 25;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);
 require_once($pfad . 'inc/func.inc.php');

 $pers_order = getPersOrder($seite);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function EinstellungenSpeichern($pers_id, $hp2sort) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select pers_id from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set hp2sort = '$hp2sort'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('TraegerIcon', 'style.color', 'lime');
	return $userResp;
}

function WochenstundenBerechnen($monst){
	$monst = str_replace(',', '.', $monst);
	$wst = geld_form_formular(round($monst / 13 * 3, 2));
	$userResp = new xajaxResponse();
	$userResp->assign('wochenstunden', 'value', $wst);
	return $userResp;
}

function WoSTFallbegl($fallb,$kont){
	$userResp = new xajaxResponse();
	if($fallb) {
		$userResp->assign('fallb', 'innerHTML', '1h Fallbegl.');
		$userResp->assign('antragsdrucker', 'style.visibility', 'visible');
		$userResp->assign('aufgrund', 'style.visibility', 'visible');
		$userResp->assign('aufgrundtext', 'style.height', '80px');
		$userResp->assign('aufgrundlabel', 'innerHTML', 'Auf Grund:');
		$userResp->assign('wochenstunden', 'style.color', '#FF6600');
		$userResp->assign('wochenstunden', 'title', "KLS = $kont / Fallbegleitung: ja");
	} else {
		$userResp->assign('fallb', 'innerHTML', '');
		$userResp->assign('antragsdrucker', 'style.visibility', 'hidden');
		$userResp->assign('aufgrund', 'style.visibility', 'hidden');
		$userResp->assign('aufgrundtext', 'style.height', '1px');
		$userResp->assign('aufgrundlabel', 'innerHTML', '');
		$userResp->assign('wochenstunden', 'style.color', '#CCCCCC');
		$userResp->assign('wochenstunden', 'title', "KLS = $kont");
	}
	return $userResp;
}

function WoSTFallbegl2($fallb,$kont){
	$userResp = new xajaxResponse();
	if($fallb) {
		$userResp->assign('fallb2', 'innerHTML', '1h Fallbegl.');
		$userResp->assign('antragsdrucker2', 'style.visibility', 'visible');
		$userResp->assign('aufgrund2', 'style.visibility', 'visible');
		$userResp->assign('aufgrundtext2', 'style.height', '80px');
		$userResp->assign('aufgrundlabel2', 'innerHTML', 'Auf Grund:');
		$userResp->assign('wochenstunden2', 'style.color', '#FF6600');
		$userResp->assign('wochenstunden2', 'title', "KLS = $kont / Fallbegleitung: ja");
	} else {
		$userResp->assign('fallb2', 'innerHTML', '');
		$userResp->assign('antragsdrucker2', 'style.visibility', 'hidden');
		$userResp->assign('aufgrund2', 'style.visibility', 'hidden');
		$userResp->assign('aufgrundtext2', 'style.height', '1px');
		$userResp->assign('aufgrundlabel2', 'innerHTML', '');
		$userResp->assign('wochenstunden2', 'style.color', '#CCCCCC');
		$userResp->assign('wochenstunden2', 'title', "KLS = $kont");
	}
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');

$xajax->registerFunction('EinstellungenSpeichern');
$xajax->registerFunction('WochenstundenBerechnen');
$xajax->registerFunction('WoSTFallbegl');
$xajax->registerFunction('WoSTFallbegl2');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
require_once($pfad . 'inc/stw.inc.php');
require_once($pfad . 'inc/stwDaten.inc.php');

if(!check_projekt_berechtigung($rvar_proj_id)) {
	echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
	new stwEnd($seite);
	exit(0);
}

if(isset($_GET['hp_order'])) $_SESSION[$AppCode]['hp_order'] = $_GET['hp_order'];

$verbund_id = abfrage("select verbund_id from tb_pro_verbund where proj_id='$rvar_proj_id' and datetime_bis is NULL");

 /*
  * Der Nutzer kann alle Praxisziele loeschen. Diese werden in der Tabelle
  * tb_hp_praxisziele aber nur dadurch ausgeblendet, wenn hp_id auf NULL
  * gesetzt wird. Damit ist es moeglich den Eintrag im Notfall wieder
  * zurueckzubekommen. Im 'konf' Bereich kann eine berechtigte Person diesen
  * Eintrag endgueltig entfernen.
  */
 if (isset($_GET["kill_id"]))
 {
	echo "<center><table><tr><td class=\"frage\">";
	echo "Wollen Sie dieses Praxisziel wirklich l&ouml;schen?</td></tr>\n";
	new stwTabLine(2,10);
	echo "<tr><td class=\"buttonzeile\">";
	echo "<input class=\"button\" type=\"submit\" ";
	echo "onClick=\"self.location.href='pro_hp2.php?hp_id=" . $_GET['hp_id'];
	echo "&proj_id=" . $_GET['proj_id'] . "&really_kill_id=".$_GET['kill_id']."'\" ";
	echo "value=\"Ja, bitte l&ouml;schen!\">";
	echo "&nbsp;&nbsp;&nbsp;<input class=\"button\" type=\"reset\" ";
	echo "onClick=\"javascript:history.back()\" ";
	echo "value=\"Nein, zur&uuml;ck!\">";
	echo "</td></tr></table></center>\n";
	new stwEnd($seite);
	exit(0);
 }
 if (isset($_GET["really_kill_id"])) {
   /* SQL Befehl fuer das Aendern des Eintrags in der Tabelle */
   $sql = "UPDATE tb_hp_praxisziele SET hp_id=NULL WHERE id=".$_GET["really_kill_id"];
   abfrage2($sql);
   $pro_verbund = abfrage("select verbund_id from tb_pro_verbund where proj_id='{$_GET['proj_id']}' and datetime_bis is NULL");
   if(!empty($pro_verbund[0])) {
	  $vhp = abfrage("select v_hp_id from tbh_hp_verbund where hp_id='{$_GET["really_kill_id"]}'");
	  if(!empty($vhp[0])) abfrage2("UPDATE tb_hp_praxisziele SET hp_id=NULL WHERE id='$vhp[0]'");
   }
 }

/* Es wurde versucht, mehrere Hauptbetreuer anzulegen */
if(isset($_GET["error"])) {
  	echo "<table>\n<tr><th style=\"color:red\">";
  	echo "Es wurden mehrere Hauptbetreuer angegeben. ";
  	echo "Hilfeplan wurde nicht gespeichert.</th></tr></table>\n";
}

if  (isset($rvar_proj_id)) {
    $projekt = &new stwProjekt($rvar_proj_id);

    $sql = "SELECT * FROM tb_projekte WHERE proj_id = $projekt->id";
    $res = mysql_query($sql) or die (mysql_error());
    $pro = mysql_fetch_row($res);
}

if  (isset($rvar_hp_id)) {
    $sql = "SELECT t1.* FROM tb_hp t1 WHERE t1.hp_id = $rvar_hp_id";
    $hp = abfrage_array($sql);
}

$hpv_form = abfrage("select hpv_form, unix_timestamp(hpv_form_datum) 
					from tb_kontakte where kont_id = '$projekt->ja' and kh_id='0'");
if((isset($rvar_hp_id) && $hp['kontakt'] == 'j') || (empty($rvar_hp_id) && $projekt->k_potentiell_kontaktst)) {
	$fallbegl = isset($rvar_hp_id) ? $hp['fallbegl'] : ($projekt->fallbegleitung() ? 'j' : 'n');
} else $fallbegl = 'n';

$hpv = $hpv_form[0];
if(isset($rvar_hp_id)) {
	if(is_null($hp['hpv_form'])) {
		if($hpv_form[0]==1 && $hpv_form[1]<=$hp['datum']) $hpv = 1;
		elseif($hpv_form[0]==2 && $hpv_form[1]<=$hp['datum'] && $hpv_form[1]>0) $hpv = 1;
		else $hpv = 0;
	}
	else $hpv = $hp['hpv_form'];
} 

if($hpv == 2 && $hpv_form[0] == 9 && $hp['datum'] >= '2016-06-04') $hpv = 9;

$ap_id = $hp['ap_id'] ? $hp['ap_id'] : $pro[3];

echo "<table width=\"750\">\n";
echo "<tr><th style=\"padding-right:10px\">Projekt-Nr.:</th>\n";
echo "<td style=\"padding-right:20px\">";
echo "<a href=\"pro_daten.php?proj_id=$projekt->id\">";
echo $projekt->nummer() . "</a></td>\n";
echo "<th style=\"padding-right:10px\">Klient:</th>";
echo "<td style=\"padding-right:20px\">" . $projekt->name() . "</td>\n";

// Jugendamt und Sachbearbeiter ermitteln
$ja = abfrage("SELECT t3.name2, t3.kont_id
		      FROM tb_kontakte_ap t2
              LEFT JOIN tb_kontakte t3 
			  ON t3.kont_id = t2.kont_id AND t3.kh_id='0'
              WHERE t2.ap_id = $projekt->sb;");
if($ulv >= 97) {
	echo "<td style=\"text-align:right\"><img src=\"".image('hammer')."\"";
	echo stwToolTip("HPV-Form bearbeiten");
	echo "onclick=\"document.getElementById('hpv').style.visibility='visible'\"";
	echo "style=\"cursor:pointer\"></td>";
}
echo "<th style=\"padding-right:10px\">Jugendamt:</th>";
echo "<td style=\"padding-right:20px\">$ja[0]</td>\n";
if(isset($rvar_proj_id) && isset($rvar_hp_id)) {
	$xhp = abfrage("select hpv_form, unix_timestamp(datum) from tb_hp where hp_id=$rvar_hp_id");
	$hpv_form = abfrage("select hpv_form, unix_timestamp(hpv_form_datum)
						from tb_kontakte where kont_id = '$projekt->ja' and kh_id='0';");
	if(is_null($xhp[0])) {
		if($hpv_form[0]==1 && $hpv_form[1]<=$xhp[1]) $hp_url = 3;
		elseif($hpv_form[0]==2 && $hpv_form[1]<=$xhp[1] && $hpv_form[1]>0) $hp_url = 3;
		else $hp_url = 2;
	} else $hp_url = $xhp[0] + 2;

	if($hp_url == 4 || $hp_url == 5 || $hp_url == 6 || $hp_url == 7 || $hp_url == 9 || $hp_url == 10) {
		$leer = 0;
		$erledigte = 1;
		echo "<form name=\"printform\" action=\"pro_pr_hpvor$hp_url.php\" method=\"get\" target=\"_pdf\">\n";
		echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\">\n";
		echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
		echo "<input type=\"hidden\" name=\"leer\" value=\"$leer\">\n";
		echo "<input type=\"hidden\" name=\"erledigte\" value=\"$erledigte\">\n";
		echo "<input type=\"hidden\" name=\"ts\" value=\"" . time() . "\">\n";
?>
<script type="text/javascript"><!--
  function doTT() {
	var check1 = '';
	var check2 = '';
	if(document.printform.leer.value == '1') check1 = 'checked';
	if(document.printform.erledigte.value == '1') check2 = 'checked';
	var str = "<form name='tempform'>"
	str += '<input onclick="if(document.tempform.leer2.checked) document.printform.leer.value=1; else document.printform.leer.value=0;" ';
	str += check1;
	str += ' type="checkbox" name="leer2" value="1"> Formulardruck (leer)<br>';
	str += '<input onclick="if(document.tempform.erledigt2.checked) document.printform.erledigte.value=1; else document.printform.erledigte.value=0;" ';
	str += check2;
	str += ' type="checkbox" name="erledigt2" value="1"> auch erledigte Ziele drucken';
	str += '</form>';
	Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck-Einst.',TITLEBGCOLOR, '#006600', WIDTH, 200, HEIGHT, 40, FIX, ['gprint',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);
  }
--></script>
<?php
		echo "<td class=\"cl1\" style=\"vertical-align:middle;\">";
		echo "<a href=\"#\" ";
		echo stwToolTip('HP-Vorbereitung drucken<br>Druck-Einstellungen per Rechtsklick<br><b>Falls Drucker nicht funktioniert:</b><br>In Browsereinstellungen Popups f&uuml;r Seite erlauben', false);
		echo "onmousedown=\"if(event.button==2){doTT();}";
		echo "else{document.hp.submit();document.printform.submit();";
		if($fallbegl == 'j') echo "window.open('pro_pr_antrag.php?proj_id=$rvar_proj_id&hp_id=$rvar_hp_id&ts=" . time() . "');";
		echo "}return false;\" oncontextmenu=\"return false;\"";
		echo "><img id=\"gprint\" src=\"img/drucker.png\" border=\"0\"></a><a href=\"#\" ";
		echo "style=\"font-size:small;position:relative;left:0;top:-4px;\" onClick=\"doTT()\"> +</a>";
		echo "</td>\n</form>\n";
	} else {
		echo "<td><a href=\"pro_pr_hpvor$hp_url.php?hp_id=$rvar_hp_id&";
		echo "proj_id=$rvar_proj_id&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" ";
		echo "onclick=\"document.hp.submit()\" ";
		echo "alt=\"drucken\" border=\"0\"";
		echo stwToolTip('HP-Vorbereitung drucken') . "></a></td>\n";
	} 
	if($hp_url == 7) {
		echo "<td><a href=\"pro_pr_hpvor$hp_url.php?person=1&hp_id=$rvar_hp_id&";
		echo "proj_id=$rvar_proj_id&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" ";
		echo "onclick=\"document.hp.submit()\" ";
		echo "alt=\"drucken\" border=\"0\"";
		echo stwToolTip('HP-Vorbereitung drucken<br>(Punkt 2 nach Personen gruppieren)') . "></a></td>\n";
	}
}
echo "</table>\n\n";

new stwLine(1);
$ti = 1;

echo "<form name=\"hp\" method=\"post\" action=\"pro_hp2sql.php\">\n";

echo "<b id=\"hpv\" style=\"visibility:hidden;padding:2px;border:white 1px solid;background-color:#333333;position:absolute;left:500px;top:94px\">";
echo "HP Formular: <select name=\"hpv_form\">";
$hpv_forms = abfrage1("select * from tb_hpv_form order by hpv_form asc");
while($hpv_form = mysql_fetch_array($hpv_forms)) {
	echo "<option value=\"$hpv_form[0]\"";
	if($hpv == $hpv_form[0]) echo " selected";
	echo ">" . $hpv_form['name'] . "</option>";
}
echo "</select></b>\n";

echo "<table>";

echo "<tr><th width=\"222\">Datum";
if(getConf('traeger') == 'sik') echo "&nbsp;des&nbsp;Gespr&auml;chs";
echo ":&nbsp;</th>\n";
echo "<td><input type=text name=datum size=11 maxlength=11 tabindex=$ti "; $ti++;
$value = (isset($rvar_hp_id)) ? date_my2gr($hp['datum']) : date("d.m.Y",time());
echo "value=\"$value\">&nbsp;&nbsp;TT.MM.JJJJ &nbsp; &nbsp; &nbsp; \n";
/* Dateiklammersymbol einbinden */
if (!empty($rvar_hp_id) && !empty($rvar_proj_id)) {
	$daten = new stwDaten("4");
	$link = $daten->get_klammer_link($_SESSION["webdir"],
									 $_SESSION[$AppCode]["UID"],
									 $_SESSION[$AppCode]["ULV"],
									 $rvar_proj_id, $rvar_hp_id);
	printf(" %s", $link);
}
echo "</td>";
echo "<td rowspan=\"7\"><table>\n";

/* Wochenstunnden der Betreuer */
$i = 0;
$order = ($pers_order == 2) ? "pers.name asc, pers.vorname asc" : "pers.vorname asc, pers.name asc";
$select2 = "select
			h.personaltyp_id,
			h.pers_id,
			pt.personaltyp,
			h.hpst, 
			pers.status_id
			from tbh_pers_proj h
			left join tb_personal pers on h.pers_id = pers.pers_id
			left join tb_personaltyp pt on h.personaltyp_id = pt.personaltyp_id
			where h.proj_id = $rvar_proj_id  ";
if(isset($rvar_hp_id)) {
	$select2 .= "and h.pers_id not in (0,";
	$sql0= "select h.personaltyp_id, h.pers_id, h.hpst, pt.personaltyp, pers.status_id ";
	$sql1= "select sum(h.hpst) ";
	$sql2= "from tbh_pers_proj_hp h
			left join tb_personaltyp pt on h.personaltyp_id = pt.personaltyp_id
			left join tb_personal pers on h.pers_id = pers.pers_id
			where h.hp_id=$rvar_hp_id
			order by pt.sort asc, $order;";
	$sum = abfrage($sql1 . $sql2);
	$bes = abfrage1($sql0 . $sql2);
	while ($be = mysql_fetch_assoc($bes)){
		$style = '';
		if($be['status_id'] == 3) {
			if($be['personaltyp'] == 1 || $be['hpst'] > 0) $style = "style=\"color:#999999\"";
			else continue;
		}
		$select2 .= $be['pers_id'] . ",";
		echo "<tr><th class=\"cl1\" $style";
		echo stwToolTip($be['personaltyp']);
		echo ">" . pers_kname($be['pers_id']) . "</th>\n";
		echo "<input type=\"hidden\" name=\"ptyp[$i]\" value=\"{$be['personaltyp_id']}\">";
		echo "<input type=\"hidden\" name=\"pid[$i]\" value=\"{$be['pers_id']}\">";
		if($be['personaltyp_id'] == 1) {
			echo "<input type=\"hidden\" name=\"hpst[$i]\" value=\"0\">";
			echo "<td style=\"text-align:right\">".fls_form($hp['hp_st'] - $sum[0] - ($hp['fallbegl'] == 'j' ? 1 : 0))."/w</td>";
		} else {
			echo "<td><input type=\"text\" name=\"hpst[$i]\" ";
			echo "size=\"6\" maxlength=\"6\" style=\"text-align:right;\" ";
			echo "value=\"" . number_format($be['hpst'], 2, ',', '.'). "\"";
			echo "><span " .stwToolTip("Stunden / Woche");
			echo ">&nbsp;h/w</span></td>\n";
		}
		echo "<td><select name=\"ptyp[$i]\" size=\"1\" style=\"width:80px;\">\n";
		echo "<option value=\"0\">Rolle w&auml;hlen!</option>\n";
		$res = abfrage1("select personaltyp_id, personaltyp from tb_personaltyp
						 order by sort asc");
	
		while ($zeile = mysql_fetch_row($res)) {
			echo "  <option ";
			echo "value=\"$zeile[0]\" ";
			echo ($zeile[0] == $be['personaltyp_id']) ? 'selected' : '';
			echo ">$zeile[1]</option>\n";
		}
		echo "</select>\n</td></tr>\n";
		$i++;
	}
	$select2 = substr($select2, 0, -1) . ")	";
}
$select2 .= "order by pt.sort asc, $order;";
$bes = abfrage1($select2);
while ($be = mysql_fetch_assoc($bes)){
	$style = '';
	if($be['status_id'] == 3) {
		if($be['personaltyp'] == 1 || $be['hpst'] > 0) $style = "style=\"color:#999999\"";
		else continue;
	}
	echo "<tr><th class=\"cl1\" ";
	echo stwToolTip($be['personaltyp']);
	echo ">" . pers_kname($be['pers_id']) . "</th>\n";
	echo "<input type=\"hidden\" name=\"pid[$i]\" value=\"{$be['pers_id']}\">";
	echo "<input type=\"hidden\" name=\"ptyp[$i]\" value=\"{$be['personaltyp_id']}\">";
	if($be['personaltyp_id'] == 1) {
		echo "<input type=\"hidden\" name=\"hpst[$i]\" value=\"0\">";
		echo "<td></td>";
	} else {
		echo "<td><input type=\"text\" name=\"hpst[$i]\" ";
		echo "size=\"6\" maxlength=\"6\" style=\"text-align:right;\" ";
		if(isset($rvar_hp_id)){
			$sql  = "select hpst from tbh_pers_proj_hp p ";
			$sql .= "where p.hp_id = $rvar_hp_id ";
			$sql .= "and p.pers_id = {$be['pers_id']} ";
			$hpst = abfrage($sql);
			$WoSt = $hpst[0];
		} elseif($be['hpst'] > 0) $WoSt = $be['hpst']; else $WoSt = 0;
		echo "value=\"" . number_format($WoSt, 2, ',', '.'). "\"";
		echo "<span " .stwToolTip("Stunden / Woche");
		echo ">&nbsp;h/w</span></td>\n";
	}
	echo "<td><select name=\"ptyp[$i]\" size=\"1\" style=\"width:80px;\">\n";
	echo "<option value=\"0\">Rolle w&auml;hlen!</option>\n";
	$res = abfrage1("select personaltyp_id, personaltyp from tb_personaltyp
					 order by sort asc");

	while ($zeile = mysql_fetch_row($res)) {
		echo "  <option ";
		echo "value=\"$zeile[0]\" ";
		echo ($zeile[0] == $be['personaltyp_id']) ? 'selected' : '';
		echo ">$zeile[1]</option>\n";
	}
	echo "</select>\n</td></tr>\n";
	$i++;
}
if(isset($rvar_hp_id)) {
	new stwTabLine(2,3);
	$post = abfrage("select * from tb_hp_ja_check where hp_id='$rvar_hp_id'");
	echo "<tr><td colspan=\"30\"><table cellspacing=\"0\" cellpadding=\"0\">\n";
	echo "<tr><th class=\"cl11\" style=\"text-align:right\"".stwToolTip("Hilfeplanvorbereitung an Jugendamt gesendet").">HPV an JA:</th>\n";
	$checked = $post[1] == 'j' ? 'checked' : '';
	echo "<td class=\"cl11\"><input type=\"checkbox\" $checked name=\"hpv_ja\" value=\"j\" /></td>\n";
	echo "<td class=\"cl1\">".date_ts2grdt($post[3])."</td><td>".pers_kname($post[2])."</td></tr>\n";
	echo "<tr><th class=\"cl11\" style=\"text-align:right\"".stwToolTip("Hilfeplan: Unterschriften Hilfeempf&auml;nger").">HP Unterschr. HE:</th>\n";
	$checked = $post[4] == 'j' ? 'checked' : '';
	echo "<td class=\"cl11\"><input type=\"checkbox\" $checked name=\"hp_u_he\" value=\"j\" /></td>\n";
	echo "<td class=\"cl1\">".date_ts2grdt($post[6])."</td><td>".pers_kname($post[5])."</td></tr>\n";
	echo "<tr><th class=\"cl11\" style=\"text-align:right\"".stwToolTip("Hilfeplan an Jugendamt gesendet").">HP an Jugendamt:</th>\n";
	$checked = $post[7] == 'j' ? 'checked' : '';
	echo "<td class=\"cl11\"><input type=\"checkbox\" $checked name=\"hp_ja\" value=\"j\" /></td>\n";
	echo "<td class=\"cl1\">".date_ts2grdt($post[9])."</td><td>".pers_kname($post[8])."</td></tr>\n";
	echo "</table></td></tr>\n";
	$posts = abfrage1("select hp_id from tbh_post_h2 where h2_id='$rvar_hp_id'");
	if(mysql_num_rows($posts) > 0) {
		new stwTabLine(2,3);
		echo "<tr><td colspan=\"30\"><table cellspacing=\"0\" cellpadding=\"0\">\n";
		while($post_hp_id = mysql_fetch_row($posts)) {
			$post_hp = abfrage("select hp_art, DATE_FORMAT(datum,'%d.%m.%Y') from tb_hp where hp_id='$post_hp_id[0]'");
			$tb = $post_hp[0]=='y' ? 'tb_post_ausgang' : 'tb_post_eingang';
			$inout = $post_hp[0]=='y' ? 'out' : 'in';
			$post = abfrage("select post_".$inout."_id, betreff from $tb where hp_id='$post_hp_id[0]'");
			echo "<tr><td class=\"cl1\"><a href=\"post_$inout.php?post_id=$post[0]\">$post_hp[1]</a></td>";
			echo "<td width=\"200\" class=\"ww\">$post[1]</td></tr>\n";
		}
		echo "</table></td></tr>\n";
	}
}
echo "</table></td></tr>\n";

if($hpv == 5) {
	echo "<tr><th>Uhrzeit:</th>\n";
	echo "<td><input type=text name=\"uhrzeit\" size=\"5\" maxlength=\"5\" tabindex=\"$ti\" "; $ti++;
	$value = (isset($rvar_hp_id)) ? $hp['ressourcen'] : '';
	echo "value=\"$value\">&nbsp;&nbsp;HH:MM</td></tr>\n";
	echo "<tr><th>Ort:</th>\n";
	echo "<td><input type=text name=\"selbsthilfe\" size=\"32\" tabindex=\"$ti\" "; $ti++;
	$value = (isset($rvar_hp_id)) ? $hp['selbsthilfe'] : '';
	echo "value=\"$value\"></td></tr>\n";
}

if($hpv == 9) {
	echo "<tr><th>Ort des Hilfeplangespr&auml;chs:</th>";
	echo "<td><input type=text name=\"selbsthilfe\" size=\"32\" tabindex=\"$ti\" "; $ti++;
	$value = (isset($rvar_hp_id)) ? $hp['selbsthilfe'] : '';
	echo "value=\"$value\"></td></tr>\n";
}

echo "<tr><th>JA-Sachbearbeiter:&nbsp;</th><td>\n";
if($hpv == 9) {
	echo "<input style=\"position:absolute;left:215px\" ";
	echo stwToolTip("Teilnahme am Hilfeplangespr&auml;ch");
	$chk = abfrage("select abwesend from tbh_hp_tn where person_id=0 and hp_id='$rvar_hp_id'");
	$checked = $chk[0]=='j' ? '' : 'checked';
	echo "type=\"checkbox\" name=\"tn_ja\" value=\"1\" $checked />";
}
echo "<select name=\"ap_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
echo "<option>kein Sachbearbeiter gew&auml;hlt</option>\n";

$sql = "SELECT ap_id, vorname, name FROM tb_kontakte_ap
        WHERE kont_id = '$ja[1]' ORDER BY name, vorname ASC";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
        if ($ap_id == $zeile[0]) {
            echo "selected ";
        }
    echo "value=" . $zeile[0] . ">";
    echo $zeile[2];
    if (strlen($zeile[1])>0) {
        echo ",&nbsp;" . $zeile[1];
    }

    echo "</option>\n";
}

printf("</select>");
echo "</td></tr>\n";

echo "<tr><th>";
if(getConf('traeger') == 'stw') echo "STW-";
echo "Mitarbeiter:&nbsp;</th><td>\n";
if($hpv == 9) {
	echo "<input style=\"position:absolute;left:215px\" ";
	echo stwToolTip("Teilnahme am Hilfeplangespr&auml;ch");
	$chk = abfrage("select abwesend from tbh_hp_tn where person_id<0 and hp_id='$rvar_hp_id'");
	$checked = $chk[0]=='j' ? '' : 'checked';
	echo "type=\"checkbox\" name=\"tn_stw\" value=\"document.hp.pers_id.value\" $checked />";
}
echo "<select name=\"pers_id\" size=\"1\" tabindex=\"$ti\">"; $ti++;
echo "<option>Mitarbeiter w&auml;hlen!</option>";

$sql = "SELECT pers_id FROM tbh_pers_proj
        WHERE proj_id = '$projekt->id' and personaltyp_id = 1;";
$rs1 = mysql_query($sql) or die(mysql_error());
$hbt = mysql_fetch_row($rs1);

$sql = "SELECT pers.pers_id,pers.vorname,pers.name FROM tb_personal pers
        WHERE pers.betreuer= 'j' and (pers.status_id=2 or pers.pers_id='$hbt[0]')
		order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
        if ($hbt[0] == $zeile[0]) {
            echo "selected ";
        }
    echo "value=" . $zeile[0] . ">";
	if($pers_order == 2) {
	  echo "$zeile[2], $zeile[1]";
	} else {
      if (strlen($zeile[1])>0) {
        echo $zeile[1] . "&nbsp;";
      }
      echo $zeile[2];
	}
    echo "</option>\n";
    }
echo "</select></td></tr>\n";

if($hpv == 9) {
	echo "<tr><th>weitere Teilnehmer:</th><td><table cellpadding=\"0\" cellspacing=\"0\">\n";
	$hpts[0] = abfrage1("select person_id from tbh_hp_tn where hp_id='$rvar_hp_id' and person_id>0 and abwesend='n'");
	$hpts[1] = abfrage1("select distinct person_id from tbh_proj_personen where proj_id='$projekt->id' and (sorgerecht='j' or perstyp_id='5')");
	$done = array();
	for($i=0;$i<2;$i++) while($hpt = mysql_fetch_row($hpts[$i])) {
		if($done[ $hpt[0] ]) continue;
		$done[ $hpt[0] ] = true;
		echo "<tr><td style=\"vertical-align:middle; height:18px\">";
		echo "<input type=\"hidden\" name=\"hpteilnehmer[]\" value=\"$hpt[0]\" />\n";
		echo "<input style=\"position:absolute;left:215px\" ";
		echo stwToolTip("Teilnahme am Hilfeplangespr&auml;ch");
		$chk = abfrage("select abwesend from tbh_hp_tn where person_id='$hpt[0]' and hp_id='$rvar_hp_id'");
		$checked = $chk[0]=='j' ? '' : 'checked';
		echo "type=\"checkbox\" name=\"tn_$hpt[0]\" value=\"$hpt[0]\" $checked />";
		echo person_name($hpt[0]) . " (" . person_beschreibung($hpt[0]) . ")</td></tr>\n";
	}
	echo "</table></td></tr>\n";
} else {
	echo "<tr><th>Teilnehmer:</th><td>";
	$value = (isset($rvar_hp_id)) ? $hp['teilnehmer'] : "";
	echo "<textarea tabindex=\"$ti\" name=\"teilnehmer\" cols=\"30\" rows=\"1\">".$value."</textarea>";
	$ti++;
	echo "</td></tr>\n";
}

if($_SESSION[$AppCode]["ULV"] >= 96) {
	echo "<tr><th class=\"cl1\">Kontaktstunden?</th>\n";
	echo "<td><input type=\"radio\" name=\"kontakt\" value=\"j\" tabindex=\"$ti\"";
	echo "style=\"vertical-align: middle;\"";
	if (isset($rvar_hp_id) && $hp['kontakt'] == 'j')  echo ' checked';
	elseif(empty($rvar_hp_id) && $projekt->k_potentiell_kontaktst) echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;"; $ti++;
	echo "<input type=\"radio\" name=\"kontakt\" value=\"n\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\"";
	if (isset($rvar_hp_id) && $hp['kontakt'] == 'n')  echo ' checked';
	elseif(empty($rvar_hp_id) && !$projekt->k_potentiell_kontaktst) echo ' checked';
	echo ">&nbsp;<b>nein</b></td></tr>\n"; $ti++;
} else {
	if (isset($rvar_hp_id)) $value = $hp['kontakt'];
	else $value = $projekt->k_potentiell_kontaktst ? 'j' : 'n';
	echo "<input type=\"hidden\" name=\"kontakt\" value=\"$value\">\n";
}
echo "<tr><th>Stunden / Woche:</th>\n";
$value = (isset($rvar_hp_id)) ? $hp['hp_st'] : $projekt->wost();
echo "<td><input type=\"text\" size=\"5\" name=\"hp_st\" id=\"wochenstunden\" ";
if((isset($rvar_hp_id) && $hp['kontakt'] == 'j') || (empty($rvar_hp_id) && $projekt->k_potentiell_kontaktst)) {
	$kls = (isset($rvar_hp_id)) ? ($hp['hp_st']-$hp['kontakt_fz']-($hp['fallbegl'] == 'j' ? 1 : 0)) : $projekt->wost_kontaktstunden();
	echo "style=\"background-color:#554433;";
	$tt = "KLS = " . number_format($kls,2,',','.');
	if($fallbegl == 'j') {
		echo "color:#FF6600";
		$tt.= " / Fallbegleitung: ja";
		$eins = 1;
	} else {
		echo "color:#CCCCCC";
		$eins = 0;
	}
	echo "\" value=\"" . number_format($value-$eins,2,',','.') ."\" readonly";
	echo " title=\"$tt\">\n";
	$fz = (isset($rvar_hp_id)) ? $hp['kontakt_fz'] : $projekt->wost_kontakt_fahrzeit();
	if(empty($fz)) $fz = 0.00;
	echo "&nbsp; davon Kontakt: <input type=\"text\" name=\"hp_kont\" size=\"6\" maxlength=\"6\" ";
	echo "tabindex=\"$ti\" id=\"kontaktwochenstunden\" value=\"".number_format($kls,2,',','.')."\">"; $ti++;

	echo "&nbsp;Fahrzeit: <input type=\"text\" name=\"hp_kont_fz\" size=\"5\" maxlength=\"5\" ";
	echo "tabindex=\"$ti\" id=\"kontaktfahrstunden\" value=\"".number_format($fz,2,',','.')."\">"; $ti++;
	echo "&nbsp;<span id=\"fallb\">";
	if($hp['fallbegl'] == 'j') echo "1h Fallbegl.";
	echo "</span>";
	echo "</td></tr>\n<tr><th class=\"cl1\">Fallbegleitende Zeit:</th>\n";
	echo "<td><input type=\"radio\" name=\"fallbegl\" value=\"j\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\" ";
	echo "onChange=\"xajax_WoSTFallbegl(1,kontaktwochenstunden.value)\" ";
	if ($fallbegl == 'j')  echo ' checked'; $ti++;
	echo ">&nbsp;<b>ja</b>&nbsp;";
	echo "<input type=\"radio\" name=\"fallbegl\" value=\"n\" tabindex=\"$ti\" ";
	echo "onChange=\"xajax_WoSTFallbegl(0,kontaktwochenstunden.value)\" ";
	echo "style=\"vertical-align: middle;\"";
	if ($fallbegl == 'n') echo ' checked';
	echo ">&nbsp;<b>nein</b> (eine Wochenstunde)"; $ti++;
	$hidden = ($fallbegl == 'j') ? '' : 'style="visibility:hidden;"';
	$aufgrund = ($fallbegl == 'j') ? 'Auf Grund:' : '';
	$px = ($fallbegl == 'j') ? '80px' : '1px';
	echo "&nbsp; <span id=\"antragsdrucker\" $hidden>";
	$tt = stwToolTip('Antrag auf Bewilligung fallbegleitender Zeit');
	echo "<a href=\"pro_pr_antrag.php?proj_id=$rvar_proj_id&hp_id=$rvar_hp_id&ts=" . time() . "\" target=\"_pdf\" ";
	echo "onclick=\"document.st_form.submit()\" ><img src=\"img/drucker.png\" $tt></a>";
	echo "</span></td></tr>\n<tr id=\"aufgrund\" $hidden><th id=\"aufgrundlabel\">$aufgrund</th><td>";
	if(isset($rvar_hp_id)) {
		$aufgrundtext = $hp['fallbegl_antrag'];
	} else {
		$agt = abfrage("select fallbegl_antrag from tb_hp where proj_id='$projekt->id' 
						and fallbegl_antrag is not null and fallbegl_antrag != '' order by and_datum desc limit 1");
		$aufgrundtext = $agt[0];
	}
	echo "<textarea name=\"aufgrundtext\" id=\"aufgrundtext\" cols=\"40\" style=\"height:$px\">$aufgrundtext</textarea>";
} elseif(isset($rvar_hp_id)) {
	echo "value=\"" . number_format($value,2,',','.') ."\">\n";
	echo "<input type=\"hidden\" name=\"hp_kont\" value=\"";
	echo $hp['hp_st']-$hp['kontakt_fz']-($hp['fallbegl'] == 'j' ? 1 : 0);
	echo "\">\n";
	echo "<input type=\"hidden\" name=\"hp_kont_fz\" value=\"".$hp['kontakt_fz']."\">\n";
	echo "<input type=\"hidden\" name=\"fallbegl\" value=\"".($projekt->fallbegleitung() ? 'j' : 'n')."\">\n";
} else echo "value=\"" . number_format($value,2,',','.') ."\">\n";
echo "</td></tr>\n";

if ($projekt->k_fls_soll == 3){
	echo "<tr><th class=\"cl1\">Stunden / Monat:</th>\n";
	echo "<td><input type=\"text\" size=\"5\" maxlength=\"5\" ";
	echo "id=\"monatsstunden\">&nbsp;";

	echo "<input type=\"button\" value=\"Wert f&uuml;r h/w berechnen\" ";
	echo "onClick=\"xajax_WochenstundenBerechnen(monatsstunden.value)\">";
	echo "</td></tr>\n";
}

echo "<tr><th>&Auml;nderung";
if(getConf('traeger') == 'sik') echo " der Stunden/Woche";
echo " ab:</th>\n";
$value = (isset($rvar_hp_id)) ? date_my2gr($hp['and_datum']) : '';
echo "<td><input type=\"text\" size=\"11\" name=\"and_datum\" value=\"$value\" />&nbsp;&nbsp;TT.MM.JJJJ</td>\n";
echo "</tr>\n";

if(!empty($verbund_id[0])) {
	echo "<input type=\"hidden\" name=\"verbund_id\" value=\"".$verbund_id[0]."\">\n";
	$v_proj_id = abfrage("select proj_id from tb_pro_verbund where verbund_id='$verbund_id[0]' and proj_id!='$rvar_proj_id'");
	$v_projekt = new stwProjekt($v_proj_id[0]);
	new stwTabLine(2,3);
	echo "<tr style=\"background-color:#666666\"><th style=\"color:#FFFF00\">verbundenes Projekt:</th><td colspan=\"2\"> ".$v_projekt->link()."\n";
	echo "<input type=\"hidden\" name=\"v_proj_id\" value=\"".$v_proj_id[0]."\">\n";
	if(isset($rvar_hp_id)) {
		$v_hp_id = abfrage("select v_hp_id from tbh_hp_verbund where hp_id='$rvar_hp_id' and verbund_id='$verbund_id[0]'");
		$v_hp = abfrage_array("SELECT * FROM tb_hp WHERE hp_id = '$v_hp_id[0]'");
		$b_v_hp = ($v_hp[0] > 0);
	} else $b_v_hp = false;
	if($b_v_hp) {
		echo "<input type=\"hidden\" name=\"v_hp_id\" value=\"".$v_hp_id[0]."\">\n";
		echo "&nbsp; <a href=\"pro_hp2.php?proj_id=$v_proj_id[0]&hp_id=$v_hp_id[0]\"";
		echo stwToolTip('zum verbundenen Hilfeplan');
		echo ">(HP)</a>\n";
	}
	echo "</th></tr>\n";
	if(empty($rvar_hp_id) || $b_v_hp) {
		if($_SESSION[$AppCode]["ULV"] >= 96) {
			echo "<tr style=\"background-color:#666666\"><td /><th style=\"color:#FFFF00\" class=\"cl1\">Kontaktstunden?</th>\n";
			echo "<td><input type=\"radio\" disabled name=\"v_kontakt\" value=\"j\" tabindex=\"$ti\"";
			echo "style=\"vertical-align: middle;\"";
			if ($b_v_hp && $v_hp['kontakt'] == 'j')  echo ' checked';
			elseif(!$b_v_hp && $v_projekt->k_potentiell_kontaktst) echo ' checked';
			echo ">&nbsp;<b>ja</b>&nbsp;"; $ti++;
			echo "<input type=\"radio\" disabled name=\"v_kontakt\" value=\"n\" tabindex=\"$ti\" ";
			echo "style=\"vertical-align: middle;\"";
			if ($b_v_hp && $v_hp['kontakt'] == 'n')  echo ' checked';
			elseif(!$b_v_hp && !$v_projekt->k_potentiell_kontaktst) echo ' checked';
			echo ">&nbsp;<b>nein</b></td></tr>\n"; $ti++;
		}

		echo "<tr style=\"background-color:#666666\"><td /><th style=\"color:#FFFF00\">Stunden / Woche:</th>\n";
		$value = ($b_v_hp) ? $v_hp['hp_st'] : $v_projekt->wost();
		echo "<td><input disabled type=\"text\" size=\"5\" name=\"v_hp_st\" id=\"wochenstunden2\" ";
		if(($b_v_hp && $v_hp['kontakt'] == 'j') || (!$b_v_hp && $v_projekt->k_potentiell_kontaktst)) {
			$fallbegl = $b_v_hp ? $v_hp['fallbegl'] : ($v_projekt->fallbegleitung() ? 'j' : 'n');
			$kls = ($b_v_hp) ? ($v_hp['hp_st']-$v_hp['kontakt_fz']-($v_hp['fallbegl'] == 'j' ? 1 : 0)) : $v_projekt->wost_kontaktstunden();
			echo "style=\"background-color:#554433;";
			$tt = "KLS = " . number_format($kls,2,',','.');
			if($fallbegl == 'j') {
				echo "color:#FF6600";
				$tt.= " / Fallbegleitung: ja";
				$eins = 1;
			} else {
				echo "color:#CCCCCC";
				$eins = 0;
			}
			echo "\" value=\"" . number_format($value-$eins,2,',','.') ."\" readonly";
			echo " title=\"$tt\">\n";
			$fz = ($b_v_hp) ? $v_hp['kontakt_fz'] : $v_projekt->wost_kontakt_fahrzeit();
			if(empty($fz)) $fz = 0.00;
			echo "&nbsp; davon Kontakt: <input disabled type=\"text\" name=\"v_hp_kont\" size=\"6\" maxlength=\"6\" ";
			echo "tabindex=\"$ti\" id=\"kontaktwochenstunden2\" value=\"".number_format($kls,2,',','.')."\">"; $ti++;

			echo "&nbsp;Fahrzeit: <input disabled type=\"text\" name=\"v_hp_kont_fz\" size=\"5\" maxlength=\"5\" ";
			echo "tabindex=\"$ti\" id=\"kontaktfahrstunden2\" value=\"".number_format($fz,2,',','.')."\">"; $ti++;
			echo "&nbsp;<span id=\"fallb2\">";
			if($v_hp['fallbegl'] == 'j') echo "1h Fallbegl.";
			echo "</span>";
			echo "</td></tr>\n<tr style=\"background-color:#666666\"><td /><th style=\"color:#FFFF00\" class=\"cl1\">Fallbegleitende Zeit:</th>\n";
			echo "<td><input disabled type=\"radio\" name=\"v_fallbegl\" value=\"j\" tabindex=\"$ti\" ";
			echo "style=\"vertical-align: middle;\" ";
			echo "onChange=\"xajax_WoSTFallbegl2(1,kontaktwochenstunden2.value)\" ";
			if ($fallbegl == 'j')  echo ' checked'; $ti++;
			echo ">&nbsp;<b>ja</b>&nbsp;";
			echo "<input disabled type=\"radio\" name=\"v_fallbegl\" value=\"n\" tabindex=\"$ti\" ";
			echo "onChange=\"xajax_WoSTFallbegl2(0,kontaktwochenstunden2.value)\" ";
			echo "style=\"vertical-align: middle;\"";
			if ($fallbegl == 'n') echo ' checked';
			echo ">&nbsp;<b>nein</b> (eine Wochenstunde)"; $ti++;
			$hidden = ($fallbegl == 'j') ? 'style="background-color:#666666"' : 'style="background-color:#666666;visibility:hidden;"';
			$aufgrund = ($fallbegl == 'j') ? 'Auf Grund:' : '';
			$px = ($fallbegl == 'j') ? '80px' : '1px';
			echo "&nbsp; <span id=\"antragsdrucker2\" $hidden>";
			$tt = stwToolTip('Antrag auf Bewilligung fallbegleitender Zeit');
			echo "<a href=\"pro_pr_antrag.php?proj_id=$v_proj_id[0]&hp_id=$v_hp_id[0]&ts=" . time() . "\" target=\"_pdf\" ";
			echo "onclick=\"document.st_form.submit()\" ><img src=\"img/drucker.png\" $tt></a>";
			echo "</span></td></tr>\n<tr id=\"aufgrund2\" $hidden><td /><th style=\"color:#FFFF00\" id=\"aufgrundlabel2\">$aufgrund</th><td>";
			if($b_v_hp) {
				$aufgrundtext = $v_hp['fallbegl_antrag'];
			} else {
				$agt = abfrage("select fallbegl_antrag from tb_hp where proj_id='$v_projekt->id' 
								and fallbegl_antrag is not null and fallbegl_antrag != '' order by and_datum desc limit 1");
				$aufgrundtext = $agt[0];
			}
			echo "<textarea disabled name=\"v_aufgrundtext\" id=\"aufgrundtext2\" cols=\"40\" style=\"height:$px\">$aufgrundtext</textarea>";
		} elseif($b_v_hp) {
			echo "value=\"" . number_format($value,2,',','.') ."\">\n";
		} else echo "value=\"" . number_format($value,2,',','.') ."\">\n";
		echo "</td></tr>\n";

		echo "<tr style=\"background-color:#666666\"><td /><th style=\"color:#FFFF00\">&Auml;nderung ab:</th>\n";
		$value = $b_v_hp ? date_my2gr($v_hp['and_datum']) : '';
		echo "<td><input disabled type=\"text\" size=\"11\" name=\"v_and_datum\" value=\"$value\" />&nbsp;&nbsp;TT.MM.JJJJ</td>\n";
		echo "</tr>\n";
		echo "<tr style=\"background-color:#666666\"><td /><td class=\"cl1\"><b style=\"color:#FFFF00\">OK Fachberater:</b>";
		if($v_projekt->fb) echo " <span".pers_toolTip($v_projekt->fb).">(".pers_initialen($v_projekt->fb).")</span>";
		echo "</td>\n<td class=\"cl11\"><input type=\"checkbox\" disabled value=\"1\" ";
		if ($v_hp['fb_ok'] > 0) echo ' checked';
		echo ">&nbsp;";
		if ($v_hp['fb_ok'] > 0) echo pers_name($v_hp['fb_ok']);
		echo "&nbsp; &nbsp;";
		if ($v_hp['fb_ok_ts'] > 0) echo date('d.m.y H:i', $v_hp['fb_ok_ts']);
		echo "</td></tr>\n";
	}
	new stwTabLine(2,3);
}
if(getConf('traeger') != 'nwg' && getConf('traeger') != 'stw') {
	echo "<tr><th>Besteht eine Kindeswohlgef&auml;hrdung?</th>\n<td><table><tr>";
	$gef = array("latent" => "ja, latent","akut" => "ja, akut", "nein" => "nein");
	foreach($gef as $key => $val){
		if (isset($_POST['gef'])){
			$checked = ($_POST['gef'] == $key) ? "checked=\"checked\"" : "";
		}else{
			$checked = (isset($_GET['hp_id']) && $hp['gefaehrdung'] == $key)
					 ? "checked=\"checked\""
					 : "";
		}

		echo "<td>";
		echo "<input type=\"radio\" name=\"gef\" value=\"".$key."\" ".$checked."/>";
		echo "</td>";
		echo "<td>".$val."</td>\n";
	}
	echo "</tr></table></td></tr>\n";
}
if(isset($_GET['hp_id'])) {
	echo "<tr><td class=\"cl1\"><b style=\"color:#FFCC00\">OK Fachberater:</b>";
	if($projekt->fb) echo " <span".pers_toolTip($projekt->fb).">(".pers_initialen($projekt->fb).")</span>";
	echo "</td>\n<td class=\"cl11\"><input type=\"checkbox\" name=\"fb_ok\" value=\"1\" ";
	if(!empty($verbund_id[0])) {
		$fb1 = abfrage("select fb_id from tb_projekte where proj_id='$rvar_proj_id'");
		$fb2 = abfrage("select fb_id from tb_projekte where proj_id='$v_proj_id[0]'");
		if($fb1[0] == $fb2[0] || $fb2[0] == $_SESSION[$AppCode]['UID']) {
			echo "onchange=\"var gesetzt = this.checked ? 'gesetzt' : 'entfernt'; alert('Hinweis: in der Verbundenen Hilfe ".$v_projekt->nummer()." wird FB OK auch '+gesetzt)\" ";
		}
	}
	if ($hp['fb_ok'] > 0) echo ' checked';
	if ($ulv < 96 && !check_al_proj($projekt->id) && $uid != $projekt->fb && !pers_fb($uid, true)) echo ' disabled';
	echo ">&nbsp;";
	if ($hp['fb_ok'] > 0) echo pers_name($hp['fb_ok']);
	echo "&nbsp; &nbsp;";
	if ($hp['fb_ok_ts'] > 0) echo date('d.m.y H:i', $hp['fb_ok_ts']);
	echo "</td></tr>\n";
	if ($ulv < 96 && $uid != $projekt->fb && !pers_fb($uid, true) && $hp['fb_ok'] > 0) {
		echo "<input type=\"hidden\" name=\"fb_ok\" value=\"1\">\n";
	}
}

echo "<tr>\n";
echo "<th>&Uuml;bergeordnetes Ziel der Hilfe:<br /><span style=\"font: normal 9pt;color:#CCCCCC;\">Minimalkonsens / Hauptziel</span></th>\n";
echo "<td colspan=\"2\">\n";
// Erstgespraech oder Folgegespraech
$query = "SELECT t1.minimalkonsens,t1.hp_id, t1.anlass FROM tb_hp_eg t1
		  INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		  WHERE t2.proj_id = ".$rvar_proj_id;
$res = abfrage1($query);
$hp_id = "";
$value = $anlass = "";
if (mysql_num_rows($res) == 0){
	$erst = true;
}else{
	$erst = false;
	$row = mysql_fetch_array($res);
	if (isset($_GET['hp_id'])){
		$hp_id = $_GET['hp_id'];
		if ($row['hp_id'] == $_GET['hp_id'])
		{
			$erst = true;
			if ($value == "") $value = $row['minimalkonsens'];
			if ($anlass == "") $anlass = $row['anlass'];
		}
	}
}

echo ($erst) ? "<textarea name=\"minimalkonsens\" cols=\"70\" rows=\"7\">".$value."</textarea>"
			 : wordwrap($row['minimalkonsens'], 72, '<br>');
if(isset($_GET['hp_id']) && ($hpv == 4 || $hpv == 8)) {
	$anz = abfrage("SELECT COUNT(*) FROM tb_hpvor2 WHERE ziel_id = 0 AND hp_id = $rvar_hp_id");
	$button_color = ($anz[0] == 0) ? "#FFCC00" : "#3F992A";
	echo "</td><td><a href=\"pro_hp2vor.php?ziel_id=0&amp;hp_id=$rvar_hp_id&amp;proj_id=$rvar_proj_id\"";
	echo " style=\"color:$button_color;margin-left:-80px;";
	if($erst) echo "position:relative;top:-20px;";
	echo "\">HP-Vorb</a>";
}
echo "</td></tr>\n";
/*if(false) {
	echo "<tr>\n";
	echo "<th>Anlass der Hilfe:</th>\n";
	echo "<td colspan=\"2\">\n";
	echo ($erst) ? "<textarea name=\"anlass\" cols=\"70\" rows=\"5\">".$anlass."</textarea>"
				 : wordwrap($row['anlass'], 72, '<br>');
	echo "</td></tr>\n";
}*/
new stwTabLine(1, 30);
if(!isset($_SESSION[$AppCode]['hp_order'])) $_SESSION[$AppCode]['hp_order'] = getPersEinst($_SESSION[$AppCode]['UID'], 'hp2sort', 0);
if($hpv > 1) $order = isset($_GET['order']) ? $_GET['order'] : $_SESSION[$AppCode]['hp_order'];
else $order=0;

echo "<tr><td><input type=\"submit\" name=\"neu\" value=\"neues Praxisziel\" onclick=\"document.hp.action='pro_hp2sql.php'\"></td>";
echo "<td><input type=\"button\" ";
if($hpv > 1) echo "style=\"position:relative;top:20px\" ";
echo "value=\"";
if(strpos($_SESSION[$AppCode]['hp_order'],'X') === false) echo "erledigte Ziele ans Ende der Liste";
else echo "Sortierung unabh&auml;ngig von 'erledigt'";
echo "\" onclick=\"self.location.href='pro_hp2.php?proj_id=$rvar_proj_id&amp;hp_id=$rvar_hp_id&amp;hp_order=";
echo (strpos($_SESSION[$AppCode]['hp_order'],'X') === false) ? $order."X" : intval($order);
echo "'\" />\n";
/* Smiley zum Speichern einer persoenlichen Einstellung */
echo " &nbsp; <a href=\"#\" style=\"color:#ccc;";
if($hpv > 1) echo "position:relative;top:20px;";
echo "\" id=\"TraegerIcon\"";
if(strpos($_SESSION[$AppCode]['hp_order'],'X') !== false) $order .= 'X';
echo " onclick=\"xajax_EinstellungenSpeichern({$_SESSION[$AppCode]['UID']}, '$order')\"";
echo stwToolTip('Sortierung als pers&ouml;nliche Einstellung speichern!') . ">:)</a></td>\n";

if(isset($rvar_hp_id) && $_SESSION[$AppCode]["ULV"] >= 65 && getConf('st_satz')) {
	echo "<td style=\"text-align:right\"><input type=\"button\" value=\"Tages- / Stunden- / km-Satz\" ";
	echo "onclick=\"self.location.href='pro_hp_satz.php?proj_id=$rvar_proj_id&amp;hp_id=$rvar_hp_id&amp;seite=$seite&amp;return=pro_hp2'\" /></td>";
}
echo "</tr>\n<tr><td colspan=\"3\">\n<table width=\"750\">\n";
$colors = array("000" => "#FF0000;text-decoration:blink",
				"100" => "#3F992A",
				"110" => "#3F992A",
				"010" => "#FF0000",
				"111" => "#FFCC00",
				"001" => "#FFFFFF",
				"erl" => "#CCCCCC");

$datum = (isset($_GET['hp_id'])) ? $hp['datum'] : $datum = date('Y-m-d');

 /* hole alle Praxisziele fuer dieses Projekt */
 $query  = "SELECT t1.ziel, t1.id, DATE_FORMAT(t1.termin, '%d.%m.%Y') ";
 $query .= "AS termin, t1.erledigt, t1.HE, t1.LE, t1.ASD, t1.le_datum, ";

 $query .= "t1.he_datum, t1.asd_datum, t1.nummer, t2.schritt, t2.id as schritt_id, ";
 $query .= "t2.verantwortlich, t3.hp_id, t3.datum, ";

 $query .= "UNIX_TIMESTAMP(t1.termin) AS ts, t1.prio, t1.prio2, ";
 if(strpos($_SESSION[$AppCode]['hp_order'],'X') !== false) $order .= 'X';
 if(intval($order) == 0) $query .= "t1.nummer AS sort ";
 if(intval($order) == 1) $query .= "IF(t1.prio2 > 0, t1.prio2, IF(t1.prio2 < 0, 999, 998)) AS sort ";
 if(intval($order) == 2) $query .= "IF(t1.prio > 0, t1.prio, IF(t1.prio < 0, 999, 998)) AS sort ";

 $query .= "FROM tb_hp t3 RIGHT JOIN tb_hp_praxisziele t1 ON ";
 $query .= "t3.hp_id = t1.hp_id ";

 $query .= "LEFT JOIN (SELECT schritt, verantwortlich, ziel_id, ";
 $query .= "nummer, id FROM tb_hp_handlungsschritte WHERE ziel_id IN (";

 $query .= "SELECT id FROM tb_hp_praxisziele WHERE hp_id IN (";
 $query .= "SELECT hp_id FROM tb_hp WHERE proj_id = '".$_GET["proj_id"];

 $query .= "' AND datum <= '".$datum."'))) AS t2 ON t1.id = t2.ziel_id ";
 $query .= "WHERE t3.proj_id = '".$_GET["proj_id"]."' AND ";

 $query .= "t3.datum <= '".$datum."' ORDER BY ";
 if(strpos($_SESSION[$AppCode]['hp_order'],'X') !== false) $query .= "(t1.erledigt IS NULL) DESC, ";

 $query .= "sort ASC, t1.nummer ASC, ";
 $query .= "t2.nummer ASC, t2.id ASC";

 if ($hpv > 1) {
	echo "<tr>";
	$header = array("Praxisziel","E","K");
	for($i=2;$i>=0;$i--) {
		if($i == 0 && $projekt->sbS(false)) echo "<td></td>";
		echo "<td width=\"50\" class=\"cl1\"";
		if(intval($order) == $i) echo " style=\"background-color:#222222\"";
		echo "><center><a href=\"pro_hp2.php?proj_id=" . $_GET["proj_id"];
		echo "&hp_id=" . $_GET["hp_id"] . "&order=$i\">".$header[$i]."</a></center></td>\n";
	}
	echo "<td width=\"100%\">&nbsp;</td></tr>";
 }
			$res = abfrage1($query);
			while($row = mysql_fetch_assoc($res))
			{
				if (!isset($chk[$row['id']]))
				{
					if (!is_null($row['erledigt'])){
						$color =  $colors['erl'];
					}else{
						// Gibt max-wert ($max_datum) und min-wert($row['datum'])
						// liegt datum dazwischen 1 sonst 0
						//---  $le = ($row['datum'] <= $row['le_datum']  && $row['le_datum'] <= $max_datum) ? "1" : "0";
						$le = ($row['LE'] == 1) ? 1 : 0;
						//---  $he = ($row['datum'] <= $row['he_datum']  && $row['he_datum'] <= $max_datum) ? "1" : "0";
						$he = ($row['HE'] == 1) ? 1 : 0;
						//---  $asd = ($row['datum'] <= $row['asd_datum']  && $row['asd_datum'] <= $max_datum) ? "1" : "0";
						$asd = ($row['ASD'] == 1) ? 1 : 0;

						$color = $colors[$le.$he.$asd];
					}
					new stwTabLine(2,30);
					echo "<tr>\n";

					echo "<td class=\"cl1\"";
					if ($row['prio'] > 0) echo " title=\"Priorit&auml;t\">" . $row['prio'];
					elseif($row['prio'] == -1) echo "title=\"nicht relevant\" style=\"color:red\">X";
					else echo '>';
					echo "</td>\n";

					if ($hpv > 1) {
						echo "<td class=\"cl1\"";
						if ($row['prio2'] > 0) echo " title=\"Priorit&auml;t\">" . $row['prio2'];
						elseif($row['prio2'] == -1) echo "title=\"nicht relevant\" style=\"color:red\">X";
						else echo '>';
						echo "</td>\n";
					}

          /* hp_id mit uebergeben bei Praxiszielen wenn vorhanden */
          if (isset($_GET["hp_id"]) && !empty($_GET["hp_id"]))
            $zusatz = "&hp_id2=".$_GET["hp_id"];
          else
            $zusatz = "";
          if (isset($_GET['order']) && !empty($_GET['order']))
            $zusatz .= "&order=" . $_GET['order'];

					$hpz = abfrage("select z.kategorie, k.zielkategorie from tb_hp_praxisziele z
									left join tb_hp h using(hp_id)
									left join tb_zielkategorie k on (k.zielkategorie_id = z.kategorie)
									where h.proj_id = '$projekt->id'
									and z.nummer = '{$row['nummer']}'");
					if($projekt->sbS(false)) {
						echo "<td>";
						if(empty($hpz[0])) {
							echo "<b style=\"color:#88FF88\"";
							echo stwToolTip("Ziel ohne Zielkategorien!<br />(Notwendig f&uuml;r Sachbericht)");
							echo ">S</b>";
						}
						echo "</td>";
					}

					echo "<td><input style=\"color: ".$color.";\" class=\"hp_button\" ";
					echo "type=\"submit\" name=\"upd\" value=\"Praxisziel ". $row['nummer'] . "\" ";
					echo "onclick=\"document.hp.action='pro_hp2ziele.php?ziel_id=".$row['id'].$zusatz."'\"/>";
					echo "<br /><span style=\"padding:2px;position:absolute;left:10px;color:#";
					echo check_zielkategorien($row['id'], $projekt->ja) ? 'FFCC00"'.stwToolTip($hpz[1]) : 'FF0000"'.stwToolTip("keine g&uuml;ltige Zielkategorie gew&auml;hlt");
					echo ">" . (empty($hpz[1]) ? 'Zielkategorie?' : strCut($hpz[1],25)) . "</span></td>\n";

					echo "<th style=\"padding-left:5px;padding-right:5px\">" . wordwrap($row['ziel'], 70, '<br>') . "</td>\n";
					echo "<td>Termin: ";
					echo ($row['ts'] > 0) ? $row['termin'] : '';
					echo "</td>";

					echo "<td>";
					if (isset($_GET['hp_id'])){
						$query = "SELECT COUNT(*) FROM tb_hpvor2
						          WHERE ziel_id = ".$row['id']."
						          AND hp_id =".$_GET['hp_id'];
						$res1 = abfrage1($query);
						$anz = mysql_result($res1,0);
						$button_color = ($anz == 0) ? "#FFCC00" : "#3F992A";

						echo "<a href=\"pro_hp2vor.php?ziel_id=".$row['id']."&amp;hp_id=".$_GET['hp_id']."&amp;proj_id=".$_GET['proj_id'];
						if ($hpv > 1 && !empty($_GET['order'])) echo "&order=" . $_GET['order'];
						echo "\" style=\"color: ".$button_color."\">HP-Vorb</a>\n";

						/*
						 * ein Praxisziel kann geloescht werden,
						 * tb_hp_praxisziele hp_id auf NULL */
						echo "</td>\n<td rowspan=\"2\">";
						echo "<a href=\"pro_hp2.php?kill_id=".$row['id']."&amp;hp_id=".$_GET['hp_id']."&amp;proj_id=".$_GET['proj_id'];
						if ($hpv > 1 && !empty($_GET['order'])) echo "&order=" . $_GET['order'];
						echo "\" title=\"Praxisziel l&ouml;schen\" style=\"color:#FF6600\">X</a>\n";
					} else echo "</td>\n<td rowspan=\"2\">";
					echo "<br />&nbsp;</td>";
					echo "</tr>\n";
				}

				if (strlen($row['schritt'])){
					$drin = abfrage1("select person_id from tbh_hp_ziel_pers_handlungsschritt where hp_id='{$_GET['hp_id']}' and ziel_id='{$row['id']}' and schritt_id='{$row['schritt_id']}'");
					$tt = 'in diesem HP niemandem zugeordnet';
					echo "<tr><td colspan=\"";
					echo ($hpv > 1) ? 3 : 2;
					echo "\"></td><td style=\"text-align:right\">-</td>\n";
					echo "<td style=\"padding-left:5px;";
					if(mysql_num_rows($drin) > 0) {
						$tt = 'Zuordnung in diesem HP';
						echo "color:white";
					}
					echo "\"".stwToolTip($tt).">" . wordwrap($row['schritt'], 70, '<br>') . "</td>\n";
					echo "<td colspan=\"2\">{$row['verantwortlich']}</td>\n";
					echo "<tr>\n";
				}

				$chk[$row['id']] = true;
			}
			?>
		</table>
	</td>
</tr>
<?php
$val = array("verlauf" => "","ressourcen" => "","sbhilfe" => "");
if (isset($rvar_hp_id)){
	$val['verlauf'] = $hp['hilfeverlauf'];
	$val['ressourcen'] = $hp['ressourcen'];
	$val['sbhilfe'] = $hp['selbsthilfe'];
	$sql = "select befind_kl as mitwirkung,
			befind_sb as kompetenz,
			befind_ma as freizeit,
			hziel_kl as schule,
			hziel_sb as gesundheit,
			zzeit_kl as hinweise,
			res_kl as verand,
			res_sb as erwartung,
			zzeit_sb as bemerkung
			from tb_hpvor where hp_id = $rvar_hp_id";
	$val2 = abfrage_array($sql);
}

new stwTabLine(1,30);
if($hpv == 4) echo "<tr><td colspan=\"30\"><b style=\"color:#FFCC00\">2. Aktuelle Situation:</b> (dabei sind die Sichtweisen aller Beteiligten zu beachten und kenntlich zu machen)</td></tr>\n";
if($hpv == 5) {
	echo "<tr><th>Aktuelle Situation des Kindes,<br>des Jugendlichen, der Familien<br><small>allgemein</small>:</th>";
	$temp = isset($rvar_hp_id) ? $val2['bemerkung'] : "";
	echo "<td colspan=\"2\"><textarea name=\"bemerkung\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
	echo "</tr>\n";
}
if($hpv == 5) {
	new stwTabLine(2,30);
	echo "<tr><th colspan=\"30\">" . $projekt->name() . "</th></tr>\n";
	new stwTabLine(2,30);
}
if ($hpv == 2) echo "<th>2. Aktuelle Situation (kurz) :</th>";
elseif($hpv == 6 || $hpv == 7 || $hpv == 8) echo "<th>1. Aktuelle Situation:</th>";
elseif($hpv == 9) echo "<th".stwToolTip("Aussagen zur Mitwirkung der Beteiligten,<br>welche \"Baustellen\", z.B. Schule / Kita; <br>Sozialverhalten; Freizeit; Gesundheit;<br> Familie<br>gibt es aus Sicht der Beteiligten,<br> Priorit&auml;tensetzung, Ressourcen,<br> was wurde evtl. wie in Angriff genommen").">1. Hilfeverlauf (kurz)</th>";
elseif ($hpv == 3 || $hpv == 4 || $hpv == 5) {
	echo "<td style=\"color: #FFCC00;\"><b>2.1 Zusammenleben in der Familie<br>";
	echo "&nbsp; &nbsp; &nbsp;oder in der Einrichtung</b><br>";
	echo "<small>(soziale Bindungen, Freunde, soziale Netzwerke)</small></td>";
} else echo "<th>Verlauf der Hilfe im<br>letzten Hilfeplanzeitraum :</th>";
echo "<td colspan=\"2\"><textarea name=\"hilfeverlauf\" cols=\"70\" rows=\"7\">".$val['verlauf']."</textarea></td>";
echo "</tr>";

if ($hpv > 1) {
	if($hpv == 3 || $hpv == 4 || $hpv == 5) {
		echo "<tr><th>2.2 Soziale Kompetenzen,<br>&nbsp; &nbsp; &nbsp;lebenspraktische F&auml;higkeiten</th>";
		$temp = isset($rvar_hp_id) ? $val2['kompetenz'] : "";
		echo "<td colspan=\"2\"><textarea name=\"kompetenz\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
		echo "</tr>\n";

		echo "<tr><th>2.3 Freizeitverhalten</th>";
		$temp = isset($rvar_hp_id) ? $val2['freizeit'] : "";
		echo "<td colspan=\"2\"><textarea name=\"freizeit\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
		echo "</tr>\n";

		echo "<tr><th>2.4 Kita / Schule / Ausbildung / Beruf</th>";
		$temp = isset($rvar_hp_id) ? $val2['schule'] : "";
		echo "<td colspan=\"2\"><textarea name=\"schule\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
		echo "</tr>\n";

		echo "<tr><th>2.5 Gesundheit<br>&nbsp; &nbsp; &nbsp;(physisch und psychisch)</th>";
		$temp = isset($rvar_hp_id) ? $val2['gesundheit'] : "";
		echo "<td colspan=\"2\"><textarea name=\"gesundheit\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
		echo "</tr>\n";
	}
	if($hpv == 5) {
		$personen=abfrage1("select p.person_id from tbh_proj_personen pp
							left join tb_personen p using(person_id) 
							where pp.proj_id='$rvar_proj_id' and pp.perstyp_id in (6,7)
							and p.aktiv=1 order by p.vorname asc");
		while($person = mysql_fetch_row($personen)) {
			new stwTabLine(2,30);
			echo "<tr><th colspan=\"30\">" . person_name($person[0]) . "</th></tr>\n";
			new stwTabLine(2,30);
			echo "<input type=\"hidden\" name=\"vor_person[]\" value=\"$person[0]\" />\n";
			if(isset($rvar_hp_id)) $data = abfrage_array("select * from tb_hpvor7_akt_sit where hp_id='$rvar_hp_id' and person_id='$person[0]'");
			else $data = array();

			echo "<tr><td style=\"color: #FFCC00;\"><b>2.1 Zusammenleben in der Familie<br>";
			echo "&nbsp; &nbsp; &nbsp;oder in der Einrichtung</b><br>";
			echo "<small>(soziale Bindungen, Freunde, soziale Netzwerke)</small></td>\n";
			echo "<td colspan=\"2\"><textarea name=\"zusammenleben_$person[0]\" cols=\"70\" rows=\"4\">";
			echo $data['zusammenleben'] . "</textarea></td></tr>\n";

			echo "<tr><th>2.2 Soziale Kompetenzen,<br>&nbsp; &nbsp; &nbsp;lebenspraktische F&auml;higkeiten</th>";
			echo "<td colspan=\"2\"><textarea name=\"sozialkompetenzen_$person[0]\" cols=\"70\" rows=\"4\">";
			echo $data['sozialkompetenzen'] . "</textarea></td></tr>\n";

			echo "<tr><th>2.3 Freizeitverhalten</th>";
			echo "<td colspan=\"2\"><textarea name=\"freizeitverhalten_$person[0]\" cols=\"70\" rows=\"4\">";
			echo $data['freizeitverhalten'] . "</textarea></td></tr>\n";

			echo "<tr><th>2.4 Kita / Schule / Ausbildung / Beruf</th>";
			echo "<td colspan=\"2\"><textarea name=\"schule_$person[0]\" cols=\"70\" rows=\"4\">";
			echo $data['schule'] . "</textarea></td></tr>\n";

			echo "<tr><th>2.5 Gesundheit<br>&nbsp; &nbsp; &nbsp;(physisch und psychisch)</th>";
			echo "<td colspan=\"2\"><textarea name=\"gesundheit_$person[0]\" cols=\"70\" rows=\"4\">";
			echo $data['gesundheit'] . "</textarea></td></tr>\n";
		}
		new stwTabLine(2,30);
	}

	if($hpv == 8) {
		echo "<tr>";
		echo "<th>3. welche Ressourcen k&ouml;nnen zu einem positiven Hilfeverlauf beitragen:<br>(z.B. fam. Umfeld, Schule/Kita, Freizeitaktivit&auml;ten...)</th>";
		echo "<td colspan=\"2\"><textarea name=\"ressourcen\" cols=\"70\" rows=\"3\">".$val['ressourcen']."</textarea></td>";
		echo "</tr>";
	}
	if($hpv > 1 && $hpv < 6) {
		if($hpv == 2) {
			echo "<tr><th>3. Mitwirkung der Eltern im Hilfeplanprozess:</th>";
			$r = 3;
		} else {
			$nr = ($hpv == 5) ? '3' : '2.6';
			echo "<tr><th>$nr Zusammenarbeit<br>&nbsp; &nbsp; &nbsp;zwischen Leistungserbringer<br>&nbsp; &nbsp; &nbsp;und Familie / Elternarbeit</th>";
			$r = 7;
		}
		$temp = isset($rvar_hp_id) ? $val2['mitwirkung'] : "";
		echo "<td colspan=\"2\"><textarea name=\"eltern_mitwirkung\" cols=\"70\" rows=\"$r\">$temp</textarea></td>";
		echo "</tr>\n";
	}
	if($hpv == 2 || $hpv == 6 || $hpv == 8 || $hpv == 10) {
		$sechs = ($hpv == 2) ? 6 : ($hpv == 8 ? 4 : 5);
		echo "<tr><th>$sechs. Hinweise zur weiteren Ausgestaltung der Hilfe<br>(Stundenzahl, Zusatzleistungen, Betreuungsschl&uuml;ssel)</th>";
	} elseif($hpv == 3 || $hpv == 5) {
		$nr = ($hpv == 5) ? '4' : '2.7';
		echo "<tr><th>$nr Anmerkungen und Erg&auml;nzungen</th>";
	} elseif($hpv == 4) {
		echo "<tr><th>2.7 Sonstige Ver&auml;nderungen,<br />&nbsp; &nbsp; &nbsp;Anmerkungen / Erg&auml;nzungen</th>";
	} elseif($hpv == 9) {
		echo "<tr><th".stwToolTip("Hinweise/ Empfehlungen zur weiteren<br>Ausgestaltung bzw. Beendigung der Hilfe<br>(Stundenzahl, Zusatzleistungen,<br>Betreuungsschl&uuml;ssel oder &auml;hnliches)").">5. Hinweise zur Ausgestaltung</th>";
	} else echo "<tr><th>Sonstiges:</th>";
	$temp = isset($rvar_hp_id) ? $val2['hinweise'] : "";
	echo "<td colspan=\"2\"><textarea name=\"ausgestaltungs_hinweise\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
	echo "</tr>";

	if($hpv == 5) {
		echo "<tr><th>5  Empfehlung f&uuml;r die Weiterf&uuml;hrung/<br>&nbsp; &nbsp;Ver&auml;nderung/Beendigung der Hilfe<br>&nbsp; &nbsp;und m&ouml;gliche Ziele f&uuml;r die Weiterarbeit</th>";
		$temp = isset($rvar_hp_id) ? $val2['verand'] : "";
		echo "<td colspan=\"2\"><textarea name=\"verand\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
		echo "</tr>\n";
	}

	if($hpv == 3) {
		new stwTabLine(2,30);

		echo "<tr><th>3.3.1 Ver&auml;nderungen in der Familie<br><small>(aus Sicht der Eltern / PSB)</small></th>";
		$temp = isset($rvar_hp_id) ? $val2['verand'] : "";
		echo "<td colspan=\"2\"><textarea name=\"verand\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
		echo "</tr>\n";

		echo "<tr><th>3.3.2 Erwartungen an das Kind /<br>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;den Jugendlichen<br><small>(aus Sicht der Eltern / PSB)</small></th>";
		$temp = isset($rvar_hp_id) ? $val2['erwartung'] : "";
		echo "<td colspan=\"2\"><textarea name=\"erwartung\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
		echo "</tr>\n";

		new stwTabLine(2,30);

		echo "<tr><th>Bemerkungen</th>";
		$temp = isset($rvar_hp_id) ? $val2['bemerkung'] : "";
		echo "<td colspan=\"2\"><textarea name=\"bemerkung\" cols=\"70\" rows=\"7\">$temp</textarea></td>";
		echo "</tr>\n";
	}
} else {
	echo "<tr>";
	echo "<th>weitere Ressourcen :<br>(Leistungserbringer)</th>";
	echo "<td colspan=\"2\"><textarea name=\"ressourcen\" cols=\"70\" rows=\"3\">".$val['ressourcen']."</textarea></td>";
	echo "</tr>";

	echo "<tr><th";
	if(isset($rvar_hp_id) && empty($val2[0]) && empty($val2[1])) {
		echo stwToolTip("Seite wird im Druck mangels Eintr&auml;gen weggelassen");
		echo "style=\"color:grey\"";
	}
	echo ">was braucht der Leistungserbringer noch<br>von JA / ASD:</th>";
	echo "<td colspan=\"2\"><textarea name=\"befind_kl\" cols=\"70\" rows=\"3\">".$val2[0]."</textarea></td>";
	echo "</tr>";

	echo "<tr><th";
	if(isset($rvar_hp_id) && empty($val2[0]) && empty($val2[1])) {
		echo stwToolTip("Seite wird im Druck mangels Eintr&auml;gen weggelassen");
		echo "style=\"color:grey\"";
	}
	echo ">Was sollte beim n&auml;chsten HP<br>anders gemacht werden:<br>(aus Sicht des Leistungserbringers)</th>";
	echo "<td colspan=\"2\"><textarea name=\"befind_sb\" cols=\"70\" rows=\"3\">".$val2[1]."</textarea></td>";
	echo "</tr>";

	new stwTabLine(2,30);

	echo "<tr>";
	echo "<th>weitere M&ouml;glichkeiten<br>der Selbsthilfe :<br>(Hilfeempf&auml;nger)</th>";
	echo "<td colspan=\"2\"><textarea name=\"selbsthilfe\" cols=\"70\" rows=\"3\">".$val['sbhilfe']."</textarea></td>";
	echo "</tr>";

	echo "<tr><th";
	if(isset($rvar_hp_id) && empty($val2[3]) && empty($val2[4])) {
		echo stwToolTip("Seite wird im Druck mangels Eintr&auml;gen weggelassen");
		echo "style=\"color:grey\"";
	}
	echo ">was braucht der Hilfeempf&auml;nger noch<br>von JA / ASD:</th>";
	echo "<td colspan=\"2\"><textarea name=\"hziel_kl\" cols=\"70\" rows=\"3\">".$val2[3]."</textarea></td>";
	echo "</tr>";

	echo "<tr><th";
	if(isset($rvar_hp_id) && empty($val2[3]) && empty($val2[4])) {
		echo stwToolTip("Seite wird im Druck mangels Eintr&auml;gen weggelassen");
		echo "style=\"color:grey\"";
	}
	echo ">Was sollte beim n&auml;chsten HP<br>anders gemacht werden:<br>(aus Sicht des Hilfeempf&auml;ngers)</th>";
	echo "<td colspan=\"2\"><textarea name=\"hziel_sb\" cols=\"70\" rows=\"3\">".$val2[4]."</textarea></td>";
	echo "</tr>";
}
echo "<tr><th>n&auml;chstes gemeinsames Gespr&auml;ch:</th>\n";
$value = (isset($rvar_hp_id)) ? date_my2gr($hp['datum_n']) : '';
echo "<td colspan=\"2\"><input type=\"text\" name=\"datum_n\" size=\"11\" maxlength=\"11\" value=\"$value\">&nbsp;&nbsp;TT.MM.JJJJ</td>\n";
echo "</tr>\n";
new stwTabLine(1,30);
echo "<tr>\n<td>&nbsp;</td>\n";
echo "<td><input type=\"submit\" name=\"save\" value=\"speichern\" /></td>";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
echo "<input type=\"hidden\" name=\"hp_id\" value=\"" . (isset($rvar_hp_id) ? $rvar_hp_id : $hp_id) . "\" />\n";
echo "<input type=\"hidden\" name=\"erst\" value=\"" . ($erst ? "j" : "n") . "\" />\n";
echo "<input type=\"hidden\" name=\"order\" value=\"$order\" />\n";
echo "</tr>\n</table>\n";
echo "</form>\n";
/* stwEnd muss fuer die Dateiausgabe eindeutige Zahlen uebergeben bekommen */
if (!empty($rvar_proj_id) && !empty($rvar_hp_id)) {
	new stwEnd($seite, NULL, NULL, NULL, $rvar_proj_id, $rvar_hp_id);
} else {
	new stwEnd($seite);
}
?>