<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_hp2sql.php 2917 2018-11-28 09:55:05Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 require("inc/func.inc.php");
 require_once("inc/azk.inc.php");

$hpsts = $_POST['hpst'];
$pids  = $_POST['pid'];
$ptyps = $_POST['ptyp'];

/* Sicherstellen, dass nur ein Hauptbetreuer gewaehlt ist */
$i=0; $hauptbetr=0;
do {
	if($ptyps[$i] == 1) $hauptbetr += 1;
	$i++;
} while (isset($ptyps[$i]));
if($hauptbetr > 1) {
	$header = "Location: pro_hp2.php?error=1&proj_id=".$_POST['proj_id'];
	if(!empty($_POST['hp_id'])) $header .= "&hp_id=".$_POST['hp_id'];
	header($header);
	exit(-1);
}

$datum1 = date_gr2my(check_date($_POST['datum'], 1));
$datum3 = date_gr2my(check_date($_POST['datum_n'], 1));

$pro_verbund = abfrage("select verbund_id from tb_pro_verbund where proj_id='{$_POST['proj_id']}' and datetime_bis is NULL");

$hp_ids[$_POST['proj_id']] = (empty($_POST['hp_id'])) ? 0 : $_POST['hp_id'];

if(!empty($pro_verbund[0])) {
	$pro = abfrage("select proj_id from tb_pro_verbund where verbund_id='$pro_verbund[0]' and proj_id!='{$_POST['proj_id']}'");
	if(projektnr($_POST['proj_id']) >= 900 || projektnr($pro[0]) >= 900) $pro_verbund[0] = NULL;
	elseif(empty($_POST['hp_id'])) $hp_ids[$pro[0]] = 0;
	else {
		$hp = abfrage("select v_hp_id from tbh_hp_verbund where verbund_id='$pro_verbund[0]' and hp_id='{$_POST['hp_id']}'");
		$hp_ids[$pro[0]] = empty($hp[0]) ? 0 : $hp[0];
	}
}

foreach($hp_ids as $proj_id => $hp_id) {
	$datum2 = date_gr2my(check_date($proj_id==$_POST['proj_id'] ? $_POST['and_datum'] : $_POST['v_and_datum'], 1));
	$sql = "select ap_id from tb_projekte where proj_id='$proj_id'";
	$erg = abfrage($sql);
	$ap_id = ($erg[0] == $_POST['ap_id']) ? "" : $_POST['ap_id'];

	$hp_st = str_replace(',', '.', $proj_id==$_POST['proj_id'] ? $_POST['hp_st'] : $_POST['v_hp_st']);
	$hp_kont = str_replace(',', '.', $proj_id==$_POST['proj_id'] ? $_POST['hp_kont'] : $_POST['v_hp_kont']);
	$hp_kont_fz = str_replace(',', '.', $proj_id==$_POST['proj_id'] ? $_POST['hp_kont_fz'] : $_POST['v_hp_kont_fz']);

	if($hp_kont_fz < 0) $hp_kont_fz = 0;
	if($hp_kont < 0) $hp_kont = 0;
	if($_POST['kontakt'] == 'j' && $proj_id==$_POST['proj_id'] || $_POST['v_kontakt'] == 'j' && $proj_id!=$_POST['proj_id']) 
		$hp_st = $hp_kont + $hp_kont_fz + (($proj_id==$_POST['proj_id'] ? $_POST['fallbegl'] : $_POST['v_fallbegl']) == 'j' ? 1 : 0);

	$sql  = (empty($hp_id)) ? 'INSERT INTO ' : 'UPDATE ';
	$sql .= "tb_hp SET proj_id = '$proj_id', hp_art = 'h2', ";
	$sql .= "datum = '$datum1', ";
	if($proj_id==$_POST['proj_id']) {
		$sql .= "and_datum = '$datum2', ";
		$sql .= "hp_st = '$hp_st', kontakt_fz = '$hp_kont_fz', ";
	}
	$sql .= "teilnehmer = '{$_POST['teilnehmer']}', datum_n = '$datum3', ";
	$sql .= "ap_id = '$ap_id', erst = '{$_POST['erst']}', ";
	$sql .= "pers_id = '{$_POST['pers_id']}'";
	if (isset($_POST['gef'])) $sql .= ", gefaehrdung = '{$_POST['gef']}'";
	$sql .= ", hilfeverlauf = '{$_POST['hilfeverlauf']}', ";
	$ressourcen = isset($_POST['uhrzeit']) ? check_time($_POST['uhrzeit']) : $_POST['ressourcen'];
	$sql .= "ressourcen = '$ressourcen', ";
	$sql .= "selbsthilfe = '{$_POST['selbsthilfe']}', ";
	$sql .= "hpv_form = '{$_POST['hpv_form']}' ";
	if($proj_id==$_POST['proj_id']) {
		$sql .= ", fallbegl = '".$_POST['fallbegl']."'";
		$sql .= ", kontakt = '".$_POST['kontakt']."'";
		$sql .= ", fallbegl_antrag = '".$_POST['aufgrundtext']."'";
	}
	$doIt = false;
	if($proj_id == $_POST['proj_id']) $doIt = true;
	else {
		$fb1 = abfrage("select fb_id from tb_projekte where proj_id='{$_POST['proj_id']}'");
		$fb2 = abfrage("select fb_id from tb_projekte where proj_id='$proj_id'");
		if($fb1[0] == $fb2[0] || $fb2[0] == $_SESSION[$AppCode]['UID']) $doIt = true;
	}
	if($doIt) {
		if($_POST['fb_ok'] == 1) {
			$fb_ok = abfrage("select fb_ok from tb_hp where hp_id='$hp_id'");
			if(empty($fb_ok[0])) {
				$sql .= ", fb_ok = '{$_SESSION[$AppCode]['UID']}', ";
				$sql .= "fb_ok_ts = unix_timestamp(now()) ";
			}
		} else $sql .= ", fb_ok = NULL, fb_ok_ts = NULL ";
	}
	if ($hp_id > 0){
		$sql .= " WHERE hp_id = '$hp_id'";
		$query_eg = "UPDATE tb_hp_eg SET minimalkonsens = '".$_POST['minimalkonsens']."', anlass = '".$_POST['anlass']."' WHERE hp_id = '$hp_id'";
		abfrage2($query_eg);
	}

	abfrage2($sql);
	if (empty($hp_id)){
		$hp_id = mysql_insert_id();
	}
	if($proj_id == $_POST['proj_id']) $_SESSION['hp_id'] = $hp_id;

	if($_POST['hpv_form'] == 9) {
		abfrage2("delete from tbh_hp_tn where hp_id='$hp_id'");
		abfrage2("insert into tbh_hp_tn set hp_id='$hp_id', person_id='-".$_POST['pers_id']."', abwesend='".(isset($_POST['tn_stw']) ? 'n' : 'j')."'");
		abfrage2("insert into tbh_hp_tn set hp_id='$hp_id', person_id=0, abwesend='".(isset($_POST['tn_ja']) ? 'n' : 'j')."'");
		if(isset($_POST['hpteilnehmer']) && is_array($_POST['hpteilnehmer'])) {
			foreach($_POST['hpteilnehmer'] as $hpt) {
				abfrage2("insert into tbh_hp_tn set hp_id='$hp_id', person_id='$hpt', abwesend='".(isset($_POST["tn_$hpt"]) ? 'n' : 'j')."'");
			}
		}
	}

	$query = "SELECT COUNT(*) FROM tb_hp_eg t1
			  INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
			  WHERE t2.proj_id = '$proj_id'";
	$erg = abfrage($query);

	if ($erg[0] == 0){
		$query = "INSERT INTO tb_hp_eg SET hp_id = '$hp_id', minimalkonsens = '".$_POST['minimalkonsens']."', anlass = '".$_POST['anlass']."'";
		abfrage2($query);
	}

	if($_POST['hpv_form'] == 1) {
		$sql = "REPLACE INTO tb_hpvor SET
				befind_kl = '{$_POST['befind_kl']}',
				befind_sb = '{$_POST['befind_sb']}',
				hziel_kl = '{$_POST['hziel_kl']}',
				hziel_sb = '{$_POST['hziel_sb']}',
				hp_id='$hp_id'";
		abfrage2($sql);
	}

	if($_POST['hpv_form'] == 2 || $_POST['hpv_form'] == 6 || $_POST['hpv_form'] == 8 || $_POST['hpv_form'] == 10) {
		$sql = "REPLACE INTO tb_hpvor SET
				befind_kl = '{$_POST['eltern_mitwirkung']}',
				zzeit_kl = '{$_POST['ausgestaltungs_hinweise']}',
				hp_id='$hp_id'";
		abfrage2($sql);
	}

	if($_POST['hpv_form'] == 3 || $_POST['hpv_form'] == 4 || $_POST['hpv_form'] == 5 || $_POST['hpv_form'] == 7 || $_POST['hpv_form'] == 9) {
		$sql = "REPLACE INTO tb_hpvor SET
				befind_kl = '{$_POST['eltern_mitwirkung']}',
				befind_sb = '{$_POST['kompetenz']}',
				befind_ma = '{$_POST['freizeit']}',
				hziel_kl = '{$_POST['schule']}',
				hziel_sb = '{$_POST['gesundheit']}',
				zzeit_kl = '{$_POST['ausgestaltungs_hinweise']}',
				res_kl = '{$_POST['verand']}',
				res_sb = '{$_POST['erwartung']}',
				zzeit_sb = '{$_POST['bemerkung']}',
				hp_id='$hp_id'";
		abfrage2($sql);
	}

	if(isset($_POST['vor_person']) && is_array($_POST['vor_person'])) {
		foreach($_POST['vor_person'] as $pers) {
			if(!empty($pro_verbund[0]) && $_POST['hp_id'] != $hp_id) {
				$person = abfrage("select v_person_id from tbh_person_verbund where verbund_id='$pro_verbund[0]' and person_id='$pers'");
				$person_id = $person[0];
			} else $person_id = $pers;
			abfrage2("replace into tb_hpvor7_akt_sit set hp_id='$hp_id', person_id='$person_id',
					zusammenleben = '{$_POST["zusammenleben_$pers"]}',
					sozialkompetenzen = '{$_POST["sozialkompetenzen_$pers"]}',
					freizeitverhalten = '{$_POST["freizeitverhalten_$pers"]}',
					schule = '{$_POST["schule_$pers"]}',
					gesundheit = '{$_POST["gesundheit_$pers"]}'");
		}
	}

	if(!empty($pro_verbund[0])) {
		if(isset($vsql1)) {
			$vsql1 .= "v_hp_id='$hp_id';";
			$vsql2 .= "hp_id='$hp_id';";
		} else {
			$vsql1 = "REPLACE INTO tbh_hp_verbund set verbund_id='$pro_verbund[0]', hp_id='$hp_id', ";
			$vsql2 = "REPLACE INTO tbh_hp_verbund set verbund_id='$pro_verbund[0]', v_hp_id='$hp_id', ";
		}
	}
}
if(!empty($pro_verbund[0])) {
	abfrage2($vsql1);
	abfrage2($vsql2);
}
/* HP-Stunden der einzelnen Betreuer in DB schreiben */
$i = 0;
do {
	$hpst = str_replace(',', '.', $hpsts[$i]);

	$sql  = "SELECT count(*) from tbh_pers_proj_hp WHERE hp_id = '{$_SESSION['hp_id']}' ";
	$sql .= "AND proj_id = '{$_POST['proj_id']}' AND pers_id = '{$pids[$i]}';";
	$count = abfrage($sql);
	
	if($ptyps[$i] == 1) $hpst=0;
	
	if($count[0] == 0) {
		$sql  = "INSERT IGNORE INTO tbh_pers_proj_hp SET hp_id = '{$_SESSION['hp_id']}', personaltyp_id = $ptyps[$i], ";
		$sql .= "proj_id = '{$_POST['proj_id']}', pers_id = '{$pids[$i]}', hpst = '$hpst' ";
	} else {
		$sql  = "update tbh_pers_proj_hp set hpst = '$hpst', personaltyp_id = $ptyps[$i] ";
		$sql .= "where hp_id = '{$_SESSION['hp_id']}' and proj_id = '{$_POST['proj_id']}' and pers_id = '{$pids[$i]}' ";
	}
	abfrage2($sql);

	/* tbh_pers_proj mit den juengsten Daten updaten */
	$sql = "select p.hp_id, p.hpst, p.personaltyp_id
			from tbh_pers_proj_hp p left join tb_hp h using(hp_id)
			WHERE p.proj_id = '{$_POST['proj_id']}' AND p.pers_id = '{$pids[$i]}'
			and h.and_datum <= now()
			order by h.and_datum desc limit 1";
	$hpst_aktuell = abfrage($sql);
	if($hpst_aktuell[0]) {
		$sql  = "update tbh_pers_proj set hpst = '$hpst_aktuell[1]', personaltyp_id = '$hpst_aktuell[2]' ";
		$sql .= "where proj_id = '{$_POST['proj_id']}' and pers_id = '{$pids[$i]}';";
		abfrage2($sql);
	}
	$i++;
} while (isset($hpsts[$i]));
 /* AZK Cache fuer dieses Projekt zuruecksetzen */
 azk_cache_proj_reset($_POST["proj_id"]);

if(isset($_POST['hpv_ja']) || isset($_POST['hp_u_he']) || isset($_POST['hp_ja'])) {
	$exist = abfrage("select hp_id, hpv_ja, hp_u_he, hp_ja from tb_hp_ja_check where hp_id='{$_POST['hp_id']}'");
	$doIt = false;
	$sql = empty($exist[0]) ? "insert into" : "update";
	$sql .= " tb_hp_ja_check set ";
	$old = $exist[1] == 'j' ? 'j' : 'n';
	$new = $_POST['hpv_ja'] == 'j' ? 'j' : 'n';
	if($new != $old) {
		$doIt = true;
		$sql .= "hpv_ja='$new', hpv_ja_pers='{$_SESSION[$AppCode]['UID']}', hpv_ja_ts=unix_timestamp(now())";
	}
	$old = $exist[2] == 'j' ? 'j' : 'n';
	$new = $_POST['hp_u_he'] == 'j' ? 'j' : 'n';
	if($new != $old) {
		if($doIt) $sql .= ', ';
		else $doIt = true;
		$sql .= "hp_u_he='$new', hp_u_he_pers='{$_SESSION[$AppCode]['UID']}', hp_u_he_ts=unix_timestamp(now())";
	}
	$old = $exist[3] == 'j' ? 'j' : 'n';
	$new = $_POST['hp_ja'] == 'j' ? 'j' : 'n';
	if($new != $old) {
		if($doIt) $sql .= ', ';
		else $doIt = true;
		$sql .= "hp_ja='$new', hp_ja_pers='{$_SESSION[$AppCode]['UID']}', hp_ja_ts=unix_timestamp(now())";
	}
	$sql .= empty($exist[0]) ? ', ' : " where ";
	$sql .= "hp_id='{$_POST['hp_id']}'";
	if($doIt) abfrage2($sql);
}

if (isset($_POST['save']))
  header("Location: pro_daten.php?proj_id=".$_POST['proj_id']);
elseif (isset($_POST['neu']))
  header("Location: pro_hp2ziele.php?hp_id=" . $_POST['hp_id']);
elseif (isset($_POST['upd']))
  header("Location: pro_hp2ziele.php?ziel_id=".$_GET['ziel_id']);
else
  header("Location: pro_hp2.php?proj_id=".$_POST['proj_id']."&hp_id=".$_SESSION['hp_id']."&order=".$_POST['order']);
?>