<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen     *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_hp2vor.php 2831 2018-01-24 08:27:00Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$level=25;
$seite = 6;
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function EinstellungenSpeichern($pers_id, $proj_id, $skalastyle) {
	/* Skala wird nur gespeichert, wenn MA Projektbetreuer */
	$sql = "update tbh_pers_proj 
			set hpskala = '$skalastyle'
			where pers_id = '$pers_id'
			and proj_id = '$proj_id';";
	abfrage2($sql);
	$userResp = new xajaxResponse();
	$userResp->assign('TraegerIcon', 'style.color', 'lime');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('EinstellungenSpeichern');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

if(!check_projekt_berechtigung($rvar_proj_id)) {
	echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
	new stwEnd($seite);
	exit(0);
}

$projekt = new stwProjekt($_GET['proj_id']);
$ttt = ($projekt->h_art == 'TTT');

echo "<table width=\"750\">\n";
echo "<tr><th style=\"padding-right: 10px\">Projekt-Nr.:</th>\n";
echo "<td style=\"padding-right: 25px\"><a href=\"pro_daten.php?proj_id=$projekt->id\">" . $projekt->nummer() ."</a></td>\n";
echo "<th style=\"padding-right: 10px\">Klient:&nbsp;</th>\n";
echo "<td style=\"padding-right: 25px\">" . $projekt->name() . "</td>\n";

// Jugendamt und Sachbearbeiter ermitteln
$ja = abfrage("SELECT t3.name2, t3.kont_id
				FROM tb_kontakte_ap t2
		        left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
		        WHERE t2.ap_id = $projekt->sb;");
echo "<th style=\"padding-right: 10px\">Jugendamt:</th><td>$ja[0]</td>\n";

$hp = abfrage("select hpv_form, unix_timestamp(datum) from tb_hp where hp_id={$_GET['hp_id']}");

if(isset($_GET['proj_id']) && isset($_GET['hp_id'])) {
	$hpv_form = abfrage("select hpv_form, unix_timestamp(hpv_form_datum)
						from tb_kontakte where kont_id = '$projekt->ja' and kh_id='0';");
	if(is_null($hp[0])) {
		if($hpv_form[0]==1 && $hpv_form[1]<=$hp[1]) $hp_url = 3;
		elseif($hpv_form[0]==2 && $hpv_form[1]<=$hp[1] && $hpv_form[1]>0) $hp_url = 3;
		else $hp_url = 2;
	} else $hp_url = $hp[0] + 2;
	echo "<td><a href=\"pro_pr_hpvor$hp_url.php?hp_id={$_GET['hp_id']}&";
	echo "proj_id=$projekt->id&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" ";
	echo "onclick=\"document.hp2vor.submit()\" ";
	echo "alt=\"drucken\" border=\"0\"";
	echo stwToolTip('HP-Vorbereitung drucken') . "></a></td>\n";
}
echo "</tr></table>\n";
new stwLine(1);

$query = "SELECT * FROM tb_hpvor2
			WHERE hp_id = ".$_GET['hp_id']."
			AND ziel_id = ".$_GET['ziel_id'];
$res = abfrage1($query);
if (mysql_num_rows($res) > 0){
	$hp_vor = mysql_fetch_array($res);
}
echo "<table width=\"750\">\n";
if($_GET['ziel_id'] == 0) {
	$minimalkonsens = abfrage("SELECT t1.minimalkonsens,t1.hp_id FROM tb_hp_eg t1
							  INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
							  WHERE t2.proj_id = '$rvar_proj_id'");
	echo "<tr><th>&Uuml;bergeordnetes Ziel der Hilfe / Minimalkonsens / Hauptziel:</th></tr>";
	echo "<tr><th class=\"ww\" style=\"color:#FFFF00\">". str_replace("\n",'<br />',$minimalkonsens[0]) . "</th></tr>";
} else {
	$query = "SELECT t1.id,t1.ziel,t2.schritt,t2.verantwortlich, t1.nummer, t1.prio, t1.prio2, t2.id as schritt_id
			  FROM tb_hp_praxisziele t1
			  LEFT JOIN tb_hp_handlungsschritte t2 ON t1.id = t2.ziel_id
			  WHERE t1.id = ".$_GET['ziel_id'];
	$handlungsschritte = abfrage1($query);
	$ersteZeile = true;
	while($row = mysql_fetch_array($handlungsschritte))
	{
		if ($ersteZeile){
			echo "<tr><th colspan=\"2\">Praxisziel {$row['nummer']}:<br>";
			echo "<span style=\"color:#FFFF00\">". wordwrap($row['ziel'], 100, '<br>') . "</span></th></tr>";
			$prio = $row['prio']; $prio2 = $row['prio2'];
			$ersteZeile = false;
		}
		if($hp[0] != 4 && $hp[0] != 6 && $hp[0] != 8 && $hp[0] != 9) echo "<tr><td>- ".$row['schritt']."</td><td>".$row['verantwortlich']."</td></tr>";
	}
}
echo "</table>";
echo "<form action=\"pro_hp2vor_sql.php\" name=\"hp2vor\" method=\"POST\">\n";
if(($hp[0] == 4 || $hp[0] == 6 || $hp[0] == 8 || $hp[0] == 9) && $_GET['ziel_id'] > 0) {
	echo "<table width=\"750\"><tr>";
	echo "<th>neuer Handlungsschritt:</th>\n";
	echo "<td style=\"width:100%\"><input maxlength=\"100\" type=\"text\" style=\"width:100%\" name=\"hs_txt\" /></td>\n";
	echo "<td><select".stwToolTip("Gruppenarbeits-Kategorie w&auml;hlen")." name=\"hs_kat\" size=\"1\" style=\"width:20px\">\n";
	echo "<option value=\"0\">Gruppenarbeits-Kategorie w&auml;hlen!</option>\n";
	$kats = abfrage1("select kat_id, ga_kat from tb_ga_kat order by ga_kat asc;");
	while ($kat = mysql_fetch_row($kats)){
		echo "<option value=\"$kat[0]\">$kat[1]</option>\n";
	}
	echo "</select></td>\n";
	echo "<td><input type=\"submit\" name=\"add_hs\" value=\"anlegen\" /></td></tr></table>\n";
}
new stwLine(1);
echo "<table width=\"750\">\n";

$ti = 1;
$hpv_form = abfrage("select hpv_form, unix_timestamp(hpv_form_datum)
					from tb_kontakte
					where kont_id = $projekt->ja");
$skala = new stwSkala($rvar_proj_id);
if($ttt) {
	echo "<input type=\"hidden\" name=\"person_id0\" value=\"-1\" />\n";
	echo "<input type=\"hidden\" name=\"anm0\" value=\"\" />\n";
} else {
	echo "<tr><th style=\"vertical-align:middle;\">";
	if($hp[0] == 1) echo "7.2 L ";
	elseif($hp[0] == 6 || $hp[0] == 8) echo "2. ";
	elseif($hp[0] == 10 || $hp[0] == 7)  echo "3. ";
	else {
		echo "1. ";
		if($hp[0] != 4 && $hp[0] != 9) echo "& 2. ";
	}
	echo "Erreichung der Ziele aus Sicht des <span style=\"color:#009900\">Leistungserbringers</span>";
	if($hp[0] == 5) echo "<br /><small>(Der Inhalt dieses Feldes wird im Druck ausgewiesen)</small>";
	echo "</th>\n<td class=\"cl11\">";
	$id = (isset($hp_vor)) ? $hp_vor['le_skala'] : 0;
	$skala->displaySkala("le_skala", $id, $ti); $ti++;
	echo "</td>\n<td style=\"visibility:hidden;vertical-align:middle;\" id=\"styleSelect\">";
	$skala->personalizeSkala($ti); $ti++;
	echo "</td><td style=\"vertical-align:middle;\" id=\"tze\">\n";
	/* Smiley zum Speichern einer persoenlichen Einstellung */
	echo "<a href=\"#\" style=\"color: #ccc; visibility:hidden;\" id=\"TraegerIcon\"";
	echo " onclick=\"xajax_EinstellungenSpeichern({$_SESSION[$AppCode]['UID']}, $rvar_proj_id, skalastyle.value)\"";
	echo stwToolTip('Skala-Layout als pers&ouml;nliche Einstellung speichern!') . ">:)</a>\n";
	echo "</td></tr>\n";
	/* Anzeige von dropdown und :) nur, wenn JS aktiviert */
	echo "<script language=\"Javascript\">\n";
	echo "document.getElementById('styleSelect').style.visibility = 'visible';\n";
	echo "document.getElementById('TraegerIcon').style.visibility = 'visible';\n";
	echo "</script>\n";

	echo "<tr><td colspan=\"3\"><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"le_err\" tabindex=\"$ti\">";
	echo (isset($hp_vor)) ? $hp_vor['le_err'] : '';
	echo "</textarea></td></tr>\n";
	$ti++;

	if($hp[0]!=4 && $hp[0]!=6 && $hp[0]!=8 && $hp[0]!=9) {
		$a = "4.";
		if($hp[0]==3) $a = "3.4. ";
		if($hp[0]==1) $a = "7.2 L ";
		echo "<tr><th>$a Vorstellungen des <span style=\"color:#009900\">" . ($ttt ? 'Sozialp&auml;dagogen' : 'Leistungserbringers') . "</span> zur k&uuml;nftigen Ausgestaltung der Hilfe</th></tr>\n";
		echo "<tr><td colspan=\"3\"><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"le_vor\" tabindex=\"$ti\">";
		echo (isset($hp_vor)) ? $hp_vor['le_vor'] : '';
		echo "</textarea></td></tr>\n";
		$ti++;
	}
	if(($hp[0]==4 || $hp[0]==6 || $hp[0]==8 || $hp[0]==9) && $_GET['ziel_id'] > 0) {
		$schritteLE = array();
		$schritte=abfrage1("select ph.schritt_id, h.schritt, ph.verantwortlich from tbh_hp_ziel_pers_handlungsschritt ph
							left join tb_hp_handlungsschritte h on(h.id = ph.schritt_id and h.ziel_id = ph.ziel_id)
							where ph.hp_id='{$_GET['hp_id']}' and ph.ziel_id='{$_GET['ziel_id']}' and ph.person_id='-1'");
		while($schritt = mysql_fetch_row($schritte)) {
			$schritteLE[$schritt[0]] = $schritt[1];
		}
		echo "<input type=\"hidden\" name=\"person_id0\" value=\"-1\" />\n";
		$dreipunktzwei = $hp[0]==4 ? '3.2' : $hp[0]==8 ? 'Anlage 1' : '3';
		new stwTabLine(2,4);
		echo "<tr><th colspan=\"3\">$dreipunktzwei. Handlungsschritte <span style=\"color:#009900\">Leistungserbringer</span>: &nbsp;";
		echo "<select name=\"add_hs_le\" onchange=\"this.form.submit()\"><option value=\"0\">Handlungsschritt zuordnen</option>\n";
		mysql_data_seek($handlungsschritte, 0);
		while($row = mysql_fetch_array($handlungsschritte)) {
			if(empty($schritteLE[$row[7]])) echo "<option value=\"$row[7]\">".$row['schritt']."</option>\n";
		}
		echo "</select></td></tr>\n";
		foreach($schritteLE as $k => $schr) {
			echo "<tr class=\"mo\"><td colspan=\"3\">- $schr</td><td style=\"text-align:right\">";
			echo "<input type=\"submit\" name=\"delHS[$k]\" value=\"-1\" ";
			echo "style=\"background-image:url(img/del_kal.png);background-repeat:no-repeat;width:12px;color:transparent;background-color:#333333\" /></td></tr>\n";
		}
		new stwTabLine(2,4);
		echo "<tr><th colspan=\"3\">$dreipunktzwei. Vorstellungen <span style=\"color:#009900\">Leistungserbringer</span> - Verbalteil (zus&auml;tzliche Anmerkungen):</th></tr>\n";
		$anm = abfrage("select anmerkung from tbh_hp_ziel_pers_data where hp_id='{$_GET['hp_id']}' and ziel_id='{$_GET['ziel_id']}' and person_id='-1'");
		if(empty($anm[0])) $anm[0] = $hp_vor['le_vor'];
		echo "<tr><td colspan=\"3\"><textarea rows=\"4\" cols=\"100\" style=\"width:100%\" name=\"anm0\" tabindex=\"$ti\">$anm[0]</textarea></td></tr>\n";
	}
	echo "<tr><td>&nbsp;</td></tr>";
	new stwTabLine(1,4);
	echo "<tr><td>&nbsp;</td></tr>";
}
if($ttt || $prio != -1) {
	echo "<tr><th>";
	if($hp[0] == 1) echo "7.3 A ";
	elseif($hp[0] == 6 || $hp[0] == 8) echo "2. ";
	elseif($hp[0] == 10 || $hp[0] == 7) echo "3. ";
	else {
		echo "1. ";
		if($hp[0] != 4 && $hp[0] != 9) echo "& 2. ";
	}
	echo "Erreichung der Ziele aus Sicht des <span style=\"color:#009900\">";
	if($hp[0] == 1) echo "Adressaten";
	elseif($hp[0] == 7) echo "Teilnehmers";
	else echo "Kindes/Jugendlichen";
	echo "</span></th>\n<td class=\"cl11\">";
	$id = (isset($hp_vor)) ? $hp_vor['ad_skala'] : 0;
	$skala->displaySkala("ad_skala", $id, $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td colspan=\"3\"><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"ad_err\" tabindex=\"$ti\">";
	echo (isset($hp_vor)) ? $hp_vor['ad_err'] : '';
	echo "</textarea></td></tr>\n";
	$ti++;
	if($hp[0]!=4 && $hp[0]!=6 && $hp[0]!=8 && $hp[0]!=9) {
		if($hp[0]==1) $a = "7.3 A ";
		if($hp[0]==3) $a = "3.2. ";
		if($hp[0]==10 || $hp[0]==7) $a = "4. ";
		echo "<tr><th>$a Vorstellungen des <span style=\"color:#009900\">";
		if($hp[0] == 1) echo "Adressaten";
		elseif($hp[0] == 7) echo "Teilnehmers";
		else echo "Kindes/Jugendlichen";
		echo "</span> zur k&uuml;nftigen Ausgestaltung der Hilfe</th></tr>\n";
		echo "<tr><td colspan=\"3\"><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"ad_vor\" tabindex=\"$ti\">";
		echo (isset($hp_vor)) ? $hp_vor['ad_vor'] : '';
		echo "</textarea></td></tr>\n";
		$ti++;
	}
	if(($hp[0]==4 || $hp[0]==6 || $hp[0]==8 || $hp[0]==9) && $_GET['ziel_id'] > 0) {
		$schritteKI = array();
		$schritte=abfrage1("select ph.schritt_id, h.schritt, ph.verantwortlich from tbh_hp_ziel_pers_handlungsschritt ph
							left join tb_hp_handlungsschritte h on(h.id = ph.schritt_id and h.ziel_id = ph.ziel_id)
							where ph.hp_id='{$_GET['hp_id']}' and ph.ziel_id='{$_GET['ziel_id']}' and ph.person_id='-2'");
		while($schritt = mysql_fetch_row($schritte)) {
			$schritteKI[$schritt[0]] = $schritt[1];
		}
		echo "<input type=\"hidden\" name=\"person_id1\" value=\"-2\" />\n";
		new stwTabLine(2,4);
		echo "<tr><th colspan=\"3\">$dreipunktzwei. Handlungsschritte <span style=\"color:#009900\">Kind/Jugendlicher</span>: &nbsp;";
		echo "<select name=\"add_hs_ki\" onchange=\"this.form.submit()\"><option value=\"0\">Handlungsschritt zuordnen</option>\n";
		mysql_data_seek($handlungsschritte, 0);
		while($row = mysql_fetch_array($handlungsschritte)) {
			if(empty($schritteKI[$row[7]])) echo "<option value=\"$row[7]\">".$row['schritt']."</option>\n";
		}
		echo "</select></td></tr>\n";
		foreach($schritteKI as $k => $schr) {
			echo "<tr class=\"mo\"><td colspan=\"3\">- $schr</td><td style=\"text-align:right\">";
			echo "<input type=\"submit\" name=\"delHS[$k]\" value=\"-2\" ";
			echo "style=\"background-image:url(img/del_kal.png);background-repeat:no-repeat;width:12px;color:transparent;background-color:#333333\" /></td></tr>\n";
		}
		new stwTabLine(2,4);
		echo "<tr><th colspan=\"3\">$dreipunktzwei. Vorstellungen <span style=\"color:#009900\">Kind/Jugendlicher</span> - Verbalteil (zus&auml;tzliche Anmerkungen):</th></tr>\n";
		$anm = abfrage("select anmerkung from tbh_hp_ziel_pers_data where hp_id='{$_GET['hp_id']}' and ziel_id='{$_GET['ziel_id']}' and person_id='-2'");
		if(empty($anm[0])) $anm[0] = $hp_vor['ad_vor'];
		echo "<tr><td colspan=\"3\"><textarea rows=\"4\" cols=\"100\" style=\"width:100%\" name=\"anm1\" tabindex=\"$ti\">$anm[0]</textarea></td></tr>\n";
	} elseif($ttt) echo "<input type=\"hidden\" name=\"anm1\" value=\"\" />\n";
} elseif($hp[0]==4 || $hp[0]==6 || $hp[0]==8 || $hp[0]==9) echo "<input type=\"hidden\" name=\"anm1\" value=\"\" />\n";
if($ttt || $hp[0]>1 && $prio2 != -1) {
	echo "<tr><td>&nbsp;</td></tr>";
	new stwTabLine(2,4);
	echo "<tr><td>&nbsp;</td></tr>";
	echo "<tr><th>";
	if($hp[0] == 6 || $hp[0] == 8) echo "2. ";
	elseif($hp[0] == 10 || $hp[0] == 7) echo "3. ";
	else {
		echo "1. ";
		if($hp[0] != 4 && $hp[0] != 9) echo "& 2. ";
	}
	echo "Erreichung der Ziele aus Sicht der <span style=\"color:#009900\">" . ($ttt ? 'Sozialp&auml;dagogen' : 'Eltern/Sorgeberechtigten') . "</span></th>\n<td class=\"cl11\">";
	$id = (isset($hp_vor)) ? $hp_vor['ad2_skala'] : 0;
	$skala->displaySkala("ad2_skala", $id, $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td colspan=\"3\"><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"ad_err2\" tabindex=\"$ti\">";
	echo (isset($hp_vor)) ? $hp_vor['ad_err2'] : '';
	echo "</textarea></td></tr>\n";
	$ti++;
	if($hp[0]!=4 && $hp[0]!=6 && $hp[0]!=8 && $hp[0]!=9) {
		if($hp[0]==3) $a = "3.3. ";
		if($hp[0]==10 || $hp[0]==7) $a = "4. ";
		echo "<tr><th>$a Vorstellungen der <span style=\"color:#009900\">" . ($ttt ? 'Sozialp&auml;dagogen' : 'Eltern/Sorgeberechtigten') . "</span> zur k&uuml;nftigen Ausgestaltung der Hilfe</th></tr>\n";
		echo "<tr><td colspan=\"3\"><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"ad_vor2\" tabindex=\"$ti\">";
		echo (isset($hp_vor)) ? $hp_vor['ad_vor2'] : '';
		echo "</textarea></td></tr>\n";
		$ti++;
	}
	if(($hp[0]==4 || $hp[0]==6 || $hp[0]==8 || $hp[0]==9) && $_GET['ziel_id'] > 0) {
		$schritteSB = array();
		$schritte=abfrage1("select ph.schritt_id, h.schritt, ph.verantwortlich from tbh_hp_ziel_pers_handlungsschritt ph
							left join tb_hp_handlungsschritte h on(h.id = ph.schritt_id and h.ziel_id = ph.ziel_id)
							where ph.hp_id='{$_GET['hp_id']}' and ph.ziel_id='{$_GET['ziel_id']}' and ph.person_id='-3'");
		while($schritt = mysql_fetch_row($schritte)) {
			$schritteSB[$schritt[0]] = $schritt[1];
		}
		echo "<input type=\"hidden\" name=\"person_id2\" value=\"-3\" />\n";
		new stwTabLine(2,4);
		echo "<tr><th colspan=\"3\">$dreipunktzwei. Handlungsschritte <span style=\"color:#009900\">Eltern/Sorgeberechtigte</span>: &nbsp;";
		echo "<select name=\"add_hs_sb\" onchange=\"this.form.submit()\"><option value=\"0\">Handlungsschritt zuordnen</option>\n";
		mysql_data_seek($handlungsschritte, 0);
		while($row = mysql_fetch_array($handlungsschritte)) {
			if(empty($schritteSB[$row[7]])) echo "<option value=\"$row[7]\">".$row['schritt']."</option>\n";
		}
		echo "</select></td></tr>\n";
		foreach($schritteSB as $k => $schr) {
			echo "<tr class=\"mo\"><td colspan=\"3\">- $schr</td><td style=\"text-align:right\">";
			echo "<input type=\"submit\" name=\"delHS[$k]\" value=\"-3\" ";
			echo "style=\"background-image:url(img/del_kal.png);background-repeat:no-repeat;width:12px;color:transparent;background-color:#333333\" /></td></tr>\n";
		}
		new stwTabLine(2,4);
		echo "<tr><th colspan=\"3\">$dreipunktzwei. Vorstellungen <span style=\"color:#009900\">Eltern/Sorgeberechtigte</span> - Verbalteil (zus&auml;tzliche Anmerkungen):</th></tr>\n";
		$anm = abfrage("select anmerkung from tbh_hp_ziel_pers_data where hp_id='{$_GET['hp_id']}' and ziel_id='{$_GET['ziel_id']}' and person_id='-3'");
		if(empty($anm[0])) $anm[0] = $hp_vor['ad_vor2'];
		echo "<tr><td colspan=\"3\"><textarea rows=\"4\" cols=\"100\" style=\"width:100%\" name=\"anm2\" tabindex=\"$ti\">$anm[0]</textarea></td></tr>\n";
	} elseif($ttt) echo "<input type=\"hidden\" name=\"anm2\" value=\"\" />\n";
} elseif($ttt || $hp[0]==4 || $hp[0]==6 || $hp[0]==7 || $hp[0]==8 || $hp[0]==9) echo "<input type=\"hidden\" name=\"anm2\" value=\"\" />\n";
if($ttt || $hp[0] == 3 || $hp[0] == 4 || $hp[0] == 6 || $hp[0] == 7 || $hp[0] == 8 || $hp[0] == 9) {
	if($ttt) $sql = "select -4 union select -5 ";
	else $sql = "select person_id from tbh_proj_personen 
				where proj_id = $projekt->id and perstyp_id=5 and sorgerecht='n'
				order by person_id asc;";
	$bez = abfrage1($sql);
	$i = 3;
	if($ttt || $hp[0] == 7) $dreipunktzwei = 4;
	while($be = mysql_fetch_row($bez)) {
		echo "<tr><td>&nbsp;</td></tr>";
		new stwTabLine(2,4);
		echo "<tr><td>&nbsp;</td></tr>";
		$name = "<span style=\"color:#009900\">".person_name($be[0])."</span>";
		echo "<input type=\"hidden\" name=\"person_id$i\" value=\"$be[0]\" />\n";
		echo "<tr><th>";
		if($hp[0] == 6 || $hp[0] == 8) echo 2;
		elseif($hp[0] == 10 || $hp[0] == 7 || $ttt) echo 3;
		else echo 1;
		echo ". Erreichung der Ziele aus Sicht " . ($be[0] < 0 ? 'der' : 'von') . " $name</th>\n<td class=\"cl11\">";
		if($i < 5) $id = (isset($hp_vor)) ? $hp_vor["ad".$i."_skala"] : 0;
		else {
			$skval = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '".$_GET['hp_id']."' and ziel_id = '".$_GET['ziel_id']."' and person_id = '$be[0]'");
			$id = empty($skval[0]) ? 0 : $skval[0];
		}
		$skala->displaySkala("ad".$i."_skala", $id, $ti++);
		echo "</td></tr>\n";
		if(($ttt || $hp[0]==4 || $hp[0]==6 || $hp[0]==7 || $hp[0]==8 || $hp[0]==9) && $_GET['ziel_id'] > 0) {
			$anm = abfrage("select anmerkung, rueckblick from tbh_hp_ziel_pers_data where hp_id='{$_GET['hp_id']}' and ziel_id='{$_GET['ziel_id']}' and person_id='$be[0]'");
			echo "<tr><td colspan=\"3\"><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"ad_err".$i."\" tabindex=\"$ti\">$anm[1]</textarea></td></tr>\n";
			$ti++;
			if(!$ttt && $hp[0]!=7) {
				$schritteBE = array();
				$schritte=abfrage1("select ph.schritt_id, h.schritt from tbh_hp_ziel_pers_handlungsschritt ph
									left join tb_hp_handlungsschritte h on(h.id = ph.schritt_id and h.ziel_id = ph.ziel_id)
									where ph.hp_id='{$_GET['hp_id']}' and ph.ziel_id='{$_GET['ziel_id']}' and ph.person_id='$be[0]'");
				while($schritt = mysql_fetch_row($schritte)) {
					$schritteBE[$schritt[0]] = $schritt[1];
				}
				echo "<tr><th colspan=\"3\">$dreipunktzwei. Handlungsschritte $name: &nbsp;";
				echo "<select name=\"add_hs_$i\" onchange=\"this.form.submit()\"><option value=\"0\">Handlungsschritt zuordnen</option>\n";
				mysql_data_seek($handlungsschritte, 0);
				while($row = mysql_fetch_array($handlungsschritte)) {
					if(empty($schritteBE[$row[7]])) echo "<option value=\"$row[7]\">".$row['schritt']."</option>\n";
				}
				echo "</select></td></tr>\n";
				foreach($schritteBE as $k => $schr) {
					echo "<tr class=\"mo\"><td colspan=\"3\">- $schr</td><td style=\"text-align:right\">";
					echo "<input type=\"submit\" name=\"delHS[$k]\" value=\"$be[0]\" ";
					echo "style=\"background-image:url(img/del_kal.png);background-repeat:no-repeat;width:12px;color:transparent;background-color:#333333\" /></td></tr>\n";
				}
			}
			echo "<tr><th colspan=\"3\">$dreipunktzwei. Vorstellungen $name - Verbalteil (zus&auml;tzliche Anmerkungen):</th></tr>\n";
			echo "<tr><td colspan=\"3\"><textarea rows=\"4\" cols=\"100\" style=\"width:100%\" name=\"anm$i\" tabindex=\"$ti\">$anm[0]</textarea></td></tr>\n";
		}
		$i++;
	}
}

if(empty($hp[0])) {
  if ($hp[0] == 1 || (is_null($hp[0]) && $hpv_form[0] > 0 && $hpv_form[1] <= $hp[1] && $hpv_form[1]>0)){
	$text1 = '7.2 L';
  } else {
	echo "<tr><th>7.2 L Erreichung der Ziele aus Sicht des Leistungserbringers:</th></tr>\n";
	echo "<tr><td><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"le_err\" tabindex=\"$ti\">";
	echo (isset($hp_vor)) ? $hp_vor['le_err'] : '';
	echo "</textarea></td></tr>\n";
	$ti++;
	$text1 = '7.3 L';
  }

  echo "<tr><th>$text1 Vorstellungen des Leistungserbringers zur k&uuml;nftigen Ausgestaltung der Hilfe</th></tr>\n";
  echo "<tr><td><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"le_vor\" tabindex=\"$ti\">";
  echo (isset($hp_vor)) ? $hp_vor['le_vor'] : '';
  echo "</textarea></td></tr>\n";
  $ti++;

  echo "<tr><th>7.3 A Erreichung der Ziele aus Sicht des Adressaten</th></tr>\n";
  echo "<tr><td><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"ad_err\" tabindex=\"$ti\">";
  echo (isset($hp_vor)) ? $hp_vor['ad_err'] : '';
  echo "</textarea></td></tr>\n";
  $ti++;

  echo "<tr><th>7.3 A Vorstellungen des Adressaten zur k&uuml;nftigen Ausgestaltung der Hilfe</th></tr>\n";
  echo "<tr><td><textarea rows=\"7\" cols=\"100\" style=\"width:100%\" name=\"ad_vor\" tabindex=\"$ti\">";
  echo (isset($hp_vor)) ? $hp_vor['ad_vor'] : '';
  echo "</textarea></td></tr>\n";
  $ti++;
}
echo "<tr><td>&nbsp;</td></tr>";
new stwTabLine(2,30);
echo "<tr><td><input type=\"submit\" name=\"Speichern\" value=\"Speichern\" tabindex=\"$ti\"></td></tr>\n";
echo "</table>\n";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"{$_GET['proj_id']}\">\n";
echo "<input type=\"hidden\" name=\"hp_id\" value=\"{$_GET['hp_id']}\">\n";
echo "<input type=\"hidden\" name=\"ziel_id\" value=\"{$_GET['ziel_id']}\">\n";
if(isset($_GET['order'])) 
  echo "<input type=\"hidden\" name=\"order\" value=\"{$_GET['order']}\">\n";
echo "<input type=\"hidden\" name=\"status\" value=\"";
echo (isset($hp_vor)) ? 'u' : 'i';
echo "\">\n";
echo "</form>\n";
new stwEnd($seite);
?>
