<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_hp2ziele.php 2801 2017-09-28 20:15:22Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

if (isset($_GET['ziel_id'])){
	$query = "SELECT t1.ziel,
					 t3.proj_id,
					 t3.hp_id,
					 t3.datum,
					 t1.nummer,
					 t1.id,
					 t1.termin,
					 t1.HE,
					 t1.LE,
					 t1.ASD,
					 t1.le_datum,
					 t1.he_datum,
					 t1.asd_datum,
					 t1.erledigt,
					 t1.prio,
					 t1.erreicht,
					 t1.grund,
					 t1.weiter,
					 t2.schritt,
					 t2.verantwortlich,
					 t2.id as hs_id,
					 date_format(le_datum, '%d.%m.%Y') as datum_le,
					 date_format(he_datum, '%d.%m.%Y') as datum_he,
					 date_format(asd_datum, '%d.%m.%Y') as datum_asd,
					 date_format(erledigt, '%d.%m.%Y') as datum_erl,
					 t1.prio2,
					 t1.prio3,
					 t1.kategorie
				FROM tb_hp_praxisziele t1
				LEFT JOIN tb_hp_handlungsschritte t2 ON t2.ziel_id = t1.id
				LEFT JOIN tb_hp t3 ON t3.hp_id = t1.hp_id
				WHERE t1.id = '{$_GET['ziel_id']}';";
	$res = abfrage1($query);

	while($row = mysql_fetch_assoc($res)){
		if (!isset($chk[$row['id']])){
			$nummer = $row['nummer'];
			$prio = $row['prio'];
			$prio2 = $row['prio2'];
			$prio3 = $row['prio3'];
			$kategorie = $row['kategorie'];
			$ziel = $row['ziel'];
			$erreicht = $row['erreicht'];
			$weiter = $row['weiter'];
			$grund = $row['grund'];
			$hp_id = $row['hp_id'];
			$proj_id = $row['proj_id'];
			$termin = date_my2gr($row['termin']);


			if ($row['LE'] == 1){
			  $checked_le = ' checked ';
			  $datum_le = $row['datum_le'];
			}

			if ($row['HE'] == 1){
			  $checked_he = ' checked ';
			  $datum_he = $row['datum_he'];
			}

			if ($row['ASD'] == 1){
			  $checked_asd = ' checked ';
			  $datum_asd = $row['datum_asd'];
			}

			if (!empty($row['erledigt'])){
			  $checked_erl = ' checked ';
			  $datum_erl = $row['datum_erl'];
			}

			$chk[$row['id']] = true;
		}

		$hsrs = abfrage1("select id, schritt, verantwortlich, kat_id, nummer
						from tb_hp_handlungsschritte
						where ziel_id = {$row['id']}
						order by nummer asc, id asc;");
		while ($hsr = mysql_fetch_assoc($hsrs)){
			$hs[$hsr['id']]['id'] = $hsr['id'];
			$hs[$hsr['id']]['nr'] = $hsr['nr'];
			$hs[$hsr['id']]['sc'] = $hsr['schritt'];
			$hs[$hsr['id']]['vr'] = $hsr['verantwortlich'];
			$hs[$hsr['id']]['ka'] = $hsr['kat_id'];
		}
		if (count($hs) < 7){
			while (count($hs) < 7){
				$no = count($hs) + 1;
				$hs[$no]['nr'] = $no;
			}
		}
	}

} else {

	$hp_id = (isset($_GET['hp_id'])) ? $_GET['hp_id'] : $_SESSION['hp_id'];
	$erg = abfrage("SELECT proj_id FROM tb_hp WHERE hp_id = $hp_id;");
	$proj_id = $erg[0];

	// Nummer ermitteln fuer Praxisziel des Projektes
	$erg = abfrage("SELECT max(t1.nummer) + 1
	               FROM tb_hp_praxisziele t1
				         LEFT JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
                 WHERE t2.proj_id = $proj_id;");
	$nummer = (is_null($erg[0])) ? 1 : $erg[0];

	$hs = array();

}

if(!check_projekt_berechtigung($proj_id)) {
	echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
	new stwEnd($seite);
	exit(0);
}

$projekt = new stwProjekt($proj_id);

$ttt = ($projekt->h_art == 'TTT');

echo "<table width=\"750\">\n";
echo "<tr><th style=\"padding-right:10px\">Projekt-Nr.:</th>\n";
echo "<td style=\"padding-right:20px\">";
echo "<a href=\"pro_daten.php?proj_id=$projekt->id\">";
echo $projekt->nummer() . "</a></td>\n";
echo "<th style=\"padding-right:10px\">Klient:</th>";
echo "<td style=\"padding-right:20px\">" . $projekt->name() . "</td>\n";

// Jugendamt und Sachbearbeiter ermitteln
$ja = abfrage("SELECT t3.name2, t3.kont_id
		      FROM tb_kontakte_ap t2
              left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
              WHERE t2.ap_id = $projekt->sb;");
echo "<th style=\"padding-right:10px\">Jugendamt:</th>";
echo "<td style=\"padding-right:20px\">$ja[0]</td>\n";
echo "</table>\n\n";

new stwLine(1);

if (isset($_GET['hp_id2']) && !empty($_GET['hp_id2'])) $id = $_GET['hp_id2'];
elseif (isset($_GET['hp_id']) && !empty($_GET['hp_id'])) $id = $_GET['hp_id'];
elseif (isset($_GET['ziel_id']) && !empty($_GET['ziel_id'])) {
	$temp = abfrage("select hp_id from tb_hp_praxisziele where id=".$_GET['ziel_id']);
	$id = $temp[0];
} else $id=$_SESSION['hp_id'];
$hpv_form = abfrage("select hpv_form from tb_hp where hp_id=$id");
$ti = 1;
echo "<form action=\"pro_hp2ziele_sql.php\" method=\"POST\" name=\"hp2_ziele\">\n";
echo "<table>\n";
echo "<tr><th>Nummer:</th>\n";
echo "<td><table cellspacing=\"0\" cellpadding=\"0\"><tr>\n";
echo "<td width=\"50\"><input type=\"text\" name=\"nummer\" size=\"3\" value=\"$nummer\" ";
echo "style=\"text-align:center\" tabindex=\"$ti\"></td>"; $ti++;
if($ttt) {
	echo "<td><input type=\"hidden\" name=\"relevant\" value=\"1\" />\n";
	echo "<input type=\"hidden\" name=\"relevant2\" value=\"1\" />\n";
	echo "<input type=\"hidden\" name=\"relevant3\" value=\"1\" /></td>\n";
} else {
	echo "<td width=\"30\" style=\"vertical-align:middle\"><input type=\"checkbox\" ";
	echo ($prio == -1) ? "" : "checked ";
	echo "name=\"relevant\" value=\"1\"></td>\n";
	echo "<td width=\"130\">";
	echo $hpv_form[0] == 7 ? "Teilnehmer" : "Kind / Jugendlicher";
	echo "</td>\n";
	echo "<td width=\"30\" style=\"vertical-align:middle\"><input type=\"checkbox\" ";
	echo ($prio2 == -1) ? "" : "checked ";
	echo" name=\"relevant2\" value=\"1\"></td>\n";
	echo "<td width=\"130\">Sorgeberechtigte</td>\n";
	echo "<td width=\"30\" style=\"vertical-align:middle\"><input type=\"checkbox\" ";
	echo ($prio3 == -1) ? "" : "checked ";
	echo" name=\"relevant3\" value=\"1\"></td>\n";
	echo "<td width=\"130\">Leistungserbringer</td>\n";
}
echo "</tr></table></td>";
echo "</tr>\n<tr><th>Priorit&auml;t:</th>\n";
if($hpv_form[0] == 4) echo "<td><table cellspacing=\"0\" cellpadding=\"0\"><tr>\n<td width=\"50\">&nbsp;</td>";
echo "<td width=\"30\"><input type=\"text\" name=\"prio\" size=\"3\" ";
if($hpv_form[0] != 4) $prio = max($prio,$prio2,$prio3);
if($prio > 0) echo "value=\"$prio\" ";
echo "style=\"text-align:center\" tabindex=\"$ti\"></td>"; $ti++;
if($hpv_form[0] == 4) {
	echo "<td width=\"130\">&nbsp;</td>";
	echo "<td width=\"30\"><input type=\"text\" name=\"prio2\" size=\"3\" ";
	if($prio2 > 0) echo "value=\"$prio2\" ";
	echo "style=\"text-align:center\" tabindex=\"$ti\"></td>"; $ti++;
	echo "<td width=\"130\">&nbsp;</td>";
	echo "<td width=\"30\"><input type=\"text\" name=\"prio3\" size=\"3\" ";
	if($prio3 > 0) echo "value=\"$prio3\" ";
	echo "style=\"text-align:center\" tabindex=\"$ti\"></td>"; $ti++;
	echo "</tr></table></td>";
}
echo "</tr>\n<tr><th>Zielkategorie";
if($_SESSION[$AppCode]['ULV'] >= 60) {
	echo " <a href=\"zielkat.php?hp_id=$id\"";
	echo stwToolTip('Zielkategorien konfigurieren');
	echo "><img src=\"img/edit.png\" /></a>";
}
echo ":</th>";
echo "<td><select name=\"kategorie\" size=\"1\" tabindex=\"$ti\">"; $ti++;
echo "<option value=\"0\">- Kategorie w&auml;hlen -</option>\n";
$kats=abfrage1("SELECT z.*, k.* FROM tbh_kont_zielkategorie k
				left join tb_zielkategorie z using(zielkategorie_id)
				where (k.kont_id='$projekt->ja' or z.zielkategorie_id='$kategorie')
				and k.aktiv = 'j' group by k.zielkategorie_id");
while($kat = mysql_fetch_array($kats)){
	$selected = ($kat[0] == $kategorie) ? 'selected' : '';
	if(strlen($kat['farbe']) > 0 && $kat['farbe'] != '#CCCCCC') {
		$style = "style=\"color:{$kat['farbe']};font-weight:bold\"";
	} else $style = '';
	echo "<option $style $selected value=\"$kat[0]\">$kat[1]</option>\n";
}
echo "</select></td></tr>\n";
echo "</tr>\n<tr><th>Praxisziel:</th>";
echo "<td><textarea name=\"ziel\" cols=\"70\" rows=\"2\" tabindex=\"$ti\">"; $ti++;
echo (isset($_GET['ziel_id'])) ? $ziel : '';
echo "</textarea></td></tr>\n";

new stwTabLine(1,30);

$i = 1;

foreach ($hs as $arr){
	$no = (empty($arr['nr'])) ? $i : $arr['nr'];
	if ($arr['id'] > 0){
		echo "<input type=\"hidden\" name=\"hs[$no][id]\" value=\"{$arr['id']}\">\n";
	}
	echo "<tr><th>Nummer:</th>";
	echo "<td><input type=\"text\" name=\"hs[$no][nr]\" size=\"3\" ";
	echo "maxlength=\"3\" value=\"$no\" tabindex=\"$ti\" "; $ti++;
	echo "style=\"text-align:center\"></td></tr>\n";

	echo "<tr><th>Handlungsschritt:</th>";
	echo "<td><textarea name=\"hs[$no][sc]\" style=\"height:16px\" cols=\"90\" tabindex=\"$ti\">"; $ti++;
	echo $arr['sc'] . "</textarea></td></tr>\n"; 

	echo "<tr><th>verantwortlich:</th><td>";
	if($hpv_form[0] == 4 || $hpv_form[0] == 6) {
		echo "Zuordnung erfolgt in der <a href=\"pro_hp2vor.php?ziel_id=".$_GET['ziel_id'];
		echo "&amp;hp_id=$id&amp;proj_id=$proj_id\">Hilfeplan-Vorbereitung</a>";
	} else {
		echo "<input type=\"text\" name=\"hs[$no][vr]\" size=\"25\" ";
		echo "maxlength=\"25\" value=\"{$arr['vr']}\" tabindex=\"$ti\">"; $ti++;
	}
	echo "</td></tr>\n<tr><th>GA-Kategorie:</th>";
	echo "<td><select name=\"hs[$no][ka]\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\">Gruppenarbeits-Kategorie w&auml;hlen!</option>\n";

	$kats = abfrage1("select kat_id, ga_kat from tb_ga_kat order by ga_kat asc;");

	while ($kat = mysql_fetch_row($kats)){
		echo "<option value=\"$kat[0]\"";
		echo ($arr['ka'] == $kat[0]) ? ' selected' : '';
		echo ">$kat[1]</option>\n";
	}
	echo "</select></td>\n";
	echo "</tr>\n";
	new stwTabLine(2,30);
	$i++;

}

 /* wenn hp_id2 uebergeben diese nehmen */
 if (isset($_GET["hp_id2"]) && !empty($_GET["hp_id2"]))
 {
   $sql   = "SELECT datum FROM tb_hp WHERE hp_id='".$_GET["hp_id2"]."'";
   $datum = abfrage($sql);

   $sql   = "SELECT hp_id FROM tb_hp WHERE datum>'".$datum[0]."' ";
   $sql  .= "AND proj_id='".$proj_id."' AND (hp_art='h2' OR hp_art='h')";

   $erg   = abfrage($sql);
 }
 else
 {
   // HP-Datum ermitteln
   $datum = abfrage("SELECT datum
                 FROM tb_hp
                 WHERE hp_id = $hp_id;");

   // evtl. neueres HP-Datum ermitteln
   $erg = abfrage("SELECT hp_id
                FROM tb_hp
                WHERE datum > '$datum[0]'
                AND proj_id = '$proj_id'
                AND (hp_art='h2' OR hp_art='h');");
 }

// Gibt es Datensaetze wo das HP-Datum groesser ist als Datum vom
// gewaehlten HP -> gewaehlter HP ist letzter HP -> Haken koennen geaendert
// werden, ansonsten gibt es noch neuere -> Haken nicht mehr geaendert
if ((empty($erg[0]) && empty($checked_erl)) || $_SESSION[$AppCode]['ULV'] >= 96){
  $disabled = '';
} else {
  $disabled = 'disabled ';
	// Checkboxen mit "disabled" werden nicht uebertragen, daher hidden-fields
	if (!empty($checked_le)) echo "<input type=\"hidden\" name=\"leistungserbringer\" value=\"true\">\n";
	if (!empty($checked_he)) echo "<input type=\"hidden\" name=\"hilfeempfaenger\" value=\"true\">\n";
	if (!empty($checked_asd)) echo "<input type=\"hidden\" name=\"asd\" value=\"true\">\n";
}

echo "<tr><th>Termin:</th>\n";
echo "<td><input type=\"text\" name=\"termin\" value=\"";
echo (isset($_GET['ziel_id'])) ? $termin : '';
echo "\" tabindex=\"$ti\">&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n"; $ti++;

if(getConf('traeger') == 'sik') {
	new stwTabLine(2,20);
	echo "<tr><th colspan=\"2\" style=\"padding-left:100px\">Ziel vereinbart von:</th>\n";

}

echo "<tr><th style=\"padding-right:10px\">Leistungserbringer:</th>";
echo "<td><input type=\"checkbox\" name=\"leistungserbringer\" ";
echo $checked_le . $disabled . " tabindex=\"$ti\">"; $ti++;

if ($_SESSION[$AppCode]['ULV'] >= 96){
  echo "&nbsp;&nbsp;<input type=\"text\" name=\"datum_and[le]\" ";
  echo "value=\"$datum_le\" tabindex=\"$ti\">"; $ti++;
} else {
  echo '&nbsp;&nbsp;' . $datum_le;
}
echo "</td></tr>\n";


echo "<tr><th style=\"padding-right:10px\">Hilfeempf&auml;nger:</th>\n";
echo "<td><input type=\"checkbox\" name=\"hilfeempfaenger\" ";
echo $checked_he . $disabled . "tabindex=\"$ti\">"; $ti++;

if ($_SESSION[$AppCode]['ULV'] >= 96){
  echo "&nbsp;&nbsp;<input type=\"text\" name=\"datum_and[he]\" ";
  echo "value=\"$datum_he\" tabindex=\"$ti\">"; $ti++;
} else {
  echo '&nbsp;&nbsp;' . $datum_he;
}
echo "</td></tr>\n";


echo "<tr><th style=\"padding-right:10px\">Jugendamt ASD:</th>\n";
echo "<td><input type=\"checkbox\" name=\"asd\" ";
echo $checked_asd . $disabled . "tabindex=\"$ti\">"; $ti++;

if ($_SESSION[$AppCode]['ULV'] >= 96){
  echo "&nbsp;&nbsp;<input type=\"text\" name=\"datum_and[asd]\" ";
  echo "value=\"$datum_asd\" tabindex=\"$ti\">"; $ti++;
} else {
  echo '&nbsp;&nbsp;' . $datum_asd;
}
echo "</td></tr>\n";

new stwTabLine(2,20);

echo "<tr><th style=\"padding-right:10px\">erledigt:</th>\n";
if ($checked_erl == ' checked ' && $erg[0] > 0){
  echo "<input type=\"hidden\" name=\"erledigt\" value=\"true\"/>";
}
$disabled_erl = ($erg[0] > 0) ? ' disabled ' : '';
echo "<td><input type=\"checkbox\" name=\"erledigt\" ";
echo $checked_erl . $disabled_erl . "tabindex=\"$ti\">"; $ti++;
if ($_SESSION[$AppCode]['ULV'] >= 96){
  echo "&nbsp;&nbsp;<input type=\"text\" name=\"datum_and[erl]\" ";
  echo "value=\"$datum_erl\" tabindex=\"$ti\">"; $ti++;
} else {
  echo $datum_erl;
}
echo "</td></tr>\n";

if($hpv_form[0] == 1 || $hpv_form[0] == 8) {
	echo "<tr><th style=\"padding-right:10px\">Ziel erreicht:</th><td>\n";
	echo "<input type=\"radio\" name=\"erreicht\" value=\"j\" tabindex=\"$ti\""; $ti++;
	echo ($erreicht == 'j') ? ' checked' : '';
	echo ">&nbsp;ja&nbsp;&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"erreicht\" value=\"n\" tabindex=\"$ti\""; $ti++;
	echo ($erreicht == 'n') ? ' checked' : '';
	echo ">&nbsp;nein</td></tr>\n";
}
if($hpv_form[0] == 1 || $hpv_form[0] == 10) {
	echo "<tr><th>Begr&uuml;ndung:</th><td>";
	echo "<textarea name=\"grund\" cols=\"70\" rows=\"2\" tabindex=\"$ti\">"; $ti++;
	echo (isset($_GET['ziel_id'])) ? $grund : '';
	echo "</textarea></td></tr>\n";
}
if($hpv_form[0] == 1) {
	echo "<tr><th></th><td>";
	echo "<input type=\"radio\" name=\"weiter\" value=\"\" tabindex=\"$ti\""; $ti++;
	echo empty($weiter) ? ' checked' : '';
	echo ">&nbsp;Weiterverfolgung&nbsp;&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"weiter\" value=\"a\" tabindex=\"$ti\""; $ti++;
	echo ($weiter == 'a') ? ' checked' : '';
	echo ">&nbsp;Nichtweiterverfolgung&nbsp;&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"weiter\" value=\"b\" tabindex=\"$ti\""; $ti++;
	echo ($weiter == 'b') ? ' checked' : '';
	echo ">&nbsp;neues Praxisziel</td></tr>\n";
}
new stwTabLine(1,30);

echo "<tr><td><input type=\"submit\" name=\"save_pz\" value=\"speichern\" ";
echo "tabindex=\"$ti\"></td></tr></table>\n"; $ti++;

if (isset($_GET['ziel_id'])){
	echo "<input type=\"hidden\" name=\"ziel_id\" value=\"{$_GET['ziel_id']}\">\n";
}

 /* falls hp_id2 uebergeben wurde, diese Zahl nutzen */
 if (isset($_GET["hp_id2"])) $hp_id = $_GET["hp_id2"];

echo "<input type=\"hidden\" name=\"hp_id\" value=\"$hp_id\">\n";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"$proj_id\">\n";
if(isset($_GET['order'])) 
  echo "<input type=\"hidden\" name=\"order\" value=\"{$_GET['order']}\">\n";
echo "</form>\n";
new stwEnd($seite);
?>
