<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_kwg_pr.php 2918 2018-12-03 07:33:23Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
$pdf_datei = 'mandant/' . $_SESSION[$AppCode]['TR'] . '/pdf_6.inc.php';
require_once($pfad . $pdf_datei);
require_once($pfad . 'inc/func.inc.php');
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(20.0);
$pdf->SetAutoPageBreak(auto,40);

$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();

// Adresse
$pdf->SetFont('Arial','',11);
$sql  = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, ";
$sql .= "t3.ort, t2.fax from tb_projekte t1 ";
$sql .= "left join tb_kontakte_ap t2 using (ap_id) ";
$sql .= "left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0' ";
$sql .= "where t1.proj_id = '$rvar_proj_id';";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,5,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,5,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,5,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,5,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,5,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,6,$fax);
}

// Infozeile

$pdf->SetY(110);
$pdf->SetFont('Arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y')
				from tb_hp h
				left join tb_personal p using(pers_id)
				where hp_id = '$rvar_hp_id';");

$pdf->Cell(50,$zh,$projekt->nummer());
$pdf->Cell(50,$zh,$info[0]);
$pdf->Cell(45,$zh,$info[1]);
$heute = date('d.m.Y');
$pdf->Cell(20,$zh,$heute);

// berschrift
$pdf->SetFont('stw','',12);
$pdf->SetY(118);
$pdf->Cell(100,$zh,"Meldung Kindeswohlgefhrdung");
// $pdf->SetXY(15,108);
$pdf->Ln(5);
$dat1 = $projekt->name();
$pdf->Cell(100,$zh,$dat1);

$hp = abfrage("select date_format(datum, '%d.%m.%Y'), #0
				pers_id, #1
				ziele, #2
				teilnehmer, #3
				date_format(and_datum, '%d.%m.%Y'), #4
				ap_id, #5
				st_grund, #6
				unix_timestamp(and_datum), #7
				and_datum, #8
				datum, #9
				ressourcen, #10
				kontakt, #11
				fb_ok, #12
				fb_ok_ts, #13
				fallbegl_antrag, #14
				hp_art #15
				from tb_hp where hp_id = $rvar_hp_id;");
if($hp[15] == 'kz') { // KWG-Zwischenbericht
	$kwg = abfrage("select date_format(h.datum, '%d.%m.%Y'), h.datum from tbh_kwz_hp z left join tb_hp h using(hp_id) where z.kwz_id=$rvar_hp_id and h.hp_art='k'");
	$hp[0] = $kwg[0];
	$hp[9] = $kwg[1];
}
$pdf->Ln($zh * 2);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(25,$zh,'Anlass:');
$pdf->SetFont('Arial','',10);
$pdf->MultiCell(140, 4.5, $hp[10], 0,'L');

$pdf->Ln($zh);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(25,$zh,'Beschreibung:');
$pdf->SetFont('Arial','',10);
$pdf->MultiCell(140, 4.5, $hp[2], 0,'L');

$pdf->Ln($zh);

$pdf->SetFont('Arial','B',10);
if(empty($hp[11])) $pdf->Cell(165,$zh,'Einbeziehung Erziehungsberechtigte, Kind/Jugendlicher noch nicht geklrt',0,1);
else {
	$pdf->Cell(25,$zh,'Einbeziehung Erziehungsberechtigte, Kind/Jugendlicher:');
	$pdf->SetFont('Arial','',6);
	$txt = ($hp[15] == 'kz') ? '' : '('.pers_name($hp[12])." ".date('d.m.Y H:i', $hp[13])." Uhr)";
	$pdf->Cell(140,$zh,$txt,0,1,'R');

	$nicht = ($hp[11]=='j') ? '' : ' nicht';
	$punkt = ($hp[11]=='j') ? '.' : ", weil hierdurch der wirksame Schutz des Kindes oder Jugendlichen in Frage steht.";
	$pdf->SetFont('Arial','',9.75);
	$pdf->MultiCell(165, 4.5, "Die Erziehungsberechtigten sowie das Kind oder der Jugendliche wurden$nicht in die Gefhrdungseinschtzung einbezogen$punkt", 0,'L');
	if($hp[11]=='n') {
		$pdf->SetFont('Arial','b',9.75);
		$pdf->write(4.5,'Begrndung: ');
		$pdf->SetFont('Arial','',9.75);
		$pdf->write(4.5,$hp[14]);
		$pdf->Ln($zh);
	}
}
$pdf->Ln($zh);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(25,$zh,'Im Hinblick auf das Alter des Kindes halt ich es fr ...');

$pdf->Ln($zh);
$pdf->SetFont('Arial','B',10);
$hin = ($hp[3] == 1) ? 'X' : '';
$pdf->Cell(7,$zh,$hin, 'B', 0, 'C');
$pdf->SetFont('Arial','',10);
$pdf->Cell(155,$zh,'nicht gefhrdet und sehe auch keinen Handlungsbedarf.');

$pdf->Ln($zh);
$pdf->SetFont('Arial','B',10);
$hin = ($hp[3] == 2) ? 'X' : '';
$pdf->Cell(7,$zh,$hin, 'B', 0, 'C');
$pdf->SetFont('Arial','',10);
$pdf->Cell(155,$zh,'nicht gefhrdet, sehe aber weiteren Untersttzungsbedarf.');

$pdf->Ln($zh);
$pdf->SetFont('Arial','B',10);
$hin = ($hp[3] == 3) ? 'X' : '';
$pdf->Cell(7,$zh,$hin, 'B', 0, 'C');
$pdf->SetFont('Arial','',10);
$pdf->Cell(155,$zh,'gefhrdet, wenn nicht ber Hilfe Vernderungen erzielt werden.');

$pdf->Ln($zh);
$pdf->SetFont('Arial','B',10);
$hin = ($hp[3] == 4) ? 'X' : '';
$pdf->Cell(7,$zh,$hin, 'B', 0, 'C');
$pdf->SetFont('Arial','',10);
$pdf->Cell(155,$zh,'akut gefhrdet und halte eine Herausnahme derzeit fr die');
$pdf->Ln($zh);
$pdf->Cell(7,$zh,'');
$pdf->Cell(155,$zh,'einzige Mglichkeit der Gefahrenabwendung.');

if(!empty($hp[4])) {
	$pdf->Ln(2*$zh);
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(25,$zh,'Ende :');
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(25,$zh,$hp[4]);
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(25,$zh,'durch :');
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(25,$zh,pers_name($hp[5]));

	$pdf->Ln($zh);

	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(25,$zh,'Grund :');
	$pdf->SetFont('Arial','',10);
	$pdf->MultiCell(140, 4.5, $hp[6], 0,'L');
}
$pdf->AddPage();

$pdf->SetFont('Arial','B',10);

$pdf->Cell(150, $zh, 'Zeitkarten :');

$sql = "select date_format(t.von, '%d.%m.%Y'),
		date_format(t.von, '%k:%i'),
		date_format(t.bis, '%k:%i'),
		time_format(z.fls, '%k:%i'),
		time_format(sec_to_time(unix_timestamp(t.bis) -
		unix_timestamp(t.von) - time_to_sec(z.fls)), '%k:%i'),
		z.code,
		z.inhalte,
		concat(left(p.vorname, 1), '. ', p.name),
		z.inhalte2,
		z.km_dienst,
		z.km_privat,
		z.spesen_betr,
		z.spesen_eig,
		z.zk_id,
		z.spesen_text,
		r.name
		from tb_ab_zk z
		left join tb_termine t on z.termin_id = t.termin_id
		left join tb_personal p on z.pers_id = p.pers_id
		left join tb_ressourcen r on z.res_id = r.res_id ";
if($hp[15] == 'kz') $sql .= "left join tbh_kwz_zk k using (zk_id) ";
$sql.= "where z.proj_id = '$rvar_proj_id' and z.kwg > 0
		and to_days(t.von) >= to_days('$hp[9]') ";

if (!empty($hp[7])){
	$sql .= "and to_days(t.bis) <= to_days('$hp[8]') ";
}
if($hp[15] == 'kz') $sql .= "and k.kwz_id=$rvar_hp_id ";
$sql .= "order by unix_timestamp(t.von) asc;";

$erg = abfrage1($sql);

$pdf->SetFont('Arial','B',9);
$pdf->Ln($zh);

$pdf->Cell(17,$zh,'Datum',1,0,'C');
$pdf->Cell(10,$zh,'von',1,0,'C');
$pdf->Cell(10,$zh,'bis',1,0,'C');
$pdf->Cell(10,$zh,'FLS',1,0,'C');
$pdf->Cell(10,$zh,'E',1,0,'C');
if ($_GET['ext'] == 1 && $pro->sig == 'j'){
} else {
	$pdf->Cell(10,$zh,'Code',1,0,'C');
}
$pdf->Cell(83,$zh,'Inhalte intern',1,0,'C');
$pdf->Cell(20,$zh,'Fachkraft',1,0,'C');
$pdf->Ln($zh);
$pdf->SetFont('Arial','',7);
while ($zl = mysql_fetch_row($erg)){
	if ($zl[4] == '0:00'){
		$fz = '';
	}else {
		$fz = $zl[4];
	}
	$pdf->SetWidths(array(17,10,10,10,10,10,83,20));
	$pdf->SetAligns(array('L','R','R','R','R','C','L','L'));
	$pdf->Row(array($zl[0],$zl[1],$zl[2],$zl[3],$fz,$zl[5],$zl[8],$zl[7]));

}

$pdf->Ln(2 * $zh);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(150, $zh, 'Reflexionen :');

$sql  = "select h.hp_id, date_format(h.datum, '%d.%m.%Y'), ";
$sql .= "if (unix_timestamp(and_datum) > 0, date_format(h.and_datum, '%d.%m.%Y'), NULL), ";
$sql .= "r.frage, r.ergebnis from tb_hp h ";
$sql .= "left join tb_hp_re r using (hp_id) ";
if($hp[15] == 'kz') $sql .= "left join tbh_kwz_hp k using (hp_id) ";
$sql .= "where h.proj_id = '$rvar_proj_id' and r.kwg = 1 ";
$sql .= "and to_days(h.and_datum) >= to_days('$hp[9]') ";
if (!empty($hp[7])){
	$sql .= "and to_days(h.and_datum) <= to_days('$hp[8]') ";
}
if($hp[15] == 'kz') $sql .= "and k.kwz_id=$rvar_hp_id ";
$sql .= "order by and_datum desc";

$res = abfrage1($sql);

$pdf->SetFont('Arial','B',9);
$pdf->Ln($zh);

$pdf->Cell(15,$zh,'Datum',1,0,'C');
$pdf->Cell(77,$zh,'Fragestellung',1,0,'C');
$pdf->Cell(78,$zh,'Ergebnis',1,0,'C');
$pdf->Ln($zh);
$pdf->SetFont('Arial','',7);
while ($zl = mysql_fetch_row($res)){
	$pdf->SetWidths(array(15,77,78));
	$pdf->SetAligns(array('L','L','L'));
	$pdf->Row(array($zl[2],$zl[3],$zl[4]));

}

$pdf->SetLineWidth(0.1);
$pdf->Ln(5 * $zh);
$pdf->Cell(50,1,'','B');
$pdf->Cell(10,1);
$pdf->Cell(50,1,'','B');
$pdf->Cell(10,1);
$pdf->Cell(50,1,'','B');
$pdf->Ln();

/* Unterschriften */
$pdf->SetFont('Arial','B',11);
$pdf->Cell(50,5,'Geschftsfhrer',0,0,'C');
$pdf->Cell(10,5);
$pdf->Cell(50,5,$projekt->hb_name(),0,0,'C');
$pdf->Cell(10,5);
$pdf->Cell(50,5,pers_name($projekt->fb),0,1,'C');

$pdf->SetFont('Arial','',11);
$pdf->Cell(50,5,getConf('trname'),0,0,'C');
$pdf->Cell(10,5);
$pdf->Cell(50,5,'Hauptbetreuer',0,0,'C');
$pdf->Cell(10,5);
$pdf->Cell(50,5,'Fachberater',0,0,'C');

$pdf->Output();
exit;
?>
