<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pb.php 2400 2015-02-18 10:45:28Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 6;
 $level = 25;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 require_once($pfad."inc/stw.inc.php");
 require_once($pfad."inc/stwDaten.inc.php");

 if(!check_projekt_berechtigung($_GET['proj_id'])) {
	echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
	new stwEnd($seite);
	exit(0);
}

$projekt = new stwProjekt($_GET['proj_id']);
$projekt->InfoZeile();
new stwLine(1);

if  (isset($_GET['hp_id'])) {
    $hp = abfrage_assoc("select date_format(datum, '%d.%m.%Y') as datum,
	    				pers_id, unix_timestamp(datum) as dat_ts
	    				from tb_hp
	    				where hp_id = '{$_GET['hp_id']}';");

    $pb = abfrage_assoc("select
    					t1, t1_es, t1_pr,
    					t2, t2_es, t2_pr,
    					t3, t3_es, t3_pr,
    					t4, t4_es, t4_pr,
    					erl_fb,
    					date_format(erl_fb_time, '%d.%m.%Y %H:%i') as erl_fb_time,
    					fertig, fertig_pers_id,
						date_format(fertig_time, '%d.%m.%Y %H:%i') as fertig_time
    					from tb_pb
    					where hp_id = '{$_GET['hp_id']}';");
} else $hp = $pb = array();

echo "<form method=\"post\" action=\"pro_pb_sql.php\">\n";
echo "<input type=\"hidden\" name=\"hp_art\" value=\"pb\">\n";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"{$_GET['proj_id']}\">\n";
echo "<input type=\"hidden\" name=\"pers_id\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";

 /* ein vielleicht vorhandenes Ruecksprungsziel merken */
 printf("<input type=\"hidden\" name=\"zlink\" value=\"%s\">", $_GET["link"]);

if (isset($_GET['hp_id'])){
	echo "<input type=\"hidden\" name=\"hp_id\" value=\"{$_GET['hp_id']}\">\n";
}

$ti = 1;

echo "<table><tr><th style=\"padding-right: 10px\">Datum:</th>";
echo "<td style=\"padding-right:20px\">";
echo "<input type=\"text\" name=\"datum\" tabindex=\"$ti\" size=\"11\" value=\"";
echo (isset($_GET['hp_id'])) ? $hp['datum'] : date('d.m.Y');
echo "\">&nbsp;TT.MM.JJJJ";

 if (!empty($_GET["hp_id"]) && !empty($_GET["proj_id"]))
 {
   $daten = new stwDaten("7");
   $link  = $daten->get_klammer_link($_SESSION["webdir"],
                                     $_SESSION[$AppCode]["UID"],
                                     $_SESSION[$AppCode]["ULV"],
                                     $_GET["proj_id"], $_GET["hp_id"]);
   printf(" %s", $link);
 }

printf("</td>\n");
$ti++;

echo "<th style=\"padding-right: 10px\">Mitarbeiter:</th>";
echo "<td style=\"padding-right: 10px\"><select name=\"pers_id\" size=\"1\" tabindex=\"$ti\">\n";
$mas = abfrage1("select pers_id from tb_personal
				where (status_id=2 or pers_id='{$hp['pers_id']}')
				order by vorname asc, name asc;");
while ($ma = mysql_fetch_assoc($mas)) {
	echo "<option value=\"{$ma['pers_id']}\" ";
	if (isset($_GET['hp_id'])){
		echo ($ma['pers_id'] == $hp['pers_id']) ? 'selected' : '';
	} else {
		echo ($ma['pers_id'] == $_SESSION[$AppCode]['UID']) ? 'selected' : '';
	}
	echo '>' . pers_name($ma['pers_id']) . "</option>\n";
}
echo "</select>\n</td>";
$ti++;

 /* IXP Kennzahl gewuenscht */
 if ($projekt->knz2 == 1)
 {
   /* Anzahl der Auftraggeber fuer IXP-Projekte (ausser 2100) ermitteln */
   $sql  = "select count(ko.kont_id) ";
   $sql .= "from tb_projekte pro ";

   $sql .= "left join tb_kontakte_ap ap on pro.ap_id = ap.ap_id ";
   $sql .= "left join tb_kontakte ko on ap.kont_id = ko.kont_id and ko.kh_id='0' ";

   $sql .= "left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id ";
   $sql .= "where ha.hilfeart = 'IXP' ";

   $sql .= "and (pro.ende is null or pro.ende = '0000-00-00' or to_days(";
   $sql .= "pro.ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY))) ";

   $sql .= "and pro.projektnr != '2100' ";
   $sql .= "group by ha.hilfeart;";

   $zahl_ag = abfrage($sql);

   $sql  = "select count(pro.proj_id) ";
   $sql .= "from tb_projekte pro ";

   $sql .= "left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id ";
   $sql .= "where ha.hilfeart = 'IXP' ";

   $sql .= "and (pro.ende is null or pro.ende = '0000-00-00' or to_days(";
   $sql .= "pro.ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY))) ";

   $sql .= "and pro.projektnr != '2100' ";
   $sql .= "group by pro.hilfeart_id;";

   $zahl_pro = abfrage($sql);
   printf("<th>IXP: %s Schulen, %s Projekte</th>", $zahl_ag[0], $zahl_pro[0]);
 }

if (isset($_GET['hp_id']) && isset($_GET['proj_id'])){
$link = "pro_pr_pb.php?hp_id=".$_GET['hp_id']."&proj_id=".$_GET['proj_id'];

echo "<td width=\"5\"></td>";
echo "<td>";
		echo "<a href=\"$link&ts=" . time() . "\"  target=\"_pdf\">";
		echo "<img src=\"img/drucker.png\" alt=\"drucken\" border=\"0\" title=\"Projektbericht drucken\">";
		echo "</a>";
echo "</td>";
}

echo "</tr></table>\n";
new stwLine(2);

$felder[] = array(1, 'Gesamtsituation / wesentliche Vorkommnisse');
$felder[] = array(2, 'Schwerpunkte, Fortschritte, Ergebnisse');
$felder[] = array(3, 'Chancen - Risiken (Konsequenzen, Perspektiven, Prognosen)');
$felder[] = array(4, 'Die wichtigsten Schritte im n&auml;chsten Berichtszeitraum');

foreach ($felder as $feld){
	echo "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\n";
	echo "<tr>";
	echo "<td><table><tr><th>$feld[0]</th></tr></table></td>\n";
	echo "<td><table>\n";
	echo "<tr><th>$feld[1]</th></tr>\n";
	echo "<tr><td style=\"padding-right:10px\"><textarea name=\"t$feld[0]\" rows=\"5\" cols=\"72\" tabindex=\"$ti\">";
	echo (isset($_GET['hp_id'])) ? $pb["t$feld[0]"] : '';
	echo "</textarea></td></tr>\n";
	echo "</table></td>\n";
	$ti++;

	echo "<td><table><tr><th colspan=\"2\" style=\"padding-right:10px\">";
	echo "Einsch&auml;tzung</th></tr>\n";
	echo "<tr><td><input type=\"radio\" name=\"t$feld[0]_es\" value=\"1\" tabindex=\"$ti\"";
	echo ($pb["t$feld[0]_es"] == 1) ? ' checked' : '';
	echo "></td>\n";
	echo "<td style=\"font-weight:bold; color:#FF0000\">negativ</td></tr>\n";
	$ti++;

	echo "<tr><td><input type=\"radio\" name=\"t$feld[0]_es\" value=\"2\" tabindex=\"$ti\"";
	echo ($pb["t$feld[0]_es"] == 2) ? ' checked' : '';
	echo "></td>\n";
	echo "<td style=\"font-weight:bold; color:#FFFF00\">neutral</td></tr>\n";
	$ti++;

	echo "<tr><td><input type=\"radio\" name=\"t$feld[0]_es\" value=\"3\" tabindex=\"$ti\"";
	echo ($pb["t$feld[0]_es"] == 3) ? ' checked' : '';
	echo "></td>\n";
	echo "<td style=\"font-weight:bold; color:#00FF00\">positiv</td></tr>\n";
	$ti++;
	echo "</table></td>\n";

	echo "<td><table><tr><th colspan=\"2\">Prognose</th></tr>\n";
	echo "<tr><td><input type=\"radio\" name=\"t$feld[0]_pr\" value=\"1\" tabindex=\"$ti\"";
	echo ($pb["t$feld[0]_pr"] == 1) ? ' checked' : '';
	echo "></td>\n";
	echo "<td style=\"font-weight:bold; color:#FF0000\">negativ</td></tr>\n";
	$ti++;

	echo "<tr><td><input type=\"radio\" name=\"t$feld[0]_pr\" value=\"2\" tabindex=\"$ti\"";
	echo ($pb["t$feld[0]_pr"] == 2) ? ' checked' : '';
	echo "></td>\n";
	echo "<td style=\"font-weight:bold; color:#FFFF00\">neutral</td></tr>\n";
	$ti++;

	echo "<tr><td><input type=\"radio\" name=\"t$feld[0]_pr\" value=\"3\" tabindex=\"$ti\"";
	echo ($pb["t$feld[0]_pr"] == 3) ? ' checked' : '';
	echo "></td>\n";
	echo "<td style=\"font-weight:bold; color:#00FF00\">positiv</td></tr>\n";
	$ti++;

	echo "</table></td>\n";
	echo "</tr></table>\n";
	new stwLine(2);
}

if (isset($_GET['hp_id'])){
	$anfang = abfrage( "select unix_timestamp(von) from tb_pb_zr 
						where proj_id='$projekt->id' and unix_timestamp(von)<={$hp['dat_ts']} 
						order by von desc limit 1");
	$last = abfrage("select unix_timestamp(datum) from tb_hp 
					where proj_id='$projekt->id' and hp_art='pb' 
					and unix_timestamp(datum)<'{$hp['dat_ts']}' 
					and unix_timestamp(datum)>='{$anfang[0]}' 
					order by datum desc limit 1");
	$sql_beg = empty($last[0]) ? $anfang[0] : $last[0];
	$sql_end = date_tstime($hp['dat_ts'], '23:59');
	$nachs = abfrage1( "select unix_timestamp(n.sent) as sent_ts, n.* from tb_nachr n 
						where (proj_id='$projekt->id' or nachr_id in (
							select id from tbh_postzuordnung where posttyp='n' and id2='$projekt->id' and typ='p'
						)) and unix_timestamp(n.sent) >= '$sql_beg' and unix_timestamp(n.sent) <= '$sql_end'
						order by sent asc" );
	if(mysql_num_rows($nachs) > 0) {
		echo "<table style=\"width:750px\">\n";
		echo "<tr><th colspan=\"3\">Nachrichten im Projektberichtszeitraum</th></tr>\n";
		while($nachr = mysql_fetch_array($nachs)) {
			$txt = strip_tags($nachr['text']);
			$tels = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='{$nachr['nachr_id']}'");
			if(mysql_num_rows($tels) > 0) {
				$tel = mysql_fetch_array($tels);
				$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
				if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
				if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
				$text .= "<br />";
				if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
				if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
				if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
				if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
				if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
				if($tel['war_da'] == 'j') $text .= "(war da) ";
				if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
				$txt = "$text<br />$txt";
			}
			echo "<tr>";
			echo "<td class=\"cl1\">";
			echo "<a href=\"nachr_and.php?nachr_id={$nachr['nachr_id']}\"";
			echo stwToolTip($txt);
			echo "><img src=\"img/brief.png\" /></a></td>";
			echo "<th class=\"cl20\">".date('d.m.Y', $nachr['sent_ts'])."</th>";
			echo "<td style=\"width:100%\"".stwToolTip($txt);
			echo ">{$nachr['betreff']}</td></tr>\n";
		}
		echo "</table>\n";
		new stwLine(2);
	}
	echo "<table>\n";
	echo "<tr><th style=\"padding-right:10px\">fertig:</th>\n";
	echo "<td><input type=\"checkbox\" name=\"fertig\" value=\"1\" tabindex=\"$ti\"";
	echo ($pb['fertig'] == 1) ? ' checked' : '';
	if (!$projekt->beteiligt($_SESSION[$AppCode]['UID']) &&
		$_SESSION[$AppCode]['UID'] != $projekt->fb &&
		$_SESSION[$AppCode]['ULV'] < 96){
		echo ' disabled';
	}
	echo "></td>";
	
	if (!empty($pb['fertig_pers_id'])){
		echo "<td style=\"padding-right:10px\">" . pers_name($pb['fertig_pers_id']) . "</td>\n";
		echo "<td>{$pb['fertig_time']} Uhr</td>\n";
	}
	echo "</tr>\n";

	echo "<tr><th style=\"padding-right:10px\">Kenntnisnahme Fachberater:</th>\n";
	echo "<td><input type=\"checkbox\" name=\"erl_fb\" ";
	echo "value=\"";
	echo (empty($pb['erl_fb'])) ? $_SESSION[$AppCode]['UID'] : $pb['erl_fb'];
	echo "\"";
	if ($_SESSION[$AppCode]['UID'] != $projekt->fb &&
		$_SESSION[$AppCode]['ULV'] < 96){
		echo " disabled";
	}

  /* Haken setzen wenn Fachberater angeklickt hat */
  if (!empty($pb['erl_fb'])) printf(" checked");

	echo "></td>";
	$ti++;
	if (!empty($pb['erl_fb'])){
		echo "<td style=\"padding-right:10px\">" . pers_name($pb['erl_fb']) . "</td>\n";
		echo "<td>{$pb['erl_fb_time']} Uhr</td>\n";
		if ($_SESSION[$AppCode]['UID'] == $projekt->fb || $_SESSION[$AppCode]['ULV'] >= 96){
			echo "<input type=\"hidden\" name=\"undo_fb\" value=\"1\" />";
		}
	}
	echo "</tr>\n</table>\n";
	new stwLine(2);
}

/* nur nderbar, so lange nicht vom Fachberater zur Kenntnis genommen
   ODER: Benutzerlevel >=  97
   ODER: Benutzer ist Fachberater */
if (empty($pb['erl_fb']) || $_SESSION[$AppCode]['ULV'] >= 97 ||
		$_SESSION[$AppCode]['UID'] == $projekt->fb){
	echo "<table><tr><td>";
	echo "<input type=\"submit\" value=\"Speichern\" name=\"save_ok\" ";
	echo "tabindex=\"$ti\"></td></tr></table>\n";
}

echo "</form>\n";

 if (!empty($_GET["proj_id"]) && !empty($_GET["hp_id"]))
 {
   new stwEnd($seite, NULL, NULL, NULL, $_GET["proj_id"], $_GET["hp_id"]);
 }
 else
 {
   new stwEnd($seite);
 }

?>
