<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_an.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');

$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(20);
$pdf->AliasNbPages();
$pdf->SetAutoPageBreak(true, 25);

$no_ds = true;
$no_nr = true;

$pdf->AddPage();

$pdf->SetFont('stw','',16);
$titel = "Anfrage";
$pdf->Text(15,25,$titel);
if($rvar_proj_id == '') $rvar_proj_id=0;
$an = abfrage("select * from tb_projekte where proj_id = '$rvar_proj_id'");
$pers = abfrage("select t2.name,t2.vorname,t2.geboren,t3.strasse,t3.plz,t3.ort
 				from tbh_proj_personen t1
				left join tb_personen t2 using(person_id)
				left join tb_p_adressen t3 using(adress_id)
				where t1.proj_id = '$rvar_proj_id' and t1.perstyp_id = 1");

$projekt = &new stwProjekt($rvar_proj_id);

$pdf->SetFont('stw','',16);
$titel = "Anfrage";
$dat = empty($rvar_proj_id) ? '' : $projekt->nummer();
$titel = $titel . "     " . $dat;
$pdf->Text(15,25,$titel);

$pdf->SetFont('stw','',11);

$pdf->Line(15,29,195,29);

$pdf->SetXY(15,29);
$pdf->Cell(40,7,"Anfrage vom :",0,0,'L',0);
$dat = date_my2gr($an[4]);
$pdf->SetFont('arial','',11);
$pdf->Cell(40,7,$dat,0,0,'L',0);

$pdf->SetXY(15,36);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Hilfeplanstunden :",0,0,'L',0);
$dat = empty($rvar_proj_id) ? '' : $an[5] . "   je Woche";
$pdf->SetFont('arial','',11);
$pdf->Cell(40,7,$dat,0,0,'L',0);

$pdf->SetXY(15,43);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Projekt-Nr. :",0,0,'L',0);
$dat = empty($rvar_proj_id) ? '' : $projekt->nummer();
$pdf->SetFont('arial','',11);
$pdf->Cell(40,7,$dat,0,0,'L',0);

$pdf->Line(15,50,195,50);

$pdf->SetXY(15,50);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Name :",0,0,'L',0);
$dat = $pers[1] . " " . $pers[0];
$pdf->SetFont('arial','',11);
$pdf->Cell(40,7,$dat,0,0,'L',0);

$pdf->SetXY(15,57);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"geboren :",0,0,'L',0);
if($pers[2] != "0000-00-00" && !empty($pers[2])){
    $dat = date_my2gr($pers[2]);
    $dat2 = $projekt->he_info('alter');
    $dat = $dat . "     (" . $dat2 . " Jahre)";
} else {
    $dat = "";
}
$pdf->SetFont('arial','',11);
$pdf->Cell(40,7,$dat,0,0,'L',0);

$pdf->SetXY(15,64);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Adresse :",0,0,'L',0);
$pdf->SetFont('arial','',11);

if(strlen($pers[3]) > 0){
	$dat1 = $pers[3] . ", ";
} else {
	$dat1 = "";
}
if($pers[4] > 0) {
	$dat2 = $pers[4] . " ";
} else {
	$dat2 = "";
}
if(strlen($pers[5]) > 0) {
	$dat3 = $pers[5];
} else {
	$dat3 = "";
}
$dat = $dat1 . $dat2 . $dat3;
$pdf->Cell(140,7,$dat,0,0,'L',0);

$telefon = $projekt->he_info("telefon");
$pdf->SetXY(15,71);
$pdf->SetFont('stw','',11);
$pdf->Cell(40, 7, "Telefon:", 0, 0, "L", 0);
$pdf->SetFont('arial','',11);
$pdf->Cell(140, 7, $telefon, 0, 1);

$telefon = $projekt->he_info("mobil");
$pdf->SetXY(15,78);
$pdf->SetFont('stw','',11);
$pdf->Cell(40, 7, "Mobil:", 0, 0, "L", 0);
$pdf->SetFont('arial','',11);
$pdf->Cell(140, 7, $telefon, 0, 1);

$mail = $projekt->he_info("email");
$pdf->SetXY(15,85);
$pdf->SetFont('stw','',11);
$pdf->Cell(40, 7, "E-Mail:", 0, 0, "L", 0);
$pdf->SetFont('arial','',11);
$pdf->Cell(140, 7, $mail, 0, 1);

$pdf->Line(15,92,195,92);

$ja = abfrage("select t1.vorname, t1.name, t2.name2, t1.teldienst, t2.name, t1.fax
              from tb_kontakte_ap t1
              left join tb_kontakte t2 on t1.kont_id = t2.kont_id and t2.kh_id='0'
              where t1.ap_id = '$an[3]';");
$pdf->SetXY(15,92);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Auftraggeber:");
$pdf->SetFont('arial','',11);
$pdf->Cell(98,7,$ja[4],0,1);
$pdf->SetXY(15,99);
$pdf->Cell(40,7,"");
$pdf->Cell(140,7,$ja[2],0,1);

$pdf->SetXY(15,106);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,getConf('traeger') == 'nwg' ? 'Sozialarbeiter:' : 'Sachbearbeiter:');
$pdf->SetFont('arial','',11);
$dat1 =(strlen($ja[0]) > 0) ? $ja[0] : '';
$dat = $dat1 . " " . $ja[1];
$pdf->Cell(140,7,$dat,0,1);

$pdf->SetXY(15,113);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Telefon:");
$pdf->SetFont('arial','',11);
$pdf->Cell(140,7,$ja[3],0,1);

$pdf->SetXY(15,120);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Fax:");
$pdf->SetFont('arial','',11);
$pdf->Cell(140,7,$ja[5],0,1);

$pdf->Line(15,127,195,127);

$pdf->SetXY(15,127);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Hauptbetreuer :",0,0,'L',0);
$pdf->SetFont('arial','',11);

$be = abfrage("select t2.vorname, t2.name, t1.pers_id from tbh_pers_proj t1
				left join tb_personal t2 using(pers_id)
			    where t1.proj_id = '$rvar_proj_id' and t1.personaltyp_id = 1");
if($be[2] > 0){
    $dat = $be[0] . " " . $be[1];
} else {
    switch ($an[9]) {
    case "w":
        $dat = "weiblich";
        break;
    case "m":
        $dat = "mnnlich";
        break;
    case "":
        $dat = "";
        break;	
    }
}

$pdf->Cell(140,7,$dat,0,0,'L',0);

$pdf->SetXY(15,134);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"vorrauss. Beginn :",0,0,'L',0);
$pdf->SetFont('arial','',11);
if($an[6] != "0000-00-00"){
    $dat = date_my2gr($an[6]);
} else {
    $dat = "";
}
$pdf->Cell(140,7,$dat,0,0,'L',0);
$pdf->Line(15,141,195,141);
$pdf->SetXY(15,141);

$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Aktenzeichen :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$pdf->Cell(140,7,$an[28],0,1,'L',0);
$yy = $pdf->GetY() + 3;
$pdf->Line(15,$yy,195,$yy);

$zh = empty($rvar_proj_id) ? 12 : 5;

$pdf->SetXY(15,$yy);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"bisherige Hilfen :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$pdf->MultiCell(140,$zh,$an[11],0,'L',0);

$yy = $pdf->GetY() + 3;
$pdf->Line(15,$yy,195,$yy);

$pdf->SetXY(15,$yy + 1);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,getConf('traeger') == 'nwg' ? 'Schule / Arbeit :' : "Schule :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$pdf->MultiCell(140,$zh,$an[12],0,'L',0);

$yy = $pdf->GetY() + 3;
$pdf->Line(15,$yy,195,$yy);

$pdf->SetXY(15,$yy + 1);
$pdf->SetFont('stw','',11);
$pdf->Cell(45,7,"Problemlage / Anlass:",0,0,'L',0);
$pdf->SetFont('arial','',11);
$pdf->MultiCell(135,$zh,$an[13],0,'L',0);

$yy = $pdf->GetY() + 3;
$pdf->Line(15,$yy,195,$yy);

$pdf->SetXY(15,$yy + 1);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Familie :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$pdf->MultiCell(140,$zh,$an[14],0,'L',0);

$yy = $pdf->GetY() + 3;
$pdf->Line(15,$yy,195,$yy);

$pdf->SetXY(15,$yy + 1);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,getConf('traeger') == 'nwg' ? 'Gesundheit :' : "Hobbys :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$pdf->MultiCell(140,$zh,$an[15],0,'L',0);

$yy = $pdf->GetY() + 3;
$pdf->Line(15,$yy,195,$yy);

$pdf->SetXY(15,$yy + 1);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Ziele :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$pdf->MultiCell(140,$zh,$an[16],0,'L',0);

$yy = $pdf->GetY() + 3;
$pdf->Line(15,$yy,195,$yy);


$pdf->SetXY(15,$yy + 1);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Notizen :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$pdf->MultiCell(140,$zh,$an[17],0,'L',0);

$yy = $pdf->GetY() + 3;
$pdf->Line(15,$yy,195,$yy);

$pdf->SetXY(15,$yy + 1);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Wohnverhltn.:",0,0,'L',0);
$pdf->SetXY(55,$yy + 1);
$pdf->SetFont('arial','',11);
$pdf->MultiCell(140,5,$an[18],0,'L',0);

$pdf->Output();
exit;
?>
