<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_antrag.php 2827 2018-01-04 10:34:45Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_6.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(20.0);
$pdf->SetAutoPageBreak(auto,40);
if(isset($rvar_hp_id)) $unterueberschrift = "Fallbegleitende Stunden";
elseif(isset($rvar_zk_id)) $unterueberschrift = "berbrckungszeit";
elseif(isset($rvar_ab_monat)) $unterueberschrift = "Begrndung Mehrstunden";
if(!isset($rvar_proj_id)) $nurEineSeite = true;

$adr_typ = 'Projekt-Nr.';

$sql = "select proj_id from tb_projekte where proj_id='$rvar_proj_id'";
if(empty($rvar_proj_id)) {
	if(isset($rvar_ab_monat)) $sql = "select proj_id from tb_ab_mehrst_begr where checked='j' and ab_monat='$rvar_ab_monat'";
}

$projekte = abfrage1($sql);
if(mysql_num_rows($projekte) == 0) {
	$pdf->AddPage();
	$pdf->SetFont('stw','',10);
	$pdf->SetXY(20,70);
	$pdf->Cell(80,5,"keine Daten zur Ausgabe vorhanden");
}
while($pro = mysql_fetch_row($projekte)) {
	$pdf->AddPage();
	$projekt = new stwProjekt($pro[0]);
	$pnr = $projekt->nummer();
	$gf = $_SESSION[$AppCode]["UID"];
	$kontr = abfrage("select kontrolle, pers_id from tb_ab_proj_kont where proj_id = '$pro[0]' and ab_monat = '$rvar_ab_monat';");
	if(($kontr[0] & 1) > 0) $gf = $kontr[1];

	// Adresse
	$pdf->SetFont('Arial','',11);
	$sql  = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, ";
	$sql .= "t3.ort, t2.fax from tb_projekte t1 ";
	$sql .= "left join tb_kontakte_ap t2 using (ap_id) ";
	$sql .= "left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0' ";
	$sql .= "where t1.proj_id = '$pro[0]';";
	$dat = abfrage($sql);

	$pdf->SetXY(20,57);
	$pdf->Cell(80,5,$dat[0]);
	$pdf->SetXY(20,62);
	$pdf->Cell(80,5,$dat[1]);
	$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
	$pdf->SetXY(20,67);
	$pdf->Cell(80,5,$dat1);
	$pdf->SetXY(20,72);
	$pdf->Cell(80,5,$dat[4]);
	$dat1 = $dat[5] . " " . $dat[6];
	$pdf->SetXY(20,79);
	$pdf->Cell(80,5,$dat1);
	if (!empty($dat[7])){
		$pdf->SetXY(20,88);
		$fax = "Fax " . $dat[7];
		$pdf->Cell(20,6,$fax);
	}

	// Infozeile

	$pdf->SetY(110);
	$pdf->SetFont('Arial','',11);
	if(isset($rvar_hp_id)) {
		$info = abfrage("select concat(p.vorname, ' ', p.name),
						p.telmobil, date_format(h.datum, '%d.%m.%Y')
						from tb_hp h
						left join tb_personal p using(pers_id)
						where hp_id = '$rvar_hp_id';");
	} else {
		$info = abfrage("select concat(p.vorname, ' ', p.name), p.telmobil
						from tb_personal p where pers_id = '$gf';");
	}
	$pdf->Cell(50,$zh,$projekt->nummer());
	$pdf->Cell(50,$zh,$info[0]);
	$pdf->Cell(45,$zh,$info[1]);
	$heute = date('d.m.Y');
	$pdf->Cell(20,$zh,$heute);

	$pdf->SetFont('stw','',10);
	$pdf->SetY(125);
	$ha = abfrage("select beschreibung from tb_hilfeart where hilfeart_id = '$projekt->ha';");
	$pdf->Cell(20,$zh,"Betrifft:");
	$pdf->Cell(100,$zh,"$unterueberschrift $ha[0]");

	$pdf->Ln(5);
	$pdf->Cell(20,$zh,"");
	$dat1 = $projekt->name();
	$pdf->Cell(100,$zh,$dat1);
	$pdf->SetFont('Arial','',11);

	$pdf->SetY(145);
	/* kein 'r' bei Frau, Frulein, Frau Professor Doktor...*/
	$r = (substr($dat[2],0,2) == 'Fr') ? '' : 'r';
	if(isset($rvar_hp_id)) {
		$what = "fallbegleitender Zeit";
		$grund = abfrage("select fallbegl_antrag, date_format(and_datum, '%d.%m.%Y') from tb_hp where hp_id='$rvar_hp_id'");
		$ab = $grund[1];
		$zeitraum = "nchsten Hilfezeitraum";
	} elseif(isset($rvar_zk_id)) {
		$what = "einer berbrckungszeit";
		$zeitraum = "Zeitraum";
		$grund=abfrage("select z.inhalte, date_format(t.von, '%d.%m.%Y'), date_format(t.bis, '%d.%m.%Y'), unix_timestamp(t.von), unix_timestamp(t.bis)
						from tb_ab_zk z left join tb_termine t using(termin_id) where z.zk_id='$rvar_zk_id'");
		$ab = $grund[1];
		$nach = $grund[2];
		while($grund[1] == date('01.m.Y',$grund[3])) {
			$bis = date('Y-m-t',$grund[3]-1);
			$gr2 = abfrage("select date_format(t.von, '%d.%m.%Y'), unix_timestamp(t.von)
							from tb_ab_zk z left join tb_termine t using(termin_id) 
							where z.proj_id='$pro[0]' and code='U' and t.bis='$bis'");
			if(empty($gr2[1])) {
				$ab = $grund[1];
				$grund[1] = '';
			} else {
				$grund[1] = $gr2[0];
				$grund[3] = $gr2[1];
			}
		}
		while($grund[2] == date('t.m.Y',$grund[4])) {
			$von = date('Y-m-01',$grund[4]+86401);
			$gr2 = abfrage("select date_format(t.bis, '%d.%m.%Y'), unix_timestamp(t.bis)
							from tb_ab_zk z left join tb_termine t using(termin_id) 
							where z.proj_id='$pro[0]' and code='U' and t.von='$von'");
			if(empty($gr2[1])) {
				$nach = $grund[2];
				$grund[2] = '';
			} else {
				$grund[2] = $gr2[0];
				$nach = $grund[2];
				$grund[4] = $gr2[1];
			}
		}
	}
	if(isset($rvar_hp_id) || isset($rvar_zk_id)) {
		if(empty($grund[0])) {
			$pdf->SetFont('stw','',28);
			$pdf->Cell(80,10,"kein Grund angegeben!!!",0,1);
			$pdf->SetFont('Arial','',11);
		}
		$dat2 = "Sehr geehrte" . $r . " " . $dat[2] . " " . $dat[3] . ",\n
auf Grund " . $grund[0] . " bitten wir Sie um Bewilligung $what fr den $zeitraum";
		if(isset($rvar_hp_id)) {
			if($ab != '00.00.0000') $dat2 .= " ab $ab";
		} elseif(isset($rvar_zk_id)) $dat2 .= " von $ab bis $nach";
		$dat2 .= ".\n\nHerzlichen Dank fr Ihr Verstndnis.\n
Mit freundlichen Gren\n\n\n\n" . pers_name($gf);
	} elseif(isset($rvar_ab_monat)) {
		$begr = abfrage("select text,checked from tb_ab_mehrst_begr where proj_id='$pro[0]' and ab_monat='$rvar_ab_monat'");
		$dat2 = "Sehr geehrte" . $r . " " . $dat[2] . " " . $dat[3] . ",";
		if($begr[1]=='j' && (strlen($begr[0])==0)) {
			$dat2 = 'in Bearbeitung';
		} else {
			$dat2 = "$dat2\n\n$begr[0]\n\n\nHerzlichen Dank und freundliche Gre\n\n\n\n$info[0]";
		}
	}
	$pdf->MultiCell(165,$zh,$dat2);
	if(isset($rvar_ab_monat)) {
		$rolle = abfrage("SELECT rolle FROM tbh_pers_traegerart
		                 WHERE pers_id = '$gf' and traeger_art_id=2;");
		$titel = (strlen($rolle[0]) > 0) ? "$rolle[0]\n" : '';
		$ausb = abfrage("select abschluss from tb_personal where pers_id='$gf';");
		$titel .= $ausb[0];
		$pdf->SetFont('Arial','',8);
		$pdf->MultiCell(165,3,$titel);
	}
}
$pdf->Output();
exit;
?>