<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_anwesenheit_gruppe.php 2637 2016-09-28 14:44:04Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 65;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 29);
require_once($pfad."inc/auth.inc.php");

require_once($pfad."inc/level.inc.php");
$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_ttt.inc.php";

require_once($pfad.$pdf_datei);
require_once($pfad."inc/func.inc.php");

/* spezielle Stellwerk-Funktionen einbinden */
require_once($pfad . '/mandant/' . $_SESSION[$AppCode]['TR'] . '/stw_func.inc.php');

/* deutschen Zeichensatz setzen */
setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german");

/* PDF starten - A4 Querformat, Millimeter */
$pdf = new PDF("L", "mm", "A4");

/* stw Font hinzufuegen */
$pdf->AddFont("stw", "", "stw.php");

/* linken Rand einstellen */
$pdf->SetLeftMargin(15);

$monat = $_GET['abmonat'];
$jahr  = $_GET['abjahr'];
$tag   = empty($_GET['abtag']) ? 1 : $_GET['abtag'];
$modus = ($_GET['modus'] == 2) ? 2 : 1;
$ttt = isset($_GET['art']) ? $_GET['art'] : 'TTT';
$von_ts = mktime(0, 0, 0, $monat, $tag, $jahr);
$bis_ts = mktime(0, 0, 0, $monat, date('t',$von_ts), $jahr);
$von = date('Y-m-d', $von_ts);
$bis = date('Y-m-d', $bis_ts);
$abmonat_text = strftime('%B %Y', date_isodate_stamp($von));

/* --- Anwesenheitsliste: neue Seite hinzufuegen --- */
$pdf->AddPage();

$pdf->SetFont('stw', '', 14);
$txt_head = 'Anwesenheitsnachweis ' . $abmonat_text;
$pdf->Text(100, 13, $txt_head);

/* Einfuehrungszeilen ausgeben */
$pdf->SetFont('Arial', 'B', 11);
$pdf->SetXY(15,18);

$pdf->Cell(50, 5, 'Manahmetrger:');
$pdf->Cell(90, 5, $lpd['traeger'],0,1);

$pdf->Cell(50, 5, 'Projekt/-titel:');
$pdf->Cell(90, 5, $lpd['projekttitel'],0,1);

$pdf->Cell(50, 5, 'Manahme Nr. / AZ.:');
$pdf->Cell(90, 5, $lpd['nr_az'],0,1);

$pdf->Cell(50, 5, 'Manahmezeitraum:');
$pdf->Cell(90, 5, date_my2gr($lpd['von'])." - ".date_my2gr($lpd['bis']), 0, 1);

$pdf->SetFont('Arial', 'B', 11);

$pdf->SetXY(170, 18);
$pdf->Cell(100,$zh, $txt_head,0,2);

$pdf->SetXY(15, 40);

$pdf->SetFont('Arial', 'B', 9);

$pdf->Cell(6,$zh,'Nr.',1,0,'C');
$pdf->Cell(30,$zh,$ttt=='TTT'?'BG':'AZ',1,0,'C');
$pdf->Cell(23,$zh,'Name',1,0,'C');
$pdf->Cell(22,$zh,'Vorname',1,0,'C');

$mon_min = date_isodate_stamp($von);
$mon_max = date('t', date_isodate_stamp($bis));
$i = 1;

while ($i <= $mon_max){
	$ln = ($i == $mon_max) ? 1 : 0;
	$pdf->Cell(6,$zh,$i,1,$ln,'C');
	$i++;
}

$sql  = "SELECT p.pers_id, p.name, p.vorname, ";
$sql .= "unix_timestamp(p.eintritt) as eint_ts, ";
$sql .= "date_format(p.eintritt, '%d.%m.%Y') as eint, ";
$sql .= "unix_timestamp(p.austritt) as aust_ts, ";
$sql .= "date_format(p.austritt, '%d.%m.%Y') as aust ";
$sql .= "FROM tb_personal p left join tb_personalart a using (p_art_id) ";
$sql .= "WHERE a.personalart = '$ttt' ";
$sql .= "AND (year(p.austritt) = 0 OR p.austritt > '$von') ";
$sql .= "AND (year(p.eintritt) = 0 OR p.eintritt < '$bis') ";
$sql .= "order by p.name asc, p.vorname asc;";

$pdf->SetFont('Arial', '', 9);

$erg = abfrage1($sql);

$nummer = 1;

$pdf->SetFillColor(200,200,200);

while ($zeile = mysql_fetch_assoc($erg)) {
	$pdf->Cell(6,$zh, $nummer, 1, 0, 'C');
 	/* BG aus Projekt ermitteln wo diese Person Hauptbetreuer ist */
 	$sql  = "SELECT t1.register, t1.ap_id, t1.proj_id, t1.az FROM tb_projekte t1 ";
 	$sql .= "LEFT JOIN tbh_pers_proj t2 ON t1.proj_id = t2.proj_id ";
 	$sql .= "WHERE t2.pers_id = '{$zeile['pers_id']}' AND t2.personaltyp_id = '1' ";
	$sql .= "ORDER BY (unix_timestamp(t1.ende)=0) DESC, t1.ende DESC LIMIT 1";
 	$daten = abfrage_array($sql);
 	$projekt = new stwProjekt($daten['proj_id']);

 	/* BG Nummer nur ausgeben */
 	if($ttt == 'TTT') {
		$bg = str_replace('BG', '', $daten['register']);
		$bg = str_replace('bg', '', $bg);
	} else $bg = $daten['az'];
 	$bg = str_replace(' ', '', $bg);

 	$pdf->Cell(30,$zh, $bg, 1);
 	$pdf->Cell(23,$zh, $zeile['name'],1);

 	$pdf->Cell(22,$zh, $zeile['vorname'],1);

 	$i = 1;

	while ($i <= $mon_max) {
		$ln = ($i == $mon_max) ? 1 : 0;

		$ts = mktime(0,0,0,date('n', $mon_min), $i, date('Y', $mon_min));

		/* --- Feiertage grau hinterlegen --- */
		if(arbeitstag($ts)){
			$fill = 0;
			$f = 'F';
		} else {
			$fill = 1;
			$f = '';
		}

		if ($zeile['eint_ts'] > $ts || ($zeile['aust_ts'] < $ts && $zeile['aust_ts'] > 0)) {
			$code = '';
		} else {
			$we = array(0,6);

			/* --- wenn Feiertag und kein Wochenende -> Code 'Wf' --- */
			if ((!arbeitstag($ts) && !in_array(date('w', $ts), $we))){
				$code = 'Wf';
			} else {
				/* --- abfragen, ob es eine Fehlzeit gibt --- */
				$fz1 = pers_fehlzeit($zeile['pers_id'], $ts);

				if ($fz1 == true) { /* genehmigte FZ vorhanden */
					/* naeheres zur FZ ermitteln */
					$fz2 = abfrage("select t.terminart from tb_fehlz f
													left join tb_termine t on f.termin_id = t.termin_id
													where f.pers_id = '{$zeile['pers_id']}'
													and f.genehmigt = 1
													and unix_timestamp(t.von) <= '$ts'
													and unix_timestamp(t.bis) >= '$ts'
													limit 1;");

					switch ($fz2[0]) {
						case 'u':
							$code = 'U';
							break;
						case 'k':
							$code = 'K';
							break;
						case 'kk':
							$code = 'KK';
							break;
						case 'ef':
							$code = 'E';
							break;
						case 'kol':
							$code = 'Ko';
							break;
						case 'uf':
							$code = $f;
							break;
						default:
							$code = $f;
					}

				} else { /* keine genehmigte FZ vorhanden */

					/* --- abfragen, ob es genehmigte Zeitkarte von mind. 15 min gibt --- */

					$datum = date('Y-m-d', $ts);

					$sql  = "select sum(time_to_sec(z.fls) / 3600) ";
					$sql .= "from tb_ab_zk z ";
					$sql .= "left join tb_termine t on z.termin_id = t.termin_id ";
					$sql .= "where z.proj_id = '$projekt->id' and z.ab = 'j' ";
					if($ttt == 'TTT') $sql .= "and z.sperre = 'j' ";
					$sql .= "and (time_to_sec(z.fls)/3600) >= 0.15 ";
					$sql .= "and to_days(t.von) = to_days('$datum');";

					$res = abfrage($sql);

					if($ttt == 'TTT') {
						if($res[0] >= 6) $code = 'XXX';
						elseif($res[0] > 0) $code = 'X';
						else {
							$sql  = "select z.zk_id from tb_ab_zk z ";
							$sql .= "left join tb_termine t on z.termin_id = t.termin_id ";
							$sql .= "where z.proj_id = '$projekt->id' ";
							$sql .= "and inhalte2 != '' ";
							$sql .= "and to_days(t.von) = to_days('$datum');";
							$res = abfrage($sql);
							$code = empty($res[0]) ? $f : 'N';
						}
					} else {
						if(empty($res[0])) $code = $f;
						else $code = $res[0];
					}
				}
			}
		}

		if ($code == 'XXX') {
			$pdf->SetFont('Stw', '', 16);
			$code = 'x';
		} elseif (!is_numeric($code) && $code != 'Wf') $pdf->SetFont('Arial', 'B', 9);

		$pdf->Cell(6,$zh,$code,1,$ln,'C',$fill);

		$pdf->SetFont('Arial', '', 9);

		$i++;
	}

 	$nummer++;
}

$pdf->Ln($zh);
$pdf->Cell(63,$zh,'');

$txt = 'Abkrzungen:';
$pdf->Cell(150,$zh,$txt,'B',1);
$pdf->Cell(63,$zh,'');

$pdf->Cell(6,$zh,'X');
$pdf->Cell(38,$zh,'anwesend');

$pdf->Cell(6,$zh,'','T',0,'L',1);
$pdf->Cell(36,$zh,'Wochenende');

$pdf->Cell(6,$zh,'K');
$pdf->Cell(20,$zh,'krank');

$pdf->Cell(6,$zh,'Ko');
$pdf->Cell(36,$zh,'krank ohne Nachweis',0,1);

$pdf->Cell(63,$zh,'');
$pdf->SetFont('stw', '', 14);
$pdf->Cell(6,$zh,'x');
$pdf->SetFont('Arial', '', 9);
$pdf->Cell(38,$zh,'min. 6h anwesend');

$pdf->Cell(6,$zh,'Wf',0,0,'L',1);
$pdf->Cell(36,$zh,'Wochenfeiertag');

$pdf->Cell(6,$zh,'KK');
$pdf->Cell(20,$zh,'Kind krank');

$pdf->Cell(6,$zh,'N');
$pdf->Cell(36,$zh,'Nachforschung',0,1);

$pdf->Cell(63,$zh,'');
$pdf->Cell(6,$zh,'F');
$pdf->Cell(38,$zh,'unentschuldigtes Fehlen');

$pdf->Cell(6,$zh,'E');
$pdf->Cell(36,$zh,'entschuldigtes Fehlen');

$pdf->Cell(6,$zh,'U');
$pdf->Cell(36,$zh,'Urlaub');


/* Unterschrift einfuegen */
$pdf->SetFont('Arial', '', 9);
$txt = 'Datum, Stempel, Unterschrift des Manahmetrgers';
$pdf->SetXY(170,184);
$pdf->Cell(112,$zh,$txt,'T',0,'C');

$pdf->Output();
?>
