<?php
/*******************************************************************************
* Stellware - Jugendhilfe Management System                                   *
*                                                                             *
* Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
* der GNU General Public License (GPL), wie von der Free Software Foundation  *
* veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
* Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
* Version.                                                                    *
*                                                                             *
* Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
* Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
* implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
* bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
* der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
*                                                                             *
*  http://www.stellware.de                                                    *
*******************************************************************************
*
* $Id: pro_pr_bu.php 2699 2017-02-12 16:31:55Z dschniegler $
*
*/

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_6.inc.php";
require_once($pfad.$pdf_datei);
require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(20.0);
$pdf->SetAutoPageBreak(auto,40);

$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();
$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();
$unterueberschrift = "Bericht begleiteter Umgang";
$sql = "select * from tb_hp h left join tb_hpvor v using(hp_id) where hp_id = $rvar_hp_id";
$hp = abfrage_array($sql);

// Adresse
$pdf->SetFont('Arial','',11);
$sql  = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, ";
$sql .= "t3.ort, t2.fax from tb_projekte t1 ";
$sql .= "left join tb_kontakte_ap t2 using (ap_id) ";
$sql .= "left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0' ";
$sql .= "where t1.proj_id = '$rvar_proj_id';";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,5,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,5,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,5,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,5,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,5,$dat1);
if (!empty($dat[7])){
	$pdf->SetXY(20,88);
	$fax = "Fax " . $dat[7];
	$pdf->Cell(20,6,$fax);
}

// Infozeile

$pdf->SetY(110);
$pdf->SetFont('Arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y')
				from tb_hp h
				left join tb_personal p using(pers_id)
				where hp_id = '$rvar_hp_id';");

$pdf->Cell(50,$zh,$projekt->nummer());
$pdf->Cell(50,$zh,$info[0]);
$pdf->Cell(45,$zh,$info[1]);
$heute = date('d.m.Y');
$pdf->Cell(20,$zh,$heute);

$pdf->SetFont('stw','',13);
$pdf->SetY(125);
$pdf->Cell(175,$zh,"Bericht Begleiteter Umgang");

$pdf->SetXY(20,135);
$pdf->SetFont('Arial','b',11);
$pdf->Cell(25,$zh,"Eltern:",0,0,'R');
$pdf->SetFont('Arial','',11);
$eltern = abfrage1("select p.vorname, p.name from tbh_proj_personen pp 
					left join tb_personen p using(person_id)
					where pp.proj_id='$rvar_proj_id' and pp.perstyp_id=6
					order by p.name asc, p.vorname asc");
while($elt = mysql_fetch_row($eltern)) {
	$pdf->Cell(80,$zh,"$elt[0] $elt[1]",0,2);
}
$y1 = $pdf->GetY();
$pdf->SetXY(100,135);
$pdf->SetFont('Arial','b',11);
$pdf->Cell(40,$zh,"Umgangsberechtigte(r):",0,0,'R');
$pdf->SetFont('Arial','',11);
$ubs = abfrage1("select p.vorname, p.name from tbh_proj_personen pp 
				left join tb_personen p using(person_id)
				where pp.proj_id='$rvar_proj_id' and pp.perstyp_id=8
				order by p.name asc, p.vorname asc");
while($ub = mysql_fetch_row($ubs)) {
	$pdf->Cell(80,$zh,"$ub[0] $ub[1]",0,2);
}
$y2 = $pdf->GetY();
$y = ($y1 > $y2) ? $y1 : $y2;
$pdf->SetXY(20,$y+3);
$pdf->SetFont('Arial','b',11);
$pdf->Cell(25,$zh,"Kinder:",0,0,'R');
$pdf->SetFont('Arial','',11);
$pdf->Cell(80,$zh,$projekt->name(),0,2);
$kids=abfrage1("select p.vorname, p.name from tbh_proj_personen pp 
				left join tb_personen p using(person_id)
				where pp.proj_id='$rvar_proj_id' and pp.perstyp_id=7
				order by p.name asc, p.vorname asc");
while($elt = mysql_fetch_row($eltern)) {
	$pdf->Cell(80,$zh,"$elt[0] $elt[1]",0,2);
}
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$pdf->Cell(25,$zh,"Sachbearbeiter:",0,0,'R');
$pdf->SetFont('Arial','',11);
$pdf->Cell(80,$zh,$dat[2] . " " . $dat[3],0,2);
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$pdf->Cell(25,$zh,"Umgangsbegleiter:",0,0,'R');
$pdf->SetFont('Arial','',11);
$pdf->Cell(80,$zh,pers_name($hp['pers_id']),0,2);
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$pdf->Cell(25,$zh,"Umgangstermine /",0,0,'R');
$pdf->SetFont('Arial','',11);
$pdf->Cell(80,$zh,date_my2gr($hp['datum']),0,1);
$pdf->SetFont('Arial','b',11);
$pdf->Cell(25,$zh,"Berichtszeitraum:",0,0,'R');
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(150,$zh,$hp['hilfeverlauf']);
$pdf->Ln(5);
$pdf->SetFont('stw','',13);
$pdf->Cell(175,$zh,"Vereinbarungen zum Begleiteten Umgang",0,1);
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$y = $pdf->GetY();
$pdf->Cell(25,$zh,"Angeordnete ",0,1,'R');
$pdf->Cell(25,$zh,"Regelungen:",0,1,'R');
$y1 = $pdf->GetY();
$pdf->SetXY(45,$y);
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(150,$zh,$hp['ziele']);
$y2 = $pdf->GetY();
$y = ($y1 > $y2) ? $y1 : $y2;
$pdf->SetXY(20,$y+3);
$pdf->SetFont('Arial','b',11);
$y = $pdf->GetY();
$pdf->Cell(25,$zh,"Ausgehandelte ",0,1,'R');
$pdf->Cell(25,$zh,"Regelungen:",0,1,'R');
$y1 = $pdf->GetY();
$pdf->SetXY(45,$y);
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(150,$zh,$hp['selbsthilfe']);
$y2 = $pdf->GetY();
$y = ($y1 > $y2) ? $y1 : $y2;
$pdf->SetXY(20,$y+5);
$pdf->SetFont('stw','',13);
$pdf->Cell(175,$zh,"Auswertung",0,1);
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$pdf->Cell(25,$zh,"Regelkonformitt:",0,0,'R');
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(150,$zh,$hp['res_kl']);
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$pdf->Cell(25,$zh,"bergabesituation:",0,0,'R');
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(150,$zh,$hp['befind_kl']);
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$y = $pdf->GetY();
if($y > 245) $pdf->AddPage();
$pdf->Cell(175,$zh,"Ablauf:",0,1);
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(175,$zh,$hp['zzeit_kl']);
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$y = $pdf->GetY();
if($y > 245) $pdf->AddPage();
$pdf->Cell(175,$zh,"Interventionen durch den Umgangsbegleiter: (Vernderungen/Abbrche etc.)",0,1);
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(175,$zh,$hp['befind_ma']);
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$y = $pdf->GetY();
if($y > 245) $pdf->AddPage();
$pdf->Cell(175,$zh,"Perspektive Kind: (uerungen/Wnsche/ Befrchtungen...)",0,1);
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(175,$zh,$hp['hziel_kl']);
$pdf->Ln(3);
$pdf->SetFont('Arial','b',11);
$y = $pdf->GetY();
if($y > 245) $pdf->AddPage();
$pdf->Cell(175,$zh,"Anmerkungen / Besonderheiten:",0,1);
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(175,$zh,$hp['res_ma']);
$pdf->Ln(20);
$pdf->SetFont('Arial','',11);
$pdf->Cell(80,$zh,"Ort/Datum",'T');
$pdf->Cell(10,$zh,"");
$pdf->Cell(80,$zh,"Unterschrift",'T');
$pdf->Output();
exit;
?>