<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_dt.php 2701 2017-02-16 09:25:11Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $traeger = $_SESSION[$AppCode]['TR'];
 $pdf_datei = "mandant/$traeger/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');


$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(auto, 25);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

$pdf->AddPage();

$pro = &new stwProjekt($rvar_proj_id);

$pdf->SetFont('stw','',16);
$footer = $pro->nummer();
$titel = "Datenblatt";
$titel .= "     " . $footer;
$pdf->Text(70,14,$titel);

$zh = 5.5;

$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,"Projekt-Nr.:");
$pdf->Cell(98,$zh,$footer,0,1);

$pdf->Cell(40,$zh,"gesetzl. Grundlage:");
$pdf->SetFont('Arial','',10);
$dat = abfrage("select t2.beschreibung from tb_projekte t1
                left join tb_hilfeart t2 using(hilfeart_id)
                where t1.proj_id = '$pro->id'");
$pdf->Cell(98,$zh,$dat[0],0,1);

$ja = abfrage("select t1.vorname, t1.name, t2.name2, t1.teldienst, t2.name, t1.fax
              from tb_kontakte_ap t1
			  left join tb_kontakte t2 on t1.kont_id = t2.kont_id and t2.kh_id='0'
			  where t1.ap_id = '$pro->sb';");
$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,"Auftraggeber:");
$pdf->SetFont('Arial','',10);
$pdf->Cell(98,$zh,$ja[4],0,1);
$pdf->Cell(40,$zh,"");
$pdf->Cell(98,$zh,$ja[2],0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,'Sachbearbeiter:');

$pdf->SetFont('Arial','',10);

$dat1 =(strlen($ja[0]) > 0) ? $ja[0] : '';
$dat = $dat1 . " " . $ja[1];
$pdf->Cell(98,$zh,$dat,0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,"Telefon:");
$pdf->SetFont('Arial','',10);
$pdf->Cell(98,$zh,$ja[3],0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,"Fax:");
$pdf->SetFont('Arial','',10);
$pdf->Cell(98,$zh,$ja[5],0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,"Beginn:",'B');
$pdf->SetFont('Arial','',10);
$pdf->Cell(50,$zh,$pro->beginn(),'B');
$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,"Ende:",'B');
$pdf->SetFont('Arial','',10);
$pdf->Cell(50,$zh,$pro->ende(),'B',1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,"Name:");
$pdf->SetFont('Arial','',10);
$pdf->Cell(98,$zh,$pro->name(),0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,"geboren:");
$pdf->SetFont('Arial','',10);
$dat = $pro->he_info('geboren') . ' (' . $pro->he_info('alter') . ' Jahre)';
$pdf->Cell(98,$zh,$dat,0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,$zh,"Adresse:",0,0,'L',0);
$pdf->SetFont('Arial','',10);
$dat  = (strlen($pro->he_info('str')) > 0) ? $pro->he_info('str') . ', ': '';
$dat .= (strlen($pro->he_info('plz')) > 0) ? $pro->he_info('plz') . ' ': '';
$dat .= (strlen($pro->he_info('ort')) > 0) ? $pro->he_info('ort') : '';
$pdf->Cell(98,$zh,$dat,0,1);



 /* wenn Telefon vorhanden ist ausdrucken */
 $telefon = $pro->he_info("telefon");
 if (!empty($telefon))
 {
   $pdf->SetFont("Arial", "B", 10);
   $pdf->Cell(40, $zh, "Telefon:", 0, 0, "L", 0);

   $pdf->SetFont("Arial", "", 10);
   $pdf->Cell(98, $zh, $telefon, 0, 1);
 }

 /* wenn Mobil-Telefon vorhanden ist ausdrucken */
 $telefon = $pro->he_info("mobil");
 if (!empty($telefon))
 {
   $pdf->SetFont("Arial", "B", 10);
   $pdf->Cell(40, $zh, "Mobil:", 0, 0, "L", 0);

   $pdf->SetFont("Arial", "", 10);
   $pdf->Cell(98, $zh, $telefon, 0, 1);
 }

 /* nur wenn E-Mail vorhanden ist diese zeigen */
 $mail = $pro->he_info("email");
 if (!empty($mail))
 {
   /* linke Seite fett ausgeben 'E-Mail' */
   $pdf->SetFont("Arial", "B", 10);
   $pdf->Cell(40, $zh, "E-Mail:", "B");

   /* rechte Seite normale Schrift */
   $pdf->SetFont("Arial", "", 10);
   $pdf->Cell(98, $zh, $mail, "B", 1);
 }

 /* Datenbank nach weiteren Personen abfragen */
 $sql  = "SELECT t1.person_id, t2.vorname, t2.name, t2.telmobil, t3.telefon, t2.beschreibung ";
 $sql .= "FROM tbh_proj_personen t1 LEFT JOIN tb_personen t2 USING(person_id) ";

 $sql .= "LEFT JOIN tb_p_adressen t3 USING(adress_id) ";
 $sql .= "WHERE t1.proj_id='".$rvar_proj_id."' AND t1.perstyp_id != '1' ";
 $sql .= "AND t2.aktiv=1 ";

 $sql .= "GROUP BY t1.person_id ";
 $sql .= "ORDER BY t2.name, t2.vorname ASC";
 $res  = abfrage1($sql);

 /* nur wenn Daten vorhanden sind diese ausgeben */
 $zeilen = mysql_num_rows($res);
 if ($zeilen > 0)
 {
   $y1 = $pdf->GetY();

   /* linke Seite fett 'weitere Personen' */
   $pdf->SetFont("Arial", "B", 10);
   $pdf->Cell(20, 5, "weitere", 0, 2);

   $pdf->Cell(20, 5, "Personen:");
   $pdf->SetFont("Arial", "", 10);

   $pdf->SetY($y1);

 /*
  * Es ist nur ein Eintrag vorhanden obwohl mindestens zwei Zeilen
  * gefuellt werden muessen. Leere Eintraege erstellen.
  */
   if ($zeilen < 2) $pdf->Ln($zh);
   while ($pers = mysql_fetch_row($res)){
    $pdf->Cell(25,$zh,'');
    $pdf->Cell(50,$zh,$pers[5]);
    $dat = $pers[1] . ' ' . $pers[2];
    $pdf->Cell(55,$zh,$dat);
    $dat = (empty($pers[3])) ? $pers[4] : $pers[3];
    $pdf->Cell(50,$zh,$dat,0,1);
   }
 }

$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,$zh,'Hauptbetreuer:','TB');
$pdf->SetFont('Arial','',10);

$be = abfrage_assoc("select pers_id from tbh_pers_proj
			               where proj_id = '$rvar_proj_id'
                     and personaltyp_id = '1';");
if($be['pers_id'] > 0){
    $dat = pers_name($be['pers_id']);
} else {
    $ge = abfrage_assoc("select ma_geschlecht from tb_projekte
                       where proj_id = '$rvar_proj_id';");
    switch ($ge['ma_geschlecht']) {
    case "w":
        $dat = "weiblich";
        break;
    case "m":
        $dat = "mnnlich";
        break;
    }
}
$pdf->Cell(150,$zh,$dat,'TB',1);

/* weitere Betreuer ausgeben falls vorhanden */
$sql = "SELECT pp.pers_id FROM tbh_pers_proj pp 
		LEFT JOIN tb_personaltyp pt USING(personaltyp_id)
		WHERE pp.proj_id='".$rvar_proj_id."' AND pp.personaltyp_id != '1' 
		ORDER BY pt.sort ASC";
$res  = abfrage1($sql);

$zeilen = mysql_num_rows($res);
if ($zeilen > 0)
{
   $y1 = $pdf->GetY();

   $pdf->SetFont('Arial','B',10);
   $pdf->Cell(30,5,"weitere",0,2);
   $pdf->Cell(30,5,"Betreuer:");

   $pdf->SetY($y1);

   /*
    * Es werden wieder mindestens zwei Eintraege erwartet. Falls nur einer
    * vorhanden ist die fehlende Zeile auffuellen.
    */
   if ($zeile < 2)
   {
     $pdf->Cell(30, $zh, "");
     $pdf->Cell(35, 5, "");
     $pdf->Cell(50, 5, "", 0, 1);
   }

   $pdf->SetFont('Arial','',10);

   while($pers = mysql_fetch_row($res)){
    $typ = abfrage("select t2.personaltyp from tbh_pers_proj t1
                    left join tb_personaltyp t2 using(personaltyp_id)
                    where t1.proj_id = '$rvar_proj_id'
                    and t1.pers_id = '$pers[0]';");
    $pdf->Cell(30,$zh,'');
    $pdf->Cell(35,5,$typ[0]);
    $pdf->Cell(50,5,pers_name($pers[0]),0,1);
   }
}
$pdf->Output();
exit;
?>
