<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_einverst.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 19);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

$projekt = new stwProjekt($rvar_proj_id);
$footer = "Einverstndniserklrung " . $projekt->nummer();;

$pdf->AddPage();
$pdf->SetFont('stw','',20);
$pdf->SetXY(14,25);
$pdf->Cell(100,5, 'Einverstndniserklrung');
$pdf->Cell(81,5, $projekt->nummer(),0,1,'R',0);
$pdf->SetFont('stw','',14);
$pdf->Text(15,37,"Folgende Daten werden dem Jugendamt anonymisiert mitgeteilt:");

$pdf->SetXY(15,42);

$pdf->SetFont('arialb','',10);
$pdf->Cell(100,5, "Dauer der Hilfe in Monaten:",'B',0,'L',0);
if($projekt->beginn_ts() > 0) {
    $von = $projekt->beginn_ts();
    $heute = mktime(0,0,0,date('n'),date('j'),date('Y'));
	if($projekt->ende_ts() != 0 && $heute > $projekt->ende_ts()) $bis = $projekt->ende_ts();
	else $bis = $heute;
	$dauer = ((date('Y',$bis) - date('Y',$von)) * 12) + (date('n',$bis) - date('n',$von));
} else $dauer = "";
$pdf->Cell(80,5, $dauer,'B',1,'R',0);
$pdf->Cell(100,5, "Geschlecht der Kinder/des jungen Volljhrigen:","B",0,'L',0);
$sql = "SELECT p.geschlecht, YEAR(p.geboren), MONTH(p.geboren), DAY(p.geboren), pp.perstyp_id
		FROM tbh_proj_personen pp
		LEFT JOIN tb_personen p ON pp.person_id = p.person_id
		WHERE pp.proj_id = '$projekt->id' AND (pp.perstyp_id=7 OR pp.perstyp_id=1)";
$pers = abfrage1($sql);
$lealter = 0;
$one = true;
$geschlecht = "";
$ages = "";
while($per = mysql_fetch_row($pers)){
	if($one) $one=false;
	else {
		$geschlecht .= ", ";
		$ages .= ", ";
	}
	$geschlecht .= $per[0];
	$alter = date('Y',$von) - $per[1];
	if($per[2] > date('n',$von)) $alter--;
	elseif(($per[2] == date('n',$von)) && ($per[3] > date('j',$von))) $alter--;
	if($alter > 100) $alter = "?";
	$ages .= $alter;
	if($per[4] == 1) $lealter = $alter;
}
$pdf->Cell(80,5, $geschlecht,'B',1,'R',0);
$pdf->Cell(100,5, "Alter der Kinder/des jungen Menschen bei Beginn in Jahren:",'B',0,'L',0);
$pdf->Cell(80,5, $ages,'B',1,'R',0);
if($lealter > 17) $OR = "OR pp.perstyp_id=1";
$sql = "SELECT p.bildung, p.bez_art, p.kontext
		FROM tbh_proj_personen pp
		LEFT JOIN tb_personen p ON pp.person_id = p.person_id
		WHERE pp.proj_id = '$projekt->id' AND (pp.perstyp_id=6 $OR)
		ORDER BY pp.perstyp_id ASC";
$pers = abfrage1($sql);
$one = $two = true;
if($lealter < 18) $two = false;
$bildung = "";
$bezug = "";
$kontext = "";
$count = mysql_num_rows($pers);
while($per = mysql_fetch_row($pers)){
	if($one) $one=false;
	else {
		$bildung .= ", ";
		$bezug .= ", ";
		if($two) $two=false;
		else $kontext .= ", ";
	}
	$bildung .= $per[0];
	$bezug .= $per[1];
	if($two == false) $kontext .= $per[2];
}
$pdf->Cell(100,5, "Bildungsstand der PSB/des jungen Volljhrigen:",'B',0,'L',0);
$pdf->Cell(80,5, $bildung,'B',1,'R',0);
$pdf->SetFont('arial','',9);
$y = $pdf->GetY() + 1;
for($i=0; $i<$count; $i++) {
	$pdf->SetXY(20+$i*45, $y);
	$pdf->MultiCell(45,4,"( ) 0 keine Angabe\n( ) 1 Frderschule\n( ) 2 Hauptschule\n( ) 3 Realschule\n( ) 4 Abitur\n( ) 5 ohne\n( ) 6 Facharbeiter\n( ) 7 Fachschule/Meister\n( ) 8 Hochschule");
}
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,5, "Art der Bezge der Eltern/des jungen Volljhrigen bei Beginn der Hilfe:",'B',0,'L',0);
$pdf->Cell(80,5, $bezug,'B',1,'R',0);
$pdf->SetFont('arial','',9);
$y = $pdf->GetY() + 1;
for($i=0; $i<$count; $i++) {
	$pdf->SetXY(20+$i*45, $y);
	$pdf->MultiCell(45,4,"( ) 0 keine Angabe\n( ) 1 ALG I\n( ) 2 ALG II\n( ) 3 Sozialhilfe\n( ) 4 in Arbeit\n( ) 5 Rente\n( ) 6 Selbstndig");
}
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,5, "Familirer Kontext der PSB (bei Hilfen nach  41 SGB VIII dann der Eltern)",'B',0,'L',0);
$pdf->Cell(80,5, $kontext,'B',1,'R',0);
$pdf->SetFont('arial','',9);
$y = $pdf->GetY() + 1;
if($lealter > 17) $count--;
for($i=0; $i<$count; $i++) {
	$pdf->SetXY(20+$i*45, $y);
	$pdf->MultiCell(45,4,"( ) 0 keine Angabe\n( ) 1 Alleinerziehend\n( ) 2 Pflegefamilie\n( ) 3 Leibliche Eltern\n( ) 4 Stiefeltern\n( ) 5 Adoptiveltern");
}	
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,5, "Informationen ber Zielkategorien, Grad der Zielerreichung...",0,1,'L',0);
$pdf->Cell(180,5, "Art der Hilfebeendigung:",'B',1,'L',0);
$pdf->SetFont('arial','',9);
$pdf->Cell(100,4, "	Mit Erfolg beendet",0,1,'L',0);
$pdf->Cell(100,4, "	Andere Hilfe",0,1,'L',0);
$pdf->Cell(100,4, "	Abbruch der Hilfe",0,1,'L',0);
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,5, "Grund des Abbruchs (nur bei Abbruch: kurze Begrndung)",0,1,'L',0);
$pdf->SetFont('arial','',8);

$pdf->SetY(250);
$pdf->SetFont('arial','',8);
$pdf->Cell(70,3,"Sorgeberechtigte",'T');
$pdf->Cell(5,3,"");
$pdf->Cell(50,3,"Kind/Jugendlicher",'T');
$pdf->Cell(5,3,"");
$pdf->MultiCell(50,3,$projekt->hb_kname().", Leistungserbringer",'T');

$pdf->Output();
exit;
?>




