<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_gruppe.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");

 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true, 25);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

$ts = date_my2ts($rvar_tag);

$footer = "Dokumentation ";
if($rvar_anz == 'j') $footer .= date('Y ',$ts);
if($rvar_anz == 'm') $footer .= strftime('%B %Y ', $ts);
$footer .= projektnummer($rvar_proj_id);

$pdf->AddPage();
$pdf->SetFont('stw','',20);
$pdf->SetXY(14,25);
$pdf->Cell(180,5, $footer);

$pdf->SetXY(15,42);

if(empty($_GET['ma'])) $_GET['ma'] = 'all';
$anzeige = isset($_GET['anz']) ? $_GET['anz'] : ($page==3 ? 'w1' : 't');
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anzeige == 'm')){
	$anzeige = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}
$monat = date('n',$tag);
$jahr = date('Y',$tag);
$wtag = date('w', $tag);
$mon_ts = date('Y-m-d', mktime(0,0,0,$monat,1,$jahr));
if($anzeige != 'w1') $page = 2;
switch ($anzeige) {
	case 'w1':
		$kal_von = getConf("kal_von");
		$kal_bis = getConf("kal_bis");
		$t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
		$t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));
		if ($wtag == 0){
			$erster = mktime(0,0,0,$monat,date('j', $tag)-6,$jahr);
		} else {
			$erster = mktime(0,0,0,$monat,date('j', $tag)-($wtag-1),$jahr);
		}
		$letzter = $erster + (7 * 86400);
	break;
	case 'w2':
		$erster = mktime(0,0,0,$monat,date('j', $tag),$jahr);
		$letzter = $erster + (7 * 86400);
	break;
	case 'j':
		$erster = mktime(0,0,0,1,1,$jahr);
		$letzter = mktime(0,0,0,1,1,$jahr+1);
	break;
	case 'm':
		$erster = mktime(0,0,0,$monat,1,$jahr);
		$letzter = mktime(0,0,0,$monat+1,1,$jahr);
	break;
	default :
		$erster = mktime(0,0,0,$monat,date('j', $tag),$jahr);
		$letzter = $erster + 86400;
}

$pers_order = getPersOrder(69);
$order = ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
$klient = isset($_GET['klient']) ? $_GET['klient'] : 'all';
$gruppe = 0;
$ma = isset($_GET['ma']) ? $_GET['ma'] : 'all';
$equals_whatever = 'in (';
$sql="select g.proj_id, p.vorname, p.name from tbh_projekt_gruppe g
	left join tbh_proj_personen pp using(proj_id)
	left join tb_personen p using(person_id)
	where g.proj_id_gruppe = '$rvar_proj_id' 
	and unix_timestamp(g.von) < '$letzter' 
	and (g.bis IS NULL or unix_timestamp(g.bis) >= '$erster')
	group by g.proj_id order by $order";
$klienten = abfrage1($sql);
if(mysql_num_rows($klienten) <= 1) {
	$equals_whatever = 'is NULL';
} else {
  while($kl = mysql_fetch_row($klienten)) {
	if(is_null($kl[1]) && is_null($kl[2])) {
		$gruppe = $kl[0];
	} else {
		if($klient == 'all' || $klient == 'kl') $equals_whatever .= "$kl[0],";
	}
  }
  $equals_whatever .= "'$gruppe')";
}
if($klient != 'all') $equals_whatever = "in ('$klient','$gruppe')";

$b_klientendokumentation = true;
$sql = "select p.proj_id, unix_timestamp(g.von), unix_timestamp(g.bis) + 86400
		from tbh_projekt_gruppe g
		left join tb_projekte p using(proj_id)
		left join tb_hilfeart a using(hilfeart_id)
		where g.proj_id $equals_whatever
		and unix_timestamp(g.von) < $letzter
		and (g.bis is null or unix_timestamp(g.bis) + 86400 > $erster)
		order by p.proj_id = '$gruppe' desc, 
		a.hilfeart asc, p.projektnr asc;";
$projs = abfrage1( $sql );
while ($proj = mysql_fetch_row($projs)) {
	$pdf->SetFont('arialb','',10);
	$von_ts = max($erster, $proj[1]);
	$bis_ts = $proj[2]==0 ? $letzter : min($letzter, $proj[2]);
	$subprojekt = new stwProjekt($proj[0]);
	if($proj[0] == $gruppe) {
		$pdf->Cell(180,5,'Journal / Gruppendokumentation');
	} else {
		$pdf->Cell(60,5,$subprojekt->name());
		$pdf->Cell(40,5,$subprojekt->nummer());
		$zle = abfrage ("select t1.anrede, t1.name, t2.kont_art_id, t1.teldienst
						from tb_kontakte_ap t1
						left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0'
						where t1.ap_id = $subprojekt->sb;");
		$site = k_art_seite($zle[2]);
		$pdf->Cell(40,5,empty($subprojekt->sb) ? '' : (($zle[0] == "Frau" ? 'Fr.' : 'Hr.') . " $zle[1]"));
		$pdf->Cell(40,5,$subprojekt->he_info('tel'));
	}
	$pdf->Ln(8);

	$pdf->Cell(20,5,"Datum");
	$pdf->Cell(15,5,"von");
	$pdf->Cell(15,5,"bis");
	$pdf->Cell(15,5,"fls");
	$pdf->Cell(100,5,"Betreuer");
	$pdf->Cell(15,5,"Code",0,1,'R');
	$pdf->Cell(180,0.5,'','T',1);

	$order = " order by unix_timestamp(t.von) asc;";
	$sql  = "select date_format(t.von,'%d.%m.%Y') as date_von, "; #0
	$sql .= "time_format(t.von,'%k:%i') as time_von, "; #1
	$sql .= "time_format(t.bis,'%k:%i') as time_bis, "; #2
	$sql .= "time_format(a.fls,'%k:%i') as time_fls, "; #3
	$sql .= "time_format(sec_to_time(unix_timestamp(t.bis) - ";
	$sql .= "unix_timestamp(t.von) - time_to_sec(a.fls) - ";
	$sql .= "time_to_sec(a.vun)),'%k:%i') as time_fz, "; #4
	$sql .= "a.pers_id, a.code, a.inhalte, a.zk_id, a.proj_id, "; #9
	$sql .= "(concat(left(b.vorname,1), '. ', b.name)) as betr_name, "; #10
	$sql .= "a.ab, a.ab_monat, a.nachw_id, t.termin_id, "; #14
	$sql .= "unix_timestamp(t.bis) - unix_timestamp(t.von) - ";
	$sql .= "time_to_sec(a.fls), "; #15
	$sql .= "a.kwg, time_to_sec(a.fls2) as sec_fls2, "; #17
	$sql .= "time_format(a.fls2,'%k:%i') as time_fls2, "; #18
	$sql .= "time_to_sec(a.fz2) as sec_fz2, "; #19
	$sql .= "time_format(a.fz2,'%k:%i') as time_fz2, "; #20
	$sql .= "time_to_sec(a.fls) as sec_fls, a.inhalte2, a.sperre, a.code_ttt, "; #24
	$sql .= "a.sperre_id, unix_timestamp(a.sperre_dt) as sperre_ts, "; #26
	$sql .= "a.inhalte as inhalte_1, a.inhalte2 as inhalte_2, ";
	$sql .= "a.res2_id, unix_timestamp(t.von) as ts_von, ";
	$sql .= "unix_timestamp(t.bis) as ts_bis, ";
	$sql .= "time_format(a.vun,'%k:%i') as time_vun, "; #31
	$sql .= "date_format(t.bis,'%d.%m.%Y') as date_bis "; #32
	$sql .= "from tb_ab_zk a left join tb_termine t using (termin_id) ";
	$sql .= "left join tb_personal b on a.pers_id = b.pers_id ";
	$sql .= "where a.proj_id = '$proj[0]' ";
	if($ma != 'all') $sql .= "and b.pers_id = '$ma' ";
	$sql .= "and (a.pers_id > 0 or a.code = 'U') ";
	$sql .= "and unix_timestamp(t.bis) >= $von_ts ";
	$sql .= "and unix_timestamp(t.von) < $bis_ts ";
	$sql .= $order;
	$res = abfrage1($sql);

	while ($row = mysql_fetch_array($res)) {
		$pdf->SetFont('arialb','',10);
		$pdf->Cell(20,4,$row[0],0,0,'R');
		$pdf->SetFont('arial','',10);
		if($row['code'] == 'U') {
			$pdf->Cell(30,4,"- " . $row['date_bis']);
		} else {
			$pdf->Cell(15,4,$row[1]);
			$pdf->Cell(15,4,$row[2]);
		}
		$pdf->Cell(15,4,$row[3]);
		$pdf->Cell(100,4,$row[10]);
		$pdf->Cell(15,4,$row[6],0,1,'C');
		if(!empty($row['inhalte_1'])) $pdf->MultiCell(180,4,$row['inhalte_1']);
		if(!empty($row['inhalte_2'])) $pdf->MultiCell(180,4,$row['inhalte_2']);
		$pdf->Cell(180,0.5,'','T',1);
	}
	$pdf->Ln(8);
}


$pdf->Output();
exit;
?>