<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor11.php 2668 2016-12-03 05:55:55Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/func.inc.php");

 $headline = "Endfragebogen ber den Verlauf der Hilfe";
 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_7.inc.php";
 require_once($pfad.$pdf_datei);

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4',-1);
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->AliasNbPages();
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetAutoPageBreak(auto,15);


$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());

/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');

$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, t3.ort,
				t2.fax from tb_projekte t1
                 left join tb_kontakte_ap t2 using (ap_id)
                 left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                 where t1.proj_id = $rvar_proj_id";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,$zh,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,$zh,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,$zh,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,$zh,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,$zh,$fax);
}

// Infozeile

$pdf->SetY(110);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'),
				concat(p2.vorname, ' ', p2.name)
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,$info[0]);
$pdf->Cell(50,4,date('d.m.Y'));

$ha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $projekt->ha");
$hilfe = empty($ha[1]) ? $ha[0] : $ha[1];

// berschrift
$pdf->SetFont('stw','',8);
$pdf->SetXY(110,50);
$pdf->Cell(85,$zh,"Bericht zum Abschlussgesprchs am $info[2]");

//Anschreiben
$txt = 'Sehr geehrte';
if (strlen($dat[2]) > 0){
	if ($dat[2] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $dat[2] . ' ' . $dat[3] . ",";
} else $txt .= " Damen und Herren,";
$pdf->SetFont('Arial','',8.5);
$pdf->SetXY(110,57);
$pdf->Cell(85,4,$txt);

$txt  = "anbei erhalten Sie die Auswertung fr die ";
$txt .= $hilfe . ' ' . $projekt->name();
$txt .= ", zum Abschlussgesprch I am " . $info[2] . ".";
$pdf->SetXY(110,63);
$pdf->MultiCell(85,3.5,$txt);

$txt = "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.";
$pdf->SetXY(110,$pdf->GetY() + 3);
$pdf->Cell(85,4,$txt);

$txt = "Mit freundlichen Gren";
$pdf->SetXY(110,$pdf->GetY() + 7);
$pdf->Cell(85,4,$txt);

$pdf->SetXY(110,100);
$pdf->Cell(85,4,$info[0]);

$pdf->SetLeftMargin(20.0);

$y = $pdf->GetY() + 10;

$pdf->SetY($y); $y+=7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Name:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->name();
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"geb. am:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('geboren');
$pdf->Cell(40,$zh,$dat1);

$pdf->SetY($y); $y+=5;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Anschrift:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('str');
$pdf->Cell(80,$zh,$dat1);
$pdf->SetY($y); $y+=7;
$pdf->Cell(40,$zh,"");
$dat1 = $projekt->he_info('plz') . ' ' . $projekt->he_info('ort');
$pdf->Cell(80,$zh,$dat1);

$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Eltern / Sorgeberechtigte:",0,0,'R');
$pdf->SetFont('arialb','',10);
$sql = "select t2.name, t2.vorname
		from tbh_proj_personen t1 
		left join tb_personen t2 using(person_id) 
		where t1.proj_id = '$rvar_proj_id'
		and t1.sorgerecht = 'j'
		group by t1.person_id";
$eltern = abfrage1($sql);
if(mysql_num_rows($eltern) == 0) $y += 5;
while ($elter = mysql_fetch_row($eltern)) {
	$dat1 = $elter[1] . ' ' . $elter[0];
	$pdf->SetY($y);
	$pdf->Cell(40,$zh,"");
	$pdf->Cell(80,$zh,$dat1);
	$y += 5;
}

$y += 2; $pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfeform:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$hilfe);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
$dat1 = $projekt->beginn();
$pdf->SetFont('arialb','',10);
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
$dat1 = ($projekt->ende_ts() < $projekt->kzu_ende_ts()) ? $projekt->ende() : $projekt->kzu_ende();
$pdf->SetFont('arialb','',10);
$pdf->Cell(40,$zh,$dat1);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Zustndiges Jugendamt:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat[0]);

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $projekt->beginn() : $last[0]) . " - " . $info[2];
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Berichtszeitraum:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$zeitraum);

$sql = "SELECT traeger_art FROM tb_traeger_art
		WHERE traeger_art_id = $projekt->traeger_art_id";
$ta = abfrage($sql);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Trger:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$ta[0]);

$hp_mas = abfrage1("select pp.pers_id, pt.personaltyp from tbh_pers_proj pp
					left join tb_personaltyp pt using(personaltyp_id)
					where pp.proj_id='$projekt->id' and pp.personaltyp_id!=1
					and (pp.hperw = 'j' or (pp.hperw IS NULL and pp.personaltyp_id in(2,8,9,3)))");

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Fachkraft:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Write($zh,$projekt->hb_name());
$pdf->SetFont('arial','',10);
$pdf->Write($zh," (Hauptbetreuer)");

while($ma = mysql_fetch_row($hp_mas)) {
	$pdf->SetXY(60,$y-2);
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,pers_name($ma[0]));
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh," ($ma[1])");
	$y += $zh;
}
$pdf->SetY($y); $y += 15;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$info[3]);

$sql = "SELECT t1.minimalkonsens, t1.hp_id FROM tb_hp_eg t1
		INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		WHERE t2.proj_id = $rvar_proj_id";
$minimalkonsens = abfrage($sql);

$pdf->SetFont('stw','',11);
$pdf->SetY($y); $y += 8;
$pdf->Cell(100,$zh,"Hauptziel:");
$pdf->SetFont('arial','',10);
$pdf->SetY($y);
$pdf->MultiCell(180,4,$minimalkonsens[0]);

$projekt = &new stwProjekt($rvar_proj_id);
$pro = abfrage_assoc("SELECT * FROM tb_projekte WHERE proj_id = $projekt->id");
$hp = abfrage_assoc("SELECT * FROM tb_hp WHERE hp_id = $rvar_hp_id");
$hp_kind = abfrage_assoc("SELECT * FROM tb_hp_ag WHERE hp_id=$rvar_hp_id AND kind='j'");
$hp_psb = abfrage_assoc("SELECT * FROM tb_hp_ag WHERE hp_id=$rvar_hp_id AND kind='n'");
$ap_id = $hp['ap_id'] ? $hp['ap_id'] : $pro['ap_id'];

$y = $pdf->GetY() + 15;
$pdf->SetY($y); $y += 8;
$pdf->SetFont('stw','',11);
$pdf->Cell(100,$zh,"Aktuelle Situation (kurz):");
$pdf->SetFont('arial','',10);
$pdf->SetY($y);
$pdf->MultiCell(180,4,$hp['hilfeverlauf']);

$sql = "SELECT p.id FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' AND p.prio >= '0'
		AND p.LE > '0' AND p.HE > '0' AND p.ASD > '0'
		GROUP BY p.id";
$ziele = abfrage1($sql);
$a = (mysql_num_rows($ziele) > 0) ? true : false;
$sql = "SELECT p.id FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' AND p.prio2 >= '0'
		AND p.LE > '0' AND p.HE > '0' AND p.ASD > '0'
		GROUP BY p.id";
$ziele = abfrage1($sql);
$b = (mysql_num_rows($ziele) > 0) ? true : false;

if($a == false && $b == false) $a = $b = true;
if($hp_kind['nicht_im_druck'] == 'j') $a = false;
if($hp_psb['nicht_im_druck'] == 'j') $b = false;

/******************************************************************************\ 
********************************************************************************
***                           Kind / Jugendlicher                            ***
********************************************************************************
\******************************************************************************/
if($a) {
$seite = 'Kind / Jugendlicher';
$pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"1.");
$pdf->Cell(170,$zh,"Wie kam es zu der Hilfe?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['wie'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"sie wurde mir/meinen Eltern von der Mitarbeiterin/dem Mitarbeiter des Jugendamtes empfohlen",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['wie'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Ich habe mich selbst darum bemht",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['wie'] == 3) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"meine Eltern/Vater/Mutter haben sich darum bemht",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['wie'] == 4) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Jemand anders hat uns die Hilfe empfohlen",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['wie'] == 5) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"sonstiges: " . $hp_kind['wie_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"2.");
$pdf->Cell(170,$zh,"Wie lange dauerte die Hilfe?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['dauer'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"bis 3 Monate",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['dauer'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"3 - 12 Monate",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['dauer'] == 3) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"1 - 2 Jahre",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['dauer'] == 4) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"2 Jahre oder lnger",0,1);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"3.");
$pdf->Cell(170,$zh,"Bist Du mit dem Ende der Hilfe einverstanden?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['einverstanden'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Ja",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['einverstanden'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Nein, weil ".$hp_kind['einverstanden_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"4.");
$pdf->Cell(170,$zh,"Warst Du an der Gestaltung des Hilfeplantermins beteiligt (Ort, Zeit, Anwesende)?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['skala_bzw_beteiligt'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Ja",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['skala_bzw_beteiligt'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Nein",0,1);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,"Was htte anders sein sollen? ".$hp_kind['verand_bzw_beteiligt_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"5.");
$pdf->Cell(170,$zh,"Welche Strken sind Dir wieder oder neu bewusst geworden?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,$hp_kind['staerken_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"6.");
$pdf->Cell(170,$zh,"Wurde das, was Du gut kannst anerkannt? Wenn ja, von wem?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['anerkannt'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Ja, ".$hp_kind['anerkannt_text'], 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['anerkannt'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Nein",0,1);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"7.");
$pdf->Cell(170,$zh,"Wurdest Du in die Gestaltung der Hilfe einbezogen (Deine Ziele/Interessen)?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['einbezogen'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Ja",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['einbezogen'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Nein, ".$hp_kind['einbezogen_text'], 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['einbezogen'] == 3) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Teilweise",0,1);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"8.");
$pdf->Cell(170,$zh,"Einbeziehung anderer Personen in die Hilfe");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['andere_person'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Mir/uns wichtige Personen wurden genau richtig mit einbezogen",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['andere_person'] > 1 && $hp_kind['andere_person'] % 2 == 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Ich/Wir wrde(n) mir/uns wnschen, dass ".$hp_kind['andere_person_mehr_text']." (mehr) in die Hilfe einbezogen worden wre/n.", 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['andere_person'] > 1 && $hp_kind['andere_person'] % 3 == 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Ich/Wir wrde(n) mir/uns wnschen, dass ".$hp_kind['andere_person_weniger_text']." weniger einbezogen worden wre/n.", 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 4;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"9.");
$pdf->Cell(170,$zh,"Welche Teilziele wurden im Hilfeplan aufgestellt?");
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar nicht erreicht; 12 = vollstndig erreicht");
$sql = "SELECT p.id as pid, p.ziel, p.erledigt, p.prio, IF(p.prio > 0, p.prio, 999) AS sort, p.LE, p.HE, p.ASD, p.nummer
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' AND p.prio >= 0
		GROUP BY p.id
		ORDER BY p.ASD DESC, sort ASC, p.nummer ASC";
$ziele = abfrage1($sql);

$pdf->SetY($y);
$bool = array();
while($ziel = mysql_fetch_assoc($ziele)) {
  if($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1) {
	if(empty($bool[0])) {
		$pdf->SetFont('arialb','',10);
		$pdf->Cell(10,$zh,"");
		$pdf->Cell(80,$zh,'Zielstellungen',1,0,'L');
		for($i=1; $i<12; $i++)
			$pdf->Cell(7,$zh,$i,1,0,'C');
		$pdf->Cell(7,$zh,12,1,1,'C');
		$bool[0] = 1;
	}

	if($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1)
		$pdf->SetFont('arial','',9);
	else $pdf->SetFont('arial','i',9);
	$y1 = $pdf->GetY();
	$txt = $ziel['nummer'] . ". " . $ziel['ziel'];
	if($ziel['erledigt'] > 0) $pdf->SetTextColor(128,128,128);
	$pdf->Cell(10,$zh,"");
	$pdf->MultiCell(80,3.5,$txt,1,'L',0);
	if($ziel['erledigt'] > 0) $pdf->SetTextColor(0);
	$y2 = $pdf->GetY();
	if($y1 > $y2) $y1 = 20;
	$h = $y2 - $y1;
	$pdf->SetXY(110, $y1);
	$pdf->SetFont('stw','',10);
	$id = abfrage("select ad_skala from tb_hpvor2 where ziel_id='{$ziel['pid']}' and hp_id='$rvar_hp_id'");
	for($i=1; $i<13; $i++) {
		$X = $i==$id[0] ? 'X' : '';
		$pdf->Cell(7,$h,$X,1,0,'C');
	}
	if($y2 > 260) {
		$pdf->AddPage();
		$bool[0] = 0;
		$pdf->SetXY(20, 22);
	} else $pdf->SetXY(20, $y2);
  }
}

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"10.");
$pdf->Cell(170,$zh,"Wodurch konntest Du die Ziele besonders gut erreichen?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,$hp_kind['wodurch_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"11.");
$pdf->Cell(170,$zh,"Woran hat es gelegen, dass einige Ziele noch nicht erreicht werden konnten?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_kind['nicht_erreicht'] & 1) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Ich habe andere Ziele",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_kind['nicht_erreicht'] & 2) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Zu wenig Mitarbeit durch mich",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_kind['nicht_erreicht'] & 4) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Zu wenig Mitarbeit meiner Eltern / meiner Mutter / meines Vaters / meines Vormundes",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_kind['nicht_erreicht'] & 8) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Zu wenig Mitarbeit anderer Beteiligter",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_kind['nicht_erreicht'] & 16) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"fehlendes Vertrauen gegenber ".$hp_kind['nicht_erreicht_vertrauen_text'], 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_kind['nicht_erreicht'] & 32) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Zu wenig Zeit",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_kind['nicht_erreicht'] & 128) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"die Untersttzung reicht mir nicht",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_kind['nicht_erreicht'] & 256) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"andere Grnde: ".$hp_kind['nicht_erreicht_anderes_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 4;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"12.");
$pdf->Cell(170,$zh,"Wie warst Du mit der Begleitung durch den Sozialarbeiter zufrieden?");
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar nicht zufrieden; 12 = sehr zufrieden",0,1);
$pdf->SetY($y); $y += 12;
$pdf->Cell(10,$zh,"");
for($i=1; $i<12; $i++)
	$pdf->Cell(13,$zh,$i,1,0,'C');
$pdf->Cell(13,$zh,12,1,1,'C');
$pdf->Cell(10,$zh,"");
for($i=1; $i<13; $i++) {
	$X = $i==$hp_kind['skala_le_zufrieden'] ? 'X' : '';
	$pdf->Cell(13,$zh,$X,1,0,'C');
}
$pdf->SetY($y);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"13.");
$pdf->Cell(170,$zh,"Was hat Dir besonders geholfen?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,$hp_kind['geholfen_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"14.");
$pdf->Cell(170,$zh,"Was hat Dir nicht gefallen?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,$hp_kind['nicht_gefallen_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"15.");
$pdf->Cell(170,$zh,"Wrdest Du in der gleichen Situation diese Hilfe wieder annehmen?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['wieder'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Ja",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['wieder'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Nein, ".$hp_kind['wieder_text'], 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_kind['wieder'] == 3) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Vielleicht",0,1);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 9;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"16.");
$pdf->MultiCell(170,$zh,"Wie zufrieden warst Du mit der Beratung durch den zustndigen Mitarbeiter im Jugendamt?", 0, 'L');
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar nicht zufrieden; 12 = sehr zufrieden",0,1);
$pdf->SetY($y); $y += 12;
$pdf->Cell(10,$zh,"");
for($i=1; $i<12; $i++)
	$pdf->Cell(13,$zh,$i,1,0,'C');
$pdf->Cell(13,$zh,12,1,1,'C');
$pdf->Cell(10,$zh,"");
for($i=1; $i<13; $i++) {
	$X = $i==$hp_kind['skala_ja_zufrieden'] ? 'X' : '';
	$pdf->Cell(13,$zh,$X,1,0,'C');
}
$pdf->SetY($y);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 4;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"17.");
$pdf->Cell(170,$zh,"Wie sehr konntest Du Dich an der Auswahl der Hilfe beteiligen?");
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar nicht; 12 = sehr",0,1);
$pdf->SetY($y); $y += 12;
$pdf->Cell(10,$zh,"");
for($i=1; $i<12; $i++)
	$pdf->Cell(13,$zh,$i,1,0,'C');
$pdf->Cell(13,$zh,12,1,1,'C');
$pdf->Cell(10,$zh,"");
for($i=1; $i<13; $i++) {
	$X = $i==$hp_kind['skala_beteiligt'] ? 'X' : '';
	$pdf->Cell(13,$zh,$X,1,0,'C');
}
$pdf->SetY($y);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"18.");
$pdf->Cell(170,$zh,"Was Du schon immer mal sagen wolltest...");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,$hp_kind['letzte_worte'], 0, 'L');
}
/******************************************************************************\ 
********************************************************************************
***                   Eltern / Personen- sorgeberechtigte                    ***
********************************************************************************
\******************************************************************************/
if($b) {
$seite = 'Eltern / Personen- sorgeberechtigte';
$pdf->AddPage();
$newDocAfterPage = $pdf->PageNo()-2;

$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"1.");
$pdf->Cell(170,$zh,"Wie kam es zu der Hilfe?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['wie'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"sie wurde uns/mir von der Mitarbeiterin/dem Mitarbeiter des Jugendamtes empfohlen",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['wie'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Wir haben uns / ich habe mich selbst darum bemht",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['wie'] == 4) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"eine andere Einrichtung hat mir/uns die Hilfe empfohlen",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['wie'] == 5) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"sonstiges: " . $hp_psb['wie_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"2.");
$pdf->Cell(170,$zh,"Wie lange dauerte die Hilfe?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['dauer'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"bis 3 Monate",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['dauer'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"3 - 12 Monate",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['dauer'] == 3) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"1 - 2 Jahre",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['dauer'] == 4) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"2 Jahre oder lnger",0,1);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"3.");
$pdf->Cell(170,$zh,"Sind Sie mit dem Ende der Hilfe einverstanden?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['einverstanden'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Ja",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['einverstanden'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Nein, weil ".$hp_psb['einverstanden_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 9;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"4.");
$pdf->MultiCell(170,$zh,"Gab es durch die Hilfe sprbare Vernderungen in der Familie?", 0, 'L');
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar keine Vernderung; 12 = sehr groe Vernderungen",0,1);
$pdf->SetY($y); $y += 12;
$pdf->Cell(10,$zh,"");
for($i=1; $i<12; $i++)
	$pdf->Cell(13,$zh,$i,1,0,'C');
$pdf->Cell(13,$zh,12,1,1,'C');
$pdf->Cell(10,$zh,"");
for($i=1; $i<13; $i++) {
	$X = $i==$hp_psb['skala_bzw_beteiligt'] ? 'X' : '';
	$pdf->Cell(13,$zh,$X,1,0,'C');
}
$pdf->SetY($y);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"5.");
$pdf->Cell(170,$zh,"Was hat sich positiv durch die Hilfe verndert?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,$hp_psb['verand_bzw_beteiligt_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 11;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"6.");
$pdf->MultiCell(170,$zh,"Welche Strken (die Sie oder Ihre Familie haben) sind Ihnen wieder oder neu bewusst geworden?",0,'L');
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,$hp_psb['staerken_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"7.");
$pdf->Cell(170,$zh,"Wurde das, was Sie gut knnen anerkannt? Wenn ja, von wem?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['anerkannt'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Ja, ".$hp_psb['anerkannt_text'], 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['anerkannt'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Nein",0,1);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"8.");
$pdf->Cell(170,$zh,"Wurden Sie in die Gestaltung der Hilfe einbezogen (z.B. Ihre Ziele und Wnsche)?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['einbezogen'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Ja",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['einbezogen'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Nein, ".$hp_psb['einbezogen_text'], 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['einbezogen'] == 3) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Teilweise",0,1);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"9.");
$pdf->Cell(170,$zh,"Einbeziehung anderer Personen in die Hilfe");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['andere_person'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Mir/uns wichtige Personen wurden genau richtig mit einbezogen",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['andere_person'] > 1 && $hp_psb['andere_person'] % 2 == 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Ich/Wir wrde(n) mir/uns wnschen, dass ".$hp_psb['andere_person_mehr_text']." (mehr) in die Hilfe einbezogen worden wre/n.", 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['andere_person'] > 1 && $hp_psb['andere_person'] % 3 == 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Ich/Wir wrde(n) mir/uns wnschen, dass ".$hp_psb['andere_person_weniger_text']." weniger einbezogen worden wre/n.", 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 4;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"10.");
$pdf->Cell(170,$zh,"Welche Teilziele wurden im Hilfeplan aufgestellt und wie wurden diese erreicht?");
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar nicht erreicht; 12 = vollstndig erreicht",0,1);
$sql = "SELECT p.id as pid, p.ziel, p.erledigt, p.prio2, IF(p.prio2 > 0, p.prio2, 999) AS sort, p.LE, p.HE, p.ASD, p.nummer
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' AND p.prio2 >= 0
		GROUP BY p.id
		ORDER BY p.ASD DESC, sort ASC, p.nummer ASC";
$ziele = abfrage1($sql);

$pdf->SetY($y);
$bool = array();
while($ziel = mysql_fetch_assoc($ziele)) {
  if($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1) {
	if(empty($bool[0])) {
		$pdf->SetFont('arialb','',10);
		$pdf->Cell(10,$zh,"");
		$pdf->Cell(80,$zh,'Zielstellungen',1,0,'L');
		for($i=1; $i<12; $i++)
			$pdf->Cell(7,$zh,$i,1,0,'C');
		$pdf->Cell(7,$zh,12,1,1,'C');
		$bool[0] = 1;
	}

	if($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1)
		$pdf->SetFont('arial','',9);
	else $pdf->SetFont('arial','i',9);
	$y1 = $pdf->GetY();
	$txt = $ziel['nummer'] . ". " . $ziel['ziel'];
	if($ziel['erledigt'] > 0) $pdf->SetTextColor(128,128,128);
	$pdf->Cell(10,$zh,"");
	$pdf->MultiCell(80,3.5,$txt,1,'L',0);
	if($ziel['erledigt'] > 0) $pdf->SetTextColor(0);
	$y2 = $pdf->GetY();
	if($y1 > $y2) $y1 = 20;
	$h = $y2 - $y1;
	$pdf->SetXY(110, $y1);
	$pdf->SetFont('stw','',10);
	$id = abfrage("select ad2_skala from tb_hpvor2 where ziel_id='{$ziel['pid']}' and hp_id='$rvar_hp_id'");
	for($i=1; $i<13; $i++) {
		$X = $i==$id[0] ? 'X' : '';
		$pdf->Cell(7,$h,$X,1,0,'C');
	}
	if($y2 > 260) {
		$pdf->AddPage();
		$bool[0] = 0;
	} else $pdf->SetXY(20, $y2);
  }
}

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 11;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"11.");
$pdf->Cell(170,$zh,"Wodurch konnten Ziele besonders gut erreicht werden?",0,1);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"Wer oder was hat geholfen, diese Ziele zu erreichen?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,$hp_psb['wodurch_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"12.");
$pdf->Cell(170,$zh,"Woran hat es gelegen, dass einige Ziele noch nicht erreicht werden konnten?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_psb['nicht_erreicht'] & 1) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,$hp_psb['nicht_erreicht_unrealistisch_text'] . " dafr, unrealistische Ziele",0,'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_psb['nicht_erreicht'] & 2) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Mangelnde Mitwirkungsbereitschaft des Kindes/der Kinder",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_psb['nicht_erreicht'] & 4) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Mangelnde Mitwirkungsbereitschaft der Personensorgeberechtigten",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_psb['nicht_erreicht'] & 8) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Mangelnde Mitwirkungsbereitschaft anderer Beteiligter",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_psb['nicht_erreicht'] & 16) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"fehlendes Vertrauen gegenber ".$hp_psb['nicht_erreicht_vertrauen_text'], 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_psb['nicht_erreicht'] & 32) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Zeitmangel",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_psb['nicht_erreicht'] & 64) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"ungnstige Gestaltung durch den Leistungserbringer",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_psb['nicht_erreicht'] & 128) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"die Hilfeform war nicht ausreichend, es war mehr bzw. andere (intensivere) Hilfe notwendig",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if(($hp_psb['nicht_erreicht'] & 256) > 0) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"andere Grnde: ".$hp_psb['nicht_erreicht_anderes_text'], 0, 'L');

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 4;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"13.");
$pdf->Cell(170,$zh,"Wie fanden Sie insgesamt die Hilfe?");
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar nicht zufrieden; 12 = sehr zufrieden",0,1);
$pdf->SetY($y); $y += 12;
$pdf->Cell(10,$zh,"");
for($i=1; $i<12; $i++)
	$pdf->Cell(13,$zh,$i,1,0,'C');
$pdf->Cell(13,$zh,12,1,1,'C');
$pdf->Cell(10,$zh,"");
for($i=1; $i<13; $i++) {
	$X = $i==$hp_psb['skala_hilfe_insgesamt'] ? 'X' : '';
	$pdf->Cell(13,$zh,$X,1,0,'C');
}
$pdf->SetY($y);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 4;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"14.");
$pdf->Cell(170,$zh,"Wie zufrieden waren Sie mit der Zusammenarbeit mit dem Leistungserbringer?");
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar nicht zufrieden; 12 = sehr zufrieden",0,1);
$pdf->SetY($y); $y += 12;
$pdf->Cell(10,$zh,"");
for($i=1; $i<12; $i++)
	$pdf->Cell(13,$zh,$i,1,0,'C');
$pdf->Cell(13,$zh,12,1,1,'C');
$pdf->Cell(10,$zh,"");
for($i=1; $i<13; $i++) {
	$X = $i==$hp_psb['skala_le_zufrieden'] ? 'X' : '';
	$pdf->Cell(13,$zh,$X,1,0,'C');
}
$pdf->SetY($y);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"15.");
$pdf->Cell(170,$zh,"Wrden Sie wieder Hilfe in Anspruch nehmen?");
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['wieder'] == 1) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Ja",0,1);
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['wieder'] == 2) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->MultiCell(170,$zh,"Nein, ".$hp_psb['wieder_text'], 0, 'L');
$pdf->Cell(10,$zh,"O",0,0,'C');
if($hp_psb['wieder'] == 3) {$pdf->SetX(20);$pdf->Cell(10,$zh,"X",0,0,'C');}
$pdf->Cell(170,$zh,"Vielleicht",0,1);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 9;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"16.");
$pdf->MultiCell(170,$zh,"Wie zufrieden waren Sie mit der Zusammenarbeit mit dem zustndigen Mitarbeiter im Jugendamt?", 0, 'L');
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar nicht zufrieden; 12 = sehr zufrieden",0,1);
$pdf->SetY($y); $y += 12;
$pdf->Cell(10,$zh,"");
for($i=1; $i<12; $i++)
	$pdf->Cell(13,$zh,$i,1,0,'C');
$pdf->Cell(13,$zh,12,1,1,'C');
$pdf->Cell(10,$zh,"");
for($i=1; $i<13; $i++) {
	$X = $i==$hp_psb['skala_ja_zufrieden'] ? 'X' : '';
	$pdf->Cell(13,$zh,$X,1,0,'C');
}
$pdf->SetY($y);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 4;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"17.");
$pdf->Cell(170,$zh,"Wie sehr konnten Sie sich an der Auswahl der Hilfe beteiligen?");
$pdf->SetY($y); $y += 6;
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"");
$pdf->Cell(170,$zh,"1 = gar nicht; 12 = sehr",0,1);
$pdf->SetY($y); $y += 12;
$pdf->Cell(10,$zh,"");
for($i=1; $i<12; $i++)
	$pdf->Cell(13,$zh,$i,1,0,'C');
$pdf->Cell(13,$zh,12,1,1,'C');
$pdf->Cell(10,$zh,"");
for($i=1; $i<13; $i++) {
	$X = $i==$hp_psb['skala_beteiligt'] ? 'X' : '';
	$pdf->Cell(13,$zh,$X,1,0,'C');
}
$pdf->SetY($y);

if($pdf->GetY() > 240) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 11;
$pdf->SetFont('stw','',11);
$pdf->Cell(10,$zh,"18.");
$pdf->MultiCell(170,$zh,"Hier haben Sie die Mglichkeit uns mitzuteilen, was Sie eventuell noch auf dem Herzen haben.",0,'L');
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(10,$zh,"",0,0,'C');
$pdf->MultiCell(170,$zh,$hp_psb['letzte_worte'], 0, 'L');
}

if($pdf->GetY() > 260) $pdf->AddPage();
$pdf->SetY(270);
$pdf->SetFont('Arial','',8);
$pdf->Cell(5,5,'');
$pdf->Cell(85,5,'Datum und Unterschrift der/des Leistungsempfnger/s','T',0,'C');
$pdf->Cell(20,5,'');
$pdf->Cell(65,5,'Datum und Unterschrift des Leistungserbringers','T',1,'C');

if($a && $b) $pdf->Output('','',-1*$pdf->PageNo()+$newDocAfterPage);
else $pdf->Output('','',-1);
exit;
?>