<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpag12.php 2701 2017-02-16 09:25:11Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/func.inc.php");

 $headline = "Leistungserbringer: " . getConf('trname');
 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_7.inc.php";
 require_once($pfad.$pdf_datei);

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4',-1);
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->AliasNbPages();
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetAutoPageBreak(auto,15);


$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());

/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');

$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, t3.ort,
				t2.fax from tb_projekte t1
                 left join tb_kontakte_ap t2 using (ap_id)
                 left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                 where t1.proj_id = $rvar_proj_id";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,$zh,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,$zh,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,$zh,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,$zh,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,$zh,$fax);
}

// Infozeile

$pdf->SetY(110);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'),
				concat(p2.vorname, ' ', p2.name)
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,$info[0]);
$pdf->Cell(50,4,date('d.m.Y'));

$art = abfrage("select hilfeart, beschreibung, BZ2017 from tb_hilfeart where hilfeart_id = $projekt->ha");
$hilfe = empty($art[1]) ? $art[0] : $art[1];

$ha = array('','','','','','','','','','','','','');
$ha[ $art[2] ] = 'X';

// berschrift
$pdf->SetFont('stw','',8);
$pdf->SetXY(110,50);
$pdf->Cell(85,$zh,"Bericht zum Abschlussgesprchs am $info[2]");

//Anschreiben
$txt = 'Sehr geehrte';
if (strlen($dat[2]) > 0){
	if ($dat[2] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $dat[2] . ' ' . $dat[3] . ",";
} else $txt .= " Damen und Herren,";
$pdf->SetFont('Arial','',8.5);
$pdf->SetXY(110,57);
$pdf->Cell(85,4,$txt);

$txt  = "anbei erhalten Sie die Auswertung fr die ";
$txt .= $hilfe . ' ' . $projekt->name();
$txt .= ", zum Abschlussgesprch I am " . $info[2] . ".";
$pdf->SetXY(110,63);
$pdf->MultiCell(85,3.5,$txt);

$txt = "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.";
$pdf->SetXY(110,$pdf->GetY() + 3);
$pdf->Cell(85,4,$txt);

$txt = "Mit freundlichen Gren";
$pdf->SetXY(110,$pdf->GetY() + 7);
$pdf->Cell(85,4,$txt);

$pdf->SetXY(110,100);
$pdf->Cell(85,4,$info[0]);

$pdf->SetLeftMargin(20.0);

$y = $pdf->GetY() + 10;

$pdf->SetY($y); $y+=7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Name:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->name();
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"geb. am:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('geboren');
$pdf->Cell(40,$zh,$dat1);

$pdf->SetY($y); $y+=5;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Anschrift:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('str');
$pdf->Cell(80,$zh,$dat1);
$pdf->SetY($y); $y+=7;
$pdf->Cell(40,$zh,"");
$dat1 = $projekt->he_info('plz') . ' ' . $projekt->he_info('ort');
$pdf->Cell(80,$zh,$dat1);

$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Eltern / Sorgeberechtigte:",0,0,'R');
$pdf->SetFont('arialb','',10);
$sql = "select t2.name, t2.vorname
		from tbh_proj_personen t1 
		left join tb_personen t2 using(person_id) 
		where t1.proj_id = '$rvar_proj_id'
		and t1.sorgerecht = 'j'
		group by t1.person_id";
$eltern = abfrage1($sql);
if(mysql_num_rows($eltern) == 0) $y += 5;
while ($elter = mysql_fetch_row($eltern)) {
	$dat1 = $elter[1] . ' ' . $elter[0];
	$pdf->SetY($y);
	$pdf->Cell(40,$zh,"");
	$pdf->Cell(80,$zh,$dat1);
	$y += 5;
}

$y += 2; $pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfeform:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$hilfe);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
$dat1 = $projekt->beginn();
$pdf->SetFont('arialb','',10);
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
$ende = $projekt->ende_ts() > 0 ? $projekt->ende() : $projekt->kzu_ende();
$pdf->SetFont('arialb','',10);
$pdf->Cell(40,$zh,$ende);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Zustndiges Jugendamt:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat[0]);

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $projekt->beginn() : $last[0]) . " - " . $info[2];
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Berichtszeitraum:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$zeitraum);

$sql = "SELECT traeger_art FROM tb_traeger_art
		WHERE traeger_art_id = $projekt->traeger_art_id";
$ta = abfrage($sql);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Trger:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$ta[0]);

$hp_mas = abfrage1("select pp.pers_id, pt.personaltyp from tbh_pers_proj pp
					left join tb_personaltyp pt using(personaltyp_id)
					where pp.proj_id='$projekt->id' and pp.personaltyp_id!=1
					and (pp.hperw = 'j' or (pp.hperw IS NULL and pp.personaltyp_id in(2,8,9,3)))");

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Fachkraft:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Write($zh,$projekt->hb_name());
$pdf->SetFont('arial','',10);
$pdf->Write($zh," (Hauptbetreuer)");

while($ma = mysql_fetch_row($hp_mas)) {
	$pdf->SetXY(60,$y-2);
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,pers_name($ma[0]));
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh," ($ma[1])");
	$y += $zh;
}
$pdf->SetY($y); $y += 15;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$info[3]);

$sql = "SELECT t1.minimalkonsens, t1.hp_id FROM tb_hp_eg t1
		INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		WHERE t2.proj_id = $rvar_proj_id";
$minimalkonsens = abfrage($sql);

$pdf->SetFont('stw','',11);
$pdf->SetY($y); $y += 8;
$pdf->Cell(100,$zh,"Hauptziel:");
$pdf->SetFont('arial','',10);
$pdf->SetY($y);
$pdf->MultiCell(180,4,$minimalkonsens[0]);

$projekt = &new stwProjekt($rvar_proj_id);
$pro = abfrage_assoc("SELECT * FROM tb_projekte WHERE proj_id = $projekt->id");
$hp = abfrage_assoc("SELECT * FROM tb_hp WHERE hp_id = $rvar_hp_id");
$hp_kind = abfrage_assoc("SELECT * FROM tb_hp_ag WHERE hp_id=$rvar_hp_id AND kind='j'");
$hp_psb = abfrage_assoc("SELECT * FROM tb_hp_ag WHERE hp_id=$rvar_hp_id AND kind='n'");
$ap_id = $hp['ap_id'] ? $hp['ap_id'] : $pro['ap_id'];

$pdf->Ln(8);
$pdf->SetFont('stw','',11);
$pdf->Cell(100,$zh,"Aktuelle Situation (kurz):");
$pdf->SetFont('arial','',10);
$pdf->Ln(8);
$pdf->MultiCell(180,4,$hp['hilfeverlauf']);

$lbr = array('','TRB','TB','TLB','TRB','TB','TLB','TRB','TB','TLB','TRB','TB','TLB');

$seite = "Hilfeende / Jahr: 
" . substr($ende,-4);

/******************************************************************************\ 
********************************************************************************
***                           Kind / Jugendlicher                            ***
********************************************************************************
\******************************************************************************/

$pdf->AddPage();
$pdf->SetFont('stw','',13);
$pdf->Cell(180,10,"Endfragebogen zur Einschtzung der Hilfe - junger Mensch",0,1);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Jugendamt:");
$pdf->SetFont('arial','',12);
$pdf->Cell(60,6,$dat[0]);
$pdf->SetFont('arial','b',12);
$pdf->Cell(35,6,"Hilfeende Jahr:");
$pdf->SetFont('arial','',12);
$pdf->Cell(30,6,substr($ende,-4),0,1);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,8,"Hilfedauer:");
$pdf->SetFont('arial','',12);
$ts = ($projekt->ende_ts() - $projekt->beginn_ts()) / (60*60*24*30);
$pdf->Cell(60,8,$ts>0 ? round($ts,1)." Monate" : '');
$pdf->Ln(10);

$vso = array();
if((strpos("$dat[0] $dat[1]",'Kamenz') !== false) || (strpos("$dat[0] $dat[1]",'km') !== false)) $vso['km'] = 'X';
elseif((strpos("$dat[0] $dat[1]",'Hoyerswerda') !== false) || (strpos("$dat[0] $dat[1]",'hy') !== false)) $vso['hy'] = 'X';
else $vso['bz'] = 'X';

$pdf->SetFont('stw','',13);
$pdf->Cell(1,5,'');
$pdf->Cell(5,5,$vso['bz'],1);
$pdf->Cell(1,5,'');
$pdf->SetFont('arial','',12);
$pdf->Cell(80,5,"Verwaltungsstandort Bautzen",1);
$pdf->Ln(6);
$pdf->SetFont('stw','',13);
$pdf->Cell(1,5,'');
$pdf->Cell(5,5,$vso['hy'],1);
$pdf->Cell(1,5,'');
$pdf->SetFont('arial','',12);
$pdf->Cell(80,5,"Verwaltungsstandort Hoyerswerda",1);
$pdf->Ln(6);
$pdf->SetFont('stw','',13);
$pdf->Cell(1,5,'');
$pdf->Cell(5,5,$vso['km'],1);
$pdf->Cell(1,5,'');
$pdf->SetFont('arial','',12);
$pdf->Cell(80,5,"Verwaltungsstandort Kamenz",1);
$pdf->Ln(8);

$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Hilfeart:");
$pdf->SetFillColor(225,225,225);
$pdf->SetFont('arial','',9);
$X = 20;
$Y = 74;
$x = 17;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,4,"Integra-",'LTR',2,'C',1);
$pdf->Cell($x,4,"tive Fam.",'LR',2,'C',1);
$pdf->Cell($x,4,"begl.",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$x = 20;
$pdf->Cell($x,4,"Aufsuchende",'LTR',2,'C',1);
$pdf->Cell($x,4,"Familien-",'LR',2,'C',1);
$pdf->Cell($x,4,"therapie",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$x = 17;
$pdf->Cell($x,6,"EB",'LTR',2,'C',1);
$pdf->Cell($x,6,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,6,"spFh",'LTR',2,'C',1);
$pdf->Cell($x,6,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,4,"Tages-",'LTR',2,'C',1);
$pdf->Cell($x,4,"gruppe",'LR',2,'C',1);
$pdf->Cell($x,4,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,6,"Heim",'LTR',2,'C',1);
$pdf->Cell($x,6,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,4,"Betr.",'LTR',2,'C',1);
$pdf->Cell($x,4,"Wohnen",'LR',2,'C',1);
$pdf->Cell($x,4,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell(40,6,"Eingliederungshilfe",1,2,'C',1);
$pdf->Cell(13,6,"Amb.",1,0,'C',1);
$pdf->Cell(14,6,"teilstat.",1,0,'C',1);
$pdf->Cell(13,6,"Stat.",1,0,'C',1);
$X += 40;
$x = 18;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,4,"Einzel-",'LTR',2,'C',1);
$pdf->Cell($x,4,"Betreu-",'LR',2,'C',1);
$pdf->Cell($x,4,"ung",'LBR',1,'C',1);

$pdf->SetFont('stw','',13);
$pdf->Cell(17,6,$ha[1],1,0,'C');
$pdf->Cell(20,6,$ha[2],1,0,'C');
$pdf->Cell(17,6,$ha[3],1,0,'C');
$pdf->Cell(17,6,$ha[4],1,0,'C');
$pdf->Cell(17,6,$ha[5],1,0,'C');
$pdf->Cell(17,6,$ha[6],1,0,'C');
$pdf->Cell(17,6,$ha[7],1,0,'C');
$pdf->Cell(13,6,$ha[8],1,0,'C');
$pdf->Cell(14,6,$ha[9],1,0,'C');
$pdf->Cell(13,6,$ha[10],1,0,'C');
$pdf->Cell(18,6,$ha[11],1,0,'C');

$pdf->Ln(8);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Einschtzungen zum Jugendamt und zum Helfer");
$pdf->Ln(8);

$pdf->SetFont('arial','',9);
$pdf->Cell(96,4,'','LTR',0,'C');
$pdf->Cell(21,4,'trifft voll','LTR',0,'C',1);
$pdf->Cell(21,4,'','LT');
$pdf->Cell(21,4,'','TR');
$pdf->Cell(21,4,'trifft berhaupt','LTR',1,'C',1);
$pdf->Cell(96,4,'','LR',0,'C');
$pdf->Cell(21,4,'und ganz zu','LBR',0,'C',1);
$pdf->Cell(21,4,'','LB');
$pdf->Cell(21,4,'','BR');
$pdf->Cell(21,4,'nicht zu','LBR',1,'C',1);
$pdf->Cell(96,4,'','LR',0,'C');
$pdf->Cell(21,4,'Vollstndig','LTR',0,'C',1);
$pdf->Cell(21,4,'berwiegend','LTR',0,'C',1);
$pdf->Cell(21,4,'Teilweise','LTR',0,'C',1);
$pdf->Cell(21,4,'Gar nicht','LTR',1,'C',1);
$pdf->Cell(96,4,'','LBR',0,'C');
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',1,'C',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'1.','LT',0,'R');
$pdf->Cell(90,4,'Die MitarbeiterInnen des Jugendamtes haben mich','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_kind['anerkannt']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'ernst genommen.','RB',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'2.','LT',0,'R');
$pdf->Cell(90,4,'Ich / Wir wurden ausreichend an der Auswahl','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_kind['skala_bzw_beteiligt']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'der Hilfe beteiligt.','RB',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'3.','LT',0,'R');
$pdf->Cell(90,4,'In den Gesprchen mit dem Jugendamt konnte','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_kind['skala_ja_zufrieden']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'ich sagen, was mir wichtig ist.','RB',1);

$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'4.','LT',0,'R');
$pdf->Cell(90,4,'Die Vereinbarungen und Absprachen mit den','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_kind['dauer']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'MitarbeiterInnen des Jugendamtes wurden eingehalten.','RB',1);

$pdf->Ln(2);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Einschtzungen zur Hilfe insgesamt");
$pdf->Ln(8);

$pdf->SetFont('arial','',9);
$pdf->Cell(96,4,'','LTR',0,'C');
$pdf->Cell(21,4,'trifft voll','LTR',0,'C',1);
$pdf->Cell(21,4,'','LT');
$pdf->Cell(21,4,'','TR');
$pdf->Cell(21,4,'trifft berhaupt','LTR',1,'C',1);
$pdf->Cell(96,4,'','LR',0,'C');
$pdf->Cell(21,4,'und ganz zu','LBR',0,'C',1);
$pdf->Cell(21,4,'','LB');
$pdf->Cell(21,4,'','BR');
$pdf->Cell(21,4,'nicht zu','LBR',1,'C',1);
$pdf->Cell(96,4,'','LR',0,'C');
$pdf->Cell(21,4,'Vollstndig','LTR',0,'C',1);
$pdf->Cell(21,4,'berwiegend','LTR',0,'C',1);
$pdf->Cell(21,4,'Teilweise','LTR',0,'C',1);
$pdf->Cell(21,4,'Gar nicht','LTR',1,'C',1);
$pdf->Cell(96,4,'','LBR',0,'C');
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',1,'C',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,5,'5.','LTB',0,'R');
$pdf->Cell(90,5,'Meine Ziele sind erreicht.','RTB');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,5,$hp_kind['skala_hilfe_insgesamt']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(5);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,5,'6.','LTB',0,'R');
$pdf->Cell(90,5,'Meine Mitarbeit war gut.','RTB');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,5,$hp_kind['skala_beteiligt']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(5);

$pdf->SetFont('arial','',10);
$pdf->Cell(6,5,'7.','LTB',0,'R');
$pdf->Cell(90,5,'Ich war zuverlssig.','RTB');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,5,$hp_kind['wie']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(5);

$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'8.','LT',0,'R');
$pdf->Cell(90,4,'Zwischen mir und meinem/meiner SozialarbeiterIn','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_kind['skala_le_zufrieden']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'bestand Ehrlichkeit und Vertrauen.','RB',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,5,'9.','LTB',0,'R');
$pdf->Cell(90,5,'Die Hilfe hat auch meiner Familie etwas gebracht.','RTB');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,5,$hp_kind['wieder']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(5);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,5,'10.','LTB',0,'R');
$pdf->Cell(90,5,'Die Hilfe hat mir etwas gebracht.','RTB');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,5,$hp_kind['andere_person']==$i ? 'X' : '',$lbr[$i],0,'C');
}

$pdf->Ln(7);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Mchtest Du noch etwas aufschreiben?");
$pdf->Ln(8);
$pdf->SetFont('arial','',10);
$pdf->MultiCell(180,4,$hp_kind['letzte_worte']);


/******************************************************************************\ 
********************************************************************************
***                   Eltern / Personen- sorgeberechtigte                    ***
********************************************************************************
\******************************************************************************/

$pdf->AddPage();
$pdf->SetFont('stw','',12.8);
$pdf->Cell(180,10,"Endfragebogen zur Einschtzung der Hilfe fr die Eltern / Erziehungsberechtigten ",0,1);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Jugendamt:");
$pdf->SetFont('arial','',12);
$pdf->Cell(60,6,$dat[0]);
$pdf->SetFont('arial','b',12);
$pdf->Cell(35,6,"Hilfeende Jahr:");
$pdf->SetFont('arial','',12);
$pdf->Cell(30,6,substr($ende,-4),0,1);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,8,"Hilfedauer:");
$pdf->SetFont('arial','',12);
$ts = ($projekt->ende_ts() - $projekt->beginn_ts()) / (60*60*24*30);
$pdf->Cell(60,8,$ts>0 ? round($ts,1)." Monate" : '');
$pdf->Ln(10);

$pdf->SetFont('stw','',13);
$pdf->Cell(1,5,'');
$pdf->Cell(5,5,$vso['bz'],1);
$pdf->Cell(1,5,'');
$pdf->SetFont('arial','',12);
$pdf->Cell(80,5,"Verwaltungsstandort Bautzen",1);
$pdf->Ln(6);
$pdf->SetFont('stw','',13);
$pdf->Cell(1,5,'');
$pdf->Cell(5,5,$vso['hy'],1);
$pdf->Cell(1,5,'');
$pdf->SetFont('arial','',12);
$pdf->Cell(80,5,"Verwaltungsstandort Hoyerswerda",1);
$pdf->Ln(6);
$pdf->SetFont('stw','',13);
$pdf->Cell(1,5,'');
$pdf->Cell(5,5,$vso['km'],1);
$pdf->Cell(1,5,'');
$pdf->SetFont('arial','',12);
$pdf->Cell(80,5,"Verwaltungsstandort Kamenz",1);
$pdf->Ln(8);

$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Hilfeart:");
$pdf->SetFillColor(225,225,225);
$pdf->SetFont('arial','',9);
$X = 20;
$Y = 74;
$x = 17;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,4,"Integra-",'LTR',2,'C',1);
$pdf->Cell($x,4,"tive Fam.",'LR',2,'C',1);
$pdf->Cell($x,4,"begl.",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$x = 20;
$pdf->Cell($x,4,"Aufsuchende",'LTR',2,'C',1);
$pdf->Cell($x,4,"Familien-",'LR',2,'C',1);
$pdf->Cell($x,4,"therapie",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$x = 17;
$pdf->Cell($x,6,"EB",'LTR',2,'C',1);
$pdf->Cell($x,6,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,6,"spFh",'LTR',2,'C',1);
$pdf->Cell($x,6,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,4,"Tages-",'LTR',2,'C',1);
$pdf->Cell($x,4,"gruppe",'LR',2,'C',1);
$pdf->Cell($x,4,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,6,"Heim",'LTR',2,'C',1);
$pdf->Cell($x,6,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,4,"Betr.",'LTR',2,'C',1);
$pdf->Cell($x,4,"Wohnen",'LR',2,'C',1);
$pdf->Cell($x,4,"",'LBR',2,'C',1);
$X += $x;
$pdf->SetXY($X,$Y);
$pdf->Cell(40,6,"Eingliederungshilfe",1,2,'C',1);
$pdf->Cell(13,6,"Amb.",1,0,'C',1);
$pdf->Cell(14,6,"teilstat.",1,0,'C',1);
$pdf->Cell(13,6,"Stat.",1,0,'C',1);
$X += 40;
$x = 18;
$pdf->SetXY($X,$Y);
$pdf->Cell($x,4,"Einzel-",'LTR',2,'C',1);
$pdf->Cell($x,4,"Betreu-",'LR',2,'C',1);
$pdf->Cell($x,4,"ung",'LBR',1,'C',1);

$pdf->SetFont('stw','',13);
$pdf->Cell(17,6,$ha[1],1,0,'C');
$pdf->Cell(20,6,$ha[2],1,0,'C');
$pdf->Cell(17,6,$ha[3],1,0,'C');
$pdf->Cell(17,6,$ha[4],1,0,'C');
$pdf->Cell(17,6,$ha[5],1,0,'C');
$pdf->Cell(17,6,$ha[6],1,0,'C');
$pdf->Cell(17,6,$ha[7],1,0,'C');
$pdf->Cell(13,6,$ha[8],1,0,'C');
$pdf->Cell(14,6,$ha[9],1,0,'C');
$pdf->Cell(13,6,$ha[10],1,0,'C');
$pdf->Cell(18,6,$ha[11],1,0,'C');

$pdf->Ln(8);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Einschtzungen zum Jugendamt und zum Helfer");
$pdf->Ln(8);

$pdf->SetFont('arial','',9);
$pdf->Cell(96,4,'','LTR',0,'C');
$pdf->Cell(21,4,'trifft voll','LTR',0,'C',1);
$pdf->Cell(21,4,'','LT');
$pdf->Cell(21,4,'','TR');
$pdf->Cell(21,4,'trifft berhaupt','LTR',1,'C',1);
$pdf->Cell(96,4,'','LR',0,'C');
$pdf->Cell(21,4,'und ganz zu','LBR',0,'C',1);
$pdf->Cell(21,4,'','LB');
$pdf->Cell(21,4,'','BR');
$pdf->Cell(21,4,'nicht zu','LBR',1,'C',1);
$pdf->Cell(96,4,'','LR',0,'C');
$pdf->Cell(21,4,'Vollstndig','LTR',0,'C',1);
$pdf->Cell(21,4,'berwiegend','LTR',0,'C',1);
$pdf->Cell(21,4,'Teilweise','LTR',0,'C',1);
$pdf->Cell(21,4,'Gar nicht','LTR',1,'C',1);
$pdf->Cell(96,4,'','LBR',0,'C');
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',1,'C',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'1.','LT',0,'R');
$pdf->Cell(90,4,'Die MitarbeiterInnen des Jugendamtes haben mich','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_psb['anerkannt']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'ernst genommen.','RB',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'2.','LT',0,'R');
$pdf->Cell(90,4,'Ich / Wir wurden ausreichend an der Auswahl','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_psb['skala_bzw_beteiligt']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'der Hilfe beteiligt.','RB',1);

$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'3.','LT',0,'R');
$pdf->Cell(90,4,'Vom Jugendamt wurde/n ich / wir gut ber mgliche','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_psb['skala_ja_zufrieden']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'andere Hilfen informiert.','RB',1);

$pdf->Ln(2);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Einschtzungen zur Hilfe insgesamt");
$pdf->Ln(8);

$pdf->SetFont('arial','',9);
$pdf->Cell(96,4,'','LTR',0,'C');
$pdf->Cell(21,4,'trifft voll','LTR',0,'C',1);
$pdf->Cell(21,4,'','LT');
$pdf->Cell(21,4,'','TR');
$pdf->Cell(21,4,'trifft berhaupt','LTR',1,'C',1);
$pdf->Cell(96,4,'','LR',0,'C');
$pdf->Cell(21,4,'und ganz zu','LBR',0,'C',1);
$pdf->Cell(21,4,'','LB');
$pdf->Cell(21,4,'','BR');
$pdf->Cell(21,4,'nicht zu','LBR',1,'C',1);
$pdf->Cell(96,4,'','LR',0,'C');
$pdf->Cell(21,4,'Vollstndig','LTR',0,'C',1);
$pdf->Cell(21,4,'berwiegend','LTR',0,'C',1);
$pdf->Cell(21,4,'Teilweise','LTR',0,'C',1);
$pdf->Cell(21,4,'Gar nicht','LTR',1,'C',1);
$pdf->Cell(96,4,'','LBR',0,'C');
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',0,'C',1);
$pdf->Cell(21,4,'erreicht','LBR',1,'C',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,5,'4.','LTB',0,'R');
$pdf->Cell(90,5,'Sind Ihre Ziele erreicht? (Hauptziel)','RTB');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,5,$hp_psb['skala_hilfe_insgesamt']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(5);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,5,'5.','LTB',0,'R');
$pdf->Cell(90,5,'Unsere / meine Mitarbeit war gut ','RTB');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,5,$hp_psb['skala_beteiligt']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(5);

$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'6.','LT',0,'R');
$pdf->Cell(90,4,'Die Hilfe orientierte sich an den von mir / uns','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_psb['einbezogen']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'verfolgten Zielen.','RB',1);

$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'7.','LT',0,'R');
$pdf->Cell(90,4,'Ehrlichkeit und Vertrauen zu den','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_psb['skala_le_zufrieden']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'SozialarbeiterInnen (Helfer) waren vorhanden.','RB',1);

$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'8.','LT',0,'R');
$pdf->Cell(90,4,'Die Gesprche mit den SozialarbeiterInnen','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_psb['einverstanden']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'(Helfer) waren hilfreich.','RB',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'9.','LT',0,'R');
$pdf->Cell(90,4,'Durch die Hilfe ist es zu positiven Vernderungen','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_psb['wieder']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'im Leben meiner Familie gekommen.','RB',1);

$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'10.','LT',0,'R');
$pdf->Cell(90,4,'Durch die Hilfe ist es zu positiven Vernderungen','RT');
$pdf->SetFont('stw','',13);
for($i=12;$i>=1;$i--) {
	$pdf->Cell(7,8,$hp_psb['andere_person']==$i ? 'X' : '',$lbr[$i],0,'C');
}
$pdf->Ln(4);
$pdf->SetFont('arial','b',10);
$pdf->Cell(6,4,'','LB');
$pdf->Cell(90,4,'fr mein Kind / meine Kinder gekommen.','RB',1);

$pdf->Ln(2);
$pdf->SetFont('arial','b',12);
$pdf->Cell(30,6,"Mchten Sie weitere Anmerkungen zur Hilfe machen?");
$pdf->Ln(8);
$pdf->SetFont('arial','',10);
$pdf->MultiCell(180,4,$hp_psb['letzte_worte']);


$pdf->Output('','',-1);
exit;
?>