<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor.php 2468 2015-09-02 08:56:54Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_4.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(20.0);
$pdf->SetAutoPageBreak(auto,40);

$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, t3.ort,
				t2.fax from tb_projekte t1
                 left join tb_kontakte_ap t2 using (ap_id)
                 left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                 where t1.proj_id = $rvar_proj_id";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,5,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,5,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,5,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,5,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,5,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,6,$fax);
}

// Infozeile

$pdf->SetY(110);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y')
				from tb_hp h 
				left join tb_personal p using(pers_id)
				where hp_id = $rvar_hp_id;");

$pdf->Cell(50,$zh,$projekt->nummer());
$pdf->Cell(45,$zh,"$info[0] (HB)",0,0,'R');
$pdf->Cell(5,$zh,'');
$pdf->Cell(45,$zh,$info[1]);
$heute = date('d.m.Y');
$pdf->Cell(20,$zh,$heute,0,1);
$hp_mas = abfrage1("select concat(p.vorname, ' ', p.name), p.telmobil, pt.kurzname
					from tbh_pers_proj h left join tb_personal p using(pers_id)
					left join tb_personaltyp pt using(personaltyp_id)
					where h.proj_id='$projekt->id' and h.personaltyp_id!=1
					and (h.hperw = 'j' or (h.hperw IS NULL and h.personaltyp_id in(2,8,9)))");
$ma_cnt = mysql_num_rows($hp_mas);
while($ma = mysql_fetch_row($hp_mas)) {
	$pdf->Cell(95,$zh,"$ma[0] ($ma[2])",0,0,'R');
	$pdf->Cell(5,$zh,'');
	$pdf->Cell(45,$zh,$ma[1],0,1);
}
// berschrift
$pdf->SetFont('stw','',12);
$pdf->Ln(3);
$pdf->Cell(100,$zh,"Vorbereitung zum Hilfeplangesprch am $info[2]");
// $pdf->SetXY(15,108);
$pdf->Ln(5);
$dat1 = $projekt->name();
$pdf->Cell(100,$zh,$dat1);

// berschrift 1.
$pdf->SetFont('arialb','',11);
$pdf->Ln();
$pdf->Ln();
$pdf->Cell(10,5,"1.");
$pdf->Cell(100,5,"Ziele der letzten Hilfeplanperiode");

$dat = abfrage("select ziele,datum from tb_hp
                where proj_id = '$projekt->id' and hp_art='h'
                order by datum desc limit 1,1;");
$pdf->SetFont('arial','',11);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->MultiCell(160,5,$dat[0]);

// Festlegen der Untertitel
$klient = "Einschtzung " . $projekt->vname() . " " . $projekt->nname() . " :";
$eltern = "Einschtzung Eltern :";
$user = "Einschtzung " . $_SESSION[$AppCode]["UVN"] . " " . $_SESSION[$AppCode]["UNN"] . " :";

//Abfragen der Texte aus tb_hpvor
$hpv = abfrage("select * from tb_hpvor where hp_id = $rvar_hp_id");

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"2.");
$pdf->Cell(170,5,"Wie ist die Hilfe verlaufen?");
$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"2.1");
$pdf->Cell(170,5,$klient);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[1]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"2.2");
$pdf->Cell(170,5,$eltern);
$pdf->SetFont('arial','',11);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[2]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"2.3");
$pdf->Cell(170,5,$user);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[3]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"3.");
$pdf->MultiCell(140,5,"Welche Hilfeziele konnten erreicht werden, welche Hilfeziele konnten aus welchen Grnden nicht erreicht werden?");
$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"3.1");
$pdf->Cell(170,5,$klient);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[4]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"3.2");
$pdf->Cell(170,5,$eltern);
$pdf->SetFont('arial','',11);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[5]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"3.3");
$pdf->Cell(170,5,$user);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[6]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"4.");
$pdf->MultiCell(140,5,"Welche Ressourcen gibt es?");
$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"4.1");
$pdf->Cell(170,5,$klient);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[7]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"4.2");
$pdf->Cell(170,5,$eltern);
$pdf->SetFont('arial','',11);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[8]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"4.3");
$pdf->Cell(170,5,$user);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[9]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"5.");
$pdf->MultiCell(140,5,"Was sollte in welchem Zeitraum noch geschehen, damit die Hilfe nicht mehr erforderlich ist?");
$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"5.1");
$pdf->Cell(170,5,$klient);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[10]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"5.2");
$pdf->Cell(170,5,$eltern);
$pdf->SetFont('arial','',11);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[11]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"5.3");
$pdf->Cell(170,5,$user);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[12]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"6.");
$pdf->MultiCell(140,5,"Was kann im weiteren Hilfeverlauf aus welchen Grnden nicht erreicht werden?");
$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"6.1");
$pdf->Cell(170,5,$klient);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[13]);

if ($pdf->GetY() > 220)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"6.2");
$pdf->Cell(170,5,$eltern);
$pdf->SetFont('arial','',11);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[14]);

if ($pdf->GetY() > 200)
    $pdf->AddPage();

$pdf->Ln();
$pdf->SetFont('arialb','',11);
$pdf->Cell(10,5,"6.3");
$pdf->Cell(170,5,$user);
$pdf->Ln();
$pdf->Cell(10,5,"");
$pdf->SetFont('arial','',11);
$pdf->MultiCell(160,5,$hpv[15]);

$pdf->SetLineWidth(0.1);
$pdf->Ln();
$pdf->Cell(170,25);
$pdf->Ln();
$pdf->Cell(50,1,'','B');
$pdf->Cell(5,1);
$pdf->Cell(50,1,'','B');
$pdf->Cell(5,1);
$pdf->Cell(50,1,'','B');
$pdf->Ln();
$pdf->SetFont('arialb','',11);

// Festlegen der Untertitel
$klient = $projekt->vname() . " " . $projekt->nname();
$user = $_SESSION[$AppCode]["UVN"] . " " . $_SESSION[$AppCode]["UNN"];

$pdf->Cell(50,5,$user,0,0,'C');
$pdf->Cell(5,5);
$pdf->Cell(50,5,$klient,0,0,'C');
$pdf->Cell(5,5);
$pdf->Cell(50,5,'Eltern',0,0,'C');
$pdf->Ln();
$tr_name = getConf('trname');
$pdf->Cell(50,5,$tr_name,0,0,'C');

if($ma_cnt > 0) {
	mysql_data_seek($hp_mas, 0);
	$i = 0;
	$y = $pdf->GetY() + 20;
	$x = array(20,75,130);
	while($ma = mysql_fetch_row($hp_mas)) {
		$pdf->SetXY($x[$i],$y);
		$pdf->Cell(50,5,$ma[0],'T',2,'C');
		$pdf->Cell(50,5,$tr_name,0,0,'C');
		$i++;
		if($i > 2) {
			$i=0;
			$y += 25;
		}
	}
}

$pdf->Output();
exit;
?>
