<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor10.php 2840 2018-03-13 20:37:37Z tfreudenberg $
 *
 */
/* Session fuer die Stellwarenutzung starten */
session_start();

/* ein paar Funktionen werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/func.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_7.inc.php";
 require_once($pfad.$pdf_datei);

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

 function skalenstring($eg_hp_id,$last_hp_id,$eg_skala,$last_skala,$skala) {
	$return = '';
	if(!empty($eg_skala)) {
		if($eg_skala < 3) $eg_skala = 1;
		elseif($eg_skala > 10) $eg_skala = 10;
		else $eg_skala = $eg_skala - 1;
		$return .= "($eg_skala)";
	}
	if(!empty($last_skala) && $eg_hp_id != $last_hp_id) {
		if($last_skala < 3) $last_skala = 1;
		elseif($last_skala > 10) $last_skala = 10;
		else $last_skala = $last_skala - 1;
		$return .= "($last_skala)";
	}
	if(strlen($return) > 0) $return .= "=>";
	if(empty($skala)) $return .= "(-)";
	else {
		if($skala < 3) $skala = 1;
		elseif($skala > 10) $skala = 10;
		else $skala = $skala - 1;
		$return .= "($skala)";
	}
	return $return;
 }
$projekt = new stwProjekt($rvar_proj_id);
$seite = "Hilfeplan " . $projekt->name();
$pnr = $projekt->nummer();
$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4',-1);
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->AliasNbPages();
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetAutoPageBreak(auto,15);

$adr_typ = 'Projekt-Nr.';
$leer = ($rvar_leer == 1);
$erledigte = ($rvar_erledigte == 1);

$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());


/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');


$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, t3.ort,
				t2.fax from tb_projekte t1
                 left join tb_kontakte_ap t2 using (ap_id)
                 left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                 where t1.proj_id = $rvar_proj_id";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,$zh,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,$zh,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,$zh,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,$zh,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,$zh,$fax);
}


// Infozeile

$pdf->SetY(110);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'),
				concat(p2.vorname, ' ', p2.name),
				unix_timestamp(h.datum), h.datum
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,$info[0]);
$pdf->Cell(50,4,date('d.m.Y'));

$ha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $projekt->ha");
$hilfe = empty($ha[1]) ? $ha[0] : $ha[1];

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $projekt->beginn() : $last[0]) . " - " . $info[2];

// berschrift
$pdf->SetFont('stw','',8);
$pdf->SetXY(110,50);
$pdf->Cell(85,$zh,"Vorbereitung fr den Hilfeplan am $info[2]");
$pdf->SetXY(110,53);
$pdf->Cell(85,$zh,"fr den Zeitraum $zeitraum");

$pdf->SetFillColor(102,102,102);

//Anschreiben
$txt = 'Sehr geehrte';
if (strlen($dat[2]) > 0){
	if ($dat[2] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $dat[2] . ' ' . $dat[3] . ",";
} else $txt .= " Damen und Herren,";
$pdf->SetFont('Arial','',8.5);
$pdf->SetXY(110,60);
$pdf->Cell(85,4,$txt);

$txt  = 'anbei erhalten Sie die Hilfeplanvorbereitung fr die ';
$txt .= $hilfe . ' ' . $projekt->name();
$txt .= ' zum Hilfeplangesprch am ' . $info[2] . ".";
$pdf->SetXY(110,66);
$pdf->MultiCell(85,3.5,$txt);

$txt = "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.";
$pdf->SetXY(110,$pdf->GetY() + 3);
$pdf->Cell(85,4,$txt);

$txt = "Mit freundlichen Gren";
$pdf->SetXY(110,$pdf->GetY() + 7);
$pdf->Cell(85,4,$txt);

$pdf->SetXY(110,100);
$pdf->Cell(85,4,$info[0]);

$pdf->SetLeftMargin(20.0);

$pdf->ln(10);
$pdf->SetFont('stw','',14);
$pdf->Cell(180,$zh,"Hilfeplanvorbereitung");
$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(180,$zh,"zum Gesprch am $info[2]");

$pdf->ln(15);
$pdf->SetFont('stw','',12);
$pdf->Cell(180,$zh,"Hilfeadressat:");
$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"Name, Vorname:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->nname() . ', ' . $projekt->vname();
$pdf->Cell(67,$zh,$dat1);

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"geboren am:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('geboren');
$pdf->Cell(80,$zh,$dat1);

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"Wohnort:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('str');
$pdf->Cell(80,$zh,$dat1,0,2);
$dat1 = $projekt->he_info('plz').' '.$projekt->he_info('ort');
$pdf->Cell(80,4,$dat1);

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"Hilfeart:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$hilfe);

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"Einrichtung/Leistungserbringer:",0,0,'R');
$pdf->SetFont('arialb','',10);
$le = getConf('traeger')=='stw' ? 'Stellwerk Jugendhilfe gemeinntzige GmbH' : getConf('trname');
$pdf->Cell(100,$zh,$le);

$datum = ($info[4] < mktime(0,0,0,date('n'),date('d'),date('Y'))) ? $info[5] : date('Y-m-d');
if($projekt->kontaktst($datum)) {
	$dat1  = "KLS: " . fls_form($projekt->wost_kontaktstunden($datum));
	$dat1 .= " + geplante FZ: " . fls_form($projekt->wost_kontakt_fahrzeit($datum));
	$dat1 .= " = gesamt: " . fls_form($projekt->wost_f($datum));
	if($projekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
} else $dat1 = fls_form($projekt->wost_datum($datum));
$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"vereinbarte Fachleistungsstunden:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat1);

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"Beginn der Hilfe:",0,0,'R');
$dat1 = $projekt->beginn();
$pdf->SetFont('arialb','',10);
$pdf->Cell(40,$zh,$dat1);
$pdf->SetFont('arial','',10);
$dat1 = $projekt->ende_ts() ? $projekt->ende() : $projekt->kzu_ende();
if(!empty($dat1)) {
	$pdf->Cell(20,$zh,"Ende:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(50,$zh,$dat1);
}

$pdf->ln(15);
$pdf->SetFont('stw','',12);
$pdf->Cell(180,$zh,"weitere am Hilfeplanprozess beteiligte Personen:");

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"Sorgeberechtigte:",0,0,'R');
$pdf->SetFont('arialb','',10);
$bez = abfrage1("select person_id from tbh_proj_personen 
				where proj_id = $projekt->id and sorgerecht='j'
				group by person_id;");
$txt = "";
while($be = mysql_fetch_row($bez)) {
	$txt .= person_name($be[0]) . "\n";
}
$pdf->MultiCell(140,$zh,$txt);
$pdf->ln(2);

$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"Mitarbeiter Jugendamt:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat[2] . " " . $dat[3]);
$pdf->ln(7);

$hp_mas = abfrage1("select pp.pers_id, pt.personaltyp from tbh_pers_proj pp
					left join tb_personaltyp pt using(personaltyp_id)
					where pp.proj_id='$projekt->id' and pp.personaltyp_id!=1
					and (pp.hperw = 'j' or (pp.hperw IS NULL and pp.personaltyp_id in(2,8,9,3)))");
$ma_cnt = mysql_num_rows($hp_mas);

$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"Leistungserbringer:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Write($zh,$projekt->hb_name());
$pdf->SetFont('arial','',10);
$pdf->Write($zh," (Hauptbetreuer)");
$y = $pdf->GetY() + $zh;

while($ma = mysql_fetch_row($hp_mas)) {
	$pdf->SetXY(80,$y);
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,pers_name($ma[0]));
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh," ($ma[1])");
	$y += $zh;
}
$pdf->ln(7);

$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"sonstige:",0,0,'R');
$pdf->SetFont('arialb','',10);
$bez = abfrage1("select person_id from tbh_proj_personen 
				where proj_id = $projekt->id and perstyp_id=5 and sorgerecht!='j';");
$txt = "";
while($be = mysql_fetch_row($bez)) {
	$txt .= person_name($be[0]) . "\n";
}
$pdf->MultiCell(140,$zh,$txt);
$pdf->ln(2);
$pdf->SetFont('arial','',10);
$pdf->Cell(60,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$info[3]);
$pdf->ln(7);
$pdf->Cell(180,3,'','T',1);

$pdf->SetFont('stw','',12);
$pdf->Cell(50,$zh,"Berichtszeitraum von:");
$pdf->SetFont('arial','',10);
$pdf->Cell(23,$zh,(empty($last) ? $projekt->beginn() : $last[0]));
$pdf->SetFont('stw','',12);
$pdf->Cell(12,$zh,"bis:");
$pdf->SetFont('arial','',10);
$pdf->Cell(30,$zh,$info[2]);

$pdf->AddPage();

$sql = "SELECT t1.minimalkonsens, t1.hp_id, date_format(t2.datum, '%d.%m.%Y')
		FROM tb_hp_eg t1 INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		WHERE t2.proj_id = $rvar_proj_id";
$minimalkonsens = abfrage($sql);

$hp = abfrage_assoc("select * from tb_hp where hp_id='$rvar_hp_id'");

$sql = "select befind_kl as mitwirkung,
		befind_sb as kompetenz,
		befind_ma as freizeit,
		hziel_kl as schule,
		hziel_sb as gesundheit,
		zzeit_kl as hinweise,
		res_kl as verand,
		res_sb as erwartung,
		zzeit_sb as bemerkung
		from tb_hpvor where hp_id = $rvar_hp_id";
$val2 = abfrage_array($sql);

$pdf->SetFont('stw','',14);
$pdf->Cell(180,7,"1. bergeordnete Zielstellung (Hauptziel):");
$pdf->SetFont('arialb','',10);
$pdf->ln(8);
$pdf->MultiCell(180,4,$minimalkonsens[0]);
$pdf->ln(2);
$pdf->SetFont('stw','',14);
$pdf->Cell(180,10,"bersicht der Ziele im Hilfeverlauf",'T',1);

$sql = "SELECT p.id, p.ziel, unix_timestamp(p.erledigt) as erledigt,
		p.prio, p.prio2, p.prio3, p.LE, p.HE, p.ASD, p.nummer, p.kategorie
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' 
		ORDER BY (erledigt>0) desc, p.nummer ASC";
$ziele = abfrage1($sql);
if(mysql_num_rows($ziele) > 0) {
	while($ziel = mysql_fetch_array($ziele)) {
		if($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1)
			$pdf->SetFont('arialb','',10);
		else $pdf->SetFont('arial','bi',10);
		if($ziel['erledigt']) $pdf->SetTextColor(255,255,255);
		$pdf->MultiCell(180,$zh,"Ziel ".$ziel['nummer'].". ".($ziel['erledigt'] ? '(erledigt) ' : '') . $ziel['ziel'],0,'L',$ziel['erledigt'] ? 1 : 0);
		$pdf->SetTextColor(0,0,0);
		$pdf->SetFont('arial','',10);
		$schritte = abfrage1("select schritt from tb_hp_handlungsschritte where ziel_id = '{$ziel['id']}' order by nummer asc");
		while($schritt = mysql_fetch_row($schritte)) {
		  $pdf->Cell(4,$zh,'-',0,0,'R');
		  $pdf->MultiCell(176,$zh,$schritt[0],0,'L',0);
		}
		$pdf->ln(3);
		if($pdf->GetY() > 250) $pdf->AddPage();
	}

	mysql_data_seek($ziele,0);
}
$pdf->AddPage();

$pdf->SetFont('stw','',14);
$pdf->Cell(180,6,"2. Verlauf seit dem letzten Hilfegesprch",0,1);
$pdf->SetFont('stw','',10);
$pdf->Cell(180,4,"(Persnlichkeit, Alltagskompetenz, Gesundheit, Versorgung, Familie, soziales Netz, Schule/Kita/Beruf)",0,1);
$pdf->ln(2);
$pdf->SetFont('stw','',11);
$pdf->Cell(37,5,"Aktuelle Situation:",'B',1);
$pdf->ln(2);
$pdf->SetFont('arial','',10);
$pdf->MultiCell(180,4,$hp['hilfeverlauf']);

$ziel = array('id' => 0, 'ziel' => '', 'erledigt' => 0, 'prio' => 1, 'prio2' => 1, 'prio3' => 1, 'LE' => 1, 'HE' => 1, 'ASD' => 1, 'nummer' => 1);
$alphabet = range('a','z');


$pdf->ln(3);
$pdf->SetFont('stw','',11);
$pdf->Cell(108,5,"Erreichung der Ziele aus Sicht des Leistungserbringers:",'B',1);
do{
	$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$ziel['id']}' and hp_id = '$rvar_hp_id'");
	if((empty($ziel['erledigt']) || $ziel['erledigt']>$info[4]) && $ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1 || !empty($skala['le_err'])) {
		$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
				where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id'
				and h.hp_id > '$minimalkonsens[1]' and ziel_id = '{$ziel['id']}'
				order by h.hp_id desc limit 1";
		$last_skala = abfrage_assoc($sql);
		$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
				where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id' 
				and v.ziel_id = '{$ziel['id']}'
				and (v.le_skala > 0 or v.ad_skala > 0 or v.ad2_skala > 0)
				order by hp_id asc limit 1";
		$eg_skala = abfrage_assoc($sql);

		$leskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['le_skala'],$last_skala['le_skala'],$skala['le_skala']);


		if((!empty($skala['le_err']) || $leskala != '(-)') && $ziel['prio3'] >= 0) {
			$pdf->ln(2);
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->Cell(120,$zh,'');
			if($ziel['kategorie']) {
				$kat = abfrage("select zielkategorie from tb_zielkategorie where zielkategorie_id='{$ziel['kategorie']}'");
				$pdf->SetFont('stw','',11);
				$pdf->SetTextColor(255,255,255);
				$pdf->Cell(40,$zh,$kat[0],0,0,'C',1);
				$pdf->SetTextColor(0,0,0);
			} else $pdf->Cell(40,$zh,'');
			$pdf->SetFont('arialb','',10);
			$pdf->Cell(20,$zh,$leskala,0,0,'R');
			$pdf->ln(0);
			$pdf->MultiCell($ziel['id']==0 ? 160 : 120,$zh,$ziel['id']==0 ? "Gesamtziel: $minimalkonsens[0]" : "Ziel ".$ziel['nummer'].": ".$ziel['ziel'],0,'L',0);
			$pdf->SetFont('arial','',10);
			if(!empty($skala['le_err']) || $leer) {
				$leerr = empty($skala['le_err'])&&$leer ? "\n\n\n" : $skala['le_err'];
				$pdf->MultiCell(180,$zh,$leerr,0,'L',0);
			}
		}
	}
} while($ziel = mysql_fetch_assoc($ziele));

if(mysql_num_rows($ziele) > 0) mysql_data_seek($ziele,0);

$pdf->ln(5);
$pdf->SetFont('stw','',11);
$pdf->Cell(118,5,"Erreichung der Ziele aus Sicht der Eltern / Sorgeberechtigten:",'B',1);
do{
	$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$ziel['id']}' and hp_id = '$rvar_hp_id'");
	if((empty($ziel['erledigt']) || $ziel['erledigt']>$info[4]) && $ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1 || !empty($skala['ad_err2'])) {
		$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
				where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id'
				and h.hp_id > '$minimalkonsens[1]' and ziel_id = '{$ziel['id']}'
				order by h.hp_id desc limit 1";
		$last_skala = abfrage_assoc($sql);
		$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
				where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id' 
				and v.ziel_id = '{$ziel['id']}'
				and (v.le_skala > 0 or v.ad_skala > 0 or v.ad2_skala > 0)
				order by hp_id asc limit 1";
		$eg_skala = abfrage_assoc($sql);

		$ad2skala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad2_skala'],$last_skala['ad2_skala'],$skala['ad2_skala']);

		if((!empty($skala['ad_err2']) || $ad2skala != '(-)') && $ziel['prio2'] >= 0) {
			$pdf->ln(2);
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->Cell(120,$zh,'');
			if($ziel['kategorie']) {
				$kat = abfrage("select zielkategorie from tb_zielkategorie where zielkategorie_id='{$ziel['kategorie']}'");
				$pdf->SetFont('stw','',11);
				$pdf->SetTextColor(255,255,255);
				$pdf->Cell(40,$zh,$kat[0],0,0,'C',1);
				$pdf->SetTextColor(0,0,0);
			} else $pdf->Cell(40,$zh,'');
			$pdf->SetFont('arialb','',10);
			$pdf->Cell(20,$zh,$ad2skala,0,0,'R');
			$pdf->ln(0);
			$pdf->MultiCell(120,$zh,$ziel['id']==0 ? "Gesamtziel: $minimalkonsens[0]" : "Ziel ".$ziel['nummer'].": ".$ziel['ziel'],0,'L',0);
			$pdf->SetFont('arial','',10);
			if(!empty($skala['ad_err2']) || $leer) {
				$aderr2 = empty($skala['ad_err2'])&&$leer ? "\n\n\n" : $skala['ad_err2'];
				$pdf->MultiCell(180,$zh,$aderr2,0,'L',0);
			}
		}
	}
} while($ziel = mysql_fetch_assoc($ziele));

if(mysql_num_rows($ziele) > 0) mysql_data_seek($ziele,0);

$pdf->ln(5);
$pdf->SetFont('stw','',11);
$pdf->Cell(118,5,"Erreichung der Ziele aus Sicht des Kindes / jungen Menschen:",'B',1);
do{
	$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$ziel['id']}' and hp_id = '$rvar_hp_id'");
	if((empty($ziel['erledigt']) || $ziel['erledigt']>$info[4]) && $ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1 || !empty($skala['ad_err'])) {
		$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
				where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id'
				and h.hp_id > '$minimalkonsens[1]' and ziel_id = '{$ziel['id']}'
				order by h.hp_id desc limit 1";
		$last_skala = abfrage_assoc($sql);
		$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
				where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id' 
				and v.ziel_id = '{$ziel['id']}'
				and (v.le_skala > 0 or v.ad_skala > 0 or v.ad2_skala > 0)
				order by hp_id asc limit 1";
		$eg_skala = abfrage_assoc($sql);

		$adskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad_skala'],$last_skala['ad_skala'],$skala['ad_skala']);


		if((!empty($skala['ad_err']) || $adskala != '(-)') && $ziel['prio'] >= 0) {
			$pdf->ln(2);
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->Cell(120,$zh,'');
			if($ziel['kategorie']) {
				$kat = abfrage("select zielkategorie from tb_zielkategorie where zielkategorie_id='{$ziel['kategorie']}'");
				$pdf->SetFont('stw','',11);
				$pdf->SetTextColor(255,255,255);
				$pdf->Cell(40,$zh,$kat[0],0,0,'C',1);
				$pdf->SetTextColor(0,0,0);
			} else $pdf->Cell(40,$zh,'');
			$pdf->SetFont('arialb','',10);
			$pdf->Cell(20,$zh,$adskala,0,0,'R');
			$pdf->ln(0);
			$pdf->MultiCell(120,$zh,$ziel['id']==0 ? "Gesamtziel: $minimalkonsens[0]" : "Ziel ".$ziel['nummer'].": ".$ziel['ziel'],0,'L',0);
			$pdf->SetFont('arial','',10);
			if(!empty($skala['ad_err']) || $leer) {
				$aderr = empty($skala['ad_err'])&&$leer ? "\n\n\n" : $skala['ad_err'];
				$pdf->MultiCell(180,$zh,$aderr,0,'L',0);
			}
		}
	}
} while($ziel = mysql_fetch_assoc($ziele));

$pdf->ln(5);

if($pdf->GetY() > 250) $pdf->AddPage();
$pdf->SetFont('stw','',14);
$pdf->MultiCell(180,6,"3. Welche Ressourcen (z.B. familires Umfeld, Schule/Kita, Freizeitaktivitten...) knnen zu einem positiven Hilfeverlauf beitragen:",0,'L');
$pdf->SetFont('arial','',10);
$pdf->ln(2);
$pdf->MultiCell(180,4,$hp['ressourcen']);

$pdf->ln(5);

if($pdf->GetY() > 250) $pdf->AddPage();
$pdf->SetFont('stw','',14);
$pdf->MultiCell(180,6,"4. Hinweise zur weiteren Ausgestaltung der Hilfe",0,'L');
$pdf->SetFont('arial','',10);
$pdf->ln(2);
$pdf->MultiCell(180,4,$val2['hinweise']);

if($pdf->GetY() > 250) $pdf->AddPage();
$pdf->ln(20);

$pdf->SetFont('arial','',8);
$pdf->Cell(50,3,$info[0].",",'T');
$pdf->Cell(5,3,"");
$pdf->Cell(70,3,"Datum/Unterschrift Sorgeberechtigte",'T');
$pdf->Cell(5,3,"");
$pdf->Cell(50,3,"Datum/Unterschrift Kind/Jugendlicher",'T',1);
$pdf->Cell(50,3,"Datum/Unterschrift Leistungserbringer");

if($ma_cnt > 0) {
	mysql_data_seek($hp_mas, 0);
	$i = 0;
	$y = $pdf->GetY() + 20;
	$x = array(20,85,150);
	while($ma = mysql_fetch_row($hp_mas)) {
		$pdf->SetXY($x[$i],$y);
		$pdf->Cell(50,3,pers_name($ma[0]).",",'T',2);
		$pdf->Cell(50,3,"Datum/Unterschrift Leistungserbringer");
		$i++;
		if($i > 2) {
			$i=0;
			$y += 20;
		}
	}
}

$pdf->SetLeftMargin(10.0);
$format = 'L';
$pdf->AddPage($format);
$pdf->SetFillColor(102,102,102);

$pdf->SetFont('stw','',14);
$pdf->Cell(277,6,"Anlage 1:  Vereinbarungen und Ziele fr die nchste Hilfeetappe des Hilfeplans vom ".date_my2gr($hp['datum']),0,1);

$pdf->SetFont('stw','',11);
$pdf->ln(1);
$pdf->Cell(79,4,"bergeordnete Zielstellung (Hauptziel):");
$pdf->SetFont('arialb','',10);
$pdf->MultiCell(198,4,$minimalkonsens[0]);
$pdf->ln(1);

$kats=abfrage1("SELECT * FROM tb_zielkategorie z 
				left join tbh_kont_zielkategorie k using(zielkategorie_id)
				where k.kont_id='$projekt->ja' and k.aktiv='j'");

$alphabet = range('a','z');
while($kat = mysql_fetch_array($kats)) {
	$sql = "SELECT p.ziel, p.id, p.nummer, p.erreicht,
			unix_timestamp(p.erledigt)
			FROM tb_hp_praxisziele p
			LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
			WHERE h.proj_id='$rvar_proj_id'
			AND p.LE='1' AND p.HE='1'
			AND p.kategorie='$kat[0]'
			ORDER BY p.nummer ASC, p.hp_id=$rvar_hp_id DESC";
	$ziele = abfrage1($sql);
	if($pdf->GetY() > (mysql_num_rows($ziele) == 0 ? 170 : 150)) $pdf->AddPage($format);
	$pdf->SetFont('stw','',11);
	$pdf->Ln(1);
	$pdf->SetTextColor(255,255,255);
	$pdf->Cell(277,6,$kat['zielkategorie'],0,1,'l',1);
	$pdf->SetTextColor(0,0,0);
	$pdf->Ln(1);

	if(mysql_num_rows($ziele) > 0) {
		$pdf->SetFont('Arial','b',11);
		$pdf->Cell(100,$zh,"Was soll erreicht werden? (Zielbeschreibung)",1);
		$pdf->Cell(120,$zh,"Welche Handlungsschritte sind erforderlich?",1);
		$pdf->Cell(47,$zh,"Verantwortlich",1);
		$pdf->Cell(10,$zh,"err.",1,1);
		while($ziel = mysql_fetch_row($ziele)) {
		  if(empty($ziel[4]) || $ziel[4]>$info[4]) {
			if($pdf->GetY() > 170) $pdf->AddPage($format);
			$y = $pdf->GetY();
			$pdf->SetFont('Arial','b',11);
			$pdf->Multicell(100,$zh,"Ziel $ziel[2]: $ziel[0]",0,'L');
			$pdf->SetFont('Arial','',11);
			$y1 = $pdf->GetY();
			$schritte=abfrage1("select h.id, h.schritt from tbh_hp_ziel_pers_handlungsschritt ph
								left join tb_hp_handlungsschritte h on( h.ziel_id = ph.ziel_id and h.id = ph.schritt_id)
								where ph.hp_id='$rvar_hp_id' and ph.ziel_id='$ziel[1]' group by h.id order by h.nummer asc");
			$y2 = $y;
			$pdf->SetXY(277,$y);
			$pdf->Cell(10,$zh,$ziel[3]=='j'?'ja':'nein');
			while($schritt=mysql_fetch_row($schritte)) {
				$pdf->SetX(230);
				$verantwortlich = '';
				$lastHPmitHandlungsschritten = abfrage("select hp_id from tbh_hp_ziel_pers_handlungsschritt 
														where ziel_id='$ziel[1]' and schritt_id='$schritt[0]' 
														and hp_id<'$rvar_hp_id' order by hp_id desc limit 1");
				if(empty($lastHPmitHandlungsschritten[0])) {
					if($last[1] == 6) continue;
				}
				$pers=abfrage1("select person_id, verantwortlich from tbh_hp_ziel_pers_handlungsschritt
								where hp_id='$lastHPmitHandlungsschritten[0]' and ziel_id='$ziel[1]' and schritt_id='$schritt[0]'");
				while($per = mysql_fetch_row($pers)) {
					if($verantwortlich != '') $verantwortlich .= ", ";
					if($per[0] == '-1') $verantwortlich .= "LE";
					elseif($per[0] == '-2') $verantwortlich .= $projekt->vname();
					elseif($per[0] == '-3') $verantwortlich .= "Eltern";
					else {
						$name = abfrage("select concat(vorname,' ',name) from tb_personen where person_id='$per[0]'");
						$verantwortlich .= $name[0];
					}
				}
				$pdf->Cell(47,$zh,$verantwortlich);
				$pdf->SetX(110);
				$pdf->Multicell(120,$zh,"- $schritt[1]",0,'L');
				$y2 = $pdf->GetY();
			}
			if($y2 >= $y) $pdf->SetXY(10,max($y1,$y2));

			$pdf->Ln(2);
			$pdf->SetFont('stw','',11);
			$pdf->Cell(106,5,"Begrndung / Ableitung neuer Ziele/Handlungsschritte:",'B',1);
			$pdf->Ln(1);
			$pdf->SetFont('Arial','b',11);
			$pdf->Cell(277,$zh,"a) Kind/Jugendlicher:",0,1);
			$pdf->SetFont('Arial','',11);
			$ziel_pers_data = abfrage("select anmerkung from tbh_hp_ziel_pers_data where hp_id='$rvar_hp_id' and ziel_id='$ziel[1]' and person_id='-2'");
			if(strlen($ziel_pers_data[0]) > 0) $pdf->Multicell(277,$zh,$ziel_pers_data[0]);
			$pdf->SetFont('Arial','b',11);
			$pdf->Cell(277,$zh,"b) Eltern/Sorgeberechtigte:",0,1);
			$pdf->SetFont('Arial','',11);
			$ziel_pers_data = abfrage("select anmerkung from tbh_hp_ziel_pers_data where hp_id='$rvar_hp_id' and ziel_id='$ziel[1]' and person_id='-3'");
			if(strlen($ziel_pers_data[0]) > 0) $pdf->Multicell(277,$zh,$ziel_pers_data[0]);
			$pdf->SetFont('Arial','b',11);
			$pdf->Cell(277,$zh,"c) Leistungserbringer:",0,1);
			$pdf->SetFont('Arial','',11);
			$ziel_pers_data = abfrage("select anmerkung from tbh_hp_ziel_pers_data where hp_id='$rvar_hp_id' and ziel_id='$ziel[1]' and person_id='-1'");
			if(strlen($ziel_pers_data[0]) > 0) $pdf->Multicell(277,$zh,$ziel_pers_data[0]);
			$bez = abfrage1("select person_id from tbh_proj_personen 
							where proj_id = $projekt->id and perstyp_id=5 and sorgerecht='n'
							order by person_id asc;");
			$i = 3;
			while($be = mysql_fetch_row($bez)) {
				if($ziel[1] == 0) $ziel_pers_data = array();
				else $ziel_pers_data = abfrage("select anmerkung from tbh_hp_ziel_pers_data where hp_id='$rvar_hp_id' and ziel_id='$ziel[1]' and person_id='$be[0]'");
				if($pdf->GetY() > 175) $pdf->AddPage($format);
				$name = person_name($be[0]);
				if(!empty($ziel_pers_data[0])) {
					$pdf->SetFont('stw','',11);
					$pdf->Cell(277,$zh,$alphabet[$i].") $name:",0,1,'L');
					$pdf->SetFont('arial','',10);
					if(!empty($ziel_pers_data[0])) $pdf->MultiCell(277,$zh,$ziel_pers_data[0],0,'L',0);
				}
				$i++;
			}
			$pdf->Cell(277,1,'','B',1);
		  }
		}
	}
}

$pdf->SetLeftMargin(20.0);
$format = 'P';
$pdf->AddPage($format);

$pdf->SetFont('stw','',14);
$pdf->Cell(180,6,"Anlage 2: Hilfeplanvorbereitung des Leistungsempfngers:",0,1);
$pdf->Ln(2);

$pdf->SetFont('Arial','b',10);

$pdf->Cell(180,5,"Welche Ziele des letzten Hilfeplanzeitraums habe(n) ich / wir erreicht?",0,1);
$pdf->Ln(60);

$pdf->Cell(180,5,"Welche Ziele habe(n) ich / wir nicht erreicht und warum?",0,1);
$pdf->Ln(60);

$pdf->Cell(180,5,"Welche Ziele mchte(n) ich / wir im weiteren Verlauf der Hilfe erreichen?",0,1);
$pdf->Ln(60);

$pdf->Cell(180,5,"Welche Erwartungen habe(n) ich / wir an die Hilfe? Was brauche(n) ich / wir noch vom Jugendamt?",0,1);

$pdf->AddPage($format);

$pdf->SetFont('stw','',14);
$pdf->Cell(180,6,"Anlage 3: Hilfeplanvorbereitung des Kindes / jungen Menschen:",0,1);
$pdf->Ln(2);

$pdf->SetFont('Arial','b',10);

$pdf->Cell(180,5,"Welche Ziele des letzten Hilfeplanzeitraums habe(n) ich / wir erreicht?",0,1);
$pdf->Ln(60);

$pdf->Cell(180,5,"Welche Ziele habe(n) ich / wir nicht erreicht und warum?",0,1);
$pdf->Ln(60);

$pdf->Cell(180,5,"Welche Ziele mchte(n) ich / wir im weiteren Verlauf der Hilfe erreichen?",0,1);
$pdf->Ln(60);

$pdf->Cell(180,5,"Welche Erwartungen habe(n) ich / wir an die Hilfe? Was brauche(n) ich / wir noch vom Jugendamt?",0,1);
$pdf->Output('','',-1);
?>
