<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor12.php 2897 2018-10-24 15:16:23Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/func.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_7.inc.php";
 require_once($pfad.$pdf_datei);
 $noten = array('gar nicht','gar nicht','gar nicht','teilweise','teilweise','teilweise','berwiegend','berwiegend','berwiegend','vollstndig','vollstndig','vollstndig','vollstndig','vollstndig','vollstndig');

 function skalenstring($eg_hp_id,$last_hp_id,$eg_skala,$last_skala,$skala) {
	$return = '';
	if($eg_hp_id > 0 && empty($eg_skala)) $return .= "(-)";
	elseif($eg_hp_id > 0) $return .= "(".intval($eg_skala).")";
	if(!empty($last_skala) && $eg_hp_id != $last_hp_id) {
		$return .= "(".intval($last_skala).")";
	}
	if(strlen($return) > 0) $return .= " =>";
	if(empty($skala)) $return .= " -";
	else $return .= " ".intval($skala);
	return $return;
}

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4',-1);
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->AliasNbPages();
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetAutoPageBreak(auto,10);


$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());


/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');


$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, t3.ort,
				t2.fax, t1.befristung from tb_projekte t1
                 left join tb_kontakte_ap t2 using (ap_id)
                 left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                 where t1.proj_id = $rvar_proj_id";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,$zh,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,$zh,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,$zh,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,$zh,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,$zh,$fax);
}


// Infozeile

$pdf->SetY(110);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'), 
				unix_timestamp(h.datum), h.datum,
				concat(p2.vorname, ' ', p2.name), h.selbsthilfe
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,$info[0]);
$pdf->Cell(50,4,date('d.m.Y'));

$ha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $projekt->ha");
$hilfe = empty($ha[1]) ? $ha[0] : $ha[1];

// berschrift
$pdf->SetFont('stw','',8);
$pdf->SetXY(110,50);
$pdf->Cell(85,$zh,"Bericht zur Vorbereitung des Hilfeplangesprchs am $info[2]");

//Anschreiben
$txt = 'Sehr geehrte';
if (strlen($dat[2]) > 0){
	if ($dat[2] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $dat[2] . ' ' . $dat[3] . ",";
} else $txt .= " Damen und Herren,";
$pdf->SetFont('Arial','',8.5);
$pdf->SetXY(110,57);
$pdf->Cell(85,4,$txt);

$txt  = 'anbei erhalten Sie die Hilfeplanvorbereitung fr die ';
$txt .= $hilfe . ' ' . $projekt->name();
$txt .= ' zum Hilfeplangesprch am ' . $info[2] . ".";
$pdf->SetXY(110,63);
$pdf->MultiCell(85,3.5,$txt);

$txt = "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.";
$pdf->SetXY(110,$pdf->GetY() + 3);
$pdf->Cell(85,4,$txt);

$txt = "Mit freundlichen Gren";
$pdf->SetXY(110,$pdf->GetY() + 7);
$pdf->Cell(85,4,$txt);

$pdf->SetXY(110,100);
$pdf->Cell(85,4,$info[0]);

$pdf->SetLeftMargin(20.0);

$y = $pdf->GetY() + 10;

$pdf->SetY($y); $y+=7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Name:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->name();
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"geb. am:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('geboren');
if($dat1 == '00.00.0000') $dat1 = '';
$pdf->Cell(40,$zh,$dat1);

$pdf->SetY($y); $y+=5;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Anschrift:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('str');
$pdf->Cell(80,$zh,$dat1);
$pdf->SetY($y); $y+=7;
$pdf->Cell(40,$zh,"");
$dat1 = $projekt->he_info('plz') . ' ' . $projekt->he_info('ort');
$pdf->Cell(80,$zh,$dat1);

$pdf->SetY($y);
$y2 = $y;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Eltern / Sorgeberechtigte:",0,0,'R');
$pdf->SetFont('arialb','',10);
$sql = "select t2.name, t2.vorname
		from tbh_proj_personen t1 
		left join tb_personen t2 using(person_id) 
		where t1.proj_id = '$rvar_proj_id'
		and t1.sorgerecht = 'j'
		group by t1.person_id";
$eltern = abfrage1($sql);
if(mysql_num_rows($eltern) == 0) $y += 5;
while ($elter = mysql_fetch_row($eltern)) {
	$dat1 = $elter[1] . ' ' . $elter[0];
	$pdf->SetY($y);
	$pdf->Cell(40,$zh,"");
	$pdf->Cell(80,$zh,$dat1);
	$y += 5;
}

$w_pers = abfrage1("select distinct p.person_id from tbh_proj_personen p
					left join tbh_hp_tn h on (p.person_id = h.person_id and h.hp_id='$rvar_hp_id')
					where p.proj_id='$projekt->id' and p.sorgerecht!='j' and h.abwesend='n'");
if(mysql_num_rows($w_pers) > 0) {
	$pdf->SetXY(100,$y2);
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"weitere Teilnehmer:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	while ($per = mysql_fetch_row($w_pers)) {
		$pdf->Cell(80,$zh,person_name($per[0]),0,2);
		$y2 += 5;
	}
}

$y = ($y2 > $y) ? $y2 : $y;

$v_hp = abfrage("select h.v_hp_id, p.proj_id from tbh_hp_verbund h
				left join tb_pro_verbund p using(verbund_id)
				where h.hp_id='$rvar_hp_id'
				and datetime_bis is null
				and p.proj_id != '$rvar_proj_id'");

$y += 2; $pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfeform:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$hilfe);

$datum = ($info[3] < mktime(0,0,0,date('n'),date('d'),date('Y'))) ? $info[4] : date('Y-m-d');
if($projekt->kontaktst($datum)) {
	$dat1  = "KLS: " . fls_form($projekt->wost_kontaktstunden($datum));
	$dat1 .= " + geplante FZ: " . fls_form($projekt->wost_kontakt_fahrzeit($datum));
	$dat1 .= " = gesamt: " . fls_form($projekt->wost_f($datum));
	if($projekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
} else $dat1 = fls_form($projekt->wost_datum($datum));
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat1);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
$dat1 = $projekt->beginn();
$pdf->SetFont('arialb','',10);
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
$dat1 = $projekt->ende();
if(empty($dat1)) $dat1 = $projekt->kzu_ende();
if($dat[8]=='j') $dat1 .= " (Befristung)";
$pdf->SetFont('arialb','',10);
$pdf->Cell(40,$zh,$dat1);

//Befristetes Projekt endet in den nchsten 7 Monaten
if($dat[8]=='j' && $projekt->ende_ts() < $info[3] + 18144000) {
	$pdf->SetXY(150,$y);
	$pdf->SetFont('stw','',30);
	$pdf->Cell(50,12,'Achtung!','LTR',2);
	$pdf->SetFont('arialb','',10);
	$pdf->MultiCell(50,$zh,"Termin Abschlussgesprch
oder Hilfeverlngerung
im Hilfeplangesprch klren",'LBR');
}

if($v_hp[0] > 0) {
	$vprojekt = new stwProjekt($v_hp[1]);
	$vha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $vprojekt->ha");
	$vhilfe = empty($vha[1]) ? $vha[0] : $vha[1];
	$pdf->SetY($y); $y += 8;
	$pdf->Cell(170,1,'','T',1);
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"verbundene Hilfeform:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,$vhilfe);
	if($vprojekt->kontaktst($datum)) {
		$dat1  = "KLS: " . fls_form($vprojekt->wost_kontaktstunden($datum));
		$dat1 .= " + geplante FZ: " . fls_form($vprojekt->wost_kontakt_fahrzeit($datum));
		$dat1 .= " = gesamt: " . fls_form($vprojekt->wost_f($datum));
		if($vprojekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
	} else $dat1 = fls_form($vprojekt->wost_datum($datum));
	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,$dat1);

	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
	$dat1 = $vprojekt->beginn();
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(60,$zh,$dat1);
	$pdf->SetFont('arial','',10	);
	$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
	$dat1 = $vprojekt->ende();
	if(empty($dat1)) $dat1 = $vprojekt->kzu_ende();
	$vbefr = abfrage("select befristung from tb_projekte where proj_id='$v_hp[1]'");
	if($vbefr[0]=='j') $dat1 .= " (Befristung)";
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(40,$zh,$dat1);
}

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Zustndiges Jugendamt:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat[0]);

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $projekt->beginn() : $last[0]) . " - " . $info[2];
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Berichtszeitraum:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$zeitraum);

$sql = "SELECT traeger_art FROM tb_traeger_art
		WHERE traeger_art_id = $projekt->traeger_art_id";
$ta = abfrage($sql);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Trger:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$ta[0]);

$hp_mas = abfrage1("select pp.pers_id, pt.personaltyp from tbh_pers_proj pp
					left join tb_personaltyp pt using(personaltyp_id)
					where pp.proj_id='$projekt->id' and pp.personaltyp_id!=1
					and (pp.hperw = 'j' or (pp.hperw IS NULL and pp.personaltyp_id in(2,8,9,3)))");
$ma_cnt = mysql_num_rows($hp_mas);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Fachkraft:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Write($zh,$projekt->hb_name());
$pdf->SetFont('arial','',10);
$pdf->Write($zh," (Hauptbetreuer)");

while($ma = mysql_fetch_row($hp_mas)) {
	$pdf->SetXY(60,$y-2);
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,pers_name($ma[0]));
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh," ($ma[1])");
	$y += $zh;
}
$pdf->SetY($y); $y += 15;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$info[5]);

$pdf->Ln(10);

$sql = "SELECT t1.minimalkonsens, t1.hp_id FROM tb_hp_eg t1
		INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		WHERE t2.proj_id = $rvar_proj_id";
$minimalkonsens = abfrage($sql);

$hp = abfrage("SELECT * FROM tb_hp WHERE hp_id = $rvar_hp_id");
$datum = $hp[5];

$pdf->SetFont('stw','',14);
$pdf->Cell(25,$zh,"Hauptziel:",'B',1);
$pdf->Ln(2);
$pdf->SetFont('stw','',11);
$pdf->MultiCell(180,$zh,$minimalkonsens[0]);

$pdf->Ln($zh);

$pdf->SetFont('stw','',14);
$pdf->Cell(51,$zh,"1. aktuelle Situation:",'B',1);
$pdf->SetFont('arial','',10);
$pdf->Ln(2);
$pdf->MultiCell(180,4,$hp[15]);

$pdf->AddPage('L');
$pdf->SetLeftMargin(10.0);

$pdf->Ln(2);
$pdf->SetFont('stw','',14);
$pdf->Cell(192,$zh,"2. Auswertung der gemeinsamen Teilziele des vergangenen Hilfeplanzeitraums",'B',1);
$pdf->Ln(3);

$pdf->SetTextColor(255,255,255);
$pdf->SetFillColor(102,102,102);

$pdf->SetFont('arial','b',10);
$pdf->Cell(110,9,"Lfd. Nr.                      Teilziele",0,0,'L',1);
$pdf->SetFont('arial','b',8);
$y = $pdf->GetY();
$pdf->Cell(17,4,"Erreicht",0,2,'C',1);
$pdf->SetFont('arial','b',6);
$pdf->Cell(17,2.5,"Skala 1-12",0,2,'C',1);
$pdf->Cell(17,2.5,"Termin",0,0,'C',1);
$x = $pdf->GetX();
$pdf->SetXY($x,$y);
$pdf->SetFont('arial','b',10);
$pdf->Cell(140,9,"Begrndung (bezieht  sich auf die Zielerfllung der Teilziele)",0,0,'C',1);
$pdf->SetFont('arial','b',8);
$pdf->Cell(10,9,"erledigt",0,1,'C',1);
$pdf->SetFont('arial','b',10);

$pdf->SetTextColor(0);

$bez = abfrage1("select person_id from tbh_proj_personen 
				where proj_id = $projekt->id and perstyp_id=5 and sorgerecht='n'
				order by person_id asc;");

$sql = "SELECT p.ziel, p.id, p.nummer, p.grund,
		unix_timestamp(p.erledigt),
		date_format(p.termin, '%d.%m.%Y'), p.ASD
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id'
		AND p.LE='1' AND p.HE='1'
		ORDER BY unix_timestamp(p.erledigt) ASC,
		p.nummer ASC, p.hp_id=$rvar_hp_id DESC";
$ziele = abfrage1($sql);
$txt = $anm = $goal = array();
while($ziel = mysql_fetch_row($ziele)) {
	$pcnt = $notesum = 0;
	$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '$ziel[1]' and hp_id = '$rvar_hp_id'");
	$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
			where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id'
			and h.hp_id > '$minimalkonsens[1]' and ziel_id = '$ziel[1]'
			order by h.hp_id desc limit 1";
	$last_skala = abfrage_assoc($sql);
	$sql = "select * from tb_hpvor2 where ziel_id = '$ziel[1]'
			and (le_skala > 0 or ad_skala > 0 or ad2_skala > 0) and hp_id < '$rvar_hp_id'
			order by hp_id asc limit 1";
	$eg_skala = abfrage_assoc($sql);
	$leskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['le_skala'],$last_skala['le_skala'],$skala['le_skala']);
	$adskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad_skala'],$last_skala['ad_skala'],$skala['ad_skala']);
	$ad2skala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad2_skala'],$last_skala['ad2_skala'],$skala['ad2_skala']);

	if($skala['le_skala']) { $notesum += $skala['le_skala']; $pcnt++; }
	if($skala['ad_skala']) { $notesum += $skala['ad_skala']; $pcnt++; }
	if($skala['ad2_skala']) { $notesum += $skala['ad2_skala']; $pcnt++; }

	$txt[ $ziel[1] ] = $anm[ $ziel[1] ] = array();
	if(strlen($skala['ad_err']) > 0) {
		$txt[ $ziel[1] ][ 0 ][ 0 ] = "Kind/Jugendlicher: ";
		$txt[ $ziel[1] ][ 0 ][ 1 ] = $adskala . "  " . $skala['ad_err'];
	}
	if(strlen($skala['ad_vor']) > 0) {
		$anm[ $ziel[1] ][ 0 ][ 0 ] = "Kind/Jugendlicher: ";
		$anm[ $ziel[1] ][ 0 ][ 1 ] = $skala['ad_vor'];
	}
	if(strlen($skala['ad_err2']) > 0) {
		$txt[ $ziel[1] ][ 1 ][ 0 ] = "Eltern/Sorgeberechtigte: ";
		$txt[ $ziel[1] ][ 1 ][ 1 ] = $ad2skala . "   ".  $skala['ad_err2'];
	}
	if(strlen($skala['ad_vor2']) > 0) {
		$anm[ $ziel[1] ][ 1 ][ 0 ] = "Eltern/Sorgeberechtigte: ";
		$anm[ $ziel[1] ][ 1 ][ 1 ] = $skala['ad_vor2'];
	}
	if(strlen($skala['le_err']) > 0) {
		$txt[ $ziel[1] ][ 2 ][ 0 ] = "Leistungserbringer: ";
		$txt[ $ziel[1] ][ 2 ][ 1 ] = $leskala . "   ".  $skala['le_err'];
	}
	if(strlen($skala['le_vor']) > 0) {
		$anm[ $ziel[1] ][ 2 ][ 0 ] = "Leistungserbringer: ";
		$anm[ $ziel[1] ][ 2 ][ 1 ] = $skala['le_vor'];
	}

	if(mysql_num_rows($bez)) mysql_data_seek($bez,0);

	$i = 3;
	while($be = mysql_fetch_row($bez)) {
		if($ziel[1] == 0) $ziel_pers_data = array();
		else $ziel_pers_data = abfrage("select rueckblick, anmerkung from tbh_hp_ziel_pers_data where hp_id='$rvar_hp_id' and ziel_id='$ziel[1]' and person_id='$be[0]'");
		$name = person_name($be[0]);
		if($i < 5) {
			$adXskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala["ad".$i."_skala"],$last_skala["ad".$i."_skala"],$skala["ad".$i."_skala"]);
			$sk[0] = $skala["ad".$i."_skala"];
			if($skala["ad".$i."_skala"]) { $notesum += $skala["ad".$i."_skala"]; $pcnt++; }
		} else {
			$sk = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '$rvar_hp_id' and ziel_id = '$ziel[1]' and person_id = '$be[0]'");
			$eg_sk = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '{$eg_skala['hp_id']}' and ziel_id = '$ziel[1]' and person_id = '$be[0]'");
			$last_sk = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '{$last_skala['hp_id']}' and ziel_id = '$ziel[1]' and person_id = '$be[0]'");
			$adXskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_sk[0],$last_sk[0],$sk[0]);
			if($sk[0]) { $notesum += $sk[0]; $pcnt++; }
		}
		if(!empty($ziel_pers_data[0])) {
			$txt[ $ziel[1] ][ $i ][ 0 ] = "$name: ";
			$txt[ $ziel[1] ][ $i ][ 1 ] = $adXskala . "   ".  $ziel_pers_data[0];
		}
		if(!empty($ziel_pers_data[1])) {
			$anm[ $ziel[1] ][ $i ][ 0 ] = "$name: ";
			$anm[ $ziel[1] ][ $i ][ 1 ] = $ziel_pers_data[1];
		}
		$i++;
	}
	$goal[ $ziel[1] ] = "$ziel[2]. $ziel[0]";
	if($ziel[6]) {
		if($ziel[4] > 0 && $ziel[4] < $info[3]) $pdf->SetFont('arial','bi',11);
		else $pdf->SetFont('stw','',11);
		if($pdf->GetY() > 150) $pdf->AddPage('L');

		$y = $pdf->GetY();
		$p0 = $pdf->page;
		$pdf->Multicell(110,$zh,$goal[ $ziel[1] ],'','L');
		$pdf->SetFont('Arial','',11);
		$y1 = $pdf->GetY();
		$p1 = $pdf->page;
		$pdf->page = $p0;

		$pdf->SetXY(120,$y);
		$pdf->SetFont('Arial','',8);
		$pdf->Cell(17,3.5,$pcnt ? $noten[number_format($notesum/$pcnt,0)] : '',0,2,'C');
		if($pcnt) $pdf->Cell(17,3,'('.number_format($notesum/$pcnt,1,',','').' / 12)',0,2,'C');
		$pdf->SetFont('arial','b',8);
		$pdf->Cell(17,3.5,$ziel[5]=='00.00.0000' ? '' : $ziel[5],0,2,'C');
		$y2 = $pdf->GetY();

		$pdf->SetFont('Arial','',11);
		$pdf->SetXY(277,$y);
		$pdf->Cell(10,$zh,$ziel[4] > 0 && $ziel[4] < $info[3] ? 'ja' : 'nein',0,0,'C');

		$pdf->SetXY(137,$y);
		$pdf->SetFont('Arial','',11);
		$pdf->Multicell(140,$zh,$ziel[3],'','L');
		$y3 = $pdf->GetY();
		$p3 = $pdf->page;
		$pdf->page = $p0;

		if($p1 != $p3 ) {
			if($p3 > $p1) {
				$pdf->page = $p3;
				$pdf->SetXY(10,$y3);
			} else {
				$pdf->page = $p1;
				$pdf->SetXY(10,$y1);
			}
		} else $pdf->SetXY(10,max($y1,$y2,$y3));

		$pdf->Cell(277,0.1,'','T',1);
	}
}

$pdf->SetFont('Arial','',7);
$pdf->Cell(80,4,'1) keine Rangfolge der Zielstellung',0,1);

$pdf->AddPage('L');

$pdf->SetFont('stw','',14);
$pdf->Ln(2);
$pdf->Cell(173,$zh,"3. Erluterungen zu den Teilzielen des vergangenen Hilfeplanzeitraums",'B',1);
$pdf->Ln(3);

foreach($goal as $id => $ziel) {
	if(!empty($txt[$id][0]) || !empty($txt[$id][1]) || !empty($txt[$id][2])) {
		$pdf->SetFont('stw','',12);
		$pdf->Multicell(277,$zh,$ziel,'','L');
		$pdf->Ln(1);
		foreach($txt[$id] as $rckbl) {
			$pdf->SetFont('Arial','b',10);
			$pdf->Write(4,$rckbl[0]);
			$pdf->SetFont('Arial','',10);
			$pdf->Write(4,$rckbl[1]);
			$pdf->Ln(6);
		}
	}
}

if($pdf->GetY() > 120) $pdf->AddPage('L');
else $pdf->Ln(2);

$sql = "SELECT p.ziel, p.id, p.nummer, date_format(p.termin, '%d.%m.%Y')
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' AND p.LE='1' AND p.HE='1'
		AND p.erledigt is NULL
		ORDER BY p.nummer ASC";
$res = abfrage1($sql);
$pdf->SetFont('stw','',14);
$pdf->Ln(2);
$pdf->Cell(152,$zh,"4. Planung der Teilziele fr den kommenden Hilfeplanzeitraum",'B',1);
$pdf->SetFont('arial','b',10);
$pdf->Ln(2);
$pdf->Multicell(277,3,"Hauptziel: $minimalkonsens[0]",'L');
$pdf->Ln(1);
$pdf->SetTextColor(255,255,255);
$pdf->SetFillColor(102,102,102);
$pdf->Cell(90,$zh,"Lfd. Nr.                      Teilziele",0,0,'L',1);
$pdf->Cell(162,$zh,"Handlungsschritte",0,0,'C',1);
$pdf->Cell(25,$zh,"Termin",0,1,'C',1);
$pdf->SetTextColor(0);
while($ziel = mysql_fetch_row($res)) {
	if($pdf->GetY() > 170) $pdf->AddPage('L');
	$y = $pdf->GetY();
	$p0 = $pdf->page;
	$pdf->SetFont('Arial','b',11);
	$pdf->Multicell(90,$zh,"$ziel[2]. $ziel[0]",'','L');
	$pdf->SetFont('Arial','',11);
	$y1 = $pdf->GetY();
	$p1 = $pdf->page;
	$schritte=abfrage1("select id, schritt from tb_hp_handlungsschritte
						where ziel_id='$ziel[1]' order by nummer asc");
	$y2 = $y;
	$pdf->page = $p0;
	$pdf->SetFont('Arial','',11.1);
	$pdf->SetXY(262,$y);
	$pdf->Cell(25,$zh,$ziel[3]=='00.00.0000' ? '' : $ziel[3],0,0,'R');
	while($schritt=mysql_fetch_row($schritte)) {
		$y = $pdf->GetY();
		$pdf->SetXY(100,$y);
		$pdf->SetFont('Arial','',11.1);
		$pdf->Multicell(162,$zh,"- $schritt[1]",'','L');
		$y2 = $pdf->GetY();
	}
	$p2 = $pdf->page;
	if($p1 != $p2) {
		if($p2 > $p1) $pdf->SetXY(10,$y2);
		else {
			$pdf->page = $p1;
			$pdf->SetXY(10,$y1);
		}
	} else $pdf->SetXY(10,max($y1,$y2));

	if(!empty($anm[ $ziel[1] ][0]) || !empty($anm[ $ziel[1] ][1]) || !empty($anm[ $ziel[1] ][2])) {
		$pdf->Cell(277,1,'','T',1);
		foreach($anm[ $ziel[1] ] as $ausbl) {
			$pdf->SetFont('Arial','b',10);
			$pdf->Write(4,$ausbl[0]);
			$pdf->SetFont('Arial','',10);
			$pdf->Write(4,$ausbl[1]);
			$pdf->Ln(5);
		}
	}
	$pdf->Cell(277,0.1,'','T',1);
}
$pdf->SetLeftMargin(20.0);
$pdf->AddPage('P');
$pdf->Ln(2);
$pdf->SetFont('stw','',14);
$pdf->Cell(179,$zh,"5. Hinweise / Empfehlungen zur weiteren Ausgestaltung bzw. Beendigung",'B');
$pdf->Ln(6);
$pdf->Cell(5,$zh,"");
$pdf->Cell(24,$zh,"der Hilfe",'B');
$pdf->Cell(3,$zh,"");
$pdf->SetFont('stw','',12);
$pdf->Cell(175,$zh,"(Stundenzahl, Zusatzleistungen, Betreuungsschlssel oder hnliches)",0,1);
$pdf->Ln(3);
$pdf->SetFont('arial','',10);
$hinw = abfrage("select zzeit_kl from tb_hpvor where hp_id = '$rvar_hp_id'");
$pdf->MultiCell(180,$zh,$hinw[0],0,'L',0);

if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->Ln(5);
$pdf->SetFont('stw','',14);
$pdf->Cell(130,$zh,"Unterschriften",0,0);
$pdf->SetFont('arial','',10);
$pdf->Ln(15);

$pdf->Cell(80,$zh,"Kind/Jugendliche(r)/junger Mensch: ",0,0,'R');
$pdf->Cell(90,$zh,"",'B',1);
$pdf->Ln(15);

$pdf->Cell(80,$zh,"Eltern/Personensorgeberechtigte(r)/ Vormund: ",0,0,'R');
$pdf->Cell(90,$zh,"",'B',1);
$pdf->Ln(15);

$pdf->Cell(80,$zh,"Fachkraft: ",0,0,'R');
$pdf->Cell(90,$zh,"",'B',1);
$pdf->Ln(20);

$pdf->SetFont('arial','b',7);
$pdf->Cell(5,3,"");
$pdf->Cell(70,3,"Ort",'T');
$pdf->Cell(5,3,"");
$pdf->Cell(30,3,"Datum",'T',1);


$pdf->Output('','',-1);
exit;
?>