<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
require("inc/func.inc.php");
require("{$_SESSION['basedir']}/mandant/{$_SESSION[$AppCode]['TR']}/pdf_7.inc.php");

$projekt = &new stwProjekt($_GET['proj_id']);

$pdf = new PDF('P','mm','A4', -1);
$pdf->AddFont('stw','','stw.php');
$pdf->SetLineWidth(0.1);
$pdf->SetLeftMargin(10);

/* Beginn Kurzbrief */
$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());


/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');


$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');


/* Daten fuer Kurzbrief ermitteln */
$sql = "select
				ap.anrede,
				ap.name as ap_name,
				ap.fax as ap_fax,
				ja.name as ja_name,
				ja.name2,
				ja.strasse,
				ja.plz,
				ja.ort,
				ja.faxzentral,
				hp.pers_id,
				date_format(hp.datum, '%d.%m.%Y') as hp_datum,
				ha.beschreibung,
				p.name as he_name,
				p.vorname as he_vorname,
				concat(p2.vorname, ' ', p2.name) as fachberatung
				from tb_hp hp
				left join tb_kontakte_ap ap on hp.ap_id = ap.ap_id
				left join tb_kontakte ja on ap.kont_id = ja.kont_id and ja.kh_id='0'
				left join tb_projekte pro on hp.proj_id = pro.proj_id
				left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id
				left join tbh_proj_personen pp on hp.proj_id = pp.proj_id
					and perstyp_id = 1
				left join tb_personen p on pp.person_id = p.person_id
				left join tb_personal p2 on hp.fb_ok = p2.pers_id
				where hp_id = '{$_GET['hp_id']}';";
$kb = abfrage_assoc($sql);

if(!$kb['ja_name']) {
  $sql = "select
				ap.anrede,
				ap.name as ap_name,
				ap.fax as ap_fax,
				ja.name as ja_name,
				ja.name2,
				ja.strasse,
				ja.plz,
				ja.ort,
				ja.faxzentral,
				hp.pers_id,
				date_format(hp.datum, '%d.%m.%Y') as hp_datum,
				ha.beschreibung,
				p.name as he_name,
				p.vorname as he_vorname,
				concat(p2.vorname, ' ', p2.name) as fachberatung
				from tb_hp hp
				left join tb_projekte pro on hp.proj_id = pro.proj_id
				left join tb_kontakte_ap ap on pro.ap_id = ap.ap_id
				left join tb_kontakte ja on ap.kont_id = ja.kont_id and ja.kh_id='0'
				left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id
				left join tbh_proj_personen pp on hp.proj_id = pp.proj_id
					and perstyp_id = 1
				left join tb_personen p on pp.person_id = p.person_id
				left join tb_personal p2 on hp.fb_ok = p2.pers_id
				where hp_id = '{$_GET['hp_id']}';";
  $kb = abfrage_assoc($sql);
}
/* Adressfeld ausfuellen */
$pdf->SetXY(17,57);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(86,5,$kb['ja_name'],0,2);
$pdf->Cell(86,5,$kb['name2'],0,2);
$ap = (strlen($kb['anrede']) > 0) ? $kb['anrede'] . ' ' : '';
$ap .= (strlen($kb['ap_name']) > 0) ? $kb['ap_name'] : '';
$pdf->Cell(86,5,$ap,0,2);
$pdf->Cell(86,5,$kb['strasse'],0,2);
$pdf->Cell(86,5,$kb['plz'] . ' ' . $kb['ort'],0,2);
$pdf->Cell(86,5,'',0,2);
$fax = (strlen($kb['ap_fax']) > 0) ? $kb['ap_fax'] : $kb['faxzentral'];
$pdf->Cell(86,5,'Fax ' . $fax,0,2);

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,pers_name($kb['pers_id']));
$pdf->Cell(50,4,date('d.m.Y'));


$txt = 'Sehr geehrte';

if (strlen($kb['anrede']) > 0){
	if ($kb['anrede'] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $kb['anrede'] . ' ' . $kb['ap_name'] . ",\n\n";
} else {
	$txt .= " Damen und Herren,\n\n";
}

$txt .= 'anbei erhalten Sie die Hilfeplanvorbereitung fr die ';
$txt .= $kb['beschreibung'] . ' ';
if (strlen($kb['he_vorname']) > 0) $txt .= $kb['he_vorname'] . ' ';
$txt .= $kb['he_name'];
$txt .= ' zum Hilfeplangesprch am ' . $kb['hp_datum'] . ".\n\n";

$txt .= "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.\n\n";
$txt .= "Mit freundlichen Gren\n\n\n\n";
$txt .= pers_name($kb['pers_id']);

$pdf->SetFont('Arial','',9);
$pdf->SetXY(110,50);
$pdf->MultiCell(85,4,$txt);

$pdf->SetXY(0,108);
$pdf->SetFont('Arial','',8);
$pdf->Cell(40,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('Arial','B',8);
$pdf->Cell(100,$zh,$kb['fachberatung']);

/* Ende Kurzbrief */

$pdf->SetLeftMargin(20);
$pdf->AliasNbPages();

$seite = 1;
$pdf->AddPage();

$pdf->SetFont('Arial','B',12);
$pdf->Cell(63,8,"bergeordnetes Ziel der Hilfe :");
$pdf->SetFont('Arial','I',10);
$pdf->Cell(20,8,"(Minimalkonsens)",0,1);
$query = "SELECT t1.minimalkonsens,t1.hp_id FROM tb_hp_eg t1
			LEFT JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
			WHERE t2.proj_id = ".$_GET['proj_id'];
$res = abfrage1($query);
$row = mysql_fetch_array($res);
$pdf->SetFont('Arial','',10);
$pdf->MultiCell(180,4,$row['minimalkonsens'],"LR");

$pdf->Ln(5);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,8,'Praxisziele und Handlungsschritte zu Beginn der Hilfe :',0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(7,5,'Nr.','LTR',0,'C');
$pdf->Cell(140,5,'Praxisziel',1,0);
$pdf->Cell(33,5,'Termin',1,1,'C');

$pdf->SetFont('Arial','B',8);
$pdf->Cell(7,5,'','B',0,'C');
$pdf->Cell(140,5,'Handlungsschritte',1);
$pdf->Cell(33,5,'verantwortlich',1,1,'C');
// $pdf->Cell(20,5,'',0,1);

$erst = abfrage("select h.hp_id from tb_hp h
				left join tb_hp_eg e using (hp_id)
				where h.proj_id = {$_GET['proj_id']}
				and hp_art = 'h2'
				and h.hp_id = e.hp_id;");

$pzs = abfrage1("select id,
				nummer,
				ziel,
				if (unix_timestamp(termin) > 0, date_format(termin, '%d.%m.%Y'), '') as termin
				from tb_hp_praxisziele
				where hp_id = '$erst[0]'
				order by nummer asc;");

while ($pz = mysql_fetch_assoc($pzs)){
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(7,5,$pz['nummer'] . '.','T',0,'C');
	$y5 = $pdf->GetY();
	// $pdf->Cell(140,5,$pz['ziel'],1,0);
	$pdf->MultiCell(140,5,$pz['ziel'],1,'L');
	$y6 = $pdf->GetY();
	$pdf->SetXY(167, $y5);
	$h5 = $y6 - $y5;
	$pdf->Cell(33,$h5,$pz['termin'],'T',1,'C');
	$pdf->Ln(0);


	$hss = abfrage1("select schritt, verantwortlich
					from tb_hp_handlungsschritte
					where ziel_id = '{$pz['id']}'
					and schritt != ''
					order by id asc;");

	$a = mysql_num_rows($hss);

	if ($a > 0){
		$b = 0;
		while ($hs = mysql_fetch_assoc($hss)){
			$pdf->SetFont('Arial','',8);
			$fr = ($b == $a) ? 'B' : '';
			$pdf->Cell(7,4,'',$fr);
			$pdf->Cell(140,4,$hs['schritt'],1,0);
			$pdf->Cell(33,4,$hs['verantwortlich'],1,1);
			$b++;
		}
	}

	$y3 = $pdf->GetY();

	$pdf->Line(20,$y3,200,$y3);


}

$seite = 2;
$pdf->AddPage();

$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,8,'Praxisziele und Handlungsschritte des letzten Hilfeplanzeitraumes :',0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(7,5,'Nr.','LTR',0,'C');
$pdf->Cell(140,5,'Praxisziel',1,0);
$pdf->Cell(33,5,'Termin',1,1,'C');

$pdf->SetFont('Arial','B',8);
$pdf->Cell(7,5,'','B',0,'C');
$pdf->Cell(140,5,'Handlungsschritte',1);
$pdf->Cell(33,5,'verantwortlich',1,1,'C');
// $pdf->Cell(20,5,'',0,1);

$pzs = abfrage1("select z.id,
				z.nummer,
				z.ziel,
				if (unix_timestamp(z.termin) > 0, date_format(z.termin, '%d.%m.%Y'), '') as termin
				from tb_hp h
				left join tb_hp_praxisziele z using (hp_id)
				where h.proj_id = '{$_GET['proj_id']}'
				and z.LE = '1'
				and z.HE = '1'
				and z.ASD = '1'
				and z.erledigt is null
				order by z.nummer asc;");

while ($pz = mysql_fetch_assoc($pzs)){
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(7,5,$pz['nummer'] . '.','T',0,'C');
	$y5 = $pdf->GetY();
	$pdf->MultiCell(140,5,$pz['ziel'],1,'L');
	$y6 = $pdf->GetY();
	$pdf->SetXY(167, $y5);
	$h5 = $y6 - $y5;
	$pdf->Cell(33,$h5,$pz['termin'],'T',1,'R');

	$hss = abfrage1("select schritt, verantwortlich
					from tb_hp_handlungsschritte
					where ziel_id = {$pz['id']}
					and schritt != ''
					order by id asc;");

	$a = mysql_num_rows($hss);

	if ($a > 0){
		$b = 0;
		while ($hs = mysql_fetch_assoc($hss)){
			$pdf->SetFont('Arial','',8);
			$fr = ($b == $a) ? 'B' : '';
			$pdf->Cell(7,4,'',$fr);
			$pdf->Cell(140,4,$hs['schritt'],1,0);
			$pdf->Cell(33,4,$hs['verantwortlich'],1,1);
			$b++;
		}
	}

	$y3 = $pdf->GetY();

	$pdf->Line(20,$y3,200,$y3);
}

$pdf->Ln(5);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,8,'Verlauf der Hilfe im letzten Hilfeplanzeitraum :',0,1);

$verlauf = abfrage("select hilfeverlauf from tb_hp where hp_id = '{$_GET['hp_id']}';");
$pdf->SetFont('Arial','',10);
$pdf->MultiCell(180,4,$verlauf[0]);



$seite = 3;
$pdf->AddPage();

$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,8,'Erreichung der Praxisziele aus Sicht des Leistungserbringers :',0,1);

$pzs = abfrage1("select z.id, z.nummer, z.ziel
				from tb_hp h
				inner join tb_hp_praxisziele z on h.hp_id = z.hp_id
				where h.proj_id = '{$_GET['proj_id']}'
				and LE = '1'
				and HE = '1'
				and ASD = '1'
				and (erledigt = '0000-00-00' or erledigt is null)
				order by nummer asc;");

while ($pz = mysql_fetch_row($pzs)){
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(7,5,$pz[1] . '.',0,0,'C');
	$pdf->MultiCell(173,5,$pz[2],0,'L');
	$pdf->Ln(0);

	$err = abfrage("select le_err from tb_hpvor2
					where hp_id = '{$_GET['hp_id']}' and ziel_id = '$pz[0]';");

	if (!empty($err[0])){
		$pdf->SetFont('Arial','',8);
		$pdf->Cell(7,4,'',0,0,'C');
		$pdf->MultiCell(173,3.5,$err[0]);
	}
	$pdf->Ln(2);
}


$pdf->Ln(3);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,5,'Vorstellung aus Sicht des Leistungserbringers zum weiteren Verlauf der Hilfe /',0,1);
$pdf->Cell(180,5,'neue Praxisziele und Handlungsschritte',0,1);

$pzs = abfrage1("select z.id, z.nummer, z.ziel
				from tb_hp h
				inner join tb_hp_praxisziele z on h.hp_id = z.hp_id
				where h.proj_id = '{$_GET['proj_id']}'
				and LE = '1'
				and (erledigt = '0000-00-00' or erledigt is null)
				order by nummer asc;");

while ($pz = mysql_fetch_row($pzs)){
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(7,5,$pz[1] . '.',0,0,'C');
	$pdf->MultiCell(173,5,$pz[2],0,'L');
	$pdf->Ln(0);

	$err = abfrage("select le_vor from tb_hpvor2
					where hp_id = '{$_GET['hp_id']}' and ziel_id = '$pz[0]';");
	if (!empty($err[0])){
		$pdf->SetFont('Arial','',8);
		$pdf->Cell(7,4,'',0,0,'C');
		$pdf->MultiCell(173,3.5,$err[0]);
	}
	$pdf->Ln(2);
}


$pdf->Ln(3);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,5,'Weitere Ressourcen :',0,1);

$ress = abfrage("select ressourcen from tb_hp where hp_id = '{$_GET['hp_id']}';");
$pdf->SetFont('Arial','',8);
$pdf->Cell(7,3.5,'',0,0,'C');
$pdf->MultiCell(173,3.5,$ress[0]);
$pdf->Ln(15);
$pdf->Cell(100,5,'');
$pdf->Cell(75,5,'Datum und Unterschrift des Leistungserbringers','T',1,'C');

$hp_mas = abfrage1("select pers_id from tbh_pers_proj 
					where proj_id='$projekt->id' and personaltyp_id!=1
					and (hperw = 'j' or (hperw IS NULL and personaltyp_id in(2,8,9)))");
$b = true;
while($ma = mysql_fetch_row($hp_mas)) {
	if($b) {
		$pdf->Ln(15);
		$pdf->Cell(75,5,'','T');
	} else {
		$pdf->Cell(25,5,'');
		$pdf->Cell(75,5,'','T',1,'C');
	}
	$b = !$b;
}




$seite = 4;
$pdf->AddPage();

$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,8,'Erreichung der Praxisziele aus Sicht der/des Adressaten :',0,1);

$pzs = abfrage1("select z.id, z.nummer, z.ziel
				from tb_hp h
				inner join tb_hp_praxisziele z on h.hp_id = z.hp_id
				where h.proj_id = '{$_GET['proj_id']}'
				and LE = '1'
				and HE = '1'
				and ASD = '1'
				and (erledigt = '0000-00-00' or erledigt is null)
				order by nummer asc;");

while ($pz = mysql_fetch_row($pzs)){
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(7,5,$pz[1] . '.',0,0,'C');
	$pdf->MultiCell(173,5,$pz[2],0,'L');
	$pdf->Ln(0);

	$err = abfrage("select ad_err from tb_hpvor2
					where hp_id = '{$_GET['hp_id']}' and ziel_id = '$pz[0]';");

	if (!empty($err[0])){
		$pdf->SetFont('Arial','',8);
		$pdf->Cell(7,4,'',0,0,'C');
		$pdf->MultiCell(173,3.5,$err[0]);
	}
	$pdf->Ln(2);
}


$pdf->Ln(3);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,5,'Vorstellung aus Sicht des der/des Adressaten zum weiteren Verlauf der Hilfe /',0,1);
$pdf->Cell(180,5,'neue Praxisziele und Handlungsschritte',0,1);

$pzs = abfrage1("select z.id, z.nummer, z.ziel
				from tb_hp h
				inner join tb_hp_praxisziele z on h.hp_id = z.hp_id
				where h.proj_id = '{$_GET['proj_id']}'
				and HE = '1'
				and (erledigt = '0000-00-00' or erledigt is null)
				order by nummer asc;");

while ($pz = mysql_fetch_row($pzs)){
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(7,5,$pz[1] . '.',0,0,'C');
	$pdf->MultiCell(173,5,$pz[2],0,'L');
	$pdf->Ln(0);

	$err = abfrage("select ad_vor from tb_hpvor2
					where hp_id = '{$_GET['hp_id']}' and ziel_id = '$pz[0]';");

	if (!empty($err[0])){
		$pdf->SetFont('Arial','',8);
		$pdf->Cell(7,4,'',0,0,'C');
		$pdf->MultiCell(173,3.5,$err[0]);
	}
	$pdf->Ln(2);
}

$pdf->Ln(3);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(180,5,'Weitere Mglichkeiten der Selbsthilfe :',0,1);
$pdf->SetFont('Arial','',10);
$pdf->Cell(180,5,'(weitere Ressourcen)',0,1);

$ress = abfrage("select selbsthilfe from tb_hp where hp_id = '{$_GET['hp_id']}';");
$pdf->SetFont('Arial','',8);
$pdf->Cell(7,3.5,'',0,0,'C');
$pdf->MultiCell(173,3.5,$ress[0]);
$pdf->Ln(15);
$pdf->Cell(100,5,'');
$pdf->Cell(75,5,'Datum und Unterschrift der/des Leistungsempfnger/s','T',1,'C');

$pdf->Output('','',-1);
?>
