	<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor3.php 2917 2018-11-28 09:55:05Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/func.inc.php");
 require_once($pfad."inc/fpdf/fpdf.php");

 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

 function skalenstring($eg_hp_id,$last_hp_id,$eg_skala,$last_skala,$skala) {
	$return = '';
	if(!empty($eg_skala)) {
		if($eg_skala < 3) $eg_skala = 1;
		elseif($eg_skala > 10) $eg_skala = 10;
		else $eg_skala = $eg_skala - 1;
		$return .= "($eg_skala)";
	}
	if(!empty($last_skala) && $eg_hp_id != $last_hp_id) {
		if($last_skala < 3) $last_skala = 1;
		elseif($last_skala > 10) $last_skala = 10;
		else $last_skala = $last_skala - 1;
		$return .= "($last_skala)";
	}
	if(strlen($return) > 0) $return .= "=>";
	if(empty($skala)) $return .= "(-)";
	else {
		if($skala < 3) $skala = 1;
		elseif($skala > 10) $skala = 10;
		else $skala = $skala - 1;
		$return .= "($skala)";
	}
	return $return;
 }
 $le_skalenstring = array();
 $ad_skalenstring = array();

class PDF extends FPDF
{
	var $widths;
	var $aligns;

	function SetWidths($w)
	{
	    //Set the array of column widths
	    $this->widths=$w;
	}

	function SetAligns($a)
	{
	    //Set the array of column alignments
	    $this->aligns=$a;
	}

	function Row($data)
	{
	    //Calculate the height of the row
	    $nb=0;
	    for($i=0;$i<count($data);$i++)
	        $nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
	    $h=4*$nb;
	    //Issue a page break first if needed
	    $this->CheckPageBreak($h);
	    //Draw the cells of the row
	    for($i=0;$i<count($data);$i++)
	    {
	        $w=$this->widths[$i];
	        $a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
	        //Save the current position
	        $x=$this->GetX();
	        $y=$this->GetY();
	        //Draw the border
	        $this->Rect($x,$y,$w,$h);
	        //Print the text
	        $this->MultiCell($w,4,$data[$i],0,$a);
	        //Put the position to the right of the cell
	        $this->SetXY($x+$w,$y);
	    }
	    //Go to the next line
	    $this->Ln($h);
	}

	function CheckPageBreak($h)
	{
	    //If the height h would cause an overflow, add a new page immediately
	    if($this->GetY()+$h>$this->PageBreakTrigger)
	        $this->AddPage($this->CurOrientation);
	}

	function NbLines($w,$txt)
	{
	    //Computes the number of lines a MultiCell of width w will take
	    $cw=&$this->CurrentFont['cw'];
	    if($w==0)
	        $w=$this->w-$this->rMargin-$this->x;
	    $wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
	    $s=str_replace("\r",'',$txt);
	    $nb=strlen($s);
	    if($nb>0 and $s[$nb-1]=="\n")
	        $nb--;
	    $sep=-1;
	    $i=0;
	    $j=0;
	    $l=0;
	    $nl=1;
	    while($i<$nb)
	    {
	        $c=$s[$i];
	        if($c=="\n")
	        {
	            $i++;
	            $sep=-1;
	            $j=$i;
	            $l=0;
	            $nl++;
	            continue;
	        }
	        if($c==' ')
	            $sep=$i;
	        $l+=$cw[$c];
	        if($l>$wmax)
	        {
	            if($sep==-1)
	            {
	                if($i==$j)
	                    $i++;
	            }
	            else
	                $i=$sep+1;
	            $sep=-1;
	            $j=$i;
	            $l=0;
	            $nl++;
	        }
	        else
	            $i++;
	    }
	    return $nl;
	}

	function Header()
	{
		if ($this->page > 1){
			global $AppCode;
			global $seite;
			$proj_id = $_GET['proj_id'];
			$hp_id = $_GET['hp_id'];

			$projekt = new stwProjekt($proj_id);

			$hx = 'Vorbereitung zur Fortschreibung';

			switch ($seite){
				case 1:
					$h1 = '7.0';
					$h2 = 'bersicht der Praxisziele im Hilfeverlauf';
					break;
				case 2:
					$h1 = '7.1 L';
					$h2 = $hx;
					break;
				case 3:
					$h1 = '7.1-7.2';
					$h2 = 'Gesprchsleitfaden Hilfeplangesprch';
					break;
				case 4:
					$h1 = '7.2 L';
					$h2 = $hx;
					break;
				case 5:
					$h1 = '7.3 A';
					$h2 = $hx;
					break;
				case 6:
					$h1 = '7.3 A';
					$h2 = 'Gesprchsleitfaden Hilfeplangesprch';
					break;
			}

			if (round($this->h, 0) == 297){ //Hochformat
				$this->Rect(20, 10, 180, 277);
				$this->SetXY(20, 10);
				$w1 = 100;
			} else { //Querformat
				$this->Rect(10, 20, 277, 180);
				$this->SetXY(10, 20);
				$w1 = 197;
			}

			$this->SetFont('arial','B',14);
			$this->Cell(40,10, 'Hilfeplan ' .$h1,1);
			$this->Cell($w1,10,$h2,1,0,'C');
			$this->SetFont('arial','B',11);
			$this->Cell(40, 5, 'Aktenzeichen:','LTR',2);
			$this->SetFont('arial','',9);
			$this->Cell(40,5, $projekt->nummer(),'LBR',1);

		}
	}


	//Page footer
	function Footer()
	{
		if ($this->page > 1) {
			global $AppCode;
			global $seite;
			$proj_id = $_GET['proj_id'];
			$hp_id = $_GET['hp_id'];

			$projekt = new stwProjekt($proj_id);

			$date = abfrage("select date_format(datum, '%d.%m.%Y') from tb_hp
							where hp_id = {$_GET['hp_id']};");

			$fusz  = 'Vorbereitung zum Hilfeplan ' . $projekt->nummer() . ' am ' . $date[0];

			$this->SetFont('Arial','',7);

			if (round($this->h, 0) == 297){ //Hochformat
				$this->SetXY(20,282);
				$this->Cell(160, 5, $fusz, 'T');
			} else { //Querformat
				$this->SetXY(10,195);
				$this->Cell(257, 5, $fusz, 'T');
			}
			$nr = $this->PageNo() - 1;
			$this->Cell(20,5,'Seite ' . $nr . ' von {nb}','T',0,'R');

		}
	}
} // Ende class PDF

$projekt = &new stwProjekt($_GET['proj_id']);

$pdf = new PDF('P','mm','A4', -1);
$pdf->AddFont('stw','','stw.php');
$pdf->AliasNbPages();
$pdf->SetLineWidth(0.1);
$pdf->SetAutoPageBreak(true,15);

$pro = new stwProjekt($_GET['proj_id']);
$zh = 5;

/* Beginn Kurzbrief */
$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$pro->nummer());


/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');


$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');


/* Daten fuer Kurzbrief ermitteln */
$sql = "select
				ap.anrede,
				ap.name as ap_name,
				ap.fax as ap_fax,
				ja.name as ja_name,
				ja.name2,
				ja.strasse,
				ja.plz,
				ja.ort,
				ja.faxzentral,
				hp.pers_id,
				date_format(hp.datum, '%d.%m.%Y') as hp_datum,
				ha.beschreibung,
				p.name as he_name,
				p.vorname as he_vorname,
				concat(p2.vorname, ' ', p2.name) as fb,
				hp.datum as date
				from tb_hp hp
				left join tb_kontakte_ap ap on hp.ap_id = ap.ap_id
				left join tb_kontakte ja on ap.kont_id = ja.kont_id and ja.kh_id='0'
				left join tb_projekte pro on hp.proj_id = pro.proj_id
				left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id
				left join tbh_proj_personen pp on hp.proj_id = pp.proj_id
					and perstyp_id = 1
				left join tb_personen p on pp.person_id = p.person_id
				left join tb_personal p2 on hp.fb_ok = p2.pers_id
				where hp_id = '{$_GET['hp_id']}';";
$kb = abfrage_assoc($sql);

if(!$kb['ja_name']) {
  $sql = "select
				ap.anrede,
				ap.name as ap_name,
				ap.fax as ap_fax,
				ja.name as ja_name,
				ja.name2,
				ja.strasse,
				ja.plz,
				ja.ort,
				ja.faxzentral,
				hp.pers_id,
				date_format(hp.datum, '%d.%m.%Y') as hp_datum,
				ha.beschreibung,
				p.name as he_name,
				p.vorname as he_vorname,
				concat(p2.vorname, ' ', p2.name) as fb,
				hp.datum as date
				from tb_hp hp
				left join tb_projekte pro on hp.proj_id = pro.proj_id
				left join tb_kontakte_ap ap on pro.ap_id = ap.ap_id
				left join tb_kontakte ja on ap.kont_id = ja.kont_id and ja.kh_id='0'
				left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id
				left join tbh_proj_personen pp on hp.proj_id = pp.proj_id
					and perstyp_id = 1
				left join tb_personen p on pp.person_id = p.person_id
				left join tb_personal p2 on hp.fb_ok = p2.pers_id
				where hp_id = '{$_GET['hp_id']}';";
  $kb = abfrage_assoc($sql);
}
/* Adressfeld ausfuellen */
$pdf->SetXY(17,57);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(86,5,$kb['ja_name'],0,2);
$pdf->Cell(86,5,$kb['name2'],0,2);
$ap = (strlen($kb['anrede']) > 0) ? $kb['anrede'] . ' ' : '';
$ap .= (strlen($kb['ap_name']) > 0) ? $kb['ap_name'] : '';
$pdf->Cell(86,5,$ap,0,2);
$pdf->Cell(86,5,$kb['strasse'],0,2);
$pdf->Cell(86,5,$kb['plz'] . ' ' . $kb['ort'],0,2);
$pdf->Cell(86,5,'',0,2);
$fax = (strlen($kb['ap_fax']) > 0) ? $kb['ap_fax'] : $kb['faxzentral'];
$pdf->Cell(86,5,'Fax ' . $fax,0,2);

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,pers_name($kb['pers_id']));
$pdf->Cell(50,4,date('d.m.Y'));


$txt = 'Sehr geehrte';

if (strlen($kb['anrede']) > 0){
	if ($kb['anrede'] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $kb['anrede'] . ' ' . $kb['ap_name'] . ",\n\n";
} else {
	$txt .= " Damen und Herren,\n\n";
}

$txt .= 'anbei erhalten Sie die Hilfeplanvorbereitung fr die ';
$txt .= $kb['beschreibung'] . ' ';
if (strlen($kb['he_vorname']) > 0) $txt .= $kb['he_vorname'] . ' ';
$txt .= $kb['he_name'];
$txt .= ' zum Hilfeplangesprch am ' . $kb['hp_datum'] . ".\n\n";

$txt .= "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.\n\n";
$txt .= "Mit freundlichen Gren\n\n\n\n";
$txt .= pers_name($kb['pers_id']);

$pdf->SetFont('Arial','',9);
$pdf->SetXY(110,50);
$pdf->MultiCell(85,4,$txt);

/* Ende Kurzbrief */

/* Klienteninformationen auf der ersten Seite */
$pdf->SetLeftMargin(20.0);
$y = $pdf->GetY() + 10;

$pdf->SetY($y); $y+=7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Name:",0,0,'R');
$pdf->SetFont('arial','b',10);
$dat1 = $pro->name();
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"geb. am:",0,0,'R');
$pdf->SetFont('arial','b',10);
$dat1 = $pro->he_info('geboren');
if($dat1 == '00.00.0000') $dat1 = '';
$pdf->Cell(40,$zh,$dat1);

$pdf->SetY($y); $y+=5;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Anschrift:",0,0,'R');
$pdf->SetFont('arial','b',10);
$dat1 = $pro->he_info('str');
$pdf->Cell(80,$zh,$dat1);
$pdf->SetY($y); $y+=7;
$pdf->Cell(40,$zh,"");
$dat1 = $pro->he_info('plz') . ' ' . $pro->he_info('ort');
$pdf->Cell(80,$zh,$dat1);

$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Eltern / Sorgeberechtigte:",0,0,'R');
$pdf->SetFont('arial','b',10);
$sql = "select t2.name, t2.vorname
		from tbh_proj_personen t1 
		left join tb_personen t2 using(person_id) 
		where t1.proj_id = '$rvar_proj_id'
		and t1.sorgerecht = 'j'
		group by t1.person_id";
$eltern = abfrage1($sql);
if(mysql_num_rows($eltern) == 0) $y += 5;
while ($elter = mysql_fetch_row($eltern)) {
	$dat1 = $elter[1] . ' ' . $elter[0];
	$pdf->SetY($y);
	$pdf->Cell(40,$zh,"");
	$pdf->Cell(80,$zh,$dat1);
	$y += 5;
}

$v_hp = abfrage("select h.v_hp_id, p.proj_id from tbh_hp_verbund h
				left join tb_pro_verbund p using(verbund_id)
				where h.hp_id='$rvar_hp_id'
				and datetime_bis is null
				and p.proj_id != '$rvar_proj_id'");

$y += 2; $pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$ha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $pro->ha");
$hilfe = empty($ha[1]) ? $ha[0] : $ha[1];
$pdf->Cell(40,$zh,"Hilfeform:",0,0,'R');
$pdf->SetFont('arial','b',10);
$pdf->Cell(100,$zh,$hilfe);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'), 
				unix_timestamp(h.datum), h.datum,
				concat(p2.vorname, ' ', p2.name)
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");

$datum = ($info[3] < mktime(0,0,0,date('n'),date('d'),date('Y'))) ? $info[4] : date('Y-m-d');
if($pro->kontaktst($datum)) {
	$dat1  = "KLS: " . fls_form($pro->wost_kontaktstunden($datum));
	$dat1 .= " + geplante FZ: " . fls_form($pro->wost_kontakt_fahrzeit($datum));
	$dat1 .= " = gesamt: " . fls_form($pro->wost_f($datum));
	if($pro->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
} else $dat1 = fls_form($pro->wost_datum($datum));
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
$pdf->SetFont('arial','b',10);
$pdf->Cell(100,$zh,$dat1);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
$dat1 = $pro->beginn();
$pdf->SetFont('arial','b',10);
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
$dat1 = $pro->ende();
if(empty($dat1)) $dat1 = $pro->kzu_ende();
if($dat[8]=='j') $dat1 .= " (Befristung)";
$pdf->SetFont('arial','b',10);
$pdf->Cell(40,$zh,$dat1);

if($v_hp[0] > 0) {
	$vprojekt = new stwProjekt($v_hp[1]);
	$vha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $vprojekt->ha");
	$vhilfe = empty($vha[1]) ? $vha[0] : $vha[1];
	$pdf->SetY($y); $y += 8;
	$pdf->Cell(170,1,'','T',1);
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"verbundene Hilfeform:",0,0,'R');
	$pdf->SetFont('arial','b',10);
	$pdf->Cell(100,$zh,$vhilfe);
	if($vprojekt->kontaktst($datum)) {
		$dat1  = "KLS: " . fls_form($vprojekt->wost_kontaktstunden($datum));
		$dat1 .= " + geplante FZ: " . fls_form($vprojekt->wost_kontakt_fahrzeit($datum));
		$dat1 .= " = gesamt: " . fls_form($vprojekt->wost_f($datum));
		if($vprojekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
	} else $dat1 = fls_form($vprojekt->wost_datum($datum));
	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
	$pdf->SetFont('arial','b',10);
	$pdf->Cell(100,$zh,$dat1);

	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
	$dat1 = $vprojekt->beginn();
	$pdf->SetFont('arial','b',10);
	$pdf->Cell(60,$zh,$dat1);
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
	$dat1 = $vprojekt->ende();
	if(empty($dat1)) $dat1 = $vprojekt->kzu_ende();
	$vbefr = abfrage("select befristung from tb_projekte where proj_id='$v_hp[1]'");
	if($vbefr[0]=='j') $dat1 .= " (Befristung)";
	$pdf->SetFont('arial','b',10);
	$pdf->Cell(40,$zh,$dat1);
}

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Zustndiges Jugendamt:",0,0,'R');
$pdf->SetFont('arial','b',10);
$pdf->Cell(100,$zh,$kb['ja_name']);

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $pro->beginn() : $last[0]) . " - " . $info[2];
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Berichtszeitraum:",0,0,'R');
$pdf->SetFont('arial','b',10);
$pdf->Cell(100,$zh,$zeitraum);

$sql = "SELECT traeger_art FROM tb_traeger_art
		WHERE traeger_art_id = $pro->traeger_art_id";
$ta = abfrage($sql);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Trger:",0,0,'R');
$pdf->SetFont('arial','b',10);
$pdf->Cell(100,$zh,$ta[0]);

$hp_mas = abfrage1("select pp.pers_id, pt.personaltyp from tbh_pers_proj pp
					left join tb_personaltyp pt using(personaltyp_id)
					where pp.proj_id='$pro->id' and pp.personaltyp_id!=1
					and (pp.hperw = 'j' or (pp.hperw IS NULL and pp.personaltyp_id in(2,8,9,3)))");
$ma_cnt = mysql_num_rows($hp_mas);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Fachkraft:",0,0,'R');
$pdf->SetFont('arial','b',10);
$pdf->Write($zh,$pro->hb_name());
$pdf->SetFont('arial','',10);
$pdf->Write($zh," (Hauptbetreuer)");

while($ma = mysql_fetch_row($hp_mas)) {
	$pdf->SetXY(60,$y-2);
	$pdf->SetFont('arial','b',10);
	$pdf->Write($zh,pers_name($ma[0]));
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh," ($ma[1])");
	$y += $zh;
}
$pdf->SetY($y); $y += 15;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('arial','b',10);
$pdf->Cell(100,$zh,$info[5]);

$sql = "SELECT t1.minimalkonsens, t1.hp_id FROM tb_hp_eg t1
		INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		WHERE t2.proj_id = $rvar_proj_id";
$minimalkonsens = abfrage($sql);

$pdf->SetFont('stw','',11);
$pdf->SetY($y);
$pdf->Cell(180,6,"Hauptziel",1,1,'C');
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(180,5,$minimalkonsens[0],1);

/* Ende Klienteninformationen */

/* --- Beginn Seite 1 --- */
$seite = 1;
$format = 'L';
$pdf->AddPage($format);

$ja = abfrage_assoc("select ja.name, ja.name2, ja.asd,
					CONCAT(sb.anrede, ' ', sb.vorname, ' ', sb.name ) AS sachbearbeiter,
					sb.teldienst
					from tb_kontakte_ap sb
					left join tb_kontakte ja on sb.kont_id = ja.kont_id and ja.kh_id='0'
					where ap_id = '$pro->sb';");

$pdf->SetXY(10,30);

$pdf->SetFont('Arial','B',9);
$pdf->Cell(80,4,$ja['name'],'R',2);
$pdf->Cell(80,4,$ja['name2'],'R',2);
$pdf->Cell(80,4,'ASD ' . $ja['asd'],'R',2);
$pdf->Cell(25,4,'Fachkraft:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(55,4,$ja['sachbearbeiter'],'R',2);
$pdf->Ln(0);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Telefon:','B');
$pdf->SetFont('Arial','',9);
$pdf->Cell(55,4,$ja['teldienst'],'BR',2);

$pdf->SetXY(90,30);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Name:');
$pdf->SetFont('Arial','B',9);
$pdf->Cell(92,4,$pro->name());

$pdf->SetXY(90,34);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Hilfeart:');
$pdf->SetFont('Arial','',9);
$ha = abfrage_assoc("select kurzname from tb_hilfeart
				where hilfeart_id = '$pro->ha';");
$pdf->Cell(92,4,$ha['kurzname']);

$pdf->SetXY(90,38);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Hilfebeginn:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(92,4,$pro->beginn());

$pdf->SetXY(90,42);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Befristung:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(92,4,$pro->ende_ts() == 0 ? $pro->kzu_ende() : $pro->ende());

$pdf->SetXY(90,46);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Register-Nr.:','B');
$pdf->SetFont('Arial','',9);
$pdf->Cell(55,4,$pro->reg,'B');

$pdf->SetXY(207,30);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Leistungserbringer:','L');

$pdf->SetXY(207,34);
$pdf->Cell(80,4,getConf('traeger')=='stw' ? 'Stellwerk Jugendhilfe gemeinntzige GmbH' : getConf('trname'),'L');

$pdf->SetXY(207,38);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Fachkraft:','L');
$pdf->SetFont('Arial','',9);
$pdf->Cell(55,4,pers_name($pro->hb()));

$pdf->SetXY(207,42);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Telefon:','L');
$pdf->SetFont('Arial','',9);
$hb = $pro->hb();
$hb_tel = abfrage_assoc("select telmobil from tb_personal
						where pers_id = '$hb';");
$pdf->Cell(55,4,$hb_tel['telmobil']);

$pdf->SetXY(207,46);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'OK Fachberater:','LB');
$pdf->SetFont('Arial','',9);
$pdf->Cell(55,4,$kb['fb'],'B');

$pdf->SetXY(10,50);

$pdf->SetFont('Arial','B',11);

$pdf->Cell(10,5,'Nr.',1,0,'C');
$pdf->Cell(25,5,'von',1,0,'C');
$pdf->Cell(25,5,'bis',1,0,'C');
$pdf->Cell(150,5,'Praxisziel',1,0,'C');
$pdf->Cell(20,5,'verantw.',1,0,'C');
$pdf->Cell(15,5,'erfllt',1,0,'C');
$pdf->SetFont('Arial','B',7);

$pdf->Cell(32,2.5,'a) Nichtweiterfolgung','LTR',2,'L');
$pdf->Cell(32,2.5,'b) neues Praxisziel','LBR',1,'L');


$sql = "SELECT pz.nummer,
		date_format(hp.datum, '%d.%m.%Y') as datum,
		date_format(pz.erledigt, '%d.%m.%Y') as erledigt,
		pz.ziel,
		pz.erreicht,
		pz.weiter,
		if(pz.prio > 0, pz.prio, 99) as sort
		FROM `tb_hp_praxisziele` pz
		left join tb_hp hp using (hp_id)
		where hp.proj_id = '$pro->id'
		and pz.LE = '1' and pz.HE = '1' and pz.ASD = '1'
		and (pz.erledigt is null or pz.erledigt = '0000-00-00')
		order by sort asc, pz.nummer asc;";
$pzs = abfrage1($sql);

$y2 = $pdf->GetY();

while ($pz = mysql_fetch_assoc($pzs)){
	$pdf->SetXY(10,$y2);
	$pdf->SetFont('Arial','',10);

	$pdf->SetWidths(array(10,25,25,150,20,15,32));
	$pdf->SetAligns(array('C','C','C','L','L','C','C'));
	if ($pz['erreicht'] == 'j'){
		$erf = 'ja';
	} elseif ($pz['erreicht'] == 'n'){
		$erf = 'nein';
	} else {
		$erf = '';
	}
	$pdf->Row(array($pz['nummer'],
					$pz['datum'],
					$pz['erledigt'],
					$pz['ziel'],
					'',
					$erf,
					$pz['weiter']));

	$y2 = $pdf->GetY();

}

$sql = "SELECT pz.nummer,
		date_format(hp.datum, '%d.%m.%Y') as datum,
		date_format(pz.erledigt, '%d.%m.%Y') as erledigt,
		pz.ziel,
		pz.erreicht,
		pz.weiter,
		if(pz.prio > 0, pz.prio, 99) as sort
		FROM `tb_hp_praxisziele` pz
		left join tb_hp hp using (hp_id)
		where hp.proj_id = '$pro->id'
		and pz.LE = '1' and pz.HE = '1' and pz.ASD = '1'
		and unix_timestamp(pz.erledigt) > 0
		order by sort asc, pz.nummer asc;";
$pzs = abfrage1($sql);

while ($pz = mysql_fetch_assoc($pzs)){
	$pdf->SetXY(10,$y2);
	$pdf->SetFont('Arial','',10);

	$pdf->SetWidths(array(10,25,25,150,20,15,32));
	$pdf->SetAligns(array('C','C','C','L','L','C','C'));
	if ($pz['erreicht'] == 'j'){
		$erf = 'ja';
	} elseif ($pz['erreicht'] == 'n'){
		$erf = 'nein';
	} else {
		$erf = '';
	}
	$pdf->Row(array($pz['nummer'],
					$pz['datum'],
					$pz['erledigt'],
					$pz['ziel'],
					'',
					$erf,
					$pz['weiter']));

	$y2 = $pdf->GetY();

}
/* --- Ende Seite 1 --- */


/* --- Beginn Seite 2 --- */

$zh1 = 5;
$zh2 = 4.5;


$seite = 2;
$format = 'L';
$pdf->AddPage($format);

$pdf->SetXY(10,30);

$pdf->SetFont('Arial','B',9);
$pdf->Cell(80,4,$ja['name'],'R',2);
$pdf->Cell(80,4,$ja['name2'],'R',2);
$pdf->Cell(80,4,'ASD ' . $ja['asd'],'R',2);
$pdf->Cell(25,4,'Fachkraft:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(55,4,$ja['sachbearbeiter'],'R',2);
$pdf->Ln(0);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Telefon:','B');
$pdf->SetFont('Arial','',9);
$pdf->Cell(55,4,$ja['teldienst'],'BR',2);

$pdf->SetXY(90,34);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Name:');
$pdf->SetFont('Arial','B',9);
$pdf->Cell(92,4,$pro->name());

$pdf->SetXY(90,38);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Hilfeart:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(92,4,$ha['kurzname']);

$pdf->SetXY(90,42);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Hilfebeginn:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(92,4,$pro->beginn());

$pdf->SetXY(90,46);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Befristung:','B');
$pdf->SetFont('Arial','',9);

if ($pro->ende_ts() > 0){
	$beg = date('Ym', $pro->beginn_ts());
	$end = date('Ym', $pro->ende_ts());
	$dau = abfrage_assoc("select period_diff('$end','$beg') as dauer;");
	$dauer = $dau['dauer'] . ' Monate';
} elseif ($pro->kzu_ende_ts() > 0){
	$beg = date('Ym', $pro->beginn_ts());
	$end = date('Ym', $pro->kzu_ende_ts());
	$dau = abfrage_assoc("select period_diff('$end','$beg') as dauer;");
	$dauer = $dau['dauer'] . ' Monate';
} else {
	$dauer = '';
}

$pdf->Cell(92,4,$dauer,'B');

$pdf->SetXY(207,30);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Leistungserbringer:','L');

$pdf->SetXY(207,34);
$pdf->Cell(80,4,getConf('traeger')=='stw' ? 'Stellwerk Jugendhilfe gemeinntzige GmbH' : getConf('trname'),'L');

$pdf->SetXY(207,38);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Fachkraft:','L');
$pdf->SetFont('Arial','',9);
$pdf->Cell(55,4,pers_name($pro->hb()));

$pdf->SetXY(207,42);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Telefon:','L');
$pdf->SetFont('Arial','',9);
$hb = $pro->hb();
$pdf->Cell(55,4,$hb_tel['telmobil']);

$pdf->SetXY(207,46);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Register-Nr.:','LB');
$pdf->SetFont('Arial','',9);
$pdf->Cell(55,4,$pro->reg,'B');
/*--- Ende Kopfblock ---*/


$pdf->SetXY(10,50);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(80,4,'Vorbereitung der Fortscheibung des Hilfesplanes');
$pdf->Cell(25,4,'Datum:');
$hp_datum = abfrage("select date_format(datum, '%d.%m.%Y')
					from tb_hp
					where hp_id = '{$_GET['hp_id']}';");
$pdf->SetFont('Arial','',9);
$pdf->Cell(92,4,$hp_datum[0]);

// nur wenn Pool-Projekt:
if ($pro->pool()){
	$pdf->SetXY(10,54);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(35,4,'Stundenpool gesamt:');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(15,4,fls_form($pro->pool_st()));
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(15,4,'Ist-Stand:');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(15,4,fls_form($pro->pool_stand()));
}

$pdf->SetXY(90,54);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Befristung:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(92,4,$pro->ende_ts() == 0 ? $pro->kzu_ende() : $pro->ende());

$pdf->SetXY(10,58);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(51,5,"bergeordnetes Ziel der Hilfe:",'T');
$pdf->SetFont('Arial','I',10);
$pdf->Cell(29,5,"(Minimalkonsens)",'T');
$mink = abfrage("SELECT t1.minimalkonsens,t1.hp_id FROM tb_hp_eg t1
			LEFT JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
			WHERE t2.proj_id = '{$_GET['proj_id']}';");
$pdf->SetFont('Arial','',10);
$pdf->MultiCell(197,5,$mink[0],'T','L');

$y1 = $pdf->GetY();
$pdf->Line(10,$y1,287,$y1);

$pdf->SetX(10);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(120,5,'Praxisziele und Handlungsschritte des letzten Hilfeplanzeitraumes','LTB');
$pdf->SetFont('Arial','',10);
$pdf->Cell(95,5,'Zielerreichung auf einer Skala 0-10','TB',0,'R');
$pdf->Cell(62,5,'[Beginn][letzter HP]=>[aktuell]','TBR',1,'R');
$pdf->SetLineWidth(0.3);
$pdf->Line(227,$y1+2,232,$y1+2);
$pdf->Line(232,$y1+2,232,$y1+5);
$pdf->Line(231,$y1+3,232,$y1+5);
$pdf->Line(233,$y1+3,232,$y1+5);
$pdf->SetLineWidth(0.1);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(75,5,'Praxisziele',1,0,'C');
$pdf->Cell(75,5,'Handlungsschritte',1,0,'C');
$pdf->Cell(45,5,'verantwortlich',1,0,'C');
$pdf->Cell(17,5,'Termin',1,0,'C');
$pdf->Cell(6,5,'err.','LTB');
$y1 = $pdf->GetY();
$pdf->SetFont('Arial','b',6);
$pdf->Cell(20,2.5,"L: Leistungserbringer",0,2);
$pdf->Cell(20,2.5,"A: Adressat");
$pdf->SetFont('Arial','B',10);
$pdf->SetXY(242,$y1);
$pdf->Cell(45,5,'Begrndung','RTB',1,'C');

/* 1. Abfrage unerledigter Praxisziele */

$sql = "SELECT pz.nummer,
		date_format(hp.datum, '%d.%m.%Y') as datum,
		date_format(pz.erledigt, '%d.%m.%Y') as erledigt,
		pz.ziel,
		pz.erreicht,
		pz.weiter,
		pz.id,
		pz.grund,
		if(pz.prio > 0, pz.prio, 99) as sort,
		date_format(pz.termin, '%d.%m.%Y') as termin
		FROM `tb_hp_praxisziele` pz
		left join tb_hp hp using (hp_id)
		where hp.datum <= '{$kb['date']}'
		and hp.proj_id = '$pro->id'
		and pz.LE = '1' and pz.HE = '1' and pz.ASD = '1'
		and (pz.erledigt is null or pz.erledigt = '0000-00-00')
		order by sort asc, pz.nummer asc;";
$pzs = abfrage1($sql);

$y1 = $pdf->GetY();
$pdf->SetFont('Arial','',9);

while ($pz = mysql_fetch_assoc($pzs)){

	/* Hoehe des Kastens Praxisziel ermitteln */
	$h_ziel = $pdf->NbLines(75, $pz['ziel']);

	/* Hoehe des Kastens Begruendung ermitteln */
	$h_grund = $pdf->NbLines(47, $pz['grund']);

	/* die groessere von beiden Hoehen in $H_ps speichern */
	$h_pz = ($h_grund > $h_ziel) ? $h_grund : $h_ziel;

	/* zueghoerige Handlungsschritte ermitteln */
	$sql = "select id, schritt, verantwortlich, nummer
			from tb_hp_handlungsschritte
			where ziel_id = '{$pz['id']}'
			order by nummer asc;";
	$hss = abfrage1($sql);

	/* Hoehe des Kastens mit den Handlungsschritten ermitteln */
	$h_hs = 0;
	while ($hs = mysql_fetch_array($hss)){
		$h_hs += $pdf->NbLines(78, $hs['schritt']);
	}

	/* Hoehe der Gesamtzeile ermitteln */
	$h_zeile = ($h_hs > $h_pz) ? $h_hs : $h_pz;




	if (($y1 + ($h_zeile * $zh2)) > 190){
		$pdf->AddPage($pdf->CurOrientation);
		$pdf->SetXY(10,30);
		$pdf->SetFont('Arial','B',10);
		$pdf->Cell(75,5,'Praxisziele',1,0,'C');
		$pdf->Cell(75,5,'Handlungsschritte',1,0,'C');
		$pdf->Cell(45,5,'verantwortlich',1,0,'C');
		$pdf->Cell(17,5,'Termin',1,0,'C');
		$pdf->Cell(6,5,'err.',1,0,'C');
		$y1 = $pdf->GetY();
		$pdf->SetFont('Arial','b',6);
		$pdf->Cell(20,2.5,"L: Leistungserbringer",0,2);
		$pdf->Cell(20,2.5,"A: Adressat");
		$pdf->SetFont('Arial','B',10);
		$pdf->SetXY(242,$y1);
		$pdf->Cell(45,5,'Begrndung',1,0,'C');

		$y1 = 35;
		$pdf->SetFont('Arial','',9);
	}

	$pdf->SetXY(10,$y1);

	$pdf->Line(10,$y1,287,$y1);
	$pdf->SetFont('Arial','',9);
	$pdf->MultiCell(75,$zh2,$pz['nummer'].' '.$pz['ziel'],'T','L');
	$y_ziel = $pdf->GetY();

	$hss = abfrage1($sql);

	$y3 = $y1;

	while ($hs = mysql_fetch_array($hss)){
		$pdf->SetXY(85,$y3);
		$pdf->MultiCell(75,$zh2,'- '.$hs['schritt'],'T','L');
		$y_schritt = $pdf->GetY();
		$pdf->SetXY(160,$y3);
		$pdf->Cell(45,$zh2,$hs['verantwortlich'],'T',0,'L');

		$y3 = $y_schritt;
	}

	$pdf->SetXY(205,$y1);
	$termin = $pz['termin'] == '00.00.0000' ? '' : $pz['termin'];
	$pdf->Cell(17,$zh2,$termin,0,0,'C');

	$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$pz['id']}' and hp_id = '{$_GET['hp_id']}'");
	$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
			where h.proj_id = '$rvar_proj_id' and h.hp_id < '{$_GET['hp_id']}'
			and h.hp_id > '$mink[1]' and ziel_id = '{$pz['id']}'
			order by h.hp_id desc limit 1";
	$last_skala = abfrage_assoc($sql);
	$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
			where h.proj_id = '$rvar_proj_id' and h.hp_id < '{$_GET['hp_id']}' 
			and v.ziel_id = '{$pz['id']}'
			and (v.le_skala > 0 or v.ad_skala > 0 or v.ad2_skala > 0)
			order by hp_id asc limit 1";
	$eg_skala = abfrage_assoc($sql);

	$leskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['le_skala'],$last_skala['le_skala'],$skala['le_skala']);
	$le_skalenstring[ $pz['id'] ] = $leskala;
	$adskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad_skala'],$last_skala['ad_skala'],$skala['ad_skala']);
	$ad_skalenstring[ $pz['id'] ] = $adskala;

	$pdf->SetFont('Arial','b',6);
	$pdf->Cell(20,$zh2/2,"L: $leskala",0,2);
	$pdf->Cell(20,$zh2/2,"A: $adskala");
	$pdf->SetFont('Arial','',9);

	$pdf->SetXY(242,$y1);
	$pdf->MultiCell(47,$zh2,$pz['grund'],0,'L');
	$y4 = $pdf->GetY();

	$y_u = ($y_ziel > $y3 ) ? $y_ziel : $y3;
	$y_u = ($y4 > $y_u) ? $y4 : $y_u;

	$pdf->Line(10,$y_u,287,$y_u);
	$pdf->Line(85,$y1,85,$y_u);
	$pdf->Line(160,$y1,160,$y_u);
	$pdf->Line(205,$y1,205,$y_u);
	$pdf->Line(222,$y1,222,$y_u);
	$pdf->Line(242,$y1,242,$y_u);

	$y1 = $y_u;
}


$sql = "SELECT pz.nummer,
		date_format(hp.datum, '%d.%m.%Y') as datum,
		date_format(pz.erledigt, '%d.%m.%Y') as erledigt,
		pz.ziel,
		pz.erreicht,
		pz.weiter,
		pz.id,
		pz.grund,
		if(pz.prio > 0, pz.prio, 99) as sort,
		date_format(pz.termin, '%d.%m.%Y') as termin
		FROM `tb_hp_praxisziele` pz
		left join tb_hp hp using (hp_id)
		where hp.proj_id = '$pro->id'
		and pz.LE = '1' and pz.HE = '1' and pz.ASD = '1'
		and pz.erledigt > '{$kb['date']}'
		order by sort asc, pz.nummer asc;";
$pzs = abfrage1($sql);

$pdf->SetFont('Arial','',9);

while ($pz = mysql_fetch_assoc($pzs)){

	/* Hoehe des Kastens Praxisziel ermitteln */
	$h_ziel = $pdf->NbLines(75, $pz['ziel']);

	/* Hoehe des Kastens Begruendung ermitteln */
	$h_grund = $pdf->NbLines(47, $pz['grund']);

	/* die groessere von beiden Hoehen in $H_ps speichern */
	$h_pz = ($h_grund > $h_ziel) ? $h_grund : $h_ziel;

	/* zueghoerige Handlungsschritte ermitteln */
	$sql = "select id, schritt, verantwortlich, nummer
			from tb_hp_handlungsschritte
			where ziel_id = '{$pz['id']}'
			order by nummer asc;";
	$hss = abfrage1($sql);

	/* Hoehe des Kastens mit den Handlungsschritten ermitteln */
	$h_hs = 0;
	while ($hs = mysql_fetch_array($hss)){
		$h_hs += $pdf->NbLines(78, $hs['schritt']);
	}

	/* Hoehe der Gesamtzeile ermitteln */
	$h_zeile = ($h_hs > $h_pz) ? $h_hs : $h_pz;

	if (($y1 + ($h_zeile * $zh2)) > 195){
		$pdf->AddPage($pdf->CurOrientation);
		$pdf->SetXY(10,30);
		$pdf->SetFont('Arial','B',10);
		$pdf->Cell(75,5,'Praxisziele',1,0,'C');
		$pdf->Cell(75,5,'Handlungsschritte',1,0,'C');
		$pdf->Cell(45,5,'verantwortlich',1,0,'C');
		$pdf->Cell(17,5,'Termin',1,0,'C');
		$pdf->Cell(6,5,'err.',1,0,'C');
		$y1 = $pdf->GetY();
		$pdf->SetFont('Arial','b',6);
		$pdf->Cell(20,2.5,"L: Leistungserbringer",0,2);
		$pdf->Cell(20,2.5,"A: Adressat");
		$pdf->SetFont('Arial','B',10);
		$pdf->SetXY(242,$y1);
		$pdf->Cell(45,5,'Begrndung',1,0,'C');

		$y1 = 35;
		$pdf->SetFont('Arial','',9);
	}

	$pdf->SetXY(10,$y1);

	$pdf->Line(10,$y1,287,$y1);
	$pdf->SetFont('Arial','',9);
	$pdf->MultiCell(75,$zh2,$pz['nummer'] . ' ' . $pz['ziel'],'T','L');
	$y_ziel = $pdf->GetY();

	$hss = abfrage1($sql);

	$y3 = $y1;

	while ($hs = mysql_fetch_array($hss)){
		$pdf->SetXY(85,$y3);
		$pdf->MultiCell(75,$zh2,'- ' . $hs['schritt'],'T','L');
		$y_schritt = $pdf->GetY();
		$pdf->SetXY(160,$y3);
		$pdf->Cell(45,$zh2,$hs['verantwortlich'],'T',0,'L');

		$y3 = $y_schritt;
	}

	$pdf->SetXY(205,$y1);
	$termin = $pz['termin'] == '00.00.0000' ? '' : $pz['termin'];
	$pdf->Cell(17,$zh2,$termin,0,0,'C');

	$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$pz['id']}' and hp_id = '{$_GET['hp_id']}'");
	$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
			where h.proj_id = '$rvar_proj_id' and h.hp_id < '{$_GET['hp_id']}'
			and h.hp_id > '$mink[1]' and ziel_id = '{$pz['id']}'
			order by h.hp_id desc limit 1";
	$last_skala = abfrage_assoc($sql);
	$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
			where h.proj_id = '$rvar_proj_id' and h.hp_id < '{$_GET['hp_id']}' 
			and v.ziel_id = '{$pz['id']}'
			and (v.le_skala > 0 or v.ad_skala > 0 or v.ad2_skala > 0)
			order by hp_id asc limit 1";
	$eg_skala = abfrage_assoc($sql);

	$leskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['le_skala'],$last_skala['le_skala'],$skala['le_skala']);
	$adskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad_skala'],$last_skala['ad_skala'],$skala['ad_skala']);

	$pdf->SetFont('Arial','b',6);
	$pdf->Cell(20,$zh2/2,"L: $leskala",0,2);
	$pdf->Cell(20,$zh2/2,"A: $adskala");
	$pdf->SetFont('Arial','',9);

	$pdf->SetXY(242,$y1);
	$pdf->MultiCell(45,$zh2,$pz['grund'],0,'L');
	$y4 = $pdf->GetY();

	$y_u = ($y_ziel > $y3 ) ? $y_ziel : $y3;
	$y_u = ($y4 > $y_u) ? $y4 : $y_u;

	$pdf->Line(10,$y_u,287,$y_u);
	$pdf->Line(85,$y1,85,$y_u);
	$pdf->Line(160,$y1,160,$y_u);
	$pdf->Line(205,$y1,205,$y_u);
	$pdf->Line(222,$y1,222,$y_u);
	$pdf->Line(242,$y1,242,$y_u);

	$y1 = $y_u;
}

/* --- Ende Seite 2 --- */

$glf = abfrage("SELECT befind_kl, befind_sb, hziel_kl, hziel_sb from tb_hpvor where hp_id = '{$_GET['hp_id']}';");
if(!empty($glf[0]) || !empty($glf[1])) {
	/* --- Beginn Seite 3 --- */
	$seite = 3;
	$format = 'P';
	$pdf->AddPage($format);

	$pdf->SetXY(20,20);

	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(50,4,$ja['name'],'R',2);
	if(strlen($ja['asd'] > 0)) {
		$pdf->Cell(50,4,$ja['name2'],'R',2);
		$pdf->Cell(50,4,'ASD ' . $ja['asd'],'R',2);
	} else {
		$pdf->MultiCell(50,4,$ja['name2'],'R','L');
		$pdf->SetXY(20,28);
		$pdf->Cell(50,4,'ASD','R',2,'R');
	}

	$pdf->Cell(20,4,'Datum:','B');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(30,4,$hp_datum[0],'BR');


	$pdf->SetXY(70,20);

	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(17,4,'Fachkraft:');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(43,4,$ja['sachbearbeiter'],'R');

	$pdf->Ln(4); $pdf->SetX(70);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(17,4,'Telefon:');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(43,4,$ja['teldienst'],'R');

	$pdf->Ln(4); $pdf->SetX(70);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(17,4,'Name:');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(43,4,$pro->name(),'R');

	$pdf->Ln(4); $pdf->SetX(70);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(17,4,'Hilfeart:', 'B');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(43,4,$ha['kurzname'],'BR');

	$pdf->SetXY(130,20);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(70,4,'Leistungserbringer:','L');
	$pdf->Ln(4); $pdf->SetX(130);
	$pdf->Cell(70,4,getConf('traeger')=='stw' ? 'Stellwerk Jugendhilfe gemeinntzige GmbH' : getConf('trname'),'L');

	$pdf->Ln(4); $pdf->SetX(130);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(25,4,'Fachkraft:','L');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(45,4,pers_name($pro->hb()));

	$pdf->Ln(4); $pdf->SetX(130);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(25,4,'Telefon:','LB');
	$pdf->SetFont('Arial','',9);
	$hb = $pro->hb();
	$pdf->Cell(45,4,$hb_tel['telmobil'],'B');

	$pdf->SetXY(20,38);

	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(180,3,'Was brauche ich noch vom Jugendamt / Allgemeinen Sozialen Dienst (ASD)',0,2);
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(180,5,'(falls nichts bitte gleich zur nchsten Frage bergehen)',0,2);

	$pdf->SetFont('Arial','',9);
	$pdf->MultiCell(180,4,$glf[0],0,'L');
	$pdf->Ln(10);
	if($pdf->GetY() < 150) $pdf->SetXY(20,150);
	else $pdf->SetX(20);
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(180,5,'Was sollte beim nchsten Hilfeplangesprch (HPG) anders gemacht werden?',0,2);
	$pdf->SetFont('Arial','',9);
	$pdf->MultiCell(180,4,$glf[1],0,'L');

	/* --- Ende Seite 3 --- */
}

/* --- Beginn Seite 4 --- */
$seite = 4;
$format = 'P';
$pdf->AddPage($format);

$pdf->SetXY(20,20);

$pdf->SetFont('Arial','B',9);
$pdf->Cell(50,4,$ja['name'],'R',2);
if(strlen($ja['asd'] > 0)) {
	$pdf->Cell(50,4,$ja['name2'],'R',2);
	$pdf->Cell(50,4,'ASD ' . $ja['asd'],'R',2);
} else {
	$pdf->MultiCell(50,4,$ja['name2'],'R','L');
	$pdf->SetXY(20,28);
	$pdf->Cell(50,4,'ASD','R',2,'R');
}

$pdf->Cell(20,4,'Datum:','B');
$pdf->SetFont('Arial','',9);
$pdf->Cell(30,4,$hp_datum[0],'BR');


$pdf->SetXY(70,20);

$pdf->SetFont('Arial','B',9);
$pdf->Cell(17,4,'Fachkraft:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(43,4,$ja['sachbearbeiter'],'R');

$pdf->Ln(4); $pdf->SetX(70);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(17,4,'Telefon:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(43,4,$ja['teldienst'],'R');

$pdf->Ln(4); $pdf->SetX(70);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(17,4,'Name:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(43,4,$pro->name(),'R');

$pdf->Ln(4); $pdf->SetX(70);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(17,4,'Hilfeart:', 'B');
$pdf->SetFont('Arial','',9);
$pdf->Cell(43,4,$ha['kurzname'],'BR');

$pdf->SetXY(130,20);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(70,4,'Leistungserbringer:','L');
$pdf->Ln(4); $pdf->SetX(130);
$pdf->Cell(70,4,getConf('traeger')=='stw' ? 'Stellwerk Jugendhilfe gemeinntzige GmbH' : getConf('trname'),'L');

$pdf->Ln(4); $pdf->SetX(130);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Fachkraft:','L');
$pdf->SetFont('Arial','',9);
$pdf->Cell(45,4,pers_name($pro->hb()));

$pdf->Ln(4); $pdf->SetX(130);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Telefon:','LB');
$pdf->SetFont('Arial','',9);
$hb = $pro->hb();
$pdf->Cell(45,4,$hb_tel['telmobil'],'B');

$pdf->SetXY(20,36);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(180,5,'Verlauf der Hilfe im letzten Hilfeplanzeitraum:',0,2);

$verlauf = abfrage("select hilfeverlauf from tb_hp where hp_id = '{$_GET['hp_id']}';");
$pdf->SetFont('Arial','',9);
$pdf->MultiCell(180,4,$verlauf[0],0,'L');

$sql = "SELECT pz.id, pz.nummer, pz.ziel, pz.erreicht,
		if(pz.prio > 0, pz.prio, 99) as sort
		FROM `tb_hp_praxisziele` pz
		left join tb_hp hp using (hp_id)
		where hp.proj_id = '$pro->id'
		and pz.LE = '1' and pz.HE = '1' and pz.ASD = '1'
		order by sort asc, pz.nummer asc;";
$pzs = abfrage1($sql);

while ($pz = mysql_fetch_array($pzs)){
	$err = abfrage("select le_err from tb_hpvor2 where hp_id = '{$_GET['hp_id']}' and ziel_id = '$pz[0]';");
	if (!empty($err[0])){
		$pdf->SetFont('Arial','B',9);
		$pdf->SetX(180);
		if(empty($le_skalenstring[ $pz[0] ])) {
			$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '$pz[0]' and hp_id = '{$_GET['hp_id']}'");
			$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
					where h.proj_id = '$rvar_proj_id' and h.hp_id < '{$_GET['hp_id']}'
					and h.hp_id > '$mink[1]' and ziel_id = '$pz[0]'
					order by h.hp_id desc limit 1";
			$last_skala = abfrage_assoc($sql);
			$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
					where h.proj_id = '$rvar_proj_id' and h.hp_id < '{$_GET['hp_id']}' 
					and v.ziel_id = '$pz[0]'
					and (v.le_skala > 0 or v.ad_skala > 0 or v.ad2_skala > 0)
					order by hp_id asc limit 1";
			$eg_skala = abfrage_assoc($sql);

			$leskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['le_skala'],$last_skala['le_skala'],$skala['le_skala']);
			$le_skalenstring[ $pz[0] ] = $leskala;
			$adskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad_skala'],$last_skala['ad_skala'],$skala['ad_skala']);
			$ad_skalenstring[ $pz[0] ] = $adskala;
		}
		$pdf->Cell(20,4,$le_skalenstring[ $pz[0] ],0,0,'R');
		$pdf->SetX(20);
		$pdf->Cell(7,4,$pz[1] . '.',0,0,'C');
		$pdf->MultiCell(150,4,$pz[2] . ($pz[3]=='j' ? ' (erreicht)' : ''),0,'L');
		$pdf->SetX(20);
		$pdf->SetFont('Arial','',9);
		$pdf->Cell(3,4,'',0,0,'C');
		$pdf->MultiCell(177,3.5,$err[0],0,'L');
	}
}

$pdf->Ln(2);
$pdf->SetX(20);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(180,5,'Vorstellung aus Sicht des Leistungserbringers zum weiteren Verlauf der Hilfe /',0,2);
$pdf->Cell(180,5,'neue Praxisziele und Handlungsschritte',0,2);

$pzs = abfrage1("select pz.id, pz.nummer, pz.ziel,
				if(pz.prio > 0, pz.prio, 99) as sort
				from tb_hp h
				inner join tb_hp_praxisziele pz on h.hp_id = pz.hp_id
				where h.proj_id = '{$_GET['proj_id']}'
				and pz.LE = '1'
				and (pz.erledigt = '0000-00-00' or pz.erledigt is null)
				order by sort asc, pz.nummer asc;");

while ($pz = mysql_fetch_array($pzs)){
	$pdf->SetFont('Arial','B',9);
	$pdf->SetX(20);
	$pdf->Cell(7,4,$pz[1] . '.',0,0,'C');
	$pdf->MultiCell(173,4,$pz[2],0,'L');
	$pdf->SetFont('Arial','',9);
	$pdf->Ln(0);
	$schritte=abfrage1("select id, schritt from tb_hp_handlungsschritte
						where ziel_id='$pz[0]' order by nummer asc");
	while($schritt = mysql_fetch_row($schritte)) {
		$pdf->SetX(27);
		$pdf->MultiCell(173,4,"- $schritt[1]",0,'L');
	}
	$err = abfrage("select le_vor from tb_hpvor2
					where hp_id = '{$_GET['hp_id']}' and ziel_id = '$pz[0]';");
	if (!empty($err[0])){
		$pdf->Ln(0.5);
		$pdf->SetX(20);
		$pdf->Cell(3,4,'',0,0,'C');
		$pdf->MultiCell(177,3.5,$err[0],0,'L');
	}
	$pdf->Ln(2);
}


$pdf->Ln(2);
$pdf->SetFont('Arial','B',10);
$pdf->SetX(20);
$pdf->Cell(180,5,'Weitere Ressourcen:',0,2);

$ress = abfrage("select ressourcen from tb_hp where hp_id = '{$_GET['hp_id']}';");
$pdf->SetFont('Arial','',9);
$pdf->SetX(20);
$pdf->Cell(7,3.5,'',0,0,'C');
$pdf->MultiCell(173,3.5,$ress[0],0,'L');

$pdf->Ln(15);

$pdf->SetX(25);
$pdf->SetFont('Arial','',9);
$pdf->Cell(75,5,'Unterschrift des Leistungserbringers','T',0,'C');
$pdf->Cell(20,5,'');
$pdf->Cell(75,5,'Kenntnisnahme des Leistungsempfngers','T',1,'C');

$hp_mas = abfrage1("select pers_id from tbh_pers_proj 
					where proj_id='$pro->id' and personaltyp_id!=1
					and (hperw = 'j' or (hperw IS NULL and personaltyp_id in(2,8,9)))");
while($ma = mysql_fetch_row($hp_mas)) {
	$pdf->Ln(15);
	$pdf->SetX(25);
	$pdf->Cell(75,5,'','T',1,'C');
}

/* --- Ende Seite 4 --- */


/* --- Beginn Seite 5 --- */
$seite = 5;
$format = 'P';
$pdf->AddPage($format);

$pdf->SetXY(20,20);

$pdf->SetFont('Arial','B',9);
$pdf->Cell(50,4,$ja['name'],'R',2);
if(strlen($ja['asd'] > 0)) {
	$pdf->Cell(50,4,$ja['name2'],'R',2);
	$pdf->Cell(50,4,'ASD ' . $ja['asd'],'R',2);
} else {
	$pdf->MultiCell(50,4,$ja['name2'],'R','L');
	$pdf->SetXY(20,28);
	$pdf->Cell(50,4,'ASD','R',2,'R');
}

$pdf->Cell(20,4,'Datum:','B');
$pdf->SetFont('Arial','',9);
$pdf->Cell(30,4,$hp_datum[0],'BR');


$pdf->SetXY(70,20);

$pdf->SetFont('Arial','B',9);
$pdf->Cell(17,4,'Fachkraft:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(43,4,$ja['sachbearbeiter'],'R');

$pdf->Ln(4); $pdf->SetX(70);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(17,4,'Telefon:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(43,4,$ja['teldienst'],'R');

$pdf->Ln(4); $pdf->SetX(70);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(17,4,'Name:');
$pdf->SetFont('Arial','',9);
$pdf->Cell(43,4,$pro->name(),'R');

$pdf->Ln(4); $pdf->SetX(70);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(17,4,'Hilfeart:', 'B');
$pdf->SetFont('Arial','',9);
$pdf->Cell(43,4,$ha['kurzname'],'BR');

$pdf->SetXY(130,20);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(70,4,'Leistungserbringer:','L');
$pdf->Ln(4); $pdf->SetX(130);
$pdf->Cell(70,4,getConf('traeger')=='stw' ? 'Stellwerk Jugendhilfe gemeinntzige GmbH' : getConf('trname'),'L');

$pdf->Ln(4); $pdf->SetX(130);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Fachkraft:','L');
$pdf->SetFont('Arial','',9);
$pdf->Cell(45,4,pers_name($pro->hb()));

$pdf->Ln(4); $pdf->SetX(130);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(25,4,'Telefon:','LB');
$pdf->SetFont('Arial','',9);
$hb = $pro->hb();
$pdf->Cell(45,4,$hb_tel['telmobil'],'B');

$pdf->SetXY(20,36);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(180,5,'bergeordnetes Ziel:',0,2);
$pdf->SetFont('Arial','',9);
$pdf->MultiCell(180,4,$mink[0],0,'L');

$pdf->Ln(3);
$pdf->SetFont('Arial','B',10);
$pdf->SetX(20);
$txt  = 'Welche gestellten Ziele des letzten Hilfeplanzeitraumes habe(n) ';
$txt .= 'ich (wir) erreicht bzw. nicht erreicht?';
$pdf->Cell(180,5,$txt,0,2);

$pzs = abfrage1("select pz.id, pz.nummer, pz.ziel,
				if(pz.prio > 0, pz.prio, 99) as sort
				from tb_hp h
				inner join tb_hp_praxisziele pz on h.hp_id = pz.hp_id
				where h.proj_id = '{$_GET['proj_id']}'
				and pz.LE = '1'
				and pz.HE = '1'
				and pz.ASD = '1'
				and (pz.erledigt = '0000-00-00' or pz.erledigt is null)
				order by sort asc, pz.nummer asc;");

while ($pz = mysql_fetch_row($pzs)){
	$pdf->SetFont('Arial','B',9);
	$pdf->SetX(180);
	$pdf->Cell(20,4,$ad_skalenstring[ $pz[0] ],0,0,'R');
	$pdf->SetX(20);
	$pdf->Cell(7,5,$pz[1] . '.',0,0,'C');
	$pdf->MultiCell(150,4,$pz[2],0,'L');
	$pdf->Ln(0);

	$err = abfrage("select ad_err from tb_hpvor2
					where hp_id = '{$_GET['hp_id']}' and ziel_id = '$pz[0]';");

	if (!empty($err[0])){
		$pdf->SetFont('Arial','',9);
		$pdf->SetX(20);
		$pdf->Cell(7,4,'',0,0,'C');
		$pdf->MultiCell(173,3.5,$err[0]);
	}
	$pdf->Ln(2);
}

$pdf->Ln(3);
$pdf->SetFont('Arial','B',10);
$pdf->SetX(20);
$txt  = 'Welche Vorstellungen habe(n) ich (wir) zum weiteren Verlauf der Hilfe?';
$pdf->Cell(180,5,$txt,0,2);
$pdf->Cell(180,5,'neue Praxisziele und Handlungsschritte',0,2);

$pzs = abfrage1("select pz.id, pz.nummer, pz.ziel,
				if(pz.prio > 0, pz.prio, 99) as sort
				from tb_hp h
				inner join tb_hp_praxisziele pz on h.hp_id = pz.hp_id
				where h.proj_id = '{$_GET['proj_id']}'
				and pz.HE = '1'
				and (pz.erledigt = '0000-00-00' or pz.erledigt is null)
				order by sort asc, pz.nummer asc;");

while ($pz = mysql_fetch_row($pzs)){
	$pdf->SetFont('Arial','B',10);
	$pdf->SetX(180);
	$pdf->Cell(20,4,$ad_skalenstring[ $pz[0] ],0,0,'R');
	$pdf->SetX(20);
	$pdf->Cell(7,5,$pz[1] . '.',0,0,'C');
	$pdf->MultiCell(150,4,$pz[2],0,'L');
	$pdf->Ln(0);
	$pdf->SetFont('Arial','',9);
	$schritte=abfrage1("select id, schritt from tb_hp_handlungsschritte
						where ziel_id='$pz[0]' order by nummer asc");
	while($schritt = mysql_fetch_row($schritte)) {
		$pdf->SetX(27);
		$pdf->MultiCell(150,4,"- $schritt[1]",0,'L');
	}

	$err = abfrage("select ad_vor from tb_hpvor2
					where hp_id = '{$_GET['hp_id']}' and ziel_id = '$pz[0]';");

	if (!empty($err[0])){
		$pdf->SetX(15);
		$pdf->Cell(7,4,'',0,0,'C');
		$pdf->MultiCell(173,3.5,$err[0]);
	}
	$pdf->Ln(2);
}


$pdf->SetFont('Arial','B',10);
$pdf->SetX(20);
$txt  = 'Wer oder was kann mir dabei noch behilflich sein?';
$pdf->Cell(180,5,$txt,0,2);

$ress = abfrage("select selbsthilfe from tb_hp where hp_id = '{$_GET['hp_id']}';");
$pdf->SetFont('Arial','',9);
$pdf->SetX(20);
$pdf->MultiCell(180,3.5,$ress[0]);
$pdf->Ln(15);
$pdf->SetX(120);
$pdf->Cell(75,5,'Unterschrift des Leistungsempfngers','T',1,'C');

/* --- Ende Seite 5 --- */

if(!empty($glf[2]) || !empty($glf[3])) {
	/* --- Beginn Seite 6 --- */
	$seite = 6;
	$format = 'P';
	$pdf->AddPage($format);

	$pdf->SetXY(20,20);

	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(50,4,$ja['name'],'R',2);
	if(strlen($ja['asd'] > 0)) {
		$pdf->Cell(50,4,$ja['name2'],'R',2);
		$pdf->Cell(50,4,'ASD ' . $ja['asd'],'R',2);
	} else {
		$pdf->MultiCell(50,4,$ja['name2'],'R','L');
		$pdf->SetXY(20,28);
		$pdf->Cell(50,4,'ASD','R',2,'R');
	}

	$pdf->Cell(20,4,'Datum:','B');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(30,4,$hp_datum[0],'BR');


	$pdf->SetXY(70,20);

	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(17,4,'Fachkraft:');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(43,4,$ja['sachbearbeiter'],'R');

	$pdf->Ln(4); $pdf->SetX(70);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(17,4,'Telefon:');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(43,4,$ja['teldienst'],'R');

	$pdf->Ln(4); $pdf->SetX(70);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(17,4,'Name:');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(43,4,$pro->name(),'R');

	$pdf->Ln(4); $pdf->SetX(70);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(17,4,'Hilfeart:', 'B');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(43,4,$ha['kurzname'],'BR');

	$pdf->SetXY(130,20);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(70,4,'Leistungserbringer:','L');
	$pdf->Ln(4); $pdf->SetX(130);
	$pdf->Cell(70,4,getConf('traeger')=='stw' ? 'Stellwerk Jugendhilfe gemeinntzige GmbH' : getConf('trname'),'L');

	$pdf->Ln(4); $pdf->SetX(130);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(25,4,'Fachkraft:','L');
	$pdf->SetFont('Arial','',9);
	$pdf->Cell(45,4,pers_name($pro->hb()));

	$pdf->Ln(4); $pdf->SetX(130);
	$pdf->SetFont('Arial','B',9);
	$pdf->Cell(25,4,'Telefon:','LB');
	$pdf->SetFont('Arial','',9);
	$hb = $pro->hb();
	$pdf->Cell(45,4,$hb_tel['telmobil'],'B');

	$pdf->SetXY(20,38);

	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(180,3,'Was brauche ich noch vom Jugendamt / Allgemeinen Sozialen Dienst (ASD)',0,2);
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(180,5,'(falls nichts bitte gleich zur nchsten Frage bergehen)',0,2);

	$pdf->SetFont('Arial','',9);
	$pdf->MultiCell(180,4,$glf[2],0,'L');
	$pdf->Ln(10);
	if($pdf->GetY() < 150) $pdf->SetXY(20,150);
	else $pdf->SetX(20);
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(180,5,'Was sollte beim nchsten Hilfeplangesprch (HPG) anders gemacht werden?',0,2);
	$pdf->SetFont('Arial','',9);
	$pdf->MultiCell(180,4,$glf[3],0,'L');

	/* --- Ende Seite 6 --- */
}
$pdf->Output('','',-1);
?>
