<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor4.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/func.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_7.inc.php";
 require_once($pfad.$pdf_datei);

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();
$leer = ($rvar_leer == 1);
$erledigte = ($rvar_erledigte == 1);

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4',-1);
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->AliasNbPages();
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetAutoPageBreak(auto,15);


$adr_typ = 'Projekt-Nr.';

$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());


/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');


$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, t3.ort,
				t2.fax, t1.befristung from tb_projekte t1
                 left join tb_kontakte_ap t2 using (ap_id)
                 left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                 where t1.proj_id = $rvar_proj_id";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,$zh,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,$zh,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,$zh,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,$zh,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,$zh,$fax);
}


// Infozeile

$pdf->SetY(110);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'), 
				unix_timestamp(h.datum), h.datum,
				concat(p2.vorname, ' ', p2.name)
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,$info[0]);
$pdf->Cell(50,4,date('d.m.Y'));

$ha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $projekt->ha");
$hilfe = empty($ha[1]) ? $ha[0] : $ha[1];

// berschrift
$pdf->SetFont('stw','',8);
$pdf->SetXY(110,50);
$pdf->Cell(85,$zh,"Bericht zur Vorbereitung des Hilfeplangesprchs am $info[2]");

//Anschreiben
$txt = 'Sehr geehrte';
if (strlen($dat[2]) > 0){
	if ($dat[2] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $dat[2] . ' ' . $dat[3] . ",";
} else $txt .= " Damen und Herren,";
$pdf->SetFont('Arial','',8.5);
$pdf->SetXY(110,57);
$pdf->Cell(85,4,$txt);

$txt  = 'anbei erhalten Sie die Hilfeplanvorbereitung fr die ';
$txt .= $hilfe . ' ' . $projekt->name();
$txt .= ' zum Hilfeplangesprch am ' . $info[2] . ".";
$pdf->SetXY(110,63);
$pdf->MultiCell(85,3.5,$txt);

$txt = "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.";
$pdf->SetXY(110,$pdf->GetY() + 3);
$pdf->Cell(85,4,$txt);

$txt = "Mit freundlichen Gren";
$pdf->SetXY(110,$pdf->GetY() + 7);
$pdf->Cell(85,4,$txt);

$pdf->SetXY(110,100);
$pdf->Cell(85,4,$info[0]);

$pdf->SetLeftMargin(20.0);

$y = $pdf->GetY() + 10;

$pdf->SetY($y); $y+=7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Name:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->name();
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"geb. am:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('geboren');
if($dat1 == '00.00.0000') $dat1 = '';
$pdf->Cell(40,$zh,$dat1);

$pdf->SetY($y); $y+=5;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Anschrift:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('str');
$pdf->Cell(80,$zh,$dat1);
$pdf->SetY($y); $y+=7;
$pdf->Cell(40,$zh,"");
$dat1 = $projekt->he_info('plz') . ' ' . $projekt->he_info('ort');
$pdf->Cell(80,$zh,$dat1);

$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Eltern / Sorgeberechtigte:",0,0,'R');
$pdf->SetFont('arialb','',10);
$sql = "select t2.name, t2.vorname
		from tbh_proj_personen t1 
		left join tb_personen t2 using(person_id) 
		where t1.proj_id = '$rvar_proj_id'
		and t1.sorgerecht = 'j'
		group by t1.person_id";
$eltern = abfrage1($sql);
if(mysql_num_rows($eltern) == 0) $y += 5;
while ($elter = mysql_fetch_row($eltern)) {
	$dat1 = $elter[1] . ' ' . $elter[0];
	$pdf->SetY($y);
	$pdf->Cell(40,$zh,"");
	$pdf->Cell(80,$zh,$dat1);
	$y += 5;
}

$v_hp = abfrage("select h.v_hp_id, p.proj_id from tbh_hp_verbund h
				left join tb_pro_verbund p using(verbund_id)
				where h.hp_id='$rvar_hp_id'
				and datetime_bis is null
				and p.proj_id != '$rvar_proj_id'");

$y += 2; $pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfeform:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$hilfe);

$datum = ($info[3] < mktime(0,0,0,date('n'),date('d'),date('Y'))) ? $info[4] : date('Y-m-d');
if($projekt->kontaktst($datum)) {
	$dat1  = "KLS: " . fls_form($projekt->wost_kontaktstunden($datum));
	$dat1 .= " + geplante FZ: " . fls_form($projekt->wost_kontakt_fahrzeit($datum));
	$dat1 .= " = gesamt: " . fls_form($projekt->wost_f($datum));
	if($projekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
} else $dat1 = fls_form($projekt->wost_datum($datum));
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat1);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
$dat1 = $projekt->beginn();
$pdf->SetFont('arialb','',10);
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
$dat1 = $projekt->ende();
if(empty($dat1)) $dat1 = $projekt->kzu_ende();
if($dat[8]=='j') $dat1 .= " (Befristung)";
$pdf->SetFont('arialb','',10);
$pdf->Cell(40,$zh,$dat1);

if($v_hp[0] > 0) {
	$vprojekt = new stwProjekt($v_hp[1]);
	$vha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $vprojekt->ha");
	$vhilfe = empty($vha[1]) ? $vha[0] : $vha[1];
	$pdf->SetY($y); $y += 8;
	$pdf->Cell(170,1,'','T',1);
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"verbundene Hilfeform:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,$vhilfe);
	if($vprojekt->kontaktst($datum)) {
		$dat1  = "KLS: " . fls_form($vprojekt->wost_kontaktstunden($datum));
		$dat1 .= " + geplante FZ: " . fls_form($vprojekt->wost_kontakt_fahrzeit($datum));
		$dat1 .= " = gesamt: " . fls_form($vprojekt->wost_f($datum));
		if($vprojekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
	} else $dat1 = fls_form($vprojekt->wost_datum($datum));
	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,$dat1);

	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
	$dat1 = $vprojekt->beginn();
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(60,$zh,$dat1);
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
	$dat1 = $vprojekt->ende();
	if(empty($dat1)) $dat1 = $vprojekt->kzu_ende();
	$vbefr = abfrage("select befristung from tb_projekte where proj_id='$v_hp[1]'");
	if($vbefr[0]=='j') $dat1 .= " (Befristung)";
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(40,$zh,$dat1);
}

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Zustndiges Jugendamt:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat[0]);

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $projekt->beginn() : $last[0]) . " - " . $info[2];
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Berichtszeitraum:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$zeitraum);

$sql = "SELECT traeger_art FROM tb_traeger_art
		WHERE traeger_art_id = $projekt->traeger_art_id";
$ta = abfrage($sql);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Trger:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$ta[0]);

$hp_mas = abfrage1("select pp.pers_id, pt.personaltyp from tbh_pers_proj pp
					left join tb_personaltyp pt using(personaltyp_id)
					where pp.proj_id='$projekt->id' and pp.personaltyp_id!=1
					and (pp.hperw = 'j' or (pp.hperw IS NULL and pp.personaltyp_id in(2,8,9,3)))");
$ma_cnt = mysql_num_rows($hp_mas);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Fachkraft:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Write($zh,$projekt->hb_name());
$pdf->SetFont('arial','',10);
$pdf->Write($zh," (Hauptbetreuer)");

while($ma = mysql_fetch_row($hp_mas)) {
	$pdf->SetXY(60,$y-2);
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,pers_name($ma[0]));
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh," ($ma[1])");
	$y += $zh;
}
$pdf->SetY($y); $y += 15;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$info[5]);

$sql = "SELECT t1.minimalkonsens, t1.hp_id FROM tb_hp_eg t1
		INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		WHERE t2.proj_id = $rvar_proj_id";
$minimalkonsens = abfrage($sql);

$pdf->SetFont('stw','',11);
$pdf->SetY($y);
$pdf->Cell(180,6,"Hauptziel",1,1,'C');
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(180,5,$minimalkonsens[0],1);

$pdf->AddPage();

$pdf->Ln(3);
$pdf->SetFont('stw','',12);
$pdf->Cell(25,$zh,"Hauptziel:");
$pdf->SetFont('arial','',10);
$pdf->MultiCell(155,4,$minimalkonsens[0]);

$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 5;
$pdf->SetFont('stw','',12);
$pdf->Cell(100,$zh,"1. Erreichung der Teilziele:");

$pdf->SetY($y);
$sql = "SELECT p.id as pid, p.ziel, unix_timestamp(p.erledigt) as erledigt,
		p.prio, p.prio2, p.prio3, p.LE, p.HE, p.ASD, p.nummer
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' 
		ORDER BY (erledigt>0) desc, p.nummer ASC";
$ziele = abfrage1($sql);

while($ziel = mysql_fetch_assoc($ziele)) {
	if(empty($ziel['erledigt']) || $ziel['erledigt']>$info[3]) {
		$y = $pdf->GetY() + 2;
		$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$ziel['pid']}' and hp_id = '$rvar_hp_id'");
		$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
				where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id'
				and h.hp_id > '$minimalkonsens[1]' and ziel_id = '{$ziel['pid']}'
				order by h.hp_id desc limit 1";
		$last_skala = abfrage_assoc($sql);
		$sql = "select * from tb_hpvor2 where ziel_id = '{$ziel['pid']}'
				and (le_skala > 0 or ad_skala > 0 or ad2_skala > 0) and hp_id < '$rvar_hp_id'
				order by hp_id asc limit 1";
		$eg_skala = abfrage_assoc($sql);

		$leskala = $adskala = $ad2skala = "";
		if(!empty($eg_skala['le_skala'])) $leskala .= "({$eg_skala['le_skala']})";
		if(!empty($last_skala['le_skala']) && $eg_skala['hp_id'] != $last_skala['hp_id']) 
			$leskala .= "({$last_skala['le_skala']})";
		if(strlen($leskala) > 0) $leskala .= "=>";
		$leskala .= empty($skala['le_skala']) ? "(-)" : "({$skala['le_skala']})";
		if(!empty($eg_skala['ad_skala'])) $adskala .= "({$eg_skala['ad_skala']})";
		if(!empty($last_skala['ad_skala']) && $eg_skala['hp_id'] != $last_skala['hp_id'])
			$adskala .= "({$last_skala['ad_skala']})";
		if(strlen($adskala) > 0) $adskala .= "=>";
		$adskala .= empty($skala['ad_skala']) ? "(-)" : "({$skala['ad_skala']})";
		if(!empty($eg_skala['ad2_skala'])) $ad2skala .= "({$eg_skala['ad2_skala']})";
		if(!empty($last_skala['ad2_skala']) && $eg_skala['hp_id'] != $last_skala['hp_id'])
			$ad2skala .= "({$last_skala['ad2_skala']})";
		if(strlen($ad2skala) > 0) $ad2skala .= "=>";
		$ad2skala .= empty($skala['ad2_skala']) ? "(-)" : "({$skala['ad2_skala']})";

		if( ($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1)
			|| ($ziel['prio'] >= 0 && !empty($skala['ad_err']))
			|| ($ziel['prio2'] >= 0 && !empty($skala['ad_err2']))
			|| ($ziel['prio3'] >= 0 && (!empty($skala['le_err']) || !empty($eg_skala['le_skala']))) )
		$pdf->SetY($y); 
		$pdf->SetFont('arialb','',10);
		$pdf->MultiCell(180,$zh,"Ziel ".$ziel['nummer'].". ".$ziel['ziel'],0,'L',0);

		if($ziel['prio'] >= 0 && !empty($skala['ad_err'])) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',11);
			$pdf->Cell(35,$zh,'a) Kind/Jugendlicher:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$adskala,0,1,'R');
			if(!empty($skala['ad_err']) || $leer) {
				$aderr = empty($skala['ad_err'])&&$leer ? "\n\n\n" : $skala['ad_err'];
				$pdf->MultiCell(180,$zh,$aderr,0,'L',0);
			}
		}
		if($ziel['prio2'] >= 0 && !empty($skala['ad_err2'])) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',11);
			$pdf->Cell(35,$zh,'b) Sorgeberechtigte:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$ad2skala,0,1,'R');
			if(!empty($skala['ad_err2']) || $leer) {
				$aderr2 = empty($skala['ad_err2'])&&$leer ? "\n\n\n" : $skala['ad_err2'];
				$pdf->MultiCell(180,$zh,$aderr2,0,'L',0);
			}
		}
		if($ziel['prio3'] >= 0 && (!empty($skala['le_err']) || !empty($eg_skala['le_skala']))) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',11);
			$pdf->Cell(35,$zh,'c) Leistungserbringer:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$leskala,0,1,'R');
			if(!empty($skala['le_err']) || $leer) {
				$leerr = empty($skala['le_err'])&&$leer ? "\n\n\n" : $skala['le_err'];
				$pdf->MultiCell(180,$zh,$leerr,0,'L',0);
			}
		}
		if($pdf->GetY() > 250) $pdf->AddPage();
	}
}
if($pdf->GetY() > 230) $pdf->AddPage();

$y = $pdf->GetY() + 5;
$hp = abfrage("SELECT * FROM tb_hp WHERE hp_id = $rvar_hp_id");
$datum = $hp[5];

$sql = "SELECT p.nummer, p.ziel, p.id, unix_timestamp(p.erledigt) as erledigt, p.prio,
		IF(p.prio > 0, p.prio, 999) AS sort, p.LE, p.HE, p.ASD
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id'
		ORDER BY (erledigt>0) desc, p.ASD desc, sort ASC, p.nummer ASC";
$res = abfrage1($sql);

$pdf->SetY($y); $y += 8;
$pdf->SetFont('stw','',12);
$pdf->Cell(100,$zh,"Welche (Teil-) Ziele wurden im Hilfeplan aufgestellt?");
$pdf->Cell(80,$zh,"Kind/Jugendlicher",0,0,"R");

$pdf->SetY($y); $y += 8;

$pdf->SetFillColor(255,255,255);

while($row = mysql_fetch_row($res)) {
  if($row[6] == 1 && $row[7] == 1 && ($row[8] == 1 || empty($row[3]) || $row[3]>$info[3])) {
	if(empty($bool[0])) {
		$pdf->SetFont('arial','',10);
		$pdf->Cell(60,$zh,'',1,0,'L');
		$pdf->Cell(30,$zh,'Gar nicht erreicht',1,0,'C');
		$pdf->Cell(30,$zh,'Wenig erreicht',1,0,'C');
		$pdf->Cell(30,$zh,'Fast erreicht',1,0,'C');
		$pdf->Cell(30,$zh,'erreicht',1,1,'C');
		$pdf->SetFont('arialb','',10);
		$pdf->Cell(60,$zh,'Zielstellungen',1,0,'L');
		for($i=1; $i<12; $i++)
			$pdf->Cell(10,$zh,$i,1,0,'C');
		$pdf->Cell(10,$zh,12,1,1,'C');
		$bool[0] = 1;
	}
	if(empty($bool[1]) && empty($row[8])) {
		$bool[1]=1;
		$pdf->SetFont('arialb','',9);
		$pdf->Cell(180,$zh,"vorgeschlagene Ziele",1,1,'C');
	}
	if($row[4] >= 0) {
		$skala = abfrage("select ad_skala from tb_hpvor2 where ziel_id = '$row[2]' and hp_id = '$rvar_hp_id'");

		if($row[6] == 1 && $row[7] == 1 && $row[8] == 1)
			$pdf->SetFont('arial','',9);
		else $pdf->SetFont('arial','i',9);
		$y1 = $pdf->GetY();
		$txt = $row[0] . ". " . $row[1];
		if($row[3] > 0 && $row[3]<=$info[3]) {
			if(!$erledigte) continue;
			$pdf->SetFillColor(196,196,196);
			$pdf->SetTextColor(255,255,255);
			$txt.=" (erledigt)";
		}
		$pdf->MultiCell(60,3.5,$txt,1,'L',1);
		if($row[3] > 0 && $row[3]<=$info[3]) {
			$pdf->SetFillColor(255,255,255);
			$pdf->SetTextColor(0);
		}
		$y2 = $pdf->GetY();
		if($y1 > $y2) $y1 = 20;
		$h = $y2 - $y1;
		$pdf->SetXY(80, $y1);
		$pdf->SetFont('stw','',12);
		for($i=1; $i<13; $i++) {
			$X = $i==$skala[0] ? 'X' : '';
			$pdf->Cell(10,$h,$X,1,0,'C');
		}
		if($y2 > 260) {
			$pdf->AddPage();
			$bool[0] = 0;
		} else $pdf->SetXY(20, $y2);
	}
  }
}

if($pdf->GetY() > 230) $pdf->AddPage();
$y = $pdf->GetY() + 8;
$pdf->SetY($y); $y += 8;
$pdf->SetFont('stw','',12);
$pdf->Cell(100,$zh,"Welche (Teil-) Ziele wurden im Hilfeplan aufgestellt?");
$pdf->Cell(80,$zh,"Sorgeberechtigte",0,0,"R");

$sql = "SELECT p.nummer, p.ziel, p.id, unix_timestamp(p.erledigt) as erledigt, p.prio2,
		IF(p.prio2 > 0, p.prio2, 999) AS sort, p.LE, p.HE, p.ASD
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id'
		ORDER BY (erledigt>0) desc, p.ASD desc, sort ASC, p.nummer ASC";
$res = abfrage1($sql);

$pdf->SetY($y); $y += 8;

while($row = mysql_fetch_row($res)) {
  if($row[6] == 1 && $row[7] == 1 && ($row[8] == 1 || empty($row[3]) || $row[3]>$info[3])) {
	if(empty($bool2[0])) {
		$pdf->SetFont('arial','',10);
		$pdf->Cell(60,$zh,'',1,0,'L');
		$pdf->Cell(30,$zh,'Gar nicht erreicht',1,0,'C');
		$pdf->Cell(30,$zh,'Wenig erreicht',1,0,'C');
		$pdf->Cell(30,$zh,'Fast erreicht',1,0,'C');
		$pdf->Cell(30,$zh,'erreicht',1,1,'C');
		$pdf->SetFont('arialb','',10);
		$pdf->Cell(60,$zh,'Zielstellungen',1,0,'L');
		for($i=1; $i<12; $i++)
			$pdf->Cell(10,$zh,$i,1,0,'C');
		$pdf->Cell(10,$zh,12,1,1,'C');
		$bool2[0] = 1;
	}
	if(empty($bool2[1]) && empty($row[8])) {
		$bool2[1]=1;
		$pdf->SetFont('arialb','',9);
		$pdf->Cell(180,$zh,"vorgeschlagene Ziele",1,1,'C');
	}
	if($row[4] >= 0) {
		$skala = abfrage("select ad2_skala from tb_hpvor2 where ziel_id = '$row[2]' and hp_id = '$rvar_hp_id'");
		if($row[6] == 1 && $row[7] == 1 && $row[8] == 1)
			$pdf->SetFont('arial','',9);
		else $pdf->SetFont('arial','i',9);
		$y1 = $pdf->GetY();
		$txt = $row[0] . ". " . $row[1];
		if($row[3] > 0 && $row[3]<=$info[3]) {
			if(!$erledigte) continue;
			$pdf->SetFillColor(196,196,196);
			$pdf->SetTextColor(255,255,255);
			$txt.=" (erledigt)";
		}
		$pdf->MultiCell(60,3.5,$txt,1,'L',1);
		if($row[3] > 0 && $row[3]<=$info[3]) {
			$pdf->SetFillColor(255,255,255);
			$pdf->SetTextColor(0);
		}
		$y2 = $pdf->GetY();
		if($y1 > $y2) $y1 = 20;
		$h = $y2 - $y1;
		$pdf->SetXY(80, $y1);
		$pdf->SetFont('stw','',12);
		for($i=1; $i<13; $i++) {
			$X = $i==$skala[0] ? 'X' : '';
			$pdf->Cell(10,$h,$X,1,0,'C');
		}
		if($y2 > 260) {
			$pdf->AddPage();
			$bool2[0] = 0;
		} else $pdf->SetXY(20, $y2);
	}
  }
}

if($pdf->GetY() > 230) $pdf->AddPage();
$y = $pdf->GetY() + 5;
$pdf->SetY($y);
$pdf->SetFont('stw','',12);
$pdf->Cell(100,$zh,"2. Aktuelle Situation:",0,1);
$pdf->SetFont('arial','',10);
$pdf->MultiCell(180,4,$hp[15]);

if($pdf->GetY() > 230) $pdf->AddPage();

$y = $pdf->GetY() + 5;
$pdf->SetY($y);
$pdf->SetFont('stw','',12);
$pdf->Cell(100,$zh,"3. Mitwirkung der Eltern im Hilfeplanprozess:",0,1);
$elternmitwirk = abfrage("select befind_kl from tb_hpvor where hp_id='$rvar_hp_id'");
$pdf->SetFont('arial','',10);
$pdf->MultiCell(180,4,$elternmitwirk[0]);

if($pdf->GetY() > 230) $pdf->AddPage();

$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 5;
$pdf->SetFont('stw','',12);
$pdf->Cell(100,$zh,"4. Grnde fr die Fortfhrung der Hilfe:");

$pdf->SetY($y); $y += 5;
$sql = "SELECT p.id, p.ziel, unix_timestamp(p.erledigt) as erledigt,
		p.prio, p.prio2, p.prio3, p.LE, p.HE, p.ASD, p.nummer
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' 
		ORDER BY (erledigt>0) desc, p.nummer ASC";
$gruende = abfrage1($sql);

while($grund = mysql_fetch_assoc($gruende)) {
	$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$grund['id']}' and hp_id = '$rvar_hp_id'");
	if((empty($grund['erledigt']) || $grund['erledigt']>$info[3]) && $grund['LE'] == 1 && $grund['HE'] == 1
		&& ($grund['ASD']==1 || !empty($skala['ad_vor']) || !empty($skala['ad_vor2']) || !empty($skala['le_vor']))) {
		$y = $pdf->GetY() + 2;
		$pdf->SetY($y); 
		if($grund['LE'] == 1 && $grund['HE'] == 1 && $grund['ASD'] == 1)
			$pdf->SetFont('arialb','',10);
		else $pdf->SetFont('arial','bi',10);
		$pdf->MultiCell(180,$zh,"Ziel ".$grund['nummer'].". ".$grund['ziel'],0,'L',0);

		if($grund['prio'] >= 0 && ($grund['ASD']==1 || !empty($skala['ad_vor']))) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',11);
			$pdf->Cell(35,$zh,'a) Kind/Jugendlicher:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$adgrund,0,1,'R');
			if(!empty($skala['ad_vor']) || $leer) {
				$aderr = empty($skala['ad_vor']) ? "\n\n\n" : $skala['ad_vor'];
				$pdf->MultiCell(180,$zh,$aderr,0,'L',0);
			}
		}
		if($grund['prio2'] >= 0 && ($grund['ASD']==1 || !empty($skala['ad_vor2']))) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',11);
			$pdf->Cell(35,$zh,'b) Sorgeberechtigte:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$ad2grund,0,1,'R');
			if(!empty($skala['ad_vor2']) || $leer) {
				$aderr2 = empty($skala['ad_vor2']) ? "\n\n\n" : $skala['ad_vor2'];
				$pdf->MultiCell(180,$zh,$aderr2,0,'L',0);
			}
		}
		if($grund['prio3'] >= 0 && ($grund['ASD']==1 || !empty($skala['le_vor']))) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',11);
			$pdf->Cell(35,$zh,'c) Leistungserbringer:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$legrund,0,1,'R');
			if(!empty($skala['le_vor']) || $leer) {
				$leerr = empty($skala['le_vor']) ? "\n\n\n" : $skala['le_vor'];
				$pdf->MultiCell(180,$zh,$leerr,0,'L',0);
			}
		}
		if($pdf->GetY() > 250) $pdf->AddPage();
	}
}
if($pdf->GetY() > 230) $pdf->AddPage();

$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 6;
$pdf->SetFont('stw','',12);
$pdf->Cell(100,$zh,"5. Vorstellungen zu Teilzielen fr den nchsten Hilfeplanzeitraum:");
$pdf->SetY($y);
$pdf->SetFont('stw','',10);
$pdf->Cell(10,$zh,"K/J",'B',0,'C');
$pdf->Cell(10,$zh,"PSB",'B',0,'C');
$pdf->Cell(160,$zh,"Teilziele",'B',1,'L');
$sql = "SELECT p.ziel, unix_timestamp(p.erledigt) as erledigt,
		p.LE, p.HE, p.prio, p.prio2, p.id, p.nummer, p.ASD, p.erreicht
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id'
		ORDER BY (erledigt>0) desc, p.nummer ASC, p.hp_id=$rvar_hp_id DESC";
$res = abfrage1($sql);
if(mysql_num_rows($res) == 0 && $leer) $pdf->MultiCell(180,$zh,"\n\n\n\n\n\n\n\n\n",0,'L',0);
else while($row = mysql_fetch_row($res)) {
  if((empty($row[1]) || $row[1]>$info[3]) && $row[2] == 1 && $row[3] == 1 && $row[9] != 'j') {
	$pdf->SetY($pdf->GetY() + 3);
	$p = $row[4] >= 0 ? 'X' : '';
	$pdf->SetFont('stw','',12);
	$pdf->Cell(10,$zh,$p,0,0,'C');
	$p = $row[5] >= 0 ? 'X' : '';
	$pdf->Cell(10,$zh,$p,0,0,'C');
	if($row[2] == 1 && $row[3] == 1 && $row[8] == 1)
		$pdf->SetFont('arialb','',10);
	else $pdf->SetFont('arial','bi',10);
	$pdf->MultiCell(160,$zh,$row[7].". ".$row[0],0,'L',0);
	$pdf->SetFont('arial','',10);
	$schritte = abfrage1("select schritt from tb_hp_handlungsschritte where ziel_id = $row[6] order by nummer asc");
	while($schritt = mysql_fetch_row($schritte)) {
	  $pdf->Cell(20,$zh,'');
	  $pdf->Cell(4,$zh,'-');
	  $pdf->MultiCell(156,$zh,$schritt[0],0,'L',0);
	}
	if($pdf->GetY() > 250) $pdf->AddPage();
  }
}

if($pdf->GetY() > 230) $pdf->AddPage();

$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 11;
$pdf->SetFont('stw','',12);
$pdf->Cell(5,$zh,"6.");
$pdf->Cell(175,$zh,"Hinweise zur weiteren Ausgestaltung der Hilfe",0,1);
$pdf->Cell(5,$zh,"");
$pdf->Cell(175,$zh,"(Stundenzahl, Zusatzleistungen, Betreuungsschlssel)",0,1);
$pdf->SetFont('arial','',10);
$pdf->SetY($y);
$hinw = abfrage("select zzeit_kl from tb_hpvor where hp_id = '$rvar_hp_id'");
$pdf->MultiCell(180,$zh,$hinw[0],0,'L',0);

if($pdf->GetY() > 230) $pdf->AddPage();

$y = $pdf->GetY() + 5;
$pdf->SetY($y); $y += 15;

$pdf->SetFont('stw','',12);
$pdf->Cell(130,$zh,"Unterschriften und Gesprch zum Vorbereitungsbericht am: ",0,0);
$pdf->Cell(30,$zh,"",'B',1);
$pdf->SetFont('arial','',10);

$pdf->SetY($y); $y += 15;
$pdf->Cell(70,$zh,"Kind/Jugendlicher/junger Mensch: ",0,0,'R');
$pdf->Cell(90,$zh,"",'B',1);

$pdf->SetY($y); $y += 15;
$pdf->Cell(70,$zh,"Eltern/Sorgeberechtigte: ",0,0,'R');
$pdf->Cell(90,$zh,"",'B',1);

for($i=0; $i<=$ma_cnt; $i++) {
	$pdf->SetY($y); $y += 15;
	$pdf->Cell(70,$zh,$i==0 ? "Fachkraft: " : '',0,0,'R');
	$pdf->Cell(90,$zh,"",'B',1);
}
$pdf->Output('','',-1);
exit;
?>
