<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor5.php 2721 2017-03-29 20:10:12Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/func.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_7.inc.php";
 require_once($pfad.$pdf_datei);

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4',-1);
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->AliasNbPages();
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetAutoPageBreak(auto,15);


$adr_typ = 'Projekt-Nr.';
$leer = ($rvar_leer == 1);
$erledigte = ($rvar_erledigte == 1);

$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());


/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');


$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, t3.ort,
				t2.fax from tb_projekte t1
                 left join tb_kontakte_ap t2 using (ap_id)
                 left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                 where t1.proj_id = $rvar_proj_id";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,$zh,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,$zh,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,$zh,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,$zh,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,$zh,$fax);
}


// Infozeile

$pdf->SetY(110);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'),
				concat(p2.vorname, ' ', p2.name),
				unix_timestamp(h.datum), h.datum
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,$info[0]);
$pdf->Cell(50,4,date('d.m.Y'));

$ha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $projekt->ha");
$hilfe = empty($ha[1]) ? $ha[0] : $ha[1];

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $projekt->beginn() : $last[0]) . " - " . $info[2];

// berschrift
$pdf->SetFont('stw','',8);
$pdf->SetXY(110,50);
$pdf->Cell(85,$zh,"Vorbereitung fr den Hilfeplan am $info[2]");
$pdf->SetXY(110,53);
$pdf->Cell(85,$zh,"fr den Zeitraum $zeitraum");

//Anschreiben
$txt = 'Sehr geehrte';
if (strlen($dat[2]) > 0){
	if ($dat[2] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $dat[2] . ' ' . $dat[3] . ",";
} else $txt .= " Damen und Herren,";
$pdf->SetFont('Arial','',8.5);
$pdf->SetXY(110,60);
$pdf->Cell(85,4,$txt);

$txt  = 'anbei erhalten Sie die Hilfeplanvorbereitung fr die ';
$txt .= $hilfe . ' ' . $projekt->name();
$txt .= ' zum Hilfeplangesprch am ' . $info[2] . ".";
$pdf->SetXY(110,66);
$pdf->MultiCell(85,3.5,$txt);

$txt = "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.";
$pdf->SetXY(110,$pdf->GetY() + 3);
$pdf->Cell(85,4,$txt);

$txt = "Mit freundlichen Gren";
$pdf->SetXY(110,$pdf->GetY() + 7);
$pdf->Cell(85,4,$txt);

$pdf->SetXY(110,100);
$pdf->Cell(85,4,$info[0]);

$pdf->SetLeftMargin(20.0);

$y = $pdf->GetY() + 10;

$pdf->SetY($y); $y+=7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Name:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->name();
$pdf->Cell(67,$zh,$dat1);

$pdf->SetY($y); $y+=5;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Geburtsdatum:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('geboren');
$pdf->Cell(80,$zh,$dat1);

$y += 2; $pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfeform:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$hilfe);

$datum = ($info[4] < mktime(0,0,0,date('n'),date('d'),date('Y'))) ? $info[5] : date('Y-m-d');
if($projekt->kontaktst($datum)) {
	$dat1  = "KLS: " . fls_form($projekt->wost_kontaktstunden($datum));
	$dat1 .= " + geplante FZ: " . fls_form($projekt->wost_kontakt_fahrzeit($datum));
	$dat1 .= " = gesamt: " . fls_form($projekt->wost_f($datum));
	if($projekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
} else $dat1 = fls_form($projekt->wost_datum($datum));
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat1);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfebeginn:",0,0,'R');
$dat1 = $projekt->beginn();
$pdf->SetFont('arialb','',10);
$pdf->Cell(40,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(30,$zh,"befristet bis:",0,0,'R');
$dat1 = $projekt->ende_ts() ? $projekt->ende() : $projekt->kzu_ende();
$pdf->SetFont('arialb','',10);
$pdf->Cell(50,$zh,$dat1);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"ASD Fachkraft:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat[2] . " " . $dat[3]);

$hp_mas = abfrage1("select pp.pers_id, pt.personaltyp from tbh_pers_proj pp
					left join tb_personaltyp pt using(personaltyp_id)
					where pp.proj_id='$projekt->id' and pp.personaltyp_id!=1
					and (pp.hperw = 'j' or (pp.hperw IS NULL and pp.personaltyp_id in(2,8,9,3)))");
$ma_cnt = mysql_num_rows($hp_mas);
$pdf->SetY($y); $y += 4;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Teilnehmende Fachkraft",0,0,'R');
if($ma_cnt > 0) {
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,$projekt->hb_name());
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh," (Hauptbetreuer)");
}
$pdf->SetY($y); $y += 7;
$pdf->Cell(40,$zh,"vom Leistungserbringer:",0,0,'R');
$pdf->SetFont('arialb','',10);
if($ma_cnt > 0) {
	$y -= 4;
	while($ma = mysql_fetch_row($hp_mas)) {
		$pdf->SetXY(60,$y-3);
		$pdf->SetFont('arialb','',10);
		$pdf->Write($zh,pers_name($ma[0]));
		$pdf->SetFont('arial','',10);
		$pdf->Write($zh," ($ma[1])");
		$y += 4;
	}
} else $pdf->Cell(100,$zh,$projekt->hb_name());


$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$info[3]);

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = empty($last) ? $projekt->beginn() : $last[0];
$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"ggf. an der Hilfe Beteiligte:",0,0,'R');
$pdf->SetFont('arialb','',10);
$bez = abfrage1("select person_id from tbh_proj_personen 
				where proj_id = $projekt->id and perstyp_id=5;");
$txt = "";
while($be = mysql_fetch_row($bez)) {
	$txt .= person_name($be[0]) . "\n";
}
$pdf->MultiCell(140,$zh,$txt);
$y = $pdf->GetY() + 2;
$pdf->SetY($y); $y += 15;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Datum letzter Hilfeplan:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$zeitraum);


$sql = "SELECT t1.minimalkonsens, t1.hp_id FROM tb_hp_eg t1
		INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		WHERE t2.proj_id = $rvar_proj_id";
$minimalkonsens = abfrage($sql);

$pdf->SetFont('stw','',11);
$pdf->SetY($y); $y += 8;
$pdf->Cell(100,$zh,"Hauptziel:");
$pdf->SetFont('arial','',10);
$pdf->SetY($y);
$pdf->MultiCell(180,4,$minimalkonsens[0]);

$pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Ln(2);
$pdf->Cell(50,7,"");
$pdf->Cell(80,6,"bersicht Ziele und Handlungsschritte",'B',1,'C');

$pdf->SetFillColor(102,102,102);

$pdf->Cell(180,$zh,"Hauptziel:",0,1);
$pdf->SetFont('stw','',10);
$pdf->MultiCell(180,4,$minimalkonsens[0]);
$sql = "SELECT p.ziel, p.erledigt, p.LE, p.HE, p.prio, p.prio2, p.id, p.nummer, p.ASD
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id'
		ORDER BY (p.erledigt>0) desc, p.nummer ASC, p.hp_id=$rvar_hp_id DESC";
$res = abfrage1($sql);
$pdf->SetFont('stw','',12);
$pdf->Ln(5);
$pdf->Cell(180,$zh,"Teilziele:",0,1);
while($row = mysql_fetch_row($res)) {
  if($row[2] == 1 && $row[3] == 1 && ($row[8] == 1 || empty($row[1]))) {
	if($row[8] == 1) $pdf->SetFont('arialb','',9);
	else $pdf->SetFont('arial','bi',9);
	$txt = $row[0];
	if($row[1] > 0) {
		if(!$erledigte) continue;
		$pdf->SetFillColor(196,196,196);
		$txt .= " (erledigt)";
	}
	$pdf->SetTextColor(255,255,255);
	$pdf->MultiCell(180,4,"$row[7]. $txt",0,'L',1);
	$pdf->SetFont('arial','',9);
	$pdf->SetTextColor(0);
	$schritte = abfrage1("select schritt from tb_hp_handlungsschritte where ziel_id = $row[6]");
	while($schritt = mysql_fetch_row($schritte)) {
	  $pdf->Cell(4,4,'-');
	  $pdf->MultiCell(176,4,$schritt[0],0,'L',0);
	}
	$pdf->SetFillColor(102,102,102);
  $pdf->SetY($pdf->GetY() + 3);
  }
}
$pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"1. ");
$pdf->Cell(168,7,"Ziele des vorangegangenen Hilfeplanzeitraums",0,0);

for($z=0; $z<3; $z++) {
	$pdf->SetY($pdf->GetY() + 10);
	unset($data);
	$pdf->SetFont('stw','',12);
	$pdf->Cell(12,7,"1.".($z+1));
	$wer = array("s Kindes / Jugendlichen", "r Eltern / Sorgeberechtigten", "s Leistungserbringers");
	$pdf->Cell(168,7,"Ziele de".$wer[$z],0,1);
	$prio = ($z == 0) ? "prio" : "prio".($z+1);
	$sql = "SELECT p.id, p.nummer, p.erledigt, p.ASD, 
			IF(p.$prio > 0, p.$prio, 999) AS sort
			FROM tb_hp_praxisziele p
			LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
			WHERE h.proj_id='$rvar_proj_id' 
			AND (p.$prio > '-1' OR p.$prio IS NULL)
			AND p.LE > 0 AND p.HE > 0
			AND p.erledigt IS NULL
			ORDER BY p.nummer ASC";
	$res = abfrage1($sql);
	$pdf->SetFillColor(102,102,102);
	$pdf->Cell(45,$zh,'',1,0,'L',1);
	$num_rows = mysql_num_rows($res);
	if($num_rows > 0) $x = 135/$num_rows;
	$ad[3] = $ad[4] = $i = 0;
	while($row = mysql_fetch_row($res)) {
		$skala = abfrage("select ad_skala, ad2_skala, le_skala, ad3_skala, ad4_skala 
						from tb_hpvor2 where ziel_id = '$row[0]' and hp_id = '$rvar_hp_id'");
		$ad[3] += $skala[3];
		$ad[4] += $skala[4];
		for($j=0; $j<5; $j++) {
			switch($skala[$j]) {
				case 11: case 10:  $data[$i][$j]="1"; break;
				case 9: case 8: $data[$i][$j]="2"; break;
				case 7: case 6: $data[$i][$j]="3"; break;
				case 5: case 4: $data[$i][$j]="4"; break;
				case 3: case 2: $data[$i][$j]="5"; break;
				case 1: $data[$i][$j]="6"; break;
				default: $data[$i][$j] = ""; break;
			}
		}
		if($row[3] == 1) $pdf->SetFont('arialb','',9);
		else $pdf->SetFont('arial','bi',9);
		$e = ($i == $num_rows-1) ? 1 : 0;
		$pdf->SetTextColor(255,255,255);
		$pdf->Cell($x,$zh,"Ziel $row[1]",1,$e,'C',1);
		$pdf->SetTextColor(0);
		$i++;
	}
	$zeilenname = array("des Kindes / Jugendlichen", "des PSB", "des Leistungserbringers");
	$bez = abfrage1("select person_id from tbh_proj_personen 
					where proj_id = $projekt->id and perstyp_id=5 and sorgerecht='n'
					order by person_id asc limit 2;");
	while($be = mysql_fetch_row($bez)) {
		$zeilenname[] = person_name($be[0]);
	}
	$pdf->SetFont('arialb','',9);
	for($j=0; $j<count($zeilenname); $j++) {
	  if($j<3 || $ad[$j]>0) {
		$pdf->Cell(45,$zh,$zeilenname[$j],1,0,'L');
		for($i=0; $i<$num_rows; $i++) {
			$e = ($i == $num_rows-1) ? 1 : 0;
			$pdf->Cell($x,$zh,$data[$i][$j],1,$e,'C');
		}
	  }
	}
}

$pdf->SetY($pdf->GetY() + 10);
$pdf->SetFont('stw','',12);
$pdf->Cell(180,7,"Bewertungsskala:",0,1);
$pdf->SetFont('arial','',10);
$pdf->Cell(180,$zh,"Note 1: das Ziel wurde vollstndig / immer erreicht (100% der Einzelsituationen)",0,1);
$pdf->Cell(180,$zh,"Note 2: das Ziel wurde berwiegend / fast immer erreicht (75-99% der Einzelsituationen)",0,1);
$pdf->Cell(180,$zh,"Note 3: das Ziel wurde teilweise / hufig erreicht (50-75% der Einzelsituationen)",0,1);
$pdf->Cell(180,$zh,"Note 4: das Ziel wurde manchmal erreicht (25-49% der Einzelsituationen)",0,1);
$pdf->Cell(180,$zh,"Note 5: das Ziel wurde kaum / fast nie erreicht (1-24% der Einzelsituationen)",0,1);
$pdf->Cell(180,$zh,"Note 6: das Ziel wurde nicht erreicht (0% der Einzelsituationen)",0,1);

$pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2. ");
$pdf->Cell(168,7,"Aktuelle Situation des Kindes, des Jugendlichen, der Familien",0,1);

$sql = "SELECT p.id as pid, p.ziel, p.erledigt, p.prio, p.prio2, p.prio3, p.LE, p.HE, p.ASD, p.nummer
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' AND p.erledigt IS NULL
		ORDER BY p.nummer ASC";
$ziele = abfrage1($sql);
while($ziel = mysql_fetch_assoc($ziele)) {
	if($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1) {
		$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$ziel['pid']}' and hp_id = '$rvar_hp_id'");
		$pdf->SetY($pdf->GetY() + 3); 
		$pdf->SetFont('arialb','',10);
		$pdf->MultiCell(180,$zh,"Ziel ".$ziel['nummer'].": ".$ziel['ziel'],0,'L',0);
		if($ziel['prio'] >= 0) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',10);
			$pdf->Cell(35,$zh,'a) Kind/Jugendlicher:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$adskala,0,1,'R');
			if(!empty($skala['ad_err']) || $leer) {
				$aderr = empty($skala['ad_err']) ? "\n\n\n" : $skala['ad_err'];
				$pdf->MultiCell(180,$zh,$aderr,0,'L',0);
			}
		}
		if($ziel['prio2'] >= 0) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',10);
			$pdf->Cell(35,$zh,'b) Sorgeberechtigte:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$ad2skala,0,1,'R');
			if(!empty($skala['ad_err2']) || $leer) {
				$aderr2 = empty($skala['ad_err2']) ? "\n\n\n" : $skala['ad_err2'];
				$pdf->MultiCell(180,$zh,$aderr2,0,'L',0);
			}
		}
		if($ziel['prio3'] >= 0) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',10);
			$pdf->Cell(35,$zh,'c) Leistungserbringer:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$leskala,0,1,'R');
			if(!empty($skala['le_err']) || $leer) {
				$leerr = empty($skala['le_err']) ? "\n\n\n" : $skala['le_err'];
				$pdf->MultiCell(180,$zh,$leerr,0,'L',0);
			}
		}
		if($pdf->GetY() > 250) $pdf->AddPage();
	}
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$val = abfrage("SELECT hilfeverlauf, ressourcen, selbsthilfe FROM tb_hp WHERE hp_id = $rvar_hp_id");
$sql = "select befind_kl as mitwirkung,
		befind_sb as kompetenz,
		befind_ma as freizeit,
		hziel_kl as schule,
		hziel_sb as gesundheit,
		zzeit_kl as hinweise,
		res_kl as verand,
		res_sb as erwartung,
		zzeit_sb as bemerkung
		from tb_hpvor where hp_id = $rvar_hp_id";
$val2 = abfrage_assoc($sql);

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.1");
$pdf->Cell(168,7,"Zusammenleben in der Familie oder in der Einrichtung",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val[0]) || $leer) {
	$txt = empty($val[0]) ? "\n\n\n" : $val[0];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.2");
$pdf->Cell(168,7,"soziale Kompetenzen, lebenspraktische Fhigkeiten",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['kompetenz']) || $leer) {
	$txt = empty($val2['kompetenz']) ? "\n\n\n" : $val2['kompetenz'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.3");
$pdf->Cell(168,7,"Freizeitverhalten",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['freizeit']) || $leer) {
	$txt = empty($val2['freizeit']) ? "\n\n\n" : $val2['freizeit'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.4");
$pdf->Cell(168,7,"Kita / Schule / Ausbildung / Beruf",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['schule']) || $leer) {
	$txt = empty($val2['schule']) ? "\n\n\n" : $val2['schule'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.5");
$pdf->Cell(168,7,"Gesundheit (physisch und psychisch)",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['gesundheit']) || $leer) {
	$txt = empty($val2['gesundheit']) ? "\n\n\n" : $val2['gesundheit'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.6");
$pdf->Cell(168,7,"Zusammenarbeit zwischen Leistungserbringer und Familie / Elternarbeit",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['mitwirkung']) || $leer) {
	$txt = empty($val2['mitwirkung']) ? "\n\n\n" : $val2['mitwirkung'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.7");
$pdf->Cell(168,7,"Anmerkungen und Ergnzungen",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['hinweise']) || $leer) {
	$txt = empty($val2['hinweise']) ? "\n\n\n" : $val2['hinweise'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3. ");
$pdf->Cell(168,7,"Ziele fr den folgenden Hilfeplanzeitraum",0,1);
$sql = "SELECT p.ziel, p.erledigt, p.LE, p.HE, p.prio, p.prio2, p.prio3, p.id, p.nummer, p.ASD
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id'
		ORDER BY p.nummer ASC, p.hp_id=$rvar_hp_id DESC";
$res = abfrage1($sql);
$kindziel = array();
$elternziel = array();
$leziel = array();
$asd = array();
while($row = mysql_fetch_row($res)) {
  if(empty($row[1]) && $row[2] == 1 && $row[3] == 1) {
	if($row[2] == 1 && $row[3] == 1 && $row[9] == 1)
		$pdf->SetFont('arial','',10);
	else $pdf->SetFont('arial','i',10);
	$pdf->MultiCell(180,4,"Ziel ".$row[8].": ".$row[0],0,'L',0);
	$pdf->SetY($pdf->GetY() + 3);
	if($row[4] != -1) $kindziel[$row[7]] = "Ziel ".$row[8].": ".$row[0];
	if($row[5] != -1) $elternziel[$row[7]] = "Ziel ".$row[8].": ".$row[0];
	if($row[6] != -1) $leziel[$row[7]] = "Ziel ".$row[8].": ".$row[0];
	$asd[$row[7]] = $row[9];
  }
}
$pdf->SetY($pdf->GetY() + 7);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3.1");
$pdf->Cell(168,7,"Gemeinsames Hauptziel / Perspektive",0,1);
$pdf->SetFont('arial','',10);
$pdf->MultiCell(180,$zh,$minimalkonsens[0]);
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3.2");
$pdf->Cell(168,7,"Ziele des Kindes / Jugendlichen",0,1);
foreach ($kindziel as $id => $ziel){
	$pdf->SetFont('arialb','',10);
	$pdf->MultiCell(180,$zh,$ziel);
	$ad_vor = abfrage("select ad_vor from tb_hpvor2 where ziel_id = '$id' and hp_id = '$rvar_hp_id'");
	$pdf->SetFont('arial','',10);
	if($asd[$id]!=1 || !empty($ad_vor[0]) || $leer) {
		$txt = ($asd[$id]==1 && empty($ad_vor[0])) ? "\n\n\n" : $ad_vor[0];
		$pdf->MultiCell(180,4,$txt);
	}
	$pdf->SetY($pdf->GetY() + 3);
}
$pdf->SetY($pdf->GetY() + 7);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3.3");
$pdf->Cell(168,7,"Ziele der Eltern / Sorgeberechtigten",0,1);
foreach ($elternziel as $id => $ziel){
	$pdf->SetFont('arialb','',10);
	$pdf->MultiCell(180,$zh,$ziel);
	$ad_vor = abfrage("select ad_vor2 from tb_hpvor2 where ziel_id = '$id' and hp_id = '$rvar_hp_id'");
	$pdf->SetFont('arial','',10);
	if($asd[$id]!=1 || !empty($ad_vor[0]) || $leer) {
		$txt = ($asd[$id]==1 && empty($ad_vor[0])) ? "\n\n\n" : $ad_vor[0];
		$pdf->MultiCell(180,4,$txt);
	}
	$pdf->SetY($pdf->GetY() + 3);
}
$pdf->SetY($pdf->GetY() + 7);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3.3.1");
$pdf->Cell(168,7,"Vernderungen in der Familie",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['verand'])) {
	$txt = empty($val2['verand']) ? "\n\n\n" : $val2['verand'];
	$pdf->MultiCell(180,$zh,$txt);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3.3.2");
$pdf->Cell(168,7,"Erwartungen an das Kind / den Jugendlichen",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['erwartung'])) {
	$txt = empty($val2['erwartung']) ? "\n\n\n" : $val2['erwartung'];
	$pdf->MultiCell(180,$zh,$txt);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3.4");
$pdf->Cell(168,7,"Ziele des Leistungserbringers",0,1);
foreach ($leziel as $id => $ziel){
	$pdf->SetFont('arialb','',10);
	$pdf->MultiCell(180,$zh,$ziel);
	$ad_vor = abfrage("select le_vor from tb_hpvor2 where ziel_id = '$id' and hp_id = '$rvar_hp_id'");
	$pdf->SetFont('arial','',10);
	if($asd[$id]!=1 || !empty($ad_vor[0]) || $leer) {
		$txt = ($asd[$id]==1 && empty($ad_vor[0])) ? "\n\n\n" : $ad_vor[0];
		$pdf->MultiCell(180,4,$txt);
	}
	$pdf->SetY($pdf->GetY() + 3);
}
$pdf->SetY($pdf->GetY() + 7);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(180,7,"Bemerkungen",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['bemerkung']) || $leer) {
	$txt = empty($val2['bemerkung']) ? "\n\n\n" : $val2['bemerkung'];
	$pdf->MultiCell(180,$zh,$txt);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(180,$zh,"An der Hilfeplan-Vorbereitung haben mitgewirkt:",0,1);
$y = $pdf->GetY();
$pdf->SetFont('arial','',10);

$bez = abfrage1("select person_id from tbh_proj_personen 
				where proj_id = $projekt->id and perstyp_id=5 and sorgerecht='n'
				order by person_id asc limit 2;");

$pdf->Text(25,$y+4.3,'Kind / Jugendlicher');
$pdf->Text(25,$y+8.3,'Leistungserbringer');
$pdf->Text(25,$y+12.3,'Eltern / PSB');
$pdf->SetFont('arialb','',10);
$pdf->Text(25,$y+17.3,'sonstige Personen');
$pdf->SetFont('arial','',10);
$pdf->Rect(59,$y+ 2,2.5,2.5);
$pdf->Rect(59,$y+ 6,2.5,2.5);
$pdf->Rect(59,$y+10,2.5,2.5);
$y2 = $y + 20;
if(mysql_num_rows($bez) == 0)
	$pdf->Rect(59,$y+14,2.5,2.5);
else {
	while($be = mysql_fetch_row($bez)) {
		$pdf->Text(25,$y2+2.3,person_name($be[0]));
		$pdf->Rect(59,$y2,2.5,2.5);
		$y2 += 4;
	}
}
$pdf->Text(85,$y+4.3,'Kita / Ausbildung / Schule');
$pdf->Text(85,$y+8.3,'rzte / Therapeuten');
$pdf->Text(85,$y+12.3,'Andere Leistungserbringer');
$pdf->Rect(130,$y+ 2,2.5,2.5);
$pdf->Rect(130,$y+ 6,2.5,2.5);
$pdf->Rect(130,$y+10,2.5,2.5);

$pdf->SetY($y2 + 15);
$pdf->SetFont('arial','',8);
$pdf->Cell(50,3,$info[0].",",'T');
$pdf->Cell(5,3,"");
$pdf->Cell(70,3,"Sorgeberechtigte",'T');
$pdf->Cell(5,3,"");
$pdf->Cell(50,3,"Kind/Jugendlicher",'T',1);
$pdf->Cell(50,3,"Leistungserbringer");

if($ma_cnt > 0) {
	mysql_data_seek($hp_mas, 0);
	$i = 0;
	$y = $y2 + 35;
	$x = array(20,85,150);
	while($ma = mysql_fetch_row($hp_mas)) {
		$pdf->SetXY($x[$i],$y);
		$pdf->Cell(50,3,pers_name($ma[0]).",",'T',2);
		$pdf->Cell(50,3,"Leistungserbringer");
		$i++;
		if($i > 2) {
			$i=0;
			$y += 20;
		}
	}
}
$pdf->Output('','',-1);
exit;
?>
