<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor6.php 2721 2017-03-29 20:10:12Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/func.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_7.inc.php";
 require_once($pfad.$pdf_datei);

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

 function skalenstring($eg_hp_id,$last_hp_id,$eg_skala,$last_skala,$skala) {
	$return = '';
	if(!empty($eg_skala)) {
		if($eg_skala < 3) $eg_skala = 1;
		elseif($eg_skala > 10) $eg_skala = 10;
		else $eg_skala = $eg_skala - 1;
		$return .= "($eg_skala)";
	}
	if(!empty($last_skala) && $eg_hp_id != $last_hp_id) {
		if($last_skala < 3) $last_skala = 1;
		elseif($last_skala > 10) $last_skala = 10;
		else $last_skala = $last_skala - 1;
		$return .= "($last_skala)";
	}
	if(strlen($return) > 0) $return .= "=>";
	if(empty($skala)) $return .= "(-)";
	else {
		if($skala < 3) $skala = 1;
		elseif($skala > 10) $skala = 10;
		else $skala = $skala - 1;
		$return .= "($skala)";
	}
	return $return;
 }
$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();
$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4',-1);
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->AliasNbPages();
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetAutoPageBreak(auto,15);

$adr_typ = 'Projekt-Nr.';
$leer = ($rvar_leer == 1);
$erledigte = ($rvar_erledigte == 1);

$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());


/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');


$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, t3.ort,
				t2.fax from tb_projekte t1
                 left join tb_kontakte_ap t2 using (ap_id)
                 left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                 where t1.proj_id = $rvar_proj_id";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,$zh,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,$zh,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,$zh,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,$zh,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,$zh,$fax);
}


// Infozeile

$pdf->SetY(110);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'),
				concat(p2.vorname, ' ', p2.name),
				unix_timestamp(h.datum), h.datum
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,$info[0]);
$pdf->Cell(50,4,date('d.m.Y'));

$ha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $projekt->ha");
$hilfe = empty($ha[1]) ? $ha[0] : $ha[1];

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $projekt->beginn() : $last[0]) . " - " . $info[2];

// berschrift
$pdf->SetFont('stw','',8);
$pdf->SetXY(110,50);
$pdf->Cell(85,$zh,"Vorbereitung fr den Hilfeplan am $info[2]");
$pdf->SetXY(110,53);
$pdf->Cell(85,$zh,"fr den Zeitraum $zeitraum");

$pdf->SetFillColor(102,102,102);

//Anschreiben
$txt = 'Sehr geehrte';
if (strlen($dat[2]) > 0){
	if ($dat[2] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $dat[2] . ' ' . $dat[3] . ",";
} else $txt .= " Damen und Herren,";
$pdf->SetFont('Arial','',8.5);
$pdf->SetXY(110,60);
$pdf->Cell(85,4,$txt);

$txt  = 'anbei erhalten Sie die Hilfeplanvorbereitung fr die ';
$txt .= $hilfe . ' ' . $projekt->name();
$txt .= ' zum Hilfeplangesprch am ' . $info[2] . ".";
$pdf->SetXY(110,66);
$pdf->MultiCell(85,3.5,$txt);

$txt = "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.";
$pdf->SetXY(110,$pdf->GetY() + 3);
$pdf->Cell(85,4,$txt);

$txt = "Mit freundlichen Gren";
$pdf->SetXY(110,$pdf->GetY() + 7);
$pdf->Cell(85,4,$txt);

$pdf->SetXY(110,100);
$pdf->Cell(85,4,$info[0]);

$pdf->SetLeftMargin(20.0);

$pdf->ln(10);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Name des jungen Menschen:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->name();
$pdf->Cell(67,$zh,$dat1);

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Geburtsdatum:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('geboren');
$pdf->Cell(80,$zh,$dat1);

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfeform:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$hilfe);

$datum = ($info[4] < mktime(0,0,0,date('n'),date('d'),date('Y'))) ? $info[5] : date('Y-m-d');
if($projekt->kontaktst($datum)) {
	$dat1  = "KLS: " . fls_form($projekt->wost_kontaktstunden($datum));
	$dat1 .= " + geplante FZ: " . fls_form($projekt->wost_kontakt_fahrzeit($datum));
	$dat1 .= " = gesamt: " . fls_form($projekt->wost_f($datum));
	if($projekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
} else $dat1 = fls_form($projekt->wost_datum($datum));
$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat1);

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfebeginn:",0,0,'R');
$dat1 = $projekt->beginn();
$pdf->SetFont('arialb','',10);
$pdf->Cell(40,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(30,$zh,"befristet bis:",0,0,'R');
$dat1 = $projekt->ende_ts() ? $projekt->ende() : $projekt->kzu_ende();
$pdf->SetFont('arialb','',10);
$pdf->Cell(50,$zh,$dat1);

$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"ASD Fachkraft:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat[2] . " " . $dat[3]);
$pdf->ln(7);

$hp_mas = abfrage1("select pp.pers_id, pt.personaltyp from tbh_pers_proj pp
					left join tb_personaltyp pt using(personaltyp_id)
					where pp.proj_id='$projekt->id' and pp.personaltyp_id!=1
					and (pp.hperw = 'j' or (pp.hperw IS NULL and pp.personaltyp_id in(2,8,9,3)))");
$ma_cnt = mysql_num_rows($hp_mas);
$y = $pdf->GetY() + 4;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Teilnehmende Fachkraft",0,0,'R');
if($ma_cnt > 0) {
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,$projekt->hb_name());
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh," (Hauptbetreuer)");
}
$pdf->SetY($y); $y += 7;
$pdf->Cell(40,$zh,"vom Leistungserbringer:",0,0,'R');
$pdf->SetFont('arialb','',10);
if($ma_cnt > 0) {
	$y -= 4;
	while($ma = mysql_fetch_row($hp_mas)) {
		$pdf->SetXY(60,$y-3);
		$pdf->SetFont('arialb','',10);
		$pdf->Write($zh,pers_name($ma[0]));
		$pdf->SetFont('arial','',10);
		$pdf->Write($zh," ($ma[1])");
		$y += 4;
	}
} else $pdf->Cell(100,$zh,$projekt->hb_name());



$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$info[3]);

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = empty($last) ? $projekt->beginn() : $last[0];
$pdf->ln(7);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"ggf. an der Hilfe Beteiligte:",0,0,'R');
$pdf->SetFont('arialb','',10);
$bez = abfrage1("select person_id from tbh_proj_personen 
				where proj_id = $projekt->id and perstyp_id=5;");
$txt = "";
while($be = mysql_fetch_row($bez)) {
	$txt .= person_name($be[0]) . "\n";
}
$pdf->MultiCell(140,$zh,$txt);
$pdf->ln(2);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Datum letzter Hilfeplan:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$zeitraum);


$sql = "SELECT t1.minimalkonsens, t1.hp_id, date_format(t2.datum, '%d.%m.%Y')
		FROM tb_hp_eg t1 INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		WHERE t2.proj_id = $rvar_proj_id";
$minimalkonsens = abfrage($sql);

$pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"1. ");
$pdf->Cell(168,7,"Einschtzung zur Erreichung der Ziele",0,0);
$pdf->ln(8);
$pdf->Cell(12,7,"1.1 ");
$pdf->Cell(88,7,"Hauptziel:");
$pdf->Cell(80,7,"vom $minimalkonsens[2]",0,0,'R');
$pdf->SetFont('arial','',10);
$pdf->ln(8);
$pdf->MultiCell(180,4,$minimalkonsens[0]);

$sql = "SELECT p.id as pid, p.ziel, unix_timestamp(p.erledigt) as erledigt,
		p.prio, p.prio2, p.prio3, p.LE, p.HE, p.ASD, p.nummer
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' 
		ORDER BY (erledigt>0) desc, p.nummer ASC";
$ziele = abfrage1($sql);
$ziel = array('pid' => 0, 'ziel' => '', 'erledigt' => 0, 'prio' => 1, 'prio2' => 1, 'prio3' => 1, 'LE' => 1, 'HE' => 1, 'ASD' => 1, 'nummer' => 1);
$alphabet = range('a','z');
$hauptziel = true;
do{
	if($ziel['pid'] != 0 && $hauptziel) {
		$hauptziel = false;
		$pdf->ln(6);
		$pdf->SetFont('stw','',12);
		$pdf->Cell(12,7,"1.2 ");
		$pdf->Cell(88,7,"Teilziele aus dem letzten Hilfeplangesprch vom $zeitraum");
		$pdf->SetFont('arial','',10);
		$pdf->ln(8);
	}
	if((empty($ziel['erledigt']) || $ziel['erledigt']>$info[4]) && $ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1) {
		$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$ziel['pid']}' and hp_id = '$rvar_hp_id'");
		$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
				where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id'
				and h.hp_id > '$minimalkonsens[1]' and ziel_id = '{$ziel['pid']}'
				order by h.hp_id desc limit 1";
		$last_skala = abfrage_assoc($sql);
		$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
				where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id' 
				and v.ziel_id = '{$ziel['pid']}'
				and (v.le_skala > 0 or v.ad_skala > 0 or v.ad2_skala > 0)
				order by hp_id asc limit 1";
		$eg_skala = abfrage_assoc($sql);

		$leskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['le_skala'],$last_skala['le_skala'],$skala['le_skala']);
		$adskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad_skala'],$last_skala['ad_skala'],$skala['ad_skala']);
		$ad2skala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad2_skala'],$last_skala['ad2_skala'],$skala['ad2_skala']);

		$pdf->ln(2);
		$pdf->SetFont('arialb','',10);
		$pdf->MultiCell(180,$zh,$ziel['pid']==0 ? 'Gesamtziel:' : "Ziel ".$ziel['nummer'].": ".$ziel['ziel'],0,'L',0);

		if((!empty($skala['le_err']) || $leskala != '(-)') && $ziel['prio3'] >= 0) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',11);
			$pdf->Cell(35,$zh,'a) Leistungserbringer:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$leskala,0,1,'R');
			if(!empty($skala['le_err']) || $leer) {
				$leerr = empty($skala['le_err'])&&$leer ? "\n\n\n" : $skala['le_err'];
				$pdf->MultiCell(180,$zh,$leerr,0,'L',0);
			}
		}
		if((!empty($skala['ad_err']) || $adskala != '(-)') && $ziel['prio'] >= 0) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',11);
			$pdf->Cell(35,$zh,'b) Kind/Jugendlicher:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$adskala,0,1,'R');
			if(!empty($skala['ad_err']) || $leer) {
				$aderr = empty($skala['ad_err'])&&$leer ? "\n\n\n" : $skala['ad_err'];
				$pdf->MultiCell(180,$zh,$aderr,0,'L',0);
			}
		}
		if((!empty($skala['ad_err2']) || $ad2skala != '(-)') && $ziel['prio2'] >= 0) {
			if($pdf->GetY() > 270) $pdf->AddPage();
			$pdf->SetFont('stw','',11);
			$pdf->Cell(35,$zh,'c) Sorgeberechtigte:',0,0,'L');
			$pdf->SetFont('arial','',10);
			$pdf->Cell(145,$zh,$ad2skala,0,1,'R');
			if(!empty($skala['ad_err2']) || $leer) {
				$aderr2 = empty($skala['ad_err2'])&&$leer ? "\n\n\n" : $skala['ad_err2'];
				$pdf->MultiCell(180,$zh,$aderr2,0,'L',0);
			}
		}
		$bez = abfrage1("select person_id from tbh_proj_personen 
						where proj_id = $projekt->id and perstyp_id=5 and sorgerecht='n'
						order by person_id asc;");
		$i = 3;
		while($be = mysql_fetch_row($bez)) {
			if($ziel['pid'] == 0) $ziel_pers_data = array();
			else $ziel_pers_data = abfrage("select rueckblick from tbh_hp_ziel_pers_data where hp_id='$rvar_hp_id' and ziel_id='{$ziel['pid']}' and person_id='$be[0]'");
			if($pdf->GetY() > 270) $pdf->AddPage();
			$name = person_name($be[0]);
			if($i < 5) {
				$adXskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala["ad".$i."_skala"],$last_skala["ad".$i."_skala"],$skala["ad".$i."_skala"]);
				$sk[0] = $skala["ad".$i."_skala"];
			} else {
				$sk = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '$rvar_hp_id' and ziel_id = '{$ziel['pid']}' and person_id = '$be[0]'");
				$eg_sk = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '{$eg_skala['hp_id']}' and ziel_id = '{$ziel['pid']}' and person_id = '$be[0]'");
				$last_sk = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '{$last_skala['hp_id']}' and ziel_id = '{$ziel['pid']}' and person_id = '$be[0]'");
				$adXskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_sk[0],$last_sk[0],$sk[0]);
			}
			if(!empty($ziel_pers_data[0]) || $adXskala != '(-)') {
				$pdf->SetFont('stw','',11);
				$pdf->Cell(35,$zh,$alphabet[$i].") $name:",0,0,'L');
				$pdf->SetFont('arial','',10);
				$pdf->Cell(145,$zh,$adXskala,0,1,'R');
				if(!empty($ziel_pers_data[0]) || $leer) {
					$data = empty($ziel_pers_data[0]) && $leer ? "\n\n\n" : $ziel_pers_data[0];
					$pdf->MultiCell(180,$zh,$data,0,'L',0);
				}
			}
			$i++;
		}
	}
} while($ziel = mysql_fetch_assoc($ziele));

$pdf->ln(8);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2. ");
$pdf->Cell(168,7,"Aktuelle Situation des Kindes, des Jugendlichen, der Familien");
$pdf->ln(8);
if($pdf->GetY() > 250) $pdf->AddPage();

$val = abfrage("SELECT hilfeverlauf, ressourcen, selbsthilfe FROM tb_hp WHERE hp_id = $rvar_hp_id");
$sql = "select befind_kl as mitwirkung,
		befind_sb as kompetenz,
		befind_ma as freizeit,
		hziel_kl as schule,
		hziel_sb as gesundheit,
		zzeit_kl as hinweise,
		res_kl as verand,
		res_sb as erwartung,
		zzeit_sb as bemerkung
		from tb_hpvor where hp_id = $rvar_hp_id";
$val2 = abfrage_assoc($sql);

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.1");
$pdf->Cell(168,7,"Zusammenleben in der Familie oder in der Einrichtung",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val[0]) || $leer) {
	$txt = empty($val[0]) ? "\n\n\n" : $val[0];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->ln(3);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.2");
$pdf->Cell(168,7,"soziale Kompetenzen, lebenspraktische Fhigkeiten",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['kompetenz']) || $leer) {
	$txt = empty($val2['kompetenz']) ? "\n\n\n" : $val2['kompetenz'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->ln(3);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.3");
$pdf->Cell(168,7,"Freizeitverhalten",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['freizeit']) || $leer) {
	$txt = empty($val2['freizeit']) ? "\n\n\n" : $val2['freizeit'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->ln(3);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.4");
$pdf->Cell(168,7,"Kita / Schule / Ausbildung / Beruf",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['schule']) || $leer) {
	$txt = empty($val2['schule']) ? "\n\n\n" : $val2['schule'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->ln(3);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.5");
$pdf->Cell(168,7,"Gesundheit (physisch und psychisch)",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['gesundheit']) || $leer) {
	$txt = empty($val2['gesundheit']) ? "\n\n\n" : $val2['gesundheit'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->ln(3);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.6");
$pdf->Cell(168,7,"Zusammenarbeit zwischen Leistungserbringer und Familie / Elternarbeit",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['mitwirkung']) || $leer) {
	$txt = empty($val2['mitwirkung']) ? "\n\n\n" : $val2['mitwirkung'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->ln(3);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.7");
$pdf->Cell(168,7,"Anmerkungen und Ergnzungen / sonstige Vernderungen",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['hinweise']) || $leer) {
	$txt = empty($val2['hinweise']) ? "\n\n\n" : $val2['hinweise'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->ln(10);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3. ");
$pdf->Cell(168,7,"Ziele fr den folgenden Hilfeplanzeitraum");
$pdf->ln(8);
if($pdf->GetY() > 250) $pdf->AddPage();
$pdf->Cell(12,7,"3.1");
$pdf->Cell(168,7,"Gemeinsames Hauptziel / Perspektive",0,1);
$pdf->SetFont('arial','',10);
$pdf->MultiCell(180,$zh,$minimalkonsens[0]);
$pdf->ln(6);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3.2");
$pdf->Cell(168,7,"Teilziele zur Erreichung des Gesamtziels fr den folgenden Hilfeplanzeitraum",0,1);

$sql = "SELECT p.ziel, p.erledigt, p.LE, p.HE, p.prio, p.prio2, p.prio3, p.id, p.nummer, p.ASD
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id'
		ORDER BY p.nummer ASC, p.hp_id=$rvar_hp_id DESC";
$res = abfrage1($sql);
while($row = mysql_fetch_row($res)) {
  if(empty($row[1]) && $row[2] == 1 && $row[3] == 1) {
	if($row[2] == 1 && $row[3] == 1 && $row[9] == 1)
		$pdf->SetFont('arialb','',10);
	else $pdf->SetFont('arial','bi',10);
	$pdf->ln(2);
	$pdf->SetTextColor(255,255,255);
	$pdf->MultiCell(180,6,"Ziel ".$row[8].": ".$row[0],0,'L',1);
	$pdf->SetTextColor(0,0,0);
	$pdf->ln(2);
	$pdf->SetFont('arial','b',10);
	$pdf->Cell(50,$zh,"verantwortliche Person");
	$pdf->Cell(130,$zh,"Handlungsschritte, die notwendig sind, um Ziel $row[8] zu erreichen",0,1);
	$schritte=abfrage1("select ph.person_id, h.schritt from tbh_hp_ziel_pers_handlungsschritt ph
						left join tb_hp_handlungsschritte h on(h.id = ph.schritt_id and h.ziel_id = ph.ziel_id)
						where ph.hp_id='$rvar_hp_id' and ph.ziel_id='$row[7]'
						order by ph.person_id != -1, ph.person_id != -2, ph.person_id != -3, ph.person_id asc");
	$pers = 0;
	while($schritt = mysql_fetch_row($schritte)) {
		$t = '';
		if($pers != $schritt[0]) {
			if($pers != 0) {
				$ziel_pers_data = abfrage("select anmerkung from tbh_hp_ziel_pers_data where hp_id='$rvar_hp_id' and ziel_id='$row[7]' and person_id='$pers'");
				if(strlen($ziel_pers_data[0]) > 0) $pdf->MultiCell(180,4,"Zustzliche Anmerkungen: $ziel_pers_data[0]",0,'L');
			}
			$t = 'T';
			$pers = $schritt[0];
			if($pers == -1) $name = "Leistungserbringer";
			elseif($pers == -2) $name = "Kind/Jugendlicher";
			elseif($pers == -3) $name = "Eltern/Sorgeberechtigte";
			else $name = person_name($pers);
			$pdf->SetFont('stw','',10);
			$pdf->Cell(50,$zh,$name,'T');
			$pdf->SetFont('arial','',10);
		} else $pdf->Cell(50,$zh,'');
		$pdf->Cell(2,$zh,'-',$t);
		$pdf->MultiCell(128,$zh,"$schritt[1]",$t,'L');
	}
	if($pers != 0) {
		$ziel_pers_data = abfrage("select anmerkung from tbh_hp_ziel_pers_data where hp_id='$rvar_hp_id' and ziel_id='$row[7]' and person_id='$pers'");
		if(strlen($ziel_pers_data[0]) > 0) $pdf->MultiCell(180,4,"Zustzliche Anmerkungen: $ziel_pers_data[0]",0,'L');
	}
  }
  if($pdf->GetY() > 230) $pdf->AddPage();
}

$pdf->ln(10);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(180,$zh,"An der Hilfeplan-Vorbereitung haben mitgewirkt:",0,1);
$y = $pdf->GetY();
$pdf->SetFont('arial','',10);

$bez = abfrage1("select person_id from tbh_proj_personen 
				where proj_id = $projekt->id and perstyp_id=5 and sorgerecht='n'
				order by person_id asc;");

$pdf->Text(25,$y+4.3,'Kind / Jugendlicher');
$pdf->Text(25,$y+8.3,'Leistungserbringer');
$pdf->Text(25,$y+12.3,'Eltern / PSB');
$pdf->Rect(59,$y+ 2,2.5,2.5);
$pdf->Rect(59,$y+ 6,2.5,2.5);
$pdf->Rect(59,$y+10,2.5,2.5);

$pdf->Text(75,$y+4.3,'Kita / Ausbildung / Schule');
$pdf->Text(75,$y+8.3,'rzte / Therapeuten');
$pdf->Text(75,$y+12.3,'Andere Leistungserbringer');
$pdf->Rect(120,$y+ 2,2.5,2.5);
$pdf->Rect(120,$y+ 6,2.5,2.5);
$pdf->Rect(120,$y+10,2.5,2.5);

$pdf->SetFont('arialb','',10);
$pdf->Text(140,$y-0.7,'sonstige Personen');
$pdf->SetFont('arial','',10);
$y2 = $y+2;
if(mysql_num_rows($bez) == 0) {
	$pdf->Rect(180,$y-3,2.5,2.5);
	$y2 += 12;
} else {
	while($be = mysql_fetch_row($bez)) {
		$pdf->Text(140,$y2+2.3,person_name($be[0]));
		$pdf->Rect(180,$y2,2.5,2.5);
		$y2 += 4;
	}
}
$pdf->SetY($y2 + 15);
$pdf->SetFont('arial','',8);
$pdf->Cell(50,3,$info[0].",",'T');
$pdf->Cell(5,3,"");
$pdf->Cell(70,3,"Sorgeberechtigte",'T');
$pdf->Cell(5,3,"");
$pdf->Cell(50,3,"Kind/Jugendlicher",'T',1);
$pdf->Cell(50,3,"Leistungserbringer");

if($ma_cnt > 0) {
	mysql_data_seek($hp_mas, 0);
	$i = 0;
	$y = $y2 + 35;
	$x = array(20,85,150);
	while($ma = mysql_fetch_row($hp_mas)) {
		$pdf->SetXY($x[$i],$y);
		$pdf->Cell(50,3,pers_name($ma[0]).",",'T',2);
		$pdf->Cell(50,3,"Leistungserbringer");
		$i++;
		if($i > 2) {
			$i=0;
			$y += 20;
		}
	}
}
$pdf->Output('','',-1);
exit;
?>