<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor7.php 2721 2017-03-29 20:10:12Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/func.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_7.inc.php";
 require_once($pfad.$pdf_datei);

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

$zh = 5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4',-1);
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->AliasNbPages();
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(10.0);
$pdf->SetAutoPageBreak(auto,15);


$adr_typ = 'Projekt-Nr.';
$leer = ($rvar_leer == 1);
$erledigte = ($rvar_erledigte == 1);

$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());


/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

if(getConf('traeger') != 'jse') {
	/* Kaestchen zu Ankreuzen mit Beschriftungen */
	$pdf->Text(105,30,'Anbei erhalten Sie:');

	$pdf->Rect(106,32.2,2.5,2.5);
	$pdf->Rect(106,36.2,2.5,2.5);
	$pdf->Rect(106,40.2,2.5,2.5);
	$pdf->Rect(106,44.2,2.5,2.5);

	$pdf->SetFont('Arial','',8);
	$pdf->Text(110,34.5,'Kopie');
	$pdf->Text(110,38.5,'zur Information');
	$pdf->Text(110,42.5,'Prospekt');
	$pdf->Text(110,46.5,'Entwurf');

	$pdf->SetFont('Arial','B',8.5);
	$pdf->Text(140,30,'Mit der Bitte um:');

	$pdf->Rect(141,32.2,2.5,2.5);
	$pdf->Rect(141,36.2,2.5,2.5);
	$pdf->Rect(141,40.2,2.5,2.5);
	$pdf->Rect(141,44.2,2.5,2.5);

	$pdf->SetFont('Arial','',8);
	$pdf->Text(145,34.5,'Anruf');
	$pdf->Text(145,38.5,'Erledigung');
	$pdf->Text(145,42.5,'Kenntnisnahme');
	$pdf->Text(145,46.5,'Stellungnahme');

	$pdf->SetFont('Arial','B',8.5);
	$pdf->Text(175,30,'Anlagen:');

	$pdf->Rect(176,32.2,2.5,2.5);
	$pdf->Rect(176,36.2,2.5,2.5);
	$pdf->Rect(176,40.2,2.5,2.5);

	$pdf->SetFont('Arial','',8);
	$pdf->Text(180,34.5,'Verbleib');
	$pdf->Text(180,38.5,'Rckgabe');
	$pdf->Text(180,42.5,'erbeten bis/am');
}

$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');

// Adresse
$pdf->SetFont('arial','',11);
$sql = "select t3.name, t3.name2, t2.anrede, t2.name, t3.strasse, t3.plz, t3.ort,
				t2.fax from tb_projekte t1
                 left join tb_kontakte_ap t2 using (ap_id)
                 left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                 where t1.proj_id = $rvar_proj_id";
$dat = abfrage($sql);

$pdf->SetXY(20,57);
$pdf->Cell(80,$zh,$dat[0]);
$pdf->SetXY(20,62);
$pdf->Cell(80,$zh,$dat[1]);
$dat1 = "z.H. " . $dat[2] . " " . $dat[3];
$pdf->SetXY(20,67);
$pdf->Cell(80,$zh,$dat1);
$pdf->SetXY(20,72);
$pdf->Cell(80,$zh,$dat[4]);
$dat1 = $dat[5] . " " . $dat[6];
$pdf->SetXY(20,79);
$pdf->Cell(80,$zh,$dat1);
if (!empty($dat[7])){
    $pdf->SetXY(20,88);
    $fax = "Fax " . $dat[7];
	$pdf->Cell(20,$zh,$fax);
}


// Infozeile

$pdf->SetY(110);
$pdf->SetFont('arial','',11);
$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'),
				concat(p2.vorname, ' ', p2.name),
				unix_timestamp(h.datum), h.datum, h.ressourcen
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,$info[0]);
$pdf->Cell(50,4,date('d.m.Y'));

$ha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $projekt->ha");
$hilfe = empty($ha[1]) ? $ha[0] : $ha[1];

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $projekt->beginn() : $last[0]) . " - " . $info[2];

$val = abfrage("SELECT hilfeverlauf, ressourcen, selbsthilfe FROM tb_hp WHERE hp_id = $rvar_hp_id");

// berschrift
$pdf->SetFont('stw','',8);
$pdf->SetXY(110,50);
$uhr = empty($info[6]) ? '' : "$info[6] Uhr";
$ort = empty($val[2]) ? '' : "$val[2] ";
$pdf->Cell(85,$zh,"Vorbereitung fr den Hilfeplan am $info[2] $uhr");
$pdf->SetXY(110,53);
$pdf->Cell(85,$zh,$ort . "fr den Zeitraum $zeitraum");

//Anschreiben
$txt = 'Sehr geehrte';
if (strlen($dat[2]) > 0){
	if ($dat[2] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $dat[2] . ' ' . $dat[3] . ",";
} else $txt .= " Damen und Herren,";
$pdf->SetFont('Arial','',8.5);
$pdf->SetXY(110,60);
$pdf->Cell(85,4,$txt);

$txt  = 'anbei erhalten Sie die Hilfeplanvorbereitung fr die ';
$txt .= $hilfe . ' ' . $projekt->name();
$txt .= ' zum Hilfeplangesprch am ' . $info[2] . ".";
$pdf->SetXY(110,66);
$pdf->MultiCell(85,3.5,$txt);

$txt = "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.";
$pdf->SetXY(110,$pdf->GetY() + 3);
$pdf->Cell(85,4,$txt);

$txt = "Mit freundlichen Gren";
$pdf->SetXY(110,$pdf->GetY() + 7);
$pdf->Cell(85,4,$txt);

$pdf->SetXY(110,100);
$pdf->Cell(85,4,$info[0]);

$pdf->SetLeftMargin(20.0);

$y = $pdf->GetY() + 10;

$pdf->SetY($y); $y+=7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Name:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->name();
$pdf->Write($zh,$dat1);

$dat1 = $projekt->he_info('geboren');
if($dat1 != '' && $dat1 != '00.00.0000') {
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh,", geb.: ");
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,$dat1);
}

$personen=abfrage1("select p.beschreibung, p.vorname, p.name, date_format(p.geboren, '%d.%m.%Y')
					from tbh_proj_personen pp 
					left join tb_personen p using(person_id) 
					where pp.proj_id='$rvar_proj_id' 
					and pp.perstyp_id in (6,7) 
					order by pp.perstyp_id asc, pp.sorgerecht asc");
while($pers = mysql_fetch_row($personen)) {
	$pdf->Ln($zh);
	$pdf->Cell(40,$zh,"");
	if(!empty($pers[0])) {
		$pdf->SetFont('arial','',10);
		$pdf->Write($zh,"$pers[0]: ");
	}
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,"$pers[1] $pers[2]");
	if(!empty($pers[3]) && $pers[3] != '00.00.0000') {
		$pdf->SetFont('arial','',10);
		$pdf->Write($zh,", geb.: ");
		$pdf->SetFont('arialb','',10);
		$pdf->Write($zh,$pers[3]);
	}
	$y+=5;
}
$pdf->SetY($y); $y+=11;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Anschrift:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('str');
$pdf->Cell(80,$zh,$dat1,0,2);
$dat1 = $projekt->he_info('plz').' '.$projekt->he_info('ort');
$pdf->Cell(80,4,$dat1);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfeform:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$hilfe);

$datum = ($info[4] < mktime(0,0,0,date('n'),date('d'),date('Y'))) ? $info[5] : date('Y-m-d');
if($projekt->kontaktst($datum)) {
	$dat1  = "KLS: " . fls_form($projekt->wost_kontaktstunden($datum));
	$dat1 .= " + geplante FZ: " . fls_form($projekt->wost_kontakt_fahrzeit($datum));
	$dat1 .= " = gesamt: " . fls_form($projekt->wost_f($datum));
	if($projekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
} else $dat1 = fls_form($projekt->wost_datum($datum));
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat1);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Hilfebeginn:",0,0,'R');
$dat1 = $projekt->beginn();
$pdf->SetFont('arialb','',10);
$pdf->Cell(40,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(30,$zh,"befristet bis:",0,0,'R');
$dat1 = $projekt->ende_ts() ? $projekt->ende() : $projekt->kzu_ende();
$pdf->SetFont('arialb','',10);
$pdf->Cell(50,$zh,$dat1);

$sql = "SELECT date_format(datum, '%d.%m.%Y') FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = empty($last) ? $projekt->beginn() : $last[0];
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Datum letzter Hilfeplan:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$zeitraum);

$hb=abfrage("select vorname, name, teldienst, telmobil from tb_personal where pers_id='".$projekt->hb()."'");
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Betreuende Fachkraft:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,"$hb[0] $hb[1]");

$tel = $hb[2];
if (empty($tel)) $tel = $hb[3]; else if($hb[3]) $tel .= " | ".$hb[3];
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Telefonnummer:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$tel);

$co=abfrage("select p.vorname, p.name, p.teldienst, p.telmobil from tbh_pers_proj pp
			left join tb_personal p using (pers_id)
			where pp.proj_id='$projekt->id' and pp.personaltyp_id = 2 limit 1 ");
if(!empty($co[1])) {
	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Cobetreuer:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,"$co[0] $co[1]");
	$tel = $co[2];
	if (empty($tel)) $tel = $co[3]; else if($co[3]) $tel .= " | ".$co[3];
	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Telefonnummer:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,$tel);
}

$co=abfrage("select p.vorname, p.name, p.teldienst, p.telmobil from tbh_pers_proj pp
			left join tb_personal p using (pers_id)
			where pp.proj_id='$projekt->id' and pp.personaltyp_id!=1
			and pp.personaltyp_id in(3,8,9)
			order by pp.personaltyp_id=3 desc, pp.personaltyp_id desc limit 1 ");
if(!empty($co[1])) {
	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Vertretende Fachkraft:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,"$co[0] $co[1]");
	$tel = $co[2];
	if (empty($tel)) $tel = $co[3]; else if($co[3]) $tel .= " | ".$co[3];
	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Telefonnummer:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,$tel);
}

$pdf->SetY($y); $y += 11;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Zustndiges Jugendamt:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat[0],0,2);
$pdf->Cell(100,4,$dat[1]);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"SachbearbeiterIn im Jugendamt:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat[2] . " " . $dat[3]);



$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"ggf. an der Hilfe Beteiligte:",0,0,'R');
$pdf->SetFont('arialb','',10);
$bez = abfrage1("select person_id from tbh_proj_personen 
				where proj_id = $projekt->id and perstyp_id=5;");
$txt = "";
while($be = mysql_fetch_row($bez)) {
	$txt .= person_name($be[0]) . "\n";
}
$pdf->MultiCell(140,$zh,$txt);

$pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"1. ");
$pdf->Cell(168,7,"Formulierte Ziele im letzen Hilfeplangesprch",0,1);

$sql = "SELECT p.id as pid, p.ziel, p.erledigt, p.prio, p.prio2, p.prio3, p.LE, p.HE, p.ASD, p.nummer
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id' AND p.erledigt IS NULL
		ORDER BY p.nummer ASC";
$ziele = abfrage1($sql);
while($ziel = mysql_fetch_assoc($ziele)) {
	if($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1) {
		$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '{$ziel['pid']}' and hp_id = '$rvar_hp_id'");
		$pdf->SetY($pdf->GetY() + 3); 
		$pdf->SetFont('arialb','',10);
		$pdf->MultiCell(180,$zh,"Ziel ".$ziel['nummer'].": ".$ziel['ziel'],0,'L',0);
		$schritte = abfrage1("select schritt from tb_hp_handlungsschritte where ziel_id = '{$ziel['pid']}'");
		if(mysql_num_rows($schritte) > 0) {
			$pdf->SetFont('stw','',10);
			$pdf->Cell(100,$zh,"Handlungsschritte:",0,1);
			$pdf->SetFont('arial','',10);
			while($schritt = mysql_fetch_row($schritte)) {
			  $pdf->Cell(4,$zh,'-');
			  $pdf->MultiCell(176,$zh,$schritt[0],0,'L',0);
			}
		}
		$pdf->Ln(1);
		if($pdf->GetY() > 270) $pdf->AddPage();
		$pdf->SetFont('stw','',10);
		$pdf->Cell(35,$zh,'Erreichung des Zieles aus Sicht des Leistungserbringers:',0,0,'L');
		$pdf->SetFont('arial','',10);
		$pdf->Cell(145,$zh,$leskala,0,1,'R');
		if(!empty($skala['le_err']) || $leer) {
			$leerr = empty($skala['le_err']) ? "\n\n\n" : $skala['le_err'];
			$pdf->MultiCell(180,$zh,$leerr,0,'L',0);
		}
		if($pdf->GetY() > 250) $pdf->AddPage();
	}
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$sql = "select befind_kl as mitwirkung,
		befind_sb as kompetenz,
		befind_ma as freizeit,
		hziel_kl as schule,
		hziel_sb as gesundheit,
		zzeit_kl as hinweise,
		res_kl as verand,
		res_sb as erwartung,
		zzeit_sb as bemerkung
		from tb_hpvor where hp_id = $rvar_hp_id";
$val2 = abfrage_assoc($sql);

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"2.");
$pdf->Cell(168,7,"Aktuelle Situation des Kindes, des Jugendlichen, der Familien",0,1);
$pdf->SetFont('arial','',10);
$pdf->MultiCell(180,$zh,$val2['bemerkung'],0,'L',0);
if(!empty($val2['bemerkung'])) {
	$pdf->SetY($pdf->GetY() + 10);
	if($pdf->GetY() > 250) $pdf->AddPage();
}

if(isset($_GET['person'])) {
	$personen=abfrage1("select p.person_id from tbh_proj_personen pp
						left join tb_personen p using(person_id) 
						where pp.proj_id='$rvar_proj_id' and pp.perstyp_id in(6,7)
						and p.aktiv=1 order by p.vorname asc");
	$HE = true;
	$i = 1;
	$person = abfrage("select person_id from tbh_proj_personen where proj_id = '$projekt->id' and perstyp_id=1;");
	do {
		if($HE) {
			$HE = false;
			$data=array('zusammenleben'=>$val[0],
						'sozialkompetenzen'=>$val2['kompetenz'],
						'freizeitverhalten'=>$val2['freizeit'],
						'schule'=>$val2['schule'],
						'gesundheit'=>$val2['gesundheit']);
		} else $data = abfrage_array("select * from tb_hpvor7_akt_sit where hp_id='$rvar_hp_id' and person_id='$person[0]'");
		$pdf->SetFont('stw','',12);
		$pdf->Cell(12,7,"2.$i"); $i++;
		$pdf->Cell(168,7,person_name($person[0]),0,1);
		$pdf->SetFont('arial','b',10);
		$pdf->Cell(168,7,"Zusammenleben in der Familie",0,1);
		$pdf->SetFont('arial','',10);
		if(!empty($data['zusammenleben']) || $leer) {
			$txt = empty($data['zusammenleben']) ? "\n\n\n" : $data['zusammenleben'];
			$pdf->MultiCell(180,$zh,$txt,0,'L',0);
		}
		if($pdf->GetY() > 250) $pdf->AddPage();

		$pdf->SetFont('arial','b',10);
		$pdf->Cell(168,7,"soziale Kompetenzen, lebenspraktische Fhigkeiten",0,1);
		$pdf->SetFont('arial','',10);
		if(!empty($data['sozialkompetenzen']) || $leer) {
			$txt = empty($data['sozialkompetenzen']) ? "\n\n\n" : $data['sozialkompetenzen'];
			$pdf->MultiCell(180,$zh,$txt,0,'L',0);
		}
		if($pdf->GetY() > 250) $pdf->AddPage();

		$pdf->SetFont('arial','b',10);
		$pdf->Cell(168,7,"Freizeitverhalten",0,1);
		$pdf->SetFont('arial','',10);
		if(!empty($data['freizeitverhalten']) || $leer) {
			$txt = empty($data['freizeitverhalten']) ? "\n\n\n" : $data['freizeitverhalten'];
			$pdf->MultiCell(180,$zh,$txt,0,'L',0);
		}
		if($pdf->GetY() > 250) $pdf->AddPage();

		$pdf->SetFont('arial','b',10);
		$pdf->Cell(168,7,"Kita / Schule / Ausbildung / Beruf",0,1);
		$pdf->SetFont('arial','',10);
		if(!empty($data['schule']) || $leer) {
			$txt = empty($data['schule']) ? "\n\n\n" : $data['schule'];
			$pdf->MultiCell(180,$zh,$txt,0,'L',0);
		}
		if($pdf->GetY() > 250) $pdf->AddPage();

		$pdf->SetFont('arial','b',10);
		$pdf->Cell(168,7,"Gesundheit (physisch und psychisch)",0,1);
		$pdf->SetFont('arial','',10);
		if(!empty($data['gesundheit']) || $leer) {
			$txt = empty($data['gesundheit']) ? "\n\n\n" : $data['gesundheit'];
			$pdf->MultiCell(180,$zh,$txt,0,'L',0);
		}
		$pdf->SetY($pdf->GetY() + 10);
		if($pdf->GetY() > 250) $pdf->AddPage();
	} while($person = mysql_fetch_row($personen));
} else {
	$datas = abfrage1("select * from tb_hpvor7_akt_sit where hp_id='$rvar_hp_id'");
	$morethenjusthe = (mysql_num_rows($datas) > 0);
	$pdf->SetFont('stw','',12);
	$pdf->Cell(12,7,"2.1");
	$pdf->Cell(168,7,"Zusammenleben in der Familie",0,1);
	$pdf->SetFont('arial','b',10);
	if($morethenjusthe) $pdf->Cell(168,$zh,$projekt->name(),0,1);
	$pdf->SetFont('arial','',10);
	if(!empty($val[0]) || $leer) {
		$txt = empty($val[0]) ? "\n\n\n" : $val[0];
		$pdf->MultiCell(180,$zh,$txt,0,'L',0);
	}
	while($data = mysql_fetch_array($datas)) {
		if(!empty($data['zusammenleben'])) {
			$pdf->SetFont('arial','b',10);
			$pdf->Cell(168,$zh,person_name($data['person_id']),0,1);
			$pdf->SetFont('arial','',10);
			$pdf->MultiCell(180,$zh,$data['zusammenleben'],0,'L',0);
		}
	}
	mysql_data_seek($datas,0);
	$pdf->SetY($pdf->GetY() + 10);
	if($pdf->GetY() > 250) $pdf->AddPage();

	$pdf->SetFont('stw','',12);
	$pdf->Cell(12,7,"2.2");
	$pdf->Cell(168,7,"soziale Kompetenzen, lebenspraktische Fhigkeiten",0,1);
	$pdf->SetFont('arial','b',10);
	if($morethenjusthe) $pdf->Cell(168,$zh,$projekt->name(),0,1);
	$pdf->SetFont('arial','',10);
	if(!empty($val2['kompetenz']) || $leer) {
		$txt = empty($val2['kompetenz']) ? "\n\n\n" : $val2['kompetenz'];
		$pdf->MultiCell(180,$zh,$txt,0,'L',0);
	}
	while($data = mysql_fetch_array($datas)) {
		if(!empty($data['sozialkompetenzen'])) {
			$pdf->SetFont('arial','b',10);
			$pdf->Cell(168,$zh,person_name($data['person_id']),0,1);
			$pdf->SetFont('arial','',10);
			$pdf->MultiCell(180,$zh,$data['sozialkompetenzen'],0,'L',0);
		}
	}
	mysql_data_seek($datas,0);
	$pdf->SetY($pdf->GetY() + 10);
	if($pdf->GetY() > 250) $pdf->AddPage();

	$pdf->SetFont('stw','',12);
	$pdf->Cell(12,7,"2.3");
	$pdf->Cell(168,7,"Freizeitverhalten",0,1);
	$pdf->SetFont('arial','b',10);
	if($morethenjusthe) $pdf->Cell(168,$zh,$projekt->name(),0,1);
	$pdf->SetFont('arial','',10);
	if(!empty($val2['freizeit']) || $leer) {
		$txt = empty($val2['freizeit']) ? "\n\n\n" : $val2['freizeit'];
		$pdf->MultiCell(180,$zh,$txt,0,'L',0);
	}
	while($data = mysql_fetch_array($datas)) {
		if(!empty($data['freizeitverhalten'])) {
			$pdf->SetFont('arial','b',10);
			$pdf->Cell(168,$zh,person_name($data['person_id']),0,1);
			$pdf->SetFont('arial','',10);
			$pdf->MultiCell(180,$zh,$data['freizeitverhalten'],0,'L',0);
		}
	}
	mysql_data_seek($datas,0);
	$pdf->SetY($pdf->GetY() + 10);
	if($pdf->GetY() > 250) $pdf->AddPage();

	$pdf->SetFont('stw','',12);
	$pdf->Cell(12,7,"2.4");
	$pdf->Cell(168,7,"Kita / Schule / Ausbildung / Beruf",0,1);
	$pdf->SetFont('arial','b',10);
	if($morethenjusthe) $pdf->Cell(168,$zh,$projekt->name(),0,1);
	$pdf->SetFont('arial','',10);
	if(!empty($val2['schule']) || $leer) {
		$txt = empty($val2['schule']) ? "\n\n\n" : $val2['schule'];
		$pdf->MultiCell(180,$zh,$txt,0,'L',0);
	}
	while($data = mysql_fetch_array($datas)) {
		if(!empty($data['schule'])) {
			$pdf->SetFont('arial','b',10);
			$pdf->Cell(168,$zh,person_name($data['person_id']),0,1);
			$pdf->SetFont('arial','',10);
			$pdf->MultiCell(180,$zh,$data['schule'],0,'L',0);
		}
	}
	mysql_data_seek($datas,0);
	$pdf->SetY($pdf->GetY() + 10);
	if($pdf->GetY() > 250) $pdf->AddPage();

	$pdf->SetFont('stw','',12);
	$pdf->Cell(12,7,"2.5");
	$pdf->Cell(168,7,"Gesundheit (physisch und psychisch)",0,1);
	$pdf->SetFont('arial','b',10);
	if($morethenjusthe) $pdf->Cell(168,$zh,$projekt->name(),0,1);
	$pdf->SetFont('arial','',10);
	if(!empty($val2['gesundheit']) || $leer) {
		$txt = empty($val2['gesundheit']) ? "\n\n\n" : $val2['gesundheit'];
		$pdf->MultiCell(180,$zh,$txt,0,'L',0);
	}
	while($data = mysql_fetch_array($datas)) {
		if(!empty($data['gesundheit'])) {
			$pdf->SetFont('arial','b',10);
			$pdf->Cell(168,$zh,person_name($data['person_id']),0,1);
			$pdf->SetFont('arial','',10);
			$pdf->MultiCell(180,$zh,$data['gesundheit'],0,'L',0);
		}
	}
	$pdf->SetY($pdf->GetY() + 10);
	if($pdf->GetY() > 250) $pdf->AddPage();
}

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"3.");
$pdf->Cell(168,7,"Zusammenarbeit zwischen Leistungserbringer und Klienten",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['mitwirkung']) || $leer) {
	$txt = empty($val2['mitwirkung']) ? "\n\n\n" : $val2['mitwirkung'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 250) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"4.");
$pdf->Cell(168,7,"Anmerkungen und Ergnzungen, sonstige bearbeitete Themen",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['hinweise']) || $leer) {
	$txt = empty($val2['hinweise']) ? "\n\n\n" : $val2['hinweise'];
	$pdf->MultiCell(180,$zh,$txt,0,'L',0);
}
$pdf->SetY($pdf->GetY() + 10);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('stw','',12);
$pdf->Cell(12,7,"5.");
$pdf->Cell(168,7," Empfehlung fr die Weiterfhrung/Vernderung/Beendigung der Hilfe");
$pdf->Ln(5);
$pdf->Cell(12,7,"");
$pdf->Cell(168,7," und mgliche Ziele fr die Weiterarbeit",0,1);
$pdf->SetFont('arial','',10);
if(!empty($val2['verand'])) {
	$txt = empty($val2['verand']) ? "\n\n\n" : $val2['verand'];
	$pdf->MultiCell(180,$zh,$txt);
}
$pdf->SetY($pdf->GetY() + 12);
if($pdf->GetY() > 230) $pdf->AddPage();

$pdf->SetFont('arial','',8);
$fb = abfrage("select fb_id from tb_projekte where proj_id = '$rvar_proj_id';");
$pdf->Cell(5,3,"");
$pdf->Cell(70,3,"gezeichnet ".$projekt->hb_name(),'T',0,'C');
$pdf->Cell(30,3,"");
$pdf->Cell(70,3,"gezeichnet ".pers_name($fb[0]),'T',1,'C');
$pdf->Cell(5,3,"");
$pdf->Cell(70,3,"Fachkraft",0,0,'C');
$pdf->Cell(30,3,"");
$pdf->Cell(70,3,"Fachberatung",0,0,'C');

$pdf->Output('','',-1);
exit;
?>
