<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_hpvor8.php 2721 2017-03-29 20:10:12Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* ein paar Funktionen werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

require_once($pfad."inc/func.inc.php");
require_once($pfad."inc/fpdf/fpdf.php");

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 
$zh = 5;

class PDF extends FPDF
{
	var $widths;
	var $aligns;

	function SetWidths($w)
	{
	    //Set the array of column widths
	    $this->widths=$w;
	}

	function SetAligns($a)
	{
	    //Set the array of column alignments
	    $this->aligns=$a;
	}

	function Row($data)
	{
	    //Calculate the height of the row
	    $nb=0;
	    for($i=0;$i<count($data);$i++)
	        $nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
	    $h=4*$nb;
	    //Issue a page break first if needed
	    $this->CheckPageBreak($h);
	    //Draw the cells of the row
	    for($i=0;$i<count($data);$i++)
	    {
	        $w=$this->widths[$i];
	        $a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
	        //Save the current position
	        $x=$this->GetX();
	        $y=$this->GetY();
	        //Draw the border
	        $this->Rect($x,$y,$w,$h);
	        //Print the text
	        $this->MultiCell($w,4,$data[$i],0,$a);
	        //Put the position to the right of the cell
	        $this->SetXY($x+$w,$y);
	    }
	    //Go to the next line
	    $this->Ln($h);
	}

	function CheckPageBreak($h)
	{
	    //If the height h would cause an overflow, add a new page immediately
	    if($this->GetY()+$h>$this->PageBreakTrigger)
	        $this->AddPage($this->CurOrientation);
	}

	function NbLines($w,$txt)
	{
	    //Computes the number of lines a MultiCell of width w will take
	    $cw=&$this->CurrentFont['cw'];
	    if($w==0)
	        $w=$this->w-$this->rMargin-$this->x;
	    $wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
	    $s=str_replace("\r",'',$txt);
	    $nb=strlen($s);
	    if($nb>0 and $s[$nb-1]=="\n")
	        $nb--;
	    $sep=-1;
	    $i=0;
	    $j=0;
	    $l=0;
	    $nl=1;
	    while($i<$nb)
	    {
	        $c=$s[$i];
	        if($c=="\n")
	        {
	            $i++;
	            $sep=-1;
	            $j=$i;
	            $l=0;
	            $nl++;
	            continue;
	        }
	        if($c==' ')
	            $sep=$i;
	        $l+=$cw[$c];
	        if($l>$wmax)
	        {
	            if($sep==-1)
	            {
	                if($i==$j)
	                    $i++;
	            }
	            else
	                $i=$sep+1;
	            $sep=-1;
	            $j=$i;
	            $l=0;
	            $nl++;
	        }
	        else
	            $i++;
	    }
	    return $nl;
	}

	function Header()
	{
		if ($this->page > 1){
			global $AppCode;
			$proj_id = $_GET['proj_id'];
			$hp_id = $_GET['hp_id'];
			$pro = new stwProjekt($proj_id);

			if (round($this->h, 0) == 297){ //Hochformat
				$this->Rect(10, 10, 190, 277);
				$this->SetXY(10, 10);
				$w1 = 110;
				$this->SetFont('arial','B',14);
				$this->Cell(40,10, 'Hilfeplan',1);
				$this->Cell($w1,10,'Vorbereitung zur Fortschreibung',1,0,'C');
				$this->SetFont('arial','B',11);
				$this->Cell(40, 5, 'Aktenzeichen:','LTR',2);
				$this->SetFont('arial','',9);
				$this->Cell(40,5, $pro->nummer(),'LBR',1);
			} else { //Querformat
				$ja = abfrage_assoc("select ja.name, ja.name2, ja.asd,
									CONCAT(sb.anrede, ' ', sb.vorname, ' ', sb.name ) AS sachbearbeiter,
									sb.teldienst
									from tb_kontakte_ap sb
									left join tb_kontakte ja on sb.kont_id = ja.kont_id and ja.kh_id='0'
									where ap_id = '$pro->sb';");

				$this->SetXY(10,10);

				$this->SetFont('Arial','B',9);
				$this->Cell(80,4,$ja['name'],'R',2);
				$this->Cell(80,4,$ja['name2'],'R',2);
				$this->Cell(80,4,'ASD ' . $ja['asd'],'R',2);
				$this->Cell(25,4,'Fachkraft:');
				$this->SetFont('Arial','',9);
				$this->Cell(55,4,$ja['sachbearbeiter'],'R',2);
				$this->Ln(0);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'Telefon:','B');
				$this->SetFont('Arial','',9);
				$this->Cell(55,4,$ja['teldienst'],'BR',2);

				$this->SetXY(90,10);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'Name:');
				$this->SetFont('Arial','B',9);
				$this->Cell(92,4,$pro->name());

				$this->SetXY(90,14);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'Hilfeart:');
				$this->SetFont('Arial','',9);
				$ha = abfrage_assoc("select kurzname from tb_hilfeart
								where hilfeart_id = '$pro->ha';");
				$this->Cell(92,4,$ha['kurzname']);

				$this->SetXY(90,18);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'Hilfebeginn:');
				$this->SetFont('Arial','',9);
				$this->Cell(92,4,$pro->beginn());

				$this->SetXY(90,22);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'Befristung:');
				$this->SetFont('Arial','',9);
				$this->Cell(92,4,$pro->ende());

				$this->SetXY(90,26);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'Aktenzeichen:','B');
				$this->SetFont('Arial','',9);
				$this->Cell(92,4,$pro->az,'B');

				$this->SetXY(207,10);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'Leistungserbringer:','L');

				$this->SetXY(207,14);
				$this->Cell(80,4,getConf('traeger')=='stw' ? 'Stellwerk Jugendhilfe gemeinntzige GmbH' : getConf('trname'),'L');

				$this->SetXY(207,18);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'Fachkraft:','L');
				$this->SetFont('Arial','',9);
				$this->Cell(55,4,pers_name($pro->hb()));

				$this->SetXY(207,22);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'Telefon:','L');
				$this->SetFont('Arial','',9);
				$hb = $pro->hb();
				$hb_tel = abfrage_assoc("select telmobil from tb_personal
										where pers_id = '$hb';");
				$this->Cell(55,4,$hb_tel['telmobil']);

				$this->SetXY(207,26);
				$this->SetFont('Arial','B',9);
				$this->Cell(25,4,'OK Fachberater:','LB');
				$this->SetFont('Arial','',9);
				$this->Cell(55,4,$kb['fb'],'B',1);
				$this->Rect(10, 10, 277, 190);
			}
		}
	}


	//Page footer
	function Footer()
	{
		if ($this->page > 1) {
			global $AppCode;
			$proj_id = $_GET['proj_id'];
			$hp_id = $_GET['hp_id'];

			$projekt = new stwProjekt($proj_id);

			$date = abfrage("select date_format(datum, '%d.%m.%Y') from tb_hp
							where hp_id = {$_GET['hp_id']};");

			$fusz  = 'Vorbereitung zum Hilfeplan ' . $projekt->nummer() . ' am ' . $date[0];

			$this->SetFont('Arial','',7);

			if (round($this->h, 0) == 297){ //Hochformat
				$this->SetXY(10,282);
				$this->Cell(170, 5, $fusz, 'T');
			} else { //Querformat
				$this->SetXY(10,195);
				$this->Cell(257, 5, $fusz, 'T');
			}
			$this->Cell(20,5,'Seite ' . $this->PageNo() . ' von {nb}','T',0,'R');
		}
	}
} // Ende class PDF

function skalenstring($eg_hp_id,$last_hp_id,$eg_skala,$last_skala,$skala) {
	$return = '';
	if(!empty($eg_skala)) {
		if($eg_skala < 3) $eg_skala = 1;
		elseif($eg_skala > 10) $eg_skala = 10;
		else $eg_skala = $eg_skala - 1;
		$return .= "($eg_skala)";
	}
	if(!empty($last_skala) && $eg_hp_id != $last_hp_id) {
		if($last_skala < 3) $last_skala = 1;
		elseif($last_skala > 10) $last_skala = 10;
		else $last_skala = $last_skala - 1;
		$return .= "($last_skala)";
	}
	if(strlen($return) > 0) $return .= "=>";
	if(empty($skala)) $return .= "(-)";
	else {
		if($skala < 3) $skala = 1;
		elseif($skala > 10) $skala = 10;
		else $skala = $skala - 1;
		$return .= "($skala)";
	}
	return $return;
}

$projekt = new stwProjekt($_GET['proj_id']);

$pdf = new PDF('P','mm','A4', -1);
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->AliasNbPages();
$pdf->SetLineWidth(0.1);
$pdf->SetAutoPageBreak(true,15);

$pro = new stwProjekt($_GET['proj_id']);

/* Beginn Kurzbrief { */
$pdf->AddPage();

/* Trenn- und Faltlinie (fuer DIN-Umschaege) bei 10,5 cm */
$pdf->Line(10,105,200,105);

/* Werbeslogan und Logo links oben */
$img = $_SESSION['basedir'] . '/mandant/' .$_SESSION[$AppCode]['TR'];
$img .= '/stwlogo.jpg';
$pdf->Image($img, 81,10,0,$_SESSION[$AppCode]['TR']=='sik' ? 21 : 13);

$pdf->SetFont('stw','',10);
$pdf->SetXY(10,10);
$pdf->MultiCell(50,4,getConf('slogan'));

$pdf->SetFont('stw','',6);
$pdf->SetXY(51,19);
$pdf->Cell(50,5,getConf('jugendhilfe'),0,0,'R');

$pdf->Line(10,25,100,25);

$pdf->SetFont('Arial','',7);
$pdf->SetXY(10,25);
$tel = getConf('hptel');
$pdf->Cell(30,4,empty($tel) ? '' : "Tel.: $tel");
$fax = getConf('hpfax');
$pdf->Cell(30,4,empty($fax) ? '' : "Fax: $fax",0,0,'C');
$mail = getConf('hpemail');
$pdf->Cell(30,4,empty($mail) ? '' : "E-Mail: $mail",0,0,'R');

$pdf->SetFont('Arial','B',8);
$pdf->SetXY(10,35);
$pdf->Cell(25,5,'Unser Zeichen:');
$pdf->SetFont('Arial','B',11);
$pdf->Cell(65,5,$projekt->nummer());


/* Umrandung Adressfeld  mit Absenderangabe */
$pdf->Line(15,50,20,50);
$pdf->Line(15,50,15,55);

$pdf->Line(100,50,105,50);
$pdf->Line(105,50,105,55);

$pdf->Line(15,95,20,95);
$pdf->Line(15,90,15,95);

$pdf->Line(100,95,105,95);
$pdf->Line(105,90,105,95);

$pdf->SetXY(17,51);
$pdf->SetFont('Arial','',7);
$txt  = getConf('hpadress');
$pdf->Cell(86,4,$txt,'B',0,'C');

/* schwarzes Rechteck mit weisser Schrift 'KURZBRIEF' */
$pdf->Rect(150,10,50,15,'DF');
$pdf->SetTextColor(255,255,255);
$pdf->SetFont('stw','',20);
$pdf->Text(154,20,'KURZBRIEF');

/* weisses Rechteck mit 'Ihr Zeichen/Nachricht */
$pdf->SetTextColor(0,0,0);
$pdf->Rect(105,10,45,15);

$pdf->SetFont('Arial','B',8);
$pdf->Text(106,14,'Ihr Zeichen / Ihre Nachricht vom');

/* Kaestchen zu Ankreuzen mit Beschriftungen */
$pdf->Text(105,30,'Anbei erhalten Sie:');

$pdf->Rect(106,32.2,2.5,2.5);
$pdf->Rect(106,36.2,2.5,2.5);
$pdf->Rect(106,40.2,2.5,2.5);
$pdf->Rect(106,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(110,34.5,'Kopie');
$pdf->Text(110,38.5,'zur Information');
$pdf->Text(110,42.5,'Prospekt');
$pdf->Text(110,46.5,'Entwurf');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(140,30,'Mit der Bitte um:');

$pdf->Rect(141,32.2,2.5,2.5);
$pdf->Rect(141,36.2,2.5,2.5);
$pdf->Rect(141,40.2,2.5,2.5);
$pdf->Rect(141,44.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(145,34.5,'Anruf');
$pdf->Text(145,38.5,'Erledigung');
$pdf->Text(145,42.5,'Kenntnisnahme');
$pdf->Text(145,46.5,'Stellungnahme');

$pdf->SetFont('Arial','B',8.5);
$pdf->Text(175,30,'Anlagen:');

$pdf->Rect(176,32.2,2.5,2.5);
$pdf->Rect(176,36.2,2.5,2.5);
$pdf->Rect(176,40.2,2.5,2.5);

$pdf->SetFont('Arial','',8);
$pdf->Text(180,34.5,'Verbleib');
$pdf->Text(180,38.5,'Rckgabe');
$pdf->Text(180,42.5,'erbeten bis/am');


$pdf->SetXY(15,96);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(50,4,'Es schreibt Ihnen:');
$pdf->Cell(40,4,'Datum:');


/* Daten fuer Kurzbrief ermitteln */
$sql = "select
				ap.anrede,
				ap.name as ap_name,
				ap.fax as ap_fax,
				ja.name as ja_name,
				ja.name2,
				ja.strasse,
				ja.plz,
				ja.ort,
				ja.faxzentral,
				hp.pers_id,
				date_format(hp.datum, '%d.%m.%Y') as hp_datum,
				ha.beschreibung,
				p.name as he_name,
				p.vorname as he_vorname,
				concat(p2.vorname, ' ', p2.name) as fb
				from tb_hp hp
				left join tb_kontakte_ap ap on hp.ap_id = ap.ap_id
				left join tb_kontakte ja on ap.kont_id = ja.kont_id and ja.kh_id='0'
				left join tb_projekte pro on hp.proj_id = pro.proj_id
				left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id
				left join tbh_proj_personen pp on hp.proj_id = pp.proj_id
					and perstyp_id = 1
				left join tb_personen p on pp.person_id = p.person_id
				left join tb_personal p2 on hp.fb_ok = p2.pers_id
				where hp_id = '{$_GET['hp_id']}';";
$kb = abfrage_assoc($sql);

if(!$kb['ja_name']) {
  $sql = "select
				ap.anrede,
				ap.name as ap_name,
				ap.fax as ap_fax,
				ja.name as ja_name,
				ja.name2,
				ja.strasse,
				ja.plz,
				ja.ort,
				ja.faxzentral,
				hp.pers_id,
				date_format(hp.datum, '%d.%m.%Y') as hp_datum,
				ha.beschreibung,
				p.name as he_name,
				p.vorname as he_vorname,
				concat(p2.vorname, ' ', p2.name) as fb
				from tb_hp hp
				left join tb_projekte pro on hp.proj_id = pro.proj_id
				left join tb_kontakte_ap ap on pro.ap_id = ap.ap_id
				left join tb_kontakte ja on ap.kont_id = ja.kont_id and ja.kh_id='0'
				left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id
				left join tbh_proj_personen pp on hp.proj_id = pp.proj_id
					and perstyp_id = 1
				left join tb_personen p on pp.person_id = p.person_id
				left join tb_personal p2 on hp.fb_ok = p2.pers_id
				where hp_id = '{$_GET['hp_id']}';";
  $kb = abfrage_assoc($sql);
}
/* Adressfeld ausfuellen */
$pdf->SetXY(17,57);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(86,5,$kb['ja_name'],0,2);
$pdf->Cell(86,5,$kb['name2'],0,2);
$ap = (strlen($kb['anrede']) > 0) ? $kb['anrede'] . ' ' : '';
$ap .= (strlen($kb['ap_name']) > 0) ? $kb['ap_name'] : '';
$pdf->Cell(86,5,$ap,0,2);
$pdf->Cell(86,5,$kb['strasse'],0,2);
$pdf->Cell(86,5,$kb['plz'] . ' ' . $kb['ort'],0,2);
$pdf->Cell(86,5,'',0,2);
$fax = (strlen($kb['ap_fax']) > 0) ? $kb['ap_fax'] : $kb['faxzentral'];
if(!empty($fax)) $pdf->Cell(86,5,'Fax ' . $fax,0,2);

$pdf->SetXY(15,100);
$pdf->SetFont('Arial','',8);
$pdf->Cell(50,4,pers_name($kb['pers_id']));
$pdf->Cell(50,4,date('d.m.Y'));


$txt = 'Sehr geehrte';

if (strlen($kb['anrede']) > 0){
	if ($kb['anrede'] == 'Herr') $txt .= 'r';
	$txt .= ' ' . $kb['anrede'] . ' ' . $kb['ap_name'] . ",\n\n";
} else {
	$txt .= " Damen und Herren,\n\n";
}

$txt .= 'anbei erhalten Sie die Hilfeplanvorbereitung fr die ';
$txt .= $kb['beschreibung'] . ' ';
if (strlen($kb['he_vorname']) > 0) $txt .= $kb['he_vorname'] . ' ';
$txt .= $kb['he_name'];
$txt .= ' zum Hilfeplangesprch am ' . $kb['hp_datum'] . ".\n\n";

$txt .= "Fr Rckfragen stehe ich Ihnen gern zur Verfgung.\n\n";
$txt .= "Mit freundlichen Gren\n\n\n\n";
$txt .= pers_name($kb['pers_id']);

$pdf->SetFont('Arial','',9);
$pdf->SetXY(110,50);
$pdf->MultiCell(85,4,$txt);

/* } Ende Kurzbrief --- Rest Seite 1 { */

$hp = abfrage_array("select * from tb_hp where hp_id='$rvar_hp_id'");

$info = abfrage("select concat(p.vorname, ' ', p.name),
				p.telmobil, date_format(h.datum, '%d.%m.%Y'), 
				unix_timestamp(h.datum), h.datum,
				concat(p2.vorname, ' ', p2.name)
				from tb_hp h 
				left join tb_personal p using(pers_id)
				left join tb_personal p2 on h.fb_ok = p2.pers_id
				where h.hp_id = $rvar_hp_id;");
$y = $pdf->GetY() + 10;
$pdf->SetY($y); $y+=7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Name:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->name();
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"geb. am:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('geboren');
$pdf->Cell(40,$zh,$dat1);

$pdf->SetY($y); $y+=5;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Anschrift:",0,0,'R');
$pdf->SetFont('arialb','',10);
$dat1 = $projekt->he_info('str');
$pdf->Cell(80,$zh,$dat1);
$pdf->SetY($y); $y+=7;
$pdf->Cell(40,$zh,"");
$dat1 = $projekt->he_info('plz') . ' ' . $projekt->he_info('ort');
$pdf->Cell(80,$zh,$dat1);

$pdf->SetY($y);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Eltern / Sorgeberechtigte:",0,0,'R');
$pdf->SetFont('arialb','',10);
$sql = "select t2.name, t2.vorname
		from tbh_proj_personen t1 
		left join tb_personen t2 using(person_id) 
		where t1.proj_id = '$rvar_proj_id'
		and t1.sorgerecht = 'j'
		group by t1.person_id";
$eltern = abfrage1($sql);
if(mysql_num_rows($eltern) == 0) $y += 5;
while ($elter = mysql_fetch_row($eltern)) {
	$dat1 = $elter[1] . ' ' . $elter[0];
	$pdf->SetY($y);
	$pdf->Cell(40,$zh,"");
	$pdf->Cell(80,$zh,$dat1);
	$y += 5;
}

$v_hp = abfrage("select h.v_hp_id, p.proj_id from tbh_hp_verbund h
				left join tb_pro_verbund p using(verbund_id)
				where h.hp_id='$rvar_hp_id'
				and datetime_bis is null
				and p.proj_id != '$rvar_proj_id'");

$y += 2; $pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$ha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $projekt->ha");
$hilfe = empty($ha[1]) ? $ha[0] : $ha[1];
$pdf->Cell(40,$zh,"Hilfeform:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$hilfe);

$datum = ($info[3] < mktime(0,0,0,date('n'),date('d'),date('Y'))) ? $info[4] : date('Y-m-d');
if($projekt->kontaktst($datum)) {
	$dat1  = "KLS: " . fls_form($projekt->wost_kontaktstunden($datum));
	$dat1 .= " + geplante FZ: " . fls_form($projekt->wost_kontakt_fahrzeit($datum));
	$dat1 .= " = gesamt: " . fls_form($projekt->wost_f($datum));
	if($projekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
} else $dat1 = fls_form($projekt->wost_datum($datum));
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$dat1);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
$dat1 = $projekt->beginn();
$pdf->SetFont('arialb','',10);
$pdf->Cell(60,$zh,$dat1);
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
$dat1 = $projekt->ende_ts() ? $projekt->ende() : $projekt->kzu_ende();
$pdf->SetFont('arialb','',10);
$pdf->Cell(40,$zh,$dat1);

if($v_hp[0] > 0) {
	$vprojekt = new stwProjekt($v_hp[1]);
	$vha = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id = $vprojekt->ha");
	$vhilfe = empty($vha[1]) ? $vha[0] : $vha[1];
	$pdf->SetY($y); $y += 8;
	$pdf->Cell(170,1,'','T',1);
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"verbundene Hilfeform:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,$vhilfe);
	if($vprojekt->kontaktst($datum)) {
		$dat1  = "KLS: " . fls_form($vprojekt->wost_kontaktstunden($datum));
		$dat1 .= " + geplante FZ: " . fls_form($vprojekt->wost_kontakt_fahrzeit($datum));
		$dat1 .= " = gesamt: " . fls_form($vprojekt->wost_f($datum));
		if($vprojekt->fallbegleitung($datum)) $dat1 .= " (+ fZ: 1,00 h)";
	} else $dat1 = fls_form($vprojekt->wost_datum($datum));
	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Stunden je Woche:",0,0,'R');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(100,$zh,$dat1);

	$pdf->SetY($y); $y += 7;
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Beginn der Hilfe:",0,0,'R');
	$dat1 = $vprojekt->beginn();
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(60,$zh,$dat1);
	$pdf->SetFont('arial','',10);
	$pdf->Cell(40,$zh,"Ende der Hilfe:",0,0,'R');
	$dat1 = ($vprojekt->ende_ts() < $vprojekt->kzu_ende_ts()) ? $vprojekt->ende() : $vprojekt->kzu_ende();
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(40,$zh,$dat1);
}

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Zustndiges Jugendamt:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$kb['ja_name']);

$sql = "SELECT date_format(datum, '%d.%m.%Y'), hpv_form FROM tb_hp
		WHERE hp_id < $rvar_hp_id AND proj_id = $rvar_proj_id
		AND (hp_art = 'h2' OR hp_art = 'h')
		ORDER BY hp_id DESC LIMIT 1";
$last = abfrage($sql);
$zeitraum = (empty($last) ? $projekt->beginn() : $last[0]) . " - " . $info[2];
$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Berichtszeitraum:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$zeitraum);

$sql = "SELECT traeger_art FROM tb_traeger_art
		WHERE traeger_art_id = $projekt->traeger_art_id";
$ta = abfrage($sql);

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Trger:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$ta[0]);

$hp_mas = abfrage1("select pp.pers_id, pt.personaltyp from tbh_pers_proj pp
					left join tb_personaltyp pt using(personaltyp_id)
					where pp.proj_id='$projekt->id' and pp.personaltyp_id!=1
					and (pp.hperw = 'j' or (pp.hperw IS NULL and pp.personaltyp_id in(2,8,9,3)))");

$pdf->SetY($y); $y += 7;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"Fachkraft:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Write($zh,$projekt->hb_name());
$pdf->SetFont('arial','',10);
$pdf->Write($zh," (Hauptbetreuer)");

while($ma = mysql_fetch_row($hp_mas)) {
	$pdf->SetXY(50,$y-2);
	$pdf->SetFont('arialb','',10);
	$pdf->Write($zh,pers_name($ma[0]));
	$pdf->SetFont('arial','',10);
	$pdf->Write($zh," ($ma[1])");
	$y += $zh;
}
$pdf->SetY($y); $y += 15;
$pdf->SetFont('arial','',10);
$pdf->Cell(40,$zh,"OK Fachberatung:",0,0,'R');
$pdf->SetFont('arialb','',10);
$pdf->Cell(100,$zh,$info[5]);

$sql = "SELECT t1.minimalkonsens, t1.hp_id FROM tb_hp_eg t1
		INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		WHERE t2.proj_id = $rvar_proj_id";
$minimalkonsens = abfrage($sql);

$pdf->SetFont('stw','',11);
$pdf->SetY($y);
$pdf->Cell(180,6,"Hauptziel",1,1,'C');
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(180,5,$minimalkonsens[0],1);
$pdf->Ln(10);
$pdf->SetFont('stw','',13);
$pdf->Cell(180,6,"1. Aktuelle Situation",0,1);
$pdf->SetFont('Arial','',11);
$pdf->MultiCell(180,5,$hp['hilfeverlauf']);

/* } Ende Seite 1 --- Beginn 2. { */

$format = 'L';
$pdf->AddPage($format);
$pdf->SetFillColor(102,102,102);

$pdf->SetXY(10,32);

$pdf->SetFont('stw','',13);
$pdf->Cell(277,6,"2. Vereinbarungen und Ziele (Einschtzung / Auswertung) des Hilfeplans vom ".date_my2gr($hp['datum']),0,1);

$kats=abfrage1("SELECT * FROM tb_zielkategorie z 
				left join tbh_kont_zielkategorie k using(zielkategorie_id)
				where k.kont_id='$projekt->ja' and k.aktiv='j'");

$alphabet = range('a','z');
while($kat = mysql_fetch_array($kats)) {
	$pdf->SetFont('stw','',11);
	$pdf->Ln(1);
	$pdf->SetTextColor(255,255,255);
	$pdf->Cell(277,6,$kat['zielkategorie'],0,1,'l',1);
	$pdf->SetTextColor(0,0,0);
	$pdf->Ln(1);
	$sql = "SELECT p.ziel, p.id, p.nummer, p.erreicht,
			unix_timestamp(p.erledigt)
			FROM tb_hp_praxisziele p
			LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
			WHERE h.proj_id='$rvar_proj_id'
			AND p.LE='1' AND p.HE='1' AND p.ASD='1'
			AND p.kategorie='$kat[0]'
			ORDER BY p.nummer ASC, p.hp_id=$rvar_hp_id DESC";
	$ziele = abfrage1($sql);
	if(mysql_num_rows($ziele) > 0) {
		$pdf->SetFont('Arial','b',11);
		$pdf->Cell(100,$zh,"Was soll erreicht werden? (Zielbeschreibung)",1);
		$pdf->Cell(100,$zh,"Welche Handlungsschritte sind erforderlich?",1);
		$pdf->Cell(67,$zh,"Verantwortlich",1);
		$pdf->Cell(10,$zh,"err.",1,1);
		while($ziel = mysql_fetch_row($ziele)) {
		  if(empty($ziel[4]) || $ziel[4]>$info[3]) {
			if($pdf->GetY() > 170) $pdf->AddPage($format);
			$y = $pdf->GetY();
			$pdf->SetFont('Arial','b',11);
			$pdf->Multicell(100,$zh,"Ziel $ziel[2]: $ziel[0]",0,'L');
			$pdf->SetFont('Arial','',11);
			$y1 = $pdf->GetY();
			$schritte=abfrage1("select id, schritt from tb_hp_handlungsschritte
								where ziel_id='$ziel[1]' order by nummer asc");
			$y2 = $y;
			$pdf->SetXY(277,$y);
			$pdf->Cell(10,$zh,$ziel[3]=='j'?'ja':'nein');
			while($schritt=mysql_fetch_row($schritte)) {
				$pdf->SetX(210);
				$verantwortlich = '';
				$lastHPmitHandlungsschritten = abfrage("select hp_id from tbh_hp_ziel_pers_handlungsschritt 
														where ziel_id='$ziel[1]' and schritt_id='$schritt[0]' 
														and hp_id<'$rvar_hp_id' order by hp_id desc limit 1");
				if(empty($lastHPmitHandlungsschritten[0])) {
					if($last[1] == 6) continue;
				}
				$pers=abfrage1("select person_id, verantwortlich from tbh_hp_ziel_pers_handlungsschritt
								where hp_id='$lastHPmitHandlungsschritten[0]' and ziel_id='$ziel[1]' and schritt_id='$schritt[0]'");
				while($per = mysql_fetch_row($pers)) {
					if($verantwortlich != '') $verantwortlich .= ", ";
					if($per[0] == '-1') $verantwortlich .= "LE";
					elseif($per[0] == '-2') $verantwortlich .= $projekt->vname();
					elseif($per[0] == '-3') $verantwortlich .= "Eltern";
					else {
						$name = abfrage("select concat(vorname,' ',name) from tb_personen where person_id='$per[0]'");
						$verantwortlich .= $name[0];
					}
				}
				$pdf->Cell(67,$zh,$verantwortlich);
				$pdf->SetX(110);
				$pdf->Multicell(100,$zh,"- $schritt[1]",0,'L');
				$y2 = $pdf->GetY();
			}
			if($y2 >= $y) $pdf->SetXY(10,max($y1,$y2));

			$skala = abfrage_assoc("select * from tb_hpvor2 where ziel_id = '$ziel[1]' and hp_id = '$rvar_hp_id'");
			$sql = "select v.* from tb_hp h left join tb_hpvor2 v on h.hp_id = v.hp_id
					where h.proj_id = '$rvar_proj_id' and h.hp_id < '$rvar_hp_id'
					and h.hp_id > '$minimalkonsens[1]' and ziel_id = '$ziel[1]'
					order by h.hp_id desc limit 1";
			$last_skala = abfrage_assoc($sql);
			$sql = "select * from tb_hpvor2 where ziel_id = '$ziel[1]'
					and (le_skala > 0 or ad_skala > 0 or ad2_skala > 0) and hp_id < '$rvar_hp_id'
					order by hp_id asc limit 1";
			$eg_skala = abfrage_assoc($sql);
			$leskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['le_skala'],$last_skala['le_skala'],$skala['le_skala']);
			$adskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad_skala'],$last_skala['ad_skala'],$skala['ad_skala']);
			$ad2skala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala['ad2_skala'],$last_skala['ad2_skala'],$skala['ad2_skala']);

			$pdf->SetFont('stw','',11);
			$pdf->Cell(277,6,"Begrndung:",0,1);
			$pdf->SetFont('Arial','b',11);
			$pdf->Cell(200,$zh,"a) Kind/Jugendlicher:");
			$pdf->SetFont('Arial','',11);
			$pdf->Cell(77,$zh,$adskala,0,1,'R');
			if(strlen($skala['ad_err']) > 0) $pdf->Multicell(277,$zh,$skala['ad_err']);
			$pdf->SetFont('Arial','b',11);
			$pdf->Cell(200,$zh,"b) Eltern/Sorgeberechtigte:");
			$pdf->SetFont('Arial','',11);
			$pdf->Cell(77,$zh,$ad2skala,0,1,'R');
			if(strlen($skala['ad_err2']) > 0) $pdf->Multicell(277,$zh,$skala['ad_err2']);
			$pdf->SetFont('Arial','b',11);
			$pdf->Cell(200,$zh,"c) Leistungserbringer:");
			$pdf->SetFont('Arial','',11);
			$pdf->Cell(77,$zh,$leskala,0,1,'R');
			if(strlen($skala['le_err']) > 0) $pdf->Multicell(277,$zh,$skala['le_err']);
			$bez = abfrage1("select person_id from tbh_proj_personen 
							where proj_id = $projekt->id and perstyp_id=5 and sorgerecht='n'
							order by person_id asc;");
			$i = 3;
			while($be = mysql_fetch_row($bez)) {
				if($ziel[1] == 0) $ziel_pers_data = array();
				else $ziel_pers_data = abfrage("select rueckblick from tbh_hp_ziel_pers_data where hp_id='$rvar_hp_id' and ziel_id='$ziel[1]' and person_id='$be[0]'");
				if($pdf->GetY() > 175) $pdf->AddPage($format);
				$name = person_name($be[0]);
				if($i < 5) {
					$adXskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_skala["ad".$i."_skala"],$last_skala["ad".$i."_skala"],$skala["ad".$i."_skala"]);
					$sk[0] = $skala["ad".$i."_skala"];
				} else {
					$sk = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '$rvar_hp_id' and ziel_id = '$ziel[1]' and person_id = '$be[0]'");
					$eg_sk = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '{$eg_skala['hp_id']}' and ziel_id = '$ziel[1]' and person_id = '$be[0]'");
					$last_sk = abfrage("select ad_skala from tbh_hp_ziel_pers_skala where hp_id = '{$last_skala['hp_id']}' and ziel_id = '$ziel[1]' and person_id = '$be[0]'");
					$adXskala = skalenstring($eg_skala['hp_id'],$last_skala['hp_id'],$eg_sk[0],$last_sk[0],$sk[0]);
				}
				if(!empty($ziel_pers_data[0]) || $adXskala != '(-)') {
					$pdf->SetFont('stw','',11);
					$pdf->Cell(200,$zh,$alphabet[$i].") $name:",0,0,'L');
					$pdf->SetFont('arial','',10);
					$pdf->Cell(77,$zh,$adXskala,0,1,'R');
					if(!empty($ziel_pers_data[0])) $pdf->MultiCell(277,$zh,$ziel_pers_data[0],0,'L',0);
				}
				$i++;
			}
			$pdf->Cell(277,1,'','B',1);
		  }
		}
	}
}

/* } Ende 2. --- Beginn 3. { */

$format = 'L';
$pdf->AddPage($format);

$pdf->SetFont('stw','',13);
$pdf->Cell(277,6,"3. Vereinbarungen und Ziele fr die nchste Hilfeetappe",0,1);
mysql_data_seek($kats,0);

while($kat = mysql_fetch_array($kats)) {
	$pdf->SetFont('stw','',11);
	$pdf->Ln(1);
	$pdf->SetTextColor(255,255,255);
	$pdf->Cell(277,6,$kat['zielkategorie'],0,1,'l',1);
	$pdf->SetTextColor(0,0,0);
	$pdf->Ln(1);

	$sql = "SELECT p.ziel, p.id, p.LE, p.HE, p.prio, p.prio2, p.prio3, p.nummer, p.ASD
			FROM tb_hp_praxisziele p
			LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
			WHERE h.proj_id='$rvar_proj_id' and p.erledigt IS NULL
			AND p.LE='1' AND p.HE='1' AND p.kategorie='$kat[0]'
			ORDER BY p.nummer ASC, p.hp_id=$rvar_hp_id DESC";
	$ziele = abfrage1($sql);
	if(mysql_num_rows($ziele) > 0) {
		$pdf->SetFont('Arial','b',11);
		$pdf->Cell(100,$zh,"Was soll erreicht werden? (Zielbeschreibung)",1);
		$pdf->Cell(100,$zh,"Welche Handlungsschritte sind erforderlich?",1);
		$pdf->Cell(77,$zh,"Verantwortlich",1,1);
		while($ziel = mysql_fetch_row($ziele)) {
			if($pdf->GetY() > 170) $pdf->AddPage($format);
			$y = $pdf->GetY();
			if($ziel[2] == 1 && $ziel[3] == 1 && $ziel[8] == 1)
				$pdf->SetFont('arial','b',10);
			else $pdf->SetFont('arial','bi',10);
			$pdf->MultiCell(100,6,"Ziel ".$ziel[7].": ".$ziel[0],0,'L');
			$pdf->SetFont('Arial','',11);
			$y1 = $pdf->GetY();
			$schritte=abfrage1("select h.id, h.schritt from tbh_hp_ziel_pers_handlungsschritt ph 
								left join tb_hp_handlungsschritte h on(h.id = ph.schritt_id and h.ziel_id = ph.ziel_id)
								where h.ziel_id='$ziel[1]' and ph.hp_id='$rvar_hp_id' group by h.id order by h.nummer asc");
			$y2 = $y;
			while($schritt=mysql_fetch_row($schritte)) {
				$pdf->SetXY(210,$y2);
				$verantwortlich = '';
				$pers=abfrage1("select person_id, verantwortlich from tbh_hp_ziel_pers_handlungsschritt
								where hp_id='$rvar_hp_id' and ziel_id='$ziel[1]' and schritt_id='$schritt[0]'");
				while($per = mysql_fetch_row($pers)) {
					if($verantwortlich != '') $verantwortlich .= ", ";
					if($per[0] == '-1') $verantwortlich .= "LE";
					elseif($per[0] == '-2') $verantwortlich .= $projekt->vname();
					elseif($per[0] == '-3') $verantwortlich .= "Eltern";
					else {
						$verantwortlich .= person_name($per[0]);
					}
				}
				$pdf->Cell(77,$zh,$verantwortlich);
				$pdf->SetXY(110,$y2);
				$pdf->Multicell(100,$zh,"- $schritt[1]",0,'L');
				$y2 = $pdf->GetY();
			}
			$pdf->SetXY(10,max($y1,$y2));

			$anmerkungA = abfrage("select anmerkung from tbh_hp_ziel_pers_data where ziel_id = '$ziel[1]' and hp_id = '$rvar_hp_id' and person_id='-2'");
			$anmerkungB = abfrage("select anmerkung from tbh_hp_ziel_pers_data where ziel_id = '$ziel[1]' and hp_id = '$rvar_hp_id' and person_id='-3'");
			$anmerkungC = abfrage("select anmerkung from tbh_hp_ziel_pers_data where ziel_id = '$ziel[1]' and hp_id = '$rvar_hp_id' and person_id='-1'");
			$anmerkungen = abfrage1("select anmerkung, person_id from tbh_hp_ziel_pers_data where ziel_id = '$ziel[1]' and hp_id = '$rvar_hp_id' and person_id > 0");
			if($anmerkungA[0] != '' || $anmerkungB[0] != '' || $anmerkungC[0] != '' || mysql_num_rows($anmerkungen) > 0) {
				$pdf->SetFont('stw','',11);
				$pdf->Cell(277,6,"Begrndung:",0,1);
				if($anmerkungA[0] != '') {
					$pdf->SetFont('Arial','b',11);
					$pdf->Cell(200,$zh,"a) Kind/Jugendlicher:",0,1);
					$pdf->SetFont('Arial','',11);
					$pdf->Multicell(277,$zh,$anmerkungA[0]);
				}
				if($anmerkungB[0] != '') {
					$pdf->SetFont('Arial','b',11);
					$pdf->Cell(200,$zh,"b) Eltern/Sorgeberechtigte:",0,1);
					$pdf->SetFont('Arial','',11);
					$pdf->Multicell(277,$zh,$anmerkungB[0]);
				}
				if($anmerkungC[0] != '') {
					$pdf->SetFont('Arial','b',11);
					$pdf->Cell(200,$zh,"c) Leistungserbringer:",0,1);
					$pdf->SetFont('Arial','',11);
					$pdf->Multicell(277,$zh,$anmerkungC[0]);
				}
				$i=3;
				while($anmerkung = mysql_fetch_row($anmerkungen)) {
					if($anmerkung[0] != '') {
						$pdf->SetFont('Arial','b',11);
						$pdf->Cell(200,$zh,$alphabet[ $i++ ] . ") ".person_name($anmerkung[1]).":",0,1);
						$pdf->SetFont('Arial','',11);
						$pdf->Multicell(277,$zh,$anmerkung[0]);
					}
				}
				$pdf->Cell(277,1,'','B',1);
			}
		}
	}
}
/* } Ende 3. --- Beginn neue Seite 4. { */
$format = 'P';
$pdf->AddPage($format);
$pdf->SetFont('stw','',13);
$pdf->Cell(180,6,"4. Praxisziele im Hilfeverlauf",0,1);
$pdf->Ln(1);
$sql = "SELECT p.ziel, p.nummer, p.erreicht,
		unix_timestamp(p.erledigt), z.zielkategorie
		FROM tb_hp_praxisziele p
		LEFT JOIN tb_zielkategorie z on (z.zielkategorie_id = p.kategorie)
		LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		WHERE h.proj_id='$rvar_proj_id'
		AND p.LE='1' AND p.HE='1' AND p.ASD='1'
		ORDER BY p.erledigt IS NULL desc, p.nummer ASC";
$ziele = abfrage1($sql);
$pdf->SetFont('Arial','',11);
while($ziel = mysql_fetch_row($ziele)) {
	$y = $pdf->GetY();
	if(!empty($ziel[3])) $pdf->SetTextColor(102,102,102);
	$pdf->MultiCell(190,$zh,"Ziel ".$ziel[1]." ($ziel[4]): ".$ziel[0],0,'L');
	$pdf->SetTextColor(0,0,0);
}

/* } Ende 4. --- Beginn 5. { */
$pdf->Ln(7);
$pdf->SetFont('stw','',13);
$pdf->Cell(180,3,"5. Hinweise zur weiteren Ausgestaltung der Hilfe",0,1);
$pdf->SetFont('stw','',11);
$pdf->Cell(180,6,"      (Stundenzahl, Zusatzleistungen, Betreuungsschlssel)",0,1);
$pdf->Ln(1);
$pdf->SetFont('Arial','',11);
$hinw = abfrage("select zzeit_kl from tb_hpvor where hp_id='$rvar_hp_id'");
$pdf->MultiCell(190,$zh,$hinw[0]);
$pdf->Ln(5);
$pdf->SetFont('stw','',11);
$pdf->Cell(130,$zh,"Unterschriften und Gesprch zum Vorbereitungsbericht am:",0,0,'R');
$pdf->Cell(50,$zh,'','B',1);
$pdf->Ln(8);
$pdf->SetFont('Arial','',11);
$pdf->Cell(80,$zh,"Kind / Jugendlicher / junger Mensch:",0,0,'R');
$pdf->Cell(100,$zh,'','B',1);
$pdf->Ln(8);
$pdf->Cell(80,$zh,"Eltern / Sorgeberechtigte:",0,0,'R');
$pdf->Cell(100,$zh,'','B',1);
$pdf->Ln(8);
$pdf->Cell(80,$zh,"Fachkraft:",0,0,'R');
$pdf->Cell(100,$zh,'','B',1);
$pdf->Output();
?>
