<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_kls_soll_ist.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 65;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 23);

 setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$zh = 4;
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

$date = isset($rvar_ab_monat) ? $rvar_ab_monat : date('Y-m-01');
$ts = date_my2ts($date);
$footer = strftime('bersicht: FLS %B %Y', $ts);

$pdf->AddPage();
$head = true;
$cnt = $wstd = $kstd = $fstd = $begl = 0;
$pdf->SetFont('stw','',17);
$pdf->Text(15,30,$footer);
$pdf->SetXY(15,35);
$pdf->SetDrawColor(0,0,0);

$pros=abfrage1("select a.proj_id from tb_hp h 
				left join tb_ab_zk a using(proj_id)
				where a.ab_monat >= date_sub('$date',INTERVAL 5 MONTH)
				and h.kontakt = 'j' group by proj_id");
$gessoll = $gesist = $gesdiff = $gesfzsoll = $gesfzist = 0;
while ($pro = mysql_fetch_row($pros)){
	if($pdf->GetY() > 250) {
		$pdf->AddPage();
		$pdf->SetXY(15,25);
		$head = true;
	}
	if($head) {
		$pdf->SetFont('arialb','',9);
		$pdf->Cell(50,7, 'Projekt');
		$pdf->SetFont('arialb','',8);
		$pdf->Cell(36,3.5, 'Monatsstunden SOLL',0,0,'C',0);
		$pdf->Cell(36,3.5, 'Monatsstunden IST',0,0,'C',0);
		$pdf->SetFont('arialb','',9);
		$pdf->Cell(12,7, 'Diff.',0,0,'C',0);
		$pdf->Cell(30,7, 'Halbjahressummen',0,0,'L',0);
		$pdf->SetFont('arialb','',8);
		$pdf->Ln(3.5);
		$pdf->Cell(50,3.5, '');
		$pdf->Cell(12,3.5, 'KLS',0,0,'C',0);
		$pdf->Cell(12,3.5, 'FZ',0,0,'C',0);
		$pdf->Cell(12,3.5, 'ges.',0,0,'C',0);
		$pdf->Cell(12,3.5, 'KLS',0,0,'C',0);
		$pdf->Cell(12,3.5, 'FZ',0,0,'C',0);
		$pdf->Cell(12,3.5, 'ges.',0,1,'C',0);
		$head = false;
	}
	$y = $pdf->GetY();
	$projekt = new stwProjekt($pro[0]);
	$sql = "select * from tb_hp where proj_id = '$pro[0]' 
			and hp_art in ('h','h2','s') and prognose = 'n' 
			and and_datum < date_add('$date',INTERVAL 1 MONTH)
			order by and_datum desc limit 1";
	$hp = abfrage_assoc($sql);
	$cnt++;
	$temp = $hp['hp_st'] - $hp['kontakt_fz'] - ($hp['fallbegl']=='j' ? 1 : 0);
	$spalte1 = array($projekt->nummer(), 
					$projekt->name(), 
					"KLS: ".fls_form($temp,1), 
					"FZ: ".fls_form($hp['kontakt_fz'],1)."   fb: ".fls_form($hp['fallbegl']=='j'?1:0,1), 
					"Gesamt: ".fls_form($hp['hp_st'],1),
					"(Stand: ".date_my2gr($hp['and_datum']).")");
	$sumsoll = $sumist = $sumdiff = $sumfzsoll = $sumfzist = 0;
	$ts = date_my2ts($date);
	for($i=0;$i<6;$i++) {
		$dat = date('Y-n-01',$ts);
		$mon = strftime('%B %Y:', $ts);
		$sql = "select * from tb_hp where proj_id = '$pro[0]' 
				and hp_art in ('h','h2','s') and prognose = 'n' 
				and and_datum < date_add('$dat',INTERVAL 1 MONTH)
				order by and_datum desc limit 1";
		$hp = abfrage_assoc($sql);
		$pdf->SetFont('arialb','',6.5);
		$pdf->Cell(30,$zh,$spalte1[$i],($i==0) ? 'T' : '');
		$pdf->SetFont('arial','',6.5);
		$pdf->Cell(20,$zh,$mon,($i==0) ? 'T':'');
		$ts2 = mktime(0,0,0,date('n',$ts),date('t',$ts), date('Y',$ts));
		$arbeitstage = arbeitstage($ts,$ts2);
		$soll = $projekt->fls_monat($dat);
		$kls = $projekt->fls_gel_netto($dat, true);
		$kls += $projekt->fls_doku($dat);
		$pdf->Cell(12,$zh,fls_form($soll,1),($i==0) ? 'T' : '',0,'R');
		$fz_soll = $arbeitstage * $hp['kontakt_fz'] / 5;
		$pdf->Cell(12,$zh,fls_form($fz_soll,1),($i==0) ? 'T' : '',0,'R');
		$pdf->SetFont('arialb','',6.5);
		$pdf->Cell(12,$zh,fls_form($soll+$fz_soll,1),($i==0) ? 'T' : '',0,'R');
		$pdf->SetFont('arial','',6.5);
		$pdf->Cell(12,$zh,fls_form($kls,1),($i==0) ? 'T' : '',0,'R');
		$fz_ist = $projekt->fls_fz($dat);
		$pdf->Cell(12,$zh,fls_form($fz_ist,1),($i==0) ? 'T' : '',0,'R');
		$pdf->SetFont('arialb','',6.5);
		$pdf->Cell(12,$zh,fls_form($kls+$fz_ist,1),($i==0) ? 'T' : '',0,'R');
		$diff = ($kls + $fz_ist) - ($soll + $fz_soll);
		$pdf->Cell(12,$zh,fls_form($diff,1),($i==0) ? 'T' : '',0,'R');
		$pdf->SetFont('arial','',6.5);
		$pdf->Cell(35,$zh,'',($i==0) ? 'T' : '');
		$sumsoll += $soll;
		$sumist += $kls;
		$sumdiff += $diff;
		$sumfzsoll += $fz_soll;
		$sumfzist += $fz_ist;
		$pdf->Ln($zh);
		$ts = mktime(0,0,0,date('n',$ts)-1,1, date('Y',$ts));
	}
	$gessoll += $sumsoll;
	$gesist += $sumist;
	$gesdiff += $sumdiff;
	$gesfzsoll += $sumfzsoll;
	$gesfzist += $sumfzist;
	$pdf->SetFont('arialb','',7);
	$pdf->Text(160,$y+5,"Soll: ".fls_form($sumsoll+$sumfzsoll));
	$pdf->Text(161,$y+10,"Ist: ".fls_form($sumist+$sumfzist));
	$pdf->Text(159,$y+15,"Diff.: ".fls_form($sumdiff));
	$wstd += $hp['hp_st'];
	$fstd += $hp['kontakt_fz'];
	$begl += ($hp['fallbegl']=='j' ? 1 : 0);
	$kstd += $temp;
}

$pdf->Ln(3);
$pdf->SetFont('arialb','',10);
$pdf->Cell(17,5,'Anzahl:','LBT');
$pdf->SetFont('arialb','',8);
$pdf->Cell(13,5,$cnt,'BT');
$pdf->SetFont('arialb','',10);
$pdf->Cell(20,5,'Summen:','BT',0,'C',0);
$pdf->SetFont('arialb','',8);
$pdf->Cell(12,5,number_format($gessoll, 0, ',', '.'),'BT',0,'R',0);
$pdf->Cell(12,5,number_format($gesfzsoll, 0, ',', '.'),'BT',0,'R',0);
$pdf->Cell(12,5,number_format($gessoll+$gesfzsoll, 0, ',', '.'),'BT',0,'R',0);
$pdf->Cell(12,5,number_format($gesist, 0, ',', '.'),'BT',0,'R',0);
$pdf->Cell(12,5,number_format($gesfzist, 0, ',', '.'),'BT',0,'R',0);
$pdf->Cell(12,5,number_format($gesist+$gesfzist, 0, ',', '.'),'BT',0,'R',0);
$pdf->Cell(12,5,number_format($gesdiff, 0, ',', '.'),'BT',0,'R',0);
$pdf->Cell(35,5,'','BTR');
$pdf->Output();
exit;
?>
