<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_kto.php 2728 2017-04-05 09:10:51Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();
 setlocale(LC_TIME, "de_DE@euro", "de_DE", "german", "deu_deu", "deu", "de", "de_AT", "de_DE.UTF-8", "de_AT.utf8");

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');

$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->SetLineWidth('0.1');
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);


$projekt = new stwProjekt($rvar_proj_id);

$footer = "Klientenkonto " . $projekt->nummer();

$pdf->AddPage();

$rh = 4.5;
$rh2 = 4;

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,6,'Klientenkonto');
$pdf->Cell(100,6,$projekt->nummer(),0,1);
$pdf->Cell(50,6,'Hilfeempfnger');
$pdf->Cell(100,6,$projekt->name(),0,1);

$pdf->Ln($rh);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(18,6,'Datum',1,0,'C');
$pdf->Cell(22,6,'Art',1,0,'C');
$pdf->Cell(75,6,'Text',1,0,'C');
$pdf->Cell(15,6,'Betrag',1,0,'C');
$pdf->Cell(25,6,'Mitarbeiter',1,0,'C');
$pdf->Cell(25,6,'Einzahler',1,1,'C');


// Liste der Kontobewegungen

$handgeld = getConf('klientenkonto');
if($handgeld) {
	$von = date("Y-01-01");
	$spesen_eig = 'spesen_betr';
} else {
	$von = '2005-10-01';
	$spesen_eig = 'spesen_eig';
}

$konto = array();

// 1. Einzahlungen
$eins = abfrage1("select e.einz_id,
				unix_timestamp(e.datum),
				date_format(e.datum, '%d.%m.%Y'),
				e.text,
				e.betrag,
				e.pers_id,
				'e' as art,
				e.nachw_id,
				e.person_id
				from tb_pro_einz e
				where e.proj_id = $projekt->id
				and to_days(datum) >= to_days('$von')
				order by unix_timestamp(datum) asc;");
$i = 0;
while ($ein = mysql_fetch_row($eins)) {
	foreach ($ein as $val){
		$konto[$i][] = $val;
	}
	$i++;
}

// 2. Zeitkarten
$zks = abfrage1("select zk_id,
				unix_timestamp(t.von),
				date_format(t.von, '%d.%m.%Y'),
				z.spesen_text,
				z.$spesen_eig,
				z.pers_id,
				'z' as art,
				z.nachw_id
				from tb_ab_zk z
				left join tb_termine t using (termin_id)
				where z.proj_id = $projekt->id and z.$spesen_eig > 0
				and to_days(t.von) >= to_days('$von')
				order by unix_timestamp(t.von) asc;");

while ($zk = mysql_fetch_row($zks)) {
	foreach ($zk as $val){
		$konto[$i][] = $val;
	}
	$i++;
}

if($handgeld == 0) {
	// 3. Gruppenarbeit
	$ids = abfrage1("select person_id from tbh_proj_personen
					where proj_id = $projekt->id;");

	while ($id = mysql_fetch_row($ids)){
		$gas = abfrage1("select g.ga_id,
						unix_timestamp(t.von),
						date_format(t.von, '%d.%m.%Y'),
						g.thema,
						g.eb,
						h.pers_id,
						'g'
						from tbh_ga_pp h
						left join tb_ga g using (ga_id)
						left join tb_termine t using (termin_id)
						where h.person_id = $id[0] and g.eb > 0
						and to_days(t.von) >= to_days('$von')
						and unix_timestamp(t.bis) < unix_timestamp(now())
						order by unix_timestamp(t.von) asc;");

		while ($ga = mysql_fetch_row($gas)) {
			foreach ($ga as $val){
				$konto[$i][] = $val;
			}
			$i++;
		}
	}

	// 4. PAM
	$keys=abfrage1("SELECT a.key_id,
					unix_timestamp( a.von ),
					date_format( a.von, '%d.%m.%Y' ),
					a.notizen_a,
					k.betrag,
					a.pers_a,
					'k'
					FROM tb_keys_aus a
					LEFT JOIN tb_keys k USING ( key_id )
					WHERE a.proj_id = '$projekt->id'
					AND TO_DAYS(a.von) >= TO_DAYS('$von')
					AND a.bis IS NULL
					AND k.betrag > 0.00 AND k.art_id = '101'
					ORDER BY UNIX_TIMESTAMP(a.von) ASC;");

	while ($key = mysql_fetch_row($keys)) {
		foreach ($key as $val){
			$konto[$i][] = $val;
		}
		$i++;
	}

	//5. Essen (Gruppenprojekte)
	$iPGr = $projekt->inProjektgruppe();
	if($iPGr) {
		$essen = abfrage1("select unix_timestamp(datum),datum from tbh_proj_anwesenheit where proj_id='$projekt->id' and essen='j' order by datum asc");
		$letztermonat = $datum = $text = '';
		$cnt = $ts = 0;
		while($ess = mysql_fetch_row($essen)) {
			$iPGr = $projekt->inProjektgruppe($ess[1]);
			$monat = strftime('%B %Y',$ess[0]);
			if($cnt>0 && $monat != $letztermonat) {
				$satz_essen = abfrage("select hilfe_bisher from tb_projekte where proj_id='$iPGr'");
				$konto[$i] = array($iPGr,$ts,date('d.m.Y',$ts),$letztermonat,$cnt*$satz_essen[0],$text,'m');
				$i++;
				$cnt = 0;
				$text = '';
			}
			if($text != '') $text .= ',';
			$text .= date('j.',$ess[0]);
			$ts = $ess[0];
			$letztermonat = $monat;
			$cnt++;
		}
		if($cnt>0) {
			$satz_essen = abfrage("select hilfe_bisher from tb_projekte where proj_id='$iPGr'");
			$konto[$i] = array($iPGr,$ts,date('d.m.Y',$ts),$letztermonat,$cnt*$satz_essen[0],$text,'m');
			$i++;
		}
	}
}

// Array konto nach Timestamp sortieren

function cmp ($a, $b) {
   if ($a[1] == $b[2]) return 0;
   return ($a[1] < $b[1]) ? -1 : 1;
}

usort($konto, "cmp");

$kto = 0;

$pdf->SetFont('Arial','',9);

foreach ($konto as $row){
	switch ($row[6]){
		case 'e':
			$art = 'Einzahlung';
			$ma = pers_kname($row[5]);
			$betrag = $row[4];
			$ez = ($row[8] == 0) ? 'Stellwerk JH' : person_kname($row[8]);
			break;
		case 'z':
			$art = 'Zeitkarte';
			$ma = pers_kname($row[5]);
			$betrag = -$row[4];
			$ez = '';
			break;
		case 'g':
			$art = 'Gruppenarbeit';
			$ma = pers_kname($row[5]);
			$betrag = -$row[4];
			$ez = '';
			break;
		case 'k':
			$art = 'PAM';
			$ma = pers_kname($row[5]);
			$betrag = -$row[4];
			$ez = '';
			break;
		case 'm':
			$art = 'Mittagessen';
			$ma = '';
			$betrag = -$row[4];
			$ez = '';
			break;
	}

	$pdf->Cell(18,$rh2,$row[2],1,0,'R');
	$pdf->Cell(22,$rh2,$art,1);
	$pdf->Cell(75,$rh2,$row[3],1);
	$pdf->Cell(15,$rh2,geld_form_pdf($betrag),1,0,'R');
	$pdf->Cell(25,$rh2,$ma,1,0);
	$pdf->Cell(25,$rh2,$ez,1,1);

	$kto += $betrag;
}

$pdf->SetFont('Arial','B',10);
$pdf->Cell(40,6,'','LBT');
$pdf->Cell(75,6,'Kontostand :','BT');
$pdf->Cell(15,6,geld_form_pdf($kto),'BT',0,'R');
$pdf->Cell(50,6,'','BTR');

$pdf->Output();
exit;
?>
