<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_kzu.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(true, 20);
$pdf->AliasNbPages();

$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(20);
$zh = 4.5;
$pro = new stwProjekt($rvar_proj_id);

$pro_be = array(8, 9, 10);

if (in_array($pro->projektart(), $pro_be)){
	$titel1 = 'Kostenzusage / Leistungsbeschreibung';
	$titel2 = 'Leistungsbeschreibung';
} else {
	$titel1 = 'Projektbeschreibung';
	$titel2 = 'Projektbeschreibung';
}

$footer = $titel1 . ' ' . $pro->nummer();
$no_ds = true;

$pdf->AddPage();

$pdf->SetY(25);
$pdf->SetFont('stw', '', 18);
if(!check_projekt_berechtigung($rvar_proj_id)) {
	$pdf->Cell(180, $zh, "Sie haben keine Berechtigung zur Darstellung dieser Seite!",0,0,'C');
	$pdf->Output();
	exit;
}
$pdf->Cell(180, $zh, $titel1);

$pdf->Ln($zh * 2);

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(60, $zh, 'Projekt-Nr :');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(50, $zh, $pro->nummer());
$pdf->Ln($zh);

$ha = abfrage("select beschreibung from tb_hilfeart where hilfeart_id =$pro->ha;");
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(60, $zh, 'Projektart :');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(50, $zh, $ha[0]);
$pdf->Ln($zh);

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(60, $zh, 'Bezeichnung :');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(50, $zh, $pro->nname() . ' '. $pro->vname());
$pdf->Ln($zh * 2);


$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(60, $zh, 'Leistungserbringer :');

$ans = abfrage1("select h.pers_id, k.betrag, h.hpst
				from tbh_pers_proj h
				left join tb_hon_kl k using(kl_id)
				where h.proj_id = $pro->id
				and h.personaltyp_id = 1;");
$i = 1;
$pdf->SetFont('Arial', '', 11);

$kosten = 0;
$stunden = 0;


if ($pro->pool()){ //wenn Pool-Fall

	if (mysql_num_rows($ans) == 1){
		$an = mysql_fetch_row($ans);
		$pdf->Cell(50, $zh, pers_name($an[0]));
		if (in_array($pro->projektart(), $pro_be)){
			$pdf->Cell(50, $zh, geld_form($an[1]). ' je Stunde');
		}

		$stunden = $pro->pool_st();
		$kosten = $an[1] * $stunden;
		$pdf->Ln($zh);
	} else {
		while ($an = mysql_fetch_row($ans)){
			if ($i > 1){
				$pdf->Cell(60, $zh, '');
				}
			$pdf->Cell(30, $zh, pers_kname($an[0]));
			$pdf->Cell(20, $zh, fls_form($an[2]), 0, 0, 'R');
			if (in_array($pro->projektart(), $pro_be)){
				$pdf->Cell(50, $zh, geld_form($an[1]). ' je Stunde');
			}

			$stunden += $an[2];
			$kosten  += ($an[2] * $an[1]);

			$pdf->Ln($zh);
			$i++;
		}
	}
} else { // wenn kein Pool-Fall

	$wost = $pro->wost();

	while ($an = mysql_fetch_row($ans)){
		if ($i > 1){
			$pdf->Cell(60, $zh, '');
		}
		$pdf->Cell(30, $zh, pers_kname($an[0]));
		$pdf->Cell(20, $zh, fls_form($an[2]));
		if (in_array($pro->projektart(), $pro_be)){
			$pdf->Cell(50, $zh, geld_form($an[1]). ' je Stunde');
		}

		$stunden += $an[2];
		$kosten  += ($an[2] * $an[1]);

		$pdf->Ln($zh);
		$i++;
	}

	$chk = abfrage("select h.hpst
					from tbh_pers_proj h
					left join tb_hon_kl k using(kl_id)
					where h.proj_id = $pro->id
					and h.personaltyp_id != 1 limit 1;");
	if (!empty($chk[0]) && ($wost - $stunden) > 0){
		if ($i > 1){
			$pdf->Cell(60, $zh, '');
		}
		$pdf->Cell(30, $zh, pers_kname($pro->hb()));
		$pdf->Cell(20, $zh, fls_form($wost - $stunden));
		$pdf->Ln($zh);
	}
}

$pdf->Ln($zh);

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(60, $zh, 'Anzahl Stunden :');
$pdf->SetFont('Arial', '', 11);

if ($pro->pool()){
	$std = $stunden;
	$woc = '';
} else {
	$std = $pro->wost();
	$woc = ' / Woche';
}

$pdf->Cell(50, $zh, fls_form($std) . $woc);

if (in_array($pro->projektart(), $pro_be)){
	$pdf->Cell(50, $zh, '= '. geld_form($kosten) . $woc);
}

$pdf->Ln($zh * 2);

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(60, $zh, 'Beginn :');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(50, $zh, $pro->beginn());
$pdf->Ln($zh);

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(60, $zh, 'Ende :');
$pdf->SetFont('Arial', '', 11);
$pdf->Cell(50, $zh, $pro->ende());
$pdf->Ln($zh * 2);

$beschr = abfrage("select pro_beschr from tb_projekte where proj_id = $pro->id;");

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(60, $zh, $titel2 . ':');
$pdf->Ln($zh * 1.5);
$pdf->SetFont('Arial', '', 11);
$pdf->MultiCell(160, 5, $beschr[0]);

/* Offene Feedbacks mit anzeigen - nur bei EDV-Projekten! */
if (in_array($pro->projektart(), $pro_be)){
	$pdf->Ln($zh * 1.5);
	$pdf->SetFont('Arial', 'B', 11);
	$pdf->Cell(60, $zh, 'Unerledigte Feedbacks :');
	$pdf->SetFont('Arial', '', 11);

	$sql  = "select f.feedback_id, f.datei, f.pers_id, ";
	$sql .= "date_format(f.datetime, '%d.%m.%Y, %H:%i Uhr'), f.feedback ";
	$sql .= "from tb_web_feedback f where f.proj_id = '$pro->id' ";
	$sql .= "and f.erl_gf is null order by unix_timestamp(f.datetime) desc;";
	$feed = abfrage1($sql);

	while ($fe = mysql_fetch_array($feed)){
		$pdf->Ln($zh);

		$pdf->Cell(8, $zh, 'Nr.:','T');
		$pdf->Cell(14, $zh, $fe[0],'T');
		$pdf->Cell(78, $zh, 'Datei: ' . $fe[1],'T');
		$pdf->Cell(38, $zh, pers_kname($fe[2]),'T');
		$pdf->Cell(42, $zh, $fe[3],'T',1,'R');
		$pdf->Cell(13, $zh, 'Text:');
		$pdf->SetFont('Arial', 'I', 11);
		$pdf->MultiCell(147, $zh, $fe[4]);
		$pdf->SetFont('Arial', '', 11);
	}
}

$pdf->Output();
exit;
?>
