<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie k�nnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit f�r irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_pb.php 2335 2014-09-12 13:30:38Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german");

class Projektbericht extends PDF {

	function druckePB($p_id, $h_id){

		global $zh;

		$pro = new stwProjekt($p_id);

		$pb = abfrage_assoc("select h.pers_id,
							date_format(h.datum, '%d.%m.%Y') as datum,
							h.datum as mydatum,
							unix_timestamp(h.datum) as tsdatum,
							b.t1, b.t1_es, b.t1_pr,
							b.t2, b.t2_es, b.t2_pr,
							b.t3, b.t3_es, b.t3_pr,
							b.t4, b.t4_es, b.t4_pr,
							b.erl_fb, b.fertig_pers_id,
							date_format(b.erl_fb_time, '%d.%m.%Y %H:%i') as erl_fb_time,
							date_format(b.fertig_time, '%d.%m.%Y %H:%i') as fertig_time
							from tb_hp h
							left join tb_pb b using (hp_id)
							where h.hp_id = '$h_id';");

		$titel = 'Projektbericht';

		$footer = $titel . ' - ' . $pro->nummer();

		$this->AddPage();

		$this->SetY(25);
		$this->SetFont('stw', '', 18);
		$this->Cell(180, $zh, $titel,0,1);

		$this->Ln($zh);

		$y = $this->GetY();

		$this->SetFont('Arial', 'B', 11);
		$this->Cell(30, $zh, 'Projekt:');
		$this->Cell(50, $zh, $pro->nummer());
		$this->Cell(40, $zh, 'fertig:',0,0,'R');
		$this->SetFont('Arial', '', 11);
		$this->Cell(30, $zh, pers_kname($pb['fertig_pers_id']).' '.$pb['fertig_time'],0,1);

		$this->SetFont('Arial', 'B', 11);
		$this->Cell(30, $zh, 'Mitarbeiter:');
		$this->SetFont('Arial', '', 11);
		$this->Cell(50, $zh, pers_name($pb['pers_id']));
		$this->SetFont('Arial', 'B', 11);
		$this->Cell(40, $zh, 'Kenntnisnahme FB:',0,0,'R');
		$this->SetFont('Arial', '', 11);
		$this->Cell(30, $zh, pers_kname($pb['erl_fb']).' '.$pb['erl_fb_time'],0,1);

		$this->SetFont('Arial', 'B', 11);
		$this->Cell(30, $zh, 'Datum:');
		$this->SetFont('Arial', '', 11);
		$this->Cell(50, $zh, $pb['datum'],0,1);

		$y1 = $this->GetY();

		if ($pro->knz1 == 1 || $pro->knz2 == 1) {
			$this->SetXY(115,$y);
			$this->SetFont('Arial', 'B', 11);
			$this->Cell(20,$zh,'Kennzahl','L',2);

			$titel = ($pro->knz1 == 1) ? 'LOM:' : 'IXP:';

			if ($pro->knz1 == 1) {
				$monat = date('n',$pb['tsdatum']);
				$vormonat = $monat==1 ? 12 : $monat-1;
				$jahr = date('Y',$pb['tsdatum']);
				$vmjahr = $monat==1 ? $jahr-1 : $jahr;
				$ts_vm = mktime(0,0,0,$vormonat,1,$vmjahr);
				// Anzahl LOM-Einsaetze ermitteln
				$sql  = "select count(l.lom_id) from tb_lom l ";
				$sql .= "left join tb_termine t using (termin_id) ";
				$sql .= "where year(t.von) = '$vmjahr' ";
				$sql .= "and month(t.von) = '$vormonat' ";
				$sql .= "and year(t.bis) = '$vmjahr' ";
				$sql .= "and month(t.bis) = '$vormonat' ";
				$sql .= "and action < 3 ";
				$eins = abfrage($sql);
				$nocheins = abfrage($sql . "and action='2'");
				$kennzahl = strftime('%B %Y - ', $ts_vm) . $eins[0] . utf8_decode(" Einsätze ($nocheins[0] regional)");
				$sql  = "select count(l.lom_id) from tb_lom l ";
				$sql .= "left join tb_termine t using (termin_id) ";
				$sql .= "where year(t.von) = '$jahr' ";
				$sql .= "and month(t.von) = '$monat' ";
				$sql .= "and year(t.bis) = '$jahr' ";
				$sql .= "and month(t.bis) = '$monat' ";
				$sql .= "and action < 3 ";
				$zwei = abfrage($sql);
				$nochzwei = abfrage($sql . "and action='2'");
				$kennzahl2 = strftime('%B %Y - bisher ', $pb['tsdatum']) . $zwei[0] . " ($nochzwei[0] regional)";

			} elseif ($pro->knz2 == 1) {
				// Anzahl der Auftraggeber fuer IXP-Projekte (ausser 2100) ermitteln
				$sql  = "select count(ko.kont_id) ";
				$sql .= "from tb_projekte pro ";
				$sql .= "left join tb_kontakte_ap ap on pro.ap_id = ap.ap_id ";
				$sql .= "left join tb_kontakte ko on ap.kont_id = ko.kont_id and ko.kh_id='0' ";
				$sql .= "left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id ";
				$sql .= "where ha.hilfeart = 'IXP' ";
				$sql .= "and (pro.ende is null or pro.ende = '0000-00-00' ";
				$sql .= "or to_days(pro.ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY))) ";
				$sql .= "and pro.projektnr != '2100' ";
				$sql .= "group by ha.hilfeart;";
				$zahl_ag = abfrage($sql);

				$sql  = "select count(pro.proj_id) ";
				$sql .= "from tb_projekte pro ";
				$sql .= "left join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id ";
				$sql .= "where ha.hilfeart = 'IXP' ";
				$sql .= "and (pro.ende is null or pro.ende = '0000-00-00' ";
				$sql .= "or to_days(pro.ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY))) ";
				$sql .= "and pro.projektnr != '2100' ";
				$sql .= "group by pro.hilfeart_id;";
				$zahl_pro = abfrage($sql);

				$kennzahl = $zahl_ag[0] . ' Schulen, ' . $zahl_pro[0] . ' Projekte';
			}

			$this->Cell(12,$zh,$titel,'L');
			$this->SetFont('Arial', '', 11);
			$this->Cell(80,$zh,$kennzahl,0,2);
			if(isset($kennzahl2)) {
				$this->Cell(80,$zh,$kennzahl2,0,2);
			}
		}

		$this->SetXY(15,$y1 + $zh);

		$felder[] = array(1, 'Gesamtsituation / wesentliche Vorkommnisse');
		$felder[] = array(2, 'Schwerpunkte, Fortschritte, Ergebnisse');
		$felder[] = array(3, 'Chancen - Risiken (Konsequenzen, Perspektiven, Prognosen)');
		$felder[] = array(4, 'Die wichtigsten Schritte im n&auml;chsten Berichtszeitraum');

		foreach ($felder as $feld){
			$this->SetFont('Arial', 'B', 11);
			$this->Cell(5, $zh, $feld[0] . '.',0,0,'C');
			$this->Cell(120, $zh, html_entity_decode($feld[1]));
			$this->Cell(30, $zh, utf8_decode("Einschätzung"),0,0,'C');
			$this->Cell(20, $zh, 'Prognose',0,1,'C');
			$this->SetFont('Arial', '', 11);
			$y = $this->GetY();
			$this->Cell(125,$zh,'');
			$this->Cell(30,$zh,nr2txt($pb["t$feld[0]_es"]),0,0,'C');
			$this->Cell(20,$zh,nr2txt($pb["t$feld[0]_pr"]),0,0,'C');
			$this->SetXY(20,$y);
			$this->MultiCell(120,4.5,$pb["t$feld[0]"]);
			$this->Ln($zh);
		}
		$anfang = abfrage( "select unix_timestamp(von) from tb_pb_zr 
							where proj_id='$pro->id' and unix_timestamp(von)<={$pb['tsdatum']} 
							order by von desc limit 1");
		$last = abfrage("select unix_timestamp(datum) from tb_hp 
						where proj_id='$pro->id' and hp_art='pb' 
						and unix_timestamp(datum)<'{$pb['tsdatum']}' 
						and unix_timestamp(datum)>='{$anfang[0]}' 
						order by datum desc limit 1");
		$sql_beg = empty($last[0]) ? $anfang[0] : $last[0];
		$sql_end = date_tstime($pb['tsdatum'], '23:59');
		$nachs = abfrage1( "select unix_timestamp(n.sent) as sent_ts, n.* from tb_nachr n 
							where (proj_id='$pro->id' or nachr_id in (
								select id from tbh_postzuordnung where posttyp='n' and id2='$pro->id' and typ='p'
							)) and unix_timestamp(n.sent) >= '$sql_beg' and unix_timestamp(n.sent) <= '$sql_end'
							order by sent asc" );
		if(mysql_num_rows($nachs) > 0) {
			$this->SetFont('Arial', 'B', 11);
			$this->Cell(180,$zh,'Nachrichten im Projektberichtszeitraum',0,1);
			$this->SetFont('Arial', '', 11);
			while($nachr = mysql_fetch_array($nachs)) {
				$txt = $nachr['text'];
				$tels = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='{$nachr['nachr_id']}'");
				if(mysql_num_rows($tels) > 0) {
					$tel = mysql_fetch_array($tels);
					$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
					if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
					if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
					$text .= "<br />";
					if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
					if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
					if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
					if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
					if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
					if($tel['war_da'] == 'j') $text .= "(war da) ";
					if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
					$txt = "$text\n$txt";
				}
				$txt = str_replace("\n"," ",$txt);
				$txt = str_replace("<br>","\n",$txt);
				$txt = str_replace("<br />","\n",$txt);
				$txt = str_replace("</div>","\n",$txt);
				$txt = str_replace("</p>","\n",$txt);
				$txt = strip_tags($txt);
				$txt = str_replace(array('&nbsp;', '&lt;', '&gt;'), array(' ', '<', '>'), $txt);
				$this->Cell(30,$zh,date('d.m.Y', $nachr['sent_ts']),0,0,'R');
				$y = $this->GetY()+1;
				$x = 17;
				$this->Rect($x,$y,3,2.4);
				$this->Line($x,$y+0.6,$x+1,$y+1.6);
				$this->Line($x+1,$y+1.6,$x+2,$y+1.6);
				$this->Line($x+2,$y+1.6,$x+3,$y+0.6);
				$this->Cell(2,$zh,'');
				$this->Cell(150,$zh,$nachr['betreff'],0,1);
				$this->MultiCell(180,$zh,$txt,0,'L');
			}
		}
	}
}

$pdf = new Projektbericht('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(true, 25);
$pdf->AliasNbPages();

$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);
$zh = 5;


if ($_GET['print_all'] == 1){
	foreach ($_SESSION[$AppCode]['print_pb'] as $arr1){
		foreach ($arr1 as $p_id => $h_id){
			$pdf->druckePB($p_id, $h_id);
		}
	}
} else {
	$pdf->druckePB($_GET['proj_id'], $_GET['hp_id']);
}
$pdf->Output();
exit;
?>
