<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_personen.php 2734 2017-04-18 17:20:30Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 19);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('L','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');

$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->SetLineWidth('0.1');
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

$projekt = new stwProjekt($rvar_proj_id);

$footer = "Liste weiterer Personen Projekt " . $projekt->nummer();

$pdf->AddPage();

$rh = 4.5;
$rh2 = 4;

$pdf->SetFont('Arial','B',12);
$pdf->Cell(70,6,'Liste weiterer Personen','B');

$pdf->SetFont('Arial','B',11);
$pdf->Cell(25,6,'Projekt-Nr.:','B');
$pdf->SetFont('Arial','',11);
$pdf->Cell(50,6,$projekt->nummer(),'B');

$pdf->SetFont('Arial','B',11);
$pdf->Cell(35,6,'Hilfeempfnger:','B');
$pdf->SetFont('Arial','',11);
$pdf->Cell(87,6,$projekt->name());

$pdf->Ln(6);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(123,6,'Name, Vorname (Rolle)',1,0,'C');
$pdf->Cell(30,6,'Mobiltelefon',1,0,'C');
$pdf->Cell(30,6,'Telefon',1,0,'C');
$pdf->Cell(85,6,'Adresse',1,1,'C');

$pdf->SetFont('Arial','',9);

$personen = abfrage1("select pers.name, pers.vorname,
						pers.beschreibung, pers.telmobil, adr.telefon,
						adr.strasse, adr.plz, adr.ort
						from tbh_proj_personen pp
						left join tb_personen pers on pp.person_id = pers.person_id
						left join tb_p_adressen adr on pers.adress_id = adr.adress_id
						where pp.proj_id = '$projekt->id'
						and pp.perstyp_id != 1
						and pers.aktiv = 1
						group by pp.person_id
						order by pers.name asc, pers.vorname asc;");

while ($person = mysql_fetch_assoc($personen)){
	$txt = $person['name'];
	if($txt && $person['vorname']) $txt .= ', ';
	$txt .= $person['vorname'];
	if($person['beschreibung']) $txt .= ' (' . $person['beschreibung'] . ')';
	$pdf->Cell(123,$rh,$txt,1);
	$pdf->Cell(30,$rh,$person['telmobil'],1);
	$pdf->Cell(30,$rh,$person['telefon'],1);
	$pdf->Cell(85,$rh,$person['strasse'] . ' ' . $person['plz'] . ' ' . $person['ort'],1,1);
}

$pdf->Output();
exit;
?>
