<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_re.php 2828 2018-01-11 10:30:20Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 25;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = 'mandant/' . $_SESSION[$AppCode]['TR'] . '/pdf_1.inc.php';
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->SetAutoPageBreak(true,25);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

//$no_ds = true;
$footer = "Reflexion";

$pdf->AddPage();

$pdf->SetFont('stw','',16);
$titel = "Qualittssicherung Reflexion";
$pdf->Text(15,27,$titel);

$hp = abfrage("select hp_art,
				datum,
				and_datum,
				pers_id,
				proj_id,
				unix_timestamp(datum),
				unix_timestamp(and_datum),
				datum_n,
				prognose, 
				teilnehmer, 
				hpv_form
				from tb_hp where hp_id = $rvar_hp_id");
$re = abfrage("select * from tb_hp_re where hp_id = $rvar_hp_id");

if(!empty($hp[2]) && $hp[2] != '0000-00-00') $heute = $hp[2];
elseif(!empty($hp[7]) && $hp[7] != '0000-00-00') $heute = $hp[7];
else $heute = date("Y-m-d");

$projekt = &new stwProjekt($hp[4]);

$pdf->SetFont('stw','',10);
$ersteller = pers_kname($hp[3]);
$erstellt = date_my2gr($hp[1]);
$pdf->SetXY(100,22);
$pdf->Cell(26,4,"erstellt am",0,0,'R');
$pdf->Cell(30,4,"$erstellt durch $ersteller");
$pdf->SetXY(100,26);
if($hp[6] > 0) $durchgef = date_my2gr($hp[2]);
else $durchgef = '______________';
$pdf->Cell(26,4,"am",0,0,'R');
$pdf->Cell(30,4,"$durchgef durchgefhrt");
if ($projekt->fb > 0){
	$pdf->SetXY(120,10);
	$pdf->SetFont('arial', 'b', 10);
	$pdf->Cell(26,4,"Fachberater:",0,0,'R');
	$pdf->SetFont('arial', '', 10);
	$pdf->Cell(30,4,pers_kname($projekt->fb));
}
if ($projekt->ende_ts() > 0){
	$pdf->SetXY(120,31);
	$pdf->SetFont('arial', 'b', 10);
	$pdf->Cell(26,4,$projekt->befristung ? 'Befristung:' : 'Projekt-Ende:',0,0,'R');
	$pdf->SetFont('arial', '', 10);
	$pdf->Cell(30,4,$projekt->ende());
}
$pdf->SetFont('stw','',16);
$pdf->Text(15,34, $re[21]==1 ? "betrifft KINDESWOHLGEFHRDUNG!" : ("Prioritt :" . ($re[1]+1)));
$pdf->SetFont('stw','',10);

$next1 = abfrage("select date_format(min(datum), '%d.%m.%Y')
				from tb_hp
				where proj_id = '$projekt->id'
				and datum > '$heute'
				and (hp_art = 'h' or hp_art = 'h2');");
if (empty($next1[0]) || $next1[0]=='00.00.0000'){
	$next2 = abfrage("select date_format(min(datum_n), '%d.%m.%Y')
					from tb_hp
					where proj_id = '$projekt->id'
					and datum_n > '$heute'
					and (hp_art = 'h' or hp_art = 'h2');");
	$next_dat = (empty($next2[0]) || $next2[0]=='00.00.0000') ? "fehlt!" : $next2[0];
} else {
	$next_dat = $next1[0];
}

$kont = $projekt->kontaktst($heute);
$widths = $kont ? array(29,23,13) : array(30,25,15);
$pdf->SetLineWidth(0.3);
if($projekt->fallbegleitung($heute)) {
	$pdf->SetXY(170,36);
	$pdf->SetFont('Arial','',10);
	$pdf->SetFillColor(0);
	$pdf->SetTextColor(255,255,255);
	$pdf->Cell(26,4,"Fallbegleitung",1,1,'C',true);
	$pdf->SetFillColor(255,255,255);
	$pdf->SetTextColor(0);
}
$pdf->SetFont('stw','',10);
$pdf->SetXY(15,40);
$pdf->Cell(28,7,"Projekt-Nr.",1,0,'C',0);

$sql = "select t3.personaltyp, left(t1.vorname,1), t1.name from tb_personal t1
        left join tbh_pers_proj t2 using (pers_id)
        left join tb_personaltyp t3 using (personaltyp_id)
        where t2.proj_id = '$hp[4]' order by t2.personaltyp_id limit 4";
$res = abfrage1($sql);
$i = 0;
$weitere_betreuer = array();
while ($betr = mysql_fetch_row($res)){
	if(2 > $i++) $pdf->Cell($widths[0],7,$betr[0],1,0,'C',0);
	else $weitere_betreuer[ $betr[0] ] = $betr[1]. ". " . $betr[2];
}
mysql_data_seek($res, 0);
$pdf->Cell($widths[1],7,"betreut seit",1,0,'C',0);
$pdf->Cell($widths[1],7,"letzte RE",1,0,'C',0);
$ts1 = $hp[6] == 0 ? $hp[5] : min($hp[5], $hp[6]);
$ts2 = max($hp[5], $hp[6]);
$kwg = abfrage("select hp_id, ressourcen, date_format(datum, '%d.%m.%Y'), hpv_form
				from tb_hp where hp_art = 'k'
				and proj_id = '$projekt->id' and unix_timestamp(datum) <= '$ts2'
				and (and_datum is null or unix_timestamp(and_datum) >= '$ts1');");
if(!empty($kwg[0])) {
	$pdf->SetXY($pdf->GetX(),36);
	$pdf->SetFont('Arial','',10);
	$pdf->SetFillColor(0);
	$pdf->SetTextColor(255,255,255);
	$pdf->Cell($widths[1],4,"KWG",1,2,'C',true);
	$pdf->SetFillColor(255,255,255);
	$pdf->SetTextColor(0);
	$pdf->SetFont('Arial','b',10);
	$pdf->Text(170.1,37,"KSF:");
	$pdf->SetFont('Arial','',10);
	$pdf->Text(170.1,39.7,pers_kname($kwg[3]));
	$pdf->SetFont('stw','',10);
}
$pdf->Cell($widths[1],7,"nchst. HP",1,0,'C',0);
$pdf->Cell($widths[2],7,"FLS",1,0,'C',0);
if($kont) $pdf->Cell($widths[2],7,"KLS",1,0,'C',0);
$pdf->SetFont('Arial','',10);
$pdf->SetxY(15,47);
$pnr = $projekt->nummer();
$pdf->Cell(28,7,$pnr,1,0,'C',0);
$i = 0;
while ($betr = mysql_fetch_row($res)){
	$betreuer = $betr[1]. ". " . $betr[2];
	if(2 > $i++) $pdf->Cell($widths[0],7,$betreuer,1,0,'C',0);
}
if($projekt->beginn_ts() == 0) {
	$beginn = abfrage("select beginn from tb_projekte where proj_id = '$projekt->id'");
	$beg = date_my2gr($beginn[0]);
} else {
	$beg = $projekt->beginn();
}
$pdf->Cell($widths[1],7,$beg,1,0,'C',0);

$last = abfrage("select and_datum, unix_timestamp(and_datum) from tb_hp where proj_id = '$projekt->id'
				 and and_datum < '$heute' and hp_art = 'r' order by and_datum desc limit 1;");
$seit = round((mktime() - (($last[1] > 0) ? $last[1] : $projekt->beginn_ts())) / (60*60*24*7) , 0);
if($last[1] > 0){
	$lt = date_my2gr($last[0]);
	$x = $pdf->GetX() + $widths[1];
	$y = $pdf->GetY();
	$pdf->SetFont('Arial','',9);
	$pdf->Multicell($widths[1],3.5,"$lt\n($seit W)",1,'C');
	$pdf->SetFont('Arial','',10);
	$pdf->SetXY($x, $y);
}else{
	$pdf->Cell($widths[1],7,"($seit W)",1,0,'C',0);
}

$pdf->Cell($widths[1],7,$next_dat,1,0,'C',0);

$pdf->Cell($widths[2],7,fls_form($projekt->wost_f($heute)),1,0,'C',0);
if($kont) $pdf->Cell($widths[2],7,fls_form($projekt->wost_kontaktstunden($heute)),1,0,'C',0);

/* weitere Betreuer*/
$pdf->SetXY(15,38);
foreach($weitere_betreuer as $w => $b) {
	$pdf->SetFont('arial', 'b', 10);
	$pdf->Write($zh, "$w: ");
	$pdf->SetFont('arial', '', 10);
	$pdf->Write($zh, "$b   ");
}

$pdf->SetFont('stw','',10);
$pdf->setXY(15,54);

$pdf->SetLineWidth(0.1);

if ($hp[5] < mktime(0,0,0,4,1,2006)){
	$pdf->Cell(110,5,'aktuelles Ziel im Hilfeplan', 0, 1);

	$swp = abfrage("select max(datum) from tb_hp
	        where proj_id = '$projekt->id' and hp_art='h' group by proj_id");

	$lzt = abfrage("select ziele from tb_hp
	        where datum = '$swp[0]' and proj_id = '$projekt->id'
	        and hp_art='h' group by proj_id");
	$pdf->SetFont('Arial','',8);
	$pdf->MultiCell(110,4,$lzt[0],0,'L');

} else {
	$pdf->Cell(110,5,'bergeordnetes Ziel der Hilfe (Minimalkonsens)',0,1);
	$sql = "SELECT t1.minimalkonsens
			FROM tb_hp_eg t1
			INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		  	WHERE t2.proj_id = '$projekt->id';";
	$mk = abfrage($sql);

	$pdf->SetFont('Arial','',8);
	$pdf->MultiCell(110,4,$mk[0],0,'L');
	$pdf->Ln(0);

	$pdf->SetFont('stw','',10);
	$pdf->Cell(110,5,'aktuelle Praxisziele im Hilfeplan', 'T', 1);

	$pzs = abfrage1("select nummer, ziel
					from tb_hp_praxisziele z
					inner join tb_hp h using (hp_id)
					where h.proj_id = '$projekt->id'
					and LE = '1'
					and HE = '1'
					and ASD = '1'
					and (erledigt is null or unix_timestamp(erledigt) >= '$hp[5]' or erledigt = '0000-00-00')
					order by nummer asc;");
	$pdf->SetFont('Arial','',9);
	while ($pz = mysql_fetch_row($pzs)){
		$pdf->Cell(5,4,"$pz[0].", 0,0,'R');
		$pdf->MultiCell(105,4,$pz[1],0,'L');
		$pdf->Ln(0);
	}

	$pzs = abfrage1("select nummer, ziel
					from tb_hp_praxisziele z
					inner join tb_hp h using (hp_id)
					where h.proj_id = '$projekt->id'
					and LE = '1'
					and HE = '1'
					and ASD = '0'
					and (erledigt is null or unix_timestamp(erledigt) >= '$hp[5]' or erledigt = '0000-00-00')
					order by nummer asc;");
	$pdf->SetFont('Arial','i',9);
	while ($pz = mysql_fetch_row($pzs)){
		$pdf->Cell(5,4,"$pz[0].", 0,0,'R');
		$pdf->MultiCell(105,4,$pz[1],0,'L');
		$pdf->Ln(0);
	}
}

$y1 = $pdf->GetY();
$pdf->setXY(125,54);

if(!empty($kwg[0])) {
	$pdf->SetFont('stw','',9.5);
	$pdf->Cell(70,5,"Anlass Kindeswohlgefhrdung ($kwg[2])", 0, 2);
	$pdf->SetFont('Arial','',8);
	$pdf->MultiCell(70,4,strCut($kwg[1],700));
	$pdf->setXY(125,$pdf->getY()+2);
}
$pdf->SetFont('stw','',10);
$pdf->Cell(70,5,' weitere Personen', 0, 2);

$perss = abfrage1("select t2.vorname, t2.name, t2.beschreibung, t2.notizen
			        from tbh_proj_personen t1
			        left join tb_personen t2 using(person_id)
			        where t1.proj_id = $projekt->id
			        and t1.perstyp_id != 1
			        and t2.aktiv = 1
					group by t1.person_id
			        order by t1.perstyp_id asc, t2.vorname, t2.name asc;");

$pdf->SetFont('Arial','',8);
while ($pers = mysql_fetch_row($perss)){
	$text = '- ';
	if (strlen($pers[0]) > 0){
		$text .= $pers[0];
	}
	if (strlen($pers[1]) > 0){
		$text .= " ". $pers[1];
	}
	if (strlen($pers[2]) > 0){
		$text .= ", ". $pers[2];
	}
	if (strlen($pers[3]) > 0){
		$text .= ", ". $pers[3];
	}
	$pdf->Cell(70,4,$text,0,2,'L');
}

$y2 = $pdf->GetY();

if ($y2 > $y1){
	$y = $y2;
} else {
	$y = $y1;
}

$pdf->SetLineWidth(0.1);
$pdf->Line(125,59,125,$y);

$sql = "select date_format(and_datum, '%d.%m.%Y'),
		unix_timestamp(and_datum), hp_id,
		unix_timestamp(datum_n), date_format(datum_n, '%d.%m.%Y')
		from tb_hp where proj_id = '$projekt->id'
		and (and_datum < '$heute' or and_datum IS NULL and datum_n < '$heute')
		and hp_art = 'r' 
		order by IF(and_datum='0000-00-00', datum_n, and_datum) desc, datum desc
		limit 1;";
$last = abfrage($sql);
if($last[1] > 0 || $last[3] > 0) {
	$reflex = abfrage("select prozess, fok_g, fok_s, fok_h, ergebnis from tb_hp_re where hp_id='$last[2]'");
	if(!empty($reflex[0]) || !empty($reflex[1]) || !empty($reflex[2]) || !empty($reflex[3]) || !empty($reflex[4])) {
		$pdf->Line(15,$y,195,$y);
		$y += 2;
		$pdf->SetFont('stw','',11);
		$pdf->setxY(15,$y);
		$vom = $last[1]>0 ? "(vom $last[0]) " : "(Ergebnis eingetragen am $last[4])";
		$pdf->Write(4, "Ergebnis letzte Reflexion $vom:  ");
		$ueberschrift = array('Prozessreflexion', 'Fokus Gruppe', 'Fokus Moderator/Supervisor', 'Fokus Hauptbetreuer', 'Ergebnis');
		for($i=0; $i<5; $i++) {
			if(!empty($reflex[$i])) {
				$pdf->SetFont('Arial','b',8);
				$pdf->Write(4,$ueberschrift[$i].": ");
				$pdf->SetFont('Arial','',8);
				$pdf->Write(4,str_replace(array("\r\n", "\r", "\n"), ' ', $reflex[$i])."  ");
			}
		}
		$y = $pdf->GetY() + 6;
	}
}
$pdf->Rect(15,$y,183,1,'F');
$y += 2;
$pdf->SetFont('stw','',11);
$pdf->setxY(15,$y);
$pdf->Write(4, 'Fragestellung :  ');
$pdf->SetFont('Arial','',10);
$pdf->Write(4,$re[2]);

$y = $pdf->GetY() + 6;
$pdf->Line(15,$y,195,$y);
$y += 2;
$pdf->SetFont('stw','',11);
$pdf->setxY(15,$y);
$pdf->Write(4, 'Besonderheiten/Wnsche :  ');
$pdf->SetFont('Arial','',9);
$pdf->Write(4,$re[3]);

$y = $pdf->GetY() + 6;
if($y > 250) {
	$pdf->AddPage();
	$y = $pdf->GetY();
}

$y1 = $y;
$y2 = $y1 + 5;
$y3 = $y2 + 5;
$y4 = $y3 + 5;

$pdf->SetFont('stw','',10);
$pdf->SetXY(15,$y1);
$pdf->Cell(20,5,"Wunsch",1,2,'C',0);
$pdf->Cell(20,5,"Prioritt 1",1,2,'L',0);
$pdf->Cell(20,5,"Prioritt 2",1,2,'L',0);
$pdf->Cell(20,5,"Prioritt 3",1,0,'L',0);

$pdf->SetXY(35,$y1);
$pdf->Cell(32,5,"Struktur",1,0,'C',0);
$pdf->Cell(32,5,"Fokus",1,0,'C',0);
$pdf->Cell(32,5,"Methode",1,0,'C',0);
if($re[4] != 10) {
	$pdf->Cell(32,5,"Moderator",1,0,'C',0);
	$pdf->Cell(32,5,"Teilnehmer",1,0,'C',0);
}
$pdf->SetFont('Arial','',9);

$pdf->SetXY(35,$y2);
$erg = abfrage("select name from tb_re_strukt where strukt_id = '$re[4]'");
$pdf->Cell(32,5,$erg[0],1,0,'C',0);
$fokus = abfrage("select fokus from tb_re_fokus where fokus_id = $re[18];");
$pdf->Cell(32,5,$fokus[0],1,0,'C',0);
$erg = abfrage("select name from tb_re_method where method_id = '$re[7]'");
$pdf->Cell(32,5,$erg[0],1,0,'C',0);
if($re[4] != 10) {
	if($projekt->fb == $re[10]) $pdf->SetFont('Arial','b',9);
	($re[10] > 0) ? $name = pers_kname($re[10]) : $name = "";
	$pdf->Cell(32,5,$name,1,0,'C',0);
	$pdf->SetFont('Arial','',9);
	if($projekt->fb == $re[15]) $pdf->SetFont('Arial','b',9);
	($re[15] > 0) ? $name = pers_kname($re[15]) : $name = "";
	$pdf->Cell(32,5,$name,1,0,'C',0);
	$pdf->SetFont('Arial','',9);
}
$pdf->SetXY(35,$y3);
$erg = abfrage("select name from tb_re_strukt where strukt_id = '$re[5]'");
$pdf->Cell(32,5,$erg[0],1,0,'C',0);
$fokus = abfrage("select fokus from tb_re_fokus where fokus_id = $re[19];");
$pdf->Cell(32,5,$fokus[0],1,0,'C',0);
$erg = abfrage("select name from tb_re_method where method_id = '$re[8]'");
$pdf->Cell(32,5,$erg[0],1,0,'C',0);
if($re[4] != 10) {
	if($projekt->fb == $re[11]) $pdf->SetFont('Arial','b',9);
	($re[11] > 0) ? $name = pers_kname($re[11]) : $name = "";
	$pdf->Cell(32,5,$name,1,0,'C',0);
	$pdf->SetFont('Arial','',9);
	if($projekt->fb == $re[16]) $pdf->SetFont('Arial','b',9);
	($re[16] > 0) ? $name = pers_kname($re[16]) : $name = "";
	$pdf->Cell(32,5,$name,1,0,'C',0);
	$pdf->SetFont('Arial','',9);
}
$pdf->SetXY(35,$y4);
$erg = abfrage("select name from tb_re_strukt where strukt_id = '$re[6]'");
$pdf->Cell(32,5,$erg[0],1,0,'C',0);
$fokus = abfrage("select fokus from tb_re_fokus where fokus_id = $re[20];");
$pdf->Cell(32,5,$fokus[0],1,0,'C',0);
$erg = abfrage("select name from tb_re_method where method_id = '$re[9]'");
$pdf->Cell(32,5,$erg[0],1,0,'C',0);
if($re[4] != 10) {
	if($projekt->fb == $re[12]) $pdf->SetFont('Arial','b',9);
	($re[12] > 0) ? $name = pers_kname($re[12]) : $name = "";
	$pdf->Cell(32,5,$name,1,0,'C',0);
	$pdf->SetFont('Arial','',9);
	if($projekt->fb == $re[17]) $pdf->SetFont('Arial','b',9);
	($re[17] > 0) ? $name = pers_kname($re[17]) : $name = "";
	$pdf->Cell(32,5,$name,1,0,'C',0);
	$pdf->SetFont('Arial','',9);
}

if($re[4] == 10) {
	$pdf->SetFont('stw','',16);
	$pdf->SetXY(132,$y1);
	$pdf->SetFillColor(0);
	$pdf->SetTextColor(255,255,255);
	$pdf->Cell(63,10,"KleinTEAM",1,2,'C',true);
	$pdf->Cell(63,10,"Fachberater",1,2,'C',true);
	$pdf->SetFillColor(255,255,255);
	$pdf->SetTextColor(0);
	$pdf->SetFont('Arial','',9);
}

$y = $y4 + 5 + 2;
if($y > 250) {
	$pdf->AddPage();
	$y = $pdf->GetY();
}

if(!empty($re[13])) {
	$pdf->SetFont('stw','',10);
	$pdf->SetXY(15,$y);
	$pdf->Cell(50,5,"Moderator Wunsch extern :",1,0,'L',0);
	$pdf->Cell(70,5,$re[13],1,1,'L',0);
	$y += 9;
}


if (strlen($re[22]) > 0 || strlen($re[23]) > 0 || strlen($re[24]) > 0 ||
	 strlen($re[25]) > 0 || strlen($re[26]) > 0){

	$pdf->Ln(4);
	$pdf->SetFont('stw','',12);
	$pdf->Cell(180,5,'Ergebnisse :',0,1);
	$pdf->Ln(5);
	$pdf->SetFont('stw','',10);
	$pdf->Cell(180,5,'Prozessreflexion :', 'T',1);
	$pdf->SetFont('Arial','',10);
	$pdf->MultiCell(180, 4, $re[22]);

	$pdf->Ln(5);
	$pdf->SetFont('stw','',10);
	$pdf->Cell(180,5,'Fokus Gruppe :', 'T',1);
	$pdf->SetFont('Arial','',10);
	$pdf->MultiCell(180, 4, $re[23]);

	$pdf->Ln(5);
	$pdf->SetFont('stw','',10);
	$pdf->Cell(180,5,'Fokus Hauptbetreuer :', 'T',1);
	$pdf->SetFont('Arial','',10);
	$pdf->MultiCell(180, 4, $re[25]);

	$pdf->Ln(5);
	$pdf->SetFont('stw','',10);
	$pdf->Cell(180,0.1,'','T',1);
	$pdf->Cell(55,5,'Fokus Moderator/Supervisor :');
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(55,5,is_numeric($hp[9]) ? pers_kname($hp[9]) : $hp[9]);
if(!empty($kwg[0])) {
	$pdf->SetFont('stw','',10);
	$pdf->Cell(10,5,"KSF:");
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(15,5,pers_kname($hp[10]));
}
	$pdf->Ln(5);
	$pdf->SetFont('Arial','',10);
	$pdf->MultiCell(180, 4, $re[24]);

	$pdf->Ln(5);
	$pdf->SetFont('stw','',10);
	$pdf->Cell(180,5,'Ergebnis :', 'T',1);
	$pdf->SetFont('Arial','',10);
	$pdf->MultiCell(180, 4, $re[26]);

} else {
	$pdf->SetFont('stw','',10);
	$pdf->Rect(15,$y,183,1,'F');
	$y += 2;
	$pdf->SetXY(15,$y);
	$pdf->Cell(180,5,'Ergebnisse (evtl. Rckseite verwenden)',0,2, 'L');

	$pdf->Cell(35,5,"Blickwinkel:",'B',2,'L',0);
	$pdf->Cell(40,5,"Prozessreflexion",0,0,'L',0);
	$pdf->Cell(40,5,"Fokus Gruppe",0,0,'L',0);
	$pdf->Cell(45,5,"Fokus Moderator/Supervisor",0,0,'L',0);
	$pdf->Cell(55,5,"Fokus Hauptbetreuer",0,0,'R',0);
}

$pdf->Output();
exit;
?>
