<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_rechnung.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 19);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, 'de_DE@euro');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$rh = 4;

$datum = mktime(0,0,0,date("m"),date("d"),date("Y"));
$von = date("d.m.Y", mktime(0,0,0,date("m", $datum) - 1, 25, date("Y")));
$bis = date("d.m.Y", mktime(0,0,0,date("m", $datum) + 1, date("t", $datum) + 1, date("Y")));

if(isset($_GET['pra'])) {
	$pra_rng = abfrage("select nr_von, nr_bis, kname from tb_projektart where pra_id = '{$_GET['pra']}';");
	if($_GET['pra'] == 11) {
		if($_GET['vertr']==1) $pra_rng[0] = 18000;
		else $pra_rng[1] = 17999;
	}
	$and = "AND t1.projektnr >= '$pra_rng[0]' AND t1.projektnr <= '$pra_rng[1]'";
	$titel = " " . $pra_rng[2];
} else {
	$and = $titel = '';
}

$footer = "Klientenliste$titel fr Rechnungslegung ($von - $bis)";

$pdf->AddPage();

$pdf->SetFont('stw','',14);
$pdf->Text(15,30,$footer);

$y_axis = 35;

// berschriften
$pdf->SetLineWidth('0.3');
$pdf->SetFont('arialb','',7);
$pdf->SetFillColor(232,232,232);
$pdf->SetY($y_axis);
$pdf->SetX(15);
$pdf->Cell(20,$rh,'Projekt-Nr.',1,0,'C',0);
$pdf->Cell(35,$rh,'Name',1,0,'C',0);
$pdf->Cell(10,$rh,'Std',1,0,'C',0);
$pdf->Cell(13,$rh,'Beginn',1,0,'C',0);
$pdf->Cell(13,$rh,'Ende',1,0,'C',0);
$pdf->Cell(13,$rh,'Kostenz.',1,0,'C',0);
$pdf->Cell(70,$rh,'nderungen',1,0,'C',0);

$pdf->SetFont('arial','',6);
$pdf->SetLineWidth('0.1');

$y_axis = 35;
$rh = 4;
$pdf->SetDrawColor(0,0,0);


$datum = mktime(0,0,0,date("m"),date("d"),date("Y"));
$from = date("Y-m-d", mktime(0,0,0,date("m", $datum) - 1, 25, date("Y")));
$to = date("Y-m-d", mktime(0,0,0,date("m", $datum) + 1, date("t", $datum) + 1, date("Y")));


if(isset($rvar_rsort) && $rvar_rsort == 'name'){
	
	$sql = "select t1.proj_id, t1.beginn, t1.ende, t1.kostenzus, t1.projektnr,
        	t3.kurzname from tb_projekte t1
	        left join tb_kontakte_ap t2 using(ap_id)
	        left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
		left join tb_hilfeart t4 on t1.hilfeart_id = t4.hilfeart_id
		left join tbh_proj_personen t5 on t1.proj_id = t5.proj_id
		left join tb_personen t6 on  t5.person_id =t6.person_id
		where (ende is null or ende = '0000-00-00' or ende > '$from')
		and t4.hilfeart != 'ALG'
		and t4.hilfeart != 'LOM'
		and t4.hilfeart != 'VER' $and
	        group by t1.proj_id order by t6.name asc";
}else{
	//in allen anderen Fllen wird wie bisher nach NR sortiert
	$sql = "select t1.proj_id, t1.beginn, t1.ende, t1.kostenzus, t1.projektnr,
        	t3.kurzname from tb_projekte t1
	       	left join tb_kontakte_ap t2 using(ap_id)
	       	left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
		left join tb_hilfeart t4 on t1.hilfeart_id = t4.hilfeart_id
	        where (ende is null or ende = '0000-00-00' or ende > '$from')
		and t4.hilfeart != 'ALG'
		and t4.hilfeart != 'LOM'
		and t4.hilfeart != 'VER' $and
		order by t1.projektnr asc";
}	

$res = mysql_query($sql) or die(mysql_error());

$y_axis = $y_axis + $rh;

//left join tb_personen t5 using (person_id)
while($row = mysql_fetch_row($res)){
    $projekt = &new stwProjekt($row[0]);

    $vname = $projekt->vname();
    $nname = $projekt->nname();

    $pdf->SetY($y_axis);
    $pdf->SetX(15);

	// Projektnummer
    $dat = $projekt->nummer();
    $pdf->Cell(20,$rh,$dat,1,0,'L',0);

	// Name des Klienten
    $dat = $vname . " " . $nname;
    $pdf->Cell(35,$rh,$dat,1,0,'L',0);

	// aktuelle Wochenstunden
    $dat = $projekt->wost();
    $pdf->Cell(10,$rh,fls_form($dat),1,0,'R',0);

	// Beginn
	$dat = $projekt->beginn();
    $pdf->Cell(13,$rh,$dat,1,0,'L',0);

	// Ende
    if($row[2] != '0000-00-00'){
        $dat = date_my2gr($row[2]);
    } else {
        $dat = "";
    }
    $pdf->Cell(13,$rh,$dat,1,0,'L',0);

	// Kostenzusage
    if($row[3] != '0000-00-00'){
        $dat = date_my2gr($row[3]);
    } else {
        $dat = "";
    }
    $pdf->Cell(13,$rh,$dat,1,0,'L',0);


	// Liste der nderungen im AB-Zeitraum
    $sql = "select hp_id from tb_hp where proj_id = $row[0]
			and hp_art in ('s','h') and prognose = 'n';";
    $res1 = mysql_query($sql) or die(mysql_error());
    if (mysql_num_rows($res1) > 0){
        $dat = abfrage("select max(and_datum) from tb_hp where proj_id = $row[0]
						and hp_art in ('s','h') and prognose = 'n' and and_datum <= '$from'");
        $stu = abfrage("select hp_st from tb_hp where proj_id = $row[0]
						and hp_art in ('s','h') and prognose = 'n' and and_datum = '$dat[0]'");
        $dat = fls_form($stu[0]);
    } else {
        $dat = "";
    }

    $pdf->Cell(10,$rh,$dat,1,0,'R',0);

    $id = $projekt->id;
    $sql = "select and_datum, hp_st from tb_hp
            where proj_id = '$id'
            and and_datum between '$from' and '$to'
            and hp_art in('h','s')
			and prognose = 'n'
            order by and_datum asc";
    $erg = mysql_query($sql) or die(mysql_error());

    while($hp = mysql_fetch_row($erg)){

        $dat = date_my2gr($hp[0]) . ": " . fls_form($hp[1]);
        $pdf->Cell(20,$rh,$dat,1,0,'L',0);



    }

    if(mysql_num_rows($erg) < 3){
        $pdf->Cell(20,$rh,"",1,0,'L',0);
    }
    if(mysql_num_rows($erg) < 2){
        $pdf->Cell(20,$rh,"",1,0,'L',0);
    }
    if(mysql_num_rows($erg) < 1){
        $pdf->Cell(20,$rh,"",1,0,'L',0);
    }
	$y_axis = $y_axis + $rh;
	$pdf->SetXY(15,$y_axis);

	if ($pdf->GetY() > 274){
		$pdf->AddPage();
		$y_axis = 25;
		$pdf->SetXY(15,$y_axis);
	}
}

$pdf->Output();
exit;
?>
