<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_qs.php 2695 2017-02-01 11:42:13Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 30;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");

/* Projekt anlegen */
$projekt = new stwProjekt($rvar_proj_id);

/* wer ins Projekt darf, darf auch die IQS sehen */
if(!check_projekt_berechtigung($rvar_proj_id)) {
	/* pruefen ob Nutzer mit Sonderrechten richtiges Projekt sieht */
	if ($ulv < 61 && $ulv != 47 && !check_nutzer_rechte(27)){
		/* Projektgruppe fuer vorhandene Nummer ermitteln */
		$sql  = "SELECT pra_id FROM tb_projektart ";
		$sql .= "WHERE nr_von <= '".$projekt->nr;
		$sql .= "' AND nr_bis >= '".$projekt->nr."'";
		$erg  = abfrage($sql);

		/* es kann nur noch ein Sonderrecht vorliegen */
		if (!check_nutzer_rechte(27 + $erg[0])){
			/* darf diesen Bereich nicht sehen */
			new stwEnd($seite);
			exit(0);
		}
	}
}
/*
 * Kleine Hilfsfunktion die einzelne Zeilen innerhalb von Tabellen anlegt
 * fuer die Bereiche Stellware, A-Akten, Reflexion und geprueft.
 */
function iqs_tabelle_zeile($ueberschrift, $c_name, $checkbox, $disabled, $tt=""){
	if ($checkbox == "j") $status = "checked"; else $status = "";
	if($tt!="") $tt=stwToolTip($tt);
	echo "<tr><th class=\"cl11\" $tt>$ueberschrift</th>\n";
	echo "<td><input name=\"$c_name\" type=\"checkbox\" ";
	echo "value=\"j\" $status $disabled></td></tr>\n";
}

/* Formular anlegen */
echo "<form method=\"post\" action=\"pro_qssql.php\">\n";
echo "<table>\n";

/* zusaetzliche Informationen ablegen */
echo "<input type=\"hidden\" name=\"hp_art\" value=\"q\">\n";
echo "<input type=\"hidden\" name=\"pers_id\" value=\"$uid\">\n";

/* Sprungziel wenn von index.php kommend setzen */
echo "<input type=\"hidden\" name=\"jump\" value=\"{$_GET["jump"]}\">\n";

if (isset($_GET['eig'])) {
	echo "<input type=\"hidden\" name=\"eig\" value=\"{$_GET['eig']}\">\n";
}

if (isset($_GET['all'])) {
	echo "<input type=\"hidden\" name=\"eig\" value=\"{$_GET['all']}\">\n";
}

if (isset($_GET['pr_gruppe'])) {
	echo "<input type=\"hidden\" name=\"pr_gruppe\" ";
	echo "value=\"{$_GET['pr_gruppe']}\">\n";
}

echo "<tr><th class=\"cl11\">Projekt-Nr.</th>\n";
$verbund_id = abfrage("select verbund_id from tb_pro_verbund where proj_id='$rvar_proj_id' and datetime_bis is NULL");
if(!empty($verbund_id[0])) {
	$prid2 = abfrage("select proj_id from tb_pro_verbund where verbund_id='$verbund_id[0]' and proj_id!='$rvar_proj_id'");
	$tt = stwToolTip("verbundenes Projekt");
	echo "<th class=\"cl1\" $tt><a href=\"pro_daten.php?proj_id=$prid2[0]\">verb. Projekt:</a></th>";
}

echo "<th class=\"cl11\">betreut seit</th>\n";
echo "<th class=\"cl11\">letzte RE</th>\n";
/* naechstes HP */
$co = "#FFCC00";
$ti2 = $ti = '';
$nhp = abfrage("select to_days(datum_n) - to_days(curdate()), datum
				from tb_hp where proj_id = '$rvar_proj_id'
				and hp_art='h2' and datum_n > curdate();");
if(!is_null($nhp[0])) {
	$next_hp = abfrage("select h.hp_id, h.hilfeverlauf from tb_hp h
						where proj_id = '$rvar_proj_id'
						and hp_art='h2' and datum > '$nhp[1]'
						order by datum asc limit 1");
	$blink = is_null($next_hp[0]) ? true : false;
} else $blink = false;
if (!is_null($nhp[0]) && $nhp[0] <= 14){
	$ti2 = $blink ? "<b>Noch kein neuer HP angelegt</b><br>" : "";
	$co = "#FFBB66";
	if(!$blink) {
		if(empty($next_hp[1])) {
			$ti2 = "<b>HP noch nicht vorbereitet</b><br>";
			$blink = true;
		} else {
			$res = abfrage1("SELECT z.* FROM tb_hp_praxisziele z
							 LEFT JOIN tb_hp h USING (hp_id)
							 WHERE h.hp_art = 'h2'
							 AND z.erledigt IS NULL
							 AND z.HE = '1' AND z.LE = '1'
							 AND h.proj_id = '$rvar_proj_id'");
			while($row = mysql_fetch_assoc($res)) {
				$count = abfrage("SELECT COUNT(*) FROM tb_hpvor2
								  WHERE ziel_id = ".$row['id']."
								  AND hp_id = '$next_hp[0]'");
				if($count[0] == 0) {
					$ti2 = "<b>HP noch nicht vorbereitet</b><br>";
					$blink = true;
					break;
				}
			}
		}
	}
	if($blink) $co .= ";text-decoration:blink";
	$ti = "nchstes HP-Gesprch in $nhp[0] Tagen<br>";
	if($blink) $ti .= $ti2;
	$ti .= "<b>Vorlage Fachberater!</b>";
} elseif (!is_null($nhp[0]) && $nhp[0] <= 21 && $blink){
	$co = "#FFFFFF;text-decoration:blink";
	$ti = "nchstes HP-Gesprch in $nhp[0] Tagen<br><b>Noch kein neuer HP angelegt</b>";
} elseif (!is_null($nhp[0]) && $nhp[0] <= 28){
	$co = "#FFFFFF";
	$ti = "nchstes HP-Gesprch in $nhp[0] Tagen";
}
echo "<th class=\"cl11\" style=\"color:$co\"".(empty($ti) ? '' : stwToolTip($ti,false)).">n&auml;chster HP</th>\n";
echo "<th class=\"cl11\">aktuelle FLS</th>\n";
echo "</tr>\n";

echo "<tr><td style=\"padding-right:10px\">\n";
echo $projekt->link();
echo "</a></td>\n";

if(!empty($verbund_id[0])) {
	$proj2 = new stwProjekt($prid2[0]);
	echo "<td style=\"padding-right:10px\">" . $proj2->nummer() . "</td>";
}
$beginn = abfrage("select beginn from tb_projekte where proj_id = '$rvar_proj_id'");
$beg = date_my2gr($beginn[0]);
echo "<td class=\"cl11\">$beg</td>\n";

$last = abfrage("select max(and_datum) from tb_hp where proj_id = '$rvar_proj_id' and hp_art = 'r'");
if($last[0] != '0000-00-00'){
	$lt = date_my2gr($last[0]);
	echo "<td class=\"cl11\">$lt</td>\n";
}else{
	echo "<td class=\"cl11\"></td>\n";
}

$next1 = abfrage("select date_format(min(datum), '%d.%m.%Y')
				from tb_hp
				where proj_id = '$projekt->id'
				and datum > curdate()
				and (hp_art = 'h' or hp_art = 'h2');");
if (empty($next1[0]) || $next1[0]=='00.00.0000'){
	$next2 = abfrage("select date_format(min(datum_n), '%d.%m.%Y')
					from tb_hp
					where proj_id = '$projekt->id'
					and datum_n > curdate()
					and (hp_art = 'h' or hp_art = 'h2');");
	$next_dat = (empty($next2[0]) || $next2[0]=='00.00.0000') ? "fehlt!" : $next2[0];
} else {
	$next_dat = $next1[0];
}echo "<td class=\"cl11\">$next_dat</td>\n";

echo "<td style=\"text-align:center\">";
echo fls_form($projekt->wost());
echo "</td>\n";

echo "</tr></table>\n";

/* rote Trennlinie nach Projektnummer und allgemeine Angaben */
new stwLine(1);

/* es folgen die beiden Daten erstellt und erledigt */
if (isset($rvar_hp_id)) {
	/* die beiden Daten abfragen */
  $sql  = "SELECT hp_art, datum, and_datum FROM tb_hp WHERE hp_id = '";
  $sql .= $rvar_hp_id."'";
  $hp   = abfrage($sql);

  /* alle Eintraege fuer das gezeigte IQS Datenblatt holen */
  $sql  = "SELECT hp_id, adresse, ja_sb, kostenzus, hp_ende, hp_hist, hp_st, ";
  $sql .= "vertretung, weit_betreuer, a_ab, a_hp, a_hp_sign, a_hp_vor, ";
  $sql .= "a_sign, a_daten, gepr_hb, gepr_qss, gepr_iqs, re_mon, ";
  $sql .= "re_wunsch, bericht, bericht2, gepr_hb_datum, gepr_hb_pers_id, ";
  $sql .= "gepr_qss_datum, gepr_qss_pers_id, gepr_iqs_datum, ";
  $sql .= "gepr_iqs_pers_id, pb_vorhanden, a_schweigepflicht, a_mitfahrg, ";
  $sql .= "a_hp_vor_sign, a_eve_ja, a_ag ";
  $sql .= "FROM tb_hp_qs WHERE hp_id = '".$rvar_hp_id."'";
  $re   = abfrage($sql);
}

/* erstell Datum bestimmen */
if (isset($rvar_hp_id)) $dat = date_my2gr($hp[1]); else $dat = date("d.m.Y");
echo "<table>\n";
echo "<tr><th class=\"cl11\">erstellt:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" name=\"datum\" readonly ";
echo "value=\"$dat\"></td>\n";

/*
 * Druckbutton fuer diese Seite zeigen um alle Daten in Papierform zu
 * erhalten. Nur im Mandantenordner stw vorhanden.
 */
if (getConf("traeger") == 'stw') {
	$url  = $_SESSION['webdir']."/mandant/".$_SESSION[$AppCode]['TR']."/";
	$url .= "iqs_pr.php?proj_id=".$projekt->id;

	if (isset($rvar_hp_id)) $url .= "&hp_id=".$rvar_hp_id;
	echo "<td class=\"cl20\"><a href=\"$url&ts=" . time() . "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" alt=\"IQS Daten drucken\"";
	echo stwToolTip('IQS-Daten drucken');
	echo "border=\"0\"></a></td>\n";
} else echo "<td class=\"cl20\">&nbsp;</td>\n";

$sql  = "select t3.personaltyp from tb_personal t1 ";
$sql .= "left join tbh_pers_proj t2 using (pers_id) ";
$sql .= "left join tb_personaltyp t3 using (personaltyp_id) ";
$sql .= "where t2.proj_id = '$rvar_proj_id' ";
$sql .= "order by t2.personaltyp_id limit 3;";
$res = abfrage1($sql);

while ($betr = mysql_fetch_row($res)){
	echo "<th class=\"cl11\">$betr[0]</th>\n";
}
echo "<th class=\"cl11\">Fachberater</th>\n";
echo "</tr>\n";

/* erledigt Datum bestimmen */
if (isset($rvar_hp_id) && $hp[2] != "0000-00-00" && !empty($hp[2])) {
	$dat = date_my2gr($hp[2]);
} else {
	$dat = '';
}

echo "<tr><th class=\"cl11\">erledigt:</th>\n";
echo "<td><input type=\"text\" name=\"and_datum\" readonly ";
echo "value=\"$dat\"></td>\n";

echo "<td class=\"cl20\">&nbsp;</td>\n";

$sql  = "select t1.pers_id from tb_personal t1 ";
$sql .= "left join tbh_pers_proj t2 using (pers_id) ";
$sql .= "where t2.proj_id = '$rvar_proj_id' ";
$sql .= "order by t2.personaltyp_id limit 3;";
$res = abfrage1($sql);

while ($betr = mysql_fetch_row($res)){
	echo "<td class=\"cl11\">" . pers_kname($betr[0]) . "</td>\n";
}
echo "<td class=\"cl11\">" . pers_kname($projekt->fb) . "</td>\n";
echo "</tr></table>\n";

/* rote Trennlinie nach Daten erstellt und erledigt */
new stwLine(1);

/* unterhalb Level 40 werden ausser HB alle Checkboxen nicht aktiviert */
$check = ($ulv < 40) ? 'disabled' : '';

/* Tabelle fuer die einzelnen Checkboxspalten anlegen */
echo "<table><tr><td style=\"height:100%\" rowspan=\"2\">\n";
echo "<table style=\"height:100%\"><tr><td colspan=\"3\" ";
echo "style=\"color:red;font-size:14pt;font-weight:bold;";
echo "text-align:center\">Stellware</td></tr>\n";

/* gruene Trennlinie Stellwarebereich */
new stwTabLine(2,5);

/* Kontaktdaten und SB Jugendamt */
iqs_tabelle_zeile("Kontaktdaten", "adresse", $re[1], $check);
iqs_tabelle_zeile("SB Jugendamt", "ja_sb", $re[2], $check);

/* Kostenzusage und Hilfeende */
iqs_tabelle_zeile("Kostenzusage", "kostenzus", $re[3], $check);
iqs_tabelle_zeile("Hilfeende", "hp_ende", $re[4], $check);

/* Hilfeplaene und akt. HP-Stunden */
iqs_tabelle_zeile("Hilfepl&auml;ne", "hp_hist", $re[5], $check);
iqs_tabelle_zeile("akt. HP-Stunden", "hp_st", $re[6], $check);

/* Vertretung und weitere Betreuer */
iqs_tabelle_zeile("Vertretung", "vertretung", $re[7], $check);
iqs_tabelle_zeile("weitere Betreuer", "weit_betreuer", $re[8], $check);

if(!empty($rvar_proj_id)) {
	/* Genogramm */
	$daten = new stwDaten(18);
	$link = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $rvar_proj_id, 0);
	echo "<tr><th class=\"cl11\">Genogramm</th>\n";
	echo "<td>$link</td></tr>\n";
}

$ag = abfrage("select hp_id from tb_hp where hp_art='ag'and proj_id='$rvar_proj_id' order by datum desc limit 1");
$ende = $projekt->ende_ts();
$agcolor = $ende > 0 ? '' : 'color:#999999';
$AG = empty($ag[0]) ? ($ende > 0 ? "<b style=\"color:red\"".stwToolTip("kein Abschlussgespr&auml;ch").">?</b>" : '') : "<a href=\"pro_ag.php?hp_id=$ag[0]&proj_id=$rvar_proj_id\">AG</a>";
echo "<tr><th style=\"height:100%;vertical-align:bottom;$agcolor\" class=\"cl11\">Abschlussgespr.:</th>\n";
echo "<td style=\"height:100%;vertical-align:bottom;\">$AG</td></tr>\n";

echo "</table>\n</td><td rowspan=\"2\" width=\"5\"></td>";
echo "<td rowspan=\"2\" style=\"height:100%\"><table style=\"height:100%\">\n<tr>";

/* Ueberschrift A-Akten rausschreiben */
echo "<td colspan=\"3\" style=\"color:red;font-size:14pt;font-weight:bold;";
echo "text-align:center\">A-Akten</td></tr>";

new stwTabLine(2,5);

/* AB aktuell und HP aktuell */
iqs_tabelle_zeile("AB aktuell", "a_ab", $re[9], $check);
iqs_tabelle_zeile("HP aktuell", "a_hp", $re[10], $check);

/* HP Unterschrift und HP Vorbereitung */
iqs_tabelle_zeile("HP Unterschrift", "a_hp_sign", $re[11], $check);
iqs_tabelle_zeile("HP Vorbereitung", "a_hp_vor", $re[12], $check);
iqs_tabelle_zeile("HPV Unterschrift", "a_hp_vor_sign", $re[31], $check);

/* Signaturen und Datenblatt */
iqs_tabelle_zeile("Signaturen", "a_sign", $re[13], $check);
iqs_tabelle_zeile("Datenblatt", "a_daten", $re[14], $check);

/* Schweigepflicht und Mitfahrgenehmigung */
iqs_tabelle_zeile("Schweigepflicht", "a_schweigepflicht", $re[29], $check);
iqs_tabelle_zeile("Mitfahrgenehmigung", "a_mitfahrg", $re[30], $check);

/* Einverstaendniserklaerung */
$ps = abfrage1("select p.proj_id from tb_sachbericht s left join tb_sachbericht_proj p using(sb_id) 
				where p.proj_id='$projekt->id' and s.einverst = 'j'");
if(mysql_num_rows($ps) > 0) {
	$tt = "Einverst&auml;ndniserkl&auml;rung, dass Daten dem Jugendamt anonymisiert mitgeteilt werden";
	iqs_tabelle_zeile("Einv.Erkl. Daten JA", "a_eve_ja", $re[32], $check, $tt);
}
/* zusaetzliche Anzeige von Projektberichten wenn vorhanden */
$sql  = "SELECT frist FROM tb_pb_zr WHERE proj_id = '$projekt->id' ";
$sql .= "ORDER BY zr_id DESC LIMIT 1";
$erg = abfrage($sql);

if (!empty($erg[0])){
	iqs_tabelle_zeile("Projektbericht", "pb_vorhanden", $re[28], $check);

	/* Zeitraum noch mit angeben in der Zeile darunter */
	switch ($erg[0]){
		case 1:
			$zeitraum = "w&ouml;chentlich";
			break;

		case 2:
			$zeitraum = "14t&auml;gig";
			break;

		case 3:
			$zeitraum = "monatlich";
			break;

		case 4:
			$zeitraum = "quartalsweise";
			break;

		case 5:
			$zeitraum = "halbj&auml;hrlich";
			break;

		case 6:
			$zeitraum = "j&auml;hrlich";
			break;

		default:
			$zeitraum = "unbekannt";
  }

  echo "<tr><td colspan=\"3\"><a href=\"pro_konf.php?proj_id=";
  echo "$projekt->id\">($zeitraum)</a></td></tr>\n";
}

echo "<tr><th style=\"height:100%;vertical-align:bottom;$agcolor\" class=\"cl11\">Abschlussgespr.:</th>\n";
echo "<td style=\"height:100%;vertical-align:bottom;\">";
$checked = $re[33]=='j' ? 'checked' : '';
echo "<input type=\"checkbox\" $checked name=\"a_ag\" $check value=\"j\">";
echo "</td></tr>\n";

/* diese A-Akten Spalte abschliessen und Bereich Reflexion starten */
echo "</table>\n</td><td rowspan=\"2\" width=\"5\"></td><td><table>\n<tr>";
echo "<td colspan=\"3\" style=\"color:red;font-size:14pt;font-weight:bold;";
echo "text-align:center\">Reflexion</td></tr>\n";
new stwTabLine(2,5);

/* Reflexion(en) / Monat und Reflexionswunsch */
echo "<tr><th class=\"cl11\">Reflexion(en) / Monat</th></td>\n";
echo "<td>";

if ($re[18] > 0) $status = $re[18]; else $status = "";
echo "<input name=\"re_mon\" type=\"text\" size=\"5\" maxlength=\"5\" ";
echo "value=\"$status\" $check></td></tr>\n";
iqs_tabelle_zeile("Reflexionswunsch?", "re_wunsch", $re[19], $check);

/* Reflexionsspalte abschliessen */
echo "</table>\n</td><td width=\"5\"></td><td>";

/* Bereich geprueft */
echo "<table>\n<tr><td colspan=\"4\" style=\"color:red;font-size:14pt;";
echo "font-weight:bold;text-align:center\">gepr&uuml;ft</td></tr>\n";
new stwTabLine(2,5);

echo "<tr><th class=\"cl11\">Hauptbetreuer</th>\n";

/*
* Bestimmen ob aktuelle Person Rechte zum aendern hat. Entweder ist die
* Person der Hauptbetreuer, ein IQS Mitarbeiter oder Level > 96. Oder
* sie hat etwas mit dem Projekt zu tun.
*/
$sql  = "SELECT COUNT(pers_id) FROM tbh_pers_proj WHERE proj_id ='";
$sql .= $projekt->id . "' AND pers_id = '$uid';";
$erg  = abfrage($sql);

if ($erg[0] > 0 || $ulv == 47 ||  $ulv > 96) {
	$bet = '';
} else {
	$bet = "disabled";
}

echo "<td><input name=\"gepr_hb\" type=\"checkbox\" value=\"j\" $bet ";
if ($re[15] == 'j') echo 'checked';
echo '>';

/* wenn disabled ist den vorhandenen Wert per hidden Wert uebergeben */
if ($bet == 'disabled'){
	echo "<input type=\"hidden\" name=\"gepr_hb\" value=\"$re[15]\">\n";
}

echo "</td><td>";

/* Zeitpunkt und Personal das Haken gesetzt hat */
if ($re[22] != 0) $datum = date("d.m.Y", $re[22]); else  $datum = "";
if ($re[23] != 0) $name = pers_name($re[23]); else $name = "";

if (!empty($datum) && !empty($name)) echo $datum . ', ' . $name;
echo "</td></tr>\n";

/*
 * QSS darf nur gesetzt werden wenn dieses Recht vorhanden ist
 * oder wenn der aktuelle Nutzer Level > 96 ist.
 */
if (check_nutzer_rechte(20) || check_nutzer_rechte(22) || $ulv > 96) {
	$dis = '';
} else {
	$dis = 'disabled';
}

echo "<tr><th class=\"cl11\">QSS</th>\n";
echo "<td><input name=\"gepr_qss\" type=\"checkbox\" value=\"j\" $dis ";
if ($re[16] == 'j') echo 'checked';
echo '>';

/* wenn disabled den Wert als hidden Wert speichern */
if ($dis == 'disabled'){
	echo "<input type=\"hidden\" name=\"gepr_qss\" value=\"$re[16]\">\n";
}

echo "</td><td>";

/* Zeitpunkt und Personal das Haken gesetzt hat */
if ($re[24] != 0) $datum = date("d.m.Y", $re[24]); else  $datum = '';
if ($re[25] != 0) $name = pers_name($re[25]); else $name = '';

if (!empty($datum) && !empty($name)) {
	echo "$datum, $name</td></tr>\n";
} else {
	echo "</td></tr>\n";
}

echo "<tr><th>IQS</th><td>";

/*
 * IQS darf nur gesetzt werden wenn dieses Recht vorhanden ist
 * oder wenn der aktuelle Nutzer Level > 96 ist.
 */
if (check_nutzer_rechte(20) || check_nutzer_rechte(23) || $ulv > 96) {
	$dis = '';
} else {
	$dis = 'disabled';
}

echo "<input name=\"gepr_iqs\" type=\"checkbox\" value=\"j\" $dis ";
if ($re[17] == 'j') echo 'checked';
echo '>';

/* wenn disabled den Wert als hidden Wert speichern */
if ($dis == 'disabled') {
	echo "<input type=\"hidden\" name=\"gepr_iqs\" value=\"$re[17]\">\n";
}

echo "</td><td>";

/* Zeitpunkt und Personal das Haken gesetzt hat */
if ($re[26] != 0) $datum = date("d.m.Y", $re[26]); else  $datum = '';
if ($re[27] != 0) $name = pers_name($re[27]); else $name = '';

if (!empty($datum) && !empty($name)){
	echo "$datum, $name</td></tr>\n";
} else {
	echo "</td></tr>\n";
}

echo "</table>\n</td>\n</tr>\n<tr>\n";
echo "<td colspan=\"3\">\n<table>\n";

/* Analysebereich */
new stwTabLine(2,5);
echo "<tr>\n<th>Analyse</th>\n</tr>\n<tr>\n<td>\n";

/* Eingabefeld fuer IQS/QSS Mitarbeiter und Level > 96, 47 */
if ($ulv == 47 || $ulv > 96 ||check_nutzer_rechte(20) ||
 		check_nutzer_rechte(22) || check_nutzer_rechte(23)){
 	/* Textfeld nicht sperren */
  $readonly = '';
} else {
	/* Textfeld fuer Eingaben sperren */
  $readonly = 'readonly';
}

echo "<textarea name=\"analyse\" cols=\"50\" rows=\"7\" $readonly>";

/* wenn Inhalt vohanden - dem Nutzer zeigen */
if(isset($rvar_hp_id)) echo $re[20];
echo "</textarea>\n</td>\n</tr>\n";
new stwTabLine(2,5);

/* Berichteingabefeld */
echo "<tr><th>Bericht</th></tr>\n";
echo "<tr><td>";

/* Eingabefeld fuer IQS Mitarbeiter, HB und Level 96 */
if ($ulv == 47 || empty($bet) || $ulv > 96 || check_nutzer_rechte(20) ||
   check_nutzer_rechte(22) || check_nutzer_rechte(23)){
	/* Textfeld nicht sperren */
 	$readonly = '';
} else {
	/* Textfeld fuer Eingaben sperren */
 	$readonly = 'readonly';
}
echo "<textarea name=\"bericht\" cols=\"50\" rows=\"7\" $readonly>";

/* wenn Inhalt vohanden - dem Nutzer zeigen */
if (isset($rvar_hp_id)) echo $re[21];

echo "</textarea>\n</td></tr>\n";
echo"</table>\n</td>\n</tr>\n</table>\n";

new stwLine(1);

if ($ulv >= 96 || $ulv == 47){
	$para  = "iqs=1&proj_id=".$rvar_proj_id."&hp_id=".$rvar_hp_id;
	$para .= '&hb=' . $projekt->hb();

	echo "<table><tr><td><a href=\"auf_and.php?$para\"";
	$tt = 'IQS: ' . $projekt->nummer();
	echo stwToolTip($tt);
	echo ">Aufgabe erstellen</a></td></tr></table>\n";
	new stwLine(1);
}

$nr = $projekt->nr;


$sql  = "select a.aufgabe_id, date_format(a.eingabe,'%d.%m.%Y') as eing, ";
$sql .= "date_format(a.termin,'%d.%m.%Y') as term, p.pers_id, a.titel, ";
$sql .= "a.erledigt, date_format(a.erl_datum,'%d.%m.%Y') as erl, ";
$sql .= "unix_timestamp(a.termin) as term_ts, unix_timestamp(now()) ";
$sql .= "from tb_aufgaben a ";
$sql .= "left join tbh_pers_auf p on a.aufgabe_id = p.aufgabe_id ";
$sql .= "and p.zust = 'j' ";
$sql .= "where a.hp_id = '$rvar_hp_id' ";
$sql .= "order by a.eingabe desc;";

$aufg = abfrage1($sql);

if (mysql_num_rows($aufg) > 0){

	echo "<table>\n";
	echo "<tr><th colspan=\"30\">bereits vorhandene Aufgaben:</th></tr>\n";
	echo "<tr>\n";
	echo "<th class=\"cl11\">vom</th>\n";
	echo "<th class=\"cl11\">f&auml;llig</th>\n";
	echo "<th class=\"cl11\">zust&auml;ndig</th>\n";
	echo "<th class=\"cl11\">Titel</th>\n";
	echo "<th class=\"cl11\">erledigt</th>\n";
	echo "</tr>\n";

	new stwTabLine(2,10);

	while ($auf = mysql_fetch_row($aufg)){
		echo "<tr><td class=\"cl11\">";

		if ($auf[5] == 100){
			$style = "style=\"color:#CCCCCC\"";
			$text = 'Aufgabe erledigt';
		} elseif ($auf[7] < $auf[8]){
			$style = "style=\"color:#FF0000\"";
			$text = 'Aufgabe &uuml;berf&auml;llig';
		} elseif ($auf[5] > 0 && $auf[5] < 100){
			$style = "style=\"color:#00FF00\"";
			$text = 'Aufgabe begonnen';
		} else {
			$style = '';
			$text = '';
		}

    /*
     * Link zur Aufgabe
     * fuer Rueckkehr werden hp_id und ProjektId uebergeben
     */
    $para  = "aufgabe_id=$auf[0]&hp_id=$rvar_hp_id";
    $para .= "&proj_id=".$rvar_proj_id."&iqs=1";
    echo "<a href=\"auf_and.php?$para\" $style";
    echo stwToolTip($text) . ">$auf[1]</a>";

		echo "<td class=\"cl11\">$auf[2]</th>\n";
		echo "<td class=\"cl11\">" . pers_kname($auf[3]) . "</th>\n";
		echo "<td class=\"cl11\">$auf[4]</th>\n";
		echo "<td class=\"cl11\" style=\"text-align:right;\">";
		echo proz_form($auf[5], 0) . "</th>\n";
		echo "</tr>\n";
	}

	echo "</table>\n";
}

new stwLine(1);
echo "<table><tr><td>";

if (isset($rvar_hp_id)) {
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
	echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\">\n";
  echo "<input type=\"hidden\" name=\"chg\" value=\"1\">\n";
  echo "<input type=\"hidden\" name=\"sprung_iqs\" value=\"1\">\n";
  echo "<input type=\"submit\" value=\"&Auml;ndern\" tabindex=\"28\">\n";
} else {
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
	echo "<input type=\"hidden\" name=\"sprung_iqs\" value=\"1\">\n";
	echo "<input type=\"submit\" value=\"Speichern\" tabindex=\"28\">\n";
}

echo "</td></tr></table>\n";
echo "</form>\n";

new stwEnd($seite);

?>
