<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_re.php 2866 2018-06-06 10:44:18Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 8;
$level = 25;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/stwDaten.inc.php");

$pers_order = getPersOrder($seite);

/* Projekt anlegen mit den Daten */
if (empty($rvar_proj_id)) {
	new stwEnd($seite);
	exit(0);
}

$projekt = new stwProjekt($rvar_proj_id);

if (isset($rvar_hp_id)){
	$hp = abfrage("select date_format(datum, '%d.%m.%Y'),
						date_format(and_datum, '%d.%m.%Y'),
						unix_timestamp(datum),
						unix_timestamp(and_datum),
						datum, and_datum, 
						teilnehmer, prognose, hpv_form
    				from tb_hp
    				where hp_id = '$rvar_hp_id';");
	$re = abfrage_array("select * from tb_hp_re where hp_id = '$rvar_hp_id';");
	$datum = ($hp[3] > 0) ? $hp[5] : $hp[4];
} else $hp = array();
if(empty($datum) || $datum=='0000-00-00') $datum = date('Y-m-d');
$ts1 = $hp[3] == 0 ? $hp[2] : min($hp[2], $hp[3]);
$ts2 = isset($rvar_hp_id) ? max($hp[2], $hp[3]) : mktime();
$kwg = abfrage("select hp_id, ressourcen, date_format(datum, '%d.%m.%Y') from tb_hp
				where hp_art = 'k' and proj_id = '$projekt->id' 
				and unix_timestamp(datum) <= '$ts2'
				and (and_datum is null or unix_timestamp(and_datum) >= '$ts1');");

echo "<table width=\"750\">\n";
echo "<tr><th class=\"cl11\">Projekt-Nr.</th>\n";

$sql  = "select t3.personaltyp from tb_personal t1 ";
$sql .= "left join tbh_pers_proj t2 using (pers_id) ";
$sql .= "left join tb_personaltyp t3 using (personaltyp_id) ";
$sql .= "where t2.proj_id = '$rvar_proj_id' ";
$sql .= "order by t2.personaltyp_id limit 4;";
$res = abfrage1($sql);

while ($betr = mysql_fetch_row($res)){
	echo "<th class=\"cl11\">$betr[0]</th>\n";
}

echo "<th class=\"cl11\">Fachberater</th>\n";
echo "<th class=\"cl11\">akt.&nbsp;FLS</th>\n";
echo "<td width=\"100%\" style=\"text-align:right\">";
if(isset($rvar_hp_id)) {
	echo "<a href=\"pro_pr_re.php?hp_id=$rvar_hp_id&proj_id=$rvar_proj_id&ts=" . time() . "\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"drucken\" ";
	echo "border=\"0\"" . stwToolTip("Reflexionswunsch drucken") . "></a>";
}
echo "</td></tr>\n";

echo "<tr><td class=\"cl11\">".$projekt->link()."</td>";

$sql  = "select t1.pers_id from tb_personal t1 ";
$sql .= "left join tbh_pers_proj t2 using (pers_id) ";
$sql .= "where t2.proj_id = '$projekt->id' ";
$sql .= "order by t2.personaltyp_id limit 4;";
$res = abfrage1($sql);

while ($betr = mysql_fetch_row($res)){
	echo "<td class=\"cl11\">" . pers_kname($betr[0]) . "</td>\n";
}

echo "<td class=\"cl11\">" . pers_kname($projekt->fb) . "</td>\n";

$tt = "";
if($projekt->kontaktst()) $tt .= "KLS = " . fls_form($projekt->wost_kontaktstunden($datum));
if($projekt->fallbegleitung()) $tt .= "<br>Fallbegleitung: ja";
if($projekt->kontaktst($datum)) {
	echo "<td class=\"cl1\" style=\"text-align:center;\">";
	$wost = $projekt->wost_kontaktstunden($datum);
	if($projekt->fallbegleitung($datum)) {
		$tt = stwToolTip("Fallbegleitung: ja");
		echo "<b style=\"color:#FFCC00\" $tt>".fls_form($wost)."</b>";
	}
	else echo fls_form($wost);
	echo "</td>\n";
}
echo "</tr>\n</table>\n";

new stwLine(1);

$ti = 1;

echo "<form name=\"reForm\" method=\"post\" ";
if($ulv < 96) {
	echo "onsubmit=\"if(document.reForm.ergebnis.value=='' && document.reForm.fok_h.value=='' && document.reForm.fok_s.value=='' && document.reForm.fok_g.value=='' && document.reForm.prozess.value=='' && document.reForm.and_datum.value!='') return confirm('Kein Ergebnis eingetragen. Beim Speichern wird Durchf&uuml;hrungsdatum nicht &uuml;bernommen.'); ";
	echo "else if(document.reForm.and_datum.value!='' && document.reForm.mod_e.value=='' && document.reForm.mod_i.value==0) return confirm('Kein Moderator eingetragen. Fortfahren?'); ";
	if($re[21] == 1) {
		echo "else if(document.reForm.and_datum.value!='' && document.reForm.ksf.value==0) return confirm('Keine Kinderschutzfachkraft eingetragen. Fortfahren?'); ";
	}
	echo "\"";
}
echo "action=\"pro_resql.php\">\n";
echo "<input type=\"hidden\" name=\"hp_art\" value=\"r\">\n";
echo "<input type=\"hidden\" name=\"pers_id\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";

echo "<table><tr><th class=\"cl1\">erstellt:</th>\n";
echo "<td class=\"cl11\"><input type=\"text\" name=\"datum\" size=\"11\" ";
echo "tabindex=\"$ti\" "; $ti++;
if($ulv < 96) echo "readonly ";

if (isset($rvar_hp_id)){
	$dat = ($hp[2] > 0) ? $hp[0] : '';
} else {
	$dat = date('d.m.Y');
}
echo "value=\"$dat\"></td>\n";

echo "<td></td>\n";
echo "<th style=\"text-align:right\" class=\"cl1\">Priorit&auml;t:</th>\n";

$x = 0;
while($x < 10){
	echo "<td style=\"text-align: center;\">";
	echo "<input type=\"radio\" name=\"prio\" value=\"$x\" tabindex=\"$ti\"";
	if (isset($rvar_hp_id) && $re[1] == $x) echo ' checked';
	echo "></td>\n";
	$x++;
	$ti++;
}

// Termin

echo "<th style=\"padding-left: 10px;\">durchgef&uuml;hrt:</th>\n";
echo "<td><input type=\"text\" name=\"and_datum\" size=\"11\" ";
if ($_SESSION[$AppCode]['ULV'] < 96 && empty($rvar_hp_id)){
	echo 'readonly ';
}

$dat = (isset($rvar_hp_id) && $hp[3] > 0) ? $hp[1] : '';
echo "value=\"$dat\" tabindex=\"$ti\"></td></tr>\n"; $ti++;

/* betreut seit */
echo "<tr><th class=\"cl11\">betreut seit:</th>\n";
echo "<td class=\"cl11\">".$projekt->beginn()."</td>\n";

/* naechstes HP */
$co = "#FFCC00";
$ti2 = $ti = '';
$nhp = abfrage("select to_days(datum_n) - to_days(curdate()), datum
				from tb_hp where proj_id = '$rvar_proj_id'
				and hp_art='h2' and datum_n > curdate();");
if(!is_null($nhp[0])) {
	$next_hp = abfrage("select h.hp_id, h.hilfeverlauf from tb_hp h
						where proj_id = '$rvar_proj_id'
						and hp_art='h2' and datum > '$nhp[1]'
						order by datum asc limit 1");
	$blink = is_null($next_hp[0]) ? true : false;
} else $blink = false;
if (!is_null($nhp[0]) && $nhp[0] <= 14){
	$ti2 = $blink ? "<b>Noch kein neuer HP angelegt</b><br>" : "";
	$co = "#FFBB66";
	if(!$blink) {
		if(empty($next_hp[1])) {
			$ti2 = "<b>HP noch nicht vorbereitet</b><br>";
			$blink = true;
		} else {
			$res = abfrage1("SELECT z.* FROM tb_hp_praxisziele z
							 LEFT JOIN tb_hp h USING (hp_id)
							 WHERE h.hp_art = 'h2'
							 AND z.erledigt IS NULL
							 AND z.HE = '1' AND z.LE = '1'
							 AND h.proj_id = '$rvar_proj_id'");
			while($row = mysql_fetch_assoc($res)) {
				$count = abfrage("SELECT COUNT(*) FROM tb_hpvor2
								  WHERE ziel_id = ".$row['id']."
								  AND hp_id = '$next_hp[0]'");
				if($count[0] == 0) {
					$ti2 = "<b>HP noch nicht vorbereitet</b><br>";
					$blink = true;
					break;
				}
			}
		}
	}
	if($blink) $co .= ";text-decoration:blink";
	$ti = "nchstes HP-Gesprch in $nhp[0] Tagen<br>";
	if($blink) $ti .= $ti2;
	$ti .= "<b>Vorlage Fachberater!</b>";
} elseif (!is_null($nhp[0]) && $nhp[0] <= 21 && $blink){
	$co = "#FFFFFF;text-decoration:blink";
	$ti = "nchstes HP-Gesprch in $nhp[0] Tagen<br><b>Noch kein neuer HP angelegt</b>";
} elseif (!is_null($nhp[0]) && $nhp[0] <= 28){
	$co = "#FFFFFF";
	$ti = "nchstes HP-Gesprch in $nhp[0] Tagen";
}
echo "<th class=\"cl11\" style=\"color:$co\"".(empty($ti) ? '' : stwToolTip($ti,false)).">n&auml;chster HP:</th>\n";

$next1 = abfrage("select date_format(min(datum), '%d.%m.%Y')
				from tb_hp
				where proj_id = '$projekt->id'
				and datum > ".(isset($rvar_hp_id) ? "'$hp[4]'" : "curdate()").
				"and (hp_art = 'h' or hp_art = 'h2');");
if (empty($next1[0]) || $next1[0]=='00.00.0000'){
	$next2 = abfrage("select date_format(min(datum_n), '%d.%m.%Y')
					from tb_hp
					where proj_id = '$projekt->id'
					and datum_n > ".(isset($rvar_hp_id) ? "'$hp[4]'" : "curdate()").
					"and (hp_art = 'h' or hp_art = 'h2');");
	$next_dat = (empty($next2[0]) || $next2[0]=='00.00.0000') ? "fehlt!" : $next2[0];
} else {
	$next_dat = $next1[0];
}
echo "<td class=\"cl11\">$next_dat</td>\n";

$x = 1;
while($x <= 10){
	echo "<td align=\"center\">$x</td>\n";
	$x++;
}

$last = abfrage("select date_format(and_datum, '%d.%m.%Y'),
				 unix_timestamp(and_datum), hp_id
				 from tb_hp where proj_id = '$projekt->id'
				 and and_datum < '$datum'
				 and hp_art = 'r' order by and_datum desc limit 1;");
$tt = $green = '';
if($last[1] > 0) {
	$reflex = abfrage("select prozess, fok_g, fok_s, fok_h, ergebnis from tb_hp_re where hp_id='$last[2]'");
	$ueberschrift = array('Prozessreflexion', 'Fokus&nbsp;Gruppe', 'Fokus&nbsp;Berater/Supervisor', 'Fokus&nbsp;Hauptbetreuer', 'Ergebnis');
	for($i=0; $i<5; $i++) {
		if(!empty($reflex[$i])) $tt .= "<b>" . $ueberschrift[$i] . ":</b> " . $reflex[$i] . "<br />";
	}
	if($tt != '') {
		$tt = stwToolTip($tt);
		$green = "color:lime";
	}
}
echo "<th class=\"cl11\" style=\"padding-left:10px;$green\" $tt>letzte RE:</th>\n";
$seit = round((mktime() - (($last[1] > 0) ? $last[1] : $projekt->beginn_ts())) / (60*60*24*7) , 0);
$lt = ($last[1] > 0 ? $last[0] : '') . " ($seit W)";
$style = ($seit > 4 && $projekt->fallbegleitung()) ? "color:#FF6600;" : '';
if($seit > 4 && !empty($kwg[0])) $style = "color:#FF69B4;";
echo "<td style=\"$style\" $tt>$lt</td>\n";

echo "</tr>\n</table>\n";

new stwLine(2);

if (!empty($kwg[0])){
	$tt = empty($kwg[1]) ? '' : stwToolTip($kwg[1]);
	echo "<table>\n<tr><th class=\"cl1\"><a href=\"pro_kwg.php?hp_id=$kwg[0]&proj_id=$projekt->id\" style=\"color:#FF00FF;\" $tt>KWG ($kwg[2]):</th>\n";
	echo "<td style=\"padding:3px;\"><input type=\"checkbox\" name=\"kwg\" value=\"1\" tabindex=\"$ti\" ";
	$ti++;
	echo ($re[21] == 1) ? 'checked ' : '';
	echo ($re[21] == 1 && $_SESSION[$AppCode]['ULV'] < 96) ? 'disabled ' : '';
	echo "></td><th class=\"cl20\">Kindeswohlgef&auml;hrdung nach 8a SGB VIII</th>\n";
	if($re[21] == 1 && $_SESSION[$AppCode]['ULV'] < 96) echo "<input type=\"hidden\" name=\"kwg\" value=\"1\">\n";
	echo "<td>Hinzuziehung insoweit erfahrene Fachkraft (ISOFAK)</td>\n";
	echo "</tr></table>\n";
	new stwLine(2);
}


echo "<table>\n";

if (isset($rvar_hp_id) && $hp[3] > 0 && $hp[3] < mktime(0,0,0,4,1,2006)){
	echo "<tr><th colspan=\"3\">aktuelles Ziel im Hilfeplan:</th></tr>\n";
	echo "<tr><td colspan=\"15\"><textarea cols=\"100\" rows=\"4\" readonly>";

	if (!empty($rvar_hp_id)){
		$swp = abfrage("select max(datum) from tb_hp
					        	where proj_id = '$projekt->id'
										and hp_art='h'
										and datum <= '$hp[1]'
										group by proj_id");

		$lzt = abfrage("select ziele from tb_hp
					        	where datum = '$swp[0]'
					        	and proj_id = '$projekt->id'
					        	and hp_art='h'
					        	group by proj_id");

	} else {
		$swp = abfrage("select max(datum) from tb_hp
					    	    where proj_id = '$projekt->id'
										and hp_art='h'
										group by proj_id");

		$lzt = abfrage("select ziele from tb_hp
						        where datum = '$swp[0]'
						        and proj_id = '$projekt->id'
		        				and hp_art='h' group by proj_id");
	}
	echo $lzt[0];
	echo "</textarea></td></tr>\n";
} else {

	echo "<tr><th colspan=\"99\">&uuml;bergeordnetes Ziel der Hilfe ";
	echo "(Minimalkonsens):</th></tr>\n";
	$sql = "SELECT t1.minimalkonsens
			FROM tb_hp_eg t1
			INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
		  	WHERE t2.proj_id = '$projekt->id';";
	$mk = abfrage($sql);
	echo "<tr><td colspan=\"99\">";
	echo wordwrap($mk[0], 120, '<br>');
	echo "</td></tr>\n";

	new stwTabLine(2,30);

	echo "<tr><th colspan=\"3\">aktuelle Praxisziele im Hilfeplan:</th></tr>\n";

	$pzs = abfrage1("select nummer, ziel
					from tb_hp_praxisziele z
					inner join tb_hp h using (hp_id)
					where h.proj_id = '$projekt->id'
					and LE = '1'
					and HE = '1'
					and ASD = '1'
					and (erledigt is null or unix_timestamp(erledigt) >= '$ts2' or erledigt = '0000-00-00')
					order by nummer asc;");

	if (mysql_num_rows($pzs) > 0){
		echo "<tr><td colspan=\"99\"><table border=\"0\">\n";

		while ($pz = mysql_fetch_row($pzs)){
			echo "<tr><td style=\"padding-right:5px;text-align:right\">$pz[0].</td>";
			echo "<td>". wordwrap($pz[1], 120, '<br>') . "</td></tr>\n";
		}
		echo "</table></td></tr>\n";
	}

	$pzs = abfrage1("select nummer, ziel
					from tb_hp_praxisziele z
					inner join tb_hp h using (hp_id)
					where h.proj_id = '$projekt->id'
					and LE = '1'
					and HE = '1'
					and ASD = '0'
					and (erledigt is null or unix_timestamp(erledigt) >= '$ts2' or erledigt = '0000-00-00')
					order by nummer asc;");

	if (mysql_num_rows($pzs) > 0){
		echo "<tr><td colspan=\"99\"><table border=\"0\">\n";

		while ($pz = mysql_fetch_row($pzs)){
			echo "<tr><td style=\"padding-right:5px;text-align:right\"><i>$pz[0].</i></td>";
			echo "<td><i>". wordwrap($pz[1], 120, '<br>') . "</i></td></tr>\n";
		}
		echo "</table></td></tr>\n";
	}

	new stwTabLine(2,30);
}
?>

<tr><th colspan="3">Fragestellung:</th></tr>
<tr><td colspan="15"><textarea name="frage" cols="100" rows="4" tabindex="12">
<?php if (isset($rvar_hp_id)) echo $re[2];

echo "</textarea></td></tr>\n";

/* Besonderheiten und Wuensche mit Dateien */
echo "<tr><th colspan=\"3\">Besonderheiten / W&uuml;nsche:";

if (!empty($rvar_proj_id) && !empty($rvar_hp_id)) {
	$daten = new stwDaten(6);
	$link  = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv,
   																	$rvar_proj_id, $rvar_hp_id);
	echo '&nbsp;' . $link;
}

if (isset($rvar_proj_id)){
	$daten = new stwDaten(18);
	$link  = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv,
   																	$rvar_proj_id, 0);
  echo "&nbsp;&nbsp;<span style=\"color: #CCCCCC;\">";
  echo "Genogramm:</span>&nbsp;" . $link;
}

echo "</th></tr>\n";

?>


<script type="text/javascript"><!--
function ShowHide(id) {
 if(id==10) {
  document.getElementById('strukt1').value='10';
  document.getElementById('strukt2').value='0';
  document.getElementById('strukt3').value='0';
 }
 var ntd = document.getElementsByName('ntd');
 for (var i = 0; i < ntd.length; i++) ntd[i].style.display = (id==10) ? 'none' : 'table-row';
 ntd = document.getElementsByName('ntd2');
 for (var i = 0; i < ntd.length; i++) ntd[i].style.visibility = (id==10) ? 'hidden' : 'visible';
}
--></script>

<tr><td colspan="15"><textarea name="besond" cols="100" rows="4" tabindex="13">
<?php if (isset($rvar_hp_id)) { echo $re[3]; } ?>
</textarea></td></tr>
<tr><td><img src="img/clearpixel.png"></td></tr>
<tr>
<td></td>
<th colspan="2">Struktur Wunsch</th>
<th colspan="10">Methode Wunsch</th>
<th colspan="2">Fokus Wunsch</th>
</tr>
<tr>
<th colspan="1" style="text-align:right">Priorit&auml;t&nbsp;1&nbsp;</th>
<td colspan="2">
<select onchange="ShowHide(this.value)" id="strukt1" name="strukt1" size="1" tabindex="14">
<option value="0">Struktur w&auml;hlen!</option>
<?php
$res = abfrage1("select * from tb_re_strukt order by (strukt_id=10) desc, strukt_id asc;");

while ($zeile = mysql_fetch_row($res)){
	echo "<option ";
	if($zeile[0] == 10) echo "style=\"font-weight:bold;color:#006600\" ";
	if (isset($rvar_hp_id)) {
		if ($re[4] == $zeile[0]) echo "selected ";
  }
  echo "value=\"$zeile[0]\">$zeile[1]</option>\n";
}
?>
</select>
</td>
<td colspan="10">
<select name="method1" size="1" tabindex="17">
<option value="0">Methode w&auml;hlen!</option>
<?php
$res = abfrage1("select * from tb_re_method order by name asc;");

while ($zeile = mysql_fetch_row($res)){
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[7] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";

    echo $zeile[1];
    echo "</option>\n";
    }
?>
</select>
</td>

<td colspan="2">
<select name="fokus1" size="1" tabindex="20">
<option value="0">Fokus w&auml;hlen!</option>
<?php
$res = abfrage1("select * from tb_re_fokus order by fokus asc;");

while ($zeile = mysql_fetch_row($res)){
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[18] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";

    echo $zeile[1];
    echo "</option>\n";
    }
?>
</select>
</td>

</tr>

<tr>

<?php
echo "<th name=\"ntd2\" colspan=\"1\" style=\"text-align:right;";
if($re[4]==10) echo "visibility:hidden;";
echo "\">Priorit&auml;t&nbsp;2&nbsp;</th>\n<td ";
if($re[4]==10) echo "style=\"visibility:hidden;\"";
echo "name=\"ntd2\" colspan=\"2\">\n";
echo "<select onchange=\"ShowHide(this.value)\" id=\"strukt2\" name=\"strukt2\" size=\"1\" tabindex=\"15\">\n";
echo "<option value=\"0\">Struktur w&auml;hlen!</option>\n";
$res = abfrage1("select * from tb_re_strukt order by strukt_id asc;");

while ($zeile = mysql_fetch_row($res)){
	echo "  <option ";
	if (isset($rvar_hp_id)) {
		if ($re[5] == $zeile[0]) {
			echo "selected ";
		}
	}
	echo "value=" . $zeile[0] . ">";

	echo $zeile[1];
	echo "</option>\n";
	}
echo "</select>\n";
?>
</td>
<td colspan="10">
<select name="method2" size="1" tabindex="18">
<option value="0">Methode w&auml;hlen!</option>
<?php
$res = abfrage1("select * from tb_re_method order by name asc;");

while ($zeile = mysql_fetch_row($res)){
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[8] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";

    echo $zeile[1];
    echo "</option>\n";
    }
?>
</select>
</td>

<td colspan="2">
<select name="fokus2" size="1" tabindex="21">
<option value="0">Fokus w&auml;hlen!</option>
<?php
$res = abfrage1("select * from tb_re_fokus order by fokus asc;");

while ($zeile = mysql_fetch_row($res)){
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[19] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";

    echo $zeile[1];
    echo "</option>\n";
    }
?>
</select>
</td>

</tr>

<tr>
<?php
echo "<th name=\"ntd2\" colspan=\"1\" style=\"text-align:right;";
if($re[4]==10) echo "visibility:hidden;";
echo "\">Priorit&auml;t&nbsp;3&nbsp;</th>\n<td ";
if($re[4]==10) echo "style=\"visibility:hidden;\"";
echo "name=\"ntd2\" colspan=\"2\">\n";
echo "<select onchange=\"ShowHide(this.value)\" id=\"strukt3\" name=\"strukt3\" size=\"1\" tabindex=\"15\">\n";
echo "<option value=\"0\">Struktur w&auml;hlen!</option>\n";
$res = abfrage1("select * from tb_re_strukt order by strukt_id asc;");

while ($zeile = mysql_fetch_row($res)){
	echo "  <option ";
	if (isset($rvar_hp_id)) {
		if ($re[6] == $zeile[0]) {
			echo "selected ";
		}
	}
	echo "value=" . $zeile[0] . ">";

	echo $zeile[1];
	echo "</option>\n";
}
echo "</select>\n";
?>
</td>
<td colspan="10">
<select name="method3" size="1" tabindex="19">
<option value="0">Methode w&auml;hlen!</option>
<?php
$res = abfrage1("select * from tb_re_method order by name asc;");

while ($zeile = mysql_fetch_row($res)){
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[9] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";

    echo $zeile[1];
    echo "</option>\n";
    }
?>
</select>
</td>

<td colspan="2">
<select name="fokus3" size="1" tabindex="22">
<option value="0">Fokus w&auml;hlen!</option>
<?php
$res = abfrage1("select * from tb_re_fokus order by fokus asc;");

while ($zeile = mysql_fetch_row($res)){
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[20] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";

    echo $zeile[1];
    echo "</option>\n";
    }
?>
</select>
</td>
</tr>

<tr name="ntd" <?php if($re[4]==10) echo "style=\"display:none\"" ?>><td><img src="img/clearpixel.png"></td></tr>
<tr name="ntd" <?php if($re[4]==10) echo "style=\"display:none\"" ?>>
<td></td>
<th colspan="2">Moderator Wunsch (intern)</th>
<th colspan="10">Teilnehmer Wunsch</th>
</tr>
<tr name="ntd" <?php if($re[4]==10) echo "style=\"display:none\"" ?>>
<th colspan="1" style="text-align:right">Priorit&auml;t&nbsp;1&nbsp;</th>
<td colspan="2">
<select name="mod1" size="1" tabindex="23">
<option value="0">Moderator w&auml;hlen!</option>
<?php
$order = ($pers_order == 2) ? "t2.name asc, t2.vorname asc" : "t2.vorname asc, t2.name asc";
$res = abfrage1("select t2.pers_id,t2.vorname,t2.name
								from tb_personal t2
								where t2.betreuer= 'j'
								and (t2.status_id=2 or t2.pers_id='$re[10]')
								order by $order;");

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[10] == $zeile[0]) {
            echo "selected ";
        }
    }
	if($zeile[0] == $projekt->fb) echo "style=\"background-color:lime\" title=\"Fachberater dieses Projekts\" ";
	elseif(pers_fb($zeile[0],true)) echo "style=\"background-color:#999999\" title=\"Fachberater\" ";
    echo "value=" . $zeile[0] . ">";
    if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td>
<td colspan="10">
<select name="tn1" size="1" tabindex="26">
<option value="0">Teilnehmer w&auml;hlen!</option>
<?php
$sql = "select t2.pers_id,t2.vorname,t2.name from tb_personal t2
        where t2.betreuer= 'j' and (t2.status_id=2 or t2.pers_id='$re[15]') order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[15] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";
    if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td>
</tr>

<tr name="ntd" <?php if($re[4]==10) echo "style=\"display:none\"" ?>>
<th colspan="1" style="text-align:right">Priorit&auml;t&nbsp;2&nbsp;</th>
<td colspan="2">
<select name="mod2" size="1" tabindex="24">
<option value="0">Moderator w&auml;hlen!</option>
<?php
$sql = "select t2.pers_id,t2.vorname,t2.name from tb_personal t2
        where t2.betreuer= 'j' and (t2.status_id=2 or t2.pers_id='$re[11]') order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[11] == $zeile[0]) {
            echo "selected ";
        }
    }
	if($zeile[0] == $projekt->fb) echo "style=\"background-color:lime\" title=\"Fachberater dieses Projekts\" ";
	elseif(pers_fb($zeile[0],true)) echo "style=\"background-color:#999999\" title=\"Fachberater\" ";
    echo "value=" . $zeile[0] . ">";
    if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td>
<td colspan="10">
<select name="tn2" size="1" tabindex="27">
<option value="0">Teilnehmer w&auml;hlen!</option>
<?php
$sql = "select t2.pers_id,t2.vorname,t2.name from tb_personal t2
        where t2.betreuer= 'j' and (t2.status_id=2 or t2.pers_id='$re[16]') order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[16] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";
    if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td>
</tr>

<tr name="ntd" <?php if($re[4]==10) echo "style=\"display:none\"" ?>>
<th colspan="1" style="text-align:right">Priorit&auml;t&nbsp;3&nbsp;</th>
<td colspan="2">
<select name="mod3" size="1" tabindex="25">
<option value="0">Moderator w&auml;hlen!</option>
<?php
$sql = "select t2.pers_id,t2.vorname,t2.name from tb_personal t2
        where t2.betreuer= 'j' and (t2.status_id=2 or t2.pers_id='$re[12]') order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[12] == $zeile[0]) {
            echo "selected ";
        }
    }
	if($zeile[0] == $projekt->fb) echo "style=\"background-color:lime\" title=\"Fachberater dieses Projekts\" ";
	elseif(pers_fb($zeile[0],true)) echo "style=\"background-color:#999999\" title=\"Fachberater\" ";
    echo "value=" . $zeile[0] . ">";
    if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td>
<td colspan="10">
<select name="tn3" size="1" tabindex="28">
<option value="0">Teilnehmer w&auml;hlen!</option>
<?php
$sql = "select t2.pers_id,t2.vorname,t2.name from tb_personal t2
        where t2.betreuer= 'j' and (t2.status_id=2 or t2.pers_id='$re[17]') order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_hp_id)) {
        if ($re[17] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";
    if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td>
</tr>
<tr name="ntd" <?php if($re[4]==10) echo "style=\"display:none\"" ?>><td><img src="img/clearpixel.png"></td></tr>
<tr name="ntd" <?php if($re[4]==10) echo "style=\"display:none\"" ?>>
<th colspan="2">Moderator Wunsch extern&nbsp;:&nbsp;</th>
<td colspan="13"><input type="text" name="mod_ext" size="50" tabindex="26"
                 <?php if (isset($rvar_hp_id)) { echo "value=\"$re[13]\"";} ?>></td>
</tr>
<?php
if (isset($rvar_hp_id)){
	$ti = 29;
	new stwTabLine(2,99);
	echo "<tr><td colspan=\"99\"><table>\n";
	echo "<tr><th>Ergebnisse</th></tr>\n";

	echo "<tr><th style=\"padding-right:15px\">Prozessreflexion :</th>";
	echo "<td><textarea cols=\"72\" rows=\"4\" name=\"prozess\" tabindex=\"$ti\">"; $ti++;
	echo "$re[22]</textarea></td></tr>\n";

	echo "<tr><th style=\"padding-right:15px\">Fokus<br>Gruppe :</th>";
	echo "<td><textarea cols=\"72\" rows=\"4\" name=\"fok_g\" tabindex=\"$ti\">"; $ti++;
	echo "$re[23]</textarea></td></tr>\n";

	echo "<tr><th style=\"padding-right:15px\">Fokus<br>Hauptbetreuer :</th>";
	echo "<td><textarea cols=\"72\" rows=\"4\" name=\"fok_h\" tabindex=\"$ti\">"; $ti++;
	echo "$re[25]</textarea></td></tr>\n";

	echo "<script type=\"text/javascript\"><!--\n";
	echo "function show_in_ex() {\n";
	echo "var check = document.getElementById('int').checked;\n";
	echo "document.getElementById('mod_i').style.display = (check ? 'block' : 'none');\n";
	echo "document.getElementById('mod_e').style.display = (check ? 'none' : 'block');\n";
	echo "}\n--></script>\n";

	echo "<tr><th style=\"padding-right:15px\">Fokus Moderator /<br>Supervisor :</th>";
	echo "<td><table cellpadding=\"0\" cellspacing=\"1\">\n";
	echo "<tr><th class=\"cl1\">Moderator:</th>";
	$checked = $hp[7] == 'j' ? '' : 'checked';
	echo "<td>int</td><td><input type=\"radio\" tabindex=\"$ti\" onchange=\"show_in_ex()\" name=\"intext\" id=\"int\" value=\"int\" $checked /></td>"; $ti++;
	$checked = $hp[7] == 'j' ? 'checked' : '';
	echo "<td>ext</td><td class=\"cl1\"><input type=\"radio\" tabindex=\"$ti\" onchange=\"show_in_ex()\" name=\"intext\" value=\"ext\" $checked /></td>"; $ti++;
	echo "<td style=\"width:100%\" class=\"cl11\"><select style=\"width:150px;";
	if($hp[7] == 'j') echo "display:none";
	echo "\" id=\"mod_i\" name=\"mod_i\" tabindex=\"$ti\">\n";
	echo "<option value=\"0\">- bitte w&auml;hlen -</option>\n";
	$sql = "select t2.pers_id,t2.vorname,t2.name from tb_personal t2
			where t2.betreuer= 'j' and (t2.status_id=2 or t2.pers_id in ('$re[10]','$re[11]','$re[12]')) 
			order by $order";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)) {
		$selected = $hp[6] == $zeile[0] ? 'selected' : '';
		echo "  <option $selected value='$zeile[0]'>";
		if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
		else echo $zeile[1] . "&nbsp;" . $zeile[2];
		echo "</option>\n";
	}
	echo "</select>";
	$val = is_numeric($hp[6]) ? '' : $hp[6];
	echo "<input type=\"text\" value=\"$val\" style=\"width:150px;";
	if($hp[7] != 'j') echo "display:none";
	echo "\" id=\"mod_e\" name=\"mod_e\" tabindex=\"$ti\">\n"; $ti++;
	echo "</td>\n";
	if($re[21] == 1) {
		echo "<th class=\"cl1\"".stwToolTip('Kinderschutzfachkraft').">KSF:</th>";
		echo "<td><select style=\"width:150px\" id=\"ksf\" name=\"ksf\" tabindex=\"$ti\">\n"; $ti++;
		echo "<option value=\"0\">- bitte w&auml;hlen -</option>";
		$name = $pers_order == 2 ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
		$porder = $pers_order == 2 ? "p.name asc, p.vorname asc;" : "p.vorname asc, p.name asc;";
		$sql = "select p.pers_id, concat($name) from tb_benutzerrechte r
				left join tb_personal p using(pers_id)
				where r.obj_id='18' order by $porder";
		$mas = abfrage1($sql);
		while($ma = mysql_fetch_row($mas)) {
			$selected = ($hp[8]==$ma[0]) ? 'selected' : '';
			echo "<option $selected value=\"$ma[0]\">$ma[1]</option>";
		}
		$sql = "SELECT p.pers_id, concat($name) FROM tb_projekte pr 
				left join tb_personal p on pr.fb_id = p.pers_id
				WHERE pr.fb_id > 0  AND pr.projektnr < 900
				AND (pr.ende IS NULL OR pr.ende = '0000-00-00' OR TO_DAYS(pr.ende) >= TO_DAYS(CURDATE()))
				group by pr.fb_id order by $porder";
		$mas = abfrage1($sql);
		if(mysql_num_rows($mas) > 0) echo "<option style=\"background-color:white\" value=\"0\">- Fachberater -</option>";
		while($ma = mysql_fetch_row($mas)) {
			$selected = ($hp[8]==$ma[0]) ? 'selected' : '';
			echo "<option $selected value=\"$ma[0]\">$ma[1]</option>";
		}
		echo "</select></td>\n";
	}
	echo "</tr>\n";
	echo "<tr><td colspan=\"30\"><textarea cols=\"72\" rows=\"4\" name=\"fok_s\" tabindex=\"$ti\">"; $ti++;
	echo "$re[24]</textarea></td></tr>\n";
	echo "</table></td></tr>\n";

	echo "<tr><th style=\"padding-right:15px\">Ergebnis :</th>";
	echo "<td><textarea cols=\"72\" rows=\"4\" name=\"ergebnis\" tabindex=\"$ti\">"; $ti++;
	echo "$re[26]</textarea></td></tr>\n";

	echo "</table></td></tr>\n";
}

echo "</table>\n";
new stwLine(2);

echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";

if (isset($rvar_hp_id)) {
	echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\">\n";
	echo "<input type=\"hidden\" name=\"chg\" value=\"1\">\n";
}

echo "<table><tr><td>";
echo "<input type=\"submit\" value=\"Speichern\" tabindex=\"99\">\n";
echo "</td></tr></table>\n";
echo "</form>\n";

if (!empty($rvar_proj_id) && !empty($rvar_hp_id)) {
	new stwEnd($seite, NULL, NULL, NULL, $rvar_proj_id, $rvar_hp_id);
} else {
	new stwEnd($seite);
}
?>
