<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_sd_pr.php 2809 2017-10-27 08:26:38Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$projekt = new stwProjekt($rvar_proj_id);
$pnr = $projekt->nummer();

class PDF_MC_Table extends PDF
{
  function Row($data,$headline=false,$nr=0,$font='arialb',$fill=0) {
	//Calculate the height of the row
	$h=$headline?5:0;
	$nb=0;
	for($i=0;$i<count($data);$i++)
		if($data[$i]) $nb=max($nb,$this->NbLines(90,$data[$i]));
	$h+=5*$nb;
	//Issue a page break first if needed
	$this->CheckPageBreak($h);
	$h=5*$nb;
	//Draw Header
	if($headline) {
		$this->SetFont($font,'','10');
		$this->Cell(70,5,'', 'BTL', 0, 'R', $fill);
		$this->Cell(10,5,$nr, 'BT', 0, 'L', $fill);
		$this->Cell(100,5,$headline, 'BTR', 1, 'L', $fill);
	}
	$this->SetFont('arial','','9');
	//Draw the cells of the row
	for($i=0;$i<count($data);$i++) {
	  if($nb || $data[$i]) {
		//Save the current position
		$x=$this->GetX();
		$y=$this->GetY();
		//Draw the border
		$this->Rect($x,$y,90,$h);
		//Print the text
		$this->MultiCell(90,5,$data[$i],0,'L');
		//Put the position to the right of the cell
		$this->SetXY($x+90,$y);
	  }
	}
	//Go to the next line
	$this->Ln($h);
  }

  function CheckPageBreak($h) {
	//If the height h would cause an overflow, add a new page immediately
	if($this->GetY()+$h>$this->PageBreakTrigger) {
		$this->AddPage($this->CurOrientation);
		$this->SetFillColor(150,150,150);
		$this->Rect(15,15,155,1,'F');
		$this->SetFont('stw','',11);
		$this->Text(15,27,$pnr);
		$sql = abfrage("select datum, pers_id from tb_hp where hp_id = '{$_GET['hp_id']}'");
		$datum = date_my2gr($sql[0]);
		$ma = pers_kname($sql[1]);
		$dat1 = $this->page;
		$this->Text(55,27,"Sozialpd. Diagnose von $ma vom $datum");
		$this->SetFont('stw','',10);
		$this->Text(155,20,"Seite $dat1 / {nb}");
		$this->Line(5,100,10,100);
		$this->Line(15,22,195,22);
		$this->Line(15,29,195,29);
		$this->SetXY(15,30);
		$this->SetFont('arialb','','10');
		$this->Cell(90,5,"<<<   Entwicklungspotential",'BTL',0,'L',0);
		$this->Cell(90,5,"Ressourcen   >>>",'BTR',0,'R',0);
		$this->SetXY(15,35);
		$this->SetFillColor(200,200,200);
	}
  }

  function NbLines($w,$txt) {
	//Computes the number of lines a MultiCell of width w will take
	$cw=&$this->CurrentFont['cw'];
	if($w==0)
		$w=$this->w-$this->rMargin-$this->x;
	$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
	$s=str_replace("\r",'',$txt);
	$nb=strlen($s);
	if($nb>0 and $s[$nb-1]=="\n")
		$nb--;
	$sep=-1;
	$i=0;
	$j=0;
	$l=0;
	$nl=1;
	while($i<$nb)
	{
		$c=$s[$i];
		if($c=="\n")
		{
			$i++;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
			continue;
		}
		if($c==' ')
			$sep=$i;
		$l+=$cw[$c];
		if($l>$wmax)
		{
			if($sep==-1)
			{
				if($i==$j)
					$i++;
			}
			else
				$i=$sep+1;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
		}
		else
			$i++;
	}
	return $nl;
  }
}

//Beginn der PDF-Datei
$pdf=new PDF_MC_Table('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(15.0);
$pdf->SetAutoPageBreak(false);
$pdf->PageBreakTrigger = 274.0;

$footer = "Sozialpdagogosche Diagnose";

$rh = 5;

$pdf->AddPage();

$pdf->SetFillColor(150,150,150);
$pdf->Rect(15,15,155,1,'F');
$pdf->SetFont('stw','',11);
$pdf->Text(15,27,$pnr);
$sql = abfrage("select datum, pers_id from tb_hp where hp_id = $rvar_hp_id");
$datum = date_my2gr($sql[0]);
$ma = pers_kname($sql[1]);
$dat1 = $pdf->page;
$pdf->Text(55,27,"Sozialpd. Diagnose von $ma vom $datum");
$pdf->SetFont('stw','',10);
$pdf->Text(155,20,"Seite $dat1 / {nb}");
$pdf->Line(5,100,10,100);
$pdf->Line(15,22,195,22);
$pdf->Line(15,29,195,29);
$pdf->SetXY(15,30);
$pdf->SetFont('arialb','','10');
$pdf->Cell(90,5,"<<<   Entwicklungspotential",'BTL',0,'L',0);
$pdf->Cell(90,5,"Ressourcen   >>>",'BTR',0,'R',0);
$pdf->SetXY(15,35);
$pdf->SetFillColor(200,200,200);

$trans = array("&auml;" => "", "&ouml;" => "", "&uuml;" => "", "&szlig;" => "");

$sql = "select nr, text, sd_id
		from tb_sd_items
		where top is null
		order by nr asc;";
$res = abfrage1($sql);

while ($row = mysql_fetch_row($res)) {
	if ($pdf->GetY() >= 250) {
		$pdf->AddPage();
		$pdf->SetFillColor(150,150,150);
		$pdf->Rect(15,15,155,1,'F');
		$pdf->SetFont('stw','',11);
		$pdf->Text(15,27,$pnr);
		$sql = abfrage("select datum, pers_id from tb_hp where hp_id = $rvar_hp_id");
		$datum = date_my2gr($sql[0]);
		$ma = pers_kname($sql[1]);
		$dat1 = $pdf->page;
		$pdf->Text(55,27,"Sozialpd. Diagnose von $ma vom $datum");
		$pdf->SetFont('stw','',10);
		$pdf->Text(155,20,"Seite $dat1 / {nb}");
		$pdf->Line(5,100,10,100);
		$pdf->Line(15,22,195,22);
		$pdf->Line(15,29,195,29);
		$pdf->SetXY(15,30);
		$pdf->SetFont('arialb','','10');
		$pdf->Cell(90,5,"<<<   Entwicklungspotential",'BTL',0,'L',0);
		$pdf->Cell(90,5,"Ressourcen   >>>",'BTR',0,'R',0);
		$pdf->SetXY(15,35);
		$pdf->SetFillColor(200,200,200);
	}
	$risk = abfrage("select risk, res from tb_hp_sd
					where hp_id = $rvar_hp_id
					and sd_id = $row[2];");
	$pdf->Row($risk,strtr($row[1], $trans), $row[0] . ".", 'arialb', 1);

	$sql = "select nr, text, sd_id
			from tb_sd_items
			where top = $row[2]
			order by nr asc;";
	$res1 = mysql_query($sql) or die(mysql_error());
	
	while ($row1 = mysql_fetch_row($res1)) {
		$risk = abfrage("select risk, res from tb_hp_sd
						where hp_id = $rvar_hp_id
						and sd_id = $row1[2];");
		$pdf->Row($risk,strtr($row1[1], $trans), $row[0] . "." . $row1[0] . ".",'arialb');
		
		$sql = "select nr,text,sd_id
				from tb_sd_items
				where top = $row1[2]
				order by nr asc;";
		$res2 = mysql_query($sql) or die(mysql_error());
		
		while($row2 = mysql_fetch_row($res2)) {
			$risk = abfrage("select risk, res from tb_hp_sd
							where hp_id = $rvar_hp_id
							and sd_id = $row2[2];");
			if($risk[0] || $risk[1]) {
				$pdf->Row($risk,strtr($row2[1], $trans), $row[0] . "." . $row1[0] . "." . $row2[0] . ".", 'arial');
			}
		}
	}
}

$pdf->Output();
exit;
?>
