<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_st.php 2843 2018-03-21 12:05:10Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 6;
 $level = 25;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

 require_once($pfad."inc/func.inc.php");

 $pers_order = getPersOrder($seite);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function WochenstundenBerechnen($monst){
	$monst = str_replace(',', '.', $monst);
	$wst = geld_form_formular(round($monst / 13 * 3, 2));
	$userResp = new xajaxResponse();
	$userResp->assign('wochenstunden', 'value', $wst);
	return $userResp;
}

function WoSTFallbegl($fallb,$kont){
	$userResp = new xajaxResponse();
	if($fallb) {
		$userResp->assign('fallb', 'innerHTML', '1h Fallbegl.');
		$userResp->assign('antragsdrucker', 'style.visibility', 'visible');
		$userResp->assign('aufgrund', 'style.visibility', 'visible');
		$userResp->assign('aufgrundtext', 'style.height', '80px');
		$userResp->assign('aufgrundlabel', 'innerHTML', 'Auf Grund:');
		$userResp->assign('wochenstunden', 'style.color', '#FF6600');
		$userResp->assign('wochenstunden', 'title', "KLS = $kont / Fallbegleitung: ja");
	} else {
		$userResp->assign('fallb', 'innerHTML', '');
		$userResp->assign('antragsdrucker', 'style.visibility', 'hidden');
		$userResp->assign('aufgrund', 'style.visibility', 'hidden');
		$userResp->assign('aufgrundtext', 'style.height', '1px');
		$userResp->assign('aufgrundlabel', 'innerHTML', '');
		$userResp->assign('wochenstunden', 'style.color', '#CCCCCC');
		$userResp->assign('wochenstunden', 'title', "KLS = $kont");
	}
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');

$xajax->registerFunction('WochenstundenBerechnen');
$xajax->registerFunction('WoSTFallbegl');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
require_once($pfad . 'inc/stw.inc.php');

if (isset($rvar_proj_id)) {
	if(!check_projekt_berechtigung($rvar_proj_id)) {
		echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
		new stwEnd($seite);
		exit(0);
	}
	$projekt = &new stwProjekt($rvar_proj_id);
}

if (isset($rvar_hp_id)) {
	$sql  = "select *, unix_timestamp(time) as aenderung ";
	$sql .= "from tb_hp where hp_id = '$rvar_hp_id';";
	$hp = abfrage_array($sql);
}
$fallbegl = isset($rvar_hp_id) ? $hp['fallbegl'] : ($projekt->fallbegleitung() ? 'j' : 'n');
$action =  $projekt->nr >= 20000 ? "pro_gruppe_and.php" : "pro_daten.php";
if(!isset($rvar_hp_id) || $hp[7] != 'aus Anfrage') {
	echo "<form method=\"post\" name=\"st_form\" action=\"$action\">\n";
}
echo "<table width=\"750\">\n";
echo "<input type=\"hidden\" name=\"hp_art\" value=\"s\">\n";

/* Projektnummer mit Link ausgeben */
echo "<tr><th>Projekt-Nr.:</th><td><a href=\"pro_daten.php?";
echo "proj_id=$projekt->id\">" . $projekt->nummer() . "</a></td>\n";

echo "<th class=\"cl1\">Klient:</th><td>" . $projekt->name() . "</td>\n";

/* Jugendamt und Sachbearbeiter ermitteln */
$sql  = "select t3.name2, t3.kont_id from tb_kontakte_ap t2 ";
$sql .= "left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0' ";
$sql .= "where t2.ap_id = '$projekt->sb' and t3.kh_id='0';";
$ja = abfrage($sql);

echo "<th class=\"cl1\">Jugendamt:</th><td>$ja[0]</td>\n";
echo "</table>\n";

new stwLine(1);

echo "<table><tr><td><table>\n";
$ti = 1;

echo "<tr><th class=\"cl1\">JA-Sachbearbeiter:</th>\n";
echo "<td><select name=\"ap_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
echo "<option>Sachbearbeiter w&auml;hlen!</option>\n";

$sql  = "SELECT ap_id, vorname, name FROM tb_kontakte_ap ";
$sql .= "WHERE kont_id = '$ja[1]' order by name, vorname asc;";
$res = abfrage1($sql);

while ($zeile = mysql_fetch_row($res)) {
	echo "<option value=\"$zeile[0]\"";
	if (isset($rvar_hp_id)) {
		if ($hp[11] == $zeile[0]) echo ' selected';
  } else {
  	if ($projekt->sb == $zeile[0]) echo ' selected';
  }
  echo ">";
  if (strlen($zeile[1]) > 0) echo $zeile[1] . "&nbsp;";
  echo $zeile[2] . "</option>\n";
}

echo "</select></td></tr>\n";

echo "<tr><th class=\"cl1\">";
if(getConf('traeger') == 'stw') echo "STW-";
echo "Mitarbeiter:</th>\n";
echo "<td><select name=\"pers_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
echo "<option>Mitarbeiter w&auml;hlen!</option>\n";

$sql  = "select pers_id from tbh_pers_proj ";
$sql .= "where proj_id = '$projekt->id' and personaltyp_id = '1';";
$hbt = abfrage($sql);

$order = ($pers_order == 2) ? "name asc, vorname asc" : "vorname asc, name asc";
$sql  = "select pers_id from tb_personal ";
$sql .= "where betreuer= 'j' and (status_id=2 or pers_id='$hp[12]') ";
$sql .= "order by $order;";
$res = abfrage1($sql);

while ($zeile = mysql_fetch_row($res)) {
	echo "<option value=\"$zeile[0]\"";
	if (isset($rvar_hp_id)) {
		if ($hp[12] == $zeile[0]) echo ' selected';
  } else {
  	if ($hbt[0] == $zeile[0]) echo ' selected';
  }
  echo '>' . ($pers_order==2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
}

echo "</select></td></tr>\n";

echo "<tr><th class=\"cl1\">Datum:</th>\n";
echo "<td><input type=\"text\" name=\"datum\" size=\"11\" maxlength=\"11\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_hp_id)) echo " value=\"" . date_my2gr($hp[4]) . "\"";
else echo " value=\"" . date("d.m.Y",time()) . "\"";
echo ">&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";
if($_SESSION[$AppCode]["ULV"] >= 96) {
	echo "<tr><th class=\"cl1\">Kontaktstunden?</th>\n";
	echo "<td><input type=\"radio\" name=\"kontakt\" value=\"j\" tabindex=\"$ti\"";
	echo "style=\"vertical-align: middle;\"";
	if (isset($rvar_hp_id) && $hp['kontakt'] == 'j')  echo ' checked';
	elseif(empty($rvar_hp_id) && $projekt->k_potentiell_kontaktst) echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;"; $ti++;
	echo "<input type=\"radio\" name=\"kontakt\" value=\"n\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\"";
	if (isset($rvar_hp_id) && $hp['kontakt'] == 'n')  echo ' checked';
	elseif(empty($rvar_hp_id) && !$projekt->k_potentiell_kontaktst) echo ' checked';
	echo ">&nbsp;<b>nein</b></td></tr>\n"; $ti++;
} else {
	if (isset($rvar_hp_id)) $value = $hp['kontakt'];
	else $value = $projekt->k_potentiell_kontaktst ? 'j' : 'n';
	echo "<input type=\"hidden\" name=\"kontakt\" value=\"$value\">\n";
}
if(getConf('traeger') == 'nwg') {
	echo "<tr><th class=\"cl1\">genehmigte Wochenstd.:</th>\n";
	echo "<td><input type=\"text\" name=\"fls_genehmigt\" size=\"6\" maxlength=\"6\" ";
	$value = (isset($rvar_hp_id)) ? (empty($hp['selbsthilfe']) ? $hp[6] : $hp['selbsthilfe']) : $projekt->wost();
	echo "tabindex=\"$ti\" value=\"".number_format($value,2,',','.')."\"></td></tr>"; $ti++;
}
echo "<tr><th class=\"cl1\">Stunden / Woche:</th>\n";
echo "<td><input type=\"text\" name=\"hp_st\" size=\"6\" maxlength=\"6\" ";
$value = (isset($rvar_hp_id)) ? $hp[6] : $projekt->wost();
echo "tabindex=\"$ti\" id=\"wochenstunden\" "; $ti++;

if((isset($rvar_hp_id) && $hp['kontakt'] == 'j') || (empty($rvar_hp_id) && $projekt->k_potentiell_kontaktst)) {
	$fallbegl = isset($rvar_hp_id) ? $hp[22] : ($projekt->fallbegleitung() ? 'j' : 'n');
	$kls = (isset($rvar_hp_id)) ? ($hp[6]-$hp[21]-($hp[22] == 'j' ? 1 : 0)) : $projekt->wost_kontaktstunden();
	echo "style=\"background-color:#554433;";
	$tt = "KLS = " . number_format($kls,2,',','.');
	if($fallbegl == 'j') {
		echo "color:#FF6600";
		$tt.= " / Fallbegleitung: ja";
		$eins = 1;
	} else {
		echo "color:#CCCCCC";
		$eins = 0;
	}
	echo "\" value=\"" . number_format($value-$eins,2,',','.') ."\" readonly";
	echo " title=\"$tt\">\n";
	$fz = (isset($rvar_hp_id)) ? $hp['kontakt_fz'] : $projekt->wost_kontakt_fahrzeit();
	if(empty($fz)) $fz = 0.00;
	echo "&nbsp; davon Kontakt: <input type=\"text\" name=\"hp_kont\" size=\"6\" maxlength=\"6\" ";
	$value = (isset($rvar_hp_id)) ? ($hp[6]-$hp['kontakt_fz']-($hp['fallbegl'] == 'j' ? 1 : 0)) : $projekt->wost_kontaktstunden();
	echo "tabindex=\"$ti\" id=\"kontaktwochenstunden\" value=\"".number_format($value,2,',','.')."\">"; $ti++;
	echo "&nbsp;Fahrzeit: <input type=\"text\" name=\"hp_kont_fz\" size=\"5\" maxlength=\"5\" ";
	echo "tabindex=\"$ti\" id=\"kontaktfahrstunden\" value=\"".number_format($fz,2,',','.')."\">"; $ti++;
	echo "&nbsp;<span id=\"fallb\">";
	if($hp['fallbegl'] == 'j') echo "1h Fallbegl.";
	echo "</span>";
	echo "</td></tr>\n<tr><th class=\"cl1\">Fallbegleitende Zeit:</th>\n";
	echo "<td><input type=\"radio\" name=\"fallbegl\" value=\"j\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\" ";
	echo "onChange=\"xajax_WoSTFallbegl(1,kontaktwochenstunden.value)\" ";
	if ($fallbegl == 'j')  echo ' checked'; $ti++;
	echo ">&nbsp;<b>ja</b>&nbsp;";
	echo "<input type=\"radio\" name=\"fallbegl\" value=\"n\" tabindex=\"$ti\" ";
	echo "onChange=\"xajax_WoSTFallbegl(0,kontaktwochenstunden.value)\" ";
	echo "style=\"vertical-align: middle;\"";
	if ($fallbegl == 'n') echo ' checked';
	echo ">&nbsp;<b>nein</b> (eine Wochenstunde) "; $ti++;
	$hidden = ($fallbegl == 'j') ? '' : 'style="visibility:hidden;"';
	$aufgrund = ($fallbegl == 'j') ? 'Auf Grund:' : '';
	$px = ($fallbegl == 'j') ? '80px' : '1px';
	echo "&nbsp; <span id=\"antragsdrucker\" $hidden>";
	$tt = stwToolTip('Antrag auf Bewilligung fallbegleitender Zeit');
	echo "<a href=\"pro_pr_antrag.php?proj_id=$rvar_proj_id&hp_id=$rvar_hp_id&ts=" . time() . "\" target=\"_pdf\" ";
	echo "onclick=\"document.st_form.submit()\" ><img src=\"img/drucker.png\" $tt></a>";
	echo "</span></td></tr>\n<tr id=\"aufgrund\" $hidden><th id=\"aufgrundlabel\">$aufgrund</th><td>";
	if(isset($rvar_hp_id)) {
		$aufgrundtext = $hp[24];
	} else {
		$agt = abfrage("select fallbegl_antrag from tb_hp where proj_id='$projekt->id' 
						and fallbegl_antrag is not null and fallbegl_antrag != '' order by and_datum desc limit 1");
		$aufgrundtext = $agt[0];
	}
	echo "<textarea name=\"aufgrundtext\" id=\"aufgrundtext\" cols=\"40\" style=\"height:$px\">$aufgrundtext</textarea>";
} elseif(isset($rvar_hp_id)) {
	echo "value=\"" . number_format($value,2,',','.') ."\">\n";
	echo "<input type=\"hidden\" name=\"hp_kont\" value=\"";
	echo $hp[6]-$hp['kontakt_fz']-($hp['fallbegl'] == 'j' ? 1 : 0);
	echo "\">\n";
	echo "<input type=\"hidden\" name=\"hp_kont_fz\" value=\"{$hp['kontakt_fz']}\">\n";
	echo "<input type=\"hidden\" name=\"aufgrundtext\" value=\"{$hp['fallbegl_antrag']}\">\n";
	echo "<input type=\"hidden\" name=\"fallbegl\" value=\"".($projekt->fallbegleitung() ? 'j' : 'n')."\">\n";
} else echo "value=\"" . number_format($value,2,',','.') ."\">\n";
echo "</td></tr>\n";


if ($projekt->k_fls_soll == 3){
	echo "<tr><th class=\"cl1\">Stunden / Monat:</th>\n";
	echo "<td><input type=\"text\" size=\"5\" maxlength=\"5\" ";
	echo "tabindex=\"$ti\" id=\"monatsstunden\" "; $ti++;
	echo ">&nbsp;";

	echo "<input type=\"button\" tabindex=\"$ti\" "; $ti++;
	echo "value=\"Wert f&uuml;r Wochenstunden berechnen\" ";
	echo "onClick=\"xajax_WochenstundenBerechnen(monatsstunden.value)\">";
	echo "</td></tr>\n";
}

echo "<tr><th class=\"cl1\">Stunden prognostisch?</th>\n";
echo "<td><input type=\"radio\" name=\"prognose\" value=\"j\" tabindex=\"$ti\"";
echo "style=\"vertical-align: middle;\"";
if (isset($rvar_hp_id) && $hp['prognose'] == 'j')  echo ' checked'; $ti++;
echo ">&nbsp;<b>ja</b>&nbsp;";
echo "<input type=\"radio\" name=\"prognose\" value=\"n\" tabindex=\"$ti\" ";
echo "style=\"vertical-align: middle;\"";
if (isset($rvar_hp_id)){
	if ($hp['prognose'] == 'n') echo ' checked';
} else {
   echo ' checked';
}
echo ">&nbsp;<b>nein</b></td></tr>\n"; $ti++;

echo "<tr><th class=\"cl1\">&Auml;nderung ab:</th>\n";
echo "<td><input type=\"text\" name=\"and_datum\" size=\"11\" maxlength=\"11\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_hp_id)) echo "value=\"" . date_my2gr($hp[5]) . "\"";
else echo " value=\"" . date("d.m.Y",time()) . "\"";
echo ">&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

echo "<tr><th class=\"cl1\">Grund der<br>Stunden&auml;nderung:</th>\n";
echo "<td><textarea cols=\"40\" rows=\"5\" name=\"st_grund\" tabindex=\"$ti\">\n";
if (isset($rvar_hp_id)) echo $hp[7];
echo "</textarea></td></tr>\n"; $ti++;

if (isset($rvar_hp_id)){
	echo "<tr><th class=\"cl1\">letzte &Auml;nderung:</th>\n";
	echo "<td>" . date('d.m.Y H:i', $hp['aenderung']);
	echo "&nbsp;&nbsp;&nbsp;" . pers_name($hp['chg_id']) . "</td></tr>\n";
}

echo "</table></td><td><table>\n";
/* Wochenstunnden der Betreuer */
	$i = 0;
	$select2 = "select
				h.personaltyp_id,
				h.pers_id,
				pt.personaltyp,
				h.hpst,
				pers.status_id
				from tbh_pers_proj h
				left join tb_personal pers on h.pers_id = pers.pers_id
				left join tb_personaltyp pt on h.personaltyp_id = pt.personaltyp_id
				where h.proj_id = $rvar_proj_id  ";
	if(isset($rvar_hp_id)) {
		$select2 .= "and h.pers_id not in (0,";
		$sql0= "select h.pers_id, h.hpst, h.personaltyp_id, pt.personaltyp, pers.status_id ";
		$sql1= "select sum(h.hpst) ";
		$sql2= "from tbh_pers_proj_hp h
				left join tb_personaltyp pt on h.personaltyp_id = pt.personaltyp_id
				left join tb_personal pers on h.pers_id = pers.pers_id
				where h.hp_id=$rvar_hp_id
				order by pt.sort asc, pers.vorname asc, pers.name asc;";
		$bes = abfrage1($sql0 . $sql2);
		$sum = abfrage($sql1 . $sql2);
		while ($be = mysql_fetch_assoc($bes)){
			$style = '';
			if($be['status_id'] == 3) {
				if($be['personaltyp'] == 1 || $be['hpst'] > 0) $style = "style=\"color:#999999\"";
				else continue;
			}
			$select2 .= $be['pers_id'] . ",";
			echo "<tr><th $style class=\"cl1\" ";
			echo stwToolTip($be['personaltyp']);
			echo ">" . pers_kname($be['pers_id']) . "</th>\n";
			echo "<input type=\"hidden\" name=\"pid[$i]\" value=\"{$be['pers_id']}\">";
			if($be['personaltyp_id'] == 1) {
				echo "<input type=\"hidden\" name=\"hpst[$i]\" value=\"0\">";
				echo "<td style=\"text-align:right\">".fls_form($hp[6] - $sum[0] - ($fallbegl=='j' ? 1 : 0))."/w</td>";
			} else {
				echo "<td><input type=\"text\" name=\"hpst[$i]\" ";
				echo "size=\"6\" maxlength=\"6\" style=\"text-align:right;\" ";
				echo "value=\"" . number_format($be['hpst'], 2, ',', '.'). "\">";
				echo "<span " .stwToolTip("Stunden / Woche");
				echo ">&nbsp;h/w</span></td>\n";
			}
			echo "<td><select name=\"ptyp[$i]\" size=\"1\" style=\"width:80px;\">\n";
			echo "<option value=\"0\">Rolle w&auml;hlen!</option>\n";
			$res = abfrage1("select personaltyp_id, personaltyp from tb_personaltyp
							 order by sort asc");
		
			while ($zeile = mysql_fetch_row($res)) {
				echo "  <option ";
				echo "value=\"$zeile[0]\" ";
				echo ($zeile[0] == $be['personaltyp_id']) ? 'selected' : '';
				echo ">$zeile[1]</option>\n";
			}
			echo "</select>\n</td></tr>\n";
			$i++;
		}
		$select2 = substr($select2, 0, -1) . ")	";
	}
	$select2 .= "order by pt.sort asc, pers.vorname asc, pers.name asc;";
	$bes = abfrage1($select2);
	while ($be = mysql_fetch_assoc($bes)){
		$style = '';
		if($be['status_id'] == 3) {
			if($be['personaltyp'] == 1 || $be['hpst'] > 0) $style = "style=\"color:#999999\"";
			else continue;
		}
		echo "<tr><th $style class=\"cl1\" ";
		echo stwToolTip($be['personaltyp']);
		echo ">" . pers_kname($be['pers_id']) . "</th>\n";
		echo "<input type=\"hidden\" name=\"pid[$i]\" value=\"{$be['pers_id']}\">";
		if($be['personaltyp_id'] == 1) {
			echo "<input type=\"hidden\" name=\"hpst[$i]\" value=\"0\">";
			echo "<td style=\"text-align:right\">".fls_form(((isset($rvar_hp_id)) ? $hp[6] : $projekt->wost()) - $sum[0])."/w</td>";
		} else {
			echo "<td><input type=\"text\" name=\"hpst[$i]\" ";
			echo "size=\"6\" maxlength=\"6\" style=\"text-align:right;\" ";
			if(isset($rvar_hp_id)){
				$sql  = "select hpst from tbh_pers_proj_hp p ";
				$sql .= "where p.hp_id = $rvar_hp_id ";
				$sql .= "and p.pers_id = {$be['pers_id']} ";
				$hpst = abfrage($sql);
				$WoSt = $hpst[0];
			} elseif($be['hpst'] > 0) $WoSt = $be['hpst']; else $WoSt = 0;
			echo "value=\"" . number_format($WoSt, 2, ',', '.'). "\">";
			echo "<span " .stwToolTip("Stunden / Woche");
			echo ">&nbsp;h/w</span></td>\n";
		}
		echo "<td><select name=\"ptyp[$i]\" size=\"1\" style=\"width:80px;\">\n";
		echo "<option value=\"0\">Rolle w&auml;hlen!</option>\n";
		$res = abfrage1("select personaltyp_id, personaltyp from tb_personaltyp
						 order by sort asc");
	
		while ($zeile = mysql_fetch_row($res)) {
			echo "  <option ";
			echo "value=\"$zeile[0]\" ";
			echo ($zeile[0] == $be['personaltyp_id']) ? 'selected' : '';
			echo ">$zeile[1]</option>\n";
		}
		echo "</select>\n</td></tr>\n";
		$i++;
	}
echo "</table></td></tr></table>\n";
new stwLine(2);

if($hp[7] == 'aus Anfrage') {
	echo "<div style=\"color:#669966\">Diese Stunden&auml;nderung wurde automatisch aus der Anfrage erzeugt und kann nicht manuell gespeichert werden.";
	echo "<br />&Auml;nderungen an obigen Werten k&ouml;nnen in der <a href=\"pro_anfrage.php?proj_id=$rvar_proj_id\" style=\"color:lime\">Anfragemaske</a> vorgenommen werden.\n";
	echo "<br />Um Stunden&auml;nderungen vorzunehmen und einen Projektbeginn herbeizuf&uuml;hren bitte eine neue Stunden&auml;nderung anlegen.</div>\n";
} else {
	echo "<table width=\"750\"><tr>\n";
	if (isset($rvar_hp_id)){
		echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\">\n";
	}
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
	echo "<td><input type=\"submit\" name=\"st_ok\" value=\"Speichern!\" ";
	echo "tabindex=\"$ti\"></td>\n";
	echo "</form>\n";
	if(isset($rvar_hp_id) && $_SESSION[$AppCode]["ULV"] >= 65 && getConf('st_satz')) {
		echo "<td style=\"text-align:right\"><input type=\"button\" value=\"Tages- / Stunden- / km-Satz\" ";
		echo "onclick=\"self.location.href='pro_hp_satz.php?proj_id=$rvar_proj_id&amp;hp_id=$rvar_hp_id&amp;seite=$seite&amp;return=pro_st'\" /></td>";
	}
	echo "</tr></table>\n";
}
new stwEnd($seite);
?>
