<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_st_save.inc.php 2787 2017-08-30 09:29:07Z tfreudenberg $
 *
 */

/* Stundenaenderungen eintragen in DB */
if (isset($_POST['st_ok']) || isset($_POST['st_noch_ok'])) {
	/* Stunden koennen mit Komma kommen -> ersetzen */
	$hp_st = str_replace(',', '.', $rvar_hp_st);
	$hp_kont = str_replace(',', '.', $rvar_hp_kont);
	$hp_kont_fz = str_replace(',', '.', $rvar_hp_kont_fz);
	$selbsthilfe = isset($rvar_fls_genehmigt) ? str_replace(',', '.', $rvar_fls_genehmigt) : '';

	/*
   * Wenn das Datum wo der Eintrag angelegt wird leer
   * ist -> aktuelles nutzen.
   */
  if (empty($rvar_datum)) $rvar_datum = date("d.m.Y");
  if (empty($rvar_and_datum)) $rvar_and_datum = date("d.m.Y");

  /* die gesetzten Zeiten ueberpruefen */
  $dat = check_date($rvar_datum);
  if ($dat === false) {
  	echo "Fehler: Das Datum $rvar_datum ist fehlerhaft.";
    exit(-1);
  }

  $andat = check_date($rvar_and_datum);
  if ($andat === false) {
  	echo "Fehler: Das Datum $rvar_and_datum ist fehlerhaft.";
    exit(-1);
  }

  /* die Zeiten in eine Mysql Zeichenkette umwandeln */
  $dat   = date_gr2my($rvar_datum);
  $andat = date_gr2my($rvar_and_datum);

  /* sicherstellen das nicht rueckwirkend ein Datum gesetzt wird */
  if (date_isodate_stamp($dat) > date_isodate_stamp($andat)) {
  	echo "<table>\n<tr><th style=\"color:red\">Das &quot;&Auml;nderung ";
  	echo "ab&quot; Datum liegt vor dem angegebenen &quot;Datum&quot;. ";
  	echo "Stunden&auml;nderung nicht angelegt.</th></tr></table>\n";
  	new stwEnd($seite);
  	exit(-1);
  }
  
  /* Sicherstellen, dass nur ein Hauptbetreuer gewaehlt ist */
  $i=0; $hauptbetr=0;
  do {
	if($rvar_ptyp[$i] == 1) $hauptbetr += 1;
	$i++;
  } while (isset($rvar_ptyp[$i]));
  if($hauptbetr == 0 || $hauptbetr > 1) {
  	echo "<table>\n<tr><th style=\"color:red\">Es wurde";
  	echo $hauptbetr == 0 ? ' kein' : "n mehrere";
	echo " Hauptbetreuer angegeben. ";
  	echo "Stunden&auml;nderung nicht angelegt.</th></tr></table>\n";
	echo "<input type=\"button\" onClick=\"self.location.href='pro_st.php?";
	if (isset($rvar_hp_id)) echo "hp_id=$rvar_hp_id&";
	echo "proj_id=$rvar_proj_id'\" value=\"zur&uuml;ck\">";
  	new stwEnd($seite);
  	exit(-1);
  }
  
  /*
   * Pruefung vornehmen ob dieses Datum gesetzt werden darf. Neues anlegen
   * darf nur bis zur neuesten Stundenaenderung moeglich sein. Veraendern
   * ist nur erlaubt bei der letzten Stundenaenderung. Ab Level 97 darf alles
   * aber mit Zwischenwarnseite.
   */
  $sql  = "SELECT hp_id, UNIX_TIMESTAMP(and_datum) FROM tb_hp ";
  $sql .= "WHERE proj_id = '".$rvar_proj_id;
  $sql .= "' AND hp_art = 's' AND and_datum < curdate() AND prognose='n' ";
  $sql .= "ORDER BY and_datum DESC LIMIT 1";
  $erg  = abfrage($sql);

  $aenderung = false;
  if (isset($_POST['st_noch_ok']) && $_SESSION[$AppCode]['ULV'] > 96) {
  	$aenderung = true;
  }

  if (isset($rvar_hp_id)) {
  	/* vorhanden - nur Daten aendern - letzte ST Aenderung bestimmen */
  	if ($erg[0] == $rvar_hp_id) $aenderung = true;
  }
  /* Aenderungen in der Zukunft oder nach letzter ST erlauben */
  if ($erg[1] < date_isodate_stamp($andat)) $aenderung = true;

  /* Level 97 Zwischenwarnung */
  if ($aenderung === false && $_SESSION[$AppCode]['ULV'] > 96) {
  	/* Zwischenformular ausgeben um zu warnen */
    echo "<center>\n<form method=\"post\" action=\"pro_daten.php\">\n";
    echo "<table>\n<tr><h2 style=\"color:red\">";
    echo "Die &Auml;nderung bezieht sich nicht auf die letzte ";
    echo "Stunden&auml;nderung.<br>Wollen Sie diese wirklich ";
		echo "durchf&uuml;hren?</h2></tr>\n<tr><td><input type=\"submit\" ";
    echo "value=\"Ok\" name=\"st_noch_ok\"></td>";
		echo "<td><input type=\"submit\" value=\"Abbrechen\" name=\"nk\" /></td>\n";

		/* Daten die hier eigentlich verarbeitet werden muessten sichern */
    echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
    echo "<input type=\"hidden\" name=\"hp_art\" value=\"$rvar_hp_art\" />\n";
	echo "<input type=\"hidden\" name=\"datum\" value=\"$rvar_datum\" />\n";
	echo "<input type=\"hidden\" name=\"and_datum\" value=\"$rvar_and_datum\" />\n";
	echo "<input type=\"hidden\" name=\"hp_st\" value=\"$rvar_hp_st\" />\n";
	if(isset($rvar_fls_genehmigt)) echo "<input type=\"hidden\" name=\"fls_genehmigt\" value=\"$rvar_fls_genehmigt\" />\n";
	if(isset($rvar_hp_kont)) echo "<input type=\"hidden\" name=\"hp_kont\" value=\"$rvar_hp_kont\" />\n";
	if(isset($rvar_hp_kont_fz)) echo "<input type=\"hidden\" name=\"hp_kont_fz\" value=\"$rvar_hp_kont_fz\" />\n";
	if(isset($rvar_fallbegl)) echo "<input type=\"hidden\" name=\"fallbegl\" value=\"$rvar_fallbegl\" />\n";
	if(isset($rvar_kontakt)) echo "<input type=\"hidden\" name=\"kontakt\" value=\"$rvar_kontakt\" />\n";
	if(isset($rvar_aufgrundtext)) echo "<input type=\"hidden\" name=\"aufgrundtext\" value=\"$rvar_aufgrundtext\" />\n";
	echo "<input type=\"hidden\" name=\"st_grund\" value=\"$rvar_st_grund\" />\n";
	echo "<input type=\"hidden\" name=\"ap_id\" value=\"$rvar_ap_id\" />\n";
	echo "<input type=\"hidden\" name=\"wihi_id\" value=\"$rvar_wihi_id\" />\n";
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\" />\n";
	echo "<input type=\"hidden\" name=\"prognose\" value=\"$rvar_prognose\" />\n";
	if (isset($rvar_hp_id))
		echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\" />\n";
	$i = 0;
	do {
		echo "<input type=\"hidden\" name=\"pid[$i]\" value=\"$rvar_pid[$i]\" />\n";
		echo "<input type=\"hidden\" name=\"ptyp[$i]\" value=\"$rvar_ptyp[$i]\" />\n";
		echo "<input type=\"hidden\" name=\"hpst[$i]\" value=\"$rvar_hpst[$i]\" />\n";
		$i++;
	} while (isset($rvar_hpst[$i]));

    echo "</tr></table>\n</form></center>\n";
    new stwEnd($seite);

    exit(0);
  }

  /* darf nur aendern wenn Level hoch genug */
  if ($aenderung) {
	if($hp_kont_fz < 0) $hp_kont_fz = 0;
	if($hp_kont < 0) $hp_kont = 0;
	if($rvar_kontakt == 'j') 
		$hp_st = $hp_kont + $hp_kont_fz + ($rvar_fallbegl == 'j' ? 1 : 0);
	if(empty($rvar_fallbegl)) $rvar_fallbegl = 'n';
  	if (isset($rvar_hp_id)) $sql = "UPDATE "; else $sql = "INSERT INTO ";
  	$sql .= "tb_hp SET ";
  	$temp  = "proj_id = '".$rvar_proj_id."', selbsthilfe = '$selbsthilfe', ";
  	$temp .= "hp_art = '".$rvar_hp_art."', datum = '".$dat."', ";
  	$temp .= "and_datum = '".$andat."', hp_st = '".$hp_st."', ";
  	$temp .= "st_grund = '".$rvar_st_grund."', ap_id = '".$rvar_ap_id."', ";
  	$temp .= "chg_id = '".$_SESSION[$AppCode]['UID']."', ";
  	$temp .= "pers_id = '".$rvar_pers_id."', prognose = '".$rvar_prognose."', ";
	$temp .= "kontakt_fz = '".$hp_kont_fz."', fallbegl = '".$rvar_fallbegl."', ";
	$temp .= "kontakt = '".$rvar_kontakt."', fallbegl_antrag = '".$rvar_aufgrundtext."' ";
	$sql .= $temp;
    if (isset($rvar_hp_id)) $sql .= "WHERE hp_id = '".$rvar_hp_id."'";
    /* in Datenbank reinbringen */
    abfrage2($sql);

	if (empty($rvar_hp_id)) {
		$hp_id = mysql_insert_id();
	} else $hp_id = $rvar_hp_id;
	/* HP-Stunden der einzelnen Betreuer in DB schreiben */
	$i = 0;
	do {
		$hpst = str_replace(',', '.', $rvar_hpst[$i]);

		$sql  = "SELECT count(*) from tbh_pers_proj_hp WHERE hp_id = '$hp_id' ";
		$sql .= "AND proj_id = '$rvar_proj_id' AND pers_id = '$rvar_pid[$i]';";
		$count = abfrage($sql);
		
		if($rvar_ptyp[$i] == 1) $hpst=0;

		if($count[0] == 0) {
			$sql  = "INSERT INTO tbh_pers_proj_hp SET hp_id = '$hp_id', ";
			$sql .= "personaltyp_id = '$rvar_ptyp[$i]', hpst = '$hpst', ";
			$sql .= "proj_id = '$rvar_proj_id', pers_id = '$rvar_pid[$i]'";
		} else {
			$sql  = "update tbh_pers_proj_hp set personaltyp_id = '$rvar_ptyp[$i]', ";
			$sql .= "hpst = '$hpst' where hp_id = '$hp_id' ";
			$sql .= "and proj_id = '$rvar_proj_id' and pers_id = '$rvar_pid[$i]'";
		}
		abfrage2($sql);
		/* tbh_pers_proj mit den juengsten Daten updaten */
		$sql = "select p.hp_id, p.hpst, p.personaltyp_id
				from tbh_pers_proj_hp p left join tb_hp h using(hp_id)
				WHERE p.proj_id = '$rvar_proj_id' AND p.pers_id = '{$rvar_pid[$i]}'
				and h.and_datum <= now()
				order by h.and_datum desc limit 1";
		$hpst_aktuell = abfrage($sql);
		if($hpst_aktuell[0]) {
			$sql  = "update tbh_pers_proj set hpst = '$hpst_aktuell[1]', personaltyp_id = '$hpst_aktuell[2]' ";
			$sql .= "where proj_id = '$rvar_proj_id' and pers_id = '{$rvar_pid[$i]}';";
			abfrage2($sql);
		}
		$i++;
	} while (isset($rvar_hpst[$i]));

    /* AZK Cache fuer dieses Projekt zuruecksetzen */
    azk_cache_proj_reset($rvar_proj_id);
    
  } else {

    echo "<table>\n<tr><th style=\"color:red\">Die Stunden&auml;nderung ";
    echo "wurde nicht angelegt.<br>Datum lag vor einer vorhandenen ";
		echo "Stunden&auml;nderung oder war nicht die letzte Stunden";
    echo "&auml;nderung.</th></tr></table>\n";

    new stwLine(1);
  }
}