<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: qs.php 2863 2018-05-24 10:31:42Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 30;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 6);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");


/* alle zeigen oder nur aktive */
$all = (isset($_REQUEST['all'])) ? $_REQUEST['all'] : 0;

/* nur eigene Projekte zeigen */
$eig = (isset($_REQUEST['eig'])) ? $_REQUEST['eig'] : 0;

/* Projektgruppe die gezeigt werden soll - Default alle */
$pr_gruppe = (isset($_REQUEST['pr_gruppe'])) ? $_REQUEST['pr_gruppe'] : 0;

$anz = (isset($_GET['anz'])) ? $_GET['anz'] : 'w1';
$sort = (isset($_GET['sort'])) ? $_GET['sort'] : '';

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

$heute = mktime(0,0,0,date('n'),date('j'),date('Y'));

$tg = date('Y-m-d', $tag);

switch ($anz){
	case 'w1':
	case 'w2':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (7 * 86400);
		break;

	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;

	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;

	case 't';
		$sql_beg = $tag;
		$sql_end = mktime(23,59,59,date('n',$tag), date('j',$tag), date('Y',$tag));
		break;
}


/* verschiedene Button zeigen und dahinter Projektgruppenauswahlfeld */
echo "<table><tr>";

/* alles zeigen oder nur Auswahl */
if ($all == 1) {
	$all1 = 0;
	$txt1 = 'nur laufende Pr&uuml;fungen anzeigen';
} else {
	$all1 = 1;
	$txt1 = 'auch erledigte Pr&uuml;fungen anzeigen';
}

echo "<td><input type=button value=\"$txt1\" ";
echo "onClick=\"self.location.href='qs.php?all=$all1&eig=$eig";
echo "&pr_gruppe=$pr_gruppe'\"></td>\n";

/* Zugang zu speziellen Bereichen */
$zugang = 0;

/*
* Level 61 und groesser oder wenn Level genau 47 sehen folgenden Bereich.
* Ausserdem koennen Sonderrechte fuer bestimmte Projektgruppen
* vorhanden sein.
*/
if ($ulv >= 61 || $ulv == 47 ||
   check_nutzer_rechte(27) || check_nutzer_rechte(28) ||
   check_nutzer_rechte(29) || check_nutzer_rechte(30) ||
   check_nutzer_rechte(31) || check_nutzer_rechte(32) ||
   check_nutzer_rechte(33) || check_nutzer_rechte(34) ||
   check_nutzer_rechte(35) || check_nutzer_rechte(36) ||
   check_nutzer_rechte(37)) {

	/* Pruefung zukuenftig sparen und deshalb Ergebnis speichern */
	$zugang = 1;

	if ($eig == 1){
		$txt1 = 'alle';
		$eig1 = 1;
	} else {
		$txt1 = 'nur eigene';
		$eig1 = 0;
	}

	echo "<td><input type=button value=\"$txt1 Projekte zeigen\" ";
  echo "onClick=\"self.location.href='qs.php?eig=$eig1&all=$all";
	echo "&pr_gruppe=$pr_gruppe'\"></td>\n";

	/* Projektgruppenauswahlfeld zeigen */
	$erg = abfrage1("SELECT pra_id, kname FROM tb_projektart WHERE aktiv='1';");

	if (mysql_num_rows($erg) > 0) {
		echo "<td><form method=\"post\" action=\"qs.php\">\n";
		echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
		echo "<input type=\"hidden\" name=\"eig\" value=\"$eig\">\n";

		echo "<select name=\"pr_gruppe\" size=\"1\" onchange=\"";
		echo "this.form.submit()\">\n";

		/*
		 * Alle Projektgruppen nur ab Level 61 oder Level = 47 oder
		 * Sonderrecht alle.
		 */
   	$auswahl = 0;

   	if (check_nutzer_rechte(27) || $ulv >= 61 || $ulv == 47) {
    	$auswahl = 1;
    	echo "<option value=\"0\">alle Projektgruppen</option>\n";
   	}

   	while ($zeile = mysql_fetch_row($erg)) {
   		/* je nach gesetztem Sonderrecht darf gezeigt werden */
   		if (check_nutzer_rechte(27 + $zeile[0])) $spez = 1; else $spez = 0;

   		/*
       * Wenn Nutzerlevel nicht hoch genug und er nicht alles sehen darf,
       * wird hier geprueft ob 'pr_gruppe' schon einen gueltigen Wert hat.
       * Ist dies nicht der Fall wird der erste Projektgruppe genommen
       * die gueltig ist.
       */
   		if ($auswahl != 1 && $pr_gruppe == 0 && $spez == 1) {
   			$pr_gruppe = $zeile[0];
     	}

     	/* Level hoch genug oder Spezialrechte vorhanden */
     	if ($auswahl == 1 || $spez == 1) {
     		echo "<option value=\"$zeile[0]\"";
     		if ($zeile[0] == $pr_gruppe) echo ' selected';
       	echo ">$zeile[1]</option>\n";
      }

   	}

   	echo "</select></form></td>\n";
	}
}

echo "</tr></table>";

/* rote Trennlinie zeichnen */
new stwLine(1);

$link = "qs.php?anz=$anz&";
if(isset($_GET['tag'])) $link .= "tag={$_GET['tag']}&";
$link .= "all=$all&eig=$eig&pr_gruppe=$pr_gruppe&sort";

/* Spaltenueberschriften ausgeben */
echo "<table>\n<tr>\n";
echo "<th class=\"cl1\"><a href=\"$link=pr\">Projektnr.</a></th>\n";
echo "<td colspan=\"3\"></td>\n";
echo "<th class=\"cl1\"" . stwToolTip('Hauptbetreuer') . ">HB</th>\n";
echo "<th class=\"cl1\">QSS</th>\n";
echo "<th class=\"cl1\">IQS</th>\n";
echo "<th class=\"cl1\">Aufgaben</th>\n";
echo "<th class=\"cl1\"><a href=\"$link=dat\">Datum</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$link=erl\">erledigt</a></th>\n";
echo "<th class=\"cl1\">erstellt von</th>\n<th></th>\n</tr>\n";

/* gruene Trennlinie nach Spaltenueberschriften */
new stwTabLine(2,30);

/* alle offenen IQS holen - die WHERE Bedingung wird extra erstellt */
$sql  = "SELECT t1.hp_id, t2.datum, t2.proj_id, t2.and_datum, t1.gepr_hb, ";
$sql .= "t1.gepr_qss, t1.gepr_iqs, t2.pers_id, ";
$sql .= "unix_timestamp(tp.ende) as p_ende, ";
$sql .= "t1.gepr_hb_datum, t1.gepr_hb_pers_id, ";
$sql .= "t1.gepr_qss_datum, t1.gepr_qss_pers_id, ";
$sql .= "t1.gepr_iqs_datum, t1.gepr_iqs_pers_id ";
$sql .= "FROM tb_hp_qs t1 ";
$sql .= "LEFT JOIN tb_hp t2 USING(hp_id) ";
$sql .= "LEFT JOIN tb_projekte tp USING(proj_id) ";
$sql .= "LEFT JOIN tb_hilfeart ha USING(hilfeart_id) ";

/* unterhalb von Level 40 darf nur eigene Projekte sehen */
if ($ulv < 40) {
	$sql .= "LEFT JOIN tbh_pers_proj t3 USING(proj_id) ";
}

/* die Bedingungen fuer die Abfrage zusammenstellen */
if ($all == 0) {
	/* nicht alle IQS zeigen */
	$sql .= "WHERE (ha.iqs = '0' OR ha.iqs IS NULL) ";
	$sql .= "AND (TO_DAYS(t2.and_datum) > TO_DAYS(CURDATE()) ";
	$sql .= "OR t2.and_datum = '0000-00-00' OR t2.and_datum IS NULL) ";
 	$sql .= "AND (TO_DAYS(tp.ende) >= ";
 	$sql .= "TO_DAYS(DATE_SUB(CURDATE(), INTERVAL 42 DAY)) ";
 	$sql .= "OR tp.ende = '0000-00-00' OR tp.ende IS NULL ";
 	$sql .= "OR t2.and_datum = '0000-00-00' ";

 	$sql .= "OR t2.and_datum IS NULL) ";

 	/* wenn vorhanden auf Projektgruppe einschraenken */
 	if ($pr_gruppe != 0) {
 		/* gueltige Projektnummern fuer diese Gruppe aus DB holen */
 		$txt  = "SELECT nr_von, nr_bis FROM tb_projektart ";
   	$txt .= "WHERE pra_id='".$pr_gruppe."'";

   	$erg  = abfrage($txt);

   	$sql .= "AND tp.projektnr >= '".$erg[0]."' ";
   	$sql .= "AND tp.projektnr <= '".$erg[1]."' ";
 	}

 	if ($zugang == 1) {
 		/* nur eigene zeigen */
 		if ($eig != 0) {
 			$sql .= "AND t2.pers_id='$uid' ";
   	}
 	} else {
 		if ($ulv < 40) {
 			$sql .= "AND t3.personaltyp_id='1' AND t3.pers_id = '$uid' ";
 		} else {
 			/* Levelbedingungen nicht eingehalten */
 			$sql .= "AND t2.pers_id = '$uid' ";
   	}
 	}
} else {
	/* alle IQS zeigen - Anzeige nach Kalenderschaltung */
	if ($zugang == 1) {
		$sql .= "WHERE (ha.iqs = '0' OR ha.iqs IS NULL) ";
 	} else {
 		/* unterhalb Level 40 nur wenn Hauptbetreuer ist */
 		if ($ulv < 40) {
 			$sql .= "WHERE t3.personaltyp_id='1' AND t3.pers_id = '$uid' ";
 			$sql .= "AND (ha.iqs = '0' OR ha.iqs IS NULL) ";
 		} else {
 			$sql .= "WHERE t2.pers_id = '$uid' ";
 			$sql .= "AND (ha.iqs = '0' OR ha.iqs IS NULL) ";
		}
	}

  /* wenn vorhanden auf Projektgruppe einschraenken */
  if ($pr_gruppe != 0) {
  	/* gueltige Projektnummern fuer diese Gruppe aus DB holen */
  	$txt  = "SELECT nr_von, nr_bis FROM tb_projektart ";
  	$txt .= "WHERE pra_id = '$pr_gruppe';";
  	$erg = abfrage($txt);

  	$sql .= "AND tp.projektnr >= '$erg[0]' ";
  	$sql .= "AND tp.projektnr <= '$erg[1]' ";
 	}

 	/* Kalenderschaltung */
 	if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
		$sql .= "and unix_timestamp(t2.datum) < '$sql_end' ";
		$sql .= "and (unix_timestamp(t2.and_datum) > '$sql_beg' ";
		$sql .= "or t2.and_datum is null or t2.and_datum = '0000-00-00') ";
	}
}

$sql .= "ORDER BY ";
switch($sort) {
	case 'pr':
		$sql .= "tp.projektnr ASC;";
		break;
	case 'dat':
		$sql .= "t2.datum DESC, tp.projektnr ASC;";
		break;
	case 'erl':
		$sql .= "t2.and_datum DESC, t2.datum DESC, tp.projektnr ASC;";
		break;
	default:
		if($all != 0) $sql .= "t2.and_datum desc, t2.datum desc, ";
		$sql .= "tp.projektnr ASC;";
		break;
}
/* IQS Abfrage an DB durchfuehren */
$res = abfrage1($sql);

/* Ruecksprungziel zusammenstellen */
$url = "eig=$eig&all=$all&pr_gruppe=$pr_gruppe";
$iqs_offen = array();

/* einzelnen IQS auswerten und zeigen */
while ($re = mysql_fetch_array($res)) {

	/* falls Projekt bereits laenger als 1 Jahr beendet ->
	 * Anzeige nur ab Level 97 - Datenschutz!
	*/
	$projektende = $re['p_ende'];
	$vor1jahr = mktime(0,0,0,date('j'), date('n'), date('Y') - 1);

	if ($projektende > 0) {
		if ($projektende < $vor1jahr && $ulv < 97 && !check_nutzer_rechte(22) && !check_nutzer_rechte(23)){
			$anzeige = false;
		} else {
			$anzeige = true;
		}
	} else {
		$anzeige = true;
	}

	if ($anzeige == true){
		$projekt = new stwProjekt($re[2]);

		/*
	   * Vorhandene IQS Projekte sammeln, so dass sie nicht noch einmal unten
	   * gezeigt werden.
	   */
		$iqs_offen[] = $re[2];

	 	$nr   = $projekt->nummer();

		if ($projekt->ende_ts() > 0 && $projekt->ende_ts() < $heute) {
			$style = "color: #969696";
			$info = "Projekt beendet";
		} elseif($projekt->ende_ts() > 0 && $projekt->ende_ts() < $heute + 86400 * 42) {
			$style = "color: #FF00FF";
			$info = "Projekt endet in " . ($projekt->ende_ts()-$heute) / 86400 . " Tagen";
		} else {
			$style = "color: #FFCC00";
			$info = $projekt->name();
		}

        // sicherstellen das Variable gesetzt wurde
        if (!isset($bl)) $bl = NULL;

	 	echo "<tr class=\"mo\">";
	 	echo "<td class=\"cl1\"><a href=\"pro_daten.php?proj_id=$re[2]\" ";
	 	echo  stwToolTip($info) . "style=\"$style$bl\">$nr</a></td>\n<td>";
		$projekt->sbS();
		echo "</td><td class=\"cl1\"><a href=\"pro_qs.php?hp_id=$re[0]&proj_id=$re[2]&$url\"";
	 	echo stwToolTip("aktuelle IQS") . ">IQS</a></td>\n";

		$ps = abfrage1("select p.proj_id from tb_sachbericht s left join tb_sachbericht_proj p using(sb_id) 
						where p.proj_id='".$projekt->id."' and s.einverst = 'j'");
		echo "<td";
		if(mysql_num_rows($ps) > 0) {
			$einv = abfrage("select einverst from tb_projekte where proj_id='".$projekt->id."'");
			$tt = "Einverst&auml;ndniserkl&auml;rung erforderlich<br>Einverst&auml;ndniserkl&auml;rung";
			if(empty($einv[0]))
				echo stwToolTip("$tt noch nicht unterzeichnet",false) . "style=\"color:red;\">E";
			else echo stwToolTip("$tt unterzeichnet",false) . ">E";
		} else echo ">";
		echo "</td>";

	 	if ($re[4] == "j") echo "<td".stwToolTip('<b>'.date('d.m.Y',$re['gepr_hb_datum']).'</b> '.pers_kname($re['gepr_hb_pers_id'])).">OK</td>"; 
		else echo "<td></td>";

		if ($re[5] == 'j'){
			$tt = '<b>'.date('d.m.Y',$re['gepr_qss_datum']).'</b> '.pers_kname($re['gepr_qss_pers_id']);
			/* mehr als 14 Tage und Hauptbetreuer noch nicht OK */
			if ((time() - date_isodate_stamp($re[1])) > 1209600 && $re[4] != "j") {
				$style = "style=\"color:red\"";
				$tt .= '<br>Hauptbetreuer noch nicht OK seit 14 Tagen';
			} else {
				$style = '';
	   	}

	   	echo "<td class=\"cl11\" $style";
	   	if (strlen($tt) > 0) echo stwToolTip($tt);
	   	echo ">OK</td>\n";
	  } else {
	  	echo "<td></td>\n";
	  }

		if ($re[6] == "j") echo "<td".stwToolTip('<b>'.date('d.m.Y',$re['gepr_iqs_datum']).'</b> '.pers_kname($re['gepr_iqs_pers_id'])).">OK</td>"; 
		else echo "<td></td>\n";

		/* vorhandene Aufgaben zeigen */
		$sql  = "SELECT t1.aufgabe_id, t1.titel, t1.erledigt, TO_DAYS(t1.termin), ";
		$sql .= "TO_DAYS(CURDATE()) FROM tb_aufgaben t1 ";
		$sql .= "LEFT JOIN tbh_pers_auf t2 ON t1.aufgabe_id = t2.aufgabe_id ";
		$sql .= "WHERE t2.zust = 'j' AND ";
		$sql .= "t1.hp_id = '$re[0]';";
//		$sql .= "t1.titel LIKE '%IQS%' AND t1.titel LIKE '%".$nr."%';";
		$aufgaben = abfrage1($sql);

		/* abhaengig von der Anzahl Aufgaben werden verschiedene Ausgaben gemacht */
		if (mysql_num_rows($aufgaben) > 0) {
			if (mysql_num_rows($aufgaben) == 1) {
				/* Details zur Aufgabe holen */
				$zeile = mysql_fetch_row($aufgaben);

				/* Farbe bestimmen fuer diesen Aufgabenstatus */
				if ($zeile[2] == 100) {
					/* Aufgabe ist erledigt */
					$style = "style=\"color:#CCCCCC\"";
					$titel = "Aufgabe erledigt";
				} else {
					if ($zeile[3] < $zeile[4]) {
						/* Termin schon abgelaufen */
						$style = "style=\"color:#FF0000\"";
						$titel = "Aufgabe &uuml;berf&auml;llig";
					} else {
						if ($zeile[2] > 0 && $zeile[2] < 100) {
							/* Aufgabe wird bearbeitet */
							$style = "style=\"color:#00FF00\"";
							$titel = "Aufgabe begonnen";
						} else {
							$style = "";
							$titel = "";
						}
					}
				}

				/* nur eine Aufgabe - direkten Link anbieten */
				echo "<td class=\"cl1\"><a $style href=\"auf_and.php?aufgabe_id=";
				echo "$zeile[0]\"";
				echo stwToolTip($titel) . ">$zeile[2] %</a></td>\n";

			} else {
				$titel   = '';
				$prozent = '';

				/* Link soll die einzelnen Titel zeigen */
				while ($zeile = mysql_fetch_row($aufgaben)) {
					$titel   .= $zeile[1]." | ";
					$prozent .= $zeile[2]." % | ";
				}

				/* letzten Trennstrich wieder entfernen */
				$titel = substr($titel, 0, strlen($titel) - 3);
				$prozent = substr($prozent, 0, strlen($prozent) - 3);

				echo "<td class=\"cl1\"><a href=\"auf.php?ma=";
				echo $projekt->hb() . "\"" . stwToolTip($titel);
				echo ">$prozent</a></td>\n";
			}
		} else {
			/* keine vorhanden */
			echo "<td></td>\n";
	 	}

	 	/* Datum der Erstellung zeigen */
	 	echo "<td class=\"cl1\">" . date_my2gr($re[1]) . "</td>\n";

	 	/* Datum Erledigt zeigen */
	 	echo "<td class=\"cl1\">" . date_my2gr($re[3]) . "</td>\n";

	 	/* die Person die IQS angelegt hat */
	 	echo "<td class=\"cl1\">" . pers_kname($re[7]) . "</td>";

		if (getConf("traeger") == 'stw') {
			$prurl  = $_SESSION['webdir']."/mandant/".$_SESSION[$AppCode]['TR']."/";
			$prurl .= "iqs_pr.php?proj_id=$re[2]&hp_id=$re[0]";
			echo "<td><a href=\"$prurl&ts=" . time() . "\" target=\"_pdf\">";
			echo "<img src=\"img/drucker.png\" alt=\"IQS Daten drucken\"";
			echo stwToolTip('IQS-Daten drucken');
		  echo "border=\"0\"></a></td></tr>\n";
		}
	}
}

/* IQS Bereich abschliessen */
echo "</table>\n";

/* den folgenden Bereich nur zeigen wenn Userlevel 40 und hoeher ist */
if ($ulv < 40){
	new stwEnd($seite);
	exit(0);
}

new stwLine(1);

/* Projekte die noch keine Pruefung hatten oder zu lange zurueckliegen */
echo "<table>\n<tr>\n";
echo "<td style=\"color:#FF0000; font-size: 11pt; font-weight: bold;\" ";
echo "colspan=\"7\">aktive Projekte ohne Pr&uuml;fung bzw. letzte ";
echo "Pr&uuml;fung vor mehr als 5 Monaten:</td></tr></table>\n";

new stwLine(2);

echo "<table><tr><th class=\"cl1\">Projektnr.</th>\n";
echo "<th>Hauptbetreuer</th><th>Seit ...Tagen keine IQS</tr>\n";
new stwTabLine(2,5);

/* SQL Abfrage fuer aktive Projekte ohne Pruefung */
$sql  = "SELECT p.proj_id, ";
$sql .= "UNIX_TIMESTAMP(h.and_datum), ";
$sql .= "ROUND((TO_DAYS(CURDATE()) - TO_DAYS(p.beginn))/7), ";
$sql .= "UNIX_TIMESTAMP(h.and_datum), UNIX_TIMESTAMP(p.beginn), ";
$sql .= "UNIX_TIMESTAMP(p.ende) FROM tb_projekte p ";
$sql .= "LEFT JOIN tb_hp h ON p.proj_id = h.proj_id AND h.hp_art='q' ";
$sql .= "LEFT JOIN tb_hilfeart ha ON p.hilfeart_id = ha.hilfeart_id ";

if ($zugang == 0 || $eig == 1) {
	$sql .= "LEFT JOIN tbh_pers_proj tpp ON p.proj_id = tpp.proj_id ";
}

/* WHERE Bedingung */
$sql .= "WHERE (ha.iqs = '0' OR ha.iqs IS NULL) ";
$sql .= "AND (p.ende > DATE_SUB(CURDATE(), INTERVAL 42 DAY) ";
$sql .= "OR p.ende = '0000-00-00' OR p.ende IS NULL) ";
$sql .= "AND p.projektnr < 10000 ";

if ($zugang == 0 || $eig == 1) {
	$sql .= "AND tpp.pers_id = '$uid' ";
}

/* wenn vorhanden auf Projektgruppe einschraenken */
if ($pr_gruppe != 0) {
	/* gueltige Projektnummern fuer diese Gruppe aus DB holen */
 	$txt  = "SELECT nr_von, nr_bis FROM tb_projektart ";
 	$txt .= "WHERE pra_id='".$pr_gruppe."'";

 	$erg = abfrage($txt);

 	$sql .= "AND p.projektnr >= '".$erg[0]."' ";
 	$sql .= "AND p.projektnr <= '".$erg[1]."' ";
}

/* Reihenfolge festlegen */
$sql .= "ORDER BY p.projektnr ASC, h.and_datum DESC";
$res  = abfrage1($sql);

/* Array um doppelte Projektnummern auszuschliessen */
$projekte = array();

/* aktuelle Datumsangaben bstimmen */
$timestamp = time();
$akt_tag   = date("j", $timestamp);

$akt_mon   = date("n", $timestamp);
$akt_jahr  = date("Y", $timestamp);

/* vom aktuellen Monat 5 Monate abziehen */
if ($akt_mon < 6) {
	$akt_mon += 7;
 	$akt_jahr -= 1;
} else {
	$akt_mon -= 5;
}

/* Zeitstempel von vor 5 Monaten bestimmen */
$fuenf_mon = mktime(0, 0, 0, $akt_mon, $akt_tag, $akt_jahr);

$startzeiten = array();
while($re = mysql_fetch_row($res)) {
	/*
   * Selbe ProjektID kann mehrmals vorkommen und deswegen vorher
   * im Array nachschaun ob schon vorkam (dann nichts machen).
   *
   * Anfragen und Projekte mit vorhandenen IQS nicht zeigen.
   */
	$projektbeginn = projektbeginn_ts($re[0]);
	if($projektbeginn != 0 && $projektbeginn < mktime() && !in_array($re[0], $projekte) && !in_array($re[0], $iqs_offen)) {
 		/* ProjektID war noch nicht vorhanden - jetzt in Array ablegen */
		$projekte[] = $re[0];

		/*
		 * Ermitteln welcher Zeitstempel der gueltige ist. Entweder
		 * der Projektbeginn oder der erste Hilfeplaneintrag. Wenn
		 * beide keinen gueltigen Wert besitzen, den ersten HP Eintrag
		 * ermitteln der dann als Startzeitpunkt gilt.
		 */
		$startzeit = $re[3];
		$projekt = new stwProjekt($re[0]);

		if (empty($startzeit) || $startzeit == 0) {
			$sql  = "SELECT UNIX_TIMESTAMP(and_datum) FROM tb_hp ";
			$sql .= "WHERE proj_id='$re[0]' and UNIX_TIMESTAMP(and_datum) > 0 and hp_art in ('s','h','h2')";
			$sql .= "ORDER BY and_datum ASC LIMIT 1;";
			$erg  = abfrage($sql);

				if (empty($erg[0]) || $erg[0] == 0) {
					/* keine Chance einen gueltigen Startwert zu finden */
					$startzeit = empty($re[4]) ? time() : $re[4];
				} else {
					$startzeit = $erg[0];
			}
		}

		/* nur zeigen wenn aelter als 5 Monate oder Projekt beendet */
		if ($startzeit < $fuenf_mon || ($re[5] != 0 && $re[5] < time() && $re[1] < $projekt->ende_ts())) {
			$startzeiten[$re[0]] = $startzeit;
		}
 	}
}
asort($startzeiten);
$heute = mktime(0,0,0,date('n'),date('j'),date('Y'));
foreach($startzeiten as $pid => $startzeit) {
	$projekt = new stwProjekt($pid);
	if ($projekt->ende_ts() > 0 && $projekt->ende_ts() < $heute) {
		$co = "#969696";
		$ti = "Projekt beendet";
	} elseif($projekt->ende_ts() > 0 && $projekt->ende_ts() < $heute + 86400 * 42) {
		$co = "#FF00FF";
		$ti = "Projekt endet in " . ($projekt->ende_ts()-$heute) / 86400 . " Tagen";
	} else {
		$co = "#FFCC00";
		$ti = $projekt->name();
	}

	/* Projektnummer und Hauptbetreuer ausgeben */
	$dat = $projekt->nummer();
	$hb  = $projekt->hb();

	

	echo "<tr><td class=\"cl1\"><a href=\"pro_daten.php?proj_id=$pid\" ";
	echo "style=\"color:$co;\"";
	if (strlen($ti) > 0) echo stwToolTip($ti);
	echo ">$dat</a></td>\n";

	if (!empty($hb)) {
		echo "<td class=\"cl1\">" . pers_kname($hb) . "</td>\n";
	} else {
		echo "<td>kein Hauptbetreuer</td>\n";
	}
	$tage = round(($heute-$startzeit) / (60*60*24),0);
	$monate = round($tage/30.5,0) . ' Monate';
	echo "<td>$tage ($monate)</td>";
	echo "</tr>\n";
}
echo "</table>\n";
new stwLine(1);

new stwEnd($seite, $all);
?>
