<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: raumnutzung_and.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 10;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];
$onload_form = 'raumform';
$onload_focus = 'datum';

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 19);

require_once($pfad . 'inc/func.inc.php');

$sql = "select res_id, name from tb_ressourcen where reservierung = '1' order by name asc;";
$raeume = abfrage1($sql);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function checkStatus($datum, $von, $bis, $res2_id){
	global $raeume;
	$userResp = new xajaxResponse();
	$raumselectbgcolor = array();
	while($raum = mysql_fetch_row($raeume)) {
		$raumselectbgcolor[$raum[0]] = $raum[0];
	}
	mysql_data_seek($raeume,0);
	$datum = check_date($datum);
	$ts = $von_ts = date_gr2ts($datum);
	$time = check_time($von);
	if($time) $von_ts = date_tstime($ts,$time);
	$time = check_time($bis);
	$bis_ts = date_tstime($ts,$time ? $time : '23:59');
	$sql = "select res2_id from tb_ab_zk z
			left join tb_termine t using (termin_id) 
			where unix_timestamp(t.bis) > '$von_ts' ";
	if(isset($_GET['zk_id'])) $sql.= "and zk_id != '{$_GET['zk_id']}' ";
	$sql.= "and unix_timestamp(t.von) < '$bis_ts';";
	$zks = abfrage1($sql);
	$red = false;
	while($zk = mysql_fetch_row($zks)) {
		if($zk[0] > 0) {
			$userResp->assign("raum$zk[0]", 'style.background', 'red');
			$raumselectbgcolor[$zk[0]] = false;
			if($res2_id == $zk[0]) $red = true;
		}
	}
	foreach($raumselectbgcolor as $id) {
		if($id) $userResp->assign("raum$id", 'style.background', '');
	}
	$userResp->assign("res2_id",'style.background',$red?'red':'#CCCCCC');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('checkStatus');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');

if (isset($rvar_zk_id)) {
  $sql  = "SELECT DATE_FORMAT(t.von, '%d.%m.%Y') as datum, z.pers_id, t.termin_id, ";
  $sql .= "UNIX_TIMESTAMP(t.von) as von_ts, DATE_FORMAT(t.von, '%H:%i') as von, ";
  $sql .= "DATE_FORMAT(t.bis, '%H:%i') as bis, z.res2_id, z.inhalte ";
  $sql .= "FROM tb_ab_zk z ";
  $sql .= "LEFT JOIN tb_termine t ON z.termin_id = t.termin_id ";
  $sql .= "WHERE z.zk_id = '$rvar_zk_id'";
  $zk   = abfrage_array($sql);
} else $zk = array();

/* Formular ausgeben um Daten einzugeben */
echo "<table><tr><td>\n";
echo "<form method=\"post\" name=\"raumform\" action=\"kal_raum.php\">\n";
echo "<table>\n";

$ti = 1;

/* Datum */
$datum = (isset($rvar_zk_id)) ? $zk[0] : date('d.m.Y');
echo "<tr><th class=\"cl1\" colspan=\"2\">Datum:</th>\n";
echo "<td colspan=\"2\"><table cellspacing=\"0\" cellpadding=\"0\"><tr><td class=\"cl1\">\n";
echo "<input type=\"text\" id=\"datum\" name=\"datum\" size=\"10\" maxlength=\"10\" ";
echo "onblur=\"xajax_checkStatus(datum.value, von.value, bis.value, res2_id.value)\" ";
echo "onkeyup=\"validate()\" tabindex=\"$ti\" value=\"$datum\">"; $ti++;
echo " TT.MM.JJJJ </td>\n";
/* von Uhrzeit */
echo "<th class=\"cl1\" style=\"text-align: right;\">von:</th>";
echo "<td class=\"cl1\"><input type=\"text\" id=\"von\" name=\"tvon\" size=\"8\" maxlength=\"8\" ";
echo "onblur=\"xajax_checkStatus(datum.value, von.value, bis.value, res2_id.value)\" ";
echo "tabindex=\"$ti\" value=\"{$zk['von']}\"> HH:MM </td>\n"; $ti++;
/* bis Uhrzeit */
echo "<th class=\"cl1\" style=\"text-align: right;\">bis:</th>";
echo "<td class=\"cl1\">\n<input type=\"text\" id=\"bis\" name=\"tbis\" size=\"8\" maxlength=\"8\" ";
echo "onblur=\"xajax_checkStatus(datum.value, von.value, bis.value, res2_id.value)\" ";
echo "tabindex=\"$ti\" value=\"{$zk['bis']}\"> HH:MM </td>\n"; $ti++;
echo "</tr></table></td></tr>\n";
/* Raum */
echo "<tr><th colspan=\"2\" class=\"cl1\">Raum:</th>\n";
echo "<td><select name=\"res2_id\" id=\"res2_id\" size=\"1\" ";
echo "onchange=\"xajax_checkStatus(datum.value, von.value, bis.value, res2_id.value)\" ";
echo "tabindex=\"$ti\">\n"; $ti++;
echo "<option>Raum w&auml;hlen!</option>\n";

while ($zeile = mysql_fetch_array($raeume)) {
	echo "<option id=\"raum$zeile[0]\" value=\"$zeile[0]\"";
	if ($zk['res2_id'] == $zeile[0]) echo ' selected';
	echo ">$zeile[1]</option>\n";
}
echo "</option></td></tr>\n";

echo "<tr><th class=\"cl1\">Notizen:</th>\n";
echo "<td colspan=\"6\"><textarea name=\"inhalte\" cols=\"90\" ";
echo "rows=\"2\" tabindex=\"$ti\">"; $ti++;
echo $zk['inhalte'] . "</textarea></td>\n</tr>\n";

if (isset($rvar_zk_id)) {
	echo "<tr><th class=\"cl1\">Benutzer:</th>\n";
	echo "<td colspan=\"6\">" . pers_name($zk['pers_id']) . "</td></tr>\n";
}

echo "</table>\n";
$pers_id = empty($zk['pers_id']) ? $uid : $zk['pers_id'];
echo "<input type=\"hidden\" name=\"pers_id\" value=\"$pers_id\">\n";

/* rote Trennlinie fuer den Bedienbutton */
new stwLine(1);

if (isset($rvar_zk_id)) {
	echo "<input type=\"hidden\" name=\"zk_id\" value=\"$rvar_zk_id\">\n";
	echo "<input type=\"hidden\" name=\"termin_id\" value=\"{$zk['termin_id']}\">\n";
}

if($uid == $pers_id || $ulv >= 60) {
	echo "<table><tr>\n";
	echo "<td><input type=\"submit\" name=\"save\" value=\"Speichern\">\n";
	echo "</td></tr></table>\n";
}
/* Formular abschliessen */
echo "</form>\n</td></tr></table>\n";

/* Stellware Endelemente anhaengen */
$ts = empty($datum) ? mktime() : date_gr2ts($datum);
new stwEnd($seite, "-$ts", NULL, NULL, 0, 0, 0, NULL, NULL, true);
?>
