<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: rebuch_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 60;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");

$jahr    = (isset($_GET['year'])) ? $_GET['year'] : date('Y');
$art     = (isset($_GET['art'])) ? $_GET['art'] : 4;
$traeger = (isset($_GET['tr'])) ? $_GET['tr'] : 'all';

$pdf=new PDF('l','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

$footer = "Rechnungsbuch Posteingang";

$rh = 4.5;
		   
$query  = "SELECT pe.hp_id, pe.betreff, pe.rg_betrag, pe.post_in_id, pe.ma_id, ";
$query .= "t.kurzname t_kname, t.farbe, t.traeger_art, p.kurzname p_kname, ";
$query .= "k.name as k_name, k.kont_id,	k.kont_art_id, p.post_art, ";
$query .= "apk.name apk_name, apk.vorname, apk.ap_id, apk.teldienst, ";
$query .= "pr.projektnr, personal.name as personal_nn, t.traeger_art_id, ";
$query .= "personal.vorname as personal_vn, personal2.name as personal2_nn, ";
$query .= "personal2.vorname as personal2_vn, pe.kont_id as kont_id2, pe.skonto, ";
$query .= "DATE_FORMAT(hp.and_datum,'%d.%m.%Y') AS rdat, pe.ernr, pe.traegerart_id, ";
$query .= "pe.ok, pe.postart_id, hp.teilnehmer AS prnr ";
$query .= "FROM tb_post_eingang pe ";
$query .= "LEFT JOIN tb_kontakte k ON k.kont_id = pe.kont_id and k.kh_id='0' ";
$query .= "LEFT JOIN tb_kontakte_ap apk ON apk.ap_id = pe.ap_id ";
$query .= "LEFT JOIN tb_traeger_art t ON t.traeger_art_id = pe.traegerart_id ";
$query .= "LEFT JOIN tb_post_art p ON p.post_art_id = pe.postart_id ";
$query .= "LEFT JOIN tb_hp hp ON hp.hp_id = pe.hp_id ";
$query .= "LEFT JOIN tb_projekte pr ON pr.proj_id = hp.proj_id ";
$query .= "LEFT JOIN tb_personal personal ON personal.pers_id = pe.ma_id ";
$query .= "LEFT JOIN tb_personal personal2 ON personal2.pers_id = pe.ok ";
if($art == 4) $datum = "hp.and_datum"; else $datum = "hp.datum";
$query .= "WHERE pe.postart_id='$art' AND pe.ok > 0 AND YEAR($datum) = $jahr ";
if($traeger != 'all') $query .= "AND pe.traegerart_id = '$traeger' ";
$query .= "ORDER BY pe.traegerart_id ASC, pe.ernr ASC, $datum ASC";

$kumulativ = 0;
$ernr = 0;
$res = mysql_query($query) or die(mysql_error());
$pdf->SetDrawColor(0,0,0);
while ($row = mysql_fetch_array($res)){
	$pdf->SetFillColor(255,255,255);

	if($ernr >= $row['ernr']) {
		$kumulativ = 0;
		$ernr = 0;
	}
	$bet_len = $art==8 ? 190 : ($row['traeger_art_id'] == 3 ? 120 : 130);
	if ($y_axis > 125 || $ernr == 0){
		$pdf->AddPage();
		$pdf->SetFont('stw','',20);
		$pdf->Text(15,32,$footer);
		$y_axis = 40;
		$pdf->SetXY(15,$y_axis);
		$pdf->SetFont('arialb','',10);
		if($art==4) {
			$pdf->Cell(10,7, 'ERNr',1,0,'C',0);
			if($row['traeger_art_id'] == 3)
				$pdf->Cell(10,7, 'PrNr',1,0,'C',0);
			$pdf->Cell(20,7, 'RDat',1,0,'C',0);
		}
		$pdf->Cell(30,7, 'Absender',1,0,'C',0);
		$pdf->Cell($bet_len,7, 'Betreff',1,0,'C',0);
		if($art==4)
			$pdf->Cell(30,7, 'BKto',1,0,'C',0);
		$pdf->Cell(20,7, 'Betrag',1,0,'C',0);
		$pdf->Cell(25,7, 'kumulativ',1,1,'C',0);
		$pdf->SetFont('stw','',16);
		$pdf->Text(140,32,$row['traeger_art']);
		$pdf->SetFont('arial','',8);
	}

	$kumulativ += $row['rg_betrag'];

	if($art==4) {
		$pdf->Cell(10,7, $row['ernr'],1,0,'C',0);
		if($row['traeger_art_id'] == 3)
			$pdf->Cell(10,7, $row['prnr'],1,0,'C',0);
		$pdf->Cell(20,7, $row['rdat'],1,0,'C',0);
		$ernr = $row['ernr'];
	}
	$sh_firma = true;
	if (empty($row['kont_id2'])){
		$Absender = $row['vorname']." ".$row['apk_name'];
		$sh_firma = false;
	}
	if (!empty($row['ma_id'])){
		$Absender = $row['personal_vn']." ".$row['personal_nn'];
		$sh_firma = false;
	}
	if ($sh_firma)
		$Absender = strCut($row['k_name'],20);
	$pdf->Cell(30,7, $Absender,1,0,'C',0);
	$bet_cut = $art==8 ? 130 : ($row['traeger_art_id'] == 3 ? 90 : 105);
	$pdf->Cell($bet_len,7, strCut($row['betreff'],$bet_cut),1,0,'C',0);
	if($art==4) {
		$sql  = "select k1.kto_id, k1.kurzname from tb_bkto k1 ";
		$sql .= "left join tbh_bkto k2 on k1.kto_id = k2.kto_id ";
		$sql .= "where k2.hp_id = '{$row['hp_id']}'";
		$bktos = abfrage1($sql);
		$ktos = "";
		while($bkto = mysql_fetch_row($bktos)) {
			$ktos .= "$bkto[1], ";
		}
		if(strlen($ktos) > 1) $ktos = substr($ktos,0,-2);
		
		$pdf->Cell(30,7, strCut($ktos,20),1,0,'C',0);
	}
	$pdf->Cell(20,7, geld_form($row['rg_betrag']),1,0,'C',0);
	$pdf->Cell(25,7, geld_form($kumulativ),1,1,'C',0);

	$y_axis = $y_axis + $rh;
}

$pdf->SetFont('arialb','',9);
$pdf->Output();
exit;
?>
