<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: rech.php 2928 2018-12-31 10:38:52Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 42;
$level = 65;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function PA($re_id, $check) {
	global $AppCode;
	$uid = $_SESSION[$AppCode]["UID"];
	if($check) {
		$dat = abfrage("select post_out_id from tb_rechnung where re_id = '$re_id';");
		if (empty($dat[0])){
			/* Daten der Rechnung abfragen */
			$sql  = "select r.proj_id, r.re_nr, month(n.datum) as monat, ";
			$sql .= "year(n.datum) as jahr, betrag from tb_rechnung r ";
			$sql .= "left join tb_ab_nachw n using(nachw_id) ";
			$sql .= "where r.re_id = '$re_id';";
			$dat1 = abfrage_assoc($sql);

			$projekt = new stwProjekt($dat1['proj_id']);

			/* Eintrag in Hilfehistorie anlegen und vergebene ID in $hp_id */
			$sql  = "insert into tb_hp set datum = curdate(), ";
			$sql .= "proj_id = '$projekt->id', hp_art = 'y', pers_id = '$uid';";
			abfrage2($sql);
			$hp_id = mysql_insert_id();

			$betreff  = 'Rechnung Nr. ' . $dat1['re_nr'] . ' fr ' . $dat1['monat'] . '/';
			$betreff .= $dat1['jahr'];

			/* Standardtraeger fuer Hilfeart dieses Projekts aus Hilfeartentab. holen */
			$traeger = abfrage("select traeger_art_id from tb_hilfeart
													where hilfeart_id = '$projekt->ha';");

			/* Eintrag in Postausgang erzeugen und ID in $post_id */
			$sql  = "insert into tb_post_ausgang set hp_id = '$hp_id', ";
			$sql .= "kont_id = '$projekt->ja', ap_id = '$projekt->sb', ";
			$sql .= "betreff = '$betreff', traegerart_id = '$traeger[0]', ";
			$sql .= "postart_id = '4', rg_betrag = '{$dat1['betrag']}', ";
			$sql .= "ok = '$uid', ok_datum = curdate();";
			abfrage2($sql);
			$post_id = mysql_insert_id();

			/* $post_out_id in Rechnungstabelle eintragen */
			$sql  = "update tb_rechnung set ";
			$sql .= "post_out_id = '$post_id' where re_id = '$re_id';";
			abfrage2($sql);

			/* Eintrag in die Historie */
			abfrage2("insert into tb_rech_ok_hist set re_id = '$re_id', eingang='p', pers_id='$uid', checked='j', datetime=now()");
		}
	} else {
		$dat = abfrage("select post_out_id from tb_rechnung where re_id = '$re_id';");
		if(!empty($dat[0])) {
			$hp = abfrage("select hp_id from tb_post_ausgang where post_out_id='$dat[0]';");
			abfrage2("delete from tb_hp where hp_id='$hp[0]' limit 1;");
			abfrage2("delete from tb_post_ausgang where post_out_id='$dat[0]' limit 1;");
			abfrage2("update tb_rechnung set post_out_id = NULL where re_id = '$re_id';");
			abfrage2("insert into tb_rech_ok_hist set re_id = '$re_id', eingang='p', pers_id='$uid', checked='n', datetime=now()");
		}
	}
	$userResp = new xajaxResponse();
	$userResp->assign("pa_kn_$re_id", 'innerHTML', pers_kname($uid));
	$userResp->assign("pa_ts_$re_id", 'innerHTML', date('d.m.Y'));
	return $userResp;
}

function ZE($re_id, $check) {
	global $AppCode;
	$uid = $_SESSION[$AppCode]["UID"];
	if ($check){
		$sql  = "update tb_rechnung set zahlung_in_pers_id = '$uid', ";
		$sql .= "zahlung_in_datum = curdate() where re_id = '$re_id';";
		abfrage2($sql);
		abfrage2("insert into tb_rech_ok_hist set re_id = '$re_id', eingang='z', pers_id='$uid', checked='j', datetime=now()");
	} else {
		abfrage2("insert into tb_rech_ok_hist set re_id = '$re_id', eingang='z', pers_id='$uid', checked='n', datetime=now()");
	}
	$userResp = new xajaxResponse();
	$userResp->assign("ze_kn_$re_id", 'innerHTML', pers_kname($uid));
	$userResp->assign("ze_ts_$re_id", 'innerHTML', date('d.m.Y'));
	return $userResp;
}

function ZE_Abs($nachw_id, $satz, $check) {
	global $AppCode;
	$uid = $_SESSION[$AppCode]["UID"];
	if ($check){
		abfrage2("insert into tb_zin_abschlag set nachw_id = '$nachw_id', satz = '$satz', pers_id='$uid', checked='j', ts=now()");
	} else {
		abfrage2("insert into tb_zin_abschlag set nachw_id = '$nachw_id', satz = '$satz', pers_id='$uid', checked='n', ts=now()");
	}
}

function ZE_pFLSg($proj_id,$id,$check,$betrag) {
	global $AppCode;
	$uid = $_SESSION[$AppCode]["UID"];
	$checked = ($check) ? 'j' : 'n';
	if($id==0) {
		$pFLSg = abfrage("select id from tb_pauschFLSg where proj_id='$proj_id' and betrag='$betrag'");
		if(empty($pFLSg[0])) {
			$note = abfrage("select notizen from tb_pauschFLSg where proj_id='$proj_id'order by id asc limit 1");
			abfrage2("insert into tb_pauschFLSg set proj_id='$proj_id', betrag='$betrag', notizen='$note[0]'");
			$id = mysql_insert_id();
		} else $id = $pFLSg[0];
	}
	$sql = "insert into tbh_pauschFLSg_zin set id = '$id', checked = '$checked', pers_id='$uid', ts=now()";
	abfrage2($sql);
}

function savenote($nwid,$satz,$text){
	$userResp = new xajaxResponse();
	$userResp->call("tt_HideInit()");
	$datum = abfrage("select datum from tb_ab_nachw where nachw_id = '$nwid';");
	$abs = abfrage("select id from tb_zin_abschlag where satz = '$satz' and ts <= '$datum[0]' order by ts desc limit 1");
	if(empty($abs[0])) $sql = "insert into tb_zin_abschlag set satz = '$satz', ts='$datum[0]', notizen='$text'";
	else $sql = "UPDATE tb_zin_abschlag set notizen='$text' WHERE id = '$abs[0]';";
	abfrage2($sql);
	$userResp->assign("note_$satz", 'src', empty($text) ? 'img/daten.png' : 'img/daten_gruen.png');
	return $userResp;
}

function savenote2($proj_id,$id,$text){
	$userResp = new xajaxResponse();
	$userResp->assign("note$id", 'src', empty($text) ? 'img/daten.png' : 'img/daten_gruen.png');
	$userResp->call("tt_HideInit()");
	if(empty($id)) {
		$pFLSg = abfrage("select id from tb_pauschFLSg where proj_id='$proj_id'order by id asc limit 1");
		$id = $pFLSg[0];
	}
	abfrage2("update tb_pauschFLSg set notizen='$text' where id='$id'");
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('PA');
$xajax->registerFunction('ZE');
$xajax->registerFunction('ZE_Abs');
$xajax->registerFunction('ZE_pFLSg');
$xajax->registerFunction('savenote');
$xajax->registerFunction('savenote2');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
require_once($pfad . 'inc/stw.inc.php');

$pers_order = getPersOrder($seite);
if(!isset($rvar_order)) $rvar_order='r';

$doAbs = true;

/* Sortierung Abschlagsrechnung */
if(isset($_GET['aborder'])) {
	abfrage2("update tb_pers_einst set abschlagorder='$rvar_aborder' where pers_id='$uid'");
}

/* Postausgang fuer Rechnung erstellen */
if ($_GET['post_out'] == 1){
	$sql  = "select post_out_id from tb_rechnung ";
	$sql .= "where re_id = '{$_GET['re_id']}';";
	$dat = abfrage($sql);

	if (empty($dat[0])){
		/* Daten der Rechnung abfragen */
		$sql  = "select r.proj_id, r.re_nr, month(n.datum) as monat, ";
		$sql .= "year(n.datum) as jahr, betrag from tb_rechnung r ";
		$sql .= "left join tb_ab_nachw n using(nachw_id) ";
		$sql .= "where r.re_id = '{$_GET['re_id']}';";
		$dat1 = abfrage_assoc($sql);

		$projekt = new stwProjekt($dat1['proj_id']);

		/* Eintrag in Hilfehistorie anlegen und vergebene ID in $hp_id */
		$sql  = "insert into tb_hp set datum = curdate(), ";
		$sql .= "proj_id = '$projekt->id', hp_art = 'y', pers_id = '$uid';";
		abfrage2($sql);
		$hp_id = mysql_insert_id();

		$betreff  = 'Rechnung Nr. ' . $dat1['re_nr'] . ' fr ' . $dat1['monat'] . '/';
		$betreff .= $dat1['jahr'];

		/* Standardtraeger fuer Hilfeart dieses Projekts aus Hilfeartentab. holen */
		$traeger = abfrage("select traeger_art_id from tb_hilfeart
												where hilfeart_id = '$projekt->ha';");

		/* Eintrag in Postausgang erzeugen und ID in $post_id */
		$sql  = "insert into tb_post_ausgang set hp_id = '$hp_id', ";
		$sql .= "kont_id = '$projekt->ja', ap_id = '$projekt->sb', ";
		$sql .= "betreff = '$betreff', traegerart_id = '$traeger[0]', ";
		$sql .= "postart_id = '4', rg_betrag = '{$dat1['betrag']}', ";
		$sql .= "ok = '$uid', ok_datum = curdate();";
		abfrage2($sql);
		$post_id = mysql_insert_id();

		/* $post_out_id in Rechnungstabelle eintragen */
		$sql  = "update tb_rechnung set ";
		$sql .= "post_out_id = '$post_id' where re_id = '{$_GET['re_id']}';";
		abfrage2($sql);

		/* Eintrag in die Historie */
		abfrage2("insert into tb_rech_ok_hist set re_id = '{$_GET['re_id']}', eingang='p', pers_id='$uid', checked='j', datetime=now()");
	}
} elseif ($_GET['doch_keins'] == 1 && check_nutzer_rechte(100)){
	$dat = abfrage("select post_out_id from tb_rechnung where re_id = '{$_GET['re_id']}';");
	if(!empty($dat[0])) {
		$hp = abfrage("select hp_id from tb_post_ausgang where post_out_id='$dat[0]';");
		abfrage2("delete from tb_hp where hp_id='$hp[0]' limit 1;");
		abfrage2("delete from tb_post_ausgang where post_out_id='$dat[0]' limit 1;");
		abfrage2("update tb_rechnung set post_out_id = NULL where re_id = '{$_GET['re_id']}';");
		abfrage2("insert into tb_rech_ok_hist set re_id = '{$_GET['re_id']}', eingang='p', pers_id='$uid', checked='n', datetime=now()");
	}
}

if ($_GET['zahlung_in'] == 1){
	$teilz = abfrage("select teilz_betrag from tb_rechnung where re_id = '{$_GET['re_id']}';");
	if($teilz[0] > 0 && empty($_GET['del_teilz']) && empty($_GET['keep_teilz'])) {
		$text = "F&uuml;r die aktuelle Rechnung liegt bereits eine Teilzahlung vor.";
		$ja_text = "Restbetrag wurde &uuml;berwiesen
(Teilzahlung wird gel&ouml;scht)";
		$nein_text = "Rechnung wurde vereinbarungsgem&auml;&szlig;
auf Teilzahlung gek&uuml;rzt";
		echo "<form method=\"get\" action=\"" . $_SERVER["PHP_SELF"] . "\">\n";
		echo "<input type=\"hidden\" name=\"nw\" value=\"{$_GET['nw']}\">\n";
		echo "<input type=\"hidden\" name=\"re_id\" value=\"{$_GET['re_id']}\">\n";
		echo "<input type=\"hidden\" name=\"zahlung_in\" value=\"{$_GET['zahlung_in']}\">\n";
		new stwSicherheitsabfrage($text, $nein_text, $ja_text, 'submit', 'submit', 'keep_teilz', 'del_teilz', true);
		echo "</form>\n";
	} else {
		$sql  = "update tb_rechnung set zahlung_in_pers_id = '$uid', ";
		if(isset($_GET['del_teilz'])) {
			$sql .= "teilz_pers_id = '$uid', teilz_datum = now(), teilz_betrag = '0.00', ";
		}
		$sql .= "zahlung_in_datum = curdate() where re_id = '{$_GET['re_id']}';";
		abfrage2($sql);
		abfrage2("insert into tb_rech_ok_hist set re_id = '{$_GET['re_id']}', eingang='z', pers_id='$uid', checked='j', datetime=now()");
	}
} elseif ($_GET['doch_keine'] == 1 && check_nutzer_rechte(101)){
	abfrage2("insert into tb_rech_ok_hist set re_id = '{$_GET['re_id']}', eingang='z', pers_id='$uid', checked='n', datetime=now()");
}

/* Rechnungen loeschen Aufruf auswerten wenn vorhanden und Level hoch genug */
if ($ulv > 96 && $_GET['kill'] == 1) {
	echo "<center><table><tr><td class=\"frage\">";
	echo "Wollen Sie die Rechnungen wirklich l&ouml;schen?</td></tr>\n";
	new stwTabLine(2,10);
	echo "<tr><td class=\"buttonzeile\">";
	echo "<input class=\"button\" type=\"submit\" ";
	echo "onClick=\"self.location.href='rech.php?really_kill=".$_GET['kill']."'\" ";
	echo "value=\"Ja, bitte l&ouml;schen!\">";
	echo "&nbsp;&nbsp;&nbsp;<input class=\"button\" type=\"reset\" ";
	echo "onClick=\"javascript:history.back()\" ";
	echo "value=\"Nein, zur&uuml;ck!\">";
	echo "</td></tr></table></center>\n";
	new stwEnd($seite);
	exit(0);
}
if ($ulv > 96 && $_GET['really_kill'] == 1) {
	/* fuer die letzte Nachweismappe alle Rechnungen loeschen */
	$nw_id_max = abfrage("SELECT * FROM tb_ab_nachw ORDER BY nachw_id DESC LIMIT 1");
 	abfrage2("DELETE FROM tb_rechnung WHERE nachw_id = '$nw_id_max[0]';");
 	abfrage2("DELETE FROM tb_ab_rechnung WHERE nachw_id = '$nw_id_max[0]';");
 	abfrage2("DELETE FROM tb_zg_rechnung WHERE nachw_id = '$nw_id_max[0]';");
 	abfrage2("DELETE FROM tb_zg_position WHERE nachw_id = '$nw_id_max[0]';");
	azk_cache_reset();
}

if(isset($_POST['padd'])) {
	abfrage2("insert into tb_abschlag set nachw_id='{$_GET['nw']}', proj_id='{$_POST['padd']}'");
}

set_session_url();

// aktuelle oder gewaehlte Nachweismappe
if (isset($_GET['nw'])){
	$nwid = $_GET['nw'];
	$nwdat = abfrage("select datum from tb_ab_nachw where nachw_id = '$nwid';");
	$abm = $nwdat[0];
} else {
	$nwmax = abfrage("select max(datum) from tb_ab_nachw;");
	$abm = $nwmax[0];
	$nw_id = abfrage("select nachw_id from tb_ab_nachw where datum = '$abm';");
	$nwid = $nw_id[0];
}

$ts = date_my2ts($abm);
$redat = mktime(0,0,0, date('n',$ts), date('t',$ts), date('Y',$ts));
if (!arbeitstag($redat)){
	while (!arbeitstag($redat)){
		$redat -= 86400;
	}
}
$rechnungsdatum = date('Y-m-d', $redat);

if(isset($_POST['pout_ok'])) {
	if(is_array($_POST['re_id'])) foreach($_POST['re_id'] as $re_id) {
		$post = abfrage("select post_out_id from tb_rechnung where re_id='$re_id'");
		$re_id_post_out = empty($_POST['re_id_post_out']) ? array() : $_POST['re_id_post_out'];
		if(empty($post[0]) && in_array($re_id, $re_id_post_out)) {
			/* Daten der Rechnung abfragen */
			$sql  = "select r.proj_id, r.re_nr, month(n.datum) as monat, ";
			$sql .= "year(n.datum) as jahr, r.betrag from tb_rechnung r ";
			$sql .= "left join tb_ab_nachw n using(nachw_id) ";
			$sql .= "where r.re_id = '$re_id';";
			$dat1 = abfrage_assoc($sql);

			$projekt = new stwProjekt($dat1['proj_id']);

			/* Eintrag in Hilfehistorie anlegen und vergebene ID in $hp_id */
			$sql  = "insert into tb_hp set datum = curdate(), ";
			$sql .= "proj_id = '$projekt->id', hp_art = 'y', pers_id = '$uid';";
			abfrage2($sql);
			$hp_id = mysql_insert_id();

			$betreff  = 'Rechnung Nr. ' . $dat1['re_nr'] . ' fr ' . $dat1['monat'] . '/';
			$betreff .= $dat1['jahr'];

			/* Standardtraeger fuer Hilfeart dieses Projekts aus Hilfeartentab. holen */
			$traeger = abfrage("select traeger_art_id from tb_hilfeart
													where hilfeart_id = '$projekt->ha';");

			/* Eintrag in Postausgang erzeugen und ID in $post_id */
			$sql  = "insert into tb_post_ausgang set hp_id = '$hp_id', ";
			$sql .= "kont_id = '$projekt->ja', ap_id = '$projekt->sb', ";
			$sql .= "betreff = '$betreff', traegerart_id = '$traeger[0]', ";
			$sql .= "rg_betrag = '{$dat1['betrag']}', ";
			$sql .= "postart_id = '4', ok = '$uid', ok_datum = curdate();";
			abfrage2($sql);
			$post_id = mysql_insert_id();

			/* $post_out_id in Rechnungstabelle eintragen */
			$sql  = "update tb_rechnung set ";
			$sql .= "post_out_id = '$post_id' where re_id = '$re_id';";
			abfrage2($sql);

			/* Eintrag in die Historie */
			abfrage2("insert into tb_rech_ok_hist set re_id = '$re_id', eingang='p', pers_id='$uid', checked='j', datetime=now()");			
		} elseif($post[0] > 0 && check_nutzer_rechte(100) && !in_array($re_id, $re_id_post_out)) {
			$hp = abfrage("select hp_id from tb_post_ausgang where post_out_id='$post[0]';");
			abfrage2("delete from tb_hp where hp_id='$hp[0]' limit 1;");
			abfrage2("delete from tb_post_ausgang where post_out_id='$post[0]' limit 1;");
			abfrage2("update tb_rechnung set post_out_id = NULL where re_id = '$re_id';");
			abfrage2("insert into tb_rech_ok_hist set re_id = '$re_id', eingang='p', pers_id='$uid', checked='n', datetime=now()");
		}
	}
}

if(isset($_POST['zin_ok'])) {
	$bTeilzahlung = false;
	if(is_array($_POST['re_id'])) foreach($_POST['re_id'] as $re_id) {
		$zin = abfrage("select checked from tb_rech_ok_hist where re_id='$re_id' and eingang='z' order by datetime desc limit 1");
		$re_id_zahlung_in = empty($_POST['re_id_zahlung_in']) ? array() : $_POST['re_id_zahlung_in'];
		if($zin[0]!='j' && in_array($re_id, $re_id_zahlung_in)) {
			$teilz = abfrage("select teilz_betrag from tb_rechnung where re_id = '$re_id';");
			if($teilz[0] > 0) $bTeilzahlung = true;
			else {
				$sql  = "update tb_rechnung set zahlung_in_pers_id = '$uid', ";
				$sql .= "zahlung_in_datum = curdate() where re_id = '$re_id';";
				abfrage2($sql);
				abfrage2("insert into tb_rech_ok_hist set re_id = '$re_id', eingang='z', pers_id='$uid', checked='j', datetime=now()");
			}
		} elseif ($zin[0]=='j' && check_nutzer_rechte(101) && !in_array($re_id, $re_id_zahlung_in)){
			abfrage2("insert into tb_rech_ok_hist set re_id = '$re_id', eingang='z', pers_id='$uid', checked='n', datetime=now()");
		}
	}
	if($bTeilzahlung) echo "<h2>Es konnten nicht alle Zahlungseing&auml;nge verarbeitet werden.<br>Zahlungseing&auml;nge mit Teilzahlung m&uuml;ssen einzeln gebucht werden.</h2>";
}

if(isset($_POST['ReallyUndoAbRech'])) {
	$nw_id_max = abfrage("SELECT r.nachw_id FROM tb_rechnung r left join tb_zg_rechnung z using(re_id) WHERE r.proj_id=0 and z.zg_id IS NULL ORDER BY r.nachw_id DESC LIMIT 1");
	$res = abfrage1("select r.re_id from tb_rechnung r left join tb_zg_rechnung z using(re_id) where r.nachw_id='$nw_id_max[0]' and r.proj_id=0 and z.zg_id IS NULL;");
	while($re = mysql_fetch_row($res)) {
		abfrage2("delete from tb_abschlag_rechnung where re_id = '$re[0]';");
		abfrage2("delete from tb_rechnung where re_id = '$re[0]';");
	}
}

if(isset($_POST['UndoAbRech'])) {
	echo "<form method=\"post\" action=\"" . $_SERVER["PHP_SELF"] . "?nw=$nwid&ab_monat=0\">\n";
	echo "<input type=\"hidden\" name=\"ReallyUndoAbRech\" value=\"1\">\n";
	new stwSicherheitsabfrage("Soll die Abschlags-Rechnung wirklich gel&ouml;scht werden?");
	echo "</form>\n";
}

$abschlagsturnus = getConf('abschlagsturnus');
$bAbschlaege = false;

if(isset($_POST['DoAbRech'])) {
	list($year, $month, $day) = explode("-", $abm);
	if($abschlagsturnus == 3) {
		if($month > 9) $von = 10;
		elseif($month > 6) $von = 7;
		elseif($month > 3) $von = 4;
		else $von = 1;
	} else $von = $month>6 ? 7 : 1;
	$bis = $month;
	$sql = "select pr.proj_id,
			IF((kh.kh_id IS NULL), k.ab_modus, kh.ab_modus) as ab_modus,
			g.proj_id_gruppe
			from tb_projekte pr
			left join tbh_projekt_gruppe g on(pr.proj_id = g.proj_id and (g.bis is NULL or g.bis >= date_sub('$abm',INTERVAL ".($abschlagsturnus-1)." MONTH)))
			left join tb_kontakte_ap a on(pr.ap_id = a.ap_id)
			left join tb_kontakte k on(k.kont_id = a.kont_id)
			left join tb_kont_hilfeart kh on k.kont_id = kh.kont_id and kh.hilfeart_id=pr.hilfeart_id and kh.von<'$rechnungsdatum' and (kh.bis>'$rechnungsdatum' or kh.bis='0000-00-00')
			where (pr.ende >= '$abm' and pr.ende < date_add('$abm',INTERVAL 1 MONTH) ";
	if($month==6 || $month==12 || ($abschlagsturnus==3 && ($month==3 || $month==9))) {
		$sql.= "or unix_timestamp(pr.ende)=0 or unix_timestamp(pr.ende) IS NULL or pr.ende IS NULL
				or pr.ende >= date_add('$abm',INTERVAL 1 MONTH) ";
	}
	$sql .=") and (kh.ab_mod='h' or k.ab='h' and (kh.ab_mod IS NULL or kh.ab_mod='x')) 
			group by pr.proj_id order by g.proj_id_gruppe asc";
	$abschlag_beendet_pros = abfrage1($sql);
	$bAbschlaege = true;
	$renr = $re_id = $sumist = $sumsoll = 0;
	$lastPrGr = -1;
	while($proj = mysql_fetch_array($abschlag_beendet_pros)) {
		if(projekt_sammelrechnung($proj['proj_id'],$abm)) continue;
		if($lastPrGr != $proj['proj_id_gruppe']) {
			$re_id = 0;
			$lastPrGr = $proj['proj_id_gruppe'];
		}
		$pro = new stwProjekt($proj[0]);
		if($pro->beginn_ts() == 0 || $pro->beginn_ts() >= mktime(0, 0, 0, $month+1, 1, $year)) continue; 
		if($re_id == 0) {
			$nr_von = $pro->nrkr * 10000;
			$nr_bis = (($pro->nrkr + 1) * 10000) - 1;
			$renrmax = abfrage("select max(r.re_nr) + 1 from tb_rechnung r
							where r.re_nr >= $nr_von and r.re_nr < $nr_bis;");

			if (empty($renrmax[0]) || $pro->nrkr != floor(($renrmax[0]/10000))){
				$renr = ($pro->nrkr * 10000) + 1;
			} else {
				$renr = $renrmax[0];
			}
			abfrage2( "insert into tb_rechnung set proj_id=0, nachw_id='$nwid', re_nr='$renr', datum='$rechnungsdatum';" );
			$re_id = mysql_insert_id();
		}
		for($m = $von; $m <= $bis; $m++) {
			$pgr = false;
			$abmonat = sprintf("%04d-%02d-%02d", $year, $m, $day);
			$nachw_id = abfrage("select nachw_id from tb_ab_nachw where datum='$abmonat'");
			$abs = abschlag_nw($nachw_id[0],$pro->id,false);
			$abschl = abfrage_array("select * from tb_abschlag where nachw_id='$nachw_id[0]' and proj_id='$proj[0]'");
			if($abschl['storniert'] == 'j') $gezahlt = 0;
			elseif($abschl['teilz_betrag'] > 0) $gezahlt = $abschl['teilz_betrag'];
			else $gezahlt = $abs['abetrag'];
			$sql = "insert into tb_abschlag_rechnung 
					set re_id = '$re_id', proj_id='$proj[0]', soll='{$abs['soll']}', ist='{$abs['ist']}', divisor='{$abs['divisor']}',
					satz='{$abs['satz']}', km='{$abs['km']}', kmsatz='".($abs['km_satz']*100)."', ab_monat='$abmonat', betrag='$gezahlt'";
			abfrage2($sql);
			$sumist += $abs['rbetrag'];
			$sumsoll += $gezahlt;
		}
	}
	$betrag = $sumist - $sumsoll;
	abfrage2("update tb_rechnung set betrag='$betrag' where re_id='$re_id'");
}

if(isset($_POST['abschlags_rech_adr_ja'])) {
	abfrage2("update tb_konf set wert='$rvar_abschlags_rech_adr_ja' where name = 'abschlags_rech_adr_ja';");
}

$DoPa = false;
if($_GET['abpa']==1) {
	$sql  = "select hp_id from tb_hp where hp_art='y' and st_grund='Abschlag' and and_datum='$abm';";
	$dat = abfrage($sql);
	if (empty($dat[0])){
		$feld = explode("-", $rvar_kont_adr);

		$sql  = "insert into tb_hp set datum = curdate(), hp_art = 'y', st_grund='Abschlag', and_datum='$abm';";
		abfrage2($sql);
		$hp_id = mysql_insert_id();
		$abm_ts = date_my2ts($abm);
		$monat = preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $abm_ts));

		$sql  = "insert into tb_post_ausgang set hp_id = '$hp_id', ";
		$sql .= "kont_id = '$feld[0]', ap_id = '$feld[1]', ";
		$sql .= "betreff = 'Abschlagszahlung $monat', traegerart_id = '2', ";
		$sql .= "postart_id = '11', ok = '$uid', ok_datum = curdate();";
		abfrage2($sql);

		$DoPA = $hp_id;
	}
}
if($_GET['abpa']==-1) {
	$sql  = "select hp_id from tb_hp where hp_art='y' and st_grund='Abschlag' and and_datum='$abm';";
	$dat = abfrage($sql);
	abfrage2("delete from tbh_postzuordnung where id='$dat[0]' and posttyp='h';");
	abfrage2("delete from tb_post_ausgang where hp_id='$dat[0]';");
	abfrage2("delete from tb_hp where hp_id='$dat[0]';");
}

$abschlagorder = getPersEinst($uid,'abschlagorder',0);

$sql  = "select nachw_id , unix_timestamp(datum) from tb_ab_nachw ";
$sql .= "order by unix_timestamp(datum) desc;";
$nachw = abfrage1($sql);

$gesamtanzahl = 0;

if (mysql_num_rows($nachw) > 0) {
	/* letzte Rechnungen duerfen ab Level 97 geloescht werden */
  $nw_id_max = abfrage("SELECT MAX(nachw_id) FROM tb_ab_nachw;");

	// Tabelle fuer Schalter
	echo "<table>\n";
	echo "<tr>\n";
	// Schalter Abrechnungsmonat/Nachweismappe
	echo "<th style=\"vertical-align:middle\">ABMonat:</th>\n";
	$last = abfrage("select nachw_id from tb_ab_nachw where nachw_id < $nwid order by nachw_id desc limit 1");
	if($last[0]) echo "<td><a href=\"rech.php?nw=$last[0]\"><img src=\"img/zurueck.png\" alt=\"zur&uuml;ck\"/></a></td>\n";
	echo "<td>\n";
	echo "<form method=\"get\" action=\"" . $_SERVER["PHP_SELF"] . "\">\n";
	echo "<select name=\"nw\" size=\"1\" tabindex=\"1\" ";
	echo "onChange=\"this.form.submit()\">\n";

	while ($row = mysql_fetch_row($nachw)){
		echo "<option value=\"$row[0]\"";
		if ($nwid == $row[0]) echo ' selected';
		echo '>' . preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $row[1])) . "</option>\n";
	}
	echo "</select>\n</form>\n</td>\n";
	$next = abfrage("select nachw_id from tb_ab_nachw where nachw_id > $nwid order by nachw_id asc limit 1");
	if($next[0]) echo "<td><a href=\"rech.php?nw=$next[0]\"><img src=\"img/vor.png\" alt=\"vor\"/></a></td>\n";
	echo "<td class=\"cl11\" />";
	$kont_ids = array();
	$ab_kont_ids = array();
	$order = ($pers_order==2) ? "name asc, vorname asc;" : "vorname asc, name asc;";
	$pers = abfrage1("SELECT pers_id FROM tb_personal WHERE status_id = '2' ORDER BY $order");
	$jas = abfrage1("SELECT k.kont_id, k.kurzname, k.name FROM tb_rechnung r 
					left join tb_ab_nachw n using(nachw_id)
					left join tb_projekte p using(proj_id)
					left join tb_kontakte_ap a using(ap_id)
					left join tb_kontakte k using(kont_id)
					where k.ab='h' or (n.datum >= '2012-01-01' and n.datum <= '$abm'
					and (( r.post_out_id > 0 and (r.zahlung_in_datum is NULL or r.zahlung_in_datum = '0000-00-00')
					and ((to_days(curdate()) - to_days(r.datum)) > k.zahlung) ) or ((p.kostenzus is NULL or p.kostenzus = '0000-00-00')
					and (r.proj_id=0 or p.ende is NULL or p.ende = '0000-00-00' or p.ende > curdate()))))
					group by k.kont_id order by k.kurzname asc");
	$ab_jas = abfrage1("select kont_id, kurzname, name from tb_kontakte where ab='h' order by kurzname asc");
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function tempFormValues(form) {\n";
	echo "var opt;\n";
	echo "var text = '';\n";
	echo "sel = form.empfanger;\n";
	echo "for (var i=0; i<sel.options.length; i++) {\n";
	echo "  opt = sel.options[i];\n";
	echo "  if ( opt.selected ) {\n";
	echo "    document.getElementById('kont' + opt.value).value = 1;\n";
	echo "  } else {\n";
	echo "    document.getElementById('kont' + opt.value).value = 0;\n";
	echo "  }\n";
	echo "}\n";
	echo "}\n";
	echo "function doTT(id) {\n";
	echo "var str = \"<form name='tempform'>\";\n";
	echo "str += '<b>Sortierung: </b>';\n";
	echo "str += '<input type=\"checkbox\" onclick=\"self.location.href=';\n";
	echo "str += \"'\";\n";
	echo "str += 'rech.php?nw=$nwid&aborder=";
	echo $abschlagorder ? 0 : 1;
	$checked = $abschlagorder ? 'checked' : '';
	echo "';\n";
	echo "str += \"'\" + '\" $checked />';\n";
	echo "str += ' abw. Sortierung nach Stundensatz<br /><br />';\n";
	echo "var val = 0;\n";
	echo "str += '<b>Absender: </b><br>';\n";
	echo "if(id == 'gprint') str += '<select style=\"width:300px\" name=\"ma2\" onchange=\"document.printform.ma.value=document.tempform.ma2.value\">';\n";
	echo "else str += '<select style=\"width:300px\" name=\"ma2\" onchange=\"document.printabform.ma.value=document.tempform.ma2.value\">';\n";
	while ($per = mysql_fetch_row($pers)){
		echo "str += '<option value=\"$per[0]\"';\n";
		echo "if(id == 'gprint') {\n";
		echo "if('$per[0]'==document.printform.ma.value) str += ' selected';\n";
		echo "} else {\n";
		echo "if('$per[0]'==document.printabform.ma.value) str += ' selected';\n";
		echo "}\n";
		echo "str += '>" . ($pers_order == 2 ? pers_name2($per[0]) : pers_name($per[0])) . "</option>';\n";
	}
	echo "str += '</select>';\n";
	echo "str += '<br><br><b>Empf&auml;nger:</b><br>';\n";
	echo "str += '<select name=\"empfanger\" onchange=\"tempFormValues(this.form)\" style=\"width:300px\" multiple size=\"10\">';\n";
	echo "if(id == 'gprint') {\n";
	while ($ja = mysql_fetch_row($jas)){
		$kont_ids[$ja[0]] = 0;
		echo "str += '<option value=\"$ja[0]\"';\n";
		echo "if(document.printform.kont$ja[0].value == 0) str += ' onclick=\"document.printform.kont$ja[0].value = 1\"';\n";
		echo "else str += ' onclick=\"document.printform.kont$ja[0].value = 0\"';\n";
		echo "if(document.printform.kont$ja[0].value == 1) str += ' selected';\n";
		echo "str += '>$ja[1] - $ja[2]</option>';\n";
	}
	echo "} else {\n";
	while ($ja = mysql_fetch_row($ab_jas)){
		$ab_kont_ids[$ja[0]] = 1;
		echo "str += '<option value=\"$ja[0]\"';\n";
		echo "if(document.printabform.kont$ja[0].value == 0) str += ' onclick=\"document.printabform.kont$ja[0].value = 1\"';\n";
		echo "else str += ' onclick=\"document.printabform.kont$ja[0].value = 0\"';\n";
		echo "if(document.printabform.kont$ja[0].value == 1) str += ' selected';\n";
		echo "str += '>$ja[1] - $ja[2]</option>';\n";
	}
	echo "}\n";
	echo "str += '</select>';\n";
	echo "str += '<br><br><b>Adresszuordnung:</b><br>';\n";
	echo "if(id == 'gprint') str += '<select style=\"width:300px\" name=\"kont_adr2\" onchange=\"document.printform.kont_adr.value=document.tempform.kont_adr2.value\">';\n";
	echo "else str += '<select style=\"width:300px\" name=\"kont_adr2\" onchange=\"document.printabform.kont_adr.value=document.tempform.kont_adr2.value\">';\n";
	echo "str += '<option>bei mehreren Empf&auml;ngern w&auml;hlen</option>';\n";
	mysql_data_seek($jas, 0);
	mysql_data_seek($ab_jas, 0);
	echo "if(id == 'gprint') {\n";
	while ($ja = mysql_fetch_row($jas)){
		echo "str += '<option value=\"$ja[0]\"';\n";
		echo "if('$ja[0]'==document.printform.kont_adr.value) str += ' selected';\n";
		echo "str += '>$ja[1] - $ja[2]</option>';\n";
		$aps = abfrage1("SELECT ap_id, vorname, name 
						FROM tb_kontakte_ap where kont_id='$ja[0]' 
						and abt like '%wihi%' and aktiv = 'j'
						order by name asc, vorname asc");
		while ($ap = mysql_fetch_row($aps)){
			echo "str += '<option value=\"$ja[0]-$ap[0]\"';\n";
			echo "if('$ja[0]-$ap[0]'==document.printform.kont_adr.value) str += ' selected';\n";
			echo "str += '>$ja[1] - $ap[1] $ap[2]</option>';\n";				
		}
	}
	echo "} else {\n";
	while ($ja = mysql_fetch_row($ab_jas)){
		echo "str += '<option value=\"$ja[0]\"';\n";
		echo "if('$ja[0]'==document.printabform.kont_adr.value) str += ' selected';\n";
		echo "str += '>$ja[1] - $ja[2]</option>';\n";
		$aps = abfrage1("SELECT ap_id, vorname, name 
						FROM tb_kontakte_ap where kont_id='$ja[0]' 
						and abt like '%wihi%' and aktiv = 'j'
						order by name asc, vorname asc");
		while ($ap = mysql_fetch_row($aps)){
			echo "str += '<option value=\"$ja[0]-$ap[0]\"';\n";
			echo "if('$ja[0]-$ap[0]'==document.printabform.kont_adr.value) str += ' selected';\n";
			echo "str += '>$ja[1] - $ap[1] $ap[2]</option>';\n";				
		}
	}
	echo "}\n";
	echo "str += '</select>';\n";

	echo "str += '</form>';\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck-Einstellungen',TITLEBGCOLOR, '#006600', WIDTH, 300, HEIGHT, 280, FIX, [id,-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n--></script>\n";

  /* loeschen anbieten ab Level 97 */
  if ($ulv > 96 && $nwid == $nw_id_max[0])
  {
    /* nur zeigen wenn Rechnungen vorhanden */
    $sql = "SELECT re_id FROM tb_rechnung WHERE nachw_id='".$nwid."';";
    $erg = abfrage1($sql);

    if (mysql_num_rows($erg) > 0)
    {
		echo "<td class=\"cl1\"><input type=\"button\" value=\"Alle l&ouml;schen\" style=\"background-color:red\" ";
		echo "onclick=\"self.location.href='rech.php?nw=" . $_GET['nw'] . "&amp;kill=1'\" /></td>\n";
    }
  }
  if(getConf('rech_warnung_fehlend')) {
	/* Fehlender Postausgang Vormonate */
	$miss_p = abfrage1("select n.nachw_id, unix_timestamp(n.datum) 
						from tb_rechnung r left join tb_ab_nachw n using(nachw_id) 
						where n.datum >= '2012-01-01' and (r.post_out_id is null or r.post_out_id = 0)
						and n.nachw_id != '$nw_id_max[0]' and n.nachw_id != '$nwid' 
						group by n.nachw_id order by n.datum asc");
	if(mysql_num_rows($miss_p) > 0) {
		echo "<th>fehlender Postausgang:</th>\n";
		while ($mp = mysql_fetch_row($miss_p)){
			echo "<td><a href=\"rech.php?nw=$mp[0]&pa=1\" style=\"color:#FF6600\">";
			echo preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $mp[1])) . "</a></td>\n";
		}
		echo "<td></td>";
	}
  }
  if(getConf('rech_warnung_fehlend2')) {
	/* Fehlender Zahlungseingang Vormonate */
	$sql = "select n.nachw_id, unix_timestamp(n.datum) 
			from tb_rechnung r left join tb_ab_nachw n using(nachw_id) 
			where n.datum >= '2012-01-01' ";
	if(getConf('rech_warnung_fehlend')) $sql .= "and r.post_out_id > 0 ";
	$sql .= "and (r.zahlung_in_datum is NULL or r.zahlung_in_datum = '0000-00-00')
			and n.nachw_id != '$nw_id_max[0]' and n.nachw_id != '$nwid' 
			group by n.nachw_id order by n.datum asc";
	$miss_z = abfrage1($sql);
	if(mysql_num_rows($miss_z) > 0) {
		echo "<th>fehlende Zahlung:</th>\n";
		while ($mz = mysql_fetch_row($miss_z)){
			echo "<td><a href=\"rech.php?nw=$mz[0]&ze=1\" style=\"color:#FF0000\">";
			echo preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $mz[1])) . "</a></td>\n";
		}
		echo "<td></td>\n";
		echo "<td class=\"cl1\" style=\"vertical-align:middle;\">";
		echo "<form name=\"printform\" action=\"mahnung_pr.php\" method=\"get\" target=\"_pdf\">\n";
		echo "<input type=\"hidden\" name=\"ab_monat\" value=\"$abm\">\n";
		echo "<input type=\"hidden\" name=\"ma\" value=\"$uid\">\n";
		foreach($kont_ids as $id => $v) {
			echo "<input type=\"hidden\" name=\"kont$id\" id=\"kont$id\" value=\"$v\">\n";
		}
		echo "<input type=\"hidden\" name=\"kont_adr\" value=\"\">\n";
		echo "<input type=\"hidden\" name=\"ts\" value=\"" . time() . "\">\n";
		echo "<a href=\"#\" ";
		echo stwToolTip('Anschreiben Offene Posten drucken<br>Druck-Einstellungen per Rechtsklick', false);
		echo "onmousedown=\"if(event.button==2){doTT('gprint');}";
		echo "else{document.printform.submit();}return false;\" oncontextmenu=\"return false;\"";
		echo "><img id=\"gprint\" src=\"".Image('drucker',16,14)."\" border=\"0\"></a><span ";
		echo "style=\"cursor:pointer;font-size:small;position:relative;left:0;top:-4px;\" onClick=\"doTT('gprint')\"> +</span>";
		echo "</form>\n</td>\n";
	}
  }
	// Ende Tabelle fuer Schalter
	echo "</tr>\n";
	echo "</table>\n";
	// Menue Nachrechnungen
	$GibtSchonEinMenue = false;
	list($year, $month, $day) = explode("-", $abm);
	$ab_monat = isset($rvar_ab_monat) ? $rvar_ab_monat : $abm;
	$monate = abfrage1("select ab_monat, unix_timestamp(ab_monat) 
						from tb_ab_rechnung where nachw_id = '$nwid' 
						group by ab_monat order by ab_monat desc");
	if(mysql_num_rows($monate) > 1) {
		new stwLine(1);
		echo "<table><tr>\n";
		$first = true;
		while($monat = mysql_fetch_row($monate)) {
			$class = $ab_monat==$monat[0] ? "menuactive" : "menuinactive_sub";
			echo "<td class=\"$class\">";
			echo "<a href=\"rech.php?nw=$nwid";
			if(isset($rvar_order)) echo "&amp;order=$rvar_order";
			if($first) {
				echo "\">" . preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $monat[1]));
				$first = false;
			} else {
				echo "&amp;ab_monat=$monat[0]\">Nachrechnungen ";
				echo preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B', $monat[1]));				
			}
			echo "</a></td>\n";
		}
		$GibtSchonEinMenue = true;
	}

	if($GibtSchonEinMenue || mysql_num_rows($monate)==1) {
		$monat = mysql_fetch_row($monate);
		// Menue Abschlagsrechnungen
		$sql = "select pr.proj_id, k.kont_id, p.vorname, p.name, 
				IF((kh.kh_id IS NULL), k.ab_modus, kh.ab_modus) as ab_modus,
				g.proj_id_gruppe
				from tb_projekte pr
				left join tbh_projekt_gruppe g on(pr.proj_id = g.proj_id and (g.bis is NULL or g.bis >= date_sub('$abm',INTERVAL ".($abschlagsturnus-1)." MONTH)))
				left join tb_kontakte_ap a on(pr.ap_id = a.ap_id)
				left join tb_kontakte k on(k.kont_id = a.kont_id)
				left join tb_kont_hilfeart kh on k.kont_id = kh.kont_id and kh.hilfeart_id=pr.hilfeart_id and kh.von<'$rechnungsdatum' and (kh.bis>'$rechnungsdatum' or kh.bis='0000-00-00')
				left join tbh_proj_personen pp on (pr.proj_id = pp.proj_id and pp.perstyp_id = 1)
				left join tb_personen p on p.person_id = pp.person_id
				where (pr.ende >= '$abm' and pr.ende < date_add('$abm',INTERVAL 1 MONTH) ";
		if($month==6 || $month==12 || ($abschlagsturnus==3 && ($month==3 || $month==9))) {
			$sql.= "or unix_timestamp(pr.ende)=0 or unix_timestamp(pr.ende) IS NULL or pr.ende IS NULL
					or pr.ende >= date_add('$abm',INTERVAL 1 MONTH) ";
		}
		$sql .=") and (kh.ab_mod='h' or k.ab='h' and (kh.ab_mod IS NULL or kh.ab_mod='x')) group by proj_id order by g.proj_id_gruppe asc, ";
		switch($rvar_order) {
			case 'pro': $sql .= "pr.projektnr asc"; break;
			case 'vn': $sql .= "p.vorname asc"; break;
			case 'nn': $sql .= "p.name asc"; break;
			default: $sql .= "k.name asc, k.name2 asc, pr.projektnr asc"; break;
		}
		$abschlag_beendet_pros = abfrage1($sql);
		$bAbschlaege = true;
		if(mysql_num_rows($abschlag_beendet_pros) > 0) {
			if(!$GibtSchonEinMenue) {
				$class = $ab_monat==$abm ? "menuactive" : "menuinactive_sub";
				echo "<table><tr>\n<td class=\"$class\"><a href=\"rech.php?nw=$nwid";
				if(isset($rvar_order)) echo "&amp;order=$rvar_order";
				echo "\">" . preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $monat[1])) . "</a></td>\n";
				$GibtSchonEinMenue = true;
			}
			$class = $ab_monat==0 ? "menuactive" : "menuinactive_sub";
			$ARDs=abfrage1("select r.re_id, r.re_nr, r.post_out_id, r.zahlung_in_pers_id, 
							date_format(r.zahlung_in_datum, '%d.%m.%Y') as datum_zahlung,
							date_format(r.teilz_datum, '%d.%m.%Y') as datum_teilzahlung,
							r.teilz_betrag, r.teilz_pers_id
							from tb_rechnung r
							left join tb_zg_rechnung z using(re_id)
							where r.proj_id = 0 and r.nachw_id = $nwid and z.zg_id IS NULL;");
			echo "<td ";
			if(mysql_num_rows($ARDs) > 0) {
				while($abRechDone = mysql_fetch_row($ARDs)) {
					if((empty($abRechDone[2]) && isset($_GET['pa'])) || (empty($abRechDone[3]) && isset($_GET['ze']))) {
						echo "style=\"border:4px solid red\" ";
						break;
					}
				}
				mysql_data_seek($ARDs,0);
			}
			echo "class=\"$class\"><a href=\"rech.php?nw=$nwid";
			if(isset($rvar_order)) echo "&amp;order=$rvar_order";
			echo "&amp;ab_monat=0\">Rechnungen Abschl&auml;ge</a></td>\n";

			if($ab_monat==0) {
				if(!isset($rvar_post_out)) $rvar_post_out = 0;
				if(!isset($rvar_abpa)) $rvar_abpa = 0;
				$sql = "select k.kont_id, k.kurzname, k.name from tb_kontakte k 
						left join tb_kont_hilfeart a using(kont_id)
						where k.ab='h' or a.ab_mod='h' group by kont_id order by k.kurzname asc";
				$jas = abfrage1($sql);
				$abschlags_rech_adr_ja = getConf('abschlags_rech_adr_ja');
				echo "<script type=\"text/javascript\"><!--\n";
				echo "function doTT2(id) {\n";
				echo "var str = '<form method=\"post\" action=\"rech.php?nw=$nwid&ab_monat=0\">';\n";
				echo "str += '<b>Sortierung: </b>';\n";
				echo "str += '<input type=\"checkbox\" onclick=\"self.location.href=';\n";
				echo "str += \"'\";\n";
				echo "str += 'rech.php?nw=$nwid&ab_monat=0&aborder=";
				echo $abschlagorder ? 0 : 1;
				$checked = $abschlagorder ? 'checked' : '';
				echo "';\n";
				echo "str += \"'\" + '\" $checked />';\n";
				echo "str += ' abw. Sortierung nach Stundensatz<br /><br />';\n";
				echo "str += '<b>Adresszuordnung:</b><br>';\n";
				echo "str += '<select style=\"width:300px\" name=\"abschlags_rech_adr_ja\">';\n";
				echo "str += '<option value=\"0\">- kein Jugendamt gew&auml;hlt -</option>';\n";
				while ($ja = mysql_fetch_row($jas)){
					echo "str += '<option value=\"$ja[0]\"';\n";
					echo "if($ja[0]==$abschlags_rech_adr_ja) str += ' selected';\n";
					echo "str += '>$ja[1] - $ja[2]</option>';\n";
				}
				echo "str += '</select><br /><br />';\n";
				echo "str += 'Abschlagsrechnungen werden an die Adresse<br>dieses Jugendamtes geschickt<br /><br />';\n";
				echo "str += '<input type=\"submit\" value=\"Speichern\" />';\n";
				echo "str += '</form>';\n";
				echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck-Einstellungen',TITLEBGCOLOR, '#006600', WIDTH, 300, HEIGHT, 130, FIX, ['ab_re_adr_ja_'+id,-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
				echo "}\n--></script>\n";
				echo "<form method=\"post\" action=\"" . $_SERVER["PHP_SELF"] . "?nw=$nwid&ab_monat=0\">\n";
				if(mysql_num_rows($ARDs) == 0) echo "<td style=\"width:300px;text-align:right\"><input type=\"submit\" name=\"DoAbRech\" value=\"Abschlagsrechnung erzeugen\" /></td>\n";
				else {
					$nw_max = abfrage("SELECT r.nachw_id FROM tb_rechnung r LEFT JOIN tb_zg_rechnung z USING(re_id) WHERE r.proj_id=0 AND z.zg_id IS NULL ORDER BY nachw_id DESC LIMIT 1");
					if($nw_max[0] == $nwid) {
						echo "<td class=\"cl1\" style=\"width:300px;text-align:right\">";
						echo "<input type=\"submit\" name=\"UndoAbRech\" value=\"Abschlagsrechnung l&ouml;schen\" /></td>\n";
					} else echo "<td class=\"cl1\" style=\"width:300px;text-align:center\"><small>Aufl&ouml;sen nicht m&ouml;glich, nicht die letzte Rechnung</small></td>\n";
					echo "<td class=\"cl20\" style=\"width:50px;text-align:right\"><a href=\"rech_pr.php?abschlag=1&amp;nw=$nwid&amp;traeger=2&amp;ts=" . time() . "\" ";
					echo "target=\"_pdf\"><img src=\"".Image('drucker',16,14)."\"" . stwToolTip('alle Abschlags-Rechnungen Drucken');
					echo "border=\"0\" alt=\"alle Abschlags-Rechnungen Drucken\"></a></td>\n";
				}
				echo "</form>";
			}
		}
	}
	if($GibtSchonEinMenue) echo "</tr></table>\n";

	$sql  = "select r.re_id, r.proj_id, r.re_nr, ";
	$sql .= "date_format(r.datum, '%d.%m.%Y') as re_datum, n.datum, ";
	$sql .= "r.post_out_id, r.zahlung_in_pers_id, ";
	$sql .= "date_format(r.zahlung_in_datum, '%d.%m.%Y') as datum_zahlung, ";
	$sql .= "r.teilz_betrag, r.teilz_pers_id, r.bemerkungen, ";
	$sql .= "date_format(r.teilz_datum, '%d.%m.%Y') as teilz_datum, ";
	$sql .= "p.vorname, p.name, r.betrag, r.storniert from tb_rechnung r ";
	$sql .= "left join tb_ab_nachw n on r.nachw_id = n.nachw_id ";
	$sql .= "left join tbh_proj_personen pp on (r.proj_id = pp.proj_id and pp.perstyp_id = 1) ";
	$sql .= "left join tb_personen p on p.person_id = pp.person_id ";
	$sql .= "left join tb_ab_rechnung a on(r.re_id = a.re_id)";
	if($rvar_order == 'pro') $sql .= "left join tb_projekte pr on r.proj_id = pr.proj_id ";
	$sql .= "where r.nachw_id = '$nwid' and (a.ab_monat = '$ab_monat' or a.ab_monat IS NULL) ";
	if(getConf('rech_tag_sofort')) $sql .= "and a.typ='h' ";
	$sql .= "group by r.proj_id order by ";
	switch($rvar_order) {
		case 'pro': $sql .= "pr.projektnr asc"; break;
		case 'vn': $sql .= "p.vorname asc"; break;
		case 'nn': $sql .= "p.name asc"; break;
		default: $sql .= "re_nr asc;"; break;
	}
	$rech = abfrage1($sql);
	$num_rows = mysql_num_rows($rech);
	$geld_sum = 0;
	$fls_sum = 0;
	$gezahlt = 0;
	$offen = 0;
	echo "<script language=\"JavaScript\">\n";
	echo "var poutArray = new Array();\n";
	echo "var zinArray = new Array();\n";
	echo "function pout_toggle(ja) {\n";
	echo "var doIt = 0;\n";
	echo "if(document.getElementById('pout_'+ja).checked) {";
	echo "var fdj = '';\n";
	echo "if(ja > 0) fdj = 'dieses Jugendamts ';\n";
	echo "if(confirm('wirklich alle Haken '+fdj+'setzen?') == true) doIt = 1;\n";
	echo "else document.getElementById('pout_'+ja).checked = false;\n";
	echo "} else doIt = 2;\n";
	echo "if(doIt > 0) {\n";
	echo "checkboxes = document.getElementsByName('re_id_post_out[]');\n";
	echo "for(var i in checkboxes)\n";
	echo "if(checkboxes[i].id.indexOf('_'+ja+'_') > 0) {";
	echo "if(doIt == 1) checkboxes[i].checked = true;\n";
	echo "else if(poutArray[i] != 1) checkboxes[i].checked = false;}\n}\n}\n";
	echo "function zin_toggle(ja) {\n";
	echo "var doIt = 0;\n";
	echo "if(document.getElementById('zin_'+ja).checked) {";
	echo "var fdj = '';\n";
	echo "if(ja > 0) fdj = 'dieses Jugendamts ';\n";
	echo "if(confirm('wirklich alle Haken '+fdj+'setzen?') == true) doIt = 1;\n";
	echo "else document.getElementById('zin_'+ja).checked = false;\n";
	echo "} else doIt = 2;\n";
	echo "if(doIt > 0) {\n";
	echo "checkboxes = document.getElementsByName('re_id_zahlung_in[]');\n";
	echo "for(var i in checkboxes)\n";
	echo "if(checkboxes[i].id.indexOf('_'+ja+'_') > 0) {";
	echo "if(doIt == 1) checkboxes[i].checked = true;\n";
	echo "else if(zinArray[i] != 1) checkboxes[i].checked = false;}\n}\n}\n";
	echo "</script>\n";
	echo "<table>\n";
	if($ab_monat==0) {
		new stwTabLine(1,30);
		$order = "rech.php?nw=$nwid&ab_monat=0&order";
		$lastPrGr = -1;
		$reid = $cnt = $lastTraeger = $sumABetrag = $sumRBetrag = 0;
		$sist = $ssoll = $srbetrag = $sabetrag = 0;
		$divisor = 'h';
		while ($row = mysql_fetch_array($abschlag_beendet_pros)){
			if(projekt_sammelrechnung($row['proj_id'],$abm)) continue;
			$pro = new stwProjekt($row['proj_id']);
			if($pro->beginn_ts() == 0 || $pro->beginn_ts() >= mktime(0, 0, 0, $month+1, 1, $year)) continue; 
			$abRechDone = abfrage_array("select r.re_id, r.re_nr, r.post_out_id, r.zahlung_in_pers_id, 
										date_format(r.zahlung_in_datum, '%d.%m.%Y') as datum_zahlung,
										date_format(r.teilz_datum, '%d.%m.%Y') as datum_teilzahlung,
										r.teilz_betrag, r.teilz_pers_id, a.betrag
										from tb_rechnung r
										left join tb_abschlag_rechnung a using(re_id)
										where r.proj_id = 0 and r.nachw_id = '$nwid' and a.proj_id='$row[0]';");
			if(empty($abRechDone[0])) $abRechDone = abfrage_array( "select r.re_id, r.re_nr, r.post_out_id, r.zahlung_in_pers_id, 
																	date_format(r.zahlung_in_datum, '%d.%m.%Y') as datum_zahlung,
																	date_format(r.teilz_datum, '%d.%m.%Y') as datum_teilzahlung,
																	r.teilz_betrag, r.teilz_pers_id
																	from tb_rechnung r left join tb_zg_rechnung z using(re_id)
																	where r.proj_id=0 and r.nachw_id='$nwid' and z.zg_id IS NULL;" );
			if($lastPrGr != $row['proj_id_gruppe']) {
				if($lastPrGr != -1) {
					new stwTabLine(2,30);
					if(mysql_num_rows($ARDs) > 0) {
						$abs = abschlag_rechnung($reid);
					} else {
						$abs = array('ist' => $sist, 'soll' => $ssoll, 'rbetrag' => $srbetrag, 'abetrag' => $sabetrag);
					}
					echo "<tr><th colspan=\"4\">Summe $zwischenCnt Rechnungen:</th>\n";
					echo "<th style=\"text-align:right\" class=\"cl11\">" . ($divisor == 'd' ? $abs['ist'] : geld_form_formular($abs['ist'])) . " " . $divisor . "</th>\n";
					echo "<th style=\"text-align:right\" class=\"cl11\">" . geld_form_web($abs['rbetrag']) . "</th>\n";
					echo "<th style=\"text-align:right\" class=\"cl11\">" . geld_form_formular($abs['soll']) . " " . $divisor . "</th>\n";
					echo "<th style=\"text-align:right\" class=\"cl11\">" . geld_form_web($abs['abetrag']) . "</th>";
					echo "<th colspan=\"5\" style=\"color:";
					echo ($abs['rbetrag'] < $abs['abetrag']) ? 'red' : 'green';
					echo "\">" . geld_form_web($abs['rbetrag'] - $abs['abetrag']) . "</th></tr>\n";
					$sumRBetrag += $abs['rbetrag'];
					$sumABetrag += $abs['abetrag'];
					new stwTabLine(2,30);
					$sist = $ssoll = $srbetrag = $sabetrag = 0;
				}
				$zwischenCnt = 0;
				echo "<tr style=\"background-color:#888888\">";
				if($row['proj_id_gruppe']) {
					echo "<th colspan=\"2\" style=\"text-align:center;\">";
					echo "<a style=\"color:#2BDF91\" name=\"Abschlag\" href=\"pro_gruppe_and.php?proj_id={$row['proj_id_gruppe']}\">";
					echo projektnummer($row['proj_id_gruppe'])."</a></th>\n";
				} else {
					echo "<th class=\"cl11\"><a name=\"Abschlag\" href=\"$order=r#Abschlag\">Abschlag</a></th>\n";
					echo "<th class=\"cl11\" style=\"text-align:center\"><a href=\"$order=pro#Abschlag\">Projekt-Nr.</a></th>\n";
				}
				echo "<th class=\"cl11\" style=\"text-align:center\"><a href=\"$order=nn#Abschlag\">Name</a></th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\"><a href=\"$order=vn#Abschlag\">Vorname</a></th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\">FLS Ist</th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\">RBetrag</th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\">FLS Soll</th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\">ABetrag</th>\n";

				if(mysql_num_rows($ARDs) > 0) {
					echo "<td class=\"cl1\"><a href=\"rech_pr.php?abschlag=1&amp;re_id=$abRechDone[0]&amp;traeger=2&amp;ts=" . time() . "\" ";
					echo "target=\"_pdf\"><img src=\"".Image('drucker',16,14)."\"" . stwToolTip('Abschlags-Rechnung drucken');
					echo "border=\"0\" alt=\"Abschlags-Rechnung Drucken\"></a>";
					echo " <a style=\"font-size:small;position:relative;left:0;top:-4px;\" id=\"ab_re_adr_ja_".intval($row['proj_id_gruppe'])."\" href=\"#\"";
					echo stwToolTip("Jugendamt fr Adresse Anschreiben ausw&auml;hlen", false);
					echo "onmousedown=\"doTT2(".intval($row['proj_id_gruppe']).")\" oncontextmenu=\"return false;\">+</a></td>";
					$daten = new stwDaten("41");
					$klammer = $daten->get_klammer_link($_SESSION["webdir"],
													  $_SESSION[$AppCode]["UID"],
													  $_SESSION[$AppCode]["ULV"],
													  $abRechDone[1], "0");
					echo "<td class=\"cl11\">$klammer</td>\n";
					echo "</td><th".stwToolTip('Postausgang').">PA:</th>";
					echo "<td style=\"vertical-align:middle;text-align:center;\"><input name=\"re_id_post_out[]\" value=\"$abRechDone[0]\" type=\"checkbox\"";

					$tt = '';
					$p_out = abfrage1("select date_format(datetime, '%d.%m.%Y'), pers_id, checked, date_format(datetime, '%d.%m.%Y %H:%i') from tb_rech_ok_hist where re_id='$abRechDone[0]' and eingang='p' order by datetime desc");
					$dat = array();
					if(mysql_num_rows($p_out) > 1) while($out = mysql_fetch_row($p_out)) {
						if(empty($dat)) $dat = array($out[0],$out[1]);
						$tt .= "<input type=\"checkbox\"";
						if($out[2] == 'j') $tt .= ' checked';
						$tt .= "> $out[3] <b>" . pers_kname($out[1]) . "</b><br />";
					} else $dat = mysql_fetch_row($p_out);
					if($tt != '') $tt = stwToolTip($tt,false);
					if (empty($abRechDone['post_out_id'])){
						echo stwToolTip('Postausgang f&uuml;r diese Rechnung erstellen');
						echo "onmousedown=\"if(event.button==2){this.checked=!this.checked;}else{self.location.href='rech.php?nw=$nwid&ab_monat=0&re_id=$abRechDone[0]&post_out=1';}\"></td>\n";
					} else {
						$disabled = (!check_nutzer_rechte(100)) ? 'disabled' : "onmousedown=\"if(event.button==2){this.checked=!this.checked;}else{self.location.href='rech.php?nw=$nwid&ab_monat=0&re_id=$abRechDone[0]&doch_keins=1';}\"";
						echo "checked $disabled></td>\n";
						$sql  = "select date_format(hp.datum, '%d.%m.%Y') as datum, hp.pers_id ";
						$sql .= "from tb_post_ausgang p left join tb_hp hp using(hp_id) ";
						$sql .= "where p.post_out_id = '{$abRechDone['post_out_id']}';";
						$dat = abfrage($sql);
						echo "<script language=\"JavaScript\">\n";
						echo "poutArray[$cnt] = 1;";
						echo "</script>\n";
					}
					echo "<td $tt class=\"cl1\">$dat[0]</td>\n";
					echo "<td $tt>" . pers_kname($dat[1]) . "</td>\n";
				}

				echo "</tr>\n";
				$lastPrGr = $row['proj_id_gruppe'];
				$firstrow = true;
			}
			if($firstrow && $abRechDone[0]) {
				$firstrow = false;
				$numrows = abfrage("SELECT count(distinct proj_id)+1 FROM tb_abschlag_rechnung WHERE re_id='$abRechDone[0]'");
				echo "<tr><td colspan=\"8\" />";
				echo "<td colspan=\"6\" rowspan=\"$numrows[0]\" style=\"background-color:#888888\">";
				echo "<table><tr>";
				echo "<th".stwToolTip('Zahlungseingang').">ZE:</th><td style=\"vertical-align:middle;text-align:center;\">";
				echo "<input type=\"checkbox\" value=\"$abRechDone[0]\" name=\"re_id_zahlung_in[]\" ";
				$zin = abfrage("select pers_id, checked, date_format(datetime, '%d.%m.%Y') from tb_rech_ok_hist where re_id='$abRechDone[0]' and eingang='z' order by datetime desc limit 1");
				if(empty($zin[0])) {
					$zin[0] = $abRechDone['zahlung_in_pers_id'];
					$zin[1] = empty($abRechDone['datum_zahlung']) ? 'n' : 'j';
					$zin[2] = $abRechDone['datum_zahlung'];
				}
				$tt = '';
				$z_ins = abfrage1("select pers_id, checked, date_format(datetime, '%d.%m.%Y'), date_format(datetime, '%d.%m.%Y %H:%i') from tb_rech_ok_hist where re_id='$abRechDone[0]' and eingang='z' order by datetime desc");
				if(mysql_num_rows($z_ins) > 1) while($z_in = mysql_fetch_row($z_ins)) {
					$tt .= "<input type=\"checkbox\"";
					if($z_in[1] == 'j') $tt .= ' checked';
					$tt .= "> $z_in[3] <b>" . pers_kname($z_in[0]) . "</b><br />";
				}
				if($tt != '') $tt = stwToolTip($tt,false);
				if ($zin[1] == 'n'){
					echo stwToolTip('Zahlungseingang f&uuml;r diese Rechnung erfassen');
					echo "onmousedown=\"self.location.href='rech.php?nw=$nwid&ab_monat=0&re_id=$abRechDone[0]&zahlung_in=1'\"></td>\n";
				} else {
					$disabled = (!check_nutzer_rechte(101)) ? 'disabled' : "onmousedown=\"self.location.href='rech.php?nw=$nwid&ab_monat=0&re_id=$abRechDone[0]&doch_keine=1'\"";
					echo "checked $disabled></td>\n";
				}
				$abs = abschlag_rechnung($abRechDone[0]);
				echo "<td style=\"color:black\">" . geld_form_web($abs['rbetrag'] - $abs['abetrag']) . "</td>";
				echo "<td $tt class=\"cl1\">$zin[2]</td>\n";
				echo "<td $tt>" . pers_kname($zin[0]) . "</td></tr></table></td></tr>\n";
			}
			$pro = new stwProjekt($row['proj_id']);
			if($pro->beginn_ts() == 0 || $pro->beginn_ts() >= mktime(0, 0, 0, $month+1, 1, $year)) continue; 
			echo "<tr class=\"mo\">\n";
			echo "<th class=\"cl11\" style=\"text-align:right\">";
			echo "<a name=\"p" . $row['proj_id'] . "\" style=\"position:relative;top:-50px\" />";
			if(empty($abRechDone[0])) {
				echo "<a href=\"rech_and.php?proj_id=".$row['proj_id']."&amp;nw=$nwid\">Abschlag</a>";
				$abs = abschlag_nw($nwid,$row['proj_id']);
			} else {
				echo "<a $style href=\"rech_and.php?proj_id=".$row['proj_id']."&amp;re_id=$abRechDone[0]&amp;nw=$nwid\">$abRechDone[1]</a>";
				$abs = abschlag_rechnung($abRechDone[0],$row['proj_id']);
			}
			echo "</th>\n";
			echo "<td class=\"cl11\"><a href=\"pro_daten.php?proj_id=$pro->id\">" . $pro->nummer() . "</a></td>\n";
			echo "<td class=\"cl11\">".$row['name']."</td>\n";
			echo "<td class=\"cl11\">".$row['vorname']."</td>\n";
			$satz = stundensatz($abm, $pro->id);
			$divisor = $satz[0];
			echo "<td class=\"cl11\" style=\"text-align:right\">".($divisor=='h' ? fls_form($abs['ist']) : ($abs['ist']." ".$divisor))."</td>\n";
			echo "<td class=\"cl11\" style=\"text-align:right\">".geld_form_web($abs['rbetrag'])."</td>\n";
			echo "<td class=\"cl11\" style=\"text-align:right\">".($divisor=='h' ? fls_form($abs['soll']) : ($abs['soll']." ".$divisor))."</td>\n";
			echo "<td class=\"cl11\" style=\"text-align:right;$style\">".geld_form_web($abs['abetrag'])."</td>\n";
			$sist += $abs['ist'];
			$ssoll += $abs['soll'];
			$srbetrag += $abs['rbetrag'];
			$sabetrag += $abs['abetrag'];
			$zwischenCnt++;
			$cnt++;
			$gesamtanzahl++;
			$reid = $abRechDone[0];
			echo "</tr>\n";
		}
		new stwTabLine(2,30);
		if(mysql_num_rows($ARDs) > 0) {
			$abs = abschlag_rechnung($reid);
		} else {
			$abs = array('ist' => $sist, 'soll' => $ssoll, 'rbetrag' => $srbetrag, 'abetrag' => $sabetrag);
		}
		echo "<tr><th colspan=\"4\">Summe $zwischenCnt Rechnungen:</th>\n";
		echo "<th style=\"text-align:right\" class=\"cl11\">" . ($divisor == 'd' ? $abs['ist'] : geld_form_formular($abs['ist'])) . " " . $divisor . "</th>\n";
		echo "<th style=\"text-align:right\" class=\"cl11\">" . geld_form_web($abs['rbetrag']) . "</th>\n";
		echo "<th style=\"text-align:right\" class=\"cl11\">" . geld_form_formular($abs['soll']) . " " . $divisor . "</th>\n";
		echo "<th style=\"text-align:right\" class=\"cl11\">" . geld_form_web($abs['abetrag']) . "</th>\n";
		echo "<th colspan=\"5\" style=\"color:";
		echo ($abs['rbetrag'] < $abs['abetrag']) ? 'red' : 'green';
		echo "\">" . geld_form_web($abs['rbetrag'] - $abs['abetrag']) . "</th></tr>\n";
		$sumRBetrag += $abs['rbetrag'];
		$sumABetrag += $abs['abetrag'];
		new stwTabLine(2,30);
		echo "<tr><th colspan=\"5\">Summe alle $cnt Projekte:</th>\n";
		echo "<th style=\"text-align:right\" class=\"cl11\">" . geld_form_web($sumRBetrag) . "</th>\n";
		echo "<th style=\"text-align:right\" class=\"cl11\" colspan=\"2\">" . geld_form_web($sumABetrag) . "</th>\n";
		echo "<th colspan=\"5\" style=\"color:";
		echo ($sumRBetrag < $sumABetrag) ? 'red' : 'green';
		echo "\">" . geld_form_web($sumRBetrag - $sumABetrag) . "</th></tr>\n";
	} else {
	  $geleistet = array();
	  if ($num_rows == 0) {
		new stwTabLine(1,1);
		echo "<tr><th>F&uuml;r diesen Abrechnungsmonat wurden noch keine Rechnungen erstellt!</th></tr>\n";
		echo "<tr><td><a href=\"rech_erst_sql.php?nachw_id=$nwid\">";
		echo "Rechnungen f&uuml;r den gewaehlten Abrechnungsmonat erstellen!</a></td></tr>\n";
		new stwTabLine(1,1);
		$doAbs = false;
	  }
	  if(getConf('rech_tag_sofort')) {
		$sql  = "select r.re_id, r.proj_id, r.re_nr, ";
		$sql .= "date_format(r.datum, '%d.%m.%Y') as re_datum, n.datum, ";
		$sql .= "r.post_out_id, r.zahlung_in_pers_id, ";
		$sql .= "date_format(r.zahlung_in_datum, '%d.%m.%Y') as datum_zahlung, ";
		$sql .= "r.teilz_betrag, r.teilz_pers_id, r.bemerkungen, ";
		$sql .= "date_format(r.teilz_datum, '%d.%m.%Y') as teilz_datum, ";
		$sql .= "p.vorname, p.name, r.betrag, r.storniert from tb_rechnung r ";
		$sql .= "left join tb_ab_nachw n on r.nachw_id = n.nachw_id ";
		$sql .= "left join tbh_proj_personen pp on (r.proj_id = pp.proj_id and pp.perstyp_id = 1) ";
		$sql .= "left join tb_personen p on p.person_id = pp.person_id ";
		$sql .= "left join tb_ab_rechnung a on(r.re_id = a.re_id)";
		if($rvar_order == 'pro') $sql .= "left join tb_projekte pr on r.proj_id = pr.proj_id ";
		$sql .= "where r.nachw_id = '$nwid' and (a.ab_monat = '$ab_monat' or a.ab_monat IS NULL) ";
		$sql .= "group by r.proj_id order by ";
		switch($rvar_order) {
			case 'pro': $sql .= "pr.projektnr asc"; break;
			case 'vn': $sql .= "p.vorname asc"; break;
			case 'nn': $sql .= "p.name asc"; break;
			default: $sql .= "re_nr asc;"; break;
		}
		$rech = abfrage1($sql);
		$num_rows = mysql_num_rows($rech);
	  }
	  if ($num_rows > 0) {
		echo "<form method=\"post\" action=\"" . $_SERVER["PHP_SELF"] . "?nw=$nwid&ab_monat=$ab_monat\">\n";
		// Tabellenueberschrift
		new stwTabLine(1,30);
		$order = "rech.php?nw=$nwid&order";
		echo "<tr><th class=\"cl11\"><a href=\"$order=r\">Rechnung</a></th>\n";
		echo "<th class=\"cl11\" style=\"text-align:center\"><a href=\"$order=pro\">Projekt-Nr.</a></th>\n";
		echo "<th class=\"cl11\" style=\"text-align:center\"><a href=\"$order=nn\">Name</a></th>\n";
		echo "<th class=\"cl11\" style=\"text-align:center\"><a href=\"$order=vn\">Vorname</a></th>\n";
		echo "<th class=\"cl11\" style=\"text-align:center\">FLS</th>\n";
		echo "<th style=\"text-align:center\">Betrag</th>\n";
		echo "<th style=\"text-align:right\"><a href=\"rech_pr.php?nw=$nwid&traeger=2&ts=" . time() . "\" ";
		echo "target=\"_pdf\"><img src=\"".Image('drucker',16,14)."\"" . stwToolTip('Alle Rechnungen ausdrucken');
		echo "border=\"0\" alt=\"Alle Rechnungen Drucken\"></a></th>\n";
		echo "<td class=\"cl11\"><a href=\"rech_list_pr.php?nw=$nwid&traeger=2&ts=" . time() . "\" ";
		echo "target=\"_pdf\"><img src=\"".Image('drucker',16,14)."\"" . stwToolTip('Deckbl&auml;tter drucken');
		echo "border=\"0\" alt=\"Deckbl&auml;tter drucken\"></a></td>\n";
		echo "<td style=\"vertical-align:middle;text-align:center;\"><input id=\"pout_0\" type=\"checkbox\"".stwToolTip("alle Checkboxen \"Postausgang\" anhaken")." onchange=\"pout_toggle(0)\"></td>\n";
		echo "<th colspan=\"2\"><input type=\"submit\" name=\"pout_ok\" value=\"\" ";
		echo stwToolTip("<b>Postausgang f&uuml;r alle abgehakten Pechnungen anlegen</b><br />(mehrere Haken durch Rechtsklick auf die Checkboxen setzen)",false);
		echo "style=\"background-color:#333333;background-image:url(img/senden2.png);background-repeat:no-repeat;height:16px;width:16px;\" /> Postausgang</th>\n";
		echo "<td style=\"vertical-align:middle;text-align:center;\">&nbsp;<input id=\"zin_0\" type=\"checkbox\"".stwToolTip("alle Checkboxen \"Zahlungseingang\" anhaken")." onchange=\"zin_toggle(0)\">&nbsp;</td>\n";
		echo "<th colspan=\"2\"><input type=\"submit\" name=\"zin_ok\" value=\"\" ";
		echo stwToolTip("<b>Zahlungseingang f&uuml;r alle abgehakten Pechnungen anlegen</b><br />(mehrere Haken durch Rechtsklick auf die Checkboxen setzen)",false);
		echo "style=\"background-color:#333333;background-image:url(img/senden2.png);background-repeat:no-repeat;height:16px;width:16px;\" /> Zahlungseingang</th>\n";
		echo "</tr>\n";

		$cnt = $lastTraeger = 0;
		$zwischensumme = $zwischenFLS = $zwischenCnt = $zwischenGezahlt = $zwischenOffen = 0;

		while ($row = mysql_fetch_array($rech)){
			if($row['proj_id'] == 0) continue;
			if(projekt_sammelrechnung($row['proj_id'],$abm)) continue;
			$pro = new stwProjekt($row['proj_id']);
			if($rvar_order=='r' && $lastTraeger != 0 && $lastTraeger != $pro->ja) {
				new stwTabLine(2,30);
				$ja = abfrage("select name2, name from tb_kontakte where kont_id='$lastTraeger'");
				$tt = stwToolTip("$zwischenCnt Rechnung" . ($zwischenCnt==1?'':'en') . " f&uuml;r $ja[1] $ja[0]");
				echo "<tr style=\"background-color:black\"><th colspan=\"4\">Zwischensumme $ja[0] <span $tt>($zwischenCnt Rechn.)</span></th>";
				echo "<td class=\"cl1\" style=\"text-align:right\">" . fls_form($zwischenFLS);
				echo "</td><td class=\"cl11\" colspan=\"2\" style=\"text-align:right\">" . geld_form_web(fround($zwischensumme, 2)) . "</td>";
				$zwischenGezahlt = geld_form_web(fround($zwischenGezahlt, 2));
				echo "<td colspan=\"2\"></td><th style=\"text-align:right\">gezahlt:</th><td>$zwischenGezahlt</td>";
				$zwischenOffen = geld_form_web(fround($zwischenOffen, 2));
				echo "<th colspan=\"2\" style=\"text-align:right\">offen:</th><td>$zwischenOffen</td></tr>\n";
				$zwischensumme = $zwischenFLS = $zwischenCnt = $zwischenGezahlt = $zwischenOffen = 0;
			}
			if($rvar_order=='r' && $lastTraeger != $pro->ja) {
				new stwTabLine(1,30);
				$ja = abfrage("select name2, name from tb_kontakte where kont_id='$pro->ja'");
				echo "<tr style=\"background-color:#999999\"><th class=\"cl11\"><a href=\"$order=r\">Rechnung</a></th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\" colspan=\"3\">$ja[1] $ja[0]</th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\">FLS</th>\n";
				echo "<th style=\"text-align:center\">Betrag</th>\n";
				echo "<td colspan=\"2\"></td>\n";
				echo "<td style=\"vertical-align:middle;text-align:center;\"><input id=\"pout_".$pro->ja."\" type=\"checkbox\"".stwToolTip("f&uuml;r $ja[1] $ja[0]<br>alle Checkboxen \"Postausgang\" anhaken")." onchange=\"pout_toggle($pro->ja)\"></td>\n";
				echo "<th colspan=\"2\"><input type=\"submit\" name=\"pout_ok\" value=\"\" ";
				echo stwToolTip("<b>Postausgang f&uuml;r alle abgehakten Pechnungen anlegen</b><br />(mehrere Haken durch Rechtsklick auf die Checkboxen setzen)",false);
				echo "style=\"background-color:#333333;background-image:url(img/senden2.png);background-repeat:no-repeat;height:16px;width:16px;\" /> Postausgang</th>\n";
				echo "<td style=\"vertical-align:middle;text-align:center;\"><input id=\"zin_".$pro->ja."\" type=\"checkbox\"".stwToolTip("alle Checkboxen \"Zahlungseingang\" anhaken")." onchange=\"zin_toggle($pro->ja)\"></td>\n";
				echo "<th colspan=\"2\"><input type=\"submit\" name=\"zin_ok\" value=\"\" ";
				echo stwToolTip("<b>Zahlungseingang f&uuml;r alle abgehakten Pechnungen anlegen</b><br />(mehrere Haken durch Rechtsklick auf die Checkboxen setzen)",false);
				echo "style=\"background-color:#333333;background-image:url(img/senden2.png);background-repeat:no-repeat;height:16px;width:16px;\" /> Zahlungseingang</th>\n";
				echo "</tr>\n";
			}
			$lastTraeger = $pro->ja;
			echo "<input type=\"hidden\" name=\"re_id[]\" value=\"$row[0]\" />\n";
			echo "<tr class=\"mo\">\n";
			echo "<td class=\"cl11\" style=\"text-align:right\">";
			if($row['teilz_betrag']>0 && is_null($row['datum_zahlung'])){
				$style = "style=\"color:red;\"".stwToolTip("Teilzahlung &uuml;ber ".geld_form_web($row['teilz_betrag'])." am ".$row['teilz_datum']." verbucht<br>".$row['bemerkungen']);
			} elseif($row['storniert'] == 'j') {
				$style = "style=\"color:red;\"".stwToolTip("Stornierung am ".$row['teilz_datum']." verbucht<br>".$row['bemerkungen']);
			} else $style = '';
			echo "<a name=\"r{$row[0]}\" style=\"position:relative;top:-50px\" />";
			echo "<a $style href=\"rech_and.php?re_id=$row[0]&nw=$nwid\">$row[2]</a></td>\n";
			echo "<td class=\"cl11\"><a href=\"pro_daten.php?proj_id=$pro->id\">" . $pro->nummer() . "</a></td>\n";
			echo "<td class=\"cl11\">".$row['name']."</td>\n";
			echo "<td class=\"cl11\">".$row['vorname']."</td>\n";

			/* Berechnung schon hier, damit fls_abgerechnet_x das richtige Ergebnis liefert */
			$geld = fround(fls_rechnung($row['re_id']),2);
			if($row['storniert'] == 'j') $geld = 0;
			elseif(!is_null($row['datum_zahlung']) && $row['teilz_betrag']>0) $geld = $row['teilz_betrag'];
			$geld_sum += $geld;
			$zwischensumme += $geld;

			/* Anzahl der abgerechneten Stunden bestimmen */
			$abger = fls_abgerechnet_x($row['re_id']);
			$geleistet[ $abger[1] ] += $abger[0];
			/* Differenz zur Zwischentabelle? Rot hervorheben! */
			$abger2 = $pro->fls_abgerechnet($ab_monat);
			$konf_fls_fahrt = getConf('fls_fahrt');
			if($konf_fls_fahrt > 100 || $konf_fls_fahrt < 100) {
				$abger2 -= $pro->fls_fz($ab_monat);
			}
			$kh_id = get_kh_id($pro->ja, $pro->ha, $ab_monat);
			$sql = "SELECT k.pauschVuN FROM tb_projekte p 
					LEFT JOIN tb_kontakte_ap a on p.ap_id = a.ap_id
					LEFT JOIN tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0'
					WHERE p.proj_id = '$pro->id'";
			$kont = abfrage($sql);
			if($kont[0] == 'j') $abg *= 1.5;
			if(($abger[1] == 'h') && ($abger2 - 0.01 > $abger[0])) {
				$style = "style=\"color:red\"".stwToolTip("Differenz (".number_format($abger2,2,',','.')." h laut Nachweismappe)<br />wird im Folgemonat nachberechnet");
			} elseif(($abger[1] == 'h') && ($abger2 + 0.01 < $abger[0])) {
				$style = "style=\"color:red\"".stwToolTip("Differenz (".number_format($abger2,2,',','.')." h laut Nachweismappe)");
			} else $style='';
			echo "<td class=\"cl1\" style=\"text-align:right\">";
			echo "<a $style href=\"pro_ab.php?anz=m&tag=$abm&proj_id=$pro->id\">";
			echo number_format($abger[0],2,',','.') . ' ' . $abger[1] . "</a></td>\n";
			if($abger[1] == 'h') {
				$fls_sum += $abger[0];
				$zwischenFLS += $abger[0];
			}

			/* Betraege auf 2 Stellen nach dem Komma runden */
			$geld2 = geld_form_web(fround($geld, 2));
			if($row['teilz_betrag']>0 && !is_null($row['datum_zahlung'])) {
				$style = "style=\"color:#FF9999\"".stwToolTip("reduzierter Rechnungsbetrag");
			}
			echo "<td class=\"cl11\" colspan=\"2\" style=\"text-align:right\"><span $style>$geld2</span></td>\n";

			echo "<td class=\"cl11\"><a href=\"rech_pr.php?re_id=$row[0]&ab_monat=$ab_monat&traeger=2&ts=" . time() . "\" ";
			echo "target=\"_pdf\"><img src=\"".Image('drucker',16,14)."\"";
			echo stwToolTip('einzelne Rechnung ausdrucken');
			echo "border=\"0\" alt=\"Drucken\"></a></td>\n";

			echo "<td style=\"vertical-align:middle;text-align:center;";
			if((isset($_GET['pa']) || isset($_GET['ze'])) && empty($row[5])) echo " background-color:red;";
			echo "\"><input name=\"re_id_post_out[]\" id=\"pa_".$pro->ja."_$row[0]\" value=\"$row[0]\" type=\"checkbox\"";

			$tt = '';
			$p_out = abfrage1("select date_format(datetime, '%d.%m.%Y'), pers_id, checked, date_format(datetime, '%d.%m.%Y %H:%i') from tb_rech_ok_hist where re_id='$row[0]' and eingang='p' order by datetime desc");
			$dat = array();
			if(mysql_num_rows($p_out) > 1) while($out = mysql_fetch_row($p_out)) {
				if(empty($dat)) $dat = array($out[0],$out[1]);
				$tt .= "<input type=\"checkbox\"";
				if($out[2] == 'j') $tt .= ' checked';
				$tt .= "> $out[3] <b>" . pers_kname($out[1]) . "</b><br />";
			} else $dat = mysql_fetch_row($p_out);
			if($tt != '') $tt = stwToolTip($tt,false);
			if (empty($row[5])){
				echo stwToolTip('Postausgang f&uuml;r diese Rechnung erstellen');
				echo "onclick=\"xajax_PA($row[0], this.checked)\" ";
				echo "onmousedown=\"if(event.button==2){this.checked=!this.checked;}\"></td>\n";
			} else {
				$disabled = (!check_nutzer_rechte(100)) ? 'disabled' : "onclick=\"xajax_PA($row[0], this.checked)\" onmousedown=\"if(event.button==2){this.checked=!this.checked;}\"";
				echo "checked $disabled></td>\n";
				$sql  = "select date_format(hp.datum, '%d.%m.%Y') as datum, hp.pers_id ";
				$sql .= "from tb_post_ausgang p left join tb_hp hp using(hp_id) ";
				$sql .= "where p.post_out_id = '$row[5]';";
				$dat = abfrage($sql);
				echo "<script language=\"JavaScript\">\n";
				echo "poutArray[$cnt] = 1;";
				echo "</script>\n";
			}
			echo "<td id=\"pa_ts_".$row[0]."\" $tt class=\"cl1\">$dat[0]</td>\n";
			echo "<td id=\"pa_kn_".$row[0]."\" $tt>" . pers_kname($dat[1]) . "</td>\n";

			echo "<td style=\"vertical-align:middle;text-align:center;";
			if(isset($_GET['ze']) && empty($row[7])) echo " background-color:red;";
			echo "\"><input type=\"checkbox\" value=\"$row[0]\" id=\"zi_".$pro->ja."_$row[0]\" name=\"re_id_zahlung_in[]\" ";
			$zin = abfrage("select pers_id, checked, date_format(datetime, '%d.%m.%Y') from tb_rech_ok_hist where re_id='$row[0]' and eingang='z' order by datetime desc limit 1");
			if(empty($zin[0])) {
				$zin[0] = $row[6];
				$zin[1] = empty($row[7]) ? 'n' : 'j';
				$zin[2] = $row[7];
			}
			$tt = '';
			$z_ins = abfrage1("select pers_id, checked, date_format(datetime, '%d.%m.%Y'), date_format(datetime, '%d.%m.%Y %H:%i') from tb_rech_ok_hist where re_id='$row[0]' and eingang='z' order by datetime desc");
			if(mysql_num_rows($z_ins) > 1) while($z_in = mysql_fetch_row($z_ins)) {
				$tt .= "<input type=\"checkbox\"";
				if($z_in[1] == 'j') $tt .= ' checked';
				$tt .= "> $z_in[3] <b>" . pers_kname($z_in[0]) . "</b><br />";
			}
			if($tt != '') $tt = stwToolTip($tt,false);
			if ($zin[1] == 'n'){
				$offen += $geld - $row['teilz_betrag'];
				$zwischenOffen += $geld - $row['teilz_betrag'];
				$gezahlt += $row['teilz_betrag'];
				$zwischenGezahlt += $row['teilz_betrag'];
				echo stwToolTip('Zahlungseingang f&uuml;r diese Rechnung erfassen');
				if($row['teilz_betrag'] > 0) echo "onclick=\"self.location.href='rech.php?nw=$nwid&re_id=$row[0]&zahlung_in=1'\" ";
				else echo "onclick=\"xajax_ZE($row[0], this.checked)\" ";
				echo "onmousedown=\"if(event.button==2){this.checked=!this.checked;}\"></td>\n";
			} else {
				$gezahlt += $geld;
				$zwischenGezahlt += $geld;
				$onclick = $row['teilz_betrag'] > 0 ? "self.location.href='rech.php?nw=$nwid&re_id=$row[0]&doch_keine=1'" : "xajax_ZE($row[0], this.checked)";
				$disabled = (!check_nutzer_rechte(101)) ? 'disabled' : "onclick=\"$onclick\"  onmousedown=\"if(event.button==2){this.checked=!this.checked;}\"";
				echo "checked $disabled></td>\n";
				echo "<script language=\"JavaScript\">\n";
				echo "zinArray[$cnt] = 1;";
				echo "</script>\n";
			}
			echo "<td id=\"ze_ts_".$row[0]."\" $tt class=\"cl1\">$zin[2]</td>\n";
			echo "<td id=\"ze_kn_".$row[0]."\" $tt>" . pers_kname($zin[0]) . "</td>\n";
			echo "</tr>\n";
			$cnt++;
			$zwischenCnt++;
			$gesamtanzahl++;
		}
		new stwTabLine(2,30);
		$ja = abfrage("select name2, name from tb_kontakte where kont_id='$lastTraeger'");
		$tt = stwToolTip("$zwischenCnt Rechnung" . ($zwischenCnt==1?'':'en') . " f&uuml;r $ja[1] $ja[0]");
		if($rvar_order == 'r') {
			echo "<tr style=\"background-color:black\"><th colspan=\"4\">Zwischensumme $ja[0] <span $tt>($zwischenCnt Rechn.)</span></th>";
			echo "<td class=\"cl1\" style=\"text-align:right\">" . fls_form($zwischenFLS);
			echo "</td><td class=\"cl11\" colspan=\"2\" style=\"text-align:right\">" . geld_form_web(fround($zwischensumme, 2)) . "</td>";
			$zwischenGezahlt = geld_form_web(fround($zwischenGezahlt, 2));
			echo "<td colspan=\"2\"></td><th style=\"text-align:right\">gezahlt:</th><td>$zwischenGezahlt</td>";
			$zwischenOffen = geld_form_web(fround($zwischenOffen, 2));
			echo "<th colspan=\"2\" style=\"text-align:right\">offen:</th><td>$zwischenOffen</td></tr>\n";
		}
		new stwTabLine(1,30);
		$rechnungen = $cnt==1 ? "eine Rechnung" : "$gesamtanzahl Rechnungen";
		echo "<tr style=\"background-color:black\"><th colspan=\"4\">Gesamtsumme Rechnungen ($rechnungen)</th><td class=\"cl1\" style=\"text-align:right\">" . fls_form($fls_sum);
		echo "</td><td class=\"cl11\" colspan=\"2\" style=\"text-align:right\">" . geld_form_web(fround($geld_sum, 2)) . "</td>";
		$gezahlt = geld_form_web(fround($gezahlt, 2));
		echo "<td colspan=\"2\"></td><th style=\"text-align:right\">gezahlt:</th><td>$gezahlt</td>";
		$offen = geld_form_web(fround($offen, 2));
		echo "<th colspan=\"2\" style=\"text-align:right\">offen:</th><td>$offen</td></tr>\n";
		new stwTabLine(2,30);
		echo "<tr><td colspan=\"30\" style=\"text-align:right\">";
		echo "<a href=\"rech_pr.php?nw=$nwid&traeger=2\" target=\"_pdf\">alle Rechnungen drucken</a>\n";
		echo "&nbsp;&nbsp;&nbsp;";
		echo "<a href=\"rech_list_pr.php?nw=$nwid&traeger=2\" target=\"_pdf\">Deckbl&auml;tter Rechnungen drucken</a>\n";
		echo "</td></tr>\n</form>\n";
		new stwTabLine(1,30);
		echo "<tr><td>&nbsp;</td></tr>\n";
/* Sammelrechnungen */
		$sql = "select r.re_id, z.name, z.kont_id_rechnung, r.zg_ausnahme, z.zg_id,
				re.post_out_id, re.zahlung_in_pers_id,
				date_format(re.zahlung_in_datum, '%d.%m.%Y') as datum_zahlung,
				re.teilz_betrag, re.teilz_pers_id, re.bemerkungen,
				date_format(re.teilz_datum, '%d.%m.%Y') as teilz_datum,
				re.betrag, re.storniert		
				from tb_zg_rechnung r
				left join tb_zahlungsgruppe z using(zg_id)
				left join tb_rechnung re using(re_id)
				where r.nachw_id='$nwid' 
				group by r.re_id
				order by z.kont_id_rechnung desc, r.zg_ausnahme desc, z.name asc, re.re_nr asc";
		$zgs = abfrage1($sql);
		$kont_id_rechnung = -1;
		if(mysql_num_rows($zgs) > 0) {
			echo "<tr><th colspan=\"6\" style=\"font-size:18px\">Sammelrechnungen ";
			if($_SESSION[$AppCode]["ULV"] >= 96) {
				echo "<a href=\"kont.php?ka=1&st=5&xy=0\"><img src=\"".image('hammer')."\"";
				echo stwToolTip('Sammelrechnungen konfigurieren') . "/></a>";
			}
			echo "</th></td><td colspan=\"2\" style=\"text-align:center;vertical-align:bottom\">";
			echo "<a href=\"sammel_pr.php?nw=$nwid&ab_monat=$ab_monat&traeger=2&ts=" . time() . "\" target=\"_pdf\">";
			echo "<img src=\"".Image('drucker',16,14)."\"";
			echo stwToolTip('Alle Sammelrechnungen drucken');
			echo "border=\"0\" alt=\"Alle Sammelrechnungen drucken\"></a></td>\n";
			echo "<th colspan=\"3\" style=\"vertical-align:bottom\">Postausgang</th>";
			echo "<th colspan=\"3\" style=\"vertical-align:bottom\">Zahlungseingang</th>";
			echo "</tr>\n";
			$zwischenCnt = $zwischensumme = $sammel_sum = $cnt = 0;
			$einzelr1st = true;
			while($zg = mysql_fetch_array($zgs)) {
				if($kont_id_rechnung != $zg[2] && $kont_id_rechnung != -1) {
					echo "<tr style=\"background-color:black\"><th colspan=\"4\">Zwischensumme $ja[0] ($zwischenCnt Rechnung".($zwischenCnt==1?'':'en').")</th>";
					echo "</td><td class=\"cl1\" colspan=\"2\" style=\"text-align:right\">" . geld_form_web(fround($zwischensumme, 2)) . "</td>";
					echo "<td colspan=\"8\" />";
					echo "</tr>\n";
					$zwischenCnt = $zwischensumme = 0;
				}
				if($kont_id_rechnung != $zg[2]) {
					$ja = abfrage("select name2, name from tb_kontakte where kont_id='$zg[2]'");
					new stwTabLine(1,30);
					echo "<tr style=\"background-color:#888888\">";
					echo "<th class=\"cl1\">Rechnung</th>";
					echo "<th colspan=\"4\" class=\"cl1\">$ja[1] $ja[0]</th>";
					echo "<th style=\"text-align:center\">Betrag</th>";
					echo "<th colspan=\"8\"></td>";
					echo "</tr>\n";
					$kont_id_rechnung = $zg[2];
				}
				if($zg[3]=='j') {
					if($einzelr1st) {
						new stwTabLine(2,30);
						echo "<tr><th colspan=\"30\" style=\"font-size:16px\">Einzelne Sammelrechnungen</th></tr>\n";
						new stwTabLine(2,30);
					}
					$einzelr1st = false;
					$proj = abfrage("select proj_id from tb_zg_rechnung where re_id='$zg[0]'");
					$zg[1] = projektnummer($proj[0],true,true);
				}
				$re = abfrage("select re_nr, betrag from tb_rechnung where re_id='$zg[0]'");
				echo "<tr><th><a href=\"rech_and.php?re_id=$zg[0]&zg_id=$zg[4]&nw=$nwid\">$re[0]</a></th><td colspan=\"4\">$zg[1]</td>";
				$geld = fround($re[1],2);
				if($zg['storniert'] == 'j') $geld = 0;
				elseif(!is_null($zg['datum_zahlung']) && $zg['teilz_betrag']>0) $geld = $zg['teilz_betrag'];
				$tt = $style = '';
				if($zg[0] && ($zg['teilz_betrag'] > 0 || $zg['storniert'] == 'j') && $zg['teilz_betrag'] != $geld) {
					$begruendung = '';
					if(strlen($zg['bemerkungen']) > 0) $begruendung = "<br />Begr&uuml;ndung: ".$abschlag['bemerkungen'];
					$style = "color:#FF9999;";
					$tt = stwToolTip("<b>Abschlagsbetrag ge&auml;ndert</b><br />(urspr&uuml;nglich ".geld_form_web($re[1]).") $begruendung");
					$geld = $zg['teilz_betrag'];
				}
				echo "<td $tt class=\"cl1\" style=\"text-align:right;$style\">";
				echo geld_form_web($geld);
				echo "</td><td colspan=\"2\" style=\"text-align:center\">";
				echo "<a href=\"sammel_pr.php?re_id=$zg[0]&ab_monat=$ab_monat&traeger=2&ts=" . time() . "\" target=\"_pdf\">";
				echo "<img src=\"".Image('drucker',16,14)."\"";
				echo stwToolTip('einzelne Rechnung ausdrucken');
				echo "border=\"0\" alt=\"Drucken\"></a></td>\n";

				echo "<td style=\"vertical-align:middle;text-align:center;";
				echo "\"><input name=\"re_id_post_out[]\" id=\"pa_zg_$zg[0]\" value=\"$zg[0]\" type=\"checkbox\"";

				$tt = '';
				$p_out = abfrage1("select date_format(datetime, '%d.%m.%Y'), pers_id, checked, date_format(datetime, '%d.%m.%Y %H:%i') from tb_rech_ok_hist where re_id='$zg[0]' and eingang='p' order by datetime desc");
				$dat = array();
				if(mysql_num_rows($p_out) > 1) while($out = mysql_fetch_row($p_out)) {
					if(empty($dat)) $dat = array($out[0],$out[1]);
					$tt .= "<input type=\"checkbox\"";
					if($out[2] == 'j') $tt .= ' checked';
					$tt .= "> $out[3] <b>" . pers_kname($out[1]) . "</b><br />";
				} else $dat = mysql_fetch_row($p_out);
				if($tt != '') $tt = stwToolTip($tt,false);
				if (empty($zg[5])){
					echo stwToolTip('Postausgang f&uuml;r diese Rechnung erstellen');
					echo "onclick=\"xajax_PA($zg[0], this.checked)\" /></td>\n";
				} else {
					$disabled = (!check_nutzer_rechte(100)) ? 'disabled' : "onclick=\"xajax_PA($zg[0], this.checked)\"";
					echo "checked $disabled></td>\n";
					$sql  = "select date_format(hp.datum, '%d.%m.%Y') as datum, hp.pers_id ";
					$sql .= "from tb_post_ausgang p left join tb_hp hp using(hp_id) ";
					$sql .= "where p.post_out_id = '$zg[5]';";
					$dat = abfrage($sql);
					echo "<script language=\"JavaScript\">\n";
					echo "poutArray[$cnt] = 1;";
					echo "</script>\n";
				}
				echo "<td id=\"pa_ts_".$zg[0]."\" $tt class=\"cl1\">$dat[0]</td>\n";
				echo "<td id=\"pa_kn_".$zg[0]."\" $tt>" . pers_kname($dat[1]) . "</td>\n";

				echo "<td style=\"vertical-align:middle;text-align:center;";
				if(isset($_GET['ze']) && empty($zg[7])) echo " background-color:red;";
				echo "\"><input type=\"checkbox\" value=\"$zg[0]\" id=\"zi_zg_$zg[0]\" name=\"re_id_zahlung_in[]\" ";
				$zin = abfrage("select pers_id, checked, date_format(datetime, '%d.%m.%Y') from tb_rech_ok_hist where re_id='$zg[0]' and eingang='z' order by datetime desc limit 1");
				if(empty($zin[0])) {
					$zin[0] = $zg[6];
					$zin[1] = empty($zg[7]) ? 'n' : 'j';
					$zin[2] = $zg[7];
				}
				$tt = '';
				$z_ins = abfrage1("select pers_id, checked, date_format(datetime, '%d.%m.%Y'), date_format(datetime, '%d.%m.%Y %H:%i') from tb_rech_ok_hist where re_id='$zg[0]' and eingang='z' order by datetime desc");
				if(mysql_num_rows($z_ins) > 1) while($z_in = mysql_fetch_row($z_ins)) {
					$tt .= "<input type=\"checkbox\"";
					if($z_in[1] == 'j') $tt .= ' checked';
					$tt .= "> $z_in[3] <b>" . pers_kname($z_in[0]) . "</b><br />";
				}
				if($tt != '') $tt = stwToolTip($tt,false);
				if ($zin[1] == 'n'){
					$offen += $geld - $zg['teilz_betrag'];
					$zwischenOffen += $geld - $zg['teilz_betrag'];
					$gezahlt += $zg['teilz_betrag'];
					$zwischenGezahlt += $zg['teilz_betrag'];
					echo stwToolTip('Zahlungseingang f&uuml;r diese Rechnung erfassen');
					if($zg['teilz_betrag'] > 0) echo "onclick=\"self.location.href='rech.php?nw=$nwid&re_id=$zg[0]&zahlung_in=1'\" ";
					else echo "onclick=\"xajax_ZE($zg[0], this.checked)\" ";
					echo "></td>\n";
				} else {
					$gezahlt += $geld;
					$zwischenGezahlt += $geld;
					$onclick = $zg['teilz_betrag'] > 0 ? "self.location.href='rech.php?nw=$nwid&re_id=$zg[0]&doch_keine=1'" : "xajax_ZE($zg[0], this.checked)";
					$disabled = (!check_nutzer_rechte(101)) ? 'disabled' : "onclick=\"$onclick\"";
					echo "checked $disabled></td>\n";
					echo "<script language=\"JavaScript\">\n";
					echo "zinArray[$cnt] = 1;";
					echo "</script>\n";
				}
				echo "<td id=\"ze_ts_".$zg[0]."\" $tt class=\"cl1\">$zin[2]</td>\n";
				echo "<td id=\"ze_kn_".$zg[0]."\" $tt>" . pers_kname($zin[0]) . "</td>\n";
				echo "</tr>\n";
				$zwischenCnt++;
				$cnt++;
				$gesamtanzahl++;
				$zwischensumme += $geld;
				$sammel_sum += $geld;
			}
			echo "<tr style=\"background-color:black\"><th colspan=\"4\">Zwischensumme $ja[0] ($zwischenCnt Rechnung".($zwischenCnt==1?'':'en').")</th>";
			echo "</td><td class=\"cl1\" colspan=\"2\" style=\"text-align:right\">" . geld_form_web(fround($zwischensumme, 2)) . "</td>";
			echo "<td colspan=\"8\" />";
			echo "</tr>\n";
			new stwTabLine(1,30);
			echo "<tr style=\"background-color:black\"><th colspan=\"4\">Gesamtsumme Sammelrechnungen ($cnt Rechnung".($cnt==1?'':'en').")</th>";
			echo "</td><td class=\"cl1\" colspan=\"2\" style=\"text-align:right\">" . geld_form_web(fround($sammel_sum, 2)) . "</td>";
			$geld_sum += $sammel_sum;
			echo "<td colspan=\"8\" />";
			echo "</tr>\n";
			new stwTabLine(1,30);
			echo "<tr style=\"background-color:#888888\"><th colspan=\"4\">GESAMTSUMME Rechnungen (inklusive Sammelrechnungen: $gesamtanzahl)</th>";
			echo "<td class=\"cl1\" style=\"text-align:right;color:black;font-weight:bold\" colspan=\"2\">" . geld_form_web(fround($geld_sum, 2)) . "</td>";
			echo "<td colspan=\"8\"></td></tr>\n";
			new stwTabLine(1,30);
			echo "<tr><td>&nbsp;</td></tr>\n";
		}
/* Abschlagszahlungen */
		if($doAbs && !isset($_GET['ab_monat'])) {
			$abpa = 0;
			$zahlungssumme = array();
			$sql = "select pr.proj_id, k.kont_id, p.name, p.vorname, 
					IF((kh.kh_id IS NULL), k.ab_modus, kh.ab_modus) as ab_modus
					from tb_projekte pr
					left join tb_kontakte_ap a on(pr.ap_id = a.ap_id)
					left join tb_kontakte k on(k.kont_id = a.kont_id)
					left join tb_kont_hilfeart kh on k.kont_id = kh.kont_id and kh.hilfeart_id=pr.hilfeart_id and kh.von<'$rechnungsdatum' and (kh.bis>'$abm' or kh.bis='0000-00-00')
					left join tbh_proj_personen pp on (pr.proj_id = pp.proj_id and pp.perstyp_id = 1)
					left join tb_personen p on p.person_id = pp.person_id
					left join tb_abschlag ab on (ab.nachw_id = '$nwid' and ab.proj_id = pr.proj_id)
					left join tb_zg_rechnung z on (z.nachw_id = '$nwid' and z.proj_id = pr.proj_id)
					where ab.proj_id IS NOT NULL
					or (pr.ende >= '$abm' and pr.ende < date_add('$abm',INTERVAL 1 MONTH)
					or unix_timestamp(pr.ende)=0 or unix_timestamp(pr.ende) IS NULL
					or pr.ende >= date_add('$abm',INTERVAL 1 MONTH)
					) and (kh.ab_mod='h' or k.ab='h' and (kh.ab_mod IS NULL or kh.ab_mod='x'))
					and z.zg_id IS NULL
					group by proj_id order by ";
			switch($rvar_order) {
				case 'pro': $sql .= "pr.projektnr asc"; break;
				case 'vn': $sql .= "p.vorname asc"; break;
				case 'nn': $sql .= "p.name asc"; break;
				default: $sql .= "k.name asc, k.name2 asc, pr.projektnr asc"; break;
			}
			$pros = abfrage1($sql);
			$cnt = $lastTraeger = $sumSoll = $sumIst = $sumABetrag = $sumRBetrag = 0;
			$zwischenSoll = $zwischenIst = $zwischenCnt = $zwischenABetrag = $zwischenRBetrag = 0;
			if(mysql_num_rows($pros) > 0) {
				list($year, $month, $day) = explode("-", $abm);
				echo "<tr><th colspan=\"30\" style=\"font-size:18px\">Projekte mit Abschlagszahlung ";
				echo "<sup style=\"cursor:pointer\" onclick=\"document.getElementById('ntbs').style.display='table-row'\"";
				echo stwToolTip("beendetes Projekt zur Liste hinzuf&uuml;gen");
				echo ">+</sup></th></tr>\n";
				echo "<tr id=\"ntbs\" style=\"display:none\"><td colspan=\"30\">";
				echo "<form method=\"post\" action=\"" . $_SERVER["PHP_SELF"] . "?nw=$nwid";
				if(isset($rvar_order)) echo "&order=$rvar_order";
				echo "\">\n";
				echo "<table><tr><th>beendetes Projekt hinzuf&uuml;gen:</th><td>\n";
				echo "<select name=\"padd\" onchange=\"this.form.submit()\">\n";
				echo "<option value=\"0\">- bitte w&auml;hlen -</option>\n";
				$sql = "select pr.proj_id from tb_projekte pr
						left join tb_kontakte_ap a on(pr.ap_id = a.ap_id)
						left join tb_kontakte k on(k.kont_id = a.kont_id)
						left join tb_kont_hilfeart kh on (k.kont_id = kh.kont_id and kh.hilfeart_id=pr.hilfeart_id and kh.von<'$rechnungsdatum')
						left join tbh_proj_personen pp on (pr.proj_id = pp.proj_id and pp.perstyp_id = 1)
						left join tb_personen p on p.person_id = pp.person_id
						left join tb_abschlag ab on (ab.nachw_id = '$nwid' and ab.proj_id = pr.proj_id)
						where ab.nachw_id IS NULL and pr.projektnr < 10000000
						and pr.ende < '$abm' and pr.ende != '0000-00-00' and pr.ende IS NOT NULL
						and (kh.ab_mod='h' or k.ab='h' and (kh.ab_mod IS NULL or kh.ab_mod='x'))
						group by proj_id order by pr.projektnr asc";
				$endpros = abfrage1($sql);
				while($ep = mysql_fetch_row($endpros)) {
					echo "<option value=\"$ep[0]\">" . projektnummer($ep[0],true,true) . "</option>\n";
				}
				echo "</select></td>\n";
				echo "</tr></table></form></td></tr>\n";
				new stwTabLine(1,30);
				echo "<tr style=\"background-color:#888888\"><th class=\"cl11\"><a name=\"Abschlag\" href=\"$order=r#Abschlag\">Abschlag</a></th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\"><a href=\"$order=pro#Abschlag\">Projekt-Nr.</a></th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\"><a href=\"$order=nn#Abschlag\">Name</a></th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\"><a href=\"$order=vn#Abschlag\">Vorname</a></th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\">FLS Ist</th>\n";
				echo "<th class=\"cl11\" colspan=\"2\" style=\"text-align:center\"".stwToolTip("<b>Rechnungsbetrag</b><br>tats&auml;chlich abzurechnende Leistungen").">RBetrag</th>\n";
				echo "<td style=\"text-align:right\">";
				echo "<form name=\"printabform\" action=\"abschlag_pr.php\" method=\"get\" target=\"_pdf\">\n";
				echo "<input type=\"hidden\" name=\"ab_monat\" value=\"$abm\">\n";
				echo "<input type=\"hidden\" name=\"traeger\" value=\"2\">\n";
				echo "<input type=\"hidden\" name=\"ma\" value=\"$uid\">\n";
				foreach($ab_kont_ids as $id => $v) {
					echo "<input type=\"hidden\" name=\"kont$id\" value=\"$v\">\n";
				}
				echo "<input type=\"hidden\" name=\"kont_adr\" value=\"\">\n";
				echo "<input type=\"hidden\" name=\"ts\" value=\"" . time() . "\">\n";
				echo "<a href=\"#\" ";
				echo stwToolTip('&Uuml;bersicht Projekte mit Abschlagszahlung drucken<br>Druck-Einstellungen per Rechtsklick', false);
				echo "onmousedown=\"if(event.button==2){doTT('abprint');}";
				echo "else{document.printabform.submit();} return false;\" oncontextmenu=\"return false;\"";
				echo "><img id=\"abprint\" src=\"".Image('drucker',16,14)."\" border=\"0\"></a><span ";
				echo "style=\"cursor:pointer;font-size:small;position:relative;left:0;top:-4px;\" onClick=\"doTT('abprint')\"> +</span>";
				echo "</form>\n</td>\n";
				$alternativJA = abfrage("SELECT kont_id, kurzname, name, name2 FROM tb_kontakte where kont_art_id = 1 and ab='h' order by kurzname asc limit 1");
				$abpa_hp = abfrage1("select p.post_out_id from tb_post_ausgang p left join tb_hp h using(hp_id) where h.hp_art='y' and h.st_grund='Abschlag' and h.and_datum='$abm';");
				if(mysql_num_rows($abpa_hp) > 0) {
					$abpa = -1;
					$checked = "checked";
					$pout = mysql_fetch_row($abpa_hp);
					$pa = "<a style=\"color:black\"href=\"post_out.php?post_id=$pout[0]\">PA</a>";
				} else {
					$abpa = 1;
					$checked = '';
					$pa = 'PA';
				}
				echo "<td style=\"color:black\"><input type=\"checkbox\"".stwToolTip("Postausgang erzeugen");
				echo " id=\"abpout\" $checked  onchange=\"var a = document.printabform.kont_adr.value; ";
				if($abpa == 1) {
					echo "if(a==''){if(confirm('in den Druck-Einstellungen ist keine Adresszuordnung hinterlegt.\\n";
					echo "Der Postausgang wird daher an JA $alternativJA[1] gerichtet.\\n";
					echo "($alternativJA[2] $alternativJA[3])')) {self.location.href='rech.php?nw=$nwid&kont_adr=$alternativJA[0]&abpa=$abpa'}";
					echo " else {document.getElementById('abpout').checked = false;}} else ";
				}
				echo "self.location.href='rech.php?nw=$nwid&kont_adr='+a+'&abpa=$abpa'";
				echo "\">$pa</td>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\">FLS Soll</th>\n";
				echo "<th class=\"cl11\" style=\"text-align:center\"".stwToolTip("Abschlagsbetrag").">ABetrag</th>\n";
				$daten = new stwDaten("41");
				$rowspan = 2;
				$klammer = $daten->get_klammer_link($_SESSION["webdir"],
												  $_SESSION[$AppCode]["UID"],
												  $_SESSION[$AppCode]["ULV"],
												  date_my2ts($abm),date_my2ts($abm));
				echo "<td id=\"graueSpalteRechts\" colspan=\"3\" rowspan=\"99\"><table><tr><th>$klammer &nbsp; Zahlungseingang<br><table style=\"width:100%\" id=\"abs_zin\"></table></th></tr></table></td></tr>\n";
				new stwTabLine(1,30);
				while ($row = mysql_fetch_array($pros)){
					if(projekt_sammelrechnung($row['proj_id'],$abm)) continue;
					$pro = new stwProjekt($row['proj_id']);
					if($pro->beginn_ts() == 0 || $pro->beginn_ts() >= mktime(0, 0, 0, $month+1, 1, $year)) continue; 
					if($lastTraeger == 0) $lastTraeger = $row['kont_id'];
					if($rvar_order == 'r' && $lastTraeger != $row['kont_id']) {
						new stwTabLine(2,11);
						$rowspan++;
						$ja = abfrage("select name2, name from tb_kontakte where kont_id='$lastTraeger'");
						$tt = stwToolTip("$zwischenCnt Rechnung" . ($zwischenCnt==1?'':'en') . " f&uuml;r $ja[1] $ja[0]");
						echo "<tr style=\"background-color:black\"><th colspan=\"4\">Zwischensumme $ja[0] <span $tt>($zwischenCnt Rechn.)</span></th>";
						echo "<td class=\"cl11\" style=\"text-align:right\" colspan=\"3\">" . geld_form_web(fround($zwischenRBetrag, 2)) . "</td>";
						echo "<td class=\"cl11\" style=\"text-align:right\" colspan=\"4\">" . geld_form_web(fround($zwischenABetrag, 2)) . "</td>";
						echo "</tr>\n";
						$rowspan++;
						new stwTabLine(2,11);
						$zwischenSoll = $zwischenIst = $zwischenCnt = $zwischenABetrag = $zwischenRBetrag = 0;
					}
					$lastTraeger = $row['kont_id'];
					if($DoPA) abfrage2("insert into tbh_postzuordnung set id='$DoPA', posttyp='h', id2='$pro->id', typ='p';");
					echo "<tr class=\"mo\">\n";
					echo "<th class=\"cl11\" style=\"text-align:right\">";
					if(!$bAbschlaege || mysql_num_rows($abschlag_beendet_pros) == 0 || mysql_num_rows($abschlag_beendet_pros) > 0 && mysql_num_rows($ARDs) == 0) {
						echo "<a name=\"p" . $row['proj_id'] . "\" style=\"position:relative;top:-50px\" />";
						echo "<a href=\"rech_and.php?proj_id=".$row['proj_id']."&amp;nw=$nwid\">Abschlag</a>";
					} else {
						echo "<span".stwToolTip("Bearbeiten des Abschlags nicht mehr m&ouml;glich.<br />Abschlagsrechnung bereits erzeugt.").">Abschlag</span>";
					}
					echo "</th>\n";
					echo "<td class=\"cl11\"><a href=\"pro_daten.php?proj_id=$pro->id\">" . $pro->nummer() . "</a></td>\n";
					echo "<td class=\"cl11\">".$row['name']."</td>\n";
					echo "<td class=\"cl11\">".$row['vorname']."</td>\n";

					$satz = stundensatz($abm, $pro->id);
					$abs = abschlag_nw($nwid,$pro->id,false);
					$i = intval($abs['satz'] * 100);
					$zahlungssumme[ $i ] += $abs['abetrag'];
					$ist = $abs['ist'];
					$zwischenIst += $ist;
					if($satz[0] == 'h') {
						$geleistet[ 'h' ] += $ist;
						echo "<td class=\"cl11\" style=\"text-align:right\">".fls_form($ist)."</td>\n";
						$kmg = $pro->kilometergeld($abm);
						if($kmg[0] == 'j') {
							$km = abfrage("SELECT sum( km_abw_ja ) FROM tb_ab_zk WHERE ab_monat = '$abm' AND proj_id = '$pro->id' AND km_abw_ja > 0;");
						} elseif($kmg[0] == 'o') {
							$km = abfrage("SELECT sum( km_dienst ) + sum( km_privat ) FROM tb_ab_zk WHERE ab_monat = '$abm' AND proj_id = '$pro->id';");
						} else $km[0] = 0;
						$fahrtkosten = fround(($km[0] * $kmg[1])/100);
						$tt = geld_form_web($satz[1]) . "/h x " . fls_form($ist);
						if($fahrtkosten > 0) $tt .= " + " . geld_form_web($fahrtkosten) . " (Fahrtkosten)";
						$tt = stwToolTip($tt);
						echo "<td class=\"cl11\" style=\"text-align:right\" $tt colspan=\"2\">".geld_form_web($abs['rbetrag'])."</td>\n";
						$zwischenRBetrag += $abs['rbetrag'];
						$sumRBetrag += $abs['rbetrag'];
					} elseif($satz[0] == 'd') {
						$DoIt = false;
						$pgr = $pro->inProjektgruppe(date('Y-m-t',date_my2ts($abm)));
						if($pgr) {
							$anw = abfrage("select schule, familie, hobbys, wohn from tb_projekte where proj_id='$pgr'");
							if(empty($anw[0]) && empty($anw[1]) && empty($anw[2])) $DoIt = true;
						} else $DoIt = true;
						$start = mktime(0, 0, 0, $month, 1, $year);
						$ende = mktime(0, 0, 0, $month, date('t',$start), $year);
						$beg = $pro->beginn_ts();
						$end = $pro->ende_ts();
						if($beg > $start) $start = $beg;
						if($end > 0 && $ende > $end) $ende = $end;
						if($DoIt) {
							$days = fround(($ende - $start) / 86400 , 0);
							$tt = "$days Tage";
						} else {
							$anwesend = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$pro->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $ende and terminart = '-'");
							$krank = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$pro->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $ende and terminart = 'k'");
							$urlaub = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$pro->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $ende and terminart = 'u'");
							$essen = abfrage("select count(essen) from tbh_proj_anwesenheit where proj_id='$pro->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $ende and essen = 'j'");
							$days = $anwesend[0] + $krank[0] + $urlaub[0];
							$tt = "$anwesend[0] Tage anwesend<br>$krank[0] Tage krank<br>$urlaub[0] Tage beurlaubt";
							if($essen[0] > 0) $tt.= "<br>$essen[0] Mahlzeiten";
							$extra = $essen[0]*$anw[3];
						}
						$geleistet[ 'd' ] += $days;
						echo "<td class=\"cl11\" style=\"text-align:right\">".$abs['ist']." $satz[0]</td>\n";
						echo "<td class=\"cl11\" style=\"text-align:right\"" . stwToolTip($tt) . "colspan=\"2\">".geld_form_web($abs['rbetrag'])."</td>\n";
						$zwischenRBetrag += $abs['rbetrag'];
						$sumRBetrag += $abs['rbetrag'];
					}

					$zwischenSoll += $abs['soll'];
					$sumSoll += $abs['soll'];
					echo "<td class=\"cl11\" style=\"text-align:right\" colspan=\"3\">".number_format($abs['soll'],2,',','.').' '.$satz[0]."</td>\n";
					$betrag = fround($satz[1] * $abs['soll'],2);
					$abschlag = abfrage_array("select * from tb_abschlag where nachw_id='$nwid' and proj_id='$pro->id'");
					$tt = $style = '';
					if($abschlag[0] && ($abschlag['teilz_betrag'] > 0 || $abschlag['storniert'] == 'j') && $abschlag['teilz_betrag'] != $betrag) {
						$begruendung = '';
						if(strlen($abschlag['bemerkungen']) > 0) $begruendung = "<br />Begr&uuml;ndung: ".$abschlag['bemerkungen'];
						$style = "color:#FF9999;";
						$tt = stwToolTip("<b>Abschlagsbetrag ge&auml;ndert</b><br />(urspr&uuml;nglich ".geld_form_web($betrag).") $begruendung");
						$betrag = $abschlag['teilz_betrag'];
					}
					echo "<td class=\"cl11\" $tt style=\"text-align:right;$style\">".geld_form_web($abs['abetrag'])."</td></tr>\n";
					$rowspan++;

					if($rvar_abpa == 1) {
						abfrage2("INSERT INTO tb_abschlag VALUES ('$nwid','$pro->id','','n',0,NULL,'$betrag','','n') ON DUPLICATE KEY UPDATE teilz_betrag='$betrag';");
					}
					$zwischenABetrag += fround($betrag,2);
					$sumABetrag += fround($betrag,2);
					$zwischenCnt++;
					$cnt++;
					$gesamtanzahl++;
				}
				$ja = abfrage("select name2, name from tb_kontakte where kont_id='$lastTraeger'");
				if($rvar_order == 'r') {
					$tt = stwToolTip("$zwischenCnt Rechnung" . ($zwischenCnt==1?'':'en') . " f&uuml;r $ja[1] $ja[0]");
					echo "<tr style=\"background-color:black\"><th colspan=\"4\">Zwischensumme $ja[0] <span $tt>($zwischenCnt Rechn.)</span></th>";
					echo "<td class=\"cl11\" style=\"text-align:right\" colspan=\"3\">" . geld_form_web(fround($zwischenRBetrag, 2)) . "</td>";
					echo "<td class=\"cl11\" style=\"text-align:right\" colspan=\"4\">" . geld_form_web(fround($zwischenABetrag, 2)) . "</td>";
					echo "</tr>\n";
					$rowspan++;
				}
				new stwTabLine(1,11);
				$rowspan++;
				$rechnungen = $cnt==1 ? "eine Rechnung" : "$cnt Rechnungen";
				echo "<tr style=\"background-color:black\"><th colspan=\"4\">Gesamtsumme Abschl&auml;ge $ja[1] ($rechnungen)</th>";
				echo "<td class=\"cl11\" style=\"text-align:right\" colspan=\"3\">" . geld_form_web(fround($sumRBetrag, 2)) . "</td>";
				echo "<td class=\"cl11\" style=\"text-align:right\" colspan=\"4\">" . geld_form_web($sumABetrag, 2) . "</td>";
				echo "</tr>\n";
				$rowspan++;
				new stwTabLine(2,11);
				$rowspan++;
				new stwTabLine(1,11);
				$rowspan++;
				$cnt += $num_rows;
				$rechnungen = $cnt==1 ? "eine Rechnung" : "$gesamtanzahl Rechnungen";
				echo "<tr style=\"background-color:#888888\"><th colspan=\"5\">GESAMTSUMME Rechnungen + Abschl&auml;ge ($rechnungen)</th>";
				echo "<td class=\"cl11\" style=\"text-align:right;color:black;font-weight:bold\" colspan=\"2\">" . geld_form_web(fround($sumRBetrag+$geld_sum, 2)) . "</td>";
				echo "<td colspan=\"4\"></td></tr>\n";
				$rowspan++;
				new stwTabLine(1,11);
				$rowspan++;
			}
			echo "<tr><td>";
			echo "<script type=\"text/javascript\"><!--\n";
			echo "function doNotizTT(id) {\n";
			echo "var str = '<form name=\"tempform\">'\n";
			echo "        + '<textarea name=\"notiz\" style=\"width:300px;height:100px;margin:10px\" onkeyup=\"'\n";
			echo "        + \"var element = document.getElementById('hidden_note_\" + id + \"');\"\n";
			echo "        + 'element.value = this.value;\">'\n";
			echo "        + document.getElementById('hidden_note_'+id).value + '</textarea><br><input type=\"button\" value=\"speichern\" onclick=\"xajax_savenote($nwid,'\n";
			echo "        + id + ',tempform.notiz.value)\"</form>';\n";
			echo "Tip(str, BGCOLOR, '#333333', CLOSEBTN, 1, DELAY, 0, TITLE, 'Notizen:',TITLEBGCOLOR, '#006600', BORDERCOLOR, '#666666', WIDTH, 320, HEIGHT, 140, FIX, ['note_'+id,-10,-25], STICKY, 1);\n}\n";
			echo "--></script>\n";
			echo "<table id=\"abs_zin_not_to_be_seen\" style=\"display:none\">\n";
			foreach($zahlungssumme as $satz => $geld) if($geld > 0) {
				$tt = '';
				$checked = false;
				$chks = abfrage1("select checked, date_format(ts, '%d.%m.%Y %H:%i'), pers_id from tb_zin_abschlag where nachw_id='$nwid' and satz='$satz' order by ts desc");
				while($chk = mysql_fetch_row($chks)) {
					$tt .= "<input type=\"checkbox\" ";
					if($chk[0] == 'j') $tt .= "checked ";
					$tt .= "> $chk[1] ".pers_kname($chk[2])."<br>";
					if($checked === false) $checked = ($chk[0] == 'j') ? 'checked' : '';
				}
				if($tt != '') $tt = stwToolTip($tt);
				echo "<tr><td><input type=\"checkbox\" $checked $tt onclick=\"xajax_ZE_Abs($nwid,$satz,this.checked)\"/></td>";
				echo "<td class=\"cl11\" style=\"text-align:right;color:black\">" . geld_form_web($geld) . "</td><td style=\"text-align:right\">";
				$note = abfrage("select notizen from tb_zin_abschlag where satz='$satz' and notizen is not null and notizen != '' and ts <= '$abm' order by ts desc limit 1");
				echo "<textarea style=\"display:none\" id=\"hidden_note_$satz\">$note[0]</textarea>\n";
				echo "<img id=\"note_$satz\" src=\"img/daten";
				if(!empty($note[0])) echo "_gruen";
				echo ".png\" alt=\"?\" onclick=\"doNotizTT($satz)\"";
				if(!empty($note[0])) echo stwToolTip($note[0]);
				echo "style=\"cursor:pointer\" onclick=\"doNotizTT($satz)\" />";
				echo "</td></tr>\n";
			}
			echo "</table></td></tr>\n";
			$rowspan++;
			echo "<script type=\"text/javascript\"><!--\n";
			echo "document.getElementById('abs_zin').innerHTML = document.getElementById('abs_zin_not_to_be_seen').innerHTML;\n";
			echo "document.getElementById('graueSpalteRechts').rowSpan = $rowspan;\n";
			echo "--></script>\n";
		}
		if(!isset($_GET['ab_monat'])) {
			$sql = "select pr.proj_id, k.kont_id, p.name, p.vorname, unix_timestamp(date_add('$abm',INTERVAL 1 MONTH))
					from tb_projekte pr
					left join tb_kontakte_ap a on(pr.ap_id = a.ap_id)
					left join tb_kontakte k on(k.kont_id = a.kont_id)
					left join tbh_proj_personen pp on (pr.proj_id = pp.proj_id and pp.perstyp_id = 1)
					left join tb_personen p on p.person_id = pp.person_id
					left join tb_abschlag ab on (ab.nachw_id = '$nwid' and ab.proj_id = pr.proj_id)
					where k.pauschFLS = 'g' group by proj_id order by ";
			switch($rvar_order) {
				case 'pro': $sql .= "pr.projektnr asc"; break;
				case 'vn': $sql .= "p.vorname asc"; break;
				case 'nn': $sql .= "p.name asc"; break;
				default: $sql .= "k.name asc, k.name2 asc, pr.projektnr asc"; break;
			}
			$pros = abfrage1($sql);
			if(mysql_num_rows($pros) > 0) {
				echo "<script type=\"text/javascript\"><!--\n";
				echo "function doNoteTT(proj_id,id) {\n";
				echo "var str = '<form name=\"tempform\">'\n";
				echo "        + '<textarea name=\"notiz\" style=\"width:300px;height:100px;margin:10px\" onkeyup=\"'\n";
				echo "        + \"var element = document.getElementById('hidden_note\" + id + \"');\"\n";
				echo "        + 'element.value = this.value;\">'\n";
				echo "        + document.getElementById('hidden_note'+id).value + '</textarea><br><input type=\"button\" value=\"speichern\" onclick=\"xajax_savenote2('\n";
				echo "        + proj_id + ',' + id + ',tempform.notiz.value)\"</form>';\n";
				echo "Tip(str, BGCOLOR, '#333333', CLOSEBTN, 1, DELAY, 0, TITLE, 'Notizen:',TITLEBGCOLOR, '#006600', BORDERCOLOR, '#666666', WIDTH, 320, HEIGHT, 140, FIX, ['note'+id,-10,-25], STICKY, 1);\n}\n";
				echo "--></script>\n";
				echo "<tr><th colspan=\"30\" style=\"font-size:18px\"><br />Projekte mit Gutscheinzahlung</th></tr>\n";
				new stwTabLine(1,30);
				echo "<tr style=\"background-color:#888888\"><td /><th style=\"text-align:center\">Projekt-Nr.</th>";
				echo "<th style=\"text-align:center\">Name</th><th style=\"text-align:center\">Vorname</th>";
				echo "<th style=\"text-align:center\">FLS Ist</th>";
				echo "<th colspan=\"2\" style=\"text-align:center\"".stwToolTip("<b>Leistungsbetrag</b><br>geleistete Stunden x Stundensatz").">LBetrag</th>";
				echo "<td colspan=\"2\"></td>";
				echo "<th style=\"text-align:center\">FLS Soll</th>";
				echo "<th style=\"text-align:center\"".stwToolTip("Gutscheinbetrag").">GBetrag</th>";
				$daten = new stwDaten("4^2");
				$klammer = $daten->get_klammer_link($_SESSION["webdir"],
												  $_SESSION[$AppCode]["UID"],
												  $_SESSION[$AppCode]["ULV"],
												  date_my2ts($abm),0);
				echo "<th colspan=\"3\">$klammer &nbsp; Zahlungseingang</th>";
				echo "</tr>\n";
				new stwTabLine(1,30);
				$sumLBetrag = $sumGBetrag = $cntPros = 0;
				$abm_ts = date_my2ts($abm);
				while($pro = mysql_fetch_row($pros)) {
					$projekt = new stwProjekt($pro[0]);
					$end_ts = $projekt->ende_ts();
					if($projekt->beginn_ts() > $pro[4]) continue;
					$pFLSgs = abfrage1("select id, betrag, notizen from tb_pauschFLSg where proj_id='$pro[0]' order by id asc");
					if($end_ts > 0 && $end_ts < $abm_ts) {
						$betrag = $gezahlt = 0;
						while($pFLSg = mysql_fetch_row($pFLSgs)) {
							$zIn = abfrage("select checked from tbh_pauschFLSg_zin where id='$pFLSg[0]' order by ts desc limit 1");
							if(empty($betrag)) $betrag = $pFLSg[1];
							elseif($zIn[0] == 'j') $gezahlt += $pFLSg[1];
						}
						if($gezahlt + 0.01 > $betrag) continue;
						mysql_data_seek($pFLSgs,0);
					}
					echo "<tr class=\"mo\"><td/><td class=\"cl1\">";
					echo $projekt->link();
					echo "</td><td class=\"cl1\">";
					echo $projekt->nname();
					echo "</td><td class=\"cl1\">";
					echo $projekt->vname();
					echo "</td><td style=\"text-align:right\" class=\"cl1\">";
					$ist = $projekt->fls_gesamt($abm,true);
					$geleistet[ 'h' ] += $ist;
					if($projekt->kontaktst($abm)) $ist += $projekt->fls_fz($abm);
					echo fls_form($ist);
					echo "</td><td colspan=\"2\" style=\"text-align:right\" class=\"cl1\">";
					$satz = stundensatz($abm, $projekt->id);
					$sumLBetrag += ($ist * $satz[1]);
					echo geld_form_web($ist * $satz[1]);
					echo "</td><td colspan=\"2\">";
					echo "</td><td style=\"text-align:right\" class=\"cl1\">";
					echo "<a href=\"pro_ab.php?proj_id=$pro[0]\">";
					echo fls_form($projekt->wost()) . "</a></td>\n";
					$pFLSg = mysql_fetch_row($pFLSgs);
					$notiz = $pFLSg[2];
					$sql  = "SELECT sum(gesamt) FROM tb_azk_proj WHERE proj_id = '$pro[0]' AND datum < date_add('$abm',INTERVAL 1 MONTH);";
					$istKum = abfrage($sql);
					echo "<th class=\"cl1\" style=\"text-align:right;color:";
					echo (($istKum[0]*$satz[1]) > $pFLSg[1]) ? 'red' : 'green';
					$tt = stwToolTip("bisher im Projekt geleistete Stunden: " . fls_form($istKum[0]) . "<br>bei einem Stundensatz von $satz[1] &euro; / $satz[0]");
					echo "\" $tt>".geld_form_web($pFLSg[1])."</th>";
					echo "<td colspan=\"3\" style=\"background-color:#888888\">";
					echo "<table style=\"width:100%\" cellspacing=\"0\">\n";
					$rest = $pFLSg[1];
					$sumGBetrag += $pFLSg[1];
					if(mysql_num_rows($pFLSgs) == 1) mysql_data_seek($pFLSgs,0);
					while($pFLSg = mysql_fetch_row($pFLSgs)) {
						$restid = 0;
						$chks = abfrage1("select checked, pers_id, date_format(ts, '%d.%m.%Y %H:%i') from tbh_pauschFLSg_zin where id='$pFLSg[0]' order by ts asc");
						$tt = $checked = '';
						while($chk = mysql_fetch_row($chks)) {
							$checked = $chk[0]=='j' ? 'checked' : '';
							$tt .= "<input type=\"checkbox\" $checked /> " . pers_kname($chk[1]) . " " . $chk[2] . "Uhr<br>";
						}
						if($tt != '') $tt = stwToolTip($tt);
						echo "<tr><td style=\"width:25%;text-align:center\"><input type=\"checkbox\" $tt $checked onclick=\"xajax_ZE_pFLSg($pro[0],$pFLSg[0],this.checked,0)\" /></td>";
						echo "<td style=\"color:black;text-align:right\" class=\"cl11\">".geld_form_web($pFLSg[1])."</td>";
						echo "<td style=\"width:25%\">";
						echo "<textarea style=\"display:none\" id=\"hidden_note".$pFLSg[0]."\">$pFLSg[2]</textarea>\n";
						echo "<img id=\"note".$pFLSg[0]."\" src=\"img/daten";
						if(!empty($pFLSg[2])) echo "_gruen";
						echo ".png\" alt=\"?\" ";
						if(!empty($pFLSg[2])) echo stwToolTip($pFLSg[2]);
						echo "style=\"cursor:pointer\" onclick=\"doNoteTT($pro[0],$pFLSg[0])\" />";
						echo "</td></tr>";
						$rest -= $pFLSg[1];
					}
					if($rest >= 0.01) {
						echo "<tr><td style=\"width:25%;text-align:center\"><input type=\"checkbox\" onclick=\"xajax_ZE_pFLSg($pro[0],0,this.checked,'$rest')\" /></td>";
						echo "<td style=\"color:black;text-align:right\" class=\"cl11\">".geld_form_web($rest)."</td>";
						echo "<td style=\"width:25%\">";
						echo "<textarea style=\"display:none\" id=\"hidden_note0\">$notiz</textarea>\n";
						echo "<img id=\"note0\" src=\"img/daten";
						if(!empty($notiz)) echo "_gruen";
						echo ".png\" alt=\"?\" ";
						if(!empty($notiz)) echo stwToolTip($notiz);
						echo "style=\"cursor:pointer\" onclick=\"doNoteTT($pro[0],0)\" />";
						echo "</td></tr>";
					}
					echo "</table></td></tr>\n";
					$cntPros++;
					$gesamtanzahl++;
				}
				new stwTabLine(1,30);
				echo "<tr style=\"background-color:black\"><th colspan=\"4\">Gesamtsumme Gutscheinprojekte ($cntPros)</th>";
				echo "<td class=\"cl1\" style=\"text-align:right\" colspan=\"3\">" . geld_form_web($sumLBetrag, 2) . "</td>";
				echo "<td class=\"cl1\" style=\"text-align:right\" colspan=\"4\">" . geld_form_web($sumGBetrag, 2) . "</td>";
				echo "<td colspan=\"4\" /></tr>\n";
				new stwTabLine(1,30);
				echo "<tr style=\"background-color:#888888\"><th colspan=\"5\">GESAMTSUMME Rechnungen + Abschl&auml;ge + Gutscheine (".($gesamtanzahl).")</th>";
				echo "<td class=\"cl11\" style=\"text-align:right;color:black;font-weight:bold\" colspan=\"2\">" . geld_form_web(fround($sumRBetrag+$sumLBetrag+$geld_sum, 2)) . "</td>";
				echo "<td colspan=\"8\"></td></tr>\n";
			}
		}
	  }
	  abfrage2("replace into tb_x_umsatz set ab_monat='$abm', umsatz='".fround($sumRBetrag+$sumLBetrag+$geld_sum, 2)."', fls='".$geleistet[ 'h' ]."', days='".$geleistet[ 'd' ]."';");
	}
	echo "</table>\n";
}
new stwEnd($seite);
?>
