<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: rech_and.php 2861 2018-05-24 06:33:23Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 42;
$level = 65;
require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

echo "<form action=\"rech_sql.php\" method=\"post\">\n";
if(isset($rvar_zg_id)) {
	$zg = abfrage("select name from tb_zahlungsgruppe where zg_id='$rvar_zg_id'");
}
if (isset($rvar_re_id)){
	$rech=abfrage_array("select r.re_id, r.re_nr, date_format(r.datum, '%d.%m.%Y'),
						r.proj_id, unix_timestamp(n.datum), n.datum, r.text, r.textausgabe,
						r.post_out_id, r.zahlung_in_pers_id, r.teilz_betrag, r.teilz_pers_id, 
						date_format(r.zahlung_in_datum, '%d.%m.%Y') as datum_zahlung, 
						date_format(r.teilz_datum, '%d.%m.%Y') as teilz_datum, r.bemerkungen, r.storniert
						from tb_rechnung r
						left join tb_ab_nachw n using (nachw_id)
						where r.re_id = '$rvar_re_id';");
} elseif(isset($rvar_proj_id)) {
	echo "<input type=\"hidden\" name=\"abschlag\" value=\"1\" />\n";
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
	$rech=abfrage_array("select 0, '', '', a.proj_id, unix_timestamp(n.datum), n.datum, a.text, a.textausgabe,
						a.proj_id, a.teilz_betrag, a.teilz_pers_id, 
						date_format(a.teilz_datum, '%d.%m.%Y') as teilz_datum, a.bemerkungen, a.storniert
						from tb_ab_nachw n
						left join tb_abschlag a on (a.nachw_id = n.nachw_id and a.proj_id = '$rvar_proj_id')
						where n.nachw_id = '$rvar_nw';");
} else $rech = array();
$ti=1;

echo "<table width=\"750\">\n<tr><td class=\"cl20\" width=\"300\">\n<table width=\"300\">\n";

if (isset($rvar_re_id)) {
	echo "<tr><th width=\"150\">Rechnungs-Nr.&nbsp;:</th>";
	echo "<td><input type=\"text\" name=\"re_nr\" tabindex=\"$ti\" "; $ti++;
	echo "size=\"8\" maxlength=\"8\" style=\"text-align:right\" ";
	echo "value=\"$rech[1]\"";
	echo "></td></tr>\n";

	echo "<tr><th>Datum&nbsp;:</th>";
	echo "<td><input type=\"text\" name=\"datum\" tabindex=\"$ti\" "; $ti++;
	echo "size=\"11\" maxlength=\"11\" style=\"text-align:right\" ";
	echo "value=\"$rech[2]\"";
	echo ">&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

	new stwTabLine(2,2);
}

if(isset($rvar_zg_id)) {
	echo "<tr><th>Sammelrechnung&nbsp;:</th>";
	echo "<td>" . $zg[0] . "</td></tr>\n";
} else {
	$pro = new stwProjekt(isset($rvar_proj_id) ? $rvar_proj_id : $rech[3]);
	echo "<tr><th>Projekt-Nr.&nbsp;:</th>";
	echo "<td>" . $pro->nummer() . "</td></tr>\n";
}

echo "<tr><th>Abrechnungsmonat&nbsp;:</th>";
echo "<td>" . preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $rech[4])) . "</td></tr>\n";

if($rech[0]) {
	if(!isset($rvar_zg_id)) {
		$abger = fls_abgerechnet_x($rech[0]);
		echo "<tr><th>FLS&nbsp;:</th><td>";
		$fls = number_format($abger[0],$abger[1]=='d'?0:2,',','.');
		if(empty($rech['post_out_id']) && projekt_ab_nach_ende($rech[3], false)) {
			echo "<input type=\"text\" style=\"text-align:right\" size=\"7\" value=\"$fls\" name=\"fls\" />";
		} else echo $fls;
		echo ' ' . $abger[1] . "</td></tr>\n";
	}
	echo "<tr><th>Betrag&nbsp;:</th><td>";
	echo geld_form_web(fls_rechnung($rech[0])) . "</td></tr>\n";
} else {
	$ab_modus = abfrage("select ab_modus from tb_kontakte where kont_id='$pro->ja'");
	$satz = stundensatz($rech[5], $pro->id);
	if($ab_modus[0] == 'at') $soll = $pro->fls_monat($rech[5]);
	else $soll = $pro->fls_monat_433($rech[5]);
	echo "<tr><th>FLS Soll&nbsp;:</th>";
	echo "<td>" . fls_form($soll) . "</td></tr>\n";
	echo "<tr><th>Abschlag&nbsp;:</th><td>";
	echo geld_form_web($satz[1] * $soll)."</td></tr>\n";
}

if (isset($rvar_re_id)){
	echo "<input type=\"hidden\" name=\"re_id\" value=\"$rvar_re_id\">\n";
}

if (isset($rvar_nw)){
	echo "<input type=\"hidden\" name=\"nw\" value=\"$rvar_nw\">\n";
}

echo "</table>\n</td><td>\n<table height=\"100%\">\n<tr>\n";

echo "<th width=\"60%\">Bemerkung:</th>\n";
$checked = ($rech[7] == 'j') ? "checked" : '';
echo "<td style=\"width:15px;vertical-align:middle;\">";
echo "<input type=\"checkbox\" name=\"bemerk\" value=\"j\" $checked tabindex=\"$ti\"></td>\n"; $ti++;
echo "<td>in Rechnung anzeigen</td>\n</tr><tr>\n";
echo "<td colspan=\"3\" height=\"100%\">";
echo "<textarea name=\"text\" style=\"height:100px;width:400px;\" ";
echo "tabindex=\"$ti\">$rech[6]</textarea>\n"; $ti++;
echo "</td></tr></table>\n</td></tr></table>\n";
new stwLine(2);

echo "<table width=\"750\">\n<tr><td class=\"cl20\" width=\"300\">\n<table width=\"300\">\n";
if($rech[0]) {
	echo "<tr><th width=\"150\">Postausgang:</th>\n";
	echo "<td colspan=\"3\">";
	if (!empty($rech['post_out_id'])){
		$sql  = "select date_format(hp.datum, '%d.%m.%Y') as datum, hp.pers_id ";
		$sql .= "from tb_post_ausgang p left join tb_hp hp using(hp_id) ";
		$sql .= "where p.post_out_id = '{$rech['post_out_id']}';";
		$dat = abfrage($sql);
		echo "$dat[0] " . pers_kname($dat[1]);
	}
	echo "</td></tr>\n";
}
echo "<tr><th>Teilzahlung:</th>\n";
echo "<td width=\"1\"><input type=\"text\" name=\"teilzahlung\" tabindex=\"$ti\" "; $ti++;
echo "size=\"9\" maxlength=\"8\" style=\"text-align:right\" ";
if($rech['storniert']=='j') echo "value=\"storniert\"";
elseif($rech['teilz_betrag']>0) { echo "value=\"".geld_form_formular($rech['teilz_betrag'])."\"";}
echo "></td><td class=\"cl1\">&euro;</td><td>";
if(!empty($rech['teilz_datum'])) {
	echo $rech['teilz_datum'] . " " . pers_kname($rech['teilz_pers_id']);
}
echo "</td></tr>\n";
if($rech[0]) {
	echo "<tr><th width=\"150\">Zahlungseingang:</th>\n";
	echo "<td colspan=\"3\">";
	if (!empty($rech['datum_zahlung'])){
		echo $rech['datum_zahlung'] . " " . pers_kname($rech['zahlung_in_pers_id']);
	}
	echo "</td></tr>\n";
}
echo "<tr><td colspan=\"3\"><br />\n";
echo "<input type=\"submit\" name=\"storno\" ";
if($rech['storniert']=='j') {
	echo "style=\"background-color:red\" ";
	$storno = "Stornierung aufheben";
} else {
	$storno = "Stornieren!";
}
echo "value=\"$storno\" tabindex=\"$ti\"></td></tr>";

echo "</table></td>\n";
echo "<td><table height=\"100%\"><tr><td height=\"100%\">";
echo "<textarea name=\"bemerkungen\" style=\"height:100px;width:400px;\" ";
echo "tabindex=\"$ti\">{$rech['bemerkungen']}</textarea>\n"; $ti++;
echo "</td></tr></table></td></tr></table>\n";

new stwLine(1);
echo "<table style=\"width:750px\"><tr><td><input type=\"submit\" value=\"&Auml;ndern!\" ";
echo "tabindex=\"$ti\"></td></tr></table>\n"; $ti++;

echo "</form>\n";

new stwEnd($seite);
?>
