<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie können es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit für irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id$
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 65;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $traeger = $_SESSION[$AppCode]["TR"];
 $pdf_datei = "mandant/$traeger/pdf_5.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
 import_request_variables("GP","rvar_");

setlocale(LC_TIME, 'de_DE@euro');
$druck_typ = 'RE';

class RechnungPDF extends PDF {
	function printRechnung($re) {

		$conf_kmsatz = getConf('kmsatz');
		$sql  = "select r.re_nr,
						unix_timestamp(r.datum),
						r.text,
						p.proj_id,
						a.anrede,
						a.name,
						k.name,
						k.name2,
						k.strasse,
						k.plz,
						k.ort,
						k.kdnr,
						k.kmp,
						unix_timestamp(k.kmp_datum),
						h.beschreibung,
						unix_timestamp(n.datum),
						k.nrkreis,
						k.zahlung,
						p.register,
						r.datum as r_datum,
						w.anrede as wanrede,
						w.name as wname,
						x.name,
						x.name2,
						x.strasse,
						x.plz,
						x.ort,
						x.kdnr,
						k.pauschVuN,
						k.kmg,
						k.kmg_ja_satz,
						r.textausgabe,
						n.datum as n_datum,
						p.az,
						r.nachw_id,
						r.betrag
						from tb_rechnung r
						left join tb_projekte p on r.proj_id = p.proj_id
						left join tb_kontakte_ap a on p.ap_id = a.ap_id
						left join tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0'
						left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id
						left join tb_ab_nachw n on r.nachw_id = n.nachw_id
						left join tb_kontakte_ap w on p.wihi_id = w.ap_id
						left join tb_kontakte x on w.kont_id = x.kont_id and x.kh_id='0'
						where r.re_id = $re;";

		$rech = abfrage_array($sql);
		$pro = new stwProjekt($rech[3]);
		$konf_fls_fahrt = getConf('fls_fahrt');
		$bXfahrt = false;
		if($konf_fls_fahrt > 100 || $konf_fls_fahrt < 100) {
			$konf_fls_fahrt_ab = getConf('fls_fahrt_ab');
			$konf_fls_fahrt_ab_ts = empty($konf_fls_fahrt_ab) ? 0 : date_gr2ts($konf_fls_fahrt_ab);
			$bXfahrt = ($konf_fls_fahrt_ab_ts <= $rech[15]);
			$fz = $pro->fls_fz($ab_monat);
		}
		$satz = stundensatz($rech['r_datum'], $pro->ja);
		$this->stsatz = $satz[1];
		
		$this->AddPage();
		
		if(empty($rech[21])) $x = 0; else $x = 16;
		$this->SetFont('arial','',11);
		
		$this->sectionAddress($rech);
		$this->sectionInfo($rech,$pro);
		$ab = $this->sectionHead();

		$this->SetFont('arial','',10);
		$y_axis = 141;

		$positionen = abfrage1("select unix_timestamp(ab_monat) as ts, a.* from tb_ab_rechnung a where re_id='$re' order by pos asc");
		while($pos = mysql_fetch_array($positionen)) {
		  if($pos['typ'] == 'k') {
			$Gesamtbetrag = 'Rechnungsbetrag';
			$monat = strftime('%B %Y', $pos['ts']);
			$nw_id = abfrage("select nachw_id from tb_ab_nachw where datum='{$pos['ab_monat']}'");
			$re_id = abfrage("select r.re_id, r.betrag from tb_rechnung r left join tb_ab_rechnung a using(re_id)
							  where r.nachw_id='$nw_id[0]' and r.proj_id='{$pos['proj_id']}' and a.typ != 'k'");
			$stsatz = stundensatz($pos['ab_monat'], $pro->id);
			$stsImZeitraum = abfrage1( "select and_datum, day(and_datum) from tb_hp where and_datum > '{$pos['ab_monat']}' 
										and and_datum < ADDDATE('{$pos['ab_monat']}', INTERVAL 1 MONTH) and hp_art in ('s','h2')
										and proj_id='{$pos['proj_id']}' order by and_datum asc");
			$lastSatz = $stsatz[1];
			$lastDay = 0;
			$position = $abTypen = array();
			$abTypen[$lastSatz] = $stsatz[0];
			while ($st = mysql_fetch_row($stsImZeitraum)){
				$satz = stundensatz($st[0], $pos['proj_id']);
				if($lastSatz != $satz[1]) {
					$position[$lastSatz] += $st[1] - $lastDay;
					$abTypen[$lastSatz] = $satz[0];
					$lastSatz = $satz[1];
					$lastDay = $st[1];
				}
			}
			$position[$lastSatz] += date("t",date_isodate_stamp($pos['ab_monat'])) - $lastDay;
			$sum = 0;
			$nr = 1;
			foreach($position as $satz  => $days) {
				$typ = $abTypen[ $satz ];
				if($typ == 'd') $abg = $days;
				elseif($typ == 'm') $abg = $days/date("t",date_isodate_stamp($pos['ab_monat']));
				else {
					$kh_id = get_kh_id($pro->ja, $pro->ha, $pos['ab_monat']);
					$abg = $pro->fls_abgerechnet($pos['ab_monat'], true);
					if($bXfahrt) {
						$abg -= $fz;
						$fzsatz = $satz * $konf_fls_fahrt / 100;
					}
					$sql = "SELECT k.pauschVuN FROM tb_projekte p 
							LEFT JOIN tb_kontakte_ap a on p.ap_id = a.ap_id
							LEFT JOIN tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='$kh_id'
							WHERE p.proj_id = '$pro->id'";
					$kont = abfrage($sql);
					if($kont[0] == 'j') $abg *= 1.5;
				}
				$row = array('ts'=>$pos['ts'],'re_id'=>$re_id[0],'nachw_id'=>$nw_id[0],'proj_id'=>$pos['proj_id'],'ab_monat'=>$pos['ab_monat'],'pos'=>$nr++,'menge'=>$abg,'typ'=>$typ,'satz'=>$satz);
				$y_axis = $this->PrintRow($row,$ab,$pro,$y_axis);
				$sum += $abg * $satz;
			}
			$kmg = $pro->kilometergeld($pos['ab_monat']);
			$fahrtkosten = 0;
			if($kmg[0] == 'j') {
				$km = abfrage("SELECT sum( km_abw_ja )
								FROM tb_ab_zk
								WHERE ab_monat = '{$pos['ab_monat']}'
								AND proj_id = '$pro->id'
								AND km_abw_ja > 0;");
			} elseif($kmg[0] == 'o') {
				$km = abfrage("SELECT sum( km_dienst ) + sum( km_privat )
								FROM tb_ab_zk
								WHERE ab_monat = '{$pos['ab_monat']}'
								AND proj_id = '$pro->id';");
			} else $km[0] = 0;
			$fahrtkosten = ($km[0] * $kmg[1])/100;
			if($fahrtkosten > 0) {
				$row = array('ts'=>$pos['ts'],'re_id'=>$re_id[0],'nachw_id'=>$nw_id[0],'proj_id'=>$pro->id,'ab_monat'=>$pos['ab_monat'],'pos'=>$nr++,'menge'=>$km[0],'typ'=>'km','satz'=>$kmg[1]/100);
				$y_axis = $this->PrintRow($row,$ab,$pro,$y_axis);
				$sum += $row['menge'] * $row['satz'];
			}
			if ($pro->km == 'j' && $pro->kmd <= $pos['ab_monat']){
				$conf_kmsatz = getConf('kmsatz');
				if($conf_kmsatz > 0) {
					$row = array('ts'=>$pos['ts'],'re_id'=>$re_id[0],'nachw_id'=>$nw_id[0],'proj_id'=>$pro->id,'ab_monat'=>$pos['ab_monat'],'pos'=>$nr++,'menge'=>$abg,'typ'=>'p','satz'=>$conf_kmsatz);
					$y_axis = $this->PrintRow($row,$ab,$pro,$y_axis);
					$sum += $row['menge'] * $row['satz'];
				}
			}
			if($re_id[1] == round($sum,2) && $bXfahrt) {
				$row = array('ts'=>$pos['ts'],'re_id'=>$re_id[0],'nachw_id'=>$nw_id[0],'proj_id'=>$pro->id,'ab_monat'=>$pos['ab_monat'],'pos'=>$nr++,'menge'=>$fz,'typ'=>'fz','satz'=>$fzsatz);
				$y_axis = $this->PrintRow($row,$ab,$pro,$y_axis);
				$sum += $fz * $fzsatz;
			}
			$this->SetFont('arialb','',11);
			$this->SetXY(20,$y_axis);
			$y_axis += 5;
			$this->Cell(140, 5, "Gesamtbetrag",'TBL');
			$this->Cell(25, 5, geld_form($sum),'TBR',0,'R');
			$this->SetFont('arial','',10);
			$oldpos = abfrage1("select unix_timestamp(ab_monat) as ts, a.* from tb_ab_rechnung a where re_id='$re_id[0]' order by pos asc");
			$sum = 0;
			$this->SetXY(20,$y_axis+2);
			$y_axis += 7;
			$this->SetFont('arialb','',11);
			$this->Cell(165, 5, "Bereits in Rechnung gestellte Fachleistungsstunden $monat",1);
			$this->SetFont('arial','',10);
			while($oldpo = mysql_fetch_array($oldpos)) {
				$y_axis = $this->PrintRow($oldpo,$ab,$pro,$y_axis);
				$sum += $oldpo['satz'] * $oldpo['menge'];
			}
			$this->SetFont('arialb','',11);
			$this->SetXY(20,$y_axis);
			$y_axis += 5;
			$this->Cell(140, 5, "Gesamtbetrag",'TBL');
			$this->Cell(25, 5, '- '.geld_form($sum),'TBR',0,'R');
		  } else {
			$y_axis = $this->PrintRow($pos,$ab,$pro,$y_axis);
		  }
		}

	}
}

//Beginn der PDF-Datei
$pdf=new RechnungPDF();
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(15.0);
$pdf->SetAutoPageBreak(auto,40);

if (isset($_GET['re_id'])){
	$pdf->printRechnung($_GET['re_id']);
} elseif (isset($_GET['nw'])){
	$rgn = abfrage1("select r.re_id from tb_rechnung r
					left join tb_projekte p using(proj_id)
					where r.nachw_id = '{$_GET['nw']}'
					order by r.re_nr asc;");

	while ($re = mysql_fetch_row($rgn)){
		$re_id = $re[0];
		$pdf->printRechnung($re_id);
	}
}

$pdf->Output();
exit;
?>
