<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: rech_list_pr.php 2582 2016-05-19 18:24:20Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 65;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_5.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

$druck_typ = 'RE';
$traeger = getConf('traeger');
$nwg = ($traeger == 'nwg');
$sik = ($traeger == 'sik');

//Beginn der PDF-Datei
$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(20.0);
$pdf->SetAutoPageBreak(false,40);
$pdf->SetLineWidth(0.1);

$on = $sik ? "(p.wihi_id = a.ap_id or (p.wihi_id = 0 and p.ap_id = a.ap_id))" : 'p.ap_id = a.ap_id';
$lists = abfrage1("select k.kont_id,
					k.name,
					k.name2,
					a.anrede,
					a.name,
					k.strasse,
					k.plz,
					k.ort,
					k.kdnr,
					unix_timestamp(r.datum)
					from tb_rechnung r
					left join tb_projekte p on r.proj_id = p.proj_id
					left join tb_kontakte_ap a on $on
					left join tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0'
					where r.nachw_id = '{$_GET['nw']}'
					group by k.kont_id
					order by k.name asc;");



while ($list = mysql_fetch_row($lists)){
	$res = abfrage1("select r.re_nr, r.proj_id, unix_timestamp(n.datum), n.datum, r.re_id
				from tb_rechnung r
				left join tb_projekte p on r.proj_id = p.proj_id
				left join tb_kontakte_ap a on $on
				left join tb_ab_nachw n on r.nachw_id = n.nachw_id
				where r.nachw_id = '{$_GET['nw']}'
				and a.kont_id = '$list[0]'
				order by r.re_nr asc;");
	$pr_tagessatz = array();
	$pr_stundensatz = array();
	$pr_monatssatz = array();
	while ($re = mysql_fetch_row($res)){
		$satz = stundensatz($re[3], $re[1]);
		if($satz[0] == 'h') $pr_stundensatz[] = $re;
		if($satz[0] == 'd') $pr_tagessatz[] = $re;
		if($satz[0] == 'm') $pr_monatssatz[] = $re;
	}
	for($saetze = 0; $saetze < 3; $saetze++) {
	  if (sizeof($pr_tagessatz) > 1 && $saetze == 1 
	   || sizeof($pr_stundensatz) > 1 && $saetze == 2
	   || sizeof($pr_monatssatz) > 1 && $saetze == 0){
		$pdf->AddPage('','',true);
		$pdf->SetFont('arial','',11);
		$pdf->SetXY(20,57);
		$pdf->Cell(80,5,$list[1]);
	
		$pdf->SetFont('arial','',11);
		$pdf->SetXY(20,57);
		$pdf->Cell(80,5,$list[1]);
		$pdf->SetXY(20,62);
		$pdf->Cell(80,5,$list[2]);
		$dat1 = empty($list[3]) ? $list[4] : $list[3] . " " . $list[4];
		$pdf->SetXY(20,67);
		$pdf->Cell(80,5,$dat1);
		$pdf->SetXY(20,72);
		$pdf->Cell(80,5,$list[5]);
		$dat1 = $list[6] . " " . $list[7];
		$pdf->SetFont('arialb','',11);
		$pdf->SetXY(20,77);
		$pdf->Cell(80,5,$dat1);
		
		// Datum und Kunden-Nr.

		$pdf->SetFont('arial','',10);
		if($nwg) {
			$pdf->SetXY(20,100);
			$pdf->Cell(115,4,empty($list[8]) ? '' : "UID-Nr.: $list[8]");
			$pdf->Cell(50,4,str_replace('ä', "", strftime("%d. %B %Y")),0,0,'R',0);
		} else {
			$conf_re_ap = getConf('re_ap');
			$conf_re_tel = getConf('re_tel');

			$pdf->SetXY(20,110);
			$pdf->Cell(50,5,$list[8]);
			$pdf->Cell(50,5,$conf_re_ap);
			$pdf->Cell(45,5,$conf_re_tel);
			$datum = date('d.m.Y', $list[9]);
			$pdf->Cell(20,5,$datum);
		}

		$pdf->SetFont('arialb','',14);
		$pdf->SetXY(20,120);
		$dat1 = "Deckblatt zum Einreichen mehrerer Abrechnungen";
		$dat2 = $nwg ? '' : "ambulanter Leistungen in einem Ortsamt";
		$pdf->Cell(100,7,$dat1);
		$pdf->SetXY(20,126);
		$pdf->Cell(100,7,$dat2);
		
		$pdf->SetFont('arial','',10);
		$pdf->SetXY(20,135);
		$dat1 = "Folgende Rechnungen sind unter diesem Deckblatt zusammengefasst:";
		$pdf->Cell(100,7,$dat1);
		
		
		$pdf->SetFont('arialb','',10);
		$pdf->SetXY(20,145);
		$pdf->Cell(15,6,'Re.-Nr.',1,0,'C');
		$pdf->Cell($nwg ? 45 : 35,6,'Klient',1,0,'C');
		if(!$nwg) $pdf->Cell(25,6,'R-Nummer',1,0,'C');
		$pdf->Cell(30,6,'Abr.-Zeitraum',1,0,'l');
		$pdf->Cell(25,6,'Betrag',1,0,'C');
		$pdf->Cell($nwg ? 60 : 35,6,'Bemerkungen',1,0,'C');
		
		$pdf->SetXY(20,151);
		$pdf->SetFont('arial','',10);
		$sum_abg = 0;

		foreach(($saetze == 1 ? $pr_tagessatz : ($saetze == 0 ? $pr_monatssatz : $pr_stundensatz)) as $re){
			$pro = new stwProjekt($re[1]);
			$pdf->Cell(15,5,$re[0],1,0,'R');
			$pdf->Cell($nwg ? 45 : 35,5,$pro->name(),1,0,'L');
			if(!$nwg) $pdf->Cell(25,5,$pro->reg,1,0,'L');
			$pdf->Cell(30,5,str_replace('ä', "", strftime('%B %Y', $re[2])),1,0,'L');
			$abg = fls_rechnung($re[4]);
			$sum_abg += $abg;
			$pdf->Cell(25,5,geld_form($abg),1,0,'R');
			$pdf->Cell($nwg ? 60 : 35,5,'',1,0,'R');
			$pdf->Ln(5);
			if($pdf->GetY() > 260) $pdf->AddPage();
		}
		if($pdf->GetY() > 220) $pdf->AddPage();
		if($nwg) {
			$pdf->SetFont('arialb','',10);
			$pdf->Cell(90,7,"Summe: ",'LTB',0,'R');
			$pdf->Cell(25,7,geld_form($sum_abg),'TB',0,'R');
			$pdf->Cell(60,7,'','TRB');
			$pdf->Ln(7);
			$pdf->SetFont('arial','',10);
			$pdf->Cell(90,5,"10 % USt: ",'LTB',0,'R');
			$pdf->Cell(25,5,geld_form($sum_abg/10),'TB',0,'R');
			$pdf->Cell(60,5,'','TRB');
			$pdf->Ln(5);
			$pdf->SetFont('arialb','',10);
			$pdf->Cell(90,7,"Gesamtberag: ",'LTB',0,'R');
			$pdf->Cell(25,7,geld_form($sum_abg*1.1),'TB',0,'R');
			$pdf->Cell(60,7,'','TRB');
		} else {
			if($sik) {
				$pdf->SetFont('arialb','',10);
				$pdf->Cell(105,7,"Summe: ",'LTB',0,'R');
				$pdf->Cell(25,7,geld_form($sum_abg),'TB',0,'R');
				$pdf->Cell(35,7,'','TRB',1);
			}
			$pdf->SetFont('arial','',10);
			$pdf->Ln(10);
			$pdf->Cell(75,5,'');
			$pdf->Cell(50,5,'Eingang im Ortsamt :',0,0,'R');
			$pdf->Ln(5);
			$pdf->Cell(50,5,'Unterschrift Trger','T',0,'C');
			$pdf->Cell(75,5,'');
			$pdf->SetFont('arial','',8);
			$pdf->Cell(40,5,'(Datum und Signum)','T',0,'C');
			
			$pdf->SetFont('arial','',10);
			$pdf->Ln(10);
			$pdf->Cell(75,5,'');
			$pdf->Cell(50,5,'Weitergabe an SG WiHi :',0,0,'R');
			$pdf->Ln(5);
			$pdf->Cell(125,5,'');
			$pdf->SetFont('arial','',8);
			$pdf->Cell(40,5,'(Datum und Signum)','T',0,'C');
			
			$pdf->SetFont('arial','',10);
			$pdf->Ln(10);
			$pdf->Cell(75,5,'');
			$pdf->Cell(50,5,'Eingang im SG WiHi :',0,0,'R');
			$pdf->Ln(5);
			$pdf->Cell(125,5,'');
			$pdf->SetFont('arial','',8);
			$pdf->Cell(40,5,'(Datum und Signum)','T',0,'C');
		}
	  }
	}
}


$pdf->Output();
exit;
?>
