<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: rech_pr.php 2877 2018-07-28 05:38:07Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 65;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

 $traeger = $_SESSION[$AppCode]["TR"];
 $pdf_datei = "mandant/$traeger/pdf_5.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$druck_typ = 'RE';

class RechnungPDF extends PDF {
	function PrintRow($pos, $ab, $pro, $y_axis) {
		$this->SetXY(20,$y_axis);
		$y_axis += 5;
		if($pos['typ']=='p' || $pos['pos'] == 1) {
			$l = 'L';
			$r = 'R';
			$b = '';
			$lr = 'LR';
		} else {
			$l = 'LB';
			$r = 'RB';
			$b = 'B';
			$lr = 'LBR';
		}
		$NewLine = ($pos['typ']=='p' || $pos['pos'] == 1);
		$this->Cell(10,5,$pos['pos'],$lr,0,'C');
		$ndatum = date('Y-m-d', $pos['ts']);
		switch($pos['typ']) {
			case 'm':
				list($v,$n) = explode(",", number_format($pos['menge'],2,',','.')." M");
				$m = ',';
				break;
			case 'd':
				$v = number_format($pos['menge'],0);
				$n = "Tage";
				$m = '';
				break;
			case 'h':
				list($v,$n) = explode(",", number_format($pos['menge'],2,',','.')." h");
				$m = ',';
				break;
			case 'km':
				$v = number_format($pos['menge'],0);
				$n = "km";
				$m = '';
				break;
			case 'e':
				$v = number_format($pos['menge'],0);
				$n = "";
				$m = '';
				break;
			default:
				list($v,$n) = explode(",", number_format($pos['menge'],2,',','.'));
				$m = ',';
				break;
		}
		$this->Cell($ab[3],5,$v,$l,0,'R');
		$this->Cell(0.01,5,$m,$b,0,'C');
		$this->Cell($ab[4],5,$n,$r,0,'L');
		$this->Cell($ab[1],5,$GLOBALS["traeger"] == 'b_l' ? '' : $pro->nummer(),$lr,0,'C');
		switch($pos['typ']) {
			case 'p':
				$X = $this->GetX();
				$Y = $this->GetY();
				$this->Cell($ab[2],5,'Fahrtkostenpauschale je FLS','LR',2,'L');
				$this->Cell($ab[2],5,'(auerhalb der abgerechneten FLS)','LBR',0,'L');
				$this->SetXY($X+$ab[2], $Y);
				break;
			case 'km':
				$this->Cell($ab[2],5,'abgerechnete Fahrten',$lr,0,'L');
				break;
			case 'fz':
				$this->Cell($ab[2],5,'Fahrzeit',$lr,0,'L');
				break;
			case 'fp':
				$this->Cell($ab[2],5,'Fahrtzeitpauschale ' . round($pos['satz'],0) . ' Euro',$lr,0,'L');
				break;
			case 's':
				$this->Cell($ab[2],5,'Spesen',$lr,0,'L');
				break;
			case 'd':
				$this->Cell($ab[2],5,'Tagessatz',$lr,0,'L');
				break;
			case 'e':
				$this->Cell($ab[2],5,'Kosten Verpflegung',$lr,0,'L');
				break;
			case 'skt':
				$this->Cell($ab[2],5,'Sozialkompetenztraining',$lr,0,'L');
				break;
			default:
				if($GLOBALS["traeger"] == 'jse' || $GLOBALS["traeger"] == 'b_l') {
					$X = $this->GetX();
					$Y = $this->GetY();
					if($pos['pos'] == 1) {
						$this->Cell($ab[2],5,'Fachleistungsstunden','LR',2,'L');
						$this->Cell($ab[2],5,"Abrechnung " . str_replace('ä', "", strftime('%B %Y', $pos['ts'])),'LBR',0,'L');
					} else $this->Cell($ab[2],5,'Fachleistungsstunden',$lr,0,'L');
					$this->SetXY($X+$ab[2], $Y);
				} elseif($GLOBALS["traeger"] == 'nwg' && $pos['pos'] == 1) {
					$txt = abfrage("select beschreibung from tb_hilfeart where hilfeart_id = '".$pro->ha."'");
					$X = $this->GetX();
					$Y = $this->GetY();
					$this->MultiCell($ab[2],5,$txt[0],$lr,'L');
					$NewLine = ($this->GetY() > $Y+5);
					$this->SetXY($X+$ab[2], $Y);
				} elseif($pos['pos'] == 1) {
					$X = $this->GetX();
					$Y = $this->GetY();
					$this->Cell($ab[2],5,'Fachleistungsstunden','LR',2,'L');
					$this->Cell($ab[2],5,"Abrechnung " . str_replace('ä', "", strftime('%B %Y', $pos['ts'])),'LBR',0,'L');
					$this->SetXY($X+$ab[2], $Y);
				} else {
					$this->Cell($ab[2],5,'Fachleistungsstunden',$lr,0,'L');
				}
				break;
		}
		$this->Cell(25,5,geld_form($pos['satz']),$lr,0,'R');
		$this->Cell(25,5,geld_form(fround($pos['satz'] * $pos['menge'], 2)),$lr,0,'R');

		if($NewLine) {
			$this->SetXY(20,$y_axis);
			$y_axis += 5;
			$this->Cell(10,5,'','LBR',0,'C');
			$this->Cell($ab[0],5,'','LBR',0,'C');
			$this->Cell($ab[1],5,'','LBR',0,'C');
			$this->Cell($ab[2],5,'','LBR',0,'C');
			$this->Cell(25,5,'','LBR',0,'C');
			$this->Cell(25,5,'','LBR',0,'C');
		}
		return $y_axis;
	}
	
	function printRechnung($re, $proj_id=0) {

		$conf_kmsatz = getConf('kmsatz');
		$abschlagsturnus = getConf('abschlagsturnus');

		$NewLine = false;
		$Gesamtbetrag = $GLOBALS["traeger"] == 'jse' ? 'Rechnungsbetrag' : 'Gesamtbetrag';
		$ProjektID = $proj_id==0 ? "r.proj_id" : $proj_id;


		$sql  = "select r.re_nr,
						unix_timestamp(r.datum),
						r.text,
						p.proj_id,
						a.anrede,
						a.name,
						k.name,
						k.name2,
						k.strasse,
						k.plz,
						k.ort,
						k.kdnr,
						k.kmp,
						unix_timestamp(k.kmp_datum),
						h.beschreibung,
						unix_timestamp(n.datum),
						k.nrkreis,
						k.zahlung,
						p.register,
						r.datum as r_datum,
						w.anrede as wanrede,
						w.name as wname,
						x.name,
						x.name2,
						x.strasse,
						x.plz,
						x.ort,
						x.kdnr,
						k.pauschVuN,
						k.kmg,
						k.kmg_ja_satz,
						r.textausgabe,
						n.datum as n_datum,
						p.az,
						r.nachw_id,
						r.betrag, 
						w.strasse,
						w.plz,
						w.ort,
						w.bsd,
						r.storniert
						from tb_rechnung r
						left join tb_projekte p on (p.proj_id = $ProjektID)
						left join tb_kontakte_ap a on p.ap_id = a.ap_id
						left join tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0'
						left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id
						left join tb_ab_nachw n on r.nachw_id = n.nachw_id
						left join tb_kontakte_ap w on p.wihi_id = w.ap_id
						left join tb_kontakte x on w.kont_id = x.kont_id and x.kh_id='0'
						where r.re_id = $re;";

		$rech = abfrage_array($sql);
		if($GLOBALS["traeger"] == 'b_l' && $rech['storniert']=='j') return false;

		$ab_monat = isset($_GET['ab_monat']) ? $_GET['ab_monat'] : $rech['n_datum'];
		$pro = new stwProjekt($rech[3]);
		if($proj_id > 0 && $pro->beginn_ts() == 0) return false;
		$konf_fls_fahrt = getConf('fls_fahrt');
		$bXfahrt = false;
		if($konf_fls_fahrt > 100 || $konf_fls_fahrt < 100) {
			$konf_fls_fahrt_ab = getConf('fls_fahrt_ab');
			$konf_fls_fahrt_ab_ts = empty($konf_fls_fahrt_ab) ? 0 : date_gr2ts($konf_fls_fahrt_ab);
			$bXfahrt = ($konf_fls_fahrt_ab_ts <= $rech[15]);
			$fz = $pro->fls_fz($ab_monat);
		}
		$this->AddPage('','',true);
		if($GLOBALS["traeger"] == 'stw' && $pro->inProjektgruppe()) {
			$logo = $_SESSION['basedir'] . '/mandant/stw/station.jpg';
			$this->Image($logo,106,67,25);
		}

		$this->SetFont('arial','',11);
		$y = 0;
		if(empty($rech[21])) $x = 0; 
		else {
			$x = 16;
			if(!empty($rech[36])) $y = 12;
		}
		$y_axis = 57;
		if($GLOBALS["traeger"] == 'jse') {
			$this->SetXY(20,62);
			$this->Cell(80,5,$rech[6+$x]);
			$this->SetXY(20,67);
			$this->Cell(80,5,$rech[7+$x]);
			$y_axis = 72;
		} else {
			$this->SetXY(20,$y_axis);
			$y_axis += 5;
			$this->Cell(80,5,$rech[6+$x]);
			$this->SetXY(20,$y_axis);
			$y_axis += 5;
			$this->Cell(80,5,$rech[7+$x]);
			if(!empty($rech[39])) {
				$dat1 = "BSD $rech[39]";
				$this->SetXY(20,$y_axis);
				$y_axis += 5;
				$this->Cell(80,5,$dat1);
			}
			$dat1 = $rech[4+$x] . " " . $rech[5+$x];
			$this->SetXY(20,$y_axis);
			$y_axis += 5;
			$this->Cell(80,5,$dat1);
		}
		$this->SetXY(20,$y_axis);
		$y_axis += 5;
		$this->Cell(80,5,$rech[8+$x+$y]);
		$dat1 = $rech[9+$x+$y] . " " . $rech[10+$x+$y];
		$this->SetFont('arialb','',11);
		$this->SetXY(20,$y_axis);
		$this->Cell(80,5,$dat1);

		// Datum und Kunden-Nr.
		if($GLOBALS["traeger"] == 'jse') {
			$this->SetFont('arialb','',14);
			$this->SetXY(20,115);
			if($proj_id > 0) $dat = "Position ".$pro->nummer();
			else $dat = "Rechnung Nr. " . $rech[0];
			$this->Cell(100,7,$dat);
			// Titel (Hilfeart, Aktenzeichen...)
			$this->SetFont('arial','',10);
			$this->SetXY(20,122);
			$dat = $rech[14];
			$this->Cell(100,5,$dat);
			$this->SetXY(20,127);
			$dat = " fr " . $pro->name();
			if(!empty($pro->az)) $dat .= ", AZ: " . $pro->az;
			$this->Cell(100,5,$dat);
		} elseif($GLOBALS["traeger"] == 'nwg') {
			$this->SetXY(20,115);
			$dat = "Betreuung " . str_replace('ä', "", strftime('%B %Y', $rech[15]));
			$this->Cell(100,5,$dat);
			$this->SetXY(20,120);
			$dat = "fr " . $pro->name() . ", geb. " . $pro->he_info('geboren');
			$this->Cell(100,5,$dat);
		} elseif($GLOBALS["traeger"] == 'b_l') {
			$this->SetXY(20,110);
			$dat = "Rechnung der Fachleistungsstunden nach  27 ff";
			$this->Cell(100,5,$dat);
			$this->SetXY(20,118);
			$this->SetFont('arial','',10);
			$this->Write(4,"Anliegend erhalten Sie die Rechnung fr die geleisteten Fachleistungsstunden fr ");
			$this->SetFont('arial','b',10);
			$this->Write(4,$pro->name());
			$this->SetFont('arial','',10);
			$this->Write(4,", geb. ".$pro->he_info('geboren').". Die durchgefhrten Ttigkeiten sind mit Zeit- und Datumsangabe im beigelegten Bericht aufgelistet.");
		} else {
			$conf_re_ap = getConf('re_ap');
			$conf_re_tel = getConf('re_tel');
			$this->SetFont('arial','',10);
			$this->SetXY(20,110);
			$this->Cell(50,5,$rech[11+$x]);
			$this->Cell(50,5,$conf_re_ap);
			$this->Cell(45,5,$conf_re_tel);
			$datum = date('d.m.Y', $rech[1]);
			$this->Cell(20,5,$datum);
			$this->SetFont('arialb','',14);
			$this->SetXY(20,120);
			if($proj_id > 0) $dat = "Position ".$pro->nummer();
			else $dat = "Rechnung Nr. " . $rech[0];
			$this->Cell(100,7,$dat);
			$this->SetFont('arial','',10);
			if (strlen($rech[33]) > 0){
				$this->Cell(65,10,'AZ: '.$rech[33],0,0,'R');
			}
			// Titel (Hilfeart)
			$this->SetXY(20,127);
			$dat = $rech[14] . " fr " . $pro->name();
			$this->Cell(100,5,$dat);
		}

		if (strlen($rech[18]) > 0){
			// $dat = "Register-Nr.: $rech[18]";
			$this->Cell(65,5,$rech[18],0,0,'R');
		}

		$this->SetXY(20,135);
		if($GLOBALS["traeger"] == 'jse') $ab = array(19,34,52,9,10);
		elseif($GLOBALS["traeger"] == 'b_l') $ab = array(19,0.01,86,9,10);
		else $ab = array(16,29,60,7,9);
		$this->SetFont('arialb','',11);
		// berschriften Tabelle
		$this->Cell(10,6,'Pos.',1,0,'C');
		$this->Cell($ab[0],6,'Menge',1,0,'R');
		$this->Cell($ab[1],6,$GLOBALS["traeger"] == 'b_l' ? '' : 'Projekt-Nr.',1,0,'C');
		$this->Cell($ab[2],6,'Text',1,0,'l');
		$this->Cell(25,6,'Einzelpreis',1,0,'R');
		$this->Cell(25,6,'Gesamtpreis',1,0,'R');
		$this->SetFont('arial','',10);
		$y_axis = 141;
		if($proj_id > 0) {
			$summe = array();
			list($year, $month, $day) = explode("-", $ab_monat);
			if($abschlagsturnus == 3) {
				if($month > 9) $von = 10;
				elseif($month > 6) $von = 7;
				elseif($month > 3) $von = 4;
				else $von = 1;
			} else $von = $month>6 ? 7 : 1;
			$bis = $month;
			if($pro->beginn_ts() > mktime(0,0,0,$von,1,$year)) {
				$von = date('n',$pro->beginn_ts());
			}
			$i = 1;
			for($m = $von; $m <= $bis; $m++) {
				$abm = sprintf("%04d-%02d-%02d", $year, $m, $day);
				$abschlag = abfrage_array("select * from tb_abschlag_rechnung where re_id='$re' and proj_id='$proj_id' and ab_monat='$abm'");
				$this->SetXY(20,$y_axis);
				$nw = abfrage("select nachw_id from tb_ab_nachw where datum='$abm'");
				if(is_null($abschlag['betrag']) || $abschlag['betrag'] == '0.00') {
					$abschl = abfrage_array("select * from tb_abschlag where nachw_id='$nw[0]' and proj_id='$proj_id'");
					if($abschl['storniert'] == 'j') $gezahlt = 0;
					elseif($abschl['teilz_betrag'] > 0) $gezahlt = $abschl['teilz_betrag'];
					else $gezahlt = fround($abschlag['satz'] * $abschlag['soll'],2);
				} else $gezahlt = $abschlag['betrag'];
				$this->Cell(10,5.5,$i++,1,0,'C');
				$prnr = ($GLOBALS["traeger"] == 'b_l') ? '' : $pro->nummer();
				$this->Cell($ab[0],5.5,number_format($abschlag['ist'],2,',','.').' '.$abschlag['divisor'],1,0,'R');
				$this->Cell($ab[1],5.5,$prnr,1,0,'C');
				$this->Cell($ab[2],5.5,$abschlag['divisor']=='d'?'Tagessatz':'Fachleistungsstunden',1,0,'L');
				$this->Cell(25,5.5,geld_form($abschlag['satz']),1,0,'R');
				$this->Cell(25,5.5,geld_form($abschlag['satz'] * $abschlag['ist']),1,1,'R');
				$y_axis = $this->GetY();
				$this->SetXY(20,$y_axis);
				if($abschlag['km'] > 0) {
					$this->Cell(10,5.5,$i++,1,0,'C');
					$cnt = abfrage1("SELECT proj_id_gruppe FROM tbh_projekt_gruppe WHERE proj_id='$pro->id' AND von <='".date('Y-m-t',date_my2ts($abm))."' AND (bis >='$abm' OR bis IS NULL)");
					$pgr = (mysql_num_rows($cnt) > 0);
					if($pgr) {
						$this->Cell($ab[3],5.5,intval($abschlag['km']),'LTB',0,'R');
						$this->Cell($ab[4],5.5,'','TRB',0,'L');
						$this->Cell($ab[1],5.5,$prnr,1,0,'C');
						$this->Cell($ab[2],5.5,'Kosten Verpflegung',1,0,'L');
					} else {
						$this->Cell($ab[3]+$ab[4],5.5,intval($abschlag['km']).' km',1,0,'R');
						$this->Cell($ab[1],5.5,$prnr,1,0,'C');
						$this->Cell($ab[2],5.5,'abgerechnete Fahrten',1,0,'L');
					}
					$this->Cell(25,5.5,geld_form($abschlag['kmsatz'] / 100),1,0,'R');
					$this->Cell(25,5.5,geld_form($abschlag['kmsatz'] * $abschlag['km'] / 100),1,1,'R');
					$y_axis = $this->GetY();
					$this->SetXY(20,$y_axis);
				}
				$this->Cell(10,5.5,$i++,1,0,'C');
				$monat = strftime('%B %Y', date_my2ts($abm));
				$this->Cell($ab[0]+$ab[1]+$ab[2]+25,5.5,"im $monat gezahlte Abschlge",1,0,'R');
				$this->Cell(25,5.5,geld_form($gezahlt),1,1,'R');
				$summe[1] += fround(fround(($abschlag['satz'] * $abschlag['ist']),2) + fround(($abschlag['kmsatz'] * $abschlag['km'] / 100),2) , 2);
				$summe[2] += fround($gezahlt, 2);
				$summe[0] = $summe[1] - $summe[2];
				$y_axis = $this->GetY();
			}
		} else {
			$positionen = abfrage1("select unix_timestamp(ab_monat) as ts, a.* from tb_ab_rechnung a where re_id='$re' order by pos asc");
			while($pos = mysql_fetch_array($positionen)) {
			  if($pos['typ'] == 'k') {
				$Gesamtbetrag = 'Rechnungsbetrag';
				$monat = strftime('%B %Y', $pos['ts']);
				$nw_id = abfrage("select nachw_id from tb_ab_nachw where datum='{$pos['ab_monat']}'");
				$re_id = abfrage("select r.re_id, r.betrag from tb_rechnung r left join tb_ab_rechnung a using(re_id)
								  where r.nachw_id='$nw_id[0]' and r.proj_id='{$pos['proj_id']}' and a.typ != 'k'");
				$stsatz = stundensatz($pos['ab_monat'], $pro->id);
				$stsImZeitraum = abfrage1( "select and_datum, day(and_datum) from tb_hp where and_datum > '{$pos['ab_monat']}' 
											and and_datum < ADDDATE('{$pos['ab_monat']}', INTERVAL 1 MONTH) and hp_art in ('s','h2')
											and proj_id='{$pos['proj_id']}' order by and_datum asc");
				$lastSatz = $stsatz[1];
				$lastDay = 0;
				$position = $abTypen = array();
				$abTypen[$lastSatz] = $stsatz[0];
				while ($st = mysql_fetch_row($stsImZeitraum)){
					$satz = stundensatz($st[0], $pos['proj_id']);
					if($lastSatz != $satz[1]) {
						$position[$lastSatz] += $st[1] - $lastDay;
						$abTypen[$lastSatz] = $satz[0];
						$lastSatz = $satz[1];
						$lastDay = $st[1];
					}
				}
				$position[$lastSatz] += date("t",date_isodate_stamp($pos['ab_monat'])) - $lastDay;
				$sum = 0;
				$nr = 1;
				foreach($position as $satz  => $days) {
					$typ = $abTypen[ $satz ];
					if($typ == 'd') $abg = $days;
					elseif($typ == 'm') $abg = $days / date("t",date_isodate_stamp($pos['ab_monat']));
					else {
						$kh_id = get_kh_id($pro->ja, $pro->ha, $pos['ab_monat']);
						$abg = $pro->fls_abgerechnet($pos['ab_monat'], true);
						if($bXfahrt) {
							$abg -= $fz;
							$fzsatz = $satz * $konf_fls_fahrt / 100;
						}
						$sql = "SELECT k.pauschVuN FROM tb_projekte p 
								LEFT JOIN tb_kontakte_ap a on p.ap_id = a.ap_id
								LEFT JOIN tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='$kh_id'
								WHERE p.proj_id = '$pro->id'";
						$kont = abfrage($sql);
						if($kont[0] == 'j') $abg *= 1.5;
					}
					$row = array('ts'=>$pos['ts'],'re_id'=>$re_id[0],'nachw_id'=>$nw_id[0],'proj_id'=>$pos['proj_id'],'ab_monat'=>$pos['ab_monat'],'pos'=>$nr++,'menge'=>$abg,'typ'=>$typ,'satz'=>$satz);
					$y_axis = $this->PrintRow($row,$ab,$pro,$y_axis);
					$sum += $abg * $satz;
				}
				$kmg = $pro->kilometergeld($pos['ab_monat']);
				$fahrtkosten = 0;
				if($kmg[0] == 'j') {
					$km = abfrage("SELECT sum( km_abw_ja )
									FROM tb_ab_zk
									WHERE ab_monat = '{$pos['ab_monat']}'
									AND proj_id = '$pro->id'
									AND km_abw_ja > 0;");
				} elseif($kmg[0] == 'o') {
					$km = abfrage("SELECT sum( km_dienst ) + sum( km_privat )
									FROM tb_ab_zk
									WHERE ab_monat = '{$pos['ab_monat']}'
									AND proj_id = '$pro->id';");
				} else $km[0] = 0;
				$fahrtkosten = ($km[0] * $kmg[1])/100;
				if($fahrtkosten > 0) {
					$row = array('ts'=>$pos['ts'],'re_id'=>$re_id[0],'nachw_id'=>$nw_id[0],'proj_id'=>$pro->id,'ab_monat'=>$pos['ab_monat'],'pos'=>$nr++,'menge'=>$km[0],'typ'=>'km','satz'=>$kmg[1]/100);
					$y_axis = $this->PrintRow($row,$ab,$pro,$y_axis);
					$sum += $row['menge'] * $row['satz'];
				}
				if ($pro->km == 'j' && $pro->kmd <= $pos['ab_monat']){
					$conf_kmsatz = getConf('kmsatz');
					if($conf_kmsatz > 0) {
						$row = array('ts'=>$pos['ts'],'re_id'=>$re_id[0],'nachw_id'=>$nw_id[0],'proj_id'=>$pro->id,'ab_monat'=>$pos['ab_monat'],'pos'=>$nr++,'menge'=>$abg,'typ'=>'p','satz'=>$conf_kmsatz);
						$y_axis = $this->PrintRow($row,$ab,$pro,$y_axis);
						$sum += $row['menge'] * $row['satz'];
					}
				}
				if($re_id[1] == round($sum,2) && $bXfahrt) {
					$row = array('ts'=>$pos['ts'],'re_id'=>$re_id[0],'nachw_id'=>$nw_id[0],'proj_id'=>$pro->id,'ab_monat'=>$pos['ab_monat'],'pos'=>$nr++,'menge'=>$fz,'typ'=>'fz','satz'=>$fzsatz);
					$y_axis = $this->PrintRow($row,$ab,$pro,$y_axis);
					$sum += $fz * $fzsatz;
				}
				$this->SetFont('arialb','',11);
				$this->SetXY(20,$y_axis);
				$y_axis += 5;
				$this->Cell(140, 5, "Gesamtbetrag",'TBL');
				$this->Cell(25, 5, geld_form($sum),'TBR',0,'R');
				$this->SetFont('arial','',10);
				$oldpos = abfrage1("select unix_timestamp(ab_monat) as ts, a.* from tb_ab_rechnung a where re_id='$re_id[0]' order by pos asc");
				$sum = 0;
				$this->SetXY(20,$y_axis+2);
				$y_axis += 7;
				$this->SetFont('arialb','',11);
				$this->Cell(165, 5, "Bereits in Rechnung gestellte Fachleistungsstunden $monat",1);
				$this->SetFont('arial','',10);
				while($oldpo = mysql_fetch_array($oldpos)) {
					$y_axis = $this->PrintRow($oldpo,$ab,$pro,$y_axis);
					$sum += $oldpo['satz'] * $oldpo['menge'];
				}
				$this->SetFont('arialb','',11);
				$this->SetXY(20,$y_axis);
				$y_axis += 5;
				$this->Cell(140, 5, "Gesamtbetrag",'TBL');
				$this->Cell(25, 5, '- '.geld_form($sum),'TBR',0,'R');
			  } else {
				$y_axis = $this->PrintRow($pos,$ab,$pro,$y_axis);
			  }
			}
		}
		$y_axis = $this->GetY();
		$this->SetFont('arialb','',11);

		$this->SetXY(20,$y_axis + 7);
		$this->Cell(140, 8, $GLOBALS["traeger"] == 'nwg' ? 'Summe' : $Gesamtbetrag,'LT');
		$sum = geld_form($proj_id == 0 ? $rech['betrag'] : $summe[0]);
		$this->Cell(25, 8, $sum,'RT',0,'R');

		$this->SetXY(20,$y_axis + 15);
		$this->SetFont('arial','',10);

		if($proj_id > 0) $this->Cell(165, 5, '','T');
		elseif($GLOBALS["traeger"] == 'nwg') {
			$this->Cell(140, 10, '10% USt','LT');
			$ust = geld_form($rech['betrag'] / 10);
			$this->Cell(25, 10, $ust,'RT',0,'R');
			$this->SetFont('arialb','',11);
			$this->SetXY(20,$y_axis + 25);
			$this->Cell(140, 10, 'Gesamtbetrag','LTB');
			$sum = geld_form($rech['betrag'] * 1.1);
			$this->Cell(25, 10, $sum,'RTB',0,'R');
			$this->SetFont('arial','',10);
			$this->SetXY(20,$y_axis + 40);
			$text = "Wir bedanken uns fr die bertragung dieser Aufgabe und Ihr Vertrauen.\nWir ersuchen Sie um berweisung auf unser Bankkonto.";
			$this->MultiCell(165,5,$text);
			$this->SetFont('arial','',9);
			$this->SetXY(20,95);
			$this->Cell(115,4,empty($rech[11]) ? '' : "UID-Nr.: $rech[11]");
			$this->Cell(50, 4, "Rechnungsnummer $rech[0]",0,2,'R');
			$this->Cell(50, 5, str_replace('ä', "", strftime('%d. %B %Y', $rech[1])),0,0,'R');
			$y_axis += 40;
		} else {
			$ust = abfrage("select ust from tb_kont_hilfeart where kont_id='$pro->ja' and hilfeart_id='$pro->ha' and von<curdate() and (bis='0000-00-00' or bis>curdate())");
			if(empty($ust[0])) {
				$text = $GLOBALS["traeger"] != 'jse' ? "Der $Gesamtbetrag ist steuerfrei." : "Die Leistung ist umsatzsteuerbefreit.";
				$this->Cell(165, 5, $text,'LRB');
			} else {
				$this->SetFont('arialb','',11);
				$this->Cell(140, 8, "Umsatzsteuer ($ust[0] %)",'L');
				$steuer = $rech['betrag'] * $ust[0] / 100;
				$this->Cell(25, 8, geld_form($steuer),'R',0,'R');
				$this->SetXY(20,$y_axis + 23);
				$this->Cell(140, 8, "Rechnungsbetrag",'BL');
				$rechbetr = $rech['betrag'] + $steuer;
				$this->Cell(25, 8, geld_form($rechbetr),'BR',0,'R');
				$this->SetFont('arial','',10);
				$y_axis += 16;
			}
			if($GLOBALS["traeger"] == 'jse') $y_axis += 20;
			elseif($GLOBALS["traeger"] == 'b_l') {
				$this->SetXY(20,$y_axis + 20);
				$this->Cell(165, 10, "Zahlbar innerhalb von 7 Tagen.");
				$this->SetXY(20,$y_axis + 30);
				$this->Cell(165, 10, "Bei Rckfragen stehe ich Ihnen gerne zur Verfgung.");
				$y_axis += 35;
			} else {
				$this->SetXY(20,$y_axis + 20);
				$bis = date('d.m.Y', mktime(0,0,0, date('n', $rech[1]), date('d', $rech[1]) + $rech[17], date('Y', $rech[1])));
				$this->Cell(165, 10, "Zahlbar bis $bis ohne Abzug.");
		
				$this->SetXY(20,$y_axis + 30);
				$text = "Der Rechnungsbetrag ist gem  288 BGB nach Ablauf von 30 Tagen seit dem Zugang dieser Rechnung mit 8,42 % zu verzinsen.";
				$this->MultiCell(165,4,$text);
				$y_axis = $this->GetY();
			}
			if($GLOBALS["traeger"] == 'stw') {
				$this->SetXY(20,$y_axis + 4);
				$this->Cell(165, 4, "Steuer-Nr.: 213 120 02431");
				$this->SetXY(20,$y_axis + 8);
				$this->Cell(165, 4, "Finanzamt Hoyerswerda, Pforzheimer Platz 1, 02977 Hoyerswerda");
			}
		}

		if($rech['textausgabe'] == 'j' && $proj_id == 0) {
			$this->SetXY(20,$y_axis + 20);
			$this->SetFont('arialb','',11);
			$this->Cell(25, 4, "Bemerkung:");
			$this->SetFont('arial','',10);
			$this->MultiCell(145, 4, $rech['text']);
		}

		$kon = abfrage("select kontrolle, pers_id, date_format(datetime, '%d.%m.%Y %H:%i')
						from tb_ab_proj_kont where proj_id = $pro->id and ab_monat = '$ab_monat';");
		if($GLOBALS["traeger"] == 'b_l') {
			$datum = 'Valentina Tebyakina';
			$this->SetXY(120,256);
			$this->SetFont('arialb','',9);
			$this->Cell(63,5,$datum,'T',0,'C');
		} elseif(($kon[0] & 1) > 0) {
			$this->SetFont('stw','',5);
			$this->SetXY(20,256);
			$this->Cell(172,3.5,"elektronische Signatur:" . pers_name($kon[1]) . ' ' . $kon[2],0,0,'R');
		}
		$beg = abfrage("select checked from tb_ab_mehrst_begr where ab_monat='$ab_monat' and proj_id='$pro->id'");
		if($beg[0] == 'j') {
			$this->SetFont('arialb','',9);
			$this->SetXY(13,256);
			$this->Cell(100,3.5,"Begrndung Mehrstunden siehe Anlage");
		}
		if($proj_id > 0) return $summe;
	}
	function printAbschlagsUebersicht($re_id, $positionen) {
		$this->AddPage('','',true);
		$abschlags_rech_adr_ja = getConf('abschlags_rech_adr_ja');
		$where = $abschlags_rech_adr_ja == 0 ? "ab='h'" : "kont_id='$abschlags_rech_adr_ja'";
		$ja = abfrage("select name, name2, strasse, plz, ort, kdnr, zahlung from tb_kontakte where $where and kh_id=0 order by name asc limit 1");
		$this->SetFont('arial','',11);
		$this->SetXY(20,57);
		$this->Cell(80,5,$ja[0]);

		$this->SetFont('arial','',11);
		$this->SetXY(20,57);
		$this->Cell(80,5,$ja[0]);
		$this->SetXY(20,62);
		$this->Cell(80,5,$ja[1]);
		$this->SetXY(20,72);
		$this->Cell(80,5,$ja[2]);
		$this->SetFont('arialb','',11);
		$this->SetXY(20,77);
		$this->Cell(80,5,$ja[3] . " " . $ja[4]);
		$this->SetFont('arial','',10);
		$datum = abfrage("select DATE_FORMAT(datum,'%d.%m.%Y'), unix_timestamp(datum), betrag, re_nr from tb_rechnung where re_id='$re_id'");
		if($GLOBALS["traeger"] == 'nwg') {
			$this->SetXY(20,100);
			$this->Cell(115,4,empty($ja[5]) ? '' : "UID-Nr.: $ja[5]");
			$this->Cell(50,4,str_replace('ä', "", strftime("%d. %B %Y")),0,0,'R',0);
		} else {
			$conf_re_ap = getConf('re_ap');
			$conf_re_tel = getConf('re_tel');

			$this->SetXY(20,110);
			$this->Cell(50,5,$ja[5]);
			$this->Cell(50,5,$conf_re_ap);
			$this->Cell(45,5,$conf_re_tel);
			$this->Cell(20,5,$datum[0]);
		}
		$this->SetFont('arialb','',14);
		$this->SetXY(20,125);
		$this->Cell(100, 6, $sum0 < 0 ? "Gutschrift Nr. $datum[3]" : "Rechnung Nr. $datum[3]");
		$this->SetXY(20,134);
		$this->SetFont('arial','b',10);
		$this->Cell(70, 5, 'Name','B');
		$this->Cell(30, 5, 'Position','B',0,'C');
		$this->Cell(25, 5, 'Leistungsbetrag','B',0,'R');
		$this->Cell(20, 5, 'Abschlag','B',0,'R');
		$this->Cell(25, 5, 'Differenz','B',1,'R');
		$this->SetFont('arial','',9);
		$y_axis = 140;
		$sum1 = $sum2 = $sum0 = 0;
		foreach($positionen as $proj_id => $sum) {
		  if($sum !== false) {
			$this->SetXY(20,$y_axis);
			$projekt = new stwProjekt($proj_id);
			$this->Cell(50, 4, $projekt->nname().', '.$projekt->vname());
			$this->Cell(20, 4, $projekt->reg,0,0,'R');
			$this->Cell(27, 4, $projekt->nummer());
			$this->Cell(23, 4, geld_form($sum[1]),0,0,'R');
			$sum1 += $sum[1];
			$this->Cell(25, 4, geld_form($sum[2]),0,0,'R');
			$sum2 += $sum[2];
			$this->Cell(25, 4, geld_form($sum[0]),0,1,'R');
			$sum0 += $sum[0];
			$y_axis += 5;
			if($this->GetY() > 250) {
				$this->AddPage();
				$y_axis = 30;
			}
		  }
		}
		$this->SetXY(20,$y_axis);
		$this->SetFont('arialb','',9);
		$this->Cell(100, 6, "Summen",'T');
		$this->Cell(20, 6, geld_form($sum1),'T',0,'R');
		$this->Cell(25, 6, geld_form($sum2),'T',0,'R');
		$this->Cell(25, 6, geld_form($sum0),'T',1,'R');
		$y_axis += 6;

		if($this->GetY() > 215) {
			$this->AddPage();
			$y_axis = 30;
		}
		$this->SetXY(20,$y_axis);
		$this->SetFont('arialb','',9);
		$this->Cell(100, 6, $sum0 < 0 ? "Gutschrift" : "Rechnungssumme",'T');
		$this->Cell(70, 6, geld_form(($sum0 < 0 ? -1 : 1) * $sum0),'T',1,'R');

		if($sum0 < 0) {
			$this->SetFont('arial','',10);
			$this->SetXY(20,$y_axis + 13);
			if($ja[6] <= 0) $ja[6] = 14;
			$text = "Wir werden den flligen Betrag in den nchsten $ja[6] Tagen berweisen.";
			$this->MultiCell(165, 5, $text);
		} else {
			$this->SetFont('arial','',10);
			$this->SetXY(20,$y_axis + 13);
			$text = "Der Gesamtbetrag ist steuerfrei.";
			$this->Cell(165, 5, $text);

			$this->SetXY(20,$y_axis + 20);
			$bis = date('d.m.Y', mktime(0,0,0, date('n', $datum[1]), date('d', $datum[1]) + $ja[6], date('Y', $datum[1])));
			$this->Cell(165, 10, "Zahlbar bis $bis ohne Abzug.");

			$this->SetXY(20,$y_axis + 30);
			$text = "Der Rechnungsbetrag ist gem  288 BGB nach Ablauf von 30 Tagen seit dem Zugang dieser Rechnung mit 8,42 % zu verzinsen.";
			$this->MultiCell(165,4,$text);
		}

		$y_axis = $this->GetY();
		$this->SetXY(20,$y_axis + 4);
		$this->Cell(165, 4, "Steuer-Nr.: 213 120 02431");

		$this->SetXY(20,$y_axis + 8);
		$this->Cell(165, 4, "Finanzamt Hoyerswerda, Pforzheimer Platz 1, 02977 Hoyerswerda");
	}
}

//Beginn der PDF-Datei
$pdf=new RechnungPDF();
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(20.0);
$pdf->SetRightMargin(20.0);
$pdf->SetAutoPageBreak(auto,36);

if (isset($_GET['abschlag'])){
	if(getPersEinst($_SESSION[$AppCode]["UID"],'abschlagorder',0)) {
		$order = "order by r.satz asc";
		$join = '';
	} else {
		$join = "left join tb_projekte p using(proj_id) left join tb_kontakte_ap a on p.ap_id = a.ap_id";
		$order = "order by a.kont_id asc";
	}
	if(isset($_GET['re_id'])) $sql = "select re_id from tb_rechnung where re_id='{$_GET['re_id']}' limit 1";
	else $sql = "select re_id from tb_rechnung where proj_id=0 and nachw_id = '{$_GET['nw']}' group by re_id order by re_id asc";
	$res = abfrage1($sql);
	while($re = mysql_fetch_row($res)) {
		$pros = abfrage1("select r.proj_id from tb_abschlag_rechnung r $join 
						left join tbh_proj_personen t1 on(t1.proj_id=r.proj_id and t1.perstyp_id=1)
						left join tb_personen t2 using(person_id)
						where r.re_id = '$re[0]' group by r.proj_id $order, t2.name asc");
		if(mysql_num_rows($pros) == 0) continue;
		$positionen = array();
		while ($pro = mysql_fetch_row($pros)){
			$positionen[$pro[0]] = $pdf->printRechnung($re[0], $pro[0]);
		}
		$pdf->printAbschlagsUebersicht($re[0], $positionen);
	}
} elseif (isset($_GET['re_id'])){
	$pdf->printRechnung($_GET['re_id']);
} elseif (isset($_GET['nw'])){
	$rgn = abfrage1("select r.re_id from tb_rechnung r
					left join tb_projekte p using(proj_id)
					where r.nachw_id = '{$_GET['nw']}' and r.proj_id > 0
					order by r.re_nr asc;");

	while ($re = mysql_fetch_row($rgn)){
		$pdf->printRechnung($re[0]);
	}
}

$pdf->Output();
exit;
?>