<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ressort.php 2872 2018-06-27 17:27:05Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 81;
$level = 96;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function Del($ressort_id,$sub_id,$id) {
	$sql = "delete from tbh_ressort_ausnahmen where ressort_id='$ressort_id' and sub_id='$sub_id' and id='$id';";
	abfrage2($sql);
	$userResp = new xajaxResponse();
	$userResp->assign("tr_".$sub_id."_".$id, 'style.display', 'none');
	return $userResp;
}

function Rem($pra_id) {
	abfrage2("delete from tb_udef_nrkreise where pra_id='$pra_id'");
	$userResp = new xajaxResponse();
	$userResp->assign("uDef_$pra_id", 'style.display', 'none');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('Del');
$xajax->registerFunction('Rem');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
require_once($pfad . 'inc/stw.inc.php');

$pers_order = getPersOrder($seite);
$self = $_SERVER['PHP_SELF'];

$config = isset($rvar_config) ? $rvar_config : 0;

/* Ressort anlegen */
if (isset($_POST['name']) && isset($_POST['neu_ressort'])) {
	$sql = "INSERT INTO tb_ressort SET name = '{$_POST['name']}';";
	abfrage2($sql);
}
/* Ressort loeschen */
if(isset($_POST['sicherheitsabfrage_ja'])) {
	abfrage2("delete from tbh_ressort_ausnahmen where ressort_id='{$_POST['ressort_id']}';");
	abfrage2("delete from tbh_pers_ressort where ressort_id='{$_POST['ressort_id']}';");
	abfrage2("delete from tb_udef_nrkreise where ressort_id='{$_POST['ressort_id']}';");
	abfrage2("delete from tbh_ressort where ressort_id='{$_POST['ressort_id']}';");
	abfrage2("delete from tb_ressort where ressort_id='{$_POST['ressort_id']}';");
}

if(isset($_POST['farbe']) && isset($_POST['ressort_id'])) {
	$sql = "UPDATE tb_ressort SET name = '{$_POST['name']}', farbe = '{$_POST['farbe']}', 
			beschreibung = '{$_POST['beschreibung']}', zahlungsvorr = '{$_POST['zahlungsvorr']}',
			ewald = '{$_POST['ewald']}', ewald_hb = '{$_POST['ewald_hb']}', 
			ewald_rech = '{$_POST['ewald_rech']}', ewald_hb_rech = '{$_POST['ewald_hb_rech']}', 
			auswahl = '{$_POST['pgabt'][0][0]}', id = ";
	$sql .= $_POST['pgabt'][0][0] == 'm' || $_POST['pgabt'][0][0] == 'g' || $_POST['pgabt'][0][0] == 't' || $_POST['pgabt'][0][0] == 'a' ? "'".substr($_POST['pgabt'][0],1)."'" : "NULL";
	$sql .= ", ausnahme = ";
	$sql .= $_POST['pgabt'][0][0] == 'm' || $_POST['pgabt'][0][0] == 'g' || $_POST['pgabt'][0][0] == 't' || $_POST['pgabt'][0][0] == 'a' ? "'".$_POST['ausnahme'][0]."'" : "NULL";
	$sql .= " where ressort_id = '{$_POST['ressort_id']}';";
	abfrage2($sql);

	$i = 0;
	while(isset($_POST['sub_id'][$i])) {
		if($i>0) {
			$sql = "UPDATE tbh_ressort SET auswahl = '{$_POST['pgabt'][$i][0]}', id = ";
			$sql .= $_POST['pgabt'][$i][0] == 'm' || $_POST['pgabt'][$i][0] == 'g' || $_POST['pgabt'][$i][0] == 't' || $_POST['pgabt'][$i][0] == 'a' ? "'".substr($_POST['pgabt'][$i],1)."'" : "NULL";
			$sql .= ", ausnahme = ";
			$sql .= $_POST['pgabt'][$i][0] == 'm' || $_POST['pgabt'][$i][0] == 'g' || $_POST['pgabt'][$i][0] == 't' || $_POST['pgabt'][$i][0] == 'a' ? "'".$_POST['ausnahme'][$i]."'" : "NULL";
			$sql .= " where sub_id = '{$_POST['sub_id'][$i]}';";
			abfrage2($sql);
		}
		
		if($_POST['pgabt'][$i][0] != $_POST['pgabt_old'][$i]) {
			abfrage2("delete from tbh_ressort_ausnahmen where ressort_id = '{$_POST['ressort_id']}' and sub_id='{$_POST['sub_id'][$i]}';");
		}

		if(!empty($_POST['udefBis'][$i])) {
			abfrage2("insert into tb_udef_nrkreise set ressort_id='{$_POST['ressort_id']}', sub_id='{$_POST['sub_id'][$i]}', nr_von='{$_POST['udefVon'][$i]}', nr_bis='{$_POST['udefBis'][$i]}'");
			$config = $_POST['ressort_id'];
		}

		if(!empty($_POST['id'][$i])) {
			$sql = "replace into tbh_ressort_ausnahmen set ressort_id='{$_POST['ressort_id']}', id='{$_POST['id'][$i]}', sub_id='{$_POST['sub_id'][$i]}'";
			abfrage2($sql);
			$config = $_POST['ressort_id'];
		}
		$i++;
	}
} elseif(isset($_POST['pers_id']) && isset($_POST['ressort_id'])) {
	$sql = isset($_POST['pr_id']) ? 'update' : 'insert into';
	$sql .= " tbh_pers_ressort set ressort_id='{$_POST['ressort_id']}', 
			pers_id='{$_POST['pers_id']}', betreuer='{$_POST['rolle']}', ";
	$sql .= "optional='".(isset($_POST['optional']) ? 'j' : 'n')."', ";
	if($_POST['rolle'] == 'v') $sql .= "vertritt='{$_POST['vertr']}', e_a=NULL";
	else $sql .= "e_a='{$_POST['e_a']}', vertritt='0'";
	if(isset($_POST['pr_id'])) $sql .= " where pr_id='{$_POST['pr_id']}'";
	abfrage2($sql);
}

if(isset($_POST['add'])) {
	$config = $_POST['ressort_id'];
	abfrage2("insert into tbh_ressort set ressort_id='$config'");
}

if(isset($_GET['drop'])) {
	abfrage2("delete from tbh_ressort_ausnahmen where sub_id='{$_GET['drop']}'");
	abfrage2("delete from tb_udef_nrkreise where sub_id='{$_GET['drop']}'");
	abfrage2("delete from tbh_ressort where sub_id='{$_GET['drop']}'");
}

if(isset($_GET['erase'])) {
	echo "<form action=\"ressort.php\" method=\"POST\">\n";
	echo "<input type=\"hidden\" name=\"ressort_id\" value=\"{$_GET['erase']}\">\n";
	new stwSicherheitsabfrage("Sind Sie sicher? Das gesamte Ressort inklusive aller Zuordnungen wird unwiederbringlich gel&ouml;scht!",'nein, lieber doch nicht!','ja, ich bin sicher!',"ressort.php?config={$_GET['erase']}");
	echo "</form>\n";
}
if(isset($_GET['del'])){
	abfrage2("delete from tbh_pers_ressort where pr_id='{$_GET['del']}' limit 1;");
}
if($config) {
	echo "<script type=\"text/javascript\"><!--\n";
		echo "function updat(i) {\n";
		echo "  var pgabt = document.getElementById('pgabt['+i+']').value;\n";
		echo "  var ausn_tr = document.getElementById('ausn_tr['+i+']');\n";
		echo "  var aus2_tr = document.getElementById('aus2_tr['+i+']');\n";
		echo "  var uDefNrRng = document.getElementById('uDefNrRng['+i+']');\n";
		echo "  if(pgabt == 'g0') uDefNrRng.style.display='table-row';\n";
		echo "  else uDefNrRng.style.display='none';\n";
		echo "  if(pgabt == 'pkw' || pgabt == '0') {\n";
		echo "    ausn_tr.style.display = 'none';\n";
		echo "    aus2_tr.style.display = 'none';\n";
		echo "  } else {\n";
		echo "    ausn_tr.style.display = 'table-row';\n";
		echo "    aus2_tr.style.display = 'table-row';\n";
		echo "    var ausn_abt = document.getElementById('ausn_abt['+i+']');\n";
		echo "    var ausn_pgr = document.getElementById('ausn_pgr['+i+']');\n";
		echo "    var ausn1 = document.getElementById('ausn1['+i+']');\n";
		echo "    var ausn2 = document.getElementById('ausn2['+i+']');\n";
		echo "    if(pgabt.charAt(0) == 'g') ausn_abt.innerHTML = 'Projektgruppe';\n";
		echo "    if(pgabt.charAt(0) == 'm') ausn_abt.innerHTML = 'Mitarbeiter';\n";
		echo "    if(pgabt.charAt(0) == 'g' || pgabt.charAt(0) == 'm') {\n";
		echo "      ausn_pgr.innerHTML = 'Abteilungen:';\n";
		echo "      ausn1.style.display = 'inline';\n";
		echo "      ausn1.disabled = false;\n";
		echo "      ausn2.style.display = 'none';\n";
		echo "      ausn2.disabled = 'disabled';\n";
		echo "    } else if(pgabt.charAt(0) == 'a') {\n";
		echo "      ausn_abt.innerHTML = 'Abteilung';\n";
		echo "      ausn_pgr.innerHTML = 'Projektgruppen:';\n";
		echo "      ausn1.style.display = 'none';\n";
		echo "      ausn1.disabled = 'disabled';\n";
		echo "      ausn2.style.display = 'inline';\n";
		echo "      ausn2.disabled = false;\n";
		echo "    }\n";
		echo "  }\n";
		echo "}\n";
	echo "--></script>\n";

	$res = abfrage_assoc("SELECT * FROM tb_ressort WHERE ressort_id = '$config';");
	echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
	echo "<form action=\"ressort.php\" method=\"POST\">\n";
	echo "<table><tr><td class=\"cl1\">";
	echo "<table><tr><th colspan=\"2\" style=\"text-align:center;color:{$res['farbe']};\">{$res['name']}</th>";
	echo "<td><a href=\"ressort.php?config=$config&erase=$config\" style=\"position:relative;left:-10px;color:red\" ";
	echo stwToolTip("ganzes Ressort l&ouml;schen") . "\">X</a></td></tr>\n";
	echo "</tr>\n";
	new stwTabLine(2,3);
	echo "<input type=\"hidden\" name=\"ressort_id\" value=\"{$res['ressort_id']}\">\n";
	echo "<tr><th class=\"cl11\">Name:</th><td width=\"100\"><input type=\"text\" name=\"name\" value=\"{$res['name']}\"></td></tr>";
	echo "<tr><th class=\"cl11\">Farbe:</th><td><input type=\"text\" name=\"farbe\" value=\"{$res['farbe']}\" ";
	if(!empty($res['farbe'])) {
		$rgb = transformColor($res['farbe']);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo "style=\"background-color:{$res['farbe']};color:$co;\" ";
	}
	echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\"";	
	echo "/></td></tr>\n";
	echo "<tr><td class=\"cl11\"><b style=\"color:#FFCC00\"".stwToolTip('Beschreibung').">Beschr.:</b><br />";
	echo "(ToolTip)</td><td><textarea rows=\"2\" style=\"width:100%\" name=\"beschreibung\">";
	echo $res['beschreibung'] . "</textarea></td></tr>\n";
	$tt = "Bearbeitung der Post in diesem Ressort<br>ist Vorraussetzung f&uuml;r Zahlung<br>(im Rechnungseingangsbuch)";
	echo "<tr><th class=\"cl11\"" . stwToolTip($tt);
	echo ">Zahlungsvorr.:</th><td" . stwToolTip($tt) . ">";
	$checked = $res['zahlungsvorr'] == 'j' ? 'checked' : '';
	echo "<input type=\"checkbox\" $checked value=\"j\" name=\"zahlungsvorr\" />";
	echo "</td></tr>\n";
	new stwTabLine(2,3);
	echo "<tr><th class=\"cl11\"" . stwToolTip("Einstellung, wie viele Tage nach dem Posteingang, der elektronische Verwaltungsleiter beim zust&auml;ndigen Mitarbeiter eine Bearbeitung anmahnt");
	$rTT = stwToolTip("<b>Rechnungen werden nach so vielen Tagen gemahnt</b><br>0 = dieses Ressort nie in Ewald erw&auml;hnen");
	$aTT = stwToolTip("<b>Alle anderen Postarten werden nach so vielen Tagen gemahnt</b><br>0 = dieses Ressort nie in Ewald erw&auml;hnen");
	echo ">EWALD:</th><th style=\"position:relative;left:-5px;vertical-align:bottom\"><small $rTT>Rechn.</small>&nbsp;<small $aTT>andere</small></th></tr>\n";
	echo "<tr><td>Ressortbetreuer:</td>\n";
	echo "<td>";
	echo "<input type=\"text\" name=\"ewald_rech\" $rTT size=\"3\" style=\"text-align:center\" value=\"{$res['ewald_rech']}\" />";
	echo " &nbsp; <input type=\"text\" name=\"ewald\" $aTT size=\"3\" style=\"text-align:center\" value=\"{$res['ewald']}\" />";
	echo " T. n. Eingang</td></tr>";
	echo "<tr><td>HB/DB/TB...:</td>\n<td>";
	echo "<input type=\"text\" name=\"ewald_hb_rech\" $rTT size=\"3\" style=\"text-align:center\" value=\"{$res['ewald_hb_rech']}\" />";
	echo " &nbsp; <input type=\"text\" name=\"ewald_hb\" $aTT size=\"3\" style=\"text-align:center\" value=\"{$res['ewald_hb']}\" />";
	echo " T. n. Eingang</td></tr>";
	new stwTabLine(2,3);
	echo "<tr><td colspan=\"3\"><input type=\"submit\" name=\"speichern\" value=\"speichern\"></td></tr></table>\n";

	echo "</td>\n<td>";

	$subressorts = abfrage1("select * from tbh_ressort where ressort_id='{$res['ressort_id']}' order by sub_id asc");
	$j = 1 + mysql_num_rows($subressorts);
	$pras = abfrage1("select pra_id, kname, nr_von, nr_bis from tb_projektart order by nr_von asc");
	$abts = abfrage1("select abt_id, name from tb_personal_abt order by name asc");
	for($i=0; $i<$j; $i++) {
		if($i > 0) {
			echo "<hr noshade color=\"red\" size=\"3\">";
			if(!($res = mysql_fetch_array($subressorts))) $res['sub_id'] = -1;
		}
		$sub_id = intval($res['sub_id']);
		echo "<input type=\"hidden\" name=\"sub_id[$i]\" value=\"$sub_id\">\n";
		echo "<input type=\"hidden\" name=\"pgabt_old[$i]\" value=\"{$res['auswahl']}\" />\n";
		echo "<table>";
		echo "<tr><th style=\"text-align:right\">MA/PKW/Projektgruppe/Abteilung:</th>";
		echo "<td class=\"cl20\" colspan=\"4\"><select style=\"width:250px\" id=\"pgabt[$i]\" name=\"pgabt[$i]\" onchange=\"updat($i)\">\n";
		echo "<option value=\"0\"></option>";
		$selected = $res['auswahl']=='m' ? 'selected' : '';
		echo "<option $selected value=\"ma\">-- Mitarbeiter --</option>\n";
		echo "<option value=\"0\"></option>";
		$selected = $res['auswahl']=='p' ? 'selected' : '';
		echo "<option $selected value=\"pkw\">--- PKW ---</option>\n";
		echo "<option value=\"0\"></option>";
		$selected = $res['auswahl']=='t' ? 'selected' : '';
		echo "<option $selected value=\"team\">-- Sitzungen --</option>\n";
		echo "<option value=\"0\"></option>";
		mysql_data_seek($pras,0);
		while($pra = mysql_fetch_row($pras)) {
			$selected = $res['auswahl']=='g' && $res['id']==$pra[0] ? 'selected' : '';
			echo "<option $selected value=\"g$pra[0]\">[ $pra[1] ]</option>\n";
		}
		$selected = $res['auswahl']=='g' && $res['id']==0 ? 'selected' : '';
		echo "<option $selected value=\"g0\">[ benutzerdefinierter Nummernkreis ]</option>\n";
		echo "<option value=\"0\"></option>";
		mysql_data_seek($abts,0);
		while($abt = mysql_fetch_row($abts)) {
			$selected = $res['auswahl']=='a' && $res['id']==$abt[0] ? 'selected' : '';
			echo "<option $selected value=\"a$abt[0]\">$abt[1]</option>\n";
		}
		echo "</select>\n</td>";
		if($i > 0) {
			echo "<td style=\"text-align:right\"><a href=\"ressort.php?config=$config&drop=$sub_id\" ";
			echo stwToolTip("<b>Vorsicht!</b> Ressort-Untergruppe l&ouml;schen") . "style=\"color:red\">X</a></td>\n";
		}
		echo "</tr>\n";
		echo "<tr id=\"uDefNrRng[$i]\"";
		if($res['auswahl']!='g' || $res['id']!=0) echo " style=\"display:none\"";
		echo "><td colspan=\"30\"><table cellspacing=\"0\" cellpadding=\"0\"><tr>\n";
		echo "<th class=\"cl11\">Nummernbereich hinzuf&uuml;gen:</th>\n";
		echo "<td class=\"cl11\"><select style=\"width:20px\" name=\"pra_id[$i]\"".stwToolTip('"von" und "bis" mit Standardwerten von Projektgruppen f&uuml;llen').">";
		mysql_data_seek($pras,0);
		while($pra = mysql_fetch_row($pras)) {
			echo "<option onclick=\"getElementById('udefVon[$i]').value='$pra[2]';getElementById('udefBis[$i]').value='$pra[3]';\">";
			echo "$pra[1] ($pra[2]-$pra[3])</option>\n";
		}
		echo "</select></td>\n";
		echo "<td class=\"cl1\">von:</td>\n";
		echo "<td class=\"cl11\"><input type=\"text\" size=\"8\" id=\"udefVon[$i]\" name=\"udefVon[$i]\" /></td>\n";
		echo "<td class=\"cl1\">bis:</td>\n";
		echo "<td class=\"cl11\"><input type=\"text\" size=\"8\" id=\"udefBis[$i]\" name=\"udefBis[$i]\" /></td>\n";
		echo "<td><input type=\"submit\" name=\"speichern\" value=\" \" style=\"width:16px;background-image:url(img/senden.png)\" /></td></tr>\n";
		echo "<tr><td colspan=\"30\">\n";
		$uDefs = abfrage1("select * from tb_udef_nrkreise where ressort_id='$config' and sub_id='$sub_id' order by nr_von asc");
		while($uD = mysql_fetch_row($uDefs)) {
			echo "<b id=\"uDef_$uD[0]\">$uD[2]-$uD[3] <a href=\"#\" onclick=\"xajax_Rem($uD[0]);return false;\" style=\"color:red;\"";
			echo stwToolTip("<b>Vorsicht!</b> Nummernkreis entfernen") . ">X</a> &nbsp;</b>";
		}
		echo "</td></tr></table></td></tr>\n";
		new stwTabLine(2,30);

		$Abteilung = ($res['auswahl']=='g') ? 'Projektgruppe' : (($res['auswahl']=='m') ? 'Mitarbeiter' : 'Abteilung');
		echo "<tr ";
		if(empty($res['auswahl']) || $res['auswahl']=='p') echo "style=\"display:none\" ";
		echo "id=\"ausn_tr[$i]\"><th style=\"text-align:right\">Einschr&auml;nkung der <span id=\"ausn_abt[$i]\">$Abteilung</span>:</th>\n";
		$check = $res['ausnahme']=='inc' ? 'checked' : '';
		echo "<td style=\"vertical-align:middle\"><input type=\"radio\" $check name=\"ausnahme[$i]\" value=\"inc\" /></td>\n";
		echo "<td class=\"cl1\">ausschlielich Folgende</td>\n";
		$check = $res['ausnahme']=='ex' ? 'checked' : '';
		echo "<td style=\"vertical-align:middle\"><input type=\"radio\" $check name=\"ausnahme[$i]\" value=\"ex\" /></td>\n";
		echo "<td>alle au&szlig;er Folgenden</td><tr>\n";

		$Projektgruppen = $res['auswahl']!='a' ? 'Abteilungen' : 'Projektgruppen';
		echo "<tr ";
		if(empty($res['auswahl']) || $res['auswahl']=='p') echo "style=\"display:none\" ";
		echo "id=\"aus2_tr[$i]\"><th id=\"ausn_pgr[$i]\" style=\"text-align:right\">$Projektgruppen:</th>\n";
		echo "<td colspan=\"4\">";
		echo "<select id=\"ausn1[$i]\" onchange=\"this.form.submit()\" name=\"id[$i]\" ";
		if($res['auswahl']=='a') echo "disabled style=\"display:none\"";
		echo ">\n";
		echo "<option value=\"0\">- bitte w&auml;hlen -</option>";
		$ausnahmen = array();
		mysql_data_seek($abts,0);
		while($abt = mysql_fetch_row($abts)) {
			$ausnahmen['g'][$abt[0]] = $abt[1];
			echo "<option value=\"$abt[0]\">$abt[1]</option>\n";
		}
		echo "</select>\n";
		echo "<select id=\"ausn2[$i]\" onchange=\"this.form.submit()\" name=\"id[$i]\" ";
		if($res['auswahl']!='a') echo "disabled style=\"display:none\"";
		echo ">\n";
		echo "<option value=\"0\">- bitte w&auml;hlen -</option>";
		mysql_data_seek($pras,0);
		while($pra = mysql_fetch_row($pras)) {
			$ausnahmen['a'][$pra[0]] = $pra[1];
			echo "<option value=\"$pra[0]\">$pra[1]</option>\n";
		}
		echo "</select>\n";
		echo "</td></tr>\n";
		$ausns = abfrage1("select id from tbh_ressort_ausnahmen where ressort_id='$config' and sub_id='$sub_id'");
		while($ausn = mysql_fetch_row($ausns)) {
			echo "<tr id=\"tr_".$sub_id."_".$ausn[0]."\" class=\"mo\"><td style=\"text-align:right\">" . $ausnahmen[ ($res['auswahl']=='a'?'a':'g') ][ $ausn[0] ] . "</td>";
			echo "<td><a style=\"color:red\" href=\"#\" onclick=\"xajax_Del($config,$sub_id,$ausn[0]);return false;\">X</a></td></tr>\n";
		}
		echo "</table>\n";
	}
	echo "<input type=\"submit\" name=\"add\" value=\"+\" style=\"color:#00FF00;font-weight:bold;font-size:30px;background-color:#333333\" ";
	echo stwToolTip("weitere MA/PKW/Projektgruppe/Abteilung hinzuf&uuml;gen") . " />";

	echo "</td></tr>\n";
	echo "</table></form>";

	$res = abfrage1("select * from tb_ressort where ressort_id = '$config'");
} else $res = abfrage1("select * from tb_ressort order by name asc");

echo "<script type=\"text/javascript\"><!--\n";
echo "function Show(id) {\n";
echo " var rolle = document.getElementById('rolle_'+id).value;\n";
echo " var show = (rolle=='v') ? 'vertd_'+id : 'eatd_'+id;\n";
echo " var hide = (rolle=='v') ? 'eatd_'+id : 'vertd_'+id;\n";
echo " var ntd = document.getElementsByName(show);\n";
echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'table-cell';\n";
echo " ntd = document.getElementsByName(hide);\n";
echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'none';\n";
echo "}\n--></script>\n";

if(!$config) {
	echo "<form method=\"post\" action=\"$self\">\n";
	echo "<table><tr>\n";
	echo "<th>Ressort hinzuf&uuml;gen:</th>";
	echo "<td><input type=\"text\" name=\"name\" size=\"20\"></td>\n";
	echo "<td><input type=\"submit\" value=\"Hinzuf&uuml;gen\" ";
	echo "name=\"neu_ressort\"></td><td></td></tr>\n";
	echo "</table></form>\n";
}

$betreuer = array('f' => 'Ressort-VORbearbeiter', 'h'  => 'Ressort-Betreuer', 'v' => 'Ressort-Vertretung');
new stwLine(1);
echo "<table style=\"width:750px\">\n";
while($row = mysql_fetch_array($res)) {
	if(isset($_GET['pr_id'])) {
		$pr = abfrage_array("select * from tbh_pers_ressort where ressort_id='$row[0]' and pr_id='{$_GET['pr_id']}';");
	} else $pr = array();
	if(!$config) {
		echo "<tr><td><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><th style=\"color:{$row['farbe']}\" class=\"cl11\">{$row['name']} ";
		echo "<a name=\"r$row[0]\" style=\"position:relative;left:0;top:-350px;\"></a>";
		echo "<a href=\"ressort.php?config=$row[0]\"><img src=\"img/edit.png\"></a></th>";
		echo "<td style=\"width:100%;font-size:0.85em\">";
		echo str_replace("\n",'| ',$row['beschreibung']);
		echo "</td></tr></table></td></tr>\n";
	}
	echo "<td><form method=\"post\" action=\"$self\">\n";
	if($config) echo "<input type=\"hidden\" name=\"config\" value=\"$row[0]\">\n";
	echo "<input type=\"hidden\" name=\"ressort_id\" value=\"$row[0]\">\n";
	if(!empty($pr['pr_id'])) echo "<input type=\"hidden\" name=\"pr_id\" value=\"{$pr['pr_id']}\">\n";
	echo "<table cellpadding=\"0\" cellspacing=\"3\" width=\"100%\">\n";
	echo "<tr><th class=\"cl11\">MA hinzuf&uuml;gen:</th>";
	echo "<td>MA:</td><td class=\"cl11\"><select style=\"width:150px\" name=\"pers_id\">\n";
	echo "<option value=\"0\">- bitte w&auml;hlen -</option>\n";
	$selected = $pr['pers_id']==-1 ? 'selected' : '';
	echo "<option $selected value=\"-1\">- Fachberater -</option>\n";
	$selected = $pr['pers_id']==-2 ? 'selected' : '';
	echo "<option $selected value=\"-2\">- Abteilungsleiter -</option>\n";
	$sql = "SELECT pers_id, ";
	$sql .= ($pers_order == 2) ? "concat(name,', ',vorname)" : "concat(vorname,' ',name)";
	$sql .= " FROM tb_personal WHERE status_id = 2 AND level > 5 ORDER BY ";
	$sql .= ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
	$mas = abfrage1($sql);
	while($ma = mysql_fetch_row($mas)) {
		$selected = $pr['pers_id']==$ma[0] ? 'selected' : '';
		echo "<option $selected value=\"$ma[0]\">$ma[1]</option>\n";
	}
	echo "</select></td>";
	echo "<td>Rolle:</td><td class=\"cl11\">";
	echo "<select id=\"rolle_$row[0]\" name=\"rolle\" onchange=\"Show($row[0])\">\n";
	foreach($betreuer as $v => $bet) {
		$selected = $pr['betreuer']==$v ? 'selected' : '';
		echo "<option $selected value=\"$v\">$bet</option>\n";
	}
	echo "</select>\n</td>";
	$style = $pr['betreuer']=='v' ? '' : "style=\"display:none\"";
	echo "<td name=\"vertd_$row[0]\" $style>vertritt:</td>";
	echo "<td name=\"vertd_$row[0]\" $style class=\"cl11\">";
	echo "<select name=\"vertr\" style=\"width:150px\">\n";
	$sql = "select distinct r.pers_id, ";
	$sql .= ($pers_order == 2) ? "concat(p.name,', ',p.vorname)" : "concat(p.vorname,' ',p.name)";
	$sql .= " from tbh_pers_ressort r
			left join tb_personal p using(pers_id) 
			where ressort_id='$row[0]'
			order by ";
	$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
	$mas = abfrage1($sql);
	while($ma = mysql_fetch_row($mas)) {
		$selected = $pr['vertritt']==$ma[0] ? 'selected' : '';
		if($ma[0] == -1) $ma[1]='- Fachberater -';
		if($ma[0] == -2) $ma[1]='- Abteilungsleiter -';
		echo "<option $selected value=\"$ma[0]\">$ma[1]</option>\n";
	}
	echo "</select></td>\n";
	$style = $pr['betreuer']=='v' ? "style=\"display:none\"" : '';
	$tt = stwToolTip("E: Einzelbefugnis<br />A: 2 Betreuer notwendig");
	echo "<td name=\"eatd_$row[0]\" $style $tt><input type=\"radio\" name=\"e_a\" value=\"E\" ";
	if($pr['e_a'] == 'e') echo "checked ";
	echo "/></td><td name=\"eatd_$row[0]\" $style $tt class=\"cl1\">E</td>\n";
	echo "<td name=\"eatd_$row[0]\" $style $tt><input type=\"radio\" name=\"e_a\" value=\"A\" ";
	if($pr['e_a'] != 'e') echo "checked ";
	echo "/></td><td name=\"eatd_$row[0]\" $style $tt class=\"cl1\">A</td>\n";
	$tt = stwToolTip("Mitarbeiter wird wird nur bei Bedarf durch andere Betreuer<br>zum Setzen eines Hakens aufgefordert");
	echo "<td name=\"eatd_$row[0]\" $style $tt><input type=\"checkbox\" name=\"optional\" ";
	if($pr['optional'] == 'j') echo "checked ";
	echo "/></td><td name=\"eatd_$row[0]\" $style $tt class=\"cl1\">optional</td>\n";
	echo "<td style=\"text-align:right\"><input type=\"image\" src=\"img/senden.png\"></td>\n";
	echo "</tr></table></form></td></tr>\n";
	new stwTabLine(2,30);
	$mas = abfrage1("select * from tbh_pers_ressort where ressort_id='$row[0]' order by betreuer asc, e_a desc, optional desc, pr_id asc");
	echo "<tr><td><table style=\"width:100%\">";
	while($ma = mysql_fetch_array($mas)) {
		echo "<tr class=\"mo\"><td class=\"cl11\"><a href=\"ressort.php?pr_id={$ma['pr_id']}\">";
		if($ma['pers_id']==-1) echo '- Fachberater -';
		elseif($ma['pers_id']==-2) echo '- Abteilungsleiter -';
		else echo pers_kname($ma['pers_id']);
		echo "</a></td><td class=\"cl11\">" . $betreuer[ $ma['betreuer'] ] . "</td>";
		if($ma['betreuer'] == 'v') {
			echo "<td>(vertritt ";
			if($ma['vertritt']==-1) echo '- Fachberater -';
			elseif($ma['vertritt']==-2) echo '- Abteilungsleiter -';
			else echo pers_kname($ma['vertritt']);
			echo ")</td>\n";
		}
		else echo "<td $tt>" . strtoupper($ma['e_a']);
		if($ma['optional'] == 'j') echo " (optional)";
		echo "</td>\n<td style=\"text-align:right;width:100%\">";
		echo "<a onclick=\"return confirm('soll dieser Mitarbeiter wirklich entfernt werden?')\" href=\"ressort.php?del={$ma['pr_id']}";
		if($config) echo "&amp;config=$config";
		echo "\" style=\"color:red\"";
		echo stwToolTip("<b>Achtung!</b> Betreuer l&ouml;schen.").">X</a></td></tr>\n";
	}
	echo "</table></td></tr>\n";
	new stwTabLine(1,30);
}
if(!$config) {
	if(isset($_GET['pr_id'])) {
		$pr = abfrage_array("select * from tbh_pers_ressort where ressort_id='0' and pr_id='{$_GET['pr_id']}';");
	} else $pr = array();
	echo "<tr><td><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><th style=\"color:#CCCCCC\" class=\"cl11\">- &uuml;brige - ";
	echo "<a name=\"r0\" style=\"position:relative;left:0;top:-350px;\"></a></th>";
	echo "<td style=\"width:100%;font-size:0.85em\">... der k&auml;rgliche Rest ...</td></tr></table></td></tr>\n";
	echo "<td><form method=\"post\" action=\"$self\">\n";
	echo "<input type=\"hidden\" name=\"ressort_id\" value=\"0\">\n";
	if(!empty($pr['pr_id'])) echo "<input type=\"hidden\" name=\"pr_id\" value=\"{$pr['pr_id']}\">\n";
	echo "<table cellpadding=\"0\" cellspacing=\"3\" width=\"100%\">\n";
	echo "<tr><th class=\"cl11\">MA hinzuf&uuml;gen:</th>";
	echo "<td>MA:</td><td class=\"cl11\"><select style=\"width:150px\" name=\"pers_id\">\n";
	echo "<option value=\"0\">- bitte w&auml;hlen -</option>\n";
	$sql = "SELECT pers_id, ";
	$sql .= ($pers_order == 2) ? "concat(name,', ',vorname)" : "concat(vorname,' ',name)";
	$sql .= " FROM tb_personal WHERE status_id = 2 AND level > 5 ORDER BY ";
	$sql .= ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
	$mas = abfrage1($sql);
	while($ma = mysql_fetch_row($mas)) {
		$selected = $pr['pers_id']==$ma[0] ? 'selected' : '';
		echo "<option $selected value=\"$ma[0]\">$ma[1]</option>\n";
	}
	echo "</select></td>";
	echo "<td>Rolle:</td><td class=\"cl11\">";
	echo "<select id=\"rolle_$row[0]\" name=\"rolle\" onchange=\"Show($row[0])\">\n";
	foreach($betreuer as $v => $bet) {
		$selected = $pr['betreuer']==$v ? 'selected' : '';
		echo "<option $selected value=\"$v\">$bet</option>\n";
	}
	echo "</select>\n</td>";
	$style = $pr['betreuer']=='v' ? '' : "style=\"display:none\"";
	echo "<td name=\"vertd_$row[0]\" $style>vertritt:</td>";
	echo "<td name=\"vertd_$row[0]\" $style class=\"cl11\">";
	echo "<select name=\"vertr\" style=\"width:150px\">\n";
	$sql = "select distinct r.pers_id, ";
	$sql .= ($pers_order == 2) ? "concat(p.name,', ',p.vorname)" : "concat(p.vorname,' ',p.name)";
	$sql .= " from tbh_pers_ressort r
			left join tb_personal p using(pers_id) 
			where ressort_id='$row[0]'
			order by ";
	$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
	$mas = abfrage1($sql);
	while($ma = mysql_fetch_row($mas)) {
		$selected = $pr['vertritt']==$ma[0] ? 'selected' : '';
		if($ma[0] == -1) $ma[1]='- Fachberater -';
		if($ma[0] == -2) $ma[1]='- Abteilungsleiter -';
		echo "<option $selected value=\"$ma[0]\">$ma[1]</option>\n";
	}
	echo "</select></td>\n";
	$style = $pr['betreuer']=='v' ? "style=\"display:none\"" : '';
	$tt = stwToolTip("E: Einzelbefugnis<br />A: 2 Betreuer notwendig");
	echo "<td name=\"eatd_$row[0]\" $style $tt><input type=\"radio\" name=\"e_a\" value=\"E\" ";
	if($pr['e_a'] == 'e') echo "checked ";
	echo "/></td><td name=\"eatd_$row[0]\" $style $tt class=\"cl1\">E</td>\n";
	echo "<td name=\"eatd_$row[0]\" $style $tt><input type=\"radio\" name=\"e_a\" value=\"A\" ";
	if($pr['e_a'] != 'e') echo "checked ";
	echo "/></td><td name=\"eatd_$row[0]\" $style $tt class=\"cl1\">A</td>\n";
	$tt = stwToolTip("Mitarbeiter wird wird nur bei Bedarf durch andere Betreuer<br>zum Setzen eines Hakens aufgefordert");
	echo "<td name=\"eatd_$row[0]\" $style $tt><input type=\"checkbox\" name=\"optional\" ";
	if($pr['optional'] == 'j') echo "checked ";
	echo "/></td><td name=\"eatd_$row[0]\" $style $tt class=\"cl1\">optional</td>\n";
	echo "<td style=\"text-align:right\"><input type=\"image\" src=\"img/senden.png\"></td>\n";
	echo "</tr></table></form></td></tr>\n";
	new stwTabLine(2,30);
	$mas = abfrage1("select * from tbh_pers_ressort where ressort_id='$row[0]' order by betreuer asc, e_a desc, optional desc, pr_id asc");
	echo "<tr><td><table style=\"width:100%\">";
	while($ma = mysql_fetch_array($mas)) {
		echo "<tr class=\"mo\"><td class=\"cl11\"><a href=\"ressort.php?pr_id={$ma['pr_id']}\">";
		echo pers_kname($ma['pers_id']);
		echo "</a></td><td class=\"cl11\">" . $betreuer[ $ma['betreuer'] ] . "</td>";
		if($ma['betreuer'] == 'v') {
			echo "<td>(vertritt ";
			echo pers_kname($ma['vertritt']);
			echo ")</td>\n";
		} else echo "<td $tt>" . strtoupper($ma['e_a']);
		if($ma['optional'] == 'j') echo " (optional)";
		echo "</td>\n<td style=\"text-align:right;width:100%\">";
		echo "<a onclick=\"return confirm('soll dieser Mitarbeiter wirklich entfernt werden?')\" href=\"ressort.php?del={$ma['pr_id']}\" style=\"color:red\"";
		echo stwToolTip("<b>Achtung!</b> Betreuer l&ouml;schen.").">X</a></td></tr>\n";
	}
	echo "</table></td></tr>\n";
	new stwTabLine(1,30);
}
echo "</table>\n";
new stwEnd($seite);
?>