<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: sachbericht_pr.php 2865 2018-06-04 09:13:40Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_diagram.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

class PDF_SB extends PDF
{
  function CheckPageBreak($h){
    $neu = 0;
    if($this->GetY()+$h>$this->PageBreakTrigger){
      $this->AddPage($this->CurOrientation);
      $neu = 1;
    }
    return $neu;
  }

  function NbLines($w,$txt){
    //Computes the number of lines a MultiCell of width w will take
    $cw=&$this->CurrentFont['cw'];
    if($w==0)
        $w=$this->w-$this->rMargin-$this->x;
    $wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
    $s=str_replace("\r",'',$txt);
    $nb=strlen($s);
    if($nb>0 and $s[$nb-1]=="\n")
        $nb--;
    $sep=-1;
    $i=0;
    $j=0;
    $l=0;
    $nl=1;
    while($i<$nb)
    {
        $c=$s[$i];
        if($c=="\n")
        {
            $i++;
            $sep=-1;
            $j=$i;
            $l=0;
            $nl++;
            continue;
        }
        if($c==' ')
            $sep=$i;
        $l+=$cw[$c];
        if($l>$wmax)
        {
            if($sep==-1)
            {
                if($i==$j)
                    $i++;
            }
            else
                $i=$sep+1;
            $sep=-1;
            $j=$i;
            $l=0;
            $nl++;
        }
        else
            $i++;
    }
    return $nl;
  }
}

$pdf=new PDF_SB('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');

$pdf->SetAutoPageBreak(true, 25);
$pdf->PageBreakTrigger = 274.0;
$pdf->AliasNbPages();
$pdf->SetLineWidth('0.1');
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

$sb = abfrage_assoc("SELECT unix_timestamp(von) AS von_ts, unix_timestamp(bis) AS bis_ts, s.* FROM tb_sachbericht s WHERE sb_id='$rvar_sb_id'");
$zeitraum = date_my2gr($sb['von'])." - ".date_my2gr($sb['bis']);
if($sb['datenschutz'] == 'n') $no_ds = 1;
$footer = "Sachbericht $zeitraum";
$header = $sb['titel'];

$pdf->AddPage();
$color = array(	array(255,255,255),	array(255,51,0),	array(0,102,0),
				array(255,255,0),	array(153,0,255),	array(0,255,255),
				array(0,0,255),		array(255,102,0),	array(204,255,0),
				array(102,0,102),	array(255,51,153),	array(0,102,204),
				array(102,153,255),	array(51,204,102),	array(153,0,0),
				array(255,204,204),	array(153,102,51),	array(255,102,255),
				array(255,204,51),	array(204,204,204), array(102,255,51),
				array(51,0,51),		array(255,0,255),	array(0,51,102),
				array(51,102,153),	array(0,102,51),	array(51,0,0),
				array(33,66,99),	array(102,102,102),	array(102,51,102));

$pdf->SetLineWidth('0.5');
$pdf->SetFont('stw','',16);
if($sb['datenschutz'] == 'n') $pdf->SetY(20);
$pdf->MultiCell(180,6,$sb['titel'],0,'C');
$pdf->SetFont('Arial','',10);
$pdf->MultiCell(180,4,$sb['notizen']);
$pdf->SetLineWidth('0.1');

if($sb['jugendaemter'] == 'j') {
	$pdf->SetY($pdf->GetY() + 1);
	$pdf->SetFont('stw','',12);
	$pdf->Cell(60,5,empty($sb['ja_bezeichnung']) ? '' : ($sb['ja_bezeichnung'].": "),0,0,'R');
	$pdf->SetFont('Arial','',12);
	$jas = abfrage1("select k.name, k.name2 from tbh_sachbericht_ja j left join tb_kontakte k on j.kont_id = k.kont_id and k.kh_id='0' where j.sb_id='$rvar_sb_id'");
	$b = false;
	while($ja = mysql_fetch_row($jas)) {
		if($b) $pdf->Cell(60,5,"");
		else $b = true;
		$pdf->Cell(120,5,$ja[0]." ".$ja[1],0,1);
	}
}
if($sb['hilfearten'] == 'j') {
	$pdf->SetY($pdf->GetY() + 1);
	$pdf->SetFont('stw','',12);
	$pdf->Cell(60,6,"Hilfeart: ",0,0,'R');
	$pdf->SetFont('Arial','',12);
	if($sb['hilfeart_id'] == 0) $hilfeart = "alle Hilfearten, ";
	else {
		$ha = abfrage("select beschreibung from tb_hilfeart where hilfeart_id = ".$sb['hilfeart_id']);
		$hilfeart = "$ha[0], ";
	}
	if($sb['paragraph'] == 0) $hilfeart .= "alle Paragraphen";
	else $hilfeart .= " " . $sb['paragraph'];
	$pdf->Cell(120,6,$hilfeart,0,1);
}
if(!empty($sb['misc_bezeichnung']) || !empty($sb['misc'])) {
	$pdf->SetY($pdf->GetY() + 1);
	$pdf->SetFont('stw','',12);
	$pdf->Cell(60,5,empty($sb['misc_bezeichnung']) ? '' : ($sb['misc_bezeichnung'].': '),0,0,'R');
	$pdf->SetFont('Arial','',12);
	$pdf->MultiCell(120,5,$sb['misc']);
}
$pdf->SetY($pdf->GetY() + 5);

$druckseiten = abfrage1("select * from tb_sachbericht_druckuebersicht where sb_id='$rvar_sb_id' and prio >= 0 order by prio asc");
$letzteSeite = mysql_num_rows($druckseiten);
$seite = 0;
while($druckseite = mysql_fetch_array($druckseiten)) {
  $seite++;
  if($druckseite['seite'] == 2) {
	if($sb['status'] == 'a') $pdf->Addpage('L');
	else $pdf->Addpage();
	$pdf->SetY(23);
  } elseif($druckseite['seitenumbruch'] == 'j') $pdf->AddPage();

  $pdf->SetFont('stw','',14);
  if($druckseite['prio'] > 0) $pdf->Cell(7,10,$druckseite['prio'].".");
  if(!empty($druckseite['titel'])) $pdf->Cell(173,10,$druckseite['titel']);
  if(!empty($druckseite['titel']) || $druckseite['prio'] > 0) $pdf->ln();
  if($druckseite['seite'] == 1) {
	$pers_order = getPersOrder(15);
	$printHeadline = true;
	$sql = "select p.pers_id, p.name, p.vorname, p.abschluss from tb_personal p 
			left join tb_personalart a using (p_art_id)
			where p.betreuer = 'j' and a.im_sachbericht = 'j'
			and (to_days(p.eintritt) <= to_days('".$sb['bis']."')
			or to_days(p.eintritt) IS NULL)
			and (to_days(p.austritt) >= to_days('".$sb['von']."')
			or to_days(p.austritt) IS NULL)
			order by name asc, vorname asc;";
	$mas = abfrage1($sql);
	while($ma = mysql_fetch_row($mas)){
		$txt = '';
		for($i=0; $i<2; $i++) {
			$sql = "select a.*, k.name, f.titel as f_titel, t.von, t.bis
					from tb_awb a 
					left join tb_fehlz f using (fehlz_id)
					left join tb_awb_kat k using (awb_kat_id)
					left join tb_termine t using (termin_id)
					where (a.pers_id='$ma[0]' or f.pers_id='$ma[0]')
					and awb_kat_id > 0 ";
			if($i==0) $sql .= "and a.za = 1";
			else $sql .= "and ((to_days(t.von) <= to_days('".$sb['bis']."') and to_days(t.von) IS NOT NULL)
					or (to_days(a.beginn) <= to_days('".$sb['bis']."') and to_days(a.beginn) IS NOT NULL))
					and (to_days(t.bis) >= to_days('".$sb['von']."')
					or to_days(a.ende) >= to_days('".$sb['von']."'))
					and a.za = 0";
			$sql.= " order by (IF(ISNULL(von), beginn, von)) asc";
			$wbs = abfrage1($sql);
			while($wb = mysql_fetch_array($wbs)){
				$von = empty($wb['von']) ? date_my2gr($wb['beginn']) : date_my2gr($wb['von']);
				$bis = empty($wb['bis']) ? date_my2gr($wb['ende']) : date_my2gr($wb['bis']);
				if(substr($von,0,6) == '01.01.') $von = substr($von,-4);
				if(substr($bis,0,6) == '01.01.') $bis = substr($bis,-4);
				$txt .= "$von - $bis: ";
				$txt .= (empty($wb['titel']) ? $wb['name'] : $wb['titel']);
				if(!empty($wb['titel']) || !empty($wb['name'])) $txt .= "\n";
				if(!empty($wb['f_titel'])) $txt .= $wb['f_titel'];
				if(!empty($wb['f_titel']) && !empty($wb['abschluss'])) $txt .= ' - ';
				if(!empty($wb['abschluss'])) $txt .= $wb['abschluss'];
				$txt .= "\n";
			}
		}
		$h = 4 * max($pdf->NbLines(75,$txt),$pdf->NbLines(60,$ma[3]));
		$pb = $pdf->CheckPageBreak($h);
		if($printHeadline || $pb) {
			$pdf->SetFont('stw','',10);
			$pdf->Cell(45,5,"Mitarbeiter",0,0);
			$pdf->Cell(60,5,"Abschluss",0,0);
			$pdf->Cell(75,5,"(Zusatz-) Ausbildungen",0,1);
			$pdf->SetFont('Arial','',10);
			$printHeadline = false;
		}
        $x=$pdf->GetX();
        $y=$pdf->GetY();
		if($pers_order == 2) $pdf->Cell(45,4,"$ma[1], $ma[2]",'T',0,'L');
		else $pdf->Cell(45,4,"$ma[2] $ma[1]",'T',0,'L');
		$pdf->MultiCell(60,4,$ma[3],'T','L');
        $pdf->SetXY($x+105,$y);
		$pdf->MultiCell(75,4,$txt,'T','L');
        $pdf->SetXY($x,$y+$h);
	}
	$pdf->ln();
  }
  if($druckseite['seite'] == 2) {
	$sps = abfrage1("select * from tb_sachbericht_proj where sb_id='$rvar_sb_id' order by proj_id asc");
	$printHeadline = true;
	$X = ($sb['status'] == 'a') ? 8 : 20;
	while($sp = mysql_fetch_array($sps)) {
		$pers = abfrage1("select * from tb_sachbericht_person where sb_id='$rvar_sb_id' and proj_id=".$sp['proj_id']);
		$perscount = max(1,mysql_num_rows($pers));
		$ziele = abfrage1("select * from tb_sachbericht_ziel where sb_id='$rvar_sb_id' and proj_id=".$sp['proj_id']);
		$zielcount = max(1,mysql_num_rows($ziele));
		$grundcount = max(2,$pdf->NbLines(72,$sp['grund']));
		$count = max($perscount, $zielcount, $grundcount);
		$fls = abfrage("select sum(kls), sum(fz) from tbh_sachbericht_fls where sb_id='$rvar_sb_id' and proj_id=".$sp['proj_id']);
		$kind = array('','');
		$geschlecht = array();
		$alter = array('','');
		$sr = array('','');
		$bildung = array('','');
		$art = array('','');
		$kontext = array('','');
		$teilziel = array(array('','','',''),array('','','',''));
		$pb = $pdf->CheckPageBreak($count*4);
		if($printHeadline || $pb) {
			$y = $printHeadline ? 35 : 22;
			$pdf->SetXY($X,$y);
			$pdf->Cell(10,37,'',1);
			$pdf->Cell(10,37,'',1);
			$pdf->Cell(10,37,'',1);
			$pdf->Cell(20,37,'',1);
			$pdf->Cell(8,37,'',1);
			$pdf->Cell(10,37,'',1);
			$pdf->Cell(10,37,'',1);
			$pdf->Cell(10,37,'',1);
			$pdf->Cell(10,37,'',1);
			$pdf->Cell(10,37,'',1);
			$pdf->Cell(10,37,'',1);
			$pdf->SetXY(119+$X,$y+7);
			$pdf->SetFillColor(102,255,51);
			$pdf->Cell(12,30,'',1,0,'L',1);
			$pdf->SetFillColor(255,255,51);
			$pdf->Cell(12,30,'',1,0,'L',1);
			$pdf->SetFillColor(255,102,51);
			$pdf->Cell(12,30,'',1,0,'L',1);
			$pdf->SetFillColor(255,51,51);
			$pdf->Cell(12,30,'',1,0,'L',1);
			if($sb['status'] == 'a') {
				$pdf->Cell(1,1,'');
				$pdf->Cell(13,30,'',1);
				$pdf->Cell(13,30,'',1);
				$pdf->Cell(13,30,'',1);
				$pdf->Cell(1,1,'');
				$pdf->Cell(72,30,'',1);
			}
			$pdf->SetFont('stw','',10);
			$pdf->RotatedText($X+7,$y+35,'Fall',90);
			$pdf->RotatedText($X+17, $y+35,'HZE ',90);
			$pdf->RotatedText($X+27, $y+35,'Dauer',90);
			$pdf->RotatedText($X+32, $y+35,'KLS(FZ)',0);
			$pdf->RotatedText($X+55, $y+35,'m/w',90);
			$pdf->RotatedText($X+65, $y+35,'Alter bei Beginn',90);
			$pdf->RotatedText($X+75, $y+35,'Sozialraum',90);
			$pdf->RotatedText($X+85, $y+35,'Bildung der PSB',90);
			$pdf->RotatedText($X+95,$y+35,'Art der Bezge',90);
			$pdf->RotatedText($X+105,$y+35,'Familirer Kontext',90);
			$pdf->RotatedText($X+115,$y+35,'Zielkategegorie',90);

			$pdf->RotatedText($X+120,$y+5,'Grad der Zielerreichung',0);
			$pdf->RotatedText($X+125,$y+35,'erreicht',90);
			$pdf->RotatedText($X+136,$y+35,'berwiegend',90);
			$pdf->RotatedText($X+140,$y+35,'erreicht',90);
			$pdf->RotatedText($X+149,$y+35,'teilweise',90);
			$pdf->RotatedText($X+153,$y+35,'erreicht',90);
			$pdf->RotatedText($X+162,$y+35,'nicht erreicht',90);

			if($sb['status'] == 'a') {
				$pdf->RotatedText($X+167,$y+5,'Art der Hilfebeendigung',0);
				$pdf->RotatedText($X+173,$y+35,'Mit Erfolg',90);
				$pdf->RotatedText($X+177,$y+35,'beendet',90);
				$pdf->RotatedText($X+189,$y+35,'Andere Hilfe',90);
				$pdf->RotatedText($X+200,$y+35,'Abbruch',90);
				$pdf->RotatedText($X+204,$y+35,'der Hilfe',90);
				$pdf->RotatedText($X+215,$y+25,'Grund des Abbruchs',0);
			}
			$pdf->SetFont('Arial','',9);
			$printHeadline = false;
			$refY = $y+37;
			$pdf->SetXY($X,$refY);
		}
		$pdf->Cell(10,$count*4,$sp['proj_id'],'TLR',0,'C');
		$pdf->Cell(10,$count*4,$sp['paragraph'],'TLR',0,'C');
		$pdf->Cell(10,$count*4,$sp['dauer'],'TLR',0,'C');
		$y = $pdf->GetY();
		$x = $pdf->GetX();
		if(empty($fls[0])) $fls[0] = '0.00';
		if(empty($fls[1])) $fls[1] = '0.00';
		$pdf->MultiCell(20,4*$count/2,$fls[0]."\n(".$fls[1].")",'TLR','C');
		$pdf->SetXY($x+20,$y);
		$i = 0;
		while($per = mysql_fetch_array($pers)) {
			$i++;
			$kind[$i] = $per['kind'] == 'j' || $per['kind'] == 'h';
			$geschlecht[$i] = (empty($per['geschlecht']) || $per['kind'] == 'n') ? '' : $per['geschlecht'];
			$alter[$i] = ($per['age'] == -99 || $per['kind'] == 'n') ? '' : $per['age'];
			$sr[$i] = empty($per['sozialraum']) ? '' : substr($per['sozialraum'],2);
			$bildung[$i] = empty($per['bildung']) ? '' : $per['bildung'];
			$art[$i] = empty($per['bez_art']) ? '' : $per['bez_art'];
			$kontext[$i] = (empty($per['kontext']) || $per['kind'] == 'j' || $per['kind'] == 'h') ? '' : $per['kontext'];
		}
		$i = 0;
		while($ziel = mysql_fetch_array($ziele)) {
			$i++;
			$teilziel[$i][0] = empty($ziel['ziel_kategorie']) ? '' : $ziel['ziel_kategorie'];
			for($j=1; $j<5; $j++) {
				$teilziel[$i][$j]  = "";
				$teilziel[$i][$j] .= ($ziel['erreicht_psb'] <= $j*3  && $ziel['erreicht_psb']  > ($j-1)*3) ? 'X' : ' ';
				$teilziel[$i][$j] .= ($ziel['erreicht_kind'] <= $j*3 && $ziel['erreicht_kind'] > ($j-1)*3) ? 'x' : ' ';
			}
		}
		$y = $pdf->GetY();
		$x = $pdf->GetX();
		for($i=1;$i<=$perscount;$i++) {
			if($kind[$i]) $pdf->SetFillColor(235,235,235);
			else $pdf->SetFillColor(255,255,255);
			$pdf->Cell(8,4*$count/$perscount,$geschlecht[$i],'TLR',0,'C',1);
			$pdf->Cell(10,4*$count/$perscount,$alter[$i],'TLR',0,'C',1);
			$pdf->Cell(10,4*$count/$perscount,$sr[$i],'TLR',0,'C',1);
			$pdf->Cell(10,4*$count/$perscount,$bildung[$i],'TLR',0,'C',1);
			$pdf->Cell(10,4*$count/$perscount,$art[$i],'TLR',0,'C',1);
			$pdf->Cell(10,4*$count/$perscount,$kontext[$i],'TLR',0,'C',1);
			$pdf->SetXY($x,$i*4*$count/$perscount + $y);
		}
		$pdf->SetXY($x+58,$y);
		for($i=1;$i<=$zielcount;$i++) {
			$pdf->Cell(10,4*$count/$zielcount,$teilziel[$i][0],'TLR',0,'C');
			$pdf->Cell(1,4*$count/$zielcount,'','LR',0,'C');
			$pdf->SetFillColor(102,255,51);
			$pdf->Cell(12,4*$count/$zielcount,$teilziel[$i][1],'TLR',0,'C',1);
			$pdf->SetFillColor(255,255,51);
			$pdf->Cell(12,4*$count/$zielcount,$teilziel[$i][2],'TLR',0,'C',1);
			$pdf->SetFillColor(255,102,51);
			$pdf->Cell(12,4*$count/$zielcount,$teilziel[$i][3],'TLR',0,'C',1);
			$pdf->SetFillColor(255,51,51);
			$pdf->Cell(12,4*$count/$zielcount,$teilziel[$i][4],'TLR',0,'C',1);
			if($sb['status'] == 'a') $pdf->Cell(1,4*$count/$zielcount,'','LR',0,'C');
			$pdf->SetXY($x+58,$i*4*$count/$zielcount + $y);
		}
		if($sb['status'] == 'a') {
			$pdf->SetXY($x+118,$y);
			$pdf->Cell(13,4*$count,$sp['ende']==1 ? 'X' : '','TLR',0,'C');
			$pdf->Cell(13,4*$count,$sp['ende']==2 ? 'X' : '','TLR',0,'C');
			$pdf->Cell(13,4*$count,$sp['ende']==3 ? 'X' : '','TLR',0,'C');

			$pdf->Cell(1,$count*4,'','LR',0,'C');
			$y = $pdf->GetY();
			$x = $pdf->GetX();
			$pdf->Cell(72,$count*4,'','TLR');
			$pdf->SetXY($x,$y);
			$pdf->MultiCell(72,4,$sp['grund'],'TLR');
		}
		$refY+=($count*4);
		$pdf->SetXY($X,$refY);
		$pdf->Cell(118,1,'','T');
		$pdf->Cell(1,1,'');
		$pdf->Cell(48,1,'','T');
		$pdf->Cell(1,1,'');
		if($sb['status'] == 'a') {
			$pdf->Cell(39,1,'','T');
			$pdf->Cell(1,1,'');
			$pdf->Cell(72,1,'','T');
		}
		$pdf->SetXY($X,$refY);
	}
	$pdf->SetY($pdf->GetY()+4);
  }
  if($druckseite['seite'] == 3) {
	$drucks = abfrage1("select * from tb_sachbericht_druck where sb_id='$rvar_sb_id' and prio>0 order by prio asc");
	$x = $pdf->GetX();
	$pb = array(0,35,35,35,35,35,100,65,35,40,40,50);
	$colorindex = 1;
	while($druck = mysql_fetch_array($drucks)) {
		if($druck['seitenumbruch'] == 'j') $pdf->AddPage();
		else $pdf->CheckPageBreak($pb[$druck['chart_id']]+6);
		$pdf->SetFont('stw','',12);
		if($druckseite['prio']==0) $pdf->Cell(180,6,$druck['prio'].'. '.$druck['titel'],0,1);
		else $pdf->Cell(180,6,$druckseite['prio'].'. '.$druck['prio'].'. '.$druck['titel'],0,1);
		if($druck['include1st']=='n') $pdf->Ln(1);
		$additionalCharts = abfrage1("select hilfeart_id, subchart_id, text, seitenumbruch from tbh_sachbericht_charts where sb_id='$rvar_sb_id' and chart_id='".$druck['chart_id']."' order by sort asc, subchart_id asc");
		$adds = mysql_num_rows($additionalCharts);
		$right = false;
		$maxval = 0;
		$maxindex = 0;
		$data = array();
		for($i=($druck['include1st']=='j' ? 0 : 1);$i<=$adds;$i++) {
		  $adchrt = array();
		  $haheight = 2;
		  $ja = false;
		  if($i>0) {
			$adchrt = mysql_fetch_row($additionalCharts);
			if(empty($adchrt[0])) {
				$ha2s = abfrage1("select s.hilfeart_id, a.beschreibung from tbh_sachbericht_subcharts s left join tb_hilfeart a using(hilfeart_id) where s.subchart_id='$adchrt[1]'");
				$array = "(";
				$ha[0] = "";
				$haheight = mysql_num_rows($ha2s) * 2;
				while($ha2 = mysql_fetch_row($ha2s)){
					if($ha2[0] < 1) {
						$id = $ha2[0] * -1;
						$ha3 = abfrage("select name, name2 from tb_kontakte where kont_id='$id' and kh_id='0'");
						$array .= "$id, ";
						$ha[0] .= "$ha3[0] $ha3[1] \n";
						$ja = true;
					} else {
						$array .= "$ha2[0], ";
						$ha[0] .= "$ha2[1] \n";
					}
				}
				$array = substr($array,0,-2) . ")";
			} else {
				if($adchrt[0] < 0){
					$ja = true;
					$id = $adchrt[0] * -1;
					$ha = abfrage("select concat(name,' ',name2) from tb_kontakte where kont_id = '$id' and kh_id='0'");
					$array = "($id)";
				} else {
					$ha = abfrage("select beschreibung from tb_hilfeart where hilfeart_id = '$adchrt[0]'");
					$array = "($adchrt[0])";
				}
			}
		  }
		  if($adchrt[3] == 'j') $pdf->AddPage();
		  else $pdf->CheckPageBreak($pb[$druck['chart_id']]);
		  if($right) $y = $pdf->GetY();
		  else {
			  $y = $pdf->GetY() + $haheight;
			  $pdf->SetXY($pdf->GetX(),$y);
		  }
		  $leftjoin = ($i==0) ? '' : "left join tb_projekte p using(proj_id) ";
		  $and = ($i==0) ? '' : "and p.hilfeart_id in $array";
		  if($ja) {
			$leftjoin .= "left join tb_kontakte_ap a using(ap_id) ";
			$and = "and a.kont_id in $array";
		  }
		  switch ($druck['chart_id']) {
		  case 1:
			/* Geschlecht der Hilfeempfnger / Geschwisterkinder (1)*/
			$name = array('keine Angabe', 'weiblich', 'mnnlich');
			$data = array($name[0] => 0, $name[1] => 0, $name[2] => 0);
			$sql = "select s.geschlecht from tb_sachbericht_person s $leftjoin";
			$sql .= "where s.sb_id='$rvar_sb_id' and (s.kind='j' or s.kind='h') $and";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				$data[ $name[ $sp[0] ] ] ++;
			}
			$pdf->PieChart(100, 35, $data, '%p %l (%v)', $color);
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X+36,$y+6-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = $right ? $y+35 : $y;
			$MaxY = $y+35;
			$w = 90;
			break;
		  case 2:
			/* Art der Bezge (2)*/
			$name = array('keine Angabe', 'ALG I', 'ALG II', 'Sozialhilfe', 'in Arbeit', 'Rente', 'Selbstndig');
			$data = array($name[0] => 0, $name[1] => 0, $name[2] => 0, $name[3] => 0, $name[4] => 0, $name[5] => 0, $name[6] => 0);
			$sql = "select s.bez_art from tb_sachbericht_person s $leftjoin";
			$sql .= "where s.sb_id='$rvar_sb_id' and (s.kind='n' or s.age > 17) $and";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				$data[ $name[ $sp[0] ] ] ++;
			}
			$pdf->PieChart(100, 35, $data, '%p %l (%v)', $color);
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X,$y-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = $right ? $y+45 : $y;
			$MaxY = $y+45;
			$w = 90;
			break;
		  case 3:
			/* Alter bei Beginn (3)*/
			$data = array();
			$sql = "select s.age, count(s.age) from tb_sachbericht_person s $leftjoin";
			$sql .= "where s.sb_id='$rvar_sb_id' and (s.kind='j' or s.kind='h') $and";
			$sql .= " group by s.age order by s.age asc";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				if($sp[0]>=0) $data[ $sp[0] ] = $sp[1];
				if($sp[0] > $maxindex) $maxindex = $sp[0];
				if($sp[1] > $maxval) $maxval = $sp[1];
			}
			$right = true;
			$pdf->BarDiagram(180,30,$data,'%l',$color[$colorindex++],$maxval+1,$maxindex,4,"Alter bei Hilfebeginn","Anzahl");
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X+5,$y-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = $y+30;
			$MaxY = $y+25;
			$w = 180;
			break;
		  case 4:
			/* Dauer der Hilfen (4)*/
			$data = array();
			$sql = "select s.dauer, count(s.dauer) from tb_sachbericht_proj s $leftjoin";
			$sql.= "where sb_id='$rvar_sb_id' $and";
			$sql.= " group by dauer order by dauer asc";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				if($sp[0]>0) $data[ $sp[0] ] = $sp[1];
				if($sp[0] > $maxindex) $maxindex = $sp[0];
				if($sp[1] > $maxval) $maxval = $sp[1];
			}
			$right = true;
			$pdf->BarDiagram(180,30,$data,'%l',$color[$colorindex++],$maxval+1,$maxindex,$maxval>16 ? 6 : max(3,floor(($maxval+1)/2)),"Dauer der Hilfe (in Monaten)","Anzahl");
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X+5,$y-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = $y+30;
			$MaxY = $y+25;
			$w = 180;
			break;
		  case 5:
			/* Familirer Kontext (5)*/
			$name = array('keine Angabe', 'Alleinerziehend', 'Pflegefamilie', 'Leibliche Eltern', 'Stiefeltern', 'Adoptiveltern');
			$data = array($name[0] => 0, $name[1] => 0, $name[2] => 0, $name[3] => 0, $name[4] => 0, $name[5] => 0);
			$sql = "select s.kontext from tb_sachbericht_person s $leftjoin";
			$sql .= "where s.sb_id='$rvar_sb_id' and s.kind='n' $and";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				$data[ $name[ $sp[0] ] ] ++;
			}
			$pdf->PieChart(100, 35, $data, '%p %l (%v)', $color);
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X,$y-1-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = $right ? $y+40 : $y;
			$MaxY = $y+35;
			$w = 90;
			break;
		  case 6:
			/* Zielkategorien (6)*/
			$zks = abfrage1("select z.zielkategorie from tb_zielkategorie z
							left join tbh_kont_zielkategorie kz using(zielkategorie_id)
							left join tbh_sachbericht_ja j using(kont_id)
							where j.sb_id = '$rvar_sb_id' and kz.aktiv='j'
							group by z.zielkategorie_id order by z.zielkategorie_id asc");
			$name = array();
			$name[] = 'keine Angabe';
			$trans = array("&auml;" => "", "&ouml;" => "", "&uuml;" => "", "&szlig;" => "");
			while($zk = mysql_fetch_row($zks)) {
				$name[] = strtr($zk[0], $trans); 
			}
			$data = array();
			foreach($name as $val) {
				$data[$val] = 0;
			}
			$sql = "select s.ziel_kategorie from tb_sachbericht_ziel s $leftjoin";
			$sql .= "where s.sb_id='$rvar_sb_id' $and";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				$data[ $name[ $sp[0] ] ] ++;
			}
			$pdf->PieChart(180, 100, $data, '%p %l (%v)', $color);
			$right = true;
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X,$y-2-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = 250;
			$temp = sizeof($data) * 7;
			if($temp < 110) $temp = 110;
			if($Y < $y+$temp) $Y = $y+$temp;
			$MaxY = $y+$temp;
			$w = 180;
			break;
		  case 7:
			/* Grad der Zielerreichung (7) - andere Farben hier!*/
			$name = array('keine Angabe', 'erreicht', 'berwiegend erreicht', 'teilweise erreicht', 'nicht erreicht');
			$data = array($name[0] => 0, $name[1] => 0, $name[2] => 0, $name[3] => 0, $name[4] => 0);
			$kinder = $data;
			$psbs = $data;
			$sql = "select s.erreicht_kind, s.erreicht_psb from tb_sachbericht_ziel s $leftjoin";
			$sql .= "where s.sb_id='$rvar_sb_id' $and";
			$szs = abfrage1($sql);
			while($sz = mysql_fetch_array($szs)) {
				$c = ceil($sz[0]/3);
				if($c > 4 || empty($sz[0])) $c = 0;
				$data[ $name[$c] ] ++;
				$kinder[ $name[$c] ] ++;
				$c = ceil($sz[1]/3);
				if($c > 4 || empty($sz[1])) $c = 0;
				$data[ $name[$c] ] ++;
				$psbs[ $name[$c] ] ++;
			}
			$col = array(array(255,255,255), array(102,255,51), array(255,255,51),	array(255,153,51), array(255,51,51));
			$pdf->PieChart(100, 35, $data, '%p %l (%v)', $col);
			$pdf->SetXY(120,$y-2);
			$pdf->Text(120,$y-3,"Kinder");
			$pdf->PieChart(70, 25, $kinder, '%p %l (%v)', $col, false);
			$pdf->SetXY(120,$y+27);
			$pdf->Text(120,$y+26,"PSBs");
			$pdf->PieChart(70, 25, $psbs, '%p %l (%v)', $col, false);
			$right = true;
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X,$y-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = $y+55;
			$MaxY = $y+55;
			$w = 180;
			break;
		  case 8:
			/* Art der Hilfebeendigung (8)*/
			$name = array('keine Angabe', 'Erfolg', 'Andere Hilfe', 'Abbruch');
			$data = array($name[0] => 0, $name[1] => 0, $name[2] => 0, $name[3] => 0);
			$sql = "select s.ende from tb_sachbericht_proj s $leftjoin";
			$sql .= "where sb_id='$rvar_sb_id' $and";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				$data[ $name[ $sp[0] ] ] ++;
			}
			$pdf->PieChart(100, 35, $data, '%p %l (%v)', $color);
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X,$y-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = $right ? $y+40 : $y;
			$MaxY = $y+35;
			$w = 90;
			break;
		  case 9:
			/* Fachleistungsstunden (9)*/
			$kls = array();
			$fz = array();
			$fz2 = array();
			$soll = array();

			$sql = "SELECT sum(s.kls),sum(s.fz),sum(s.fls_soll),monat FROM tbh_sachbericht_fls s $leftjoin";
			$sql .= "WHERE s.sb_id='$rvar_sb_id' $and";
			$sql .= " GROUP BY s.monat ORDER BY s.monat ASC";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				$ts = mktime(0,0,0, date('n', $sb['von_ts']) - 1 + $sp[3], 1, date('Y', $sb['von_ts']));
				$index = date('n.Y',$ts);
				$kls[$index] = round($sp[0] / 13 * 3, 2);
				$fz[$index] = round(($sp[1]+$sp[0]) / 13 * 3, 2);
				$fz2[$index] = round(($sp[1]) / 13 * 3, 2);
				$soll[$index] = round($sp[2] / 13 * 3, 2);
			}
			$tempY = $pdf->GetY();
			$tempX = $pdf->GetX();
			$max = max(empty($kls) ? 1 : max($kls), empty($fz) ? 1 : max($fz), empty($soll) ? 1 : max($soll));
			$pdf->SetX($tempX + 2 / ceil((empty($soll) ? 1 : sizeof($soll)) /12));
			$pdf->BarDiagram(180,30,$soll,'%l',array(255,0,0),$max,0,4,"Zeit (in Monaten)","h / w", false);
			$pdf->SetX($tempX);
			$pdf->BarDiagram(180,30,$fz,'%l',array(0,0,255),$max,0,4,"Zeit (in Monaten)","h / w", false);
			$pdf->BarDiagram(180,30,$kls,'%l',array(0,128,0),$max,0,4,"Zeit (in Monaten)","h / w", true);

			//Legende
			$right = true;
			$Y = $tempY+26;
			$pdf->SetFont('Arial','',8);
			$pdf->SetFillColor(0,128,0);
			$pdf->Rect($tempX,$Y,4,4,'DF');
			$pdf->SetXY($tempX+4,$Y);
			$sum = array_sum($kls);
			$pdf->Cell(0,4,"Kontaktstunden ($sum)");

			$sum_fz = array_sum($fz);

			$pdf->SetFillColor(0,0,255);
			$pdf->Rect($tempX+47,$Y,4,4,'DF');
			$pdf->SetXY($tempX+51,$Y);
			$sum = array_sum($fz2);
			$proz = $sum_fz==0 ? 0 : round($sum/$sum_fz * 100,2);
			$pdf->Cell(0,4,"Fahrzeit ($sum) $proz%");

			$pdf->SetFillColor(0,0,255);
			$pdf->Rect($tempX+88,$Y,4,1,'DF');
			$pdf->SetFillColor(0,128,0);
			$pdf->Rect($tempX+88,$Y+1,4,3,'DF');
			$pdf->SetXY($tempX+92,$Y);
			$pdf->Cell(0,4,"Summe ($sum_fz)");

			$pdf->SetFillColor(255,0,0);
			$pdf->Rect($tempX+121,$Y,4,4,'DF');
			$pdf->SetXY($tempX+125,$Y);
			$sum = array_sum($soll);
			$pdf->Cell(0,4,"Sollstunden ($sum)",0,1);
			$pdf->SetY($tempY + 25);
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X+5,$y-1-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = $y+35;
			$MaxY = $y+30;
			$w = 180;
			break;
		  case 10:
			/* Sozialrume (10)*/
			if($i==0) $data = array('keine Angabe' => 0);
			else foreach($data as $l=>$val) {
				$data[$l] = 0;
			}
			$sql = "select s.sozialraum from tb_sachbericht_person s $leftjoin";
			$sql .= "where s.sb_id='$rvar_sb_id' and s.kind='h' $and";
			$sql .= " group by s.proj_id order by s.sozialraum asc";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				$index = (empty($sp[0])) ? 'keine Angabe' : (strlen($sp[0])>2 ? substr($sp[0],2) : $sp[0]);
				$data[ $index ] ++;
			}
			$to_add = max(40,sizeof($data)*6);
			if($pdf->CheckPageBreak($to_add)) $y = $pdf->GetY();
			$pdf->PieChart(100, 35, $data, '%p %l (%v)', $color);
			$pdf->SetFont('stw','',5);
			if($i>0) {
				$pdf->SetXY($X,$y-2-$haheight);
				$pdf->MultiCell(90,2,$ha[0]);
			}
			$Y = $right ? $y+$to_add : $y;
			$MaxY = $y+$to_add;
			$w = 90;
			break;
		  case 11:
			/* Hilfearten (11)*/
			$data = array('keine Angabe' => 0);
			$sql = "select p.hilfeart_id, r.beschreibung from tb_sachbericht_proj s 
					left join tb_projekte p using (proj_id)
					left join tb_hilfeart r using (hilfeart_id)
					where p.hilfeart_id > 0
					group by p.hilfeart_id
					order by p.hilfeart_id asc";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				$data[ $sp[1] ] = 0;
			}
			$sql = "select p.hilfeart_id, r.beschreibung from tb_sachbericht_proj s 
					left join tb_projekte p using (proj_id)
					left join tb_hilfeart r using (hilfeart_id) ";
			if($i>0)  $sql .= "left join tb_kontakte_ap a using(ap_id) ";
			$sql .= "where s.sb_id='$rvar_sb_id'";
			if($i>0) $sql .= " and a.kont_id in $array";
			$sql .= " order by p.hilfeart_id asc";
			$sps = abfrage1($sql);
			while($sp = mysql_fetch_row($sps)) {
				$index = (empty($sp[0])) ? 'keine Angabe' : $sp[1];
				$data[ $index ] ++;
			}
			$to_add = max(40,sizeof($data)*6);
			if($pdf->CheckPageBreak($to_add)) $y = $pdf->GetY();
			$pdf->Ln(8);
			$pdf->PieChart(180, 35, $data, '%p %l (%v)', $color, true, true);
			$pdf->SetFont('stw','',5);
			$right = true;
			if(empty($adchrt[0])) {
				$ha2s = abfrage1("select k.name, k.name2 from tbh_sachbericht_subcharts s left join tb_kontakte k on s.hilfeart_id = k.kont_id and k.kh_id='0' where s.subchart_id='$adchrt[1]'");
				$name = "";
				while($ha2 = mysql_fetch_row($ha2s)){
					$name .= "$ha2[0] $ha2[1] \n";
				}
			} else {
				$kont = abfrage("select name, name2 from tb_kontakte where kont_id = '$adchrt[0]' and kh_id='0'");
				$name = "$kont[0] $kont[1] \n";
			}
			if($i>0) {
				$pdf->SetXY($X,$y-1-$haheight+8);
				$pdf->MultiCell(90,2,$name);
			}
			$Y = $y+$to_add;
			$MaxY = $y+$to_add;
			$w = 180;
			break;
		  }
		  if($i>0 && !empty($adchrt[2])) {
			$pdf->SetFont('Arial','',9);
			if($w == 90) $pdf->SetXY($right ? 110 : $x, $MaxY);
			else $pdf->SetXY($x, $MaxY);
			$pdf->MultiCell($w,5,$adchrt[2]);
			if($w == 90) $MaxY = $pdf->GetY();
			else $MaxY = $Y = $pdf->GetY();
		  }
		  $X = $right ? $x : 110;
		  $right = !$right;
		  $pdf->SetXY($X,$Y);
		}
		$pdf->SetY($MaxY);
		$pdf->SetFont('Arial','',12);
		$pdf->MultiCell($right==false ? 180 : 90,5,$druck['text']);
		if($MaxY < $pdf->GetY() || $pdf->GetY() < $y) $MaxY = $pdf->GetY();
		$pdf->SetY($MaxY + 13);
		if($druck['chart_id']==10) {
			$sql = "select distinct r.id, r.plz, r.ort from tb_sozialraum r 
					left join tb_sachbericht_person s on s.sozialraum = concat(r.kreis,r.id) 
					where s.sb_id='$rvar_sb_id' and r.id > 0
					order by r.id asc, r.plz asc, r.ort asc";
			$srs = abfrage1($sql);
			$printHeadline = true;
			while($sr = mysql_fetch_row($srs)) {
				if($printHeadline) {
					$pdf->SetFont('stw','',10);
					$pdf->Cell(20,5,'Sozialraum',0,0,'C');
					$pdf->Cell(20,5,'PLZ',0,0,'C');
					$pdf->Cell(60,5,'Ort',0,1);
					$pdf->SetFont('Arial','',12);
					$srold = $sr[0]; $ortold = $sr[2]; $plzold = $sr[1]; $idold = 0;
					$printHeadline = false;
				} elseif($srold == $sr[0] && $plzold == $sr[1]) {
					$ortold .= ", $sr[2]";
				} else {
					$pdf->Cell(20,4,$idold==$srold ? '' : $srold,0,0,'C');
					$pdf->Cell(20,4,$plzold,0,0,'C');
					$idold=$srold;
					$pdf->Cell(60,4,$ortold,0,1);
					if($srold!=$sr[0]) $pdf->Cell(1,2,'',0,1);
					$srold = $sr[0]; $ortold = $sr[2]; $plzold = $sr[1];
				}
				if($pdf->GetY() > 268) {
					$printHeadline = true;
					$pdf->AddPage();
				}
			}
			$pdf->Cell(20,4,$idold==$srold ? '' : $srold,0,0,'C');
			$pdf->Cell(20,4,$plzold,0,0,'C');
			$pdf->Cell(60,4,$ortold,0,1);
			$pdf->ln();
			$pdf->ln();
		}
	}
  }
  if($druckseite['seite'] == 4) {
	$pdf->SetFont('Arial','',12);
	$pdf->MultiCell(180,5,$sb['tendenzen']);
	$pdf->ln();
  }
  if($druckseite['seite'] >= 5) {
	$pdf->SetFont('Arial','',12);
	$files = abfrage1("select seitenumbruch, datei, width, height, text from tbh_sachbericht_images where sb_id='$rvar_sb_id' and seite='{$druckseite['seite']}' order by sort asc");
	while($file = mysql_fetch_array($files)) {
		if($file[0] == 'j') $pdf->Addpage();
		if(!empty($file['datei'])) {
			$y = $pdf->Image("img/".$file['datei'], 105-($file['width']/2), $pdf->GetY(), $file['width'], $file['height']);
			$pdf->SetY($y+2);
		}
		if(!empty($file['text'])) {
			$pdf->MultiCell(180,5,$file['text']);
			$pdf->Ln(3);
		}
	}
  }
  if(!empty($druckseite['text'])) $pdf->MultiCell($druckseite['seite'] == 2 && $sb['status'] == 'a' ? 270 : 180,5,$druckseite['text']);
  $pdf->ln();
  if($druckseite['seite'] == 2 && $seite != $letzteSeite) $pdf->Addpage('P');
}
$pdf->Output();
exit;
?>