<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: sammel_pr.php 2914 2018-11-24 18:38:25Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 65;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");

$traeger = $_SESSION[$AppCode]["TR"];
$pdf_datei = "mandant/$traeger/pdf_5.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$druck_typ = 'RE';

class SammelPDF extends PDF {
	var $angle=0;

	function Rotate($angle, $x=-1, $y=-1){
		if ($x==-1) $x=$this->x;
		if ($y==-1) $y=$this->y;
		if ($this->angle!=0)
			$this->_out('Q');
		$this->angle=$angle;
		if($angle!=0){
			$angle*=M_PI/180;
		  $c=cos($angle);
		  $s=sin($angle);
		  $cx=$x*$this->k;
		  $cy=($this->h-$y)*$this->k;
		  $this->_out(sprintf('q %.5f %.5f %.5f %.5f %.2f %.2f cm 1 0 0 1 %.2f %.2f cm', $c, $s, -$s, $c, $cx, $cy, -$cx, -$cy));
		}
	}

	function RotatedText($x, $y, $txt, $angle){
		$this->Rotate($angle, $x, $y);
		$this->Text($x, $y, $txt);
		$this->Rotate(0);
	}
}

//Beginn der PDF-Datei
$pdf=new SammelPDF();
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetRightMargin(20.0);

$pageNr = 0;

if(isset($rvar_re_id)) $sql = "select distinct re_id from tb_rechnung where re_id = '$rvar_re_id'";
else	$sql = "select r.re_id from tb_zg_rechnung r
				left join tb_zahlungsgruppe z using(zg_id)
				where r.nachw_id='$rvar_nw' 
				group by r.re_id
				order by (r.zg_id=0) asc, z.name asc, r.re_id asc";
$res = abfrage1($sql);
while($re = mysql_fetch_row($res)) {
	if($pageNr) $pdf->Text(15,200,"Anhang zur Rechnung $rech[0]  Seite $pageNr");
	$pdf->SetLeftMargin(20.0);
	$pdf->SetAutoPageBreak(auto,38);
	if($pdf->PageNo() % 2 > 0) {
		$pdf->AddPage('P','',false,true,false);
		$pdf->AddPage('P','',true,false,true);
	} else $pdf->AddPage('P','',true);

	$pdf->SetFont('arial','',11);
	$zg = abfrage_array("select z.*, r.proj_id from tb_zg_rechnung r left join tb_zahlungsgruppe z using(zg_id) where r.re_id='$re[0]' limit 1");
	$rech = abfrage_array("select r.re_nr, unix_timestamp(r.datum), r.text, r.datum as r_datum, r.textausgabe, r.nachw_id, r.betrag from tb_rechnung r where r.re_id = '$re[0]';");

	if(empty($zg[0])) { /* Einzelrechnung */
		$zg_id = projekt_sammelrechnung($zg['proj_id'],$rvar_ab_monat);
		$zg = abfrage_array("select * from tb_zahlungsgruppe where zg_id = '$zg_id'");
	}

	if(empty($zg['kont_id_rechnung'])) {
		$sql = "select k.kont_id from tbh_zg_kont z
				left join tb_kontakte k using(kont_id)
				where z.zg_id='$zg[0]'
				order by k.kurzname asc limit 1";
		$kont = abfrage($sql);
		$kont_id_rechnung = $kont[0];
	} else $kont_id_rechnung = $zg['kont_id_rechnung'];

	$pdf->SetFont('arial','',11);
	$sql = "select name, name2, strasse, plz, ort, kdnr, zahlung
			from tb_kontakte where kh_id='0' and kont_id='$kont_id_rechnung'";
	$kont = abfrage_array($sql);
	$Y = 60;
	$pdf->SetXY(20,$Y); $Y += 4.5;
	$pdf->Cell(80,5,$kont[0]);
	$pdf->SetXY(20,$Y); $Y += 4.5;
	$pdf->Cell(80,5,$kont[1]);
	$pdf->SetXY(20,$Y); $Y += 4.5;
	$pdf->Cell(80,5,"Wirtschaftliche Jugendhilfe");
	$pdf->SetXY(20,$Y); $Y += 6;
	$pdf->Cell(80,5,$kont[2]);
	$pdf->SetXY(20,$Y); $Y += 8;
	$pdf->Cell(80,5,$kont[3] . " " . $kont[4]);

	$conf_re_ap = getConf('re_ap');
	$conf_re_tel = getConf('re_tel');
	$pdf->SetFont('arial','',10);
	$pdf->SetXY(20,110);
	$pdf->Cell(50,5,$kont[5]);
	$pdf->Cell(50,5,$conf_re_ap);
	$pdf->Cell(45,5,$conf_re_tel);
	$datum = date('d.m.Y', $rech[1]);
	$pdf->Cell(20,5,$datum);
	$pdf->SetFont('arialb','',14);
	$pdf->SetXY(20,120);
	$pdf->Cell(100,5,"Rechnung Nr. $rech[0]");
	$pdf->SetFont('arial','',10);
	$pdf->Cell(65,5,"Leistungszeitraum: ".str_replace('ä', "", strftime('%B %Y', $rech[1])),0,0,'R');
	$pdf->SetXY(20,127);
	if($zg['name']) {
		$pdf->Cell(100,5,$zg['name']);
		$pdf->SetXY(20,134);
	}
	// berschriften Tabelle
	$pdf->SetFont('arialb','',11);
	$pdf->Cell(10,6,'Pos.',1,0,'C');
	$pdf->Cell(16,6,'Menge',1,0,'C');
	$pdf->Cell(89,6,'Text',1,0,'C');
	$pdf->Cell(25,6,'Einzelpreis',1,0,'C');
	$pdf->Cell(25,6,'Gesamtpreis',1,1,'C');

	$pdf->SetFont('arial','',10);
	$sum = $kls = $klsE = $fz = $fzE = $km = $kmE = 0;
	$sql = "select * from tb_zg_position where re_id = '$re[0]' order by pos asc, subpos asc";
	$positions = abfrage1($sql);
	while($pos = mysql_fetch_assoc($positions)) {
		$pdf->Cell(10,6,$pos['pos'].'.'.$pos['subpos'],1,0,'L');
		if($pos['typ']=='h') {
			$kls += $pos['menge'];
			$klsE += round($pos['satz']*$pos['menge'],2);
			$menge = fls_form($pos['menge']);
		} elseif($pos['typ']=='fz') {
			$fz += $pos['menge'];
			$fzE += round($pos['satz']*$pos['menge'],2);
			$menge = fls_form($pos['menge']);
		} elseif($pos['typ']=='km') {
			$km += $pos['menge'];
			$kmE += round($pos['satz']*$pos['menge'],2);
			$menge = km_form($pos['menge']);
		} else $menge = geld_form_formular($pos['menge']).' '.$pos['typ'];
		$pdf->Cell(16,6,$menge,1,0,'R');
		$pdf->Cell(89,6,$pos['text'],1,0,'L');
		$pdf->Cell(25,6,geld_form($pos['satz']),1,0,'R');
		$pdf->Cell(25,6,geld_form($pos['satz']*$pos['menge']),1,1,'R');
		$sum += round($pos['satz']*$pos['menge'],2);
	}
	$pdf->Ln(1);
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(15,6,'Summe:','TLB',0,'L');
	$pdf->SetFont('arial','',10);
	$txt = "";
	if($kls > 0) $txt .= fls_form($kls) . " KLS (" . geld_form_formular($klsE) . ")   ";
	if($fz > 0) $txt .= fls_form($fz) . " FZ (" . geld_form_formular($fzE) . ")   ";
	if($km > 0) $txt .= km_form($km) . " (" . geld_form_formular($kmE) . ")   ";
	$pdf->Cell(125,6,$txt,'TB',0,'L');
	$pdf->SetFont('arialb','',10);
	$pdf->Cell(25,6,geld_form($sum),'TRB',1,'R');
	$pdf->SetFont('arial','',10);
	$pdf->Cell(165,6,"Der Gesamtbetrag ist steuerfrei.",1,1,'L');
	$pdf->Ln(3);
	$bis = date('d.m.Y', mktime(0,0,0, date('n', $rech[1]), date('d', $rech[1]) + $kont[6], date('Y', $rech[1])));
	$pdf->Cell(165, 4, "Zahlbar bis $bis ohne Abzug.");
	$pdf->Ln(7);
	$text = "Der Rechnungsbetrag ist gem  288 BGB nach Ablauf von 30 Tagen seit dem Zugang dieser Rechnung mit 8,42 % zu verzinsen.";
	$pdf->MultiCell(165,4,$text);
	if($GLOBALS["traeger"] == 'stw') {
		$pdf->Ln(3);
		$pdf->Cell(165, 4, "Steuer-Nr.: 213 120 02431",0,1);
		$pdf->Cell(165, 4, "Finanzamt Hoyerswerda, Pforzheimer Platz 1, 02977 Hoyerswerda");
	}

	/************************\
	 *                      *
	 *     A N H A N G      *
	 *                      *
	\************************/

	$pdf->SetAutoPageBreak(auto,15);
	$pdf->SetLeftMargin(15.0);
	$startAnhang = true;
	$ab_monat = date('Y-m-01', $rech[1]);
	$fmn = date('Y-m-d', mktime(0,0,0, date('n', $rech[1]) + 1, 1, date('Y', $rech[1])));
	$von_ts = date_my2ts($ab_monat);
	$bis_ts = mktime(0,0,0,date('n',$von_ts),date('t', $von_ts), date('Y', $von_ts));
	$monat = strftime('%B %Y', $von_ts);
	list($year, $month, $day) = explode("-", $ab_monat);
	$cnt = $sumSoll = $sumIst = $sumFZ = $sumABetrag = $sumRBetrag = 0;
	$zwischenSoll = $zwischenIst = $zwischenFZ = $zwischenCnt = $zwischenABetrag = $zwischenRBetrag = 0;
	$nw = abfrage("SELECT nachw_id FROM tb_ab_nachw WHERE datum='$ab_monat'");
	$sql = "select pr.proj_id, p.name, p.vorname, pr.register, 
			IF((kh.kh_id IS NULL), k.ab_modus, kh.ab_modus) as ab_modus, right(pr.az,8) as az
			from tb_zg_rechnung z 
			left join tb_projekte pr using(proj_id)
			left join tb_kontakte_ap a on(pr.ap_id = a.ap_id)
			left join tb_kontakte k on(k.kont_id = a.kont_id)
			left join tb_kont_hilfeart kh on k.kont_id = kh.kont_id and kh.hilfeart_id=pr.hilfeart_id and kh.von<date_add('$ab_monat',INTERVAL 1 MONTH) and (kh.bis>'$ab_monat' or kh.bis='0000-00-00')
			left join tbh_proj_personen pp on (pr.proj_id = pp.proj_id and pp.perstyp_id = 1)
			left join tb_personen p on p.person_id = pp.person_id
			left join tb_abschlag ab on (ab.nachw_id = '$nw[0]' and ab.proj_id = pr.proj_id)
			where z.re_id='$re[0]'
			group by proj_id order by right(pr.az,8) asc, p.name asc, p.vorname asc";
	$pros=abfrage1($sql);
	$projekte = array();
	$saetze = array();
	$abTypen = array();
	while($pro = mysql_fetch_array($pros)) {
		$projekte[$pro[0]] = $pro;
		$satz = stundensatz($ab_monat, $pro[0]);
		$abTypen[$pro[0]] = $satz[0];
		$saetze[$pro[0]] = $satz[1];
	}
	$gesamtABetrag = $gesamtRBetrag = $index = 0;
	$typen = array('h','d','m');
	$satzhead = array('h'=>'Stundensatz', 'd'=>'Tagessatz', 'm'=>'Monatssatz');
	$klshead = array('h'=>'KLS+fb', 'd'=>'Tage', 'm'=>'Monate');
	$first = true;
	foreach($typen as $type) {
	  $cnt = $sumSoll = $sumIst = $sumFZ = $sumABetrag = $sumRBetrag = 0;
	  $zwischenSoll = $zwischenIst = $zwischenFZ = $zwischenCnt = $zwischenABetrag = $zwischenRBetrag = 0;
	  foreach($saetze as $id => $satz) {
		$pro = $projekte[$id];
		$typ = $abTypen[$id];
		if($typ == $type){
			if($pdf->GetY() > 185 || $startAnhang) {
				if(!$startAnhang) {
					$pdf->Text(15,200,"Anhang zur Rechnung $rech[0]  Seite $pageNr");
					$pageNr++;
				} else {
					$pageNr = 1;
					$startAnhang = false;
				}
				$pdf->AddPage('L');
				$pdf->SetX(15);
				$pdf->SetFont('arialb','',13);
				$pdf->Cell(55,6,'Aktenzeichen','LTB',0,'L');
				$pdf->Cell(40,6,'Projekt-Nr','TB',0,'L');
				$pdf->Cell(25,6,'Satz','TB',0,'C');
				$pdf->Cell(30,6,'Soll','TB',0,'C');
				$pdf->Cell(25,6,'KLS+fb','TB',0,'C');
				$pdf->Cell(10,6,'FZ','TB',0,'R');
				$pdf->Cell(30,6,'Vormonat','TB',0,'C');
				$pdf->Cell(25,6,'Folgemonat','TB',0,'C');
				$pdf->Cell(25,6,'Betrag','RTB',1,'C');
			}
			$projekt = new stwProjekt($pro[0]);
			if($type == 'h') {
				$soll = $projekt->fls_monat($ab_monat);
			} elseif($type == 'd') {
				$ab_ts = date_my2ts($ab_monat);
				$beg_ts = $projekt->beginn_ts();
				$kalendertage = date('t',$ab_ts);
				if($ab_ts < $beg_ts) $kalendertage -= date('j',$beg_ts);
				if($pro['ab_modus'] != '433' && is_numeric($pro['ab_modus'])) {
					$soll = round(($kalendertage*$pro['ab_modus'])/100, 2);
				} else $soll = $kalendertage;
			} 
			$zwischenSoll += $soll;
			$sumSoll += $soll;
			$zwischenABetrag += fround($satz * $soll, 2);
			$sumABetrag += fround($satz * $soll, 2);
			if($type == 'h') {
				$ist = $projekt->fls_gesamt($ab_monat,true);
				$fz = $projekt->fls_fz($ab_monat);
				if(!$projekt->kontaktst($ab_monat)) $ist -= $fz;
				$vormonat = $projekt->fls_vormonat($ab_monat);
				$folgemonat = $projekt->fls_vormonat($fmn);

				$extra = fls_form($fz);
				$zwischenFZ += $fz;
				$sumFZ += $fz;
			} elseif($type == 'd') {
				$fz = 0;
				$DoIt = false;
				$extra = '';
				$pgr = $projekt->inProjektgruppe(date('Y-m-t',date_my2ts($ab_monat)));
				if($pgr) {
					$anw = abfrage("select schule, familie, hobbys, wohn from tb_projekte where proj_id='$pgr'");
					if(empty($anw[0]) && empty($anw[1]) && empty($anw[2])) $DoIt = true;
				} else $DoIt = true;
				$start = mktime(0, 0, 0, $month, 1, $year);
				$ende = mktime(0, 0, 0, $month, date('t',$start), $year);
				$beg = $projekt->beginn_ts();
				$end = $projekt->ende_ts();
				if($beg > $start) $start = $beg;
				if($end > 0 && $ende > $end) $ende = $end;
				$abschlag = abschlag_nw($nw[0],$projekt->id,false);
				$ist = $abschlag['ist'];
				$extra = $abschlag['km']>0 ? $abschlag['km'].' x '.geld_form_formular($abschlag['km_satz']) : '';
				$fz = $abschlag['km'] * $abschlag['km_satz'];
				$zwischenFZ += $fz;
				$sumFZ += $fz;
			}
			$zwischenIst += $ist;
			$sumIst += $ist;
			$zwischenRBetrag += $type=='h' ? fround($satz * ($fz+$ist), 2) : fround($satz * $ist + $fz, 2);
			$sumRBetrag += $type=='h' ? fround($satz * ($fz+$ist), 2) : fround($satz * $ist + $fz, 2);
			$zwischenCnt++;
			$cnt++;
			$pdf->SetFont('arialb','',12);
			$pdf->Cell(30,6,$pro[5]);
			$pdf->SetFont('arial','',12);
			$pdf->Cell(25,6,$pro[3],0,0,'R');
			$pdf->Cell(45,6,$projekt->nummer());
			$pdf->Cell(20,6,geld_form($satz),0,0,'R');
			$pdf->Cell(25,6,geld_form_formular($soll).' '.$type,0,0,'R');
			$pdf->Cell(25,6,geld_form_formular($ist).' '.$type,0,0,'R');
			$pdf->Cell(20,6,fls_form($fz),0,0,'R');
			$pdf->Cell(20,6,fls_form($vormonat),0,0,'R');
			$pdf->Cell(25,6,fls_form($folgemonat),0,0,'R');
			$pdf->Cell(30,6,geld_form($type=='h' ? fround($satz * ($fz+$ist), 2) : fround($satz * $ist + $fz, 2)),0,0,'R');
			$pdf->Ln(6);
			$sql = "select DATE_FORMAT(and_datum,'%e.%c.%y'), hp_st, kontakt, kontakt_fz, fallbegl from tb_hp where proj_id = '$projekt->id' 
					and hp_art in ('h','h2','s') and prognose = 'n' and and_datum <= '$ab_monat' and unix_timestamp(and_datum) > 0
					order by and_datum desc limit 1";
			$hp = abfrage($sql);
			$kls = $lastHP = 0;
			$txt = '';
			if($hp[1] > 0) {
				$kls = fls_form(($hp[2]=='j') ? ($hp[1] - $hp[3] - ($hp[4]=='j' ? 1 : 0)) : $hp[1]);
				$FZ = $hp[3];
				$FB = $hp[4];
				$txt .= "$kls KLS ";
				if($hp[4]=='j') $txt .= "+1fb ";
			}
			$sql = "select DATE_FORMAT(and_datum,'%e.%c.%y'), hp_st, kontakt, kontakt_fz, unix_timestamp(and_datum), fallbegl 
					from tb_hp where proj_id = '$projekt->id' 
					and hp_art in ('h','h2','s') and prognose = 'n' 
					and unix_timestamp(and_datum) > '$von_ts' and unix_timestamp(and_datum) <= '$bis_ts'
					order by and_datum asc";
			$hps = abfrage1($sql);
			while($hp = mysql_fetch_row($hps)) {
				if($kls !== fls_form(($hp[2]=='j') ? ($hp[1] - $hp[3] - ($hp[5]=='j' ? 1 : 0)) : $hp[1]) || $FZ != $hp[3] || $FB != $hp[5]) {
					$kls = fls_form(($hp[2]=='j') ? ($hp[1] - $hp[3] - ($hp[5]=='j' ? 1 : 0)) : $hp[1]);
					$FZ = $hp[3];
					$FB = $hp[5];
					if(strlen($txt) > 0) $txt .= ', ';
					$txt .= "ab $hp[0] ";
					$txt .= "$kls KLS ";
					if($hp[5]=='j') $txt .= "+1fb ";
					$lastHP = $hp[4];
				}
			}
			if($projekt->ende_ts() < $bis_ts && $projekt->ende_ts() > 0) $txt .= "bis " . date("j.n.y",$projekt->ende_ts());
			$y = $pdf->GetY();
			$pdf->MultiCell(100,6,$txt,'','L');
			$Y = $pdf->GetY();
			$pdf->SetXY(165,$y);
			$kmg = $projekt->kilometergeld($ab_monat);
			if($kmg[0] == 'j') {
				$km = abfrage("SELECT sum( km_abw_ja ) FROM tb_ab_zk WHERE ab_monat = '$ab_monat' AND proj_id = '$projekt->id' AND km_abw_ja > 0;");
			} elseif($kmg[0] == 'o') {
				$km = abfrage("SELECT sum( km_dienst ) + sum( km_privat ) FROM tb_ab_zk WHERE ab_monat = '$ab_monat' AND proj_id = '$projekt->id';");
			} else $km[0] = 0;
			$fahrtkosten = ($km[0] * $kmg[1])/100;
			$pdf->Cell(75,6,($km[0] > 0) ? "Km-Geld: ".km_form($km[0])."  ".($kmg[1]/100)." = ".geld_form($fahrtkosten) : '');
			$pdf->SetFont('arial','b',12);
			$pdf->Cell(40,6,geld_form($fahrtkosten + fround($type=='h' ? ($satz * ($fz+$ist)) : ($satz * $ist + $fz), 2)),0,0,'R');
			$pdf->SetFont('arial','',12);
			$zwischenRBetrag += $fahrtkosten;
			$sumRBetrag += $fahrtkosten;
			$pdf->SetXY(15,$Y+0.5);
			$pdf->Cell(265,0.5,'','T',1);
			$pdf->SetFont('arial','b',9);
			if($projekt->ende_ts() < $bis_ts && $projekt->ende_ts() > 0) $pdf->RotatedText(14,$Y-1,"Ende",90);
			elseif($projekt->beginn_ts() >= $von_ts) $pdf->RotatedText(14,$Y-2,"neu",90);
			elseif($lastHP <= $bis_ts && $lastHP >= $von_ts) $pdf->RotatedText(14,$Y-0.5,"ndg.",90);
			$pdf->SetFont('arial','',12);
		}
	  }
	}
}
$pdf->Text(15,200,"Anhang zur Rechnung $rech[0]  Seite $pageNr");

$pdf->Output('','',-2);
exit;
?>