<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: statistikbogen_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

$level = 25;

$pfad = substr(__FILE__, 0, strlen(__FILE__) - 21);
setlocale(LC_TIME, "de_DE@euro", "de_DE", "de_DE.UTF-8", "german", "de_AT", "de_AT.utf8");
require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
require_once($pfad.$pdf_datei);

require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

$footer = "Nachweis erbrachter Fachleistungsstunden nach SGB VIII";
$pdf->SetFillColor(192,192,192); 

if(empty($rvar_bis)) {
	$max = abfrage("select max(ab_monat) from tb_statistikbogen");
	$rvar_bis = $max[0];
}
$bis_ts = date_my2ts($rvar_bis);
$von_ts = mktime(0,0,0,date('n', $bis_ts) - 5, date('d', $bis_ts), date('Y', $bis_ts));
$bis = strftime("%B %Y",$bis_ts);

$statb_jas = getConf('statb_jas');

$sql = "select p.proj_id from tb_statistikbogen s
		left join tb_projekte p using(proj_id) ";
if($statb_jas != '') {
	$sql.= "left join tb_kontakte_ap a using(ap_id) ";
}
$sql.= "where s.ab_monat='$rvar_bis' ";
if($statb_jas != '') {
	$sql.= "and a.kont_id in ($statb_jas) ";
}
$sql.= "order by p.projektnr asc";
$projekte=abfrage1($sql);
while($pro = mysql_fetch_row($projekte)) {
	$projekt = new stwProjekt($pro[0]);
	$sign = '';
	$sum_at = 0;
	$sum_soll = 0;
	$sum_fls = 0;
	$pdf->AddPage();

	$pdf->SetFont('stw','',14);
	$pdf->Text(15,30,$footer);
	$pdf->SetLineWidth('0.1');

	$pdf->SetXY(14,35);
	$pdf->SetFont('stw','',12);
	$pdf->Cell(61,8,'Leistungserbringer:');
	$pdf->SetFont('arial','',10);
	$erb = abfrage("SELECT traeger_art FROM tb_traeger_art WHERE traeger_art_id = '$projekt->traeger_art_id'");
	$pdf->Cell(120,8,$erb[0],1,0,'C');
	$pdf->ln(10);
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(35,5,'Kostentrger:',1,0,'L',1);
	$pdf->SetFont('arial','',8);
	$ja = abfrage("select concat(name,' ',name2) from tb_kontakte where kont_id='$projekt->ja'");
	$pdf->Cell(65,5,$ja[0],1);
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(30,5,'Kostenzusage vom:',1,0,'L',1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(50,5,$projekt->kzu(),1,1,'C');
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(35,5,'Hilfeempfnger:',1,0,'L',1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(65,5,$projekt->nname(),1,0);
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(30,5,'Projekt-Nr.:');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(50,5,$projekt->nummer(),0,1,'C');
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(35,5,'Name Kind/er:',1,0,'L',1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(65,5,$projekt->vname(),1);
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(30,5,'Fall-Nummer:',1,0,'L',1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(50,5,$projekt->az,1,1,'C');
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(35,5,'Hilfeart:',1,0,'L',1);
	$pdf->SetFont('arial','',8);
	$ha = abfrage("select beschreibung, hilfeart from tb_hilfeart where hilfeart_id='$projekt->ha'");
	$pdf->Cell(95,5,empty($ha[0]) ? $ha[1] : $ha[0],1);
	$pdf->ln(6);
	$abrs = abfrage1("select unix_timestamp(ab_monat) from tb_statistikbogen where proj_id='$projekt->id' and ab_monat < '$rvar_bis' order by ab_monat asc");
	$zeitr = '';
	$last_abm = 0;
	$von1_ts = $von_ts;
	while($abr = mysql_fetch_row($abrs)) {
		$last_abm = $abr[0];
		if(strlen($zeitr) > 0) $zeitr .= ', ';
		$ts0 = mktime(0,0,0,date('n', $abr[0]) - 5, date('d', $abr[0]), date('Y', $abr[0]));
		$von0 = strftime("%B %Y",$ts0);
		$bis0 = strftime("%B %Y",$abr[0]);
		$zeitr .= "$von0 - $bis0";
	}
	if($von1_ts < $last_abm) $von1_ts = mktime(0,0,0,date('n', $last_abm) + 1, date('d', $last_abm), date('Y', $last_abm));
	$ts = $von1_ts;
	$von = strftime("%B %Y",$von1_ts);
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(60,5,'Abrechnungszeitraum:',1,0,'L',1);
	$pdf->Cell(20,5,'von:',1,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(40,5,$von,1,0,'C');
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(20,5,'bis:',1,0,'R');
	$pdf->SetFont('arial','',8);
	$pdf->Cell(40,5,$bis,1,0,'C');
	$pdf->ln(6);
	$pdf->SetFont('arialb','',8);
	$pdf->Cell(60,5,'vorhergehende Abrechnungszeitrume:',1,0,'L',1);
	$pdf->SetFont('arial','',8);
	$pdf->SetLineWidth('0.5');
	$pdf->MultiCell(120,5,$zeitr,1);
	$pdf->SetLineWidth('0.1');
	$pdf->ln(3);

	$pdf->SetFont('stw','',12);
	$pdf->SetX(14);
	$pdf->Cell(200,6,'Monatliche Arbeitstage im Abrechnungszeitraum',0,1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(15,3.5,'','LTR');
	$pdf->Cell(7,3.5,'','LTR');
	$pdf->Cell(19,3.5,'','LTR');
	$pdf->Cell(19,3.5,'','LTR');
	$pdf->Cell(20,3.5,'Abgerechn.','LTR',0,'C');
	$pdf->Cell(40,3.5,'nderung der','LTR',0,'C');
	$pdf->Cell(20,3.5,'','LTR');
	$pdf->Cell(20,3.5,'','LTR',1);
	$pdf->Cell(15,3.5,'','LR');
	$pdf->Cell(7,3.5,'Anz.','LR');
	$pdf->Cell(19,3.5,'','LR');
	$pdf->Cell(19,3.5,'','LR');
	$pdf->Cell(20,3.5,'Std. der pd.','LR',0,'C');
	$pdf->Cell(40,3.5,'Stundenumfnge','LR',0,'C');
	$pdf->Cell(20,3.5,'','LR');
	$pdf->Cell(20,3.5,'Hilfe-','LR',1,'C');
	$pdf->Cell(15,3.5,'Monate','LBR',0,'C');
	$pdf->Cell(7,3.5,'AT','LBR',0,'C');
	$pdf->Cell(19,3.5,'FLS/Woche','LBR',0,'C');
	$pdf->Cell(19,3.5,'Sollstunden','LBR',0,'C');
	$pdf->Cell(20,3.5,'Zeiten','LBR',0,'C');
	$pdf->Cell(20,3.5,'zum','LB',0,'C');
	$pdf->Cell(20,3.5,'auf','BR',0,'C');
	$pdf->Cell(20,3.5,'Hilfebeginn','LBR',0,'C');
	$pdf->Cell(20,3.5,'einstellung','LBR',1,'C');

	$ende = false;
	while($ts <= $bis_ts) {
		$ende_ts = mktime(0,0,0,date('n', $ts), date('t', $ts), date('Y', $ts));
		$abm_ende = date('Y-m-t',$ts);
		$abm = date('Y-m-d',$ts);
		$monat = strftime("%B",$ts);
		$y = $pdf->GetY();
		$hpcnt = 0;
		$pdf->Cell(15,5,$monat,1,0,'C');
		$at = arbeitstage($ts,$ende_ts);
		$sum_at += $at;
		$pdf->Cell(7,5,$at,1,0,'C');
		$wost = $projekt->wost_kontaktstunden($abm);
		if($projekt->fallbegleitung($abm)) {
			$pdf->Cell(10,5,fls_form($wost),'TLB');
			$pdf->SetFont('arial','',6);
			$pdf->Cell(9,5,"(+1 fz)",'TRB',0,'R');
			$pdf->SetFont('arial','',8);
		} else {
			$pdf->Cell(19,5,fls_form($wost),1,0,'C');
		}
		$soll = $projekt->fls_monat($abm);
		$sum_soll += $soll;
		$pdf->Cell(19,5,fls_form($soll),1,0,'C',1);
		$fls = $projekt->fls_gesamt($abm, true);
		$sum_fls += $fls;
		$pdf->Cell(20,5,fls_form($fls),1,0,'C');
		$hps= abfrage1("select DATE_FORMAT(and_datum,'%d.%m.%Y'), hp_st, fallbegl, kontakt_fz 
						from tb_hp where proj_id = '$projekt->id' 
						and hp_art in ('h','h2','s') and prognose = 'n' 
						and and_datum > '$abm' and and_datum <= '$abm_ende'
						order by and_datum asc");
		while($hp = mysql_fetch_row($hps)) {
			IF(($hp[1]-($hp[2] == 'j' ? 1 : 0)-$hp[3]) != $soll) {
				$pdf->SetXY(95,$y + $hpcnt*5);
				$pdf->Cell(20,5,$hp[0],1,0,'C');
				if($hp[2] == 'j') {
					$pdf->Cell(10,5,fls_form($hp[1]-1-$hp[3]),'TLB');
					$pdf->SetFont('arial','',6);
					$pdf->Cell(10,5,"(+1 fz)",'TRB',0,'R');
					$pdf->SetFont('arial','',8);
				} else {
					$pdf->Cell(20,5,fls_form($hp[1]-$hp[3]),1,0,'C');
				}
				$pdf->SetXY(135,$y);
				$hpcnt++;
			}
		}
		if($hpcnt == 0) {
			$pdf->Cell(20,5,'',1,0,'C');
			$pdf->Cell(20,5,'',1,0,'C');
		}
		$beg = ($ts == $von1_ts) ? $projekt->beginn() : '';
		$pdf->Cell(20,5,$beg,1,0,'C');
		$ende_ts = $projekt->ende_ts();
		$end = ($ende == false && $ts == $bis_ts) ? $projekt->ende() : '';
		$ts = mktime(0,0,0,date('n', $ts) + 1, date('d', $ts), date('Y', $ts));
		if($ende_ts != 0 && $ts > $ende_ts && $ende == false) {
			$end = $projekt->ende();
			$ende = true;
		}
		$pdf->Cell(20,5,$end,1,0,'C');
		$kon = abfrage("select pers_id, date_format(datetime, '%d.%m.%Y %H:%i')
						from tb_ab_proj_kont
						where proj_id = $projekt->id and ab_monat = '$abm';");
		if($kon[0] > 0) {
			$pdf->SetFont('arial','',4);
			$sign = pers_name($kon[0]) . ' ' . $kon[1];
			$pdf->Cell(20,7,$sign);
			$pdf->SetXY(175,$y);
			$pdf->Cell(20,3,'digitale Signatur:');
			$pdf->SetFont('arial','',8);
		} elseif($ende && $ts < $ende_ts || !$ende) $sign = '';
		$pdf->ln(5*max($hpcnt,1));
	}
	$pdf->Cell(15,5,'Gesamt:',1,0,'C');
	$pdf->Cell(7,5,$sum_at,1,0,'C',1);
	$pdf->Cell(19,5,'');
	$pdf->Cell(19,5,fls_form($sum_soll),1,0,'C',1);
	$pdf->Cell(20,5,fls_form($sum_fls),1,1,'C',1);
	$pdf->ln(3);

	$pdf->SetFont('stw','',12);
	$pdf->SetX(14);
	$pdf->Cell(200,6,'Anzahl geleisteter Stunden im Abrechnungszeitraum',0,1);
	$pdf->SetFont('arial','',8);
	$pdf->Cell(20,5,'');
	$pdf->Cell(40,5,'Kontaktstunden:');
	$kzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
					from tb_ab_zk 
					where proj_id = '$projekt->id' and ab = 'j' and code in ('A','B')
					and unix_timestamp(ab_monat) >= '$von1_ts'
					and unix_timestamp(ab_monat) <= '$bis_ts'");
	$pdf->Cell(20,5,fls_form($kzk[0]),1,1,'C');
	$pdf->Cell(20,5,'');
	$pdf->Cell(40,5,'Telefonate:');
	$tzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
					from tb_ab_zk 
					where proj_id = '$projekt->id' and ab = 'j' and code = 'T' 
					and unix_timestamp(ab_monat) >= '$von1_ts'
					and unix_timestamp(ab_monat) <= '$bis_ts'");
	$pdf->Cell(20,5,fls_form($tzk[0]),1,1,'C');
	$pdf->Cell(20,5,'');
	$pdf->Cell(40,5,'Gruppenarbeit:');
	$gzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
					from tb_ab_zk 
					where proj_id = '$projekt->id' and ab = 'j' and code = 'D' 
					and unix_timestamp(ab_monat) >= '$von1_ts'
					and unix_timestamp(ab_monat) <= '$bis_ts'");
	$pdf->Cell(20,5,fls_form($gzk[0]),1,1,'C');
	$pdf->Cell(20,5,'');
	$pdf->Cell(40,5,'Fehlkontakte:');
	$czk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
					from tb_ab_zk 
					where proj_id = '$projekt->id' and ab = 'j' and code = 'C' 
					and unix_timestamp(ab_monat) >= '$von1_ts'
					and unix_timestamp(ab_monat) <= '$bis_ts'");
	$pdf->Cell(20,5,fls_form($czk[0]),1,0,'C');
	$pdf->SetFont('arial','',7);
	$pdf->Cell(80,5,'Anzahl der Fehlkontakte im Abrechnungszeitraum:',0,0,'C');
	$pdf->SetFont('arial','',8);
	$cnt = abfrage("select count(zk_id) from tb_ab_zk 
					where proj_id = '$projekt->id' and ab = 'j' and code = 'C' 
					and unix_timestamp(ab_monat) >= '$von1_ts'
					and unix_timestamp(ab_monat) <= '$bis_ts'");
	$pdf->Cell(20,5,$cnt[0],1,1,'C');
	$pdf->Cell(20,5,'');
	$pdf->Cell(40,5,'berbrckungszeit:');
	$uzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
					from tb_ab_zk 
					where proj_id = '$projekt->id' and ab = 'j' and code = 'U' 
					and unix_timestamp(ab_monat) >= '$von1_ts'
					and unix_timestamp(ab_monat) <= '$bis_ts'");
	$pdf->Cell(20,5,fls_form(0.7 * $uzk[0]),1,0,'C');
	if($uzk[0] > 0) $pdf->Cell(80,5,'= 70% von ' . fls_form($uzk[0]));
	$pdf->ln(5);
	$pdf->Cell(20,5,'');
	$pdf->Cell(40,5,'fallbegleitende Zeit:');
	$rzk = abfrage("select sum(time_to_sec(if(time_to_sec(fls2) > 0, fls2, fls))) / 3600
					from tb_ab_zk 
					where proj_id = '$projekt->id' and ab = 'j' and code = 'R' 
					and unix_timestamp(ab_monat) >= '$von1_ts'
					and unix_timestamp(ab_monat) <= '$bis_ts'");
	$pdf->Cell(20,5,fls_form($rzk[0]),1,0,'C');
	$pdf->ln(6);
	$pdf->Cell(60,5,'Summe der pdagogischen Zeit:');
	$pdf->Cell(20,5,fls_form($sum_fls),0,0,'C',1);
	$pdf->ln(6);
	$pdf->Cell(20,5,'');
	$fzs = abfrage1("select (unix_timestamp(t.bis) - unix_timestamp(t.von)) / 3600,
					time_to_sec(z.vun) / 3600, time_to_sec(z.fz2) / 3600,
					time_to_sec(z.fls) / 3600, time_to_sec(z.fls2) / 3600
					from tb_ab_zk z left join tb_termine t using (termin_id)
					where z.proj_id = '$projekt->id' and z.ab = 'j' and code != 'U' and code != '@'
					and unix_timestamp(z.ab_monat) >= '$von1_ts' and unix_timestamp(z.ab_monat) <= '$bis_ts'");
	$sum_fz = 0;
	while($fz = mysql_fetch_row($fzs)) {
		if($fz[2] > 0) $sum_fz += $fz[2];
		else {
			$fls = ($fz[4] > 0) ? $fz[4] : $fz[3];
			$sum_fz += $fz[0] - $fz[1] - $fls;
		}
	}
	$pdf->Cell(40,5,'Fahrzeit:');
	$pdf->Cell(20,5,fls_form($sum_fz),1,0,'C');
	$pdf->ln(8);

	$pdf->SetLineWidth('0.5');

	$pdf->Cell(40,5,'Stundenaufrechnung:');
	$pdf->Cell(20,5,'Soll',0,0,'C');
	$pdf->Cell(20,5,'Ist',0,0,'C');
	$pdf->Cell(40,5,'Abweichung Soll/Ist',0,1);
	$pdf->Cell(10,5,'');
	$pdf->Cell(30,5,'pdagogische Zeit:');
	$pdf->Cell(20,5,fls_form($sum_soll),1,0,'C');
	$pdf->Cell(20,5,fls_form($sum_fls),1,0,'C');
	$pdf->Cell(20,5,fls_form($sum_fls - $sum_soll),1,1,'C');
	$pdf->Cell(10,5,'');
	$pdf->Cell(50,5,'Fahrzeiten:');
	$pdf->Cell(20,5,fls_form($sum_fz),1,0,'C');
	$pdf->ln(6);
	$pdf->Cell(10,5,'');
	$pdf->Cell(50,5,'Geleistete FLS im Fall gesamt:');
	$pdf->Cell(20,5,fls_form($sum_fz+$sum_fls),1,1,'C',1);
	$pdf->ln(20);
	$pdf->SetLineWidth('0.1');
	$pdf->SetFont('stw','',6);
	
	$pdf->Cell(80,2,'');
	$pdf->Cell(45,2,$sign == '' ? '' : "digitale Signatur:",0,1);
	$pdf->Cell(80,4,'');
	$pdf->Cell(45,4,$sign,'B',1);
	$pdf->SetFont('arial','',7);
	$pdf->Cell(80,5,'');
	$pdf->Cell(45,5,'rechtsverbindliche Unterschrift','T',0,'C');
}
$pdf->Output();
exit;
?>