<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: team.php 2926 2018-12-19 16:04:31Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 35;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function TraegerSpeichern($pers_id, $traeger_art_id, $sitzungsart_id, $teilnehmer, $intern_extern) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select pers_id from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set team_traeger_art_id = '$traeger_art_id', ";
	$sql .= "team_sitzungsart_id = '$sitzungsart_id', ";
	$sql .= "team_teilnehmer = '$teilnehmer', ";
	$sql .= "team_intern_extern = '$intern_extern'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('TraegerIcon', 'style.color', 'lime');
	return $userResp;
}


function TnUpdate($art) {

	/* zukuenftige Sitzungen abfragen */
	$sql  = "select tm.team_id, tm.team_art_id, date_format(te.von, '%d.%m.%Y') as dat from tb_team tm ";
	$sql .= "left join tb_termine te on tm.termin_id = te.termin_id ";
	$sql .= "left join tb_team_art ta on tm.team_art_id = ta.team_art_id ";
	$sql .= "where te.von > now() and ta.montags_sitzung = 1 ";
	if($art != 'all') $sql .= "and tm.team_art_id = '$art' ";
	$sql .= "order by te.von asc;";
	$teams = abfrage1($sql);

	while ($team = mysql_fetch_assoc($teams)){
		$pers = array();

		abfrage2("delete from tbh_team_pers where team_id = '{$team['team_id']}'");

		$sql  = "select pa.pers_id from tb_team_art_abt a ";
		$sql .= "left join tbh_pers_abt pa on a.abt_id = pa.abt_id ";
		$sql .= "where a.team_art_id = '{$team['team_art_id']}' ";
		$sql .= "and a.nur_protokoll='n';";
		$mas = abfrage1($sql);
		while($ma = mysql_fetch_row($mas)){
			$pers[ $ma[0] ] = $ma[0];
		}

		$sql  = "select pers_id from tb_team_art_pers ";
		$sql .= "where team_art_id = '{$team['team_art_id']}' ";
		$sql .= "and nur_protokoll='n';";
		$mas = abfrage1($sql);
		while ($ma = mysql_fetch_row($mas)){
			$pers[ $ma[0] ] = $ma[0];
		}

		foreach($pers as $ma){
			$ts = date_gr2ts($team['dat']);
			if(!pers_fehlzeit($ma,$ts)) abfrage2("insert into tbh_team_pers set team_id = '{$team['team_id']}', pers_id = '$ma';");
		}
	}

	$userResp = new xajaxResponse();
	$userResp->assign('TeilnehmerMeldung', 'style.display', 'block');
	return $userResp;
}


$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('TraegerSpeichern');
$xajax->registerFunction('TnUpdate');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');

$self = $_SERVER['PHP_SELF'];

set_session_url();

$anz  = (isset($_GET['anz'])) ? $_GET['anz'] : 't';
/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}
$tag1 = $tag==0 ? '0000-00-00' : date('Y-m-d', $tag);
$ma   = (isset($_GET['ma'])) ? $_GET['ma'] : $uid;
$sitzungsatz = "";

/* dropdown Einstellung abfragen:
 * 1. GET-Parameter
 * 2. persoenl. Einstellung
 * 3. Standard-Wert
*/
$sql  = "select team_traeger_art_id, team_sitzungsart_id, team_teilnehmer, team_intern_extern ";
$sql .= "from tb_pers_einst where pers_id = $uid;";
$p_einst = abfrage($sql);
/* Traeger */
if (isset($_GET['tr'])) { $tr = $_GET['tr']; }
elseif (!empty($p_einst[0])) { $tr = $p_einst[0]; }
else { $tr = 'all'; }
/* Sitzungsart */
if (isset($_GET['art'])) { $art = $_GET['art']; }
elseif (!empty($p_einst[1])) { $art = $p_einst[1]; }
else { $art = 'all'; }
/* Nr. Sitzungsart */
if (isset($_GET['nr'])) { $nr = $_GET['nr']; $art = 'all'; }
else { $nr = 'all'; }
/* Teilnehmer / potentielle ~ */
if (isset($_GET['pot'])) { $pot = $_GET['pot']; }
elseif (!empty($p_einst[2])) { $pot = $p_einst[2]; }
else { $pot = 0; }
/* interne / externe */
if (isset($_GET['ext'])) { $sart = $_GET['ext']; }
elseif (!empty($p_einst[3])) { $sart = $p_einst[3]; }
else { $sart = 0; }

switch ($anz){
	case 'w1':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (14 * 86400);
		break;

	case 'w2':
		$wtag = date('w', $tag);
		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (14 * 86400);
		break;
	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;
	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;
	case 't';
		$sql_beg = $tag;
		$sql_end = $tag + (14*86400);
		break;
}

/* wenn Montagssitzungen, dann immer alle benutzer */
if ($sart == 3) $pot = 2;

/* Meldung, wenn Teilnehmerlisten zukuenftiger Sitzungen aus potentiellen
 * Teilnehmern erweitert wurden
*/
echo "<table id=\"TeilnehmerMeldung\" style=\"display: none;\">\n";
echo "<tr><th style=\"color: lime;\">Teilnehmerlisten zuk&uuml;nftiger ";
echo "Sitzungen wurden erfolgreich aus Sitzungsarten aktualisiert!</th>";
echo "</tr></table>\n";

/*
* Vielleicht ein neuer Termin angelegt oder geaendert - hier pruefen ob
* Zeitkorrektur notwendig war.
*/
if (isset($_GET['korr']) && $_GET['korr'] == 1){
	echo "<table>\n<tr><th style=\"color:red\">Der Endtermin lag vor dem ";
	echo "Starttermin.<br>Automatische Korrektur (Startzeit + 60 Minuten) ";
	echo "durchgef&uuml;hrt.</th></tr></table>\n";
	new stwLine(1);
}


/* Beginn Schalterzeile */
echo "<table><tr>\n";

/* Button NEU */
$sql  = "select pers_id from tb_team_art_pers where fokus>0 ";
$sql .= "group by pers_id;";
$fks = abfrage1($sql);

while ($fk = mysql_fetch_row($fks)){
	$fokus[] = $fk[0];
}

if ($ulv >= 61 || in_array($uid, $fokus)){
	echo "<td><input type=\"button\" value=\"neu\" ";
	echo "onClick=\"self.location.href='team_and.php'\"";
	echo stwToolTip('neue Stizung anlegen') . "></td>\n";
}


/* Schalter interne / externe / Montagssitzungen */
echo "<form action=\"$self\" method=\"GET\">\n";
echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
echo "<input type=\"hidden\" name=\"tag\" value=\"$tag1\">\n";
echo "<input type=\"hidden\" name=\"pot\" value=\"$pot\">\n";
echo "<input type=\"hidden\" name=\"art\" value=\"$art\">\n";
echo "<input type=\"hidden\" name=\"nr\" value=\"$nr\">\n";
echo "<input type=\"hidden\" name=\"tr\" value=\"$tr\">\n";

echo "<td><select name=\"ext\" id=\"Ext\" size=\"1\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"0\"";
echo (empty($sart)) ? ' selected' : '';
echo " title=\"interne und externe\"";
echo ">int. + ext.</option>\n";

echo "<option value=\"1\"";
echo ($sart == 1) ? ' selected' : '';
echo ">nur externe</option>\n";

echo "<option value=\"2\"";
echo ($sart == 2) ? ' selected' : '';
echo ">nur interne</option>\n";

echo "<option value=\"3\"";
echo ($sart == 3) ? ' selected' : '';
echo " title=\"Montagssitzungen\"";
echo ">Montagss.</option>\n";

echo "</select></td>\n";
echo "</form>\n";


/* Schalter Teilnehmer / pot. Teilnehmer / alle */
echo "<form action=\"$self\" method=\"GET\">\n";
echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
echo "<input type=\"hidden\" name=\"tag\" value=\"$tag1\">\n";
echo "<input type=\"hidden\" name=\"ext\" value=\"$sart\">\n";
echo "<input type=\"hidden\" name=\"art\" value=\"$art\">\n";
echo "<input type=\"hidden\" name=\"nr\" value=\"$nr\">\n";
echo "<input type=\"hidden\" name=\"tr\" value=\"$tr\">\n";

echo "<td><select name=\"pot\" id=\"Pot\" size=\"1\" onchange=\"this.form.submit()\">\n";

echo "<option value=\"0\"";
echo (empty($pot)) ? ' selected' : '';
echo " title=\"Benutzer ist Teilnehmer\"";
echo ">Teilnehmer</option>\n";

echo "<option value=\"1\"";
echo ($pot == 1) ? ' selected' : '';
echo " title=\"Benutzer ist potentieller Teilnehmer\"";
echo ">pot. Teiln.</option>\n";

echo "<option value=\"2\"";
echo ($pot == 2) ? ' selected' : '';
echo " title=\"alle Teilnehmer\"";
echo ">alle Teiln.</option>\n";

echo "</select></td>\n";
echo "</form>\n";


/* Schalter Nr. Sitzungsarten */
echo "<form action=\"$self\" method=\"GET\">\n";
echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
echo "<input type=\"hidden\" name=\"tag\" value=\"$tag1\">\n";
echo "<input type=\"hidden\" name=\"ext\" value=\"$sart\">\n";
echo "<input type=\"hidden\" name=\"pot\" value=\"$pot\">\n";
echo "<input type=\"hidden\" name=\"tr\" value=\"$tr\">\n";
echo "<input type=\"hidden\" name=\"art\" value=\"all\">\n";
echo "<td><select name=\"nr\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"all\">Nr.</option>\n";
$sql = "select IF(nummer IS NULL, LPAD(RIGHT(team_art_id,3),3,'0'), nummer) as nr 
		from tb_team_art group by nr order by nr asc;";
$nrs = abfrage1($sql);
while ($nummer = mysql_fetch_row($nrs)){
	echo "<option value=\"$nummer[0]\"";
	if ($nr == $nummer[0]) echo ' selected';
	echo ">$nummer[0]</option>\n";
}

echo "<option style=\"background-color:green;color:white\" value=\"all\">Art</option>";

$sql = "select art from tb_team_art group by art order by art asc;";
$krzs = abfrage1($sql);
while ($nummer = mysql_fetch_row($krzs)){
	echo "<option value=\"$nummer[0]\"";
	if ($nr == $nummer[0]) echo ' selected';
	echo ">$nummer[0]</option>\n";
}

echo "</select></td>\n";
echo "</form>\n";

/* Schalter Sitzungsarten */
echo "<form action=\"$self\" method=\"GET\">\n";
echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
echo "<input type=\"hidden\" name=\"tag\" value=\"$tag1\">\n";
echo "<input type=\"hidden\" name=\"ext\" value=\"$sart\">\n";
echo "<input type=\"hidden\" name=\"pot\" value=\"$pot\">\n";
echo "<input type=\"hidden\" name=\"tr\" value=\"$tr\">\n";

echo "<td><select name=\"art\" id=\"Sitzungsart\" style=\"width:150px\" ";
echo "onchange=\"this.form.submit()\">\n";

echo "<option value=\"all\"";
if ($art == 'all') echo ' selected';
echo ">alle Sitzungsarten</option>\n";

$sql  = "select team_art_id, kurzname, name from tb_team_art ";
$sql .= "order by kurzname asc;";
$tas = abfrage1($sql);

while ($ta = mysql_fetch_array($tas)){
	echo "<option value=\"{$ta['team_art_id']}\"";
	if ($art == $ta['team_art_id']) {
		echo ' selected';
		$sitzungsatz = $ta['kurzname'];
	}
	echo ">{$ta['kurzname']} ({$ta['name']})</option>\n";
}

echo "<option style=\"background-color:green;color:white\" value=\"all\">- alternative Sortierung: Name (Kurzname) -</option>";

$sql  = "select team_art_id, kurzname, name from tb_team_art ";
$sql .= "order by name asc;";
$tas = abfrage1($sql);

while ($ta = mysql_fetch_array($tas)){
	echo "<option value=\"{$ta['team_art_id']}\"";
	if ($art == $ta['team_art_id']) {
		echo ' selected';
		$sitzungsatz = $ta['kurzname'];
	}
	echo ">{$ta['name']} ({$ta['kurzname']})</option>\n";
}

echo "</select></td>\n";
echo "</form>\n";


/* Schalter Traeger */
echo "<form action=\"$self\" method=\"GET\">\n";
echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
echo "<input type=\"hidden\" name=\"tag\" value=\"$tag1\">\n";
echo "<input type=\"hidden\" name=\"ext\" value=\"$sart\">\n";
echo "<input type=\"hidden\" name=\"pot\" value=\"$pot\">\n";
echo "<input type=\"hidden\" name=\"art\" value=\"$art\">\n";
echo "<input type=\"hidden\" name=\"nr\" value=\"$nr\">\n";

echo "<td><select name=\"tr\" id=\"Traeger\" size=\"1\" ";
echo "onchange=\"this.form.submit()\">\n";

echo "<option value=\"all\"";
if ($tr == 'all') echo ' selected';
echo ">alle Tr&auml;ger</option>\n";

$sql  = "select traeger_art_id, traeger_art, kurzname from tb_traeger_art ";
$sql .= "order by kurzname asc;";
$trgs = abfrage1($sql);

while ($trg = mysql_fetch_array($trgs)){
	echo "<option value=\"{$trg['traeger_art_id']}\"";
	if ($tr == $trg['traeger_art_id']) echo ' selected';
	echo " title=\"{$trg['traeger_art']}\">{$trg['kurzname']}</option>\n";
}

echo "</select></td>\n";
echo "</form>\n";


/* Smiley zum Speichern einer persoenlichen Einstellung Traeger */
echo "<td class=\"cl1\"><a href=\"#\" style=\"color: #ccc\" id=\"TraegerIcon\"";
echo " onclick=\"xajax_TraegerSpeichern($uid, Traeger.value, Sitzungsart.value, Pot.value, Ext.value)\"";
$tt = 'Tr&auml;ger-Filter als pers&ouml;nliche Einstellung speichern!';
echo stwToolTip($tt) . ">:)</a></td>\n";


/* Button Sitzungsarten */
if (check_nutzer_rechte(62)) {
	echo "<td class=\"cl1\"><input type=\"button\" value=\"Sitzungsarten\"";
	echo stwToolTip('Sitzungsarten verwalten');
	echo "onClick=\"self.location.href='team_art.php'\"></td>\n";

	echo "<td class=\"cl1\"><input type=\"button\" value=\"TN akt.\"";
	$tt = 'Teilnehmer zuk&uuml;nftiger Sitzungen aus Sitzungsarten aktualisieren';
	echo stwToolTip($tt);
	echo " onclick=\"if(confirm('Sind sie sicher?\\nTeilnehmer aller zuk&uuml;nftigen $sitzungsatz Sitzungen werden aus Sitzungsart &uuml;bernommen.\\n(Bereits ausgetragene Teilnehmer werden wieder eingetragen)')) xajax_TnUpdate('$art')\"></td>\n";
}

/* Drucksymbol fuer Montagssitzungen  -  Datum uebergeben */
$heute = time();
echo "<td><a href=\"team_mo_pr.php?datum=$heute\" target=\"_pdf\">";
echo "<img src=\"img/drucker.png\" alt=\"drucken\" border=\"0\"";
echo stwToolTip('Montagssitzungen drucken') . "></a></td></tr></table>\n";
new stwLine(1);
/* Ende Schalterzeile */

/* Beginn Kopfzeile */
echo "<table><tr>\n";
echo "<th class=\"cl1\" colspan=\"3\">Datum</th>\n";
echo "<th class=\"cl1\">Beginn</th>\n";
echo "<th class=\"cl1\">Art</th>\n";
echo "<th class=\"cl1\"".stwToolTip('Teilnehmer').">TN</th>\n";
echo "<th class=\"cl1\">zust&auml;ndig</th>\n";
echo "<th class=\"cl1\">Thema</th>\n";

echo "<th class=\"cl1\"";
echo stwToolTip('strategische Bedeutung') . ">strt.</th>\n";

echo "<th class=\"cl1\"";
echo stwToolTip('potentielle Teilnehmer als Teilnehmer eingetragen') . ">pot.</th>\n";

echo "</tr>\n";
/* Ende Kopfzeile */

new stwTabLine(2,30);

$sql  = "select t1.team_id, unix_timestamp(t3.von), count(t2.pers_id), ";
$sql .= "essen, andacht, weiter, t1.thema, to_days(t3.von), ";
$sql .= "to_days(curdate()), t1.termin_id, t4.kurzname, t4.name, t4.farbe, ";
$sql .= "week(t3.von, 1), t1.strategie, date_format(t3.von, '%H:%i'), ";
$sql .= "t4.montags_sitzung, t1.team_art_id, ";
$sql .= "IF(t4.nummer IS NULL, LPAD(RIGHT(t4.team_art_id,3),3,'0'), t4.nummer) as nr, ";
$sql .= "t1.bes, t1.inhalte ";
$sql .= "from tb_team t1 ";
$sql .= "left join tbh_team_pers t2 on t1.team_id = t2.team_id ";
$sql .= "left join tb_termine t3 on t1.termin_id = t3.termin_id ";
$sql .= "left join tb_team_art t4 on t1.team_art_id = t4.team_art_id ";
if ($pot == 1){
	$sql .= "left join tb_team_art_abt t6 on t1.team_art_id = t6.team_art_id ";
	$sql .= "left join tbh_pers_abt t7 on t7.abt_id = t6.abt_id ";
	$sql .= "left join tb_team_art_pers t5 on t1.team_art_id = t5.team_art_id ";
}
$sql .= "where ";
if ($pot == 1){
	/* potentieller Teilnehmer */
	$sql .= " (t5.pers_id = $uid or t7.pers_id = $uid";
} elseif ($pot == 2){
	/* alles Anzeigen */
	$sql .= " (1";
} else {
	/* Teilnehmer */
	$sql .= " (t2.pers_id = $uid";
}
$sql .= " or t1.essen = $uid or t1.andacht = $uid or t1.weiter = $uid) ";

if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
	$sql .= "and unix_timestamp(t3.von) >= '$sql_beg' ";
	$sql .= "and unix_timestamp(t3.von) <= '$sql_end' ";
}
/* falls Traegerfilter relevant -> nach Traegermerkmal in Sitzungart filtern */
if ($tr != 'all') {
	$sql .= "and t4.traeger_art_id = '$tr' ";
}
/* falls Sitzungsartfilter relevant ... */
if ($art != 'all'){
	$sql .= "and t1.team_art_id = '$art' ";
}
if ($nr != 'all'){
	if(is_numeric($nr)) $sql .= "and IF(t4.nummer IS NULL, LPAD(RIGHT(t4.team_art_id,3),3,'0'), t4.nummer) = '$nr' ";
	else $sql .= "and t4.art = '$nr' ";
}

switch ($sart){
	case 1:
		$sql .= 'and t4.extern = 1 ';
		break;
	case 2:
		$sql .= 'and t4.extern != 1 ';
		break;
	case 3:
		$sql .= 'and t4.montags_sitzung = 1 ';
		break;
}


$sql .= "group by t1.team_id ";
$sql .= "order by unix_timestamp(t3.von) asc;";

$res = abfrage1($sql);

$i = 1;

while ($row = mysql_fetch_array($res)){

	$w2 = $row[13];
	if ($w2 != $w1 && $i != 1){
		new stwTabLine(3,30);
	}
	$w1 = $w2;

	echo '<tr class="mo">';

	/* Datum */
	if (!empty($row[12])){
		$style = "style=\"color:$row[12]\"";
	} else {
		$style = '';
	}

	echo "<td class=\"cl1\" $style>" . strftime('%a', $row[1]) . "</td>\n";
	echo "<td class=\"cl1\">";
	echo "<a href=\"team_and.php?team_id=$row[0]\" ";
	echo ($row[1] < mktime()) ? "style=\"color:#CCCCCC\">" : ">";
	echo strftime('%d.%m.%Y', $row[1]) . "</a></td>\n";

	$daten = new stwDaten("9");
	$link  = $daten->get_klammer_link($_SESSION["webdir"],
									  $_SESSION[$AppCode]["UID"],
									  $_SESSION[$AppCode]["ULV"],
									  $row[0], "0");
	echo "<td class=\"cl1\">$link</td>";

	/* Beginn */
	echo "<td class=\"cl1\">$row[15]</td>\n";

	/* Art */
	echo "<td class=\"cl1\"";
	if($row['team_art_id'] && check_nutzer_rechte(62)) {
		echo "><a href=\"team_art_and.php?team_art_id=".$row['team_art_id']."\"";
		$a = '</a>';
	} else $a = '';
	if($row['team_art_id']) echo stwToolTip($row[11]);
	echo $style . ">" . team_nummer($row['team_art_id']) . ' ' . $row[10] . $a . "</td>";

	/* Telnehmerzahl */
	$tcount = abfrage("select count(pers_id) from tbh_team_pers
						where team_id = $row[0];");
	$count = ($tcount[0] > 0) ? $tcount[0] : '-';
	echo "<td class=\"cl1\" style=\"text-align: center\">$count</td>";

	echo "<td class=\"cl1\">" . pers_kname($row[5]) . "</td>";
	$th = strCut($row[6], 30);
	echo "<td class=\"cl1\">$th</td>";

	echo "<td class=\"cl1\" style=\"text-align: center\">";
	if ($row[14] == 1)echo "X";
	echo "</td>";

	/* Merkmal Montagssitzung */
	echo "<td class=\"cl1\" style=\"text-align: center\">";
	if ($row[16] == 1) echo "X";
	echo "</td>";

	/* Loeschen */
	if ($ulv >= 65){
		if(empty($row['bes']) && empty($row['inhalte'])) {
			echo "<td class=\"cl1\">";
			echo "<a href=\"kal_del_sql.php?ktyp=t&team_id=$row[0]&termin_id=$row[9]\" ";
			echo stwToolTip('VORSICHT! Sitzung l&ouml;schen');
			echo "style=\"color:red\">X</a></td>\n";
		} else {
			echo "<th style=\"color:#AAAAAA\" class=\"cl1\"";
			echo stwToolTip("<b>L&ouml;schen nicht m&ouml;glich</b><br>da Protokoll bereits erstellt");
			echo ">X</th>\n";
		}
	}

	/* Link zu Serientermin erstellen */
	echo "<td class=\"cl1\">";
	echo "<a href=\"kal_serie.php?&team_id=$row[0]&termin_id=$row[9]\" ";
	echo stwToolTip('Serientermin aus Sitzung erstellen');
	echo ">Serie</a></td>\n";

	/* Tagesordnung drucken */
	echo "<td class=\"cl1\"><a href=\"team_pr.php?team_id=$row[0]&ts=" . time() . "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" border=\"0\" ";
	echo stwToolTip('Tagesordnung drucken') . "></a></td>\n";

  if ($row[1] < mktime()){
  	echo "<td class=\"cl1\"><a href=\"team_to_pr.php?";
  	echo "team_id=$row[0]&ts=" . time() . "\" target=\"_pdf\">";
  	echo "<img src=\"img/drucker.png\" border=\"0\" ";
  	echo stwToolTip('Sitzungsprotokoll drucken') . "></a></td>\n";
  }
	echo "</tr>\n";
	$i++;
}
echo "</table>\n";
new stwLine(1);

/* Tabelle fuer Wuensche und Fehlzeiten */
echo "<table><tr><td>";
echo "<table><tr>";

echo "<th>W&uuml;nsche/Vorschl&auml;ge f&uuml;r Weiterbildungen :</th>";
echo "</tr>";
new stwTabLine(2,30);
echo "<tr><td>\n";

$sql  = "select t1.team_id, t1.thema, t1.weiter, sum(t2.prio) as sum, ";
$sql .= "round(avg(t2.prio),2) , count(t2.pers_id) from tb_team t1 ";
$sql .= "left join tbh_team_pers t2 using (team_id) where t1.aktiv = 'n' ";
$sql .= "group by t1.team_id order by sum desc;";
$res = abfrage1($sql);

if (mysql_num_rows($res) > 0) {
    echo "<table>\n<tr>\n";
    echo "<td class=\"cl1\"></td>";
    echo "<th class=\"cl1\">Mitarbeiter</th>";
    echo "<th class=\"cl1\">Thema</th>";
    echo "<th class=\"cl1\">Prior</th>";
    echo "</tr>\n";
    new stwTabLine(2,30);
	while ($row = mysql_fetch_row($res)) {
		echo "<tr><td class=\"cl1\"><a href=\"teamwu.php?team_id=$row[0]\" ";
		echo stwToolTip('Wunsch/Vorschlag &auml;ndern') . ">T</a></td>\n";
		$name = pers_kname($row[2]);
		// Name
		echo "<td>$name</td>";
		// Thema
		if (strlen($row[1])>30) {
			$thema = substr($row[1],0,28) . "...";
		} else {
			$thema = $row[1];
		}
		echo "<td class=\"cl1\" " . stwToolTip($row[1]) . ">$thema</td>";
		if (empty($row[3])){
			echo "<td class=\"cl1\" style=\"text-align:center\">-</td>";
		} else {
			echo "<td class=\"cl1\" ";
			echo stwToolTip("$row[5] MA, &Sigma; $row[3], &oslash; $row[4]");
			echo "style=\"text-align:center\">$row[3]</td>\n";
		}

		if ($ulv >= 80){
			echo "<td class=\"cl1\"><a href=\"team_and.php?team_id=$row[0]\">-> WB</a></td>";
			echo "<td class=\"cl1\"><a href=\"team_del_sql.php?team_id=$row[0]\" ";
			echo "style=\"color:#FF0000\" " . stwToolTip('VORSICHT! L&ouml;schen');
			echo ">X</a></td>\n";
		}

		echo "</tr>\n";
	}
	echo "</table>\n";
}

echo "</td></tr>";
new stwTabLine(2,30);

echo "<tr><td><input type=\"button\" value=\"neuer Wunsch/Vorschlag\" ";
echo "onClick=\"self.location.href='teamwu.php'\"></td></tr>\n";
echo "</table>\n";

echo "</td><td class=\"cl1\"></td><td>";
echo "<table><tr><th class=\"cl1\"><a href=\"fehlz.php\">Abwesenheit:</a></th>";
echo "</tr>";
new stwTabLine(2,30);
echo "<tr>\n";

/* Abwesenheit eintragen -
 * analog zur Startseite aber ohne Untertabelle Fehlzeiten
*/
$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%y'), ";
$sql .= "date_format(t.bis, '%d.%m.%y'), ";
$sql .= "concat(left(p.vorname, 1), '. ', p.name), a.name, ";
$sql .= "unix_timestamp(t.von), unix_timestamp(t.bis) from tb_fehlz f ";
$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
$sql .= "where f.pers_id>0 and to_days(t.bis) >= to_days(curdate()) ";
if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
	$sql .= "and unix_timestamp(t.von) <= $sql_end ";
	$sql .= "and unix_timestamp(t.bis) >= $sql_beg ";
}
$sql .= "order by unix_timestamp(t.von) asc, p.name asc;";
$abw = abfrage1($sql);

if (mysql_num_rows($abw) > 0) {
	$heute = mktime(0,0,0,date('n'),date('j'),date('Y'));
	// Untertabelle Abwesenheit, wenn MA "abwesend" (Urlaub, krank, ...) sind
	echo "<td><table>\n";
	while ($row = mysql_fetch_row($abw)){

		if ($row[5] <= $heute && $row[6] >= $heute){
			$style  = "style=\"color:red;font-weight:bold\"";
			$style .= stwToolTip('aktuell');
		} else {
			$style  = "style=\"color:#32CD32;font-weight:bold\"";
			$style .= stwToolTip('k&uuml;nftig');
		}

		echo "<tr><td $style>";
		echo $row[1] . "&nbsp;-&nbsp;" . $row[2] . "</td>";
		echo "<td width=\"5\"></td><td>$row[3]</td>";
		echo "<td width=\"5\"></td><td>$row[4]</td>";
		echo "</tr>\n";
	}
	echo "</table></td>";
} // Ende Untertabelle Abwesenheit

echo "</tr></table>\n";
echo "</td></tr></table>\n";

new stwLine(1);
new stwEnd($seite, 1);
?>
