<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: team_and.php 2886 2018-09-14 21:36:11Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 35;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function SAUpdate($art) {
	$fahrz = abfrage("select date_format(vorher, '%H:%i'), date_format(nachher, '%H:%i') from tb_team_art where team_art_id = '$art'");
	$userResp = new xajaxResponse();
	if($fahrz[0] != '00:00' || $fahrz[1] != '00:00') $userResp->assign('fahrz_label', 'style.color', 'red');
	$userResp->assign('vorher', 'value', $fahrz[0]);
	$userResp->assign('nachher', 'value', $fahrz[1]);
	return $userResp;
}


$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('SAUpdate');
/* --- Ende Abschnitt (X)AJAX --- */

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");
 require_once($pfad."inc/stwDaten.inc.php");

if(isset($rvar_ok)) {
	if($_SESSION[$AppCode]["UID"] == $rvar_ok || $_SESSION[$AppCode]["ULV"] >= 97) {
		$ok = abfrage("select gelesen from tbh_team_protokoll where pers_id='$rvar_ok' and team_id='$rvar_team_id'");
		if(is_null($ok[0])) {
			abfrage2("insert into tbh_team_protokoll set gelesen=now(), pers_id='$rvar_ok', team_id='$rvar_team_id', gelesen_pers_id='{$_SESSION[$AppCode]["UID"]}'");
			abfrage2("delete from tb_ewald where pers_id='$rvar_ok' and ewaldkategorie_id=4 and id1='$rvar_team_id'");
		} else abfrage2("delete from tbh_team_protokoll where pers_id='$rvar_ok' and team_id='$rvar_team_id' limit 1");		
	}
}

if (isset($rvar_team_id)){
	$tm = abfrage("select t1.team_id,
					date_format(t2.von, '%d.%m.%Y'),
					t1.essen,
					t1.andacht,
					t1.weiter,
					t1.thema,
					t2.termin_id,
					date_format(t2.von, '%H:%i'),
					date_format(t2.bis, '%H:%i'),
					t1.team_art_id,
					t1.strategie,
					t1.notizen,
					to_days(t2.von),
					t1.tago,
					t1.bes,
					t1.inhalte,
					t1.ort,
					date_format(t1.vorher, '%H:%i'),
					date_format(t1.nachher, '%H:%i')
					from tb_team t1
					left join tb_termine t2 using (termin_id)
					where t1.team_id = $rvar_team_id;");
} else $tm = array();

if(isset($rvar_team_id)) $tag = $tm[1];
elseif(isset($_GET['tag'])) {
	$tag = date_isodate_stamp($_GET['tag']);
	$tag = date('d.m.Y', $tag);
} else $tag = date('d.m.Y');

$tln = array();
$ti = 1;
$pers_order = getPersOrder($seite);
$menue = (empty($_GET['menue'])) ? 1 : $_GET['menue'];
$ziel = 'team_sql.php?menue=' . $menue;

if(empty($rvar_team_id)) $lastHist = array();
else $lastHist = abfrage("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i'), verlauf_id from tb_team_verlauf where team_id='$rvar_team_id' and menue='$menue' order by verlauf_id desc limit 1");

if($menue == 1) {
	echo "<script type=\"text/javascript\"><!--\n";
	echo "  function validate(art,von,bis) {\n";
	echo "    if(art == 0) {alert(unescape('Bitte Sitzungsart ausw%E4hlen!')); return false;}\n";
	echo "    var h1 = 0;\n";
	echo "    var h2 = 0;\n";
	echo "    var m1 = 0;\n";
	echo "    var m2 = 0;\n";
	echo "    var doppelpunkt = von.indexOf(':');\n";
	echo "    if(doppelpunkt == -1) {\n";
	echo "      if(von.length > 3) {\n";
	echo "      h1 = eval(von.substr(0,2));\n";
	echo "      m1 = eval(von.substr(2));\n";
	echo "      } else {\n";
	echo "        h1 = eval(von.substr(0,1));\n";
	echo "        m1 = eval(von.substr(1));\n";
	echo "      }\n";
	echo "    } else {\n";
	echo "      var time1 = von.split(':');\n";
	echo "      h1 = eval(time1[0]);\n";
	echo "      m1 = eval(time1[1]);\n";
	echo "    }\n";
	echo "    doppelpunkt = bis.indexOf(':');\n";
	echo "    if(doppelpunkt == -1) {\n";
	echo "      if(bis.length > 3) {\n";
	echo "        h2 = eval(bis.substr(0,2));\n";
	echo "        m2 = eval(bis.substr(2));\n";
	echo "      } else {\n";
	echo "        h2 = eval(bis.substr(0,1));\n";
	echo "        m2 = eval(bis.substr(1));\n";
	echo "      }\n";
	echo "    } else {\n";
	echo "      var time1 = bis.split(':');\n";
	echo "      h2 = eval(time1[0]);\n";
	echo "      m2 = eval(time1[1]);\n";
	echo "    }\n";
	echo "    if(h2<h1 || (h2==h1 && m2<=m1)) {alert('Endzeitpunkt sollte nach dem Beginn liegen!'); return false;}\n";
	echo "    return true;\n";
	echo "  }\n";
	echo "--></script>\n";
}

echo "<form name=\"form\" ";
if($menue == 1) echo "onsubmit=\"return validate(document.form.team_art_id.value, document.form.beginn.value, document.form.ende.value)\" ";
echo "action=\"$ziel\" method=\"post\">\n";
echo "<table><tr>\n";

$menu=array('allgemeine Daten' => 1,
			'Aufgaben'         => 2,
			'Tagesordnung'     => 3,
			'Protokoll'        => 4,
			'Speichern'        => 9);

 /* Bedienungszeile ausgeben */
 foreach ($menu as $text => $st)
 {
   /* Speichern Button soll erst ab Level 20 erscheinen. */
   if ($text != "Speichern")
   {
     printf("<td class\"cl11\" style=\"vertical-align: middle\">");
     printf("<input type=\"submit\" name=\"submit\" ");

     $class = ($st == $menue) ? "menubuttonactive" : "menubuttoninactive";
     printf("class=\"$class\" value=\"%s\"></td>\n", $text);
   }
   else
   {
     if ($_SESSION[$AppCode]["ULV"] > 20)
     {
       printf("<td class\"cl11\" style=\"vertical-align: middle\">");
       printf("<input type=\"submit\" name=\"submit\" ");

       $class = ($st == $menue) ? "menubuttonactive" : "menubuttoninactive";
       printf("value=\"%s\"></td>\n", $text);
     }
   }
 }

/* Druckersymbole nur fuer vorhandende Sitzungen moeglich und sinnvoll */
if (!empty($rvar_team_id)){
	echo "<td class=\"cl11\" style=\"vertical-align: middle\">";
	echo "<a href=\"team_pr.php?team_id=$rvar_team_id&ts=" . time() . "\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\" ";
	echo "title=\"Tagesordnung drucken\"></a></td>";

	echo "<td class=\"cl11\" style=\"vertical-align: middle\">";
	echo "<a href=\"team_to_pr.php?team_id=$rvar_team_id&ts=" . time() . "\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\" ";
	echo "title=\"Sitzungsprotokoll drucken\"></a></td>";
}

 /* Dateisymbol einblenden */
 if (!empty($rvar_team_id))
 {
   $daten = new stwDaten("9");
   $link  = $daten->get_klammer_link($_SESSION["webdir"],
                                     $_SESSION[$AppCode]["UID"],
                                     $_SESSION[$AppCode]["ULV"],
                                     $rvar_team_id, "0");
   printf("<td>%s</td>", $link);
 }

echo "<td  style=\"vertical-align: middle\">";
echo "<input type=\"button\" value=\"Sitzungsarten\" ";
echo "onClick=\"self.location.href='team_art.php'\"></td></tr></table>\n";

new stwLine(1);

/* ----- Seite 1 ----- */

if ($menue == 1) {
	$nichtda = array();
	$foki = array();
	$ptyp = array();
	$sql = "select t.pers_id, p.personaltyp from tb_team_art_pers t
			left join tb_personaltyp p on (t.fokus = p.personaltyp_id)
			where t.team_art_id = '$tm[9]' and t.fokus is not null
			order by p.sort asc;";
	$fks = abfrage1($sql);
	while($fok = mysql_fetch_row($fks)) {
		$foki[$fok[0]] = $fok[0];
		$ptyp[$fok[0]] = $fok[1];
	}
	echo "<table><tr><td><table>\n";
	$link = $unlink = '';
	if(isset($rvar_team_id) && $tm[9] > 0) {
		$unlink = "</a>";
		$link = "<a href=\"team_art_and.php?team_art_id=$tm[9]\">";
	}
	echo "<tr><th class=\"cl1\">".$link."Sitzungsart:".$unlink."</th>\n";
	echo "<td class=\"cl1\"><select style=\"width:400px\" name=\"team_art_id\" size=\"1\" ";
	echo "onchange=\"xajax_SAUpdate(this.value)\" ";
	echo "tabindex=\"$ti\">\n"; $ti++;
	
	echo "<option value=\"0\">- - Bitte w&auml;hlen - -</option>\n";

	$res = abfrage1("select team_art_id, kurzname, name
									from tb_team_art
									where aktiv = 1
									order by IF(nummer IS NULL, LPAD(RIGHT(team_art_id,3),3,'0'), nummer) asc;");

	while ($zeile = mysql_fetch_row($res)) {
		$fok = abfrage("select pers_id from tb_team_art_pers
						where team_art_id = $zeile[0]
						and fokus>0 and pers_id='{$_SESSION[$AppCode]['UID']}';");
		if ((!empty($rvar_team_id) && $tm[9] == $zeile[0]) ||
					$fok[0] == $_SESSION[$AppCode]['UID'] ||
				$_SESSION[$AppCode]["ULV"] >= 61){
		    echo "  <option ";
		    if (isset($rvar_team_id)) {
		        if ($tm[9] == $zeile[0]) {
		            echo "selected ";
		        }
		    }
		    echo "value=" . $zeile[0] . ">";
			echo team_nummer($zeile[0]) . " - ";
		    echo $zeile[1] . "&nbsp;-&nbsp;" . $zeile[2];
		    echo "</option>\n";
		}
	}
	echo "</select></td></tr>\n";

	echo "<tr><th class=\"cl1\">Ort:</th>\n";
	echo "<td colspan=\"4\"><input style=\"width:400px\" type=\"text\" name=\"ort\" size=\"60\" ";
	echo "maxlength=\"100\" tabindex=\"$ti\""; $ti++;
	if (!empty($rvar_team_id)) {
		echo " value=\"".str_replace('"','&quot;',$tm[16])."\"";
	}
	echo "></td></tr>\n";

	$darfTerminAendern = true;
	if(!empty($tm[6])) {
		if($tm[4] != $_SESSION[$AppCode]['UID'] && $_SESSION[$AppCode]['ULV'] < 96) {
			if(!in_array($_SESSION[$AppCode]['UID'],$foki)) $darfTerminAendern = false;
		}
	}

	if(!empty($tm[13]) || !$darfTerminAendern) echo "<input type=\"hidden\" id=\"datum\" />\n";
	echo "<tr><th class=\"cl1\">Datum:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"datum\" size=\"11\" ";
	if(empty($tm[13]) && $darfTerminAendern) echo "id=\"datum\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	echo " value=\"$tag\"";
	if(!$darfTerminAendern) echo " disabled";
	echo ">&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

	echo "<tr><th class=\"cl1\">Beginn:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"beginn\" size=\"6\" ";
	echo "maxlength=\"\" tabindex=\"$ti\""; $ti++;
	if (!empty($rvar_team_id)) echo "value=\"$tm[7]\"";
	if(!$darfTerminAendern) echo " disabled";
	echo ">&nbsp;&nbsp;HH:MM</td></tr>\n";

	echo "<tr><th class=\"cl1\">Ende:</th>\n";
	echo "<td colspan=\"4\"><input type=\"text\" name=\"ende\" size=\"6\" ";
	echo "maxlength=\"\" tabindex=\"$ti\""; $ti++;
	if (!empty($rvar_team_id)) echo "value=\"$tm[8]\"";
	if(!$darfTerminAendern) echo " disabled";
	echo ">&nbsp;&nbsp;HH:MM</td></tr>\n";

	$style = stwToolTip("Fahrzeit vor und nach der Sitzung");
	if(empty($tm[17])) {
		$fahrz = abfrage("select date_format(vorher, '%H:%i'), date_format(nachher, '%H:%i') from tb_team_art where team_art_id = '$tm[9]'");
		$tm[17] = $fahrz[0];
		$tm[18] = $fahrz[1];
		if($fahrz[0] != '00:00' || $fahrz[1] != '00:00')
			$style = "style=\"color:red\"" . stwToolTip("Fahrzeit vor und nach der Sitzung.<br>Aktuelle Werte entstammen der Sitzungsart und werden<br>erst nach dem Speichern in die Sizung aufgenommen");
	}
	echo "<tr><th id=\"fahrz_label\" $style class=\"cl1\">Fahrzeit:</th>\n";
	echo "<td><table cellpadding=\"0\" cellspacing=\"0\"><tr>";
	echo "<td class=\"cl1\">vorher:</td>";
	echo "<td class=\"cl1\"><input type=\"text\" size=\"5\" tabindex=\"$ti\" id=\"vorher\" name=\"vorher\" value=\"$tm[17]\" /></td>";
	echo "<td class=\"cl20\"><i>(hh:mm)</i></td>";  $ti++;
	echo "<td class=\"cl1\">hinterher:</td>";
	echo "<td class=\"cl1\"><input type=\"text\" size=\"5\" tabindex=\"$ti\" id=\"nachher\" name=\"nachher\" value=\"$tm[18]\" /></td>";
	echo "<td class=\"cl20\"><i>(hh:mm)</i></td>";  $ti++;
	echo "</tr></table></td></tr>\n";

	$tt = '';
	foreach($foki as $k => $pid) {
		$tt .= "<b>" . $ptyp[$k] . ":</b> " . pers_kname($pid);
	}
	if($tt != '') $tt = stwToolTip($tt);
	echo "<tr><th $tt class=\"cl1\">zust&auml;ndig:</th>\n";
	$order = $pers_order==2 ? "order by p.name asc, p.vorname asc" : "order by p.vorname asc, p.name asc";
	$name = ($pers_order == 2) ? "name, ', ', vorname" : "vorname, ' ', name";
	$sql = "select pers_id, concat($name) from tb_personal p
			where status_id = 2 and (besch_id = 1 or besch_id = 4 or besch_id = 2 and betreuer = 'j') $order";
	$res = abfrage1($sql);
	echo "<td colspan=\"4\"><select style=\"width:400px\" name=\"weiter\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	echo "<option>Mitarbeiter w&auml;hlen!</option>\n";
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option ";
		if (!empty($rvar_team_id)) {
			if ($tm[4] == $zeile[0]) echo "selected ";
		}
		if(in_array($zeile[0],$foki)) {
		echo "style=\"background-color:#006600;color:white\" title=\"" . $ptyp[$zeile[0]] . "\" ";
		}
	  echo "value=\"$zeile[0]\">$zeile[1]</option>\n";
	}
	echo "</select></td></tr>\n";

	echo "<tr><th class=\"cl1\">Thema:</th>\n";
	echo "<td colspan=\"4\"><input style=\"width:400px\" type=\"text\" name=\"thema\" size=\"60\" ";
	echo "maxlength=\"100\" tabindex=\"$ti\""; $ti++;
	if (!empty($rvar_team_id)) {
		echo " value=\"".str_replace('"','&quot;',$tm[5])."\"";
	}
	echo "></td></tr>\n";

	echo "<tr><th class=\"cl1\">strategische<br>Bedeutung:</th>";
	echo "<td><input type=\"checkbox\" name=\"strategie\" ";
	echo "value=\"1\" tabindex=\"$ti\""; $ti++;
	if (!empty($rvar_team_id) && $tm[10] == 1) echo ' checked';

	if ($_SESSION[$AppCode]['ULV'] < 61 && $_SESSION[$AppCode]['ULV'] != 47){
		echo ' disabled';
	}
	echo ">";
	$grp = abfrage("select grp_id from tb_team_art where team_art_id = '$tm[9]'");
	if($grp[0] > 0) echo "<a style=\"position:absolute;left:300px\" href=\"kont_grp_mit.php?grp_id=$grp[0]\">Zu zugeordneten PR-Kontakten</a>";
	echo "</td></tr>\n";

	echo "<tr><th class=\"cl1\">Notizen:</th>";
	echo "<td><textarea style=\"width:400px;height:50px\" name=\"notizen\" tabindex=\"$ti\">";
	$ti++;
	echo (isset($rvar_team_id)) ? $tm[11] : '';
	echo "</textarea></td></tr>\n";
	echo "</table>\n";

	echo "<table><tr><td>";
	// Teilnehmerliste
	if (isset($rvar_team_id)) {
		$netDa = array();
		if(!empty($tm[12])) {
			if (isset($rvar_team_id)) {
				$where = "where to_days(t.von) <= $tm[12] and to_days(t.bis) >= $tm[12]";
			} else {
				$where  = 'where to_days(t.von) <= ';
				$where .= 'to_days(date_add(curdate(), INTERVAL 7 DAY )) ';
				$where .= 'and to_days(t.bis) >= to_days(curdate())';
			}
			$where .= " and (p.pers_id in (select pers_id from tb_team_art_pers where team_art_id = $tm[9] and nur_protokoll='n')
						or p.pers_id in (select a.pers_id from tbh_pers_abt a left join tb_team_art_abt ta on(ta.abt_id = a.abt_id and ta.nur_protokoll='n') where ta.team_art_id = $tm[9]) ";
			if(isset($rvar_team_id))
				$where .= " or p.pers_id in (select pers_id from tbh_team_pers where team_id = $rvar_team_id))";
			else $where .= ")";
			$sql = "select f.fehlz_id, date_format(t.von, '%d.%m.%y'),
							date_format(t.bis, '%d.%m.%y'),
							concat(left(p.vorname, 1), '. ', p.name),
							a.name, unix_timestamp(t.von), unix_timestamp(t.bis),
							p.pers_id, a.farbe from tb_fehlz f
							left join tb_termine t on f.termin_id = t.termin_id
							left join tb_personal p on f.pers_id = p.pers_id
							left join tb_terminart a on t.terminart = a.terminart
							$where
							group by f.fehlz_id
							order by unix_timestamp(t.von) asc, p.name asc;";
			$abwesend = abfrage1($sql);
			if(mysql_num_rows($abwesend) > 0) {
				while($abw = mysql_fetch_array($abwesend)) {
					$netDa[ $abw['pers_id'] ] = 1;
				}
				mysql_data_seek($abwesend,0);
			}
		}
		$sql = "select t1.pers_id from tbh_team_pers t1
				left join tb_personal t2 using (pers_id)
				where team_id = $rvar_team_id
				and ( to_days(t2.anstellung) <= $tm[12] or
					to_days(t2.eintritt) <= $tm[12] )
				order by t2.vorname asc, t2.name asc;";
		$res = mysql_query($sql) or die (mysql_error());

		if (mysql_num_rows($res) > 0) {
			$ewald = abfrage("select ewald from tb_team_art where team_art_id = '$tm[9]'");
			echo "<table>\n";
			echo "<tr><th colspan=\"3\">Teilnehmer</th>";
			if((strlen($tm[14]) > 1 || strlen($tm[15]) > 1) && $ewald[0]=='j') echo "<td colspan=\"2\">Protokoll gelesen</td>";
			echo "</tr>\n";
			new stwTabLine(2,30);
			while ($row = mysql_fetch_row($res)) {
				$nichtda[] = $row[0];
				$kname = pers_kname($row[0]);
				echo "<tr><td";
				if($netDa[ $row[0] ]) echo " style=\"background-color:#666666\"" . stwToolTip('Fehlzeit');
				echo ">$kname</td>";
				echo "<td width=\"5\"></td>";

				/* loeschen ab Level 21 */
				if ($_SESSION[$AppCode]["ULV"] > 20) {
					echo "<td class=\"cl20\"><a href=\"team_sql.php?kill=1&team_id=$rvar_team_id&pers_id=$row[0]\" ";
					echo "style=\"color:red\" ";
					if($row[0] != $uid) echo "onclick=\"if(confirm('der zu l&ouml;schende Teilnehmer sind nicht Sie. Trotzdem fortfahren?') != true) {return false}\" ";
					echo "title=\"VORSICHT! L&ouml;schen\">X</td>";
				}

				if(strlen($tm[15]) > 1) {
					if($ewald[0]=='j') {
						echo "<td style=\"text-align:right;vertical-align:middle\"><input type=\"checkbox\" name=\"read_$row[0]\"";
						$check = abfrage("select date_format(gelesen, '%d.%m.%Y %H:%i'), gelesen_pers_id from tbh_team_protokoll where pers_id='$row[0]' and team_id='$rvar_team_id'");
						if(strlen($check[0]) > 10) echo " checked";
						if($_SESSION[$AppCode]["UID"] != $row[0] && $_SESSION[$AppCode]["ULV"] < 97) echo " disabled";
						else {
							echo " onclick=\"self.location.href='team_and.php?menue=1&amp;team_id=$rvar_team_id&amp;ok=$row[0]'\"";
						}
						echo "></td><td";
						if($check[1]>0 && $check[1]!=$row[0]) echo " style=\"color:red\"".stwToolTip(pers_kname($check[1]));
						echo ">$check[0]</td>";
					}
				}
				echo "</tr>\n";
				$tln[] = $row[0];
			}
			echo "</table>\n";
		}

		echo "<table>\n";
		new stwTabLine(2,5);
		echo "<tr><th>hinzuf&uuml;gen :</th>\n";
		echo "<input type=\"hidden\" name=\"team_id\" value=\"$rvar_team_id\">\n";
		echo "<input type=\"hidden\" name=\"do\" value=\"add\">\n";
		echo "<td><select style=\"width:200px\" name=\"pers_id\" size=\"1\" tabindex=\"$ti\" "; $ti++;
		echo "onChange=\"document.form.submit()\">\n";
		echo "<option value=\"0\">Teilnehmer w&auml;hlen!</option>\n";
		$erg =  abfrage1("select pers_id from tb_personal
		                 where status_id = 2
		                 order by vorname asc, name asc");
		while ($zeile = mysql_fetch_row($erg)) {
		  if (!in_array($zeile[0], $tln)){
		    echo "<option value=\"$zeile[0]\">" . pers_name($zeile[0]) . "</option>\n";
			}
		}
	  echo "</select></td>\n";
	  echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
		echo "</table>\n";
	} else {
		echo "<table><tr><th>F&uuml;r Teilnehmerliste Teamsitzung erst speichern!</th></tr></table>\n";
	}

	echo "</td><td class=\"cl11\"></td><td>";

	echo "<table>";
	//Abwesenheit eintragen - analog zur Startseite aber ohne Untertabelle Fehlz.

	 /* es kann Teamsitzungen geben ohne einen Termin */
	 if (!empty($tm[12])) {
		if (mysql_num_rows($abwesend) > 0) {
			// Untertabelle Fehlzeit, wenn MA "abwesend" (Urlaub, krank, ...) sind
			echo "<tr><th><a href=\"fehlz.php\">Fehlzeit</a></th></tr>";
			new stwTabLine(2,30);
			echo "<tr>\n<td colspan=\"2\"><table>\n";
			while ($row = mysql_fetch_row($abwesend)){
				$nichtda[] = $row[7];
				echo "<tr><td style=\"color:$row[8];font-weight:bold\">";
				echo $row[1] . "&nbsp;-&nbsp;" . $row[2] . "</td>";
				echo "<td width=\"5\"></td><td>$row[3]</td>";
				echo "<td width=\"5\"></td><td class=\"cl11\">$row[4]</td>";
				if(strlen($tm[15]) > 1) {
					if($ewald[0]=='j') {
						echo "<td style=\"text-align:right;vertical-align:middle\"><input type=\"checkbox\" name=\"read_$row[7]\"";
						$check = abfrage("select date_format(gelesen, '%d.%m.%Y %H:%i'), gelesen_pers_id from tbh_team_protokoll where pers_id='$row[7]' and team_id='$rvar_team_id'");
						if(strlen($check[0]) > 10) echo " checked";
						if($_SESSION[$AppCode]["UID"] != $row[7] && $_SESSION[$AppCode]["ULV"] < 97) echo " disabled";
						else {
							echo " onclick=\"self.location.href='team_and.php?menue=1&amp;team_id=$rvar_team_id&amp;ok=$row[7]'\"";
						}
						echo "></td><td";
						if($check[1]>0 && $check[1]!=$row[7]) echo " style=\"color:red\"".stwToolTip(pers_kname($check[1]));
						echo ">$check[0]</td>";
					}
				}
				echo "</tr>\n";
			}
			echo "</table></td></tr>";
		} // Ende Untertabelle Fehlzeit

		$sql = "select p.pers_id, p.vorname, p.name, tp.team_art_id, ta.abt_id from tb_personal p
				left join tbh_pers_abt a using(pers_id) 
				left join tb_team_art_pers tp on(tp.pers_id = p.pers_id and tp.nur_protokoll='n') 
				left join tb_team_art_abt ta on(ta.abt_id = a.abt_id and ta.nur_protokoll='n') 
				where p.status_id='2' and (tp.team_art_id = '$tm[9]' or ta.team_art_id = '$tm[9]') ";
		if(!empty($nichtda)) $sql .= " and p.pers_id not in (" . implode(",",$nichtda) . ") ";
		$sql .= "group by p.pers_id order by (tp.team_art_id='$tm[9]') desc, ";
		$sql .= $pers_order==2 ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc";
		$pots = abfrage1($sql);

		$sql = "select p.pers_id, p.vorname, p.name, tp.team_art_id, ta.abt_id from tb_personal p
				left join tbh_pers_abt a using(pers_id) 
				left join tb_team_art_pers tp on(tp.pers_id = p.pers_id and tp.nur_protokoll='j') 
				left join tb_team_art_abt ta on(ta.abt_id = a.abt_id and ta.nur_protokoll='j') 
				where (tp.team_art_id = '$tm[9]' or ta.team_art_id = '$tm[9]') ";
		if(!empty($nichtda)) $sql .= " and p.pers_id not in (" . implode(",",$nichtda) . ") ";
		$sql .= "group by concat(p.pers_id,(tp.team_art_id='$tm[9]')) 
				order by (tp.team_art_id='$tm[9]') desc, ";
		$sql .= $pers_order==2 ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc";
		$nurprots = abfrage1($sql);

		if (mysql_num_rows($pots) > 0 || mysql_num_rows($nurprots) > 0) {
			// Untertabelle pot. Teilnehmer, die keine Teilnehmer sind
			echo "<tr>";
			if (mysql_num_rows($pots) > 0) {
				echo "<td class=\"cl20\"><table>\n";
				echo "<tr><th colspan=\"3\">abwesende pot. TN</th>\n";
				new stwTabLine(2,3);
				$isPotTn = true;
				while ($pot = mysql_fetch_row($pots)){
					if($isPotTn && $pot[3] != $tm[9]) {
						new stwTabLine(2,3);
						$isPotTn = false;
					}
					echo "<tr><td class=\"cl11\"";
					if(!$isPotTn) {
						$abtname=abfrage("select name from tb_personal_abt where abt_id='$pot[4]'");
						echo stwToolTip($abtname[0]);
					}
					echo ">" . pers_name($pot[0]) . "</td>";
					if(strlen($tm[15]) > 1) {
						if($ewald[0]=='j') {
							echo "<td style=\"text-align:right;vertical-align:middle\"><input type=\"checkbox\" name=\"read_$pot[0]\"";
							$check = abfrage("select date_format(gelesen, '%d.%m.%Y %H:%i'), gelesen_pers_id from tbh_team_protokoll where pers_id='$pot[0]' and team_id='$rvar_team_id'");
							if(strlen($check[0]) > 10) echo " checked";
							if($_SESSION[$AppCode]["UID"] != $pot[0] && $_SESSION[$AppCode]["ULV"] < 97) echo " disabled";
							else {
								echo " onclick=\"self.location.href='team_and.php?menue=1&amp;team_id=$rvar_team_id&amp;ok=$pot[0]'\"";
							}
							echo "></td><td";
							if($check[1]>0 && $check[1]!=$pot[0]) echo " style=\"color:red\"".stwToolTip(pers_kname($check[1]));
							echo ">$check[0]</td>";
						}
					}
					echo "</tr>\n";
				}
				echo "</table></td>";
			}
			if (mysql_num_rows($nurprots) > 0) {
				echo "<td><table>\n";
				echo "<tr><th colspan=\"3\">nur Protokoll:</th>\n";
				new stwTabLine(2,3);
				$isPotTn = true;
				while ($prot = mysql_fetch_row($nurprots)){
					if($isPotTn && $prot[3] != $tm[9]) {
						new stwTabLine(2,3);
						$isPotTn = false;
					}
					echo "<tr><td class=\"cl11\"";
					if(!$isPotTn) {
						$abtname=abfrage("select name from tb_personal_abt where abt_id='$prot[4]'");
						echo stwToolTip($abtname[0]);
					}
					echo ">" . pers_name($prot[0]) . "</td>";
					if(strlen($tm[15]) > 1) {
						if($ewald[0]=='j') {
							echo "<td style=\"text-align:right;vertical-align:middle\"><input type=\"checkbox\" name=\"read_$prot[0]\"";
							$check = abfrage("select date_format(gelesen, '%d.%m.%Y %H:%i'), gelesen_pers_id from tbh_team_protokoll where pers_id='$prot[0]' and team_id='$rvar_team_id'");
							if(strlen($check[0]) > 10) echo " checked";
							if($_SESSION[$AppCode]["UID"] != $prot[0] && $_SESSION[$AppCode]["ULV"] < 97) echo " disabled";
							else {
								echo " onclick=\"self.location.href='team_and.php?menue=1&amp;team_id=$rvar_team_id&amp;ok=$prot[0]'\"";
							}
							echo "></td><td";
							if($check[1]>0 && $check[1]!=$prot[0]) echo " style=\"color:red\"".stwToolTip(pers_kname($check[1]));
							echo ">$check[0]</td>";
						}
					}
					echo "</tr>\n";
				}
				echo "</table></td>";
			}
			echo "</tr>";
		} // Ende Untertabelle pot. nicht vorhandene TN


	} /* nur anzeigen wenn Termin vorhanden */
	echo "</table></td></tr>\n";
	echo "</table>\n";
	
	echo "</td>";
	if(isset($rvar_team_id)) {
		$sql = "select t.pers_id, t.fokus from tb_team_art_pers t
				left join tb_personaltyp p on (t.fokus = p.personaltyp_id)
				where t.team_art_id = '$tm[9]' and t.fokus is not null
				order by p.sort asc;";
		$fks = abfrage1($sql);
		$fk = array();
		while($fok = mysql_fetch_row($fks)) {
			$fk[ $fok[0] ] = $fok[1];
		}
		echo "<td width=\"330\">";
		echo "<table width=\"100%\">\n";
		echo "<tr><th colspan=\"3\" style=\"text-align:center;background-color:black\">Betreuer</th></tr>\n";
		foreach($fk as $pers => $typ) {
			$pt = abfrage("select personaltyp from tb_personaltyp where personaltyp_id='$typ'");
			echo "<tr><th class=\"cl1\">";
			echo "<a href=\"pro_betr.php?pers_id=$pers&amp;team_art_id=$tm[9]\">";
			echo pers_name($pers);
			echo "</a></th><td>$pt[0]</td></tr>\n";
		}
		echo "</td></tr>\n";
		new stwTabLine(2,3);
		echo "</table>\n";
		echo "<table width=\"100%\">\n";
		echo "<tr><th style=\"text-align:center;background-color:black\">potentielle Teilnehmer</th>\n";
		echo "<th style=\"text-align:center;background-color:black\">nur Protokoll</th></tr>\n";

		$sql = array();
		$sql[1] = "select t.pers_id, concat($name) from tb_team_art_pers t 
					left join tb_personal p using (pers_id) 
					where t.team_art_id = '$tm[9]'
					and t.nur_protokoll=";

		$sql[2] = "select t.abt_id, a.name from tb_team_art_abt t
					left join tb_personal_abt a using (abt_id)
					where t.team_art_id = '$tm[9]'
					and t.nur_protokoll=";

		echo "<tr><td width=\"50%\"><table width=\"100%\">\n";
		$bLine = false;
		$inAbt = '';
		$res = abfrage1($sql[2]."'n'");
		while ($row = mysql_fetch_row($res)) {
			if(strlen($inAbt) > 0) $inAbt.=',';
			$inAbt.=$row[0];
		}
		for($i=1;$i<=2;$i++) {
			$res = abfrage1($sql[$i]."'n' " . ($i==1 ? $order : 'order by name asc'));
			if($bLine && mysql_num_rows($res) > 0) new stwTabLine(2,1);
			while ($row = mysql_fetch_row($res)) {
				$bLine = true;
				echo "<tr><th class=\"cl20\"";
				$ina = 0;
				$tt = pers_toolTip($row[0]);
				if($i==1 && strlen($inAbt)>0) {
					$abts=abfrage1("select a.name from tbh_pers_abt p
									left join tb_personal_abt a using(abt_id)
									where p.pers_id='$row[0]' and p.abt_id in ($inAbt)");
					if(mysql_num_rows($abts)>0) {
						$ina = 1;
						$en = mysql_num_rows($abts) == 1 ? '' : 'en';
						$tt = '<center><b>Mitarbeiter ist auch Mitglied<br>bereits zugeordneter Abteilung'.$en.'</b></center>';
						while($abt = mysql_fetch_row($abts)) {
							$tt .= "- $abt[0]<br>";
						}
						$tt = pers_toolTip($row[0],'',$tt);
						echo "style=\"color:#999999\"";
					}
				}
				if($i == 2) {
					$query  = "SELECT CONCAT(";
					$query .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
					$query .= ") FROM tbh_pers_abt a LEFT JOIN tb_personal p USING(pers_id)";
					$query .= "WHERE a.abt_id = '$row[0]' ORDER BY ";
					$query .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
					$mas = abfrage1($query);
					$tt = '';
					while($ma = mysql_fetch_row($mas)) {
						$tt .= "- $ma[0]<br>";
					}
					echo "><a href=\"abteilung.php?abt=$row[0]\"";
					$tt = stwToolTip($tt);
				}
				echo "$tt>$row[1]";
				if($i == 2) echo "</a>";
				echo "</td></tr>\n";
			}
		}
		echo "</table></td>\n";

		echo "<td><table width=\"100%\">\n";
		$bLine = false;
		$inAbt = '';
		$res = abfrage1($sql[2]."'j'");
		while ($row = mysql_fetch_row($res)) {
			if(strlen($inAbt) > 0) $inAbt.=',';
			$inAbt.=$row[0];
		}
		for($i=1;$i<=2;$i++) {
			$res = abfrage1($sql[$i]."'j' " . ($i==1 ? $order : 'order by name asc'));
			if($bLine && mysql_num_rows($res) > 0) new stwTabLine(2,1);
			while ($row = mysql_fetch_row($res)) {
				$bLine = true;
				echo "<tr><th class=\"cl20\"";
				$ina = 0;
				$tt = pers_toolTip($row[0]);
				if($i==1 && strlen($inAbt)>0) {
					$abts=abfrage1("select a.name from tbh_pers_abt p
									left join tb_personal_abt a using(abt_id)
									where p.pers_id='$row[0]' and p.abt_id in ($inAbt)");
					if(mysql_num_rows($abts)>0) {
						$ina = 1;
						$en = mysql_num_rows($abts) == 1 ? '' : 'en';
						$tt = '<center><b>Mitarbeiter ist auch Mitglied<br>bereits zugeordneter Abteilung'.$en.'</b></center>';
						while($abt = mysql_fetch_row($abts)) {
							$tt .= "- $abt[0]<br>";
						}
						$tt = pers_toolTip($row[0],'',$tt);
						echo "style=\"color:#999999\"";
					}
				}
				if($i == 2) {
					$query  = "SELECT CONCAT(";
					$query .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
					$query .= ") FROM tbh_pers_abt a LEFT JOIN tb_personal p USING(pers_id)";
					$query .= "WHERE a.abt_id = '$row[0]' ORDER BY ";
					$query .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
					$mas = abfrage1($query);
					$tt = '';
					while($ma = mysql_fetch_row($mas)) {
						$tt .= "- $ma[0]<br>";
					}
					$tt = stwToolTip($tt);
					echo "><a href=\"abteilung.php?abt=$row[0]\"";
				}
				echo "$tt>$row[1]";
				if($i == 2) echo "</a>";
				echo "</td></tr>\n";
			}
		}
		echo "</table></td></tr>\n";
		new stwTabLine(2,2);
		echo "</table>\n";

		$tm[12] += 0;
		$last = abfrage("select to_days(t2.von) from tb_team t1
						left join tb_termine t2 using (termin_id)
						where t1.team_art_id='$tm[9]' 
						and to_days(t2.von) < $tm[12]
						order by t2.von desc limit 1");
		if(empty($last[0])) $last[0] = 0;
		$mails = array();
		$hps = abfrage1("select hp_id, date_format(datum, '%d.%m.%Y'), hp_art, datum from tb_hp where (hp_art='x' or hp_art='y')
						and (chg_id='$tm[9]' or hp_id in (select id from tbh_postzuordnung where posttyp='h' and id2='$tm[9]' and typ='t'))
						and to_days(datum) <= $tm[12] and to_days(datum) > $last[0]");
		while($hp = mysql_fetch_row($hps)) {
			if($hp[2]=='x') {
				$sql = "SELECT t2.kurzname, t1.post_in_id, t1.betreff, t1.notizen, k.name2, k.name
						FROM tb_post_eingang t1 
						LEFT JOIN tb_kontakte k ON k.kont_id = t1.kont_id AND k.kh_id='0' 
						INNER JOIN tb_post_art t2 ON t1.postart_id = t2.post_art_id 
						WHERE t1.hp_id = '$hp[0]';";
				$posteing = abfrage($sql);
				$id = substr("00".$posteing[1],-3);
				$daten_dlg = new stwDaten("5");
				$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"], $uid, $ulv, $posteing[1], "0");
				$mails["$hp[3]-$hp[2]-$hp[0]"] = "<tr><td style=\"text-align:right\" class=\"cl1\"".stwToolTip("<b>Posteingang:</b><br>$posteing[3]").">
												<a style=\"color:rgb(51,153,51)\" href=\"post_in.php?post_id=$posteing[1]\">
												<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $posteing[0]</a></td>
												<td class=\"cl1\">$hp[1]</td>
												<td class=\"cl1\"".stwToolTip("$posteing[5] $posteing[4]").">".strCut(empty($posteing[4])?$posteing[5]:$posteing[4],15)."</td>
												<td".stwToolTip("<b>Posteingang:</b> $posteing[2]<br>$posteing[3]").">".strCut($posteing[2],30)."</td><td>$klammer</td></tr>";
			}
			if($hp[2]=='y') {
				$sql	= "SELECT a.postart_id, a.post_out_id, a.brief_id, "
						. "a.betreff, a.notizen, k.name2, k.name FROM tb_post_ausgang a "
						. "left join tb_kontakte k on k.kont_id = a.kont_id and k.kh_id='0' "
						. "WHERE hp_id = '$hp[0]';";
				$erg	= abfrage($sql);

				if ($erg[0] != 0) {
					$sql  = "SELECT kurzname FROM tb_post_art WHERE post_art_id = '$erg[0]';";
					$erg2 = abfrage($sql);
					$title = "Postausgang:<br>$erg[5]<br><b>$erg[3]</b><br>$erg[4]";
				} else {
					$erg2[] = "??";
					$title  = "Postausgang ohne Postart";
				}
				$id = substr("00".$erg[1],-3);
				$abk = "<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg2[0]";
				if (is_null($erg[2])) {
					$link = "post_out.php?post_id=".$erg[1];
				} else {
					$link = "brief.php?id=".$erg[1];
				}
				$farbe = "#FF0000";
				/* Dateisymbol einblenden */
				$daten_dlg = new stwDaten("13");
				$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"], $uid, $ulv, $erg[1], "0");

				$mails["$hp[3]-$hp[2]-$hp[0]"] = "<tr><td style=\"text-align:right\" class=\"cl1\"".stwToolTip("<b>Postausgang:</b><br>$erg[4]").">
												<a style=\"color:#FF0000\" href=\"$link\">
												<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg2[0]</a></td>
												<td class=\"cl1\">$hp[1]</td>
												<td class=\"cl1\"".stwToolTip("$erg[6] $erg[5]").">".strCut(empty($erg[5])?$erg[6]:$erg[5],15)."</td>
												<td".stwToolTip("<b>Postausgang:</b><br>$erg[4]").">".strCut($erg[3],30)."</td><td>$klammer</td></tr>";
			}
		}
		$sql = "select date_format(sent, '%d.%m.%Y') as datum, n.* 
				from tb_nachr n where ( team_art_id='$tm[9]' or nachr_id in (
				select id from tbh_postzuordnung where posttyp='n' and id2='$tm[9]' and typ='t'
				)) and to_days(sent) <= $tm[12] and to_days(sent) > $last[0]";
		$nachrs = abfrage1($sql);
		while($nachr = mysql_fetch_array($nachrs)) {
			$txt = strip_tags($nachr['text']);
			$tels = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='{$nachr['nachr_id']}'");
			if(mysql_num_rows($tels) > 0) {
				$tel = mysql_fetch_array($tels);
				$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
				if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
				if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
				$text .= "<br />";
				if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
				if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
				if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
				if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
				if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
				if($tel['war_da'] == 'j') $text .= "(war da) ";
				if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
				$txt = "$text<br /><b>".$nachr['betreff']."</b><br />$txt";
			}
			$daten = new stwDaten("12");
			$klammer = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $nachr['nachr_id'], '0');
			$mails[$nachr['sent'].'-n-'.$nachr['nachr_id'] ] = "<tr><td style=\"text-align:right\" class=\"cl1\">
																<a href=\"nachr_and.php?nachr_id=".$nachr['nachr_id']."\""
																. stwToolTip($txt) .
																"><img src=\"img/brief.png\" /></a></td>
																<td class=\"cl1\">".$nachr['datum']."</td>
																<td class=\"cl1\">".pers_kname($nachr['von'])."</td>
																<td".stwToolTip($txt).">".strCut($nachr['betreff'],30)."</td><td>$klammer</td></tr>";
		}
		if(sizeof($mails) > 0) {
			krsort($mails);
			echo "<table width=\"100%\">";
			new stwTabLine(1,30);
			echo "<tr><th colspan=\"30\" style=\"background-color:black;text-align:center\">Historie</th></tr>\n";
			foreach($mails as $mail) {
				echo "$mail\n";
			}
			echo "</table>";
		}
		echo "</td>";
	}
	echo "</tr></table>\n";

} else {
	$art = abfrage("select name from tb_team_art where team_art_id='$tm[9]'");
	echo "<table><tr><th class=\"cl20\">".team_nummer($tm[9])."</th><th class=\"cl20\">$art[0]</th>\n";
	echo "<td>$tm[5]</td></tr></table>\n";
	echo "<table><tr><th class=\"cl20\">$tag</th><th>von:</th><td class=\"cl1\">$tm[7]Uhr</td><th>bis:</th><td class=\"cl20\">$tm[8]Uhr</td>";
	echo "<th>zust&auml;ndig:</th><td>" . pers_kname($tm[4]) . "</td></tr></table>\n";
	new stwLine(2);

if ($menue == 2) {
  $team_art_id = $tm[9];
  include('auf.inc.php');
  echo "<table>\n";
  echo "<tr><td colspan=\"30\" class=\"cl1\"><input type=\"button\" value=\"neue Aufgabe\" ";
  echo stwToolTip('neue Aufgabe erstellen');
  echo "onClick=\"self.location.href='auf_and.php?team_id=$rvar_team_id'\"></td></tr>\n";
  echo "</table>\n";

} elseif ($menue == 3) {

	/* ----- Seite 3 ----- */

	echo "<table style=\"width:100%; height:100%\">\n";

	echo "<tr><th class=\"cl1\">Tagesordnung:</th></tr>\n";
	$pers_format = getPersEinst($_SESSION[$AppCode]["UID"], 'nachr_format', '');
	echo "<script type=\"text/javascript\">\n var pers_id = {$_SESSION[$AppCode]["UID"]};\n pers_format = '$pers_format';\n</script>\n";
	echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg.js\"></script>\n";
	echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg-settings.js\"></script>\n";
	echo "<script type=\"text/javascript\">\n WYSIWYG.attach('editor', full, 2);\n</script>\n";
	echo "<tr><td><textarea id=\"editor\" name=\"tago\" style=\"width:100%; height:500px\" tabindex=\"$ti\">";
	$ti++;
	echo (isset($rvar_team_id)) ? $tm[13] : '';
	echo "</textarea></td></tr>\n";

	echo "</table>\n";

} elseif ($menue == 4) {

/* ----- Seite 4 ----- */

	echo "<table style=\"width:100%; height:100%\">\n";

	echo "<tr><th class=\"cl1\">";
	echo "Beschl&uuml;sse&nbsp;/&nbsp;Besonderheiten:</th></tr>\n";
	$pers_format = getPersEinst($_SESSION[$AppCode]["UID"], 'nachr_format', '');
	echo "<script type=\"text/javascript\">\n var pers_id = {$_SESSION[$AppCode]["UID"]};\n pers_format = '$pers_format';\n</script>\n";
	echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg.js\"></script>\n";
	echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg-settings.js\"></script>\n";
	echo "<script type=\"text/javascript\">\n WYSIWYG.attach('besEditor', full, 2);\n WYSIWYG.attach('inhEditor', full, 2);\n</script>\n";
	echo "<tr><td><textarea id=\"besEditor\" name=\"bes\" style=\"width:100%; height:240px\" tabindex=\"$ti\">";
	$ti++;
	echo (isset($rvar_team_id)) ? $tm[14] : '';
	echo "</textarea></td></tr>\n";

	echo "<tr><th class=\"cl1\">Inhalte:</th></tr>\n";
	echo "<tr><td><textarea id=\"inhEditor\" name=\"inhalte\" style=\"width:100%; height:240px\" tabindex=\"$ti\">";
	$ti++;
	echo (isset($rvar_team_id)) ? $tm[15] : '';
	echo "</textarea></td></tr>\n";

	echo "</table>\n";
}
}
if (isset($rvar_team_id)) {
	echo "<input type=\"hidden\" name=\"termin_id\" value=\"$tm[6]\">\n";
	echo "<input type=\"hidden\" name=\"team_id\" value=\"$rvar_team_id\">\n";
}
if($menue != 2) {
	echo "<table style=\"width:750px\">";
	new stwTabLine(1,2);
	echo "<tr><td><input type=\"submit\" name=\"submit\" value=\"Speichern\" /></td>\n";
	if($lastHist[0]) {
		$hists = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i') from tb_team_verlauf where team_id='$rvar_team_id' and menue='$menue' order by verlauf_id desc");
		$tt = "";
		while($hist = mysql_fetch_row($hists)) {
			$tt .= "$hist[1] Uhr: ".pers_kname($hist[0])."<br>";
		}
		if($tt != '') $tt = stwToolTip($tt);
		echo "<td style=\"text-align:right\"><small $tt>Letzte &Auml;nderung: ".pers_kname($lastHist[0])." am $lastHist[1] Uhr</td>";
	}
	echo "</tr></table>";
}
echo "</form>\n";

if (!empty($rvar_team_id)) {
	new stwEnd($seite, '-'.date_isodate_stamp(date_time_stamp($tag)), NULL, NULL, $rvar_team_id, "0");
} else {
	new stwEnd($seite, '-'.date_isodate_stamp(date_time_stamp($tag)));
}
?>