<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: team_mo_pr.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_8.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(25.0);
$pdf->SetAutoPageBreak(false);

$timestamp = mktime(0, 0, 0, date("m",$rvar_datum), date("d",$rvar_datum), date("Y",$rvar_datum));

//abfrage Datum - nur Montage zulassen
$mosis = abfrage1("select t1.team_id,
				date_format(t2.von, '%d.%m.%Y'),
				date_format(t2.von, '%H:%i'),
				t3.montags_sitzung,
				t2.termin_id,
				t1.team_art_id
				from tb_team t1
				left join tb_termine t2 on t1.termin_id = t2.termin_id
				left join tb_team_art t3 on t1.team_art_id = t3.team_art_id
				where unix_timestamp(t2.von) >= $timestamp and
				t3.montags_sitzung = 1 and weekday(t2.von) = 0
				order by t2.von;");

//unterschiedliche Anfangszeiten und Datum's herausfinden
$zeitarray = array();
$datumarray = array();
while ($mosi = mysql_fetch_row($mosis)){
	if (in_array($mosi[2],$zeitarray)) {
	} else {
		//nicht gefunden - zeit aufnehmen
		$zeitarray[] = $mosi[2];
	}
	
	if (in_array($mosi[1],$datumarray)) {
	} else {
		//nicht gefunden - datum aufnehmen
		$datumarray[] = $mosi[1];
	}
}

//nur je zwei Zeiten auf eine Seite
for ($seite = 1; $seite <= ceil(count($zeitarray)/2); $seite++) {

	$pdf->AddPage();

	$zh = 5;
	$pdf->SetFont('arial','B',12);
	$w = $pdf->GetStringWidth('Montag')+6;
	$pdf->Ln(10);
	$pdf->Text((210-$w)/2,27,'Montag');
	$pdf->SetDrawColor(0);
	$pdf->Rect(15,23,60,5);
	$pdf->Rect(75,23,60,5);
	$pdf->Rect(135,23,60,5);

	$stop = 28;

	sort($zeitarray);
	
	//berschrift
	$pdf->SetY(30);
	$shoehe = 30;
	for ($j = 0; $j < 2; $j++) {
		
		if (array_key_exists($seite*2-(2-$j),$zeitarray)) {
			
			//berschrift
			$pdf->SetX(75+(60 * $j));
			$pdf->SetFillColor(192,192,192);
			$pdf->Cell(60,5,$zeitarray[$seite*2-(2-$j)],1,0,'C',1);
		}	
	}

	$pdf->Ln($zh);
	$shoehe = $shoehe + $zh;

	$zh = 4;

	$pdf->SetFont('arial','',10);

	//fr jedes Datum
	for ($i = 0; $i < count($datumarray); $i++) {

		//prfen, ob neuer Monat
		if ($i == 0) {
			$monat = substr($datumarray[$i], 3, 2);
		} else {
			if ($monat != substr($datumarray[$i], 3, 2)) {
				//leerzeile und rahmen
				$pdf->Ln($zh);
				$shoehe = $shoehe + $zh;
			
				$pdf->Rect(15,$stop,60,$shoehe-round($zh/2,0)-$stop);
				$pdf->Rect(75,$stop,60,$shoehe-round($zh/2,0)-$stop);
				$pdf->Rect(135,$stop,60,$shoehe-round($zh/2,0)-$stop);
			
				$stop = $shoehe-round($zh/2,0);
				
				$monat = substr($datumarray[$i], 3, 2);
			}
		}
	
		//datum schreiben
		$pdf->SetX(15);
		$pdf->Cell(60,$zh,$datumarray[$i],0,0,'C',0);

		//immer zwei Zeiten auf einer Seite
		for ($j = 0; $j < 2; $j++) {
	
			if (array_key_exists($seite*2-(2-$j),$zeitarray)) {	
		
				//sql abfrage fr montagssitzung zu diesem bestimmten datum und zeit
				$zi = $seite*2-(2-$j);
				$mosdat = abfrage("select t1.team_id,
							t2.von,
							t3.montags_sitzung,
							t2.termin_id,
							t1.team_art_id,
							t3.kurzname
							from tb_team t1
							left join tb_termine t2 on t1.termin_id = t2.termin_id
							left join tb_team_art t3 on t1.team_art_id = t3.team_art_id
							where date_format(t2.von, '%d.%m.%Y') = \"$datumarray[$i]\" and
							date_format(t2.von, '%H:%i') = \"$zeitarray[$zi]\" and
							t3.montags_sitzung = 1 and weekday(t2.von) = 0 limit 1;");
			
				if ($mosdat == FALSE) {
					$pdf->Cell(60,$zh,'');
				} else {
					$pdf->Cell(60,$zh,$mosdat[5],0,0,'C',0);
				}
			}

		}
	
		$pdf->Ln($zh);
		$shoehe = $shoehe + $zh;
	
		if ($shoehe + round($zh/2) >= 297-30) {
			//schleife abbrechen - seite voll
			break;
		}
	}

	//abschlieende Zellen
	$pdf->Rect(15,$stop,60,$shoehe+round($zh/2,0)-$stop);
	$pdf->Rect(75,$stop,60,$shoehe+round($zh/2,0)-$stop);
	$pdf->Rect(135,$stop,60,$shoehe+round($zh/2,0)-$stop);

}

$pdf->Output();
exit;
?>
