<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: team_pr.php 2864 2018-05-30 10:15:03Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

class PDF_HTML extends PDF
{
    var $STYLE='';
    var $COLOR='';
    var $SIZE=2;
	var $zh=5;

    function WriteHTML($zh,$html)
    {
		$this->zh = $zh;
        //HTML parser
        $html = str_replace(array("\n", '&nbsp;', '&amp;', '&lt;', '&gt;', '<div><br></div>'), array('<br>', ' ', '&', '<', '>', '<br>'), $html);
        $a=preg_split('/<(.*)>/U', $html, -1, PREG_SPLIT_DELIM_CAPTURE);
        foreach($a as $i=>$e)
        {
            if($i%2==0)
            {
				$this->SetFont('',$this->STYLE,$this->SIZE*2+6);
				if($this->COLOR) {
					$R = hexdec($this->COLOR[1].$this->COLOR[2]);
					$R = $R*0.5;
					$G = hexdec($this->COLOR[3].$this->COLOR[4]);
					$G = $G*0.5;
					$B = hexdec($this->COLOR[5].$this->COLOR[6]);
					$B = $B*0.5;
					$this->SetTextColor($R,$G,$B);
				}

				$this->Write($this->zh, $e);

				$this->SetTextColor(0,0,0);
				$this->SetFont('',$this->STYLE,10);
            }
            else
            {
                //Tag
                if($e[0]=='/')
                    $this->CloseTag(strtoupper(substr($e, 1)));
                else
                {
                    //Extract properties
                    $a2=explode(' ', $e);
                    $tag=strtoupper(array_shift($a2));
                    $prop=array();
                    foreach($a2 as $v)
                    {
                        if(preg_match('/([^=]*)=["\']?([^"\']*)/', $v, $a3))
                            $prop[strtoupper($a3[1])]=$a3[2];
                    }
                    $this->OpenTag($tag, $prop);
                }
            }
        }
    }

    function OpenTag($tag, $prop)
    {
        //Opening tag
        if($tag=='B' || $tag=='I' || $tag=='U') if(strpos($this->STYLE,$tag) === false) $this->STYLE .= $tag;
        if($tag=='BR') $this->Ln($this->zh);
        if($tag=='H1') $this->SIZE=4;
        if($tag=='H2') $this->SIZE=3;
        if($tag=='HR') {
            if( !empty($prop['WIDTH']) )
                $Width = $prop['WIDTH'];
            else
                $Width = $this->w - $this->lMargin-$this->rMargin;
            $this->Ln(2);
            $x = $this->GetX();
            $y = $this->GetY();
            $this->SetLineWidth(0.4);
            $this->Line($x, $y, $x+$Width, $y);
            $this->SetLineWidth(0.2);
            $this->Ln(2);
        }
        if($tag=='FONT') {
			$this->COLOR=$prop['COLOR'];
			$this->SIZE=empty($prop['SIZE'])?2:$prop['SIZE'];
		}
    }

    function CloseTag($tag)
    {
        //Closing tag
        if($tag=='B' || $tag=='I' || $tag=='U')
            $this->STYLE = str_replace($tag,'',$this->STYLE);
        if($tag=='P')
            $this->Ln($this->zh);
        if($tag=='DIV')
            $this->Ln($this->zh);
        if($tag=='TR')
            $this->Ln($this->zh);
        if($tag=='TD' || $tag=='TH')
            $this->Write($this->zh,'  ');
        if($tag=='FONT') {
            $this->COLOR='';
            $this->SIZE=2;
		}
        if($tag=='H1' || $tag=='H2') 
			$this->SIZE=2;
    }
}

//Beginn der PDF-Datei :-)
$pdf=new PDF_HTML('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetTopMargin(23);
$pdf->SetLeftMargin(15);
$pdf->SetAutoPageBreak(true, 23);

$tm = abfrage("select t1.team_id,
				date_format(t2.von, '%d.%m.%Y'),
				t1.essen,
				t1.andacht,
				t1.weiter,
				t1.thema,
				t2.termin_id,
				date_format(t2.von, '%H:%i'),
				date_format(t2.bis, '%H:%i'),
				t1.team_art_id,
				t3.name,
				t1.notizen,
				t1.tago,
				to_days(t2.von)
				from tb_team t1
				left join tb_termine t2 on t1.termin_id = t2.termin_id
				left join tb_team_art t3 on t1.team_art_id = t3.team_art_id
				where t1.team_id = $rvar_team_id;");

$footer = 'Tagesordnung: ' . $tm[10] . ', ' . $tm[1];

$pdf->AddPage();

$zh = 6;
$zh2 = 4;

// Titel
$pdf->SetFont('stw','',16);
$pdf->Cell(50,8,"Tagesordnung:");
$pdf->Cell(80,8,$tm[10],0,1);

// Thema
$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,8,'Thema:');
$pdf->Cell(100,8,"$tm[5]",0,1);

// Termin
$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,$zh,'Termin:');
$pdf->SetFont('Arial','',10);
$pdf->Cell(50,$zh,"$tm[1], $tm[7] - $tm[8] Uhr");

// zustndig
$pdf->SetFont('Arial','B',10);
$pdf->Cell(25,$zh,'zustndig:',0,0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Cell(50,$zh,pers_name($tm[4]),0,1);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,$zh,'Teilnehmer:');
$pdf->SetFont('Arial','',10);

$tns = abfrage1("select t1.pers_id from tbh_team_pers t1
				left join tb_personal t2 using (pers_id)
				where team_id = '$rvar_team_id'
				order by t2.vorname asc, t2.name asc;");
$i = 1;
while ($tn = mysql_fetch_row($tns)) {
	$pdf->Cell(40,$zh2,pers_kname($tn[0]));
	if ($i == 3){
		$pdf->Ln($zh2);
		$pdf->SetX(45);
		$i = 0;
	}
	$i++;
}

$pdf->Ln($zh * 1.5);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,4,'Notizen:');
$pdf->SetFont('Arial','',10);
$pdf->MultiCell(145,4,$tm[11],0,'L');

$pdf->Ln($zh/2);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(30,4,'Tagesordnung:',0,2);

$pdf->Ln($zh/4);

$pdf->SetFont('Arial','',10);
$pdf->WriteHTML(4,$tm[12]);

$pdf->Ln($zh/2);

$sql = "select t2.prioritaet, date_format(t1.termin,'%d.%m.%Y') as termin, 
		t3.pers_id, t1.autor, t1.titel, t1.erledigt, 
		to_days(t1.termin) as to_termin, t1.text
		from tbh_sitzung_aufgaben h 
		left join tb_aufgaben t1 using(aufgabe_id) 
		left join tb_prio t2 using (prio) 
		left join tbh_pers_auf t3 on t1.aufgabe_id = t3.aufgabe_id 
		left join tb_personal_abt abt on t1.abt_id = abt.abt_id 
		and t3.zust = 'j' where h.team_art_id = '$tm[9]' 
		and (t1.erledigt < '100' or to_days(t1.erl_datum) > $tm[13]) 
		order by t1.termin asc;";
$aufs = abfrage1($sql);

if (mysql_num_rows($aufs) > 0){
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell(30,4,'Aufgaben:');
	$pdf->SetFont('stw','',8);
	$pdf->Cell(40,4,'Titel',0,0,'R');
	$pdf->Cell(15,4,'Prioritt');
	$pdf->Cell(20,4,'fllig',0,0,'C');
	$pdf->Cell(30,4,'zustndig');
	$pdf->Cell(30,4,'Autor');
	$pdf->Cell(15,4,'erledigt',0,1);
	$pdf->SetFont('Arial','',10);
	while ($auf = mysql_fetch_assoc($aufs)) {
		$pdf->Cell(70,4,$auf['titel'],0,0,'R');
		$pdf->Cell(15,4,$auf['prioritaet']);
		$pdf->Cell(20,4,$auf['termin']);
		$pdf->Cell(30,4,pers_kname($auf['pers_id']));
		$pdf->Cell(30,4,pers_kname($auf['autor']));
		$pdf->Cell(15,4,$auf['erledigt'].' %',0,1);
		$pdf->MultiCell(180,4,$auf['text']);
		$pdf->Ln($zh/4);
	}
}
$pdf->Output();
exit;
?>
