<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: term_sql.php 2847 2018-04-11 08:00:09Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);
 require_once($pfad."inc/func.inc.php");

 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

 /* Daten pruefen und im Fehlerfall Nutzer informieren */
 if (check_time($_POST['beginn']) == false ||
     check_time($_POST['ende']) == false ||
     check_date($_POST['datum']) == null ||
     check_date($_POST['datum']) == false ||
     $_POST['terminart'] == "0")
 {
   /* Kalenderbereich */
   $seite = 10;

   require("inc/auth.inc.php");
   require("inc/stw.inc.php");

   if (isset($rvar_termin_id)) $text = "ge&auml;ndert"; else $text = "angelegt";

   printf("<table><tr><th style=\"color:red;\">Neuer Termin enthielt Fehler ");
   printf("und wurde deshalb nicht %s.</th></tr></table>\n", $text);

   new stwEnd($seite);
   exit(0);
 }

 /* SQL Datum-Zeit Eintrag generieren */
 $beginn = date_time_stamp(check_date($rvar_datum), check_time($rvar_beginn));
 $ende   = date_time_stamp(check_date($rvar_datum), check_time($rvar_ende));

 /* sicherstellen das es eine gueltige Zeit ist - Ende nicht Vergangenheit */
 if (date_isodatetime_stamp($beginn) > date_isodatetime_stamp($ende))
 {
   /* Endzeit liegt vor der Startzeit -> auf Startzeit + 15 Minuten setzen */
   $ende = strftime("%Y-%m-%d %H:%M", $beginn + 900);
 }

//Daten fr tb_termine ZUERST!
if (isset($rvar_termin_id)){
  $sql = "update ";
} else {
  $sql = "insert into ";
}

if ($rvar_ende == ""){
$sql .= "tb_termine set von = '$beginn',
					bis = date_add('$beginn', interval 1 hour),
					terminart = '$rvar_terminart' ";
} else {
$sql .= "tb_termine set von = '$beginn',
					bis = '$ende',
					terminart = '$rvar_terminart' ";
}

$sql .= (isset($rvar_termin_id)) ? " where termin_id = $rvar_termin_id;" : ';';
abfrage2($sql);

// Insert-ID aus tb_termine ermitteln
if (!isset($rvar_zk_id)) {
	$id = mysql_insert_id();
	abfrage2("insert into tbh_termin_pers set termin_id='$id', pers_id='{$_SESSION[$AppCode]['UID']}';");
}

// Daten fr tb_ab_zk
if (isset($rvar_zk_id)){
  $sql = "update tb_ab_zk set ";
} else {
  $sql = "insert into tb_ab_zk set pers_id = '{$_SESSION[$AppCode]['UID']}', ts_pers = unix_timestamp(now()), ";
}

$sql .= "inhalte = '$rvar_inhalte', spesen_text = '$rvar_ort'";

if (isset($rvar_zk_id)) {
	$sql .= ", termin_id = '$rvar_termin_id'";
	$sql .= " where zk_id = $rvar_zk_id;";
} else {
	$sql .= ", termin_id = '$id'";
	$sql .= ";";
}
abfrage2($sql);

$url = (isset($_SESSION[$AppCode]['url'])) ? $_SESSION[$AppCode]['url']
				: 'kal2.php';
header("Location: $url");
?>
