<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: dbtest.php 2830 2018-01-21 18:11:41Z dschniegler $
 *
 */

 $is_web = false;

 if (http_response_code() !== false)
 {
   $is_web = true;
 }

 $is_mysqli = false;

 foreach(get_loaded_extensions() as $extension)
 {
   if (!strcmp($extension, "mysqli"))
   {
     $is_mysqli = true;
     break;
   }
 }

 $is_db_test_ok = false;

 if ($is_mysqli)
 {
   $conf_file = substr(__FILE__, 0, strlen(__FILE__) - 16)."conf/conf.inc.php";
   if (file_exists($conf_file))
   {
     require_once($conf_file);
     $db = new mysqli($conf_srv, $conf_dbu, $conf_dbp, $conf_dbn);

     if (!$db->connect_errno)
     {
       $res = $db->query("SELECT wert FROM tb_konf WHERE name = 'traeger'");
       if ($res !== false && $res->num_rows > 0)
       {
         $is_db_test_ok = true;
       }

       $db->close();
     }
   }
 }

 // Auswertung der Ergebnisse
 if ($is_mysqli)
 {
   if ($is_db_test_ok)
   {
     $color = "#50D050";
     $sign  = "&#x2714;";

     $text  = "";
   }
   else
   {
     $color = "#FF0000";
     $sign  = "&#x2718;";

     $text  = "MySQLi Erweiterung gefunden aber die tb_konf ";
     $text .= "Abfrage ist gescheitert!";
   }
 }
 else
 {
   $color = "#FF0000";
   $sign  = "&#x2718;";

   $text  = "MySQLi Erweiterung nicht installiert!";
 }

 // Ausgabe
 if ($is_web)
 {
   printf("<!DOCTYPE html><html><head><meta http-equiv=\"Content-Type\" ");
   printf("content=\"text/html; charset=utf-8\"/><title>Datenbank Test");

   printf("</title></head><body style=\"background-color:#333333;\">");
   printf("<div style=\"position:absolute;width:300px;height:200px;z-index:");

   printf("15;top:30%%;left:50%%;margin:-100px 0 0 -150px;font-size: 1600%%;");
   printf("color:%s;text-shadow: 2px 2px #000000;\"", $color);

   printf(">%s<p style=\"font-size:10%%\">%s</p></div>", $sign, $text);
   printf("</body></html>");
 }
 else
 {
   if (empty($text))
   {
     printf("\033[32mOk\033[0m\n");
   }
   else
   {
     printf("\033[31mFehler\033[0m: %s\n", $text);
   }
 }

?>
