<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: vormerk.inc.php 2916 2018-11-27 11:00:08Z tfreudenberg $
 *
 */

define("VORM",        1);
define("OK",          2);
define("PROJECTED",   4);
define("ORDERED",     8);
define("DELIVERED",  16);
define("PAYED",      32);
define("OPENLS",     64);
define("DA",        128);
define("PASSIV",    256);


if(isset($_GET['bugfix'])) {
	abfrage2("delete from tbh_pers_vormerk where abteilungsleiter='r' and vm_id='{$_GET['bugfix']}'");
}

function vm_sum($proj_id) {
	if(empty($proj_id)) return 0;
	$vm_rows = abfrage1("select anzahl, betrag from tb_vormerkliste where proj_id='$proj_id'");
	$sum = 0;
	while($vm_row = mysql_fetch_row($vm_rows)) {
		$sum += is_numeric($vm_row[0]) ? $vm_row[0] * $vm_row[1] : $vm_row[1];
	}
	return $sum;
}

function isStatusLegit($vmlState, $status) {
	if($vmlState == 'all') return true;
	if(($vmlState == 'aktiv') && ($status & PASSIV) == 0) return true;
	if(($vmlState == 'vorm') && ($status == VORM)) return true;
	if(($vmlState == 'passiv') && ($status & PASSIV) > 0) return true;
	if(($vmlState == 'ok') && ($status & OK) > 0 && ($status & PROJECTED) == 0) return true;
	if(($vmlState == 'projected') && ($status & PROJECTED) > 0 && ($status & PAYED) == 0 && ($status & ORDERED) == 0 && ($status & DELIVERED) == 0) return true;
	if(($vmlState == 'ordered') && ($status & ORDERED) > 0 && ($status & PAYED) == 0 && ($status & DELIVERED) == 0) return true;
	if(($vmlState == 'delivered') && ($status & DELIVERED) > 0 && ($status & PASSIV) == 0) return true;
	if(($vmlState == 'topay') && ($status & PROJECTED) > 0 && ($status & PAYED) == 0 && ($status & PASSIV) == 0) return true;
	if(($vmlState == 'payed') && ($status & PAYED) > 0 && ($status & DA) == 0 && ($status & PASSIV) == 0) return true;
	if(($vmlState == 'openls') && ($status & OPENLS) > 0) return true;
	if(($vmlState == 'da') && ($status & DA) == 0 && ($status & DELIVERED) > 0) return true;
	return false;
}

function vmlStatusSqlWhere($vmlState) {
	$where = "where (status=0 or ";
	if($vmlState == 'aktiv') $where .= "status & " . PASSIV . " = 0";
	if($vmlState == 'vorm') $where .= "status = " . VORM;
	if($vmlState == 'passiv') $where .= "status & " . PASSIV . " > 0";
	if($vmlState == 'ok') $where .= "status & " . OK . " > 0 and status & " . PROJECTED . " = 0";
	if($vmlState == 'projected') $where .= "status & " . PROJECTED . " > 0 and status & " . PAYED . " = 0 and status & " . ORDERED . " = 0 and status & " . DELIVERED . " = 0";
	if($vmlState == 'ordered') $where .= "status & " . ORDERED . " > 0 and status & " . PAYED . " = 0 and status & " . DELIVERED . " = 0";
	if($vmlState == 'delivered') $where .= "status & " . DELIVERED ." > 0 and status & " . PASSIV . " = 0";
	if($vmlState == 'topay') $where .= "status & " . PROJECTED . " > 0 and status & " . PAYED . " = 0 and status & " . PASSIV . " = 0";
	if($vmlState == 'payed') $where .= "status & " . PAYED . " > 0 and status & " . DA . " = 0 and status & " . PASSIV . " = 0";
	if($vmlState == 'openls') $where .= "status & " . OPENLS . " > 0";
	if($vmlState == 'da') $where .= "status & " . DA . " = 0 and status & " . DELIVERED . " > 0";
	if($vmlState == 'all') $where .= 'status > 0';
	$where .= ")";
	return $where;
}

class stwVormerkung
{
  var $cur_vml;
  var $state;
  var $abt;
  var $vormerker;
  var $proj_id;
  var $pr_traeger;
  var $link;
  var $bezug;
  var $prios;
  var $prios2;
  var $abt_ids;
  var $abteilungen;
  var $gesamtbetrag;
  var $prioTT;
  var $aenderbar;
  
  function stwVormerkung($cur_vml='0',$status='all',$abt='all',$vormerker='all',$proj_id='all',$aenderbar=true) {
	global $AppCode;
	$uid = $_SESSION[$AppCode]['UID'];
	$ulv = $_SESSION[$AppCode]['ULV'];
	if(isset($_GET['bezug'])) $_SESSION[$AppCode]['vml_bezug'] = $_GET['bezug'];
	$this->prios = array('','niedrig','normal','hoch','dringend');
	$this->prios2 = array('','&nbsp; - bei Gelegenheit','&nbsp;&nbsp; - 2-4 Wochen','&nbsp;&nbsp;&nbsp;&nbsp; - 5 Werktage',' - sofort');
	$this->bezug = 0 + $_SESSION[$AppCode]['vml_bezug'];
	$this->cur_vml = $cur_vml;
	$this->state = empty($status) ? 'all' : $status;
	$this->abt = empty($abt) ? 'all' : $abt;
	$this->vormerker = empty($vormerker) ? 'all' : $vormerker;
	$this->proj_id = empty($proj_id) ? 'all' : $proj_id;
	$this->aenderbar = $aenderbar;
	if($this->proj_id != 'all') {
		$traeger = abfrage("select traeger_art_id from tb_projekte where proj_id = '$this->proj_id'");
		$this->pr_traeger = $traeger[0];
	} else $this->pr_traeger = 0;
	$this->link = $_SERVER['PHP_SELF'] . "?state=$this->state&amp;abt=$this->abt&amp;vormerker=$this->vormerker&amp;proj_id=$this->proj_id";
	if(isset($_GET['start'])) $this->link .= "&amp;start=" . $_GET['start'];
	$this->gesamtbetrag = 0;
	$this->abt_ids = array();
	$this->abteilungen = array();
	$this->prioTT = stwToolTip('<b>Priorit&auml;t der Bestellung dieser Vormerkung</b><br />dringend: sofort<br />hoch: 5 Werktage<br />normal: 2-4 Wochen<br />niedrig: bei Gelegenheit');
	$where = (!check_nutzer_rechte(117) && $ulv < 60) ? 
			"left join tb_personal_abt_leit l using(abt_id) 
			left join tbh_pers_abt p using(abt_id) 
			where p.pers_id='$uid' or l.pers_id='$uid' or v.pers_id='$uid' and" : 'where';
	$where .= " v.pers_id > 0";
	$abts = abfrage1("select a.abt_id, a.name from tb_personal_abt a left join tb_personal_abt_vml v using(abt_id) $where group by a.abt_id order by a.name asc;");
	while ($abt = mysql_fetch_row($abts)){
		$this->abt_ids[] = $abt[0];
		$this->abteilungen[ $abt[0] ] = $abt[1];
	}
	if(sizeof($this->abt_ids) == 1) $this->abt = $this->abt_ids[0];
	if(isset($_GET['undobar'])) {
		$empf_pers_id = abfrage("select empf_pers_id from tb_vormerkliste where vm_id='{$_GET['vml']}'");
		if(empty($empf_pers_id[0])) {
			$zahlung = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i') from tbh_pers_vormerk where abteilungsleiter='z' and vm_id='{$_GET['vml']}'");
			if(mysql_num_rows($zahlung) == 0) {
				abfrage2("delete from tbh_pers_vormerk where abteilungsleiter='{$_GET['undobar']}' and vm_id='{$_GET['vml']}'");
				abfrage2("delete from tbh_vormerk_print where vm_id='{$_GET['vml']}'");
			}
		}
	}
  }

  function darf_speichern($vm_id){
	global $AppCode;
	$ulv = $_SESSION[$AppCode]['ULV'];
	if($ulv >= 60) return true;
	if(check_nutzer_rechte(117)) return true;
	$uid = $_SESSION[$AppCode]['UID'];
	$vml = abfrage_array("select * from tb_vormerkliste where vm_id='$vm_id'");
	if(empty($vml['abt_id'])) return true;

	/* ist angemeldeter Benutzer Abteilungsleiter der angegebenen Abteilung? */
	if($vm_id == 0) $abtleit = false;
	else {
		$sql = "select abt_id from tb_personal_abt_leit where pers_id='$uid'";
		if(!empty($vml['abt_id'])) $sql .= " and abt_id='{$vml['abt_id']}'";
		$abls = abfrage1($sql);
		$abtleit = (mysql_num_rows($abls) > 0);
	}

	/* nderung von Werten zulaessig? */
	if($abtleit) return true;
	elseif(empty($vm_id)) return true;
	elseif($vml['proj_id'] == $this->proj_id) return true;
	elseif($leiter_ok || !empty($vml['proj_id'])) return false;
	elseif($ulv >= 65 || empty($vml['abt_id'])) return true;
	else {
		$vml_pers = abfrage1("select pers_id from tbh_pers_vormerk where pers_id='$uid' and vm_id='$vml[0]';");
		if(mysql_num_rows($vml_pers)>0) return true;
		else {
			$abls = abfrage1("select abt_id from tb_personal_abt_leit where abt_id='{$vml['abt_id']}' and pers_id='$uid'");
			if(mysql_num_rows($abls) > 0) return true;
			else {
				$abts = abfrage1("select abt_id from tbh_pers_abt where abt_id='{$vml['abt_id']}' and pers_id='$uid'");
				return (mysql_num_rows($abts) > 0);
			}
		}
	}
	return false;
  }

  function Ausgabe() {
	global $AppCode;
	$uid = $_SESSION[$AppCode]['UID'];
	$ulv = $_SESSION[$AppCode]['ULV'];
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function Edit(id) {\n";
	echo "  var lastId = document.getElementById('edit').value;\n";
	echo "  if(lastId > 0 && document.getElementById('darf_speichern_' + lastId).value == 1) {\n";
	echo "    var name = document.getElementById('name').value;\n";
	echo "    var url = document.getElementById('url').value;\n";
	echo "    var url_name = document.getElementById('url_name').value;\n";
	echo "    var artikelnr = document.getElementById('artikelnr').value;\n";
	echo "    var kont_id = document.getElementById('kont_id').value;\n";
	echo "    var anz = document.getElementById('anz').value;\n";
	echo "    var abt_id = document.getElementById('abt_id').value;\n";
	echo "    var notizen = document.getElementById('notizen').value;\n";
	echo "    var genau = document.getElementById('genau').value;\n";
	echo "    var traeger = document.getElementById('traeger').value;\n";
	echo "    var konto = document.getElementById('konto').value;\n";
	echo "    var betrag = document.getElementById('betrag').value;\n";
	echo "    var prio = document.getElementById('prio').value;\n";
	echo "    xajax_Speichern(lastId,'$uid',name,url,url_name,artikelnr,kont_id,anz,abt_id,notizen,genau,traeger,konto,betrag,prio);\n";
	echo "  }\n";
	echo "  if (typeof xajax_Edit == 'function') {\n";
	echo "    xajax_Edit(id,lastId);\n";
	echo "    return false;\n";
	echo "  }\n";
	echo "  return true;\n";
	echo "}\n";

	echo "function UpdateKostenstelle(vm_id, traeger, id) {\n";
	echo "var select = document.getElementById('kto_' + vm_id);\n";
	echo "for(var i=select.options.length-1; i>=0; i=select.options.length-1) {\n";
	echo "select.options[i] = null;\n}\n";
	echo "select.options[select.options.length] = new Option('', '0');\n";
	$trs = abfrage1("select traeger_art_id from tbh_pers_traegerart where pers_id='$uid';");
	while($tr = mysql_fetch_row($trs)) {
		echo "if($tr[0] == traeger) {\n";
		$ktos = abfrage1("select * from tb_bkto where aktiv='j' and traegerart_id='$tr[0]' order by kurzname asc");
		while($kto = mysql_fetch_row($ktos)) {
			echo "select.options[select.options.length] = new Option('$kto[1] ".str_replace("\r\n",' ',$kto[3])."', '$kto[0]', (id == $kto[0]));\n";
		}
		echo "}\n";
	}
	echo "}\n";

	echo "function doTT2(id,link,anker) {\n";
	echo "var gbezug = 'gbezug_' + id;\n";
	echo "var str = '<a style=\"color:white;\" href=\"' + link + '&amp;bezug=0#' + anker + '\">Kurzname</a><br />';\n";
	echo "str += '<a style=\"color:white;\" href=\"' + link + '&amp;bezug=1#' + anker + '\">Name 1</a><br />';\n";
	echo "str += '<a style=\"color:white;\" href=\"' + link + '&amp;bezug=2#' + anker + '\">Name 2</a>';\n";
	echo "Tip(str, BGCOLOR, '#999999', WIDTH, 75, HEIGHT, 40, FIX, [gbezug,-5,-15], STICKY, 1);\n}\n";

	$bars=abfrage1("select v.* from tbh_pers_vormerk b left join tb_vormerkliste v using(vm_id)
					left join tbh_pers_vormerk z on (z.vm_id = v.vm_id and z.abteilungsleiter = 'z')
					where b.abteilungsleiter = 'b' and (z.pers_id is null or v.empf_pers_id is null)
					order by v.vm_id asc");
	$statb_jas = getConf('statb_jas');
	$statb_ja = explode(",", $statb_jas);

	echo "function doNotizTT(anchor) {\n";
	echo "var str = '<form name=\"tempform\">'\n";
	echo "        + '<textarea style=\"width:300px;height:100px;margin:10px\" onkeyup=\"document.vmlForm.notizen.value=this.value\">'\n";
	echo "        + document.vmlForm.notizen.value + '</textarea></form>';\n";
	echo "Tip(str, BGCOLOR, '#333333', CLOSEBTN, 1, DELAY, 0, TITLE, 'Notizen:',TITLEBGCOLOR, '#006600', BORDERCOLOR, '#666666', WIDTH, 320, HEIGHT, 120, FIX, [anchor,-10,-25], STICKY, 1);\n}\n";

	echo "function doUrlTT(id) {\n";
	echo "var str = '<form name=\"tempform\">'\n";
	echo "        + '<b style=\"color:#CCCCCC\">Name:</b> <input type=\"text\" name=\"url_name\" style=\"width:300px;margin:5px\" onkeyup=\"document.vmlForm.url_name.value=document.tempform.url_name.value\" value=\"'";
	echo "        + document.vmlForm.url_name.value + '\">'";
	echo "        + '<br><b style=\"color:#CCCCCC\">Link:&nbsp;&nbsp;</b> <input type=\"text\" name=\"url\" style=\"width:300px;margin:5px\" onkeyup=\"document.vmlForm.url.value=document.tempform.url.value\" value=\"'";
	echo "        + document.vmlForm.url.value + '\">'";
	echo "        + '</form>';\n";
	echo "Tip(str, BGCOLOR, '#333333', CLOSEBTN, 1, DELAY, 0, TITLE, 'Link zum Artikel in einem Webshop:',TITLEBGCOLOR, '#006600', BORDERCOLOR, '#666666', WIDTH, 350, HEIGHT, 50, FIX, ['URLIcon_'+id,-10,-25], STICKY, 1);\n}\n";
	echo "--></script>\n";

	echo "<form id=\"vmlForm\" name=\"vmlForm\" method=\"post\" action=\"".$_SERVER['PHP_SELF']."\">\n";
	echo "<input type=\"hidden\" id=\"edit\" name=\"edit\" value=\"$this->cur_vml\" />\n";
	echo "<input type=\"hidden\" name=\"vml\" value=\"".($this->cur_vml > 0 ? $this->cur_vml : 0)."\">\n";
	if($this->proj_id != 'all') echo "<input type=\"hidden\" name=\"proj_id\" value=\"$this->proj_id\">\n";
	echo "<input type=\"hidden\" name=\"state\" value=\"$this->state\">\n";
	echo "<input type=\"hidden\" name=\"abt\" value=\"$this->abt\">\n";
	echo "<input type=\"hidden\" name=\"vormerker\" value=\"$this->vormerker\">\n";

	if($this->cur_vml > 0) $vmp = abfrage_array("select * from tb_vormerkliste where vm_id='$this->cur_vml'");
	else $vmp = array("prio" => "2", "genau" => "n", "abt_id" => $this->abt_ids[0]);
	echo "<input type=\"hidden\" id=\"change\" value=\"0\" />\n";
	echo "<input type=\"hidden\" id=\"name\" value=\"".$vmp['name']."\" />\n";
	echo "<input type=\"hidden\" id=\"url\" name=\"url\" value=\"".$vmp['link']."\" />\n";
	echo "<input type=\"hidden\" id=\"url_name\" name=\"url_name\" value=\"".$vmp['link_name']."\" />\n";
	echo "<input type=\"hidden\" id=\"artikelnr\" value=\"".$vmp['artikelnr']."\" />\n";
	echo "<input type=\"hidden\" id=\"kont_id\" value=\"".$vmp['kont_id']."\" />\n";
	echo "<input type=\"hidden\" id=\"anz\" value=\"".$vmp['anzahl']."\" />\n";
	echo "<input type=\"hidden\" id=\"abt_id\" value=\"".$vmp['abt_id']."\" />\n";
	echo "<input type=\"hidden\" id=\"notizen\" name=\"notizen\" value=\"".$vmp['notizen']."\" />\n";
	echo "<input type=\"hidden\" id=\"genau\" value=\"".$vmp['genau']."\" />\n";
	echo "<input type=\"hidden\" id=\"traeger\" value=\"".$vmp['traeger_art_id']."\" />\n";
	echo "<input type=\"hidden\" id=\"konto\" value=\"".$vmp['konto']."\" />\n";
	echo "<input type=\"hidden\" id=\"betrag\" value=\"".$vmp['betrag']."\" />\n";
	echo "<input type=\"hidden\" id=\"prio\" value=\"".$vmp['prio']."\" />\n";

	echo "<table id=\"VMLTable\"><tr>\n";
	echo "<th class=\"cl1\">Pos.</th>\n";
	echo "<th style=\"text-align:center\" class=\"cl1\" $prioTT>Prio</th>\n";
	echo "<th style=\"text-align:right\" class=\"cl1\">Proj.</th>\n";
	if(check_nutzer_rechte(125)) {
		echo "<th class=\"cl11\" style=\"text-align:center\" colspan=\"2\"".stwToolTip("Inventarisierung").">Inv.</th>\n";
	}
	echo "<th style=\"text-align:center\" class=\"cl1\">Anz.</th>\n";
	echo "<th style=\"text-align:center\" class=\"cl1\" colspan=\"2\">Bezeichnung</th>\n";
	echo "<th style=\"text-align:center\" class=\"cl1\">Bezugsquelle</th>\n";
	echo "<th style=\"text-align:center\"".stwToolTip('genau diesen Artikel').">gen.</th>\n";
	echo "<th style=\"text-align:center\">Artikelnr.</th>\n";
	echo "<th style=\"text-align:center\" class=\"cl1\"".stwToolTip('Preis <b>eines</b> Artikels, wenn unter Anz. numerische Angabe<br />ansonsten Gesamtpreis (auch bei 2 Flaschen, 7 Ksten, 25kg...)').">EPreis</th>\n";
	echo "<th style=\"text-align:center\" class=\"cl1\"".stwToolTip('Gesamtkosten').">GPreis</th>\n";
	echo "<th class=\"cl1\" colspan=\"2\"".stwToolTip('Link zu diesem Artikel auf einer Webseite')."><img src=\"img/weltkugel.png\" alt=\"url\" /></th>\n";
	echo "<th style=\"text-align:center\" class=\"cl1\"".stwToolTip("Tr&auml;ger").">Tr.</th>\n";
	echo "<th style=\"text-align:center\" class=\"cl1\">Abteilung</th>\n";
	echo "<th style=\"text-align:center\" class=\"cl1\"".stwToolTip('Kostenstelle').">Kst.st.</th>\n";
	echo "<th style=\"text-align:center\" class=\"cl1\"".stwToolTip('vorgemerkt').">Vg</th>\n";
	echo "<th style=\"text-align:center\"".stwToolTip('OK Abteilungsleiter').">AL</th>\n";
	echo "<th style=\"text-align:center\"".stwToolTip('Empfang best&auml;tigt').">E</th>\n";
	echo "<th style=\"text-align:center\"".stwToolTip("Zahlung erhalten").">Zg</th>\n";
	echo "</tr>\n";
	new stwTabLine(2,30);
	flush();
	if(isset($_GET['vmid']) && is_array($_GET['vmid'])) {
		$where .= " where v.vm_id in (" . implode(",",$_GET['vmid']) . ") ";
		$this->link .= "&amp;vmid[]=" . implode("&amp;vmid[]=",$_GET['vmid']);
	} else {
		$where = vmlStatusSqlWhere($this->state);
		if($this->proj_id != 'all') $where .= " and v.proj_id='$this->proj_id' ";
		elseif($this->abt != 'all' || $this->vormerker != 'all') {
			if($this->abt != 'all') $where .= " and v.abt_id='$this->abt' ";
			if($this->vormerker != 'all') $where .= " and n.pers_id='$this->vormerker' and n.zeit in(SELECT min(zeit) FROM tbh_pers_vormerk where abteilungsleiter='n' group by vm_id) ";
		} elseif($ulv >= 60 || check_nutzer_rechte(117)) $where .= '';
		else {
			if(empty($this->abt_ids)) $where .= " and false";
			else $where .= " and (v.abt_id in (".implode(",", $this->abt_ids).")";
			if(check_nutzer_rechte(77)) {
				$kw = abfrage1("select pers_id from tbh_kassenwart where pers_id='$uid'");
				if(mysql_num_rows($kw) > 0) $where .= " or v.vm_id in (select vm_id from tbh_pers_vormerk where abteilungsleiter in('b','l'))";
			}
			$where .= ")";
		}
	}
	$vml_sql = "select distinct v.vm_id, v.proj_id, v.empf_pers_id, v.name, v.artikelnr, v.kont_id, v.status from tb_vormerkliste v ";
	if($this->vormerker != 'all') $vml_sql .= " left join tbh_pers_vormerk n on (n.vm_id = v.vm_id and abteilungsleiter='n') ";
	$vml_sql .= "$where order by v.vm_id desc";
	$vmls = abfrage1($vml_sql);
	if($this->cur_vml==-1) {
		$this->line(0,true);
	}
	new stwTabLine(2,30);
	$vml_cnt = 0;
	while ($vml = mysql_fetch_array($vmls)){
		$status = empty($vml['status']) ? calc_vml_state($vml[0]) : $vml['status'];
		$showIt = isStatusLegit($this->state, $status);
		$doit = false;
		if(isset($_REQUEST['suche']) && strlen($_REQUEST['suche']) > 0) {
			$suchstr = strtoupper($_REQUEST['suche']);
			if ((strpos($vml[0], $suchstr) === false) &&
			(strpos(strtoupper($vml[3]), $suchstr) === false) &&
			(strpos(strtoupper($vml[4]), $suchstr) === false)) {
				$kont = abfrage("select kurzname, name, name2 from tb_kontakte where kont_id='$vml[5]'");
				if ((strpos(strtoupper($kont[0]), $suchstr) === false) &&
				(strpos(strtoupper($kont[1]), $suchstr) === false) &&
				(strpos(strtoupper($kont[2]), $suchstr) === false)) {
					$vps = abfrage1("select RIGHT(CONCAT('000', id2),4) from tbh_vormerk_print where vm_id='$vml[0]'");
					$showIt = false;
					while($vp = mysql_fetch_row($vps)) {
						if(strpos($vp[0], $suchstr) !== false) {
							$showIt = true;
							break;
						}
					}
				}
			}
		}
		if($showIt || $vml[0] == $this->cur_vml) {
			if(intval($_GET['start']) <= $vml_cnt && intval($_GET['start'])+100 > $vml_cnt) {
				$this->line($vml[0],$this->cur_vml==$vml[0]);
				flush();
			}
			$vml_cnt++;
		}
		if($this->proj_id == 'all' && $vml_cnt >= intval($_GET['start']) + 100) break;
	}
	new stwTabLine(2,30);
	echo "<tr>";
	$can_add_to_vk_proj = false;
	if($this->proj_id != 'all' && $ulv < 97) {
		$check = abfrage("select problemlage, hobbys, familie from tb_projekte where proj_id='$this->proj_id'");
		if($check[0] != 'checked' && $check[1] != 'checked' && $check[2] != 'checked') $can_add_to_vk_proj = true;
	}
	$proj_neu_recht = check_proj_neu_recht(-1);
	if(($proj_neu_recht || check_nutzer_rechte(90)) && ($this->proj_id == 'all' || $ulv >= 97 || $can_add_to_vk_proj)) {
		echo "<td colspan=\"2\">&nbsp;</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:right\">&#10149;</td>";
		$acht = check_nutzer_rechte(125) ? 8 : 7;
		echo "<td colspan=\"$acht\"><select name=\"proj_to_add\" style=\"width:300px\">";
		echo "<option value=\"\"></option>\n";
		if($proj_neu_recht) echo "<option value=\"n\">neues Projekt</option>\n";
		if($this->proj_id == 'all' && check_nutzer_rechte(90)) {
			echo "<option value=\"b\">Direktkauf (bar)</option>\n";
			echo "<option value=\"l\">Direktkauf (Lieferschein)</option>\n";
			echo "<option value=\"k\">Direktkauf (Kartenzahlung)</option>\n";
			echo "<option value=\"r\">Direktkauf (Rechnung)</option>\n";
		}
		if($proj_neu_recht)  {
			$pa = abfrage( "select nr_von, nr_bis from tb_projektart where pra_id='11'");
			if($ulv < 60 && !check_nutzer_rechte(117)) {
			   $res = abfrage1("select pers_id from tbh_kassenwart where pers_id='{$_SESSION[$AppCode]["UID"]}'");
				if(mysql_num_rows($res) > 0) $sql = "select p.proj_id from tb_projekte p where";
				else $sql = "select p.proj_id from tbh_proj_abt a left join tb_projekte p using(proj_id)
							left join tbh_pers_proj pp on (pp.proj_id=p.proj_id)
							where (a.abt_id in (select abt_id from tb_personal_abt_vml where pers_id='$uid') 
							or pp.pers_id='{$_SESSION[$AppCode]["UID"]}') and";
			} else {
				$sql = "select p.proj_id from tb_projekte p where";
			}
			if($can_add_to_vk_proj) $sql .= " problemlage='' and hobbys='' and familie='' and";
			$sql .= " p.projektnr >= $pa[0] and p.projektnr < 18000
					and (p.ende is null or p.ende = '0000-00-00' or p.ende >= curdate())
					and (p.einverst is NULL or p.einverst = 0 or (p.familie = '' and unix_timestamp(p.einvdatum) > 1358895600))
					and (p.anfrage_std_kont_fz is NULL or p.anfrage_std_kont_fz = 0 or (p.hobbys = '' and unix_timestamp(p.anfrage) > 1358895600))
					group by p.proj_id";
			$vkpros = abfrage1($sql);
			while ($vkpro = mysql_fetch_row($vkpros)){
				$vkprojekt = new stwProjekt($vkpro[0]);
				echo "<option value=\"$vkpro[0]\">";
				echo $vkprojekt->nummer();
				echo " (" . $vkprojekt->name() . ")";
				echo "</option>\n";
			}
		}
		echo "</select>";
		echo "<input name=\"add_to_vk_proj\" type=\"submit\" value=\"gew&auml;hltem Projekt zuordnen\" style=\"margin-left:10px;\"";
		echo stwToolTip("Ausgew&auml;hlte Vormerkungen dem ausgew&auml;hlten Projekt zuordnen") . "></td>";
	} else {
		$elf = check_nutzer_rechte(125) ? 11 : 10;
		echo "<th colspan=\"$elf\" style=\"text-align:right\">Summe:</th>";
	}
	echo "<td class=\"cl1\" colspan=\"2\" style=\"text-align:right\"".stwToolTip("Gesamtbetrag der abgebildeten Vormerkungen").">" . geld_form_web($this->gesamtbetrag) . "</td>";
	echo "<td colspan=\"30\" style=\"text-align:right\"><table cellspacing=\"1\" cellpadding=\"5\"><tr id=\"vml_sub_menu\">";
	if($this->proj_id == 'all' && $vml_cnt >= 100) echo "<td style=\"color:green\">... Men&uuml; wird erstellt ... Bitte warten ...</td>";
	echo "</tr></table></td></tr></table>\n</form>\n";
	if($this->proj_id == 'all' && $vml_cnt >= 100) echo "<script type=\"text/javascript\"><!--\n xajax_vmlSubMenu(\"$vml_sql\",".intval($_GET['start']).",'".(isset($_REQUEST['suche']) ? $_REQUEST['suche'] : '')."');\n--></script>\n";
	else echo "<script type=\"text/javascript\">\ndocument.getElementById('vmlneu').disabled='';\n</script>\n";
  }

  function line_ststic($vm_id, $edit=false, $new=false) {
	global $AppCode;
	$ret_val = '';
	$uid = $_SESSION[$AppCode]['UID'];
	$ulv = $_SESSION[$AppCode]['ULV'];
	$genau_tt = stwToolTip('genau diesen Artikel');
	$sql = "select v.*, date_format(v.empf_zeit, '%d.%m.%Y %H:%i') as empf from tb_vormerkliste v where v.vm_id=";
	$sql .= (isset($_GET['artikel']) && empty($vm_id)) ? "'{$_GET['artikel']}'" : "'$vm_id'";
	$vml = abfrage_array($sql);
	if(empty($vm_id)) {
		$vml[0] = 0;
		$ma = abfrage_array("select * from tb_personal where pers_id = '$uid'");
		$vml['traeger_art_id'] = $ma['standard_traeger_art_id'];
		$vml['prio'] = 2;
	}
	$x = ($vm_id > 0);
	$leiter_ok = false;
	$leiter_oks = abfrage1( "select concat(left(p.vorname,1), '. ', p.name),
							date_format(v.zeit, '%d.%m.%Y %H:%i')
							from tbh_pers_vormerk v
							left join tb_personal p using(pers_id)
							where v.vm_id = '$vml[0]'
							and v.abteilungsleiter = 'j'
							order by v.zeit desc;");
	if(mysql_num_rows($leiter_oks) % 2 == 1) {
		$leiter_ok = true;
		$style = "style=\"color:#00FF00;\"";
		$ok = mysql_fetch_row($leiter_oks);
		$tt = "Vorgemerkte Artikel am $ok[1] Uhr<br />durch $ok[0] genehmigt";
		mysql_data_seek($leiter_oks, 0);
		$x = false;
		$leiter_ok_check = true;
	} else {
		$style = '';
		$tt = 'Artikel zur Bestellung vorgemerkt';
		$leiter_ok_check = false;
	}
	$zahlung = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i') from tbh_pers_vormerk where abteilungsleiter='z' and vm_id='$vml[0]'");
	$num_row_z = mysql_num_rows($zahlung);
	$barkaufs = abfrage1("select date_format(zeit, '%d.%m.%Y %H:%i'), pers_id from tbh_pers_vormerk where abteilungsleiter='b' and vm_id='$vml[0]'");
	$eckaufs = abfrage1("select date_format(zeit, '%d.%m.%Y %H:%i'), pers_id from tbh_pers_vormerk where abteilungsleiter='k' and vm_id='$vml[0]'");
	$reckaufs = abfrage1("select date_format(zeit, '%d.%m.%Y %H:%i'), pers_id from tbh_pers_vormerk where abteilungsleiter='r' and vm_id='$vml[0]'");
	$lfskaufs = abfrage1("select date_format(zeit, '%d.%m.%Y %H:%i'), pers_id from tbh_pers_vormerk where abteilungsleiter='l' and vm_id='$vml[0]'");
	$undo_bar = false;
	if(empty($vml['empf_pers_id'])) {
		if($num_row_z == 0) {
			if(check_nutzer_rechte(117)) $undo_bar = true;
			else {
				$vml_pers = abfrage1("select pers_id from tbh_pers_vormerk where pers_id='$uid' and vm_id='$vml[0]';");
				if(mysql_num_rows($vml_pers)>0) $undo_bar = true;
				else {
					$abls = abfrage1("select abt_id from tb_personal_abt_leit where abt_id='{$vml['abt_id']}' and pers_id='$uid'");
					if(mysql_num_rows($abls) > 0) $undo_bar = true;
				}
			}
		}
	}
	$empty = false;
	$showCheckbox = false;
	$can_add_to_vk_proj = false;
	if($this->proj_id != 'all' && $ulv < 97) {
		$check = abfrage("select problemlage, hobbys, familie from tb_projekte where proj_id='$this->proj_id'");
		if($check[0] != 'checked' && $check[1] != 'checked' && $check[2] != 'checked') $can_add_to_vk_proj = true;
	}
	$projOut = '';
	if($vm_id == 0) $projOut = '';
	elseif($can_add_to_vk_proj) $showCheckbox = true;
	elseif(mysql_num_rows($barkaufs)>0) {
		$x = false;
		$barkauf = mysql_fetch_row($barkaufs);
		$tt = 'Dirketkauf durch ' . pers_kname($barkauf[1]) . " am $barkauf[0] Uhr";
		$bezahlt = abfrage1("select date_format(zeit, '%d.%m.%Y %H:%i'), pers_id from tbh_pers_vormerk where abteilungsleiter='z' and vm_id='$vml[0]'");
		if(mysql_num_rows($bezahlt) == 0) $style = ($vml['empf_pers_id'] > 0) ? "style=\"color:#4B91B4;\"" : "style=\"color:#FFFFFF;\"";
		else {
			$style = ($vml['empf_pers_id'] > 0) ? "style=\"color:#999999;\"" : "style=\"color:#FFFFFF;\"";
			$pay = mysql_fetch_row($bezahlt);
			$tt .= '<br />Betrag erhalten von ' . pers_kname($pay[1]) . " am $pay[0] Uhr";
		}
		$vml['proj_id'] = 'bar';
		if($undo_bar) {
			$projOut  = "<a style=\"color:#CCCCCC\" href=\"#\" ";
			$projOut .= "onclick=\"if(confirm('Barkauf wieder entfernen?') == true) ";
			$projOut .= "{self.location.href='$this->link&amp;undobar=b&amp;vml=$vm_id#v$vm_id'}\"";
		} else $projOut = "<b";
		$id2 = abfrage("select id2 from tbh_vormerk_print where vm_id='$vml[0]'");
		$projOut .= stwToolTip('Dirketkauf (bar)').">";
		$projOut .= (empty($id2[0])) ? 'Bar' : 'B<sup>'.str_pad($id2[0], 4 ,'0', STR_PAD_LEFT).'</sup>';
		$projOut .= $undo_bar ? "</a>" : "</b>";
	} elseif($vml['proj_id'] > 0) {
		$x = false;
		if($this->proj_id != $vml['proj_id']) {
			$projekt = new stwProjekt($vml['proj_id']);
			$proj_status=abfrage_array("SELECT UNIX_TIMESTAMP(kostenzus) AS bestellt_ts,
										DATE_FORMAT(kostenzus,'%d.%m.%Y') AS bestellt,
										UNIX_TIMESTAMP(kostenzus_ende) AS geliefert_ts,
										DATE_FORMAT(kostenzus_ende,'%d.%m.%Y') AS geliefert,
										UNIX_TIMESTAMP(beginn) AS vorr_ts,
										DATE_FORMAT(beginn,'%d.%m.%Y') AS vorr,
										UNIX_TIMESTAMP(ende) AS bezahlt_ts,
										DATE_FORMAT(ende,'%d.%m.%Y') AS bezahlt
										FROM tb_projekte WHERE proj_id='$projekt->id'");
			$projOut = "<a href=\"pro_daten.php?proj_id=$projekt->id\"".stwToolTip("<b>".$projekt->nummer()."</b><br />".$projekt->name()."<br />".$projekt->hb_name()).">$projekt->nr</a>";
			$tt = '<b>Artikel Einkaufsprojekt zugeordnet</b>';
			if($proj_status['bestellt_ts'] > 0) $tt .= '<br />- am ' . $proj_status['bestellt'] . ' bestellt';
			if($proj_status['vorr_ts'] > 0) $tt .= '<br />- vorraussichtlicher Liefertermin: ' . $proj_status['vorr'];
			if($proj_status['geliefert_ts'] > 0) $tt .= '<br />- am ' . $proj_status['geliefert'] . ' geliefert';
			if($proj_status['bezahlt_ts'] > 0) $tt .= '<br />- am ' . $proj_status['bezahlt'] . ' bezahlt';
			if($vml['empf_pers_id'] > 0) {
				$style = ($proj_status['bezahlt_ts'] > 0) ? "style=\"color:#999999;\"" : "style=\"color:#4B91B4;\"";
				$tt .= '<br />- Empfang am ' . $vml['empf'] . ' best&auml;tigt';
			} elseif($proj_status['geliefert_ts'] > 0) {
				$style = "style=\"color:#FFFFFF;\"";
			} elseif($proj_status['bestellt_ts'] > 0) {
				$style = "style=\"color:#FF00FF;\"";
			} else {
				$style = "style=\"color:#FF0000;\"";
			}
		} else{
			if($ulv >= 97) $projOut = "<input type=\"checkbox\" name=\"add_pro[]\" value=\"$vml[0]\" /> ";
			if(mysql_num_rows($lfskaufs)>0) {
				$lfskauf = mysql_fetch_row($lfskaufs);
				$tt = 'Direktkauf per Lieferschein durch ' . pers_kname($lfskauf[1]) . " am $lfskauf[0] Uhr";
				$id2 = abfrage("select id2 from tbh_vormerk_print where vm_id='$vml[0]'");
				$projOut .= "<b".stwToolTip($tt,false).">L<sup style=\"margin-left:-4px\">".str_pad($id2[0], 4 ,'0', STR_PAD_LEFT)."</sup></b>";
				if(mysql_num_rows($reckaufs)>0) {
					$projOut .= "<a href=\"$this->link&amp;bugfix=$vml[0]\" style=\"color:red\">";
					$projOut .= "<img src=\"" . image('bug') . "\"" . stwToolTip("Es existiert ein Sofortkauf(Rechnung) f&uuml;r diesen Vormerkposten.<br>Dies ist ein Fehler! <b>Klicken Sie hier um ihn zu beheben!</b>") . "/></a>";
				}
			}
		}
	} elseif(mysql_num_rows($reckaufs)>0) {
		$x = false;
		$reckauf = mysql_fetch_row($reckaufs);
		$style = ($vml['empf_pers_id'] > 0) ? "style=\"color:#4B91B4;\"" : "style=\"color:#FFFFFF;\"";
		$vml['proj_id'] = 'rechn';
		$tt = 'Direktkauf per Rechnung durch ' . pers_kname($reckauf[1]) . " am $reckauf[0] Uhr";
		$id2 = abfrage("select id2 from tbh_vormerk_print where vm_id='$vml[0]'");
		if($undo_bar) {
			$projOut  = "<a style=\"color:#CCCCCC\" href=\"#\" ";
			$projOut .= "onclick=\"if(confirm('Direktkauf Rechnung wieder entfernen?') == true) ";
			$projOut .= "{self.location.href='$this->link&amp;undobar=r&amp;vml=$vm_id#v$vm_id'}\"";
		} else $projOut = "<b";
		$projOut .= stwToolTip('Dirketkauf (Rechnung)').">R<sup>".str_pad($id2[0], 4 ,'0', STR_PAD_LEFT)."</sup>";
		$projOut .= $undo_bar ? "</a>" : "</b>";
	} elseif(mysql_num_rows($lfskaufs)>0) {
		$x = false;
		$lfskauf = mysql_fetch_row($lfskaufs);
		$style = ($vml['empf_pers_id'] > 0) ? "style=\"color:#4B91B4;\"" : "style=\"color:#FFFFFF;\"";
		$vml['proj_id'] = 'ls';
		$tt = 'Direktkauf per Lieferschein durch ' . pers_kname($lfskauf[1]) . " am $lfskauf[0] Uhr";
		$id2 = abfrage("select id2 from tbh_vormerk_print where vm_id='$vml[0]'");
		if($undo_bar) {
			$projOut  = "<a style=\"color:#CCCCCC\" href=\"#\" ";
			$projOut .= "onclick=\"if(confirm('Direktkauf Lieferschein wieder entfernen?') == true) ";
			$projOut .= "{self.location.href='$this->link&amp;undobar=l&amp;vml=$vm_id#v$vm_id'}\"";
		} else $projOut = "<b";
		$projOut .= stwToolTip('Dirketkauf (Lieferschein)').">L<sup style=\"margin-left:-4px\">".str_pad($id2[0], 4 ,'0', STR_PAD_LEFT)."</sup>";
		$projOut .= $undo_bar ? "</a>" : "</b>";
		if(check_proj_neu_recht($vml['abt_id'])) $showCheckbox = true;
	} elseif(mysql_num_rows($eckaufs)>0) {
		$x = false;
		$eckauf = mysql_fetch_row($eckaufs);
		$style = ($vml['empf_pers_id'] > 0) ? "style=\"color:#4B91B4;\"" : "style=\"color:#FFFFFF;\"";
		$vml['proj_id'] = 'ec';
		$tt = 'Direktkauf per Kartenzahlung durch ' . pers_kname($eckauf[1]) . " am $eckauf[0] Uhr";
		$id2 = abfrage("select id2 from tbh_vormerk_print where vm_id='$vml[0]'");
		if($undo_bar) {
			$projOut  = "<a style=\"color:#CCCCCC\" href=\"#\" ";
			$projOut .= "onclick=\"if(confirm('Direktkauf Kartenzahlung wieder entfernen?') == true) ";
			$projOut .= "{self.location.href='$this->link&amp;undobar=k&amp;vml=$vm_id#v$vm_id'}\"";
		} else $projOut = "<b";
		$projOut .= stwToolTip('Dirketkauf (Kartenzahlung)').">K<sup>".str_pad($id2[0], 4 ,'0', STR_PAD_LEFT)."</sup>";
		$projOut .= $undo_bar ? "</a>" : "</b>";
	} else {
		$empty = true;
		if(check_proj_neu_recht($vml['abt_id'])) {
			$showCheckbox = true;
			$empty = false;
		} elseif(check_nutzer_rechte(90)) {
			if($vml['betrag'] > 0) {
				$myproj = abfrage1("select pers_id from tbh_pers_vormerk where pers_id='$uid' and vm_id='$vml[0]'");
				if(mysql_num_rows($myproj) > 0) {
					$maxprice = abfrage("select betrag from tb_pers_betrag where pers_id='$uid'");
					if($vml['betrag'] < $maxprice[0]) {
						$showCheckbox = true;
						$empty = false;
					}
				}
			}
		}
		if($vml['todo_ts'] > 0) {
			$style = "style=\"color:#FF0000;\"";
			$datum = date("d.m.Y",$vml['todo_ts']);
			$tt = "<b>in Bearbeitung</b><br />Artikel wurde am $datum neuem Einkaufsprojekt hinzugef&uuml;gt";
		}
	}
	/* ist angemeldeter Benutzer Abteilungsleiter der angegebenen Abteilung? */
	if($ulv >= 96 || empty($vml['abt_id'])) $abtleit = true;
	elseif($vm_id == 0) $abtleit = false;
	else {
		$sql = "select abt_id from tb_personal_abt_leit where pers_id='$uid'";
		if(!empty($vml['abt_id'])) $sql .= " and abt_id='{$vml['abt_id']}'";
		$abls = abfrage1($sql);
		$abtleit = (mysql_num_rows($abls) > 0);
	}
	/* nderung von Werten zulaessig? */
	$darf_speichern = $this->darf_speichern($vml[0]);

	/* Position */
	$ret_val .= "<th style=\"text-align:right;\">";
	$ret_val .= "<div id=\"saveMsgs_$vml[0]\" style=\"animation: fadeOut 2s ease-in 1 forwards; position:absolute;left:250px;color:#000;background-color:#FFFF99;opacity:0.8;display:none;\">&nbsp;gespeichert&nbsp;</div>";
	$ret_val .= "<a name=\"v$vml[0]\" style=\"position:relative;left:0;top:-350px;\"></a>";
	$ret_val .= "<a href=\"$this->link&amp;vml=$vm_id#v$vml[0]\" ".stwToolTip($tt)." onclick=\"return Edit('$vml[0]')\" $style>";
	$ret_val .= ($new || $vm_id == 0) ? "neu:" : $vml[0];
	$ret_val .= "</a></th>";

	/* Prioritaet */
	$ret_val .= "<td class=\"cl1\" style=\"text-align:center;";
	if($edit) {
		$ret_val .= "\"><select name=\"prio\" onchange=\"document.getElementById('prio').value = this.value\" style=\"width:50px\">\n";
		for($i=1;$i<=4;$i++){
			$ret_val .= "<option value=\"$i\" ";
			if ($vml['prio'] == $i) $ret_val .= ' selected';
			$ret_val .= ">".$this->prios[$i].$this->prios2[$i]."</option>\n";
		}
		$ret_val .= "</select>\n";
	} else {
		$ret_val .= ($vml['prio']>2?"color:red;":($vml['prio']==2?"color:yellow;":''))."\">";
		$ret_val .= $this->prios[$vml['prio']];
	}
	$ret_val .= "</td>\n";

	/* Projekt */
	$ret_val .= "<td class=\"cl1\"";
	if($ulv < 97) $ret_val .= is_numeric($vml['proj_id']) ? " style=\"text-align:right;\"" : (empty($vml['proj_id']) ? " style=\"text-align:center;\"" : '');
	$ret_val .= ">";
	$ret_val .= $projOut;
	if($empty || $showCheckbox) {
		$abtvmlps=abfrage1("select p.vorname, p.name, p.teldienst, p.telmobil from tb_personal_abt_vml v
							left join tb_personal p using(pers_id)
							where v.abt_id = '{$vml['abt_id']}'");
		
		$tip = '';
		if(mysql_num_rows($abtvmlps) > 0) $tip = "<b><u>verantwortlich f&uuml;r das Anlegen des Einkaufsprojekts:</u></b>";
		while($ma = mysql_fetch_row($abtvmlps)) {
			$tip .= "<br /><b>$ma[0] $ma[1]</b> $ma[3]";
			if(!empty($ma[3])) $tip .= ' | ';
			$tip .= $ma[2];
		}
		if($showCheckbox) $ret_val .= "<input type=\"checkbox\"".stwToolTip($tip,false)."name=\"add_pro[]\" value=\"$vml[0]\" />";
		elseif(empty($projOut) && !empty($tip)) $ret_val .= "<span".stwToolTip($tip,false).">&mdash;</span>";
	}
	$ret_val .= "</td>\n";

	if(check_nutzer_rechte(125)) {
		if($showCheckbox) $ret_val .= "<td colspan=\"2\"></td>";
		else {
			/* Inventarisierung */
			$gers = abfrage1("select ger_id, pers_id, ts from tbh_vml_inventar where vm_id='$vml[0]'");
			$bGer = (mysql_num_rows($gers) > 0);
			$ger = mysql_fetch_row($gers);

			$ret_val .= "<td id=\"inv_$vml[0]\"";
			if($bGer || !empty($ger[2])) $ret_val .= " style=\"display:none\"";
			if($abtleit || check_nutzer_rechte(61) || check_nutzer_rechte(73) || check_nutzer_rechte(91)) {
				$ret_val .= stwToolTip("Inventarisierbar");
				$ret_val .= "><input type=\"checkbox\" ";
				if($bGer) $ret_val .= "checked ";
				$ret_val .= "onchange=\"xajax_Inventarisierbar('$vml[0]',this.checked)\" /";
			}
			$ret_val .= "></td>\n";

			$ret_val .= "<td id=\"leer_static_$vml[0]\"";
			if($bGer) $ret_val .= " style=\"display:none\"";
			$ret_val .= "></td>\n";

			$ret_val .= "<td id=\"ger_$vml[0]\"";
			if(empty($ger[0])) $ret_val .= " style=\"display:none\"";
			$ret_val .= "><a href=\"ger_and.php?ger_id=$ger[0]\"";
			$ret_val .= stwToolTip("zum zugeordneten Inventar");
			$ret_val .="><img src=\"".image('schrank',12,15,0,255,0)."\" /></a></td>\n";

			$ret_val .= "<td id=\"inv_neu_$vml[0]\"";
			if(!$bGer || !empty($ger[0])) $ret_val .= " style=\"display:none\"";
			if(check_nutzer_rechte(125)) {
				$ret_val .= stwToolTip("neues Inventar anlegen");
				$ret_val .= "><a href=\"ger_and.php?vm_id=$vml[0]\">";
				$ret_val .="<img src=\"".image('schrank',12,15)."\" /></a";
			}
			$ret_val .= "></td>\n";

			$ret_val .= "<td id=\"inventarisiert_static_$vml[0]\"";
			if(empty($ger[2])) $ret_val .= " style=\"display:none\"";
			$ret_val .= stwToolTip("<b>".strftime("%d.%m.%Y %H:%M", $ger[2])."</b> " . pers_kname($ger[1]));
			$ret_val .="><img src=\"img/checked.png\" /></td>\n";

			$ret_val .= "<td id=\"inventarisiert_edit_$vml[0]\"";
			if(!$bGer || !empty($ger[2])) $ret_val .= " style=\"display:none\"";
			$ret_val .= stwToolTip("Inventarisiert");
			$ret_val .= "><input type=\"checkbox\" onchange=\"xajax_Inventarisiert('$vml[0]',$uid,this.checked)\" /></td>\n";
		}
	}

	/* Anzahl */
	$ret_val .= "<td class=\"cl1\" style=\"text-align:right\">";
	if($edit) {
		$ret_val .= "<input type=\"text\" name=\"anz\" onchange=\"document.getElementById('anz').value = this.value\" value=\"{$vml['anzahl']}\" size=\"4\" maxlength=\"10\" />\n";
	} else $ret_val .= $vml['anzahl'];
	$ret_val .= "</td>\n";

	/* Bezeichnung */
	$ret_val .= "<td class=\"cl1\"";
	if($edit) {
		$val = str_replace('"',"&#34",$vml['name']);
		$ret_val .= "><input type=\"text\" name=\"name\" onchange=\"document.getElementById('name').value = this.value\" value=\"$val\" size=\"15\" maxlength=\"100\" />\n";
	} else {
		$ret_val .= stwToolTip($vml['name']) . ">" . strCut($vml['name'], 25);
	}
	$ret_val .= "</td>\n";

	/* Notizen */
	$ret_val .= "<td>";
	if($edit) {
		$val = str_replace('"',"&#34",$vml['notizen']);
		$ret_val .= "<img id=\"note_$vml[0]\" onclick=\"doNotizTT('note_$vml[0]')\" src=\"img/daten";
		if(!empty($vml['notizen'])) $ret_val .= "_gruen";
		$ret_val .= ".png\" alt=\"?\"" . stwToolTip("Notizen bearbeiten") . " />";
	} else {
		$ret_val .= "<img alt=\"?\" src=\"img/daten";
		$ret_val .= empty($vml['notizen']) ? ".png\"" : "_gruen.png\"".stwToolTip($vml['notizen']);
		$ret_val .= " />";
	}
	$ret_val .= "</td>\n";

	/* Bezugsquelle */
	$ret_val .= "<td class=\"cl1\"";
	if($edit) {
		$sortierung = array("<b>Kurzname</b>, Name1, Name2", "<b>Name1</b>, Name2, Kurzname", "<b>Name2</b>, Name1, Kurzname");
		$kuerzel = array("K", "N1", "N2");
		$ret_val .= "><b id=\"gbezug_$vml[0]\" style=\"color:#CCCCCC;cursor:pointer;\"";
		$ret_val .= stwToolTip('Sortierung nach '.$sortierung[$this->bezug]."<br />zum &Auml;ndern hier klicken", false);
		$ret_val .= "onmousedown=\"return doTT2('$vml[0]','$this->link";
		if($vm_id > 0) $ret_val .= "&amp;vml=$vm_id";
		$ret_val .= "','v$vml[0]')\" oncontextmenu=\"return false;\">".$kuerzel[$this->bezug];
		$ret_val .= "<span style=\"font-size:small;position:relative;left:0;top:-4px;\">+</span></b>";
		$ret_val .= "<select name=\"kont_id\" onchange=\"document.getElementById('kont_id').value = this.value\" ";
		$ret_val .= "style=\"width:100px;margin-left:1px;\">";
		$sql  = "select kont_id, kurzname, name, name2 from tb_kontakte ";
		$sql .= "where kont_art_id = '5' and kh_id='0' and aktiv = 'j' ";
		if($this->bezug == 1) $sql .= "order by name asc, name2 asc, kurzname asc;";
		elseif($this->bezug == 2) $sql .= "order by name2 asc, name asc, kurzname asc;";
		else $sql .= "order by kurzname asc, name asc, name2 asc;";
		$konts = abfrage1($sql);
		$ret_val .= "<option value=\"0\">w&auml;hlen</option>\n";
		while ($kont = mysql_fetch_row($konts)){
			$ret_val .= "<option value=\"$kont[0]\" ";
			if($kont[0]==$vml['kont_id']) {
				$ret_val .= "selected ";
			}
			if($this->bezug == 1) $out = "$kont[2]&nbsp;$kont[3] ($kont[1])";
			elseif($this->bezug == 2) $out = "$kont[3]&nbsp;$kont[2] ($kont[1])";
			else $out = "$kont[1] - $kont[2] $kont[3]";
			$ret_val .= ">$out</option>\n";
		}
		$ret_val .= "</select>";
	} else {
		$sql = "select name, name2 from tb_kontakte where kh_id='0' and kont_id='{$vml['kont_id']}'";
		$kontname = abfrage($sql);
		if($kontname[0]) $ret_val .= stwToolTip($kontname[0]);
		$ret_val .= ">".strCut($kontname[0], 18);
	}
	$ret_val .= "</td>";

	/* genau dieser */
	$ret_val .= "<td style=\"text-align:center\">";
	$ret_val .= "<input type=\"checkbox\" name=\"genau\" onchange=\"document.getElementById('genau').value = this.checked ? 'j' : 'n'\" value=\"j\" ";
	if(!$edit) $ret_val .= "disabled ";
	if($vml['genau'] == 'j') $ret_val .= "checked ";
	$ret_val .= "$genau_tt></td>";

	/* Artikelnummer */
	$ret_val .= "<td>";
	if($edit) {
		$ret_val .= "<input type=\"text\" name=\"artikelnr\" onchange=\"document.getElementById('artikelnr').value = this.value\" value=\"{$vml['artikelnr']}\" size=\"8\" maxlength=\"100\" />";
	} else {
		$ret_val .= $vml['artikelnr'];
	}
	$ret_val .= "</td>\n";

	/* Betrag */
	$ret_val .= "<td class=\"cl1\" style=\"text-align:right\">";
	if($edit) {
		$ret_val .= "<input type=\"text\" name=\"betrag\" onchange=\"document.getElementById('betrag').value = this.value\" value=\"{$vml['betrag']}\" size=\"8\" maxlength=\"8\" />";
	} else {
		$ret_val .= geld_form_web($vml['betrag']);
	}
	$betrag = (is_numeric($vml['anzahl'])) ? ($vml['anzahl'] * $vml['betrag']) : $vml['betrag'];
	$this->gesamtbetrag += $betrag;
	$ret_val .= "</td>\n";

	/* Gesamtkosten */
	$ret_val .= "<td class=\"cl1\" id=\"ges_$vml[0]\" style=\"text-align:right\"";
	$ret_val .= ">".geld_form_web($betrag)."</td>\n";

	/* URL */
	$ret_val .= "<td class=\"cl1\" style=\"text-align:center\">";
	if($edit) {
		$ret_val .= "<img id=\"URLIcon_$vml[0]\" onclick=\"doUrlTT('$vml[0]')\" src=\"img/weltkugel.png\" alt=\"www\"";
		$ret_val .= stwToolTip("Link zur Webseite bearbeiten") . " />";
	} elseif(!empty($vml['link'])) {
		$ret_val .= "<a href=\"";
		if(!empty($vml['link'])) {
			if(substr($vml['link'],0,4) != 'http') $ret_val .= "http://";
			$ret_val .= $vml['link'];
		}
		$ret_val .= "\"" . stwToolTip((empty($vml['link_name']) ? '' : '<b>'.$vml['link_name'].'</b><br>' ) . $vml['link']);
		$ret_val .= " target=\"_blank\">";
		$ret_val .= "<img src=\"img/weltkugel.png\" alt=\"www\" /></a>";
	}
	$ret_val .= "</td>\n";

	/* Klammer */
	$daten = new stwDaten("30");
	$klammerlink  = $daten->get_klammer_link($_SESSION["webdir"],$uid,$ulv,$vml[0],"0",$darf_speichern);
	$ret_val .= "<td>$klammerlink</td>\n";

	/* Traeger */
	$ret_val .= "<td class=\"cl1\"";
	if($edit) {
		$ret_val .= "><select name=\"traeger_art_id\" size=\"1\" ";
		$ret_val .= "onchange=\"document.getElementById('traeger').value = this.value; UpdateKostenstelle('$vml[0]', this.value, 0);\">\n";
		$ret_val .= "<option value=\"0\"></option>\n";
		$where = (!check_nutzer_rechte(117) && $ulv < 60) ? "left join tbh_pers_traegerart h using(traeger_art_id) where h.pers_id='$uid' or a.traeger_art_id = '{$vml['traeger_art_id']}'" : '';
		$trs = abfrage1("select a.traeger_art_id, a.kurzname, a.traeger_art from tb_traeger_art a $where group by a.traeger_art_id order by a.traeger_art asc;");
		while ($tr = mysql_fetch_row($trs)){
			$ret_val .= "<option value=\"$tr[0]\" title=\"$tr[2]\"";
			if ($vml['traeger_art_id'] == $tr[0]) $ret_val .= ' selected';
			$ret_val .= ">$tr[1]</option>\n";
		}
		$ret_val .= "</select>\n";
	} else {
		$tr = abfrage("select kurzname, traeger_art, farbe from tb_traeger_art where traeger_art_id='{$vml['traeger_art_id']}';");
		$blink = '';
		if($this->pr_traeger > 0) {
			if($this->pr_traeger != $vml['traeger_art_id']) {
				$trs = abfrage1("select proj_id from tbh_proj_traeger where proj_id='$this->proj_id' and traeger_art_id='{$vml['traeger_art_id']}'");
				if(mysql_num_rows($trs) == 0) $blink = 'name="blink"';
			}
		}
		$ret_val .= " $blink style=\"color:$tr[2]\"";
		if(strlen($tr[0]) > 0) {
			$ret_val .= stwToolTip($tr[1]);
		}
		$ret_val .= ">$tr[0]";
	}
	$ret_val .= "</td>\n";

	/* Abteilung */
	$ret_val .= "<td class=\"cl1\"";
	if($edit) {
		$ret_val .= "><select name=\"abt_id\" onchange=\"document.getElementById('abt_id').value = this.value\" ";
		$ret_val .= "size=\"1\" style=\"width:100px;\">\n";
		if($ulv > 5) $ret_val .= "<option value=\"0\">Abteilung?</option>\n";
		foreach($this->abt_ids as $abt_id) {
			$ret_val .= "<option value=\"$abt_id\"";
			if ($vml['abt_id'] == $abt_id) $ret_val .= ' selected';
			$ret_val .= ">" . $this->abteilungen[ $abt_id ] . "</option>\n";
		}
		$ret_val .= "</select>\n";
	} else {
		$abt = abfrage("select name from tb_personal_abt where abt_id='{$vml['abt_id']}';");
		if(strlen($abt[0]) > 0) {
			$abtt = "<b>$abt[0]</b>";
			$leiter = abfrage1("select pers_id from tb_personal_abt_leit where abt_id='{$vml['abt_id']}';");
			while($al = mysql_fetch_row($leiter)) {
				$abtt .= "<br />- " . pers_name($al[0]);
			}
			$ret_val .= stwToolTip($abtt).">".strCut($abt[0], 14);
		} else $ret_val .= ">";
	}
	$ret_val .= "</td>\n";

	/* Kostenstelle */
	$ret_val .= "<td class=\"cl1\"";
	if($edit) {
		$ret_val .= "><select name=\"konto_id\" id=\"kto_$vml[0]\" onchange=\"document.getElementById('konto').value = this.value\" style=\"width:55px;\">\n";
		$ret_val .= "<option value=\"0\"></option>\n";
		$ret_val .= "</select>\n";
	} else {
		$kto = abfrage("select kurzname, kto_beschr from tb_bkto where traegerart_id='{$vml['traeger_art_id']}' and kto_id='{$vml['konto_id']}'");
		if(strlen($kto[0]) > 0) $ret_val .= stwToolTip($kto[1]);
		$ret_val .= ">$kto[0]";
	}
	$ret_val .= "</td>\n";

	if($vm_id > 0) {
		/* Vormerker (Name, Timestamp) */
		$ret_val .= "<td class=\"cl1\"";
		$leiter_tt = $tt = $name = '';
		$res = abfrage1("select distinct concat(left(p.vorname,1), '. ', p.name),
						concat(left(p.vorname,1), '.', left(p.name,1), '.'),
						date_format(v.zeit, '%d.%m.%Y %H:%i')
						from tbh_pers_vormerk v
						left join tb_personal p using(pers_id)
						where v.vm_id = '$vml[0]'
						and v.abteilungsleiter = 'n'
						order by v.zeit asc;");
		while ($row = mysql_fetch_row($res)){
			if($name=='') $name = $row[1];
			if(strlen($tt)>0) $tt .= '<br />';
			$tt .= "$row[2] - <b>$row[0]</b>";
		}
		if(strlen($tt) > 0) $ret_val .= stwToolTip($tt); 
		$ret_val .= ">$name</td>\n";

		/* Leiter OK */
		$ret_val .= "<td style=\"text-align:right\">";
		while ($leiterok = mysql_fetch_row($leiter_oks)){
			if(strlen($leiter_tt)>0) $leiter_tt .= '<br />';
			$leiter_tt .= "<input type=\"checkbox\"";
			if($leiter_ok_check) $leiter_tt .= " checked";
			$leiter_tt .= ">$leiterok[1] - <b>$leiterok[0]</b>";
			$leiter_ok_check = !$leiter_ok_check;
		}
		$leiter_tt = stwToolTip((strlen($leiter_tt)>0) ? $leiter_tt : $abtt, false);
		if($edit || ($abtleit && $this->aenderbar && !$leiter_ok)) {
			if($abtleit && $this->aenderbar || $ulv > 96) {
				$ret_val .= "<img id=\"leiter_static_$vml[0]\" src=\"img/";
				if(!$leiter_ok) $ret_val .= "un";
				$ret_val .= "checked.png\" style=\"display:none\" $leiter_tt />";
				$ret_val .= "<input $leiter_tt type=\"checkbox\" id=\"leiter_edit_$vml[0]\" ";
				if($leiter_ok) $ret_val .= "checked";
				$ret_val .= " value=\"1\" onchange=\"xajax_Abteilungsleiter('$vml[0]',$uid,this.checked);\">";
			} else {
				$ret_val .= "<img id=\"leiter_edit_$vml[0]\" $leiter_tt src=\"img/";
				if(!$leiter_ok) $ret_val .= "un";
				$ret_val .= "checked.png\" />";
			}
		} else {
			$ret_val .= "<img id=\"leiter_static_$vml[0]\" src=\"img/";
			if(!$leiter_ok) $ret_val .= "un";
			$ret_val .= "checked.png\" $leiter_tt />";
		}
		$ret_val .= "</td>\n";

		/* Ware erhalten? */
		if($ulv > 60 || check_nutzer_rechte(117)) $checkbar = true;
		else {
		  if(in_array($vml['abt_id'], $this->abt_ids)) $checkbar=true;
		  else {
			$beteiligt = abfrage1("select pers_id from tbh_pers_vormerk where pers_id='$uid' and vm_id='$vml[0]'");
			$checkbar = (mysql_num_rows($beteiligt) > 0);
		  }
		}
		$ret_val .= "<td style=\"text-align:right\"";
		if($vml['empf_pers_id'] > 0) $ret_val .= stwToolTip("Empfang am ".$vml['empf']."Uhr<br />von <b>".pers_kname($vml['empf_pers_id'])."</b> best&auml;tigt");
		$ret_val .= ">";
		if($edit || (empty($vml['empf_pers_id']) && $checkbar)) {
			if($checkbar) {
				$ret_val .= "<input type=\"checkbox\" id=\"empf_edit_$vml[0]\" ";
				if($vml['empf_pers_id'] > 0) $ret_val .= "checked";
				$ret_val .= " value=\"1\" onchange=\"xajax_Empfang('$vml[0]',$uid,this.checked);\">";
			} else {
				$ret_val .= "<img id=\"empf_edit_$vml[0]\" src=\"img/";
				if(empty($vml['empf_pers_id'])) $ret_val .= "un";
				$ret_val .= "checked.png\" />";
			}
		} else {
			$ret_val .= "<img id=\"empf_static_$vml[0]\" src=\"img/";
			if(empty($vml['empf_pers_id'])) $ret_val .= "un";
			$ret_val .= "checked.png\" />";
		}
		$ret_val .= "</td>\n";

		/* Betrag erhalten */
		$ret_val .= "<td>";
		if($vml['proj_id'] == 'rechn') {
			$img = ($num_row_z > 0) ? 'checked' : 'unchecked';
			$ret_val .= "<img src=\"img/$img.png\"".stwToolTip("Haken wird im Rechnungs-Eingangs-Buch gesetzt")."/>";
		} elseif($vml['proj_id'] == 'bar' || $vml['proj_id'] == 'ec') {
			if(check_nutzer_rechte(117)) $kwart = true;
			elseif(check_nutzer_rechte(77)) {
				$kw = abfrage1("select pers_id from tbh_kassenwart where pers_id='$uid'");
				$kwart = mysql_num_rows($kw) > 0;
			} else $kwart = false;
			if($kwart) {
				$checked = ($num_row_z > 0) ? 'checked' : '';
				$ret_val .= "<input type=\"checkbox\" $checked ";
				if($num_row_z==0) {
					$tt = stwToolTip("Zahlung erfolgt");
				} else {
					$zg = mysql_fetch_row($zahlung);
					$tt = stwToolTip("Zahlung erfolgt durch ".pers_name($zg[0])." am $zg[1] Uhr");			
					if(!check_nutzer_rechte(117)) $ret_val .= "disabled";
				}
				$ret_val .= "onchange=\"xajax_BetragErhalten('$vml[0]',$uid,this.checked);\" $tt />";
			} else {
				if($num_row_z > 0) {
					$img = 'checked';
					$zg = mysql_fetch_row($zahlung);
					$tt = stwToolTip("Zahlung erfolgt durch ".pers_name($zg[0])." am $zg[1] Uhr");
				} else {
					$img = 'unchecked';
					$tt='';
				}
				$ret_val .= "<img src=\"img/$img.png\" $tt />";
			}
		}
	} else $ret_val .= "<td colspan=\"4\">";
	$ret_val .= "</td>\n";

	/* Speichern / Loeschen */
	$ret_val .= "<td>";
	if($this->proj_id == $vml['proj_id'] && $this->proj_id > 0) {
	  if(empty($vml['empf_pers_id'])) {
		$geliefert = abfrage("select unix_timestamp(kostenzus_ende) from tb_projekte where proj_id='$this->proj_id'");
		if($geliefert[0] == 0) {
			if($edit) {
				$ret_val .= "<input style=\"background-image:url(img/senden.png);background-repeat:no-repeat;width:16px\" ";
				$ret_val .= "type=\"submit\" value=\" \" name=\"vmlsenden\" onclick=\"this.form.action+='#v$vml[0]';\">";
			} else {
				$ret_val .= "<a href=\"$this->link&amp;del=$vml[0]\"";
				$ret_val .= stwToolTip("Vormerkung aus Projekt entfernen") . "style=\"color:lime\">X</a>\n";
			}
		}
	  }
	} else {
		if($edit) {
			if($this->aenderbar && $darf_speichern) {
				$ret_val .= "<input style=\"background-image:url(img/senden.png);background-repeat:no-repeat;width:16px\" ";
				$ret_val .= "type=\"submit\" value=\" \" name=\"vmlsenden\" onclick=\"var ret = Edit(0); ";
				$ret_val .= "if(ret) {this.form.action+='#v$vml[0]';} return ret;\">";
			}
		} else {
			if(!$x) $loeschbutton = false;
			elseif(check_nutzer_rechte(117)) $loeschbutton = true;
			else {
				$abls = abfrage1("select abt_id from tb_personal_abt_leit where abt_id='{$vml['abt_id']}' and pers_id='$uid'");
				$loeschbutton = (mysql_num_rows($abls) > 0);
			}
			if($loeschbutton) {
				$ret_val .= "<b style=\"color:red;cursor:pointer;\" ";
				$ret_val .= stwToolTip("<b>Vorsicht!</b> vorgemerkten Artikel l&ouml;schen");
				$ret_val .= " onclick=\"if(confirm('Soll der Artikel wirklich unwiederbringlich gel&ouml;scht werden?')) xajax_del($vml[0])\">X</b>";
			} elseif(!$edit && ($vml['proj_id'] == 'bar' || $vml['proj_id'] == 'ls' || $vml['proj_id'] == 'ec')) {
				$ret_val .= "<a href=\"kassenbeleg_pr.php?";
				$ret_val .= (empty($id2[0])) ? "vm_id=$vml[0]" : "id2=$id2[0]";
				$ret_val .= "&ts=" . time() . "\" target=\"_pdf\"";
				$ret_val .= stwToolTip('Kassenbeleg drucken');
				$ret_val .= "><img src=\"img/drucker.png\" border=\"0\" /></a>\n";
			}
		}
	}
	$ret_val .= "</td>\n";
	return $ret_val;
  }

  /*
   *  gibt eine Zeile der Vormerkliste aus
   */
  function line($vm_id,$edit=false) {
	echo "<input type=\"hidden\" id=\"darf_speichern_$vm_id\" value=\"".($this->darf_speichern($vm_id) && $this->aenderbar ? 1 : 0)."\" />\n";
	echo "<tr id=\"tr$vm_id\"";
	if($vm_id > 0) echo " class=\"mo\"";
	echo ">";
	echo $this->line_ststic($vm_id,$edit);
	echo "</tr>\n";
  }
}
?>