<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: vormerkliste.php 2916 2018-11-27 11:00:08Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 73;
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);
require_once($pfad . 'inc/func.inc.php');
include "vormerk.inc.php";

if(isset($_REQUEST['suche'])) $state = $abt = $vormerker = 'all';
else {
	$state = isset($_REQUEST['state']) ? $_REQUEST['state'] : getPersEinst($_SESSION[$AppCode]['UID'], 'vml_state', 'aktiv');
	$abt = isset($_REQUEST['abt']) ? $_REQUEST['abt'] : getPersEinst($_SESSION[$AppCode]['UID'], 'vml_abt', 'all');
	$vormerker = isset($_REQUEST['vormerker']) ? $_REQUEST['vormerker'] : getPersEinst($_SESSION[$AppCode]['UID'], 'vml_vormerker', 'all');
}

$stwVormerkung = new stwVormerkung($_GET['vml'], $state, $abt, $vormerker);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function Abteilungsleiter($id,$uid,$check){
	$userResp = new xajaxResponse();
	abfrage2("insert into tbh_pers_vormerk set pers_id='$uid', vm_id='$id', zeit=now(), abteilungsleiter='j';");
	calc_vml_state($id);
	$userResp->assign("leiter_edit_$id", 'disabled', 'disabled');
	return $userResp;
}

function Empfang($id,$uid,$check){
	$userResp = new xajaxResponse();
	if($check) abfrage2("update tb_vormerkliste set empf_pers_id='$uid', empf_zeit=now() where vm_id='$id'");
	else abfrage2("update tb_vormerkliste set empf_pers_id=NULL, empf_zeit=NULL where vm_id='$id'");
	calc_vml_state($id);
	$userResp->assign("empf_edit_$id", 'disabled', 'disabled');
	return $userResp;
}

function BetragErhalten($id,$uid,$check){
	if($check) abfrage2("insert into tbh_pers_vormerk set pers_id='$uid', zeit=now(), vm_id='$id', abteilungsleiter='z'");
	else abfrage2("delete from tbh_pers_vormerk where vm_id='$id' and abteilungsleiter='z'");
	calc_vml_state($id);
}

function Inventarisierbar($id,$check){
	$userResp = new xajaxResponse();
	if($check) {
		abfrage2("insert into tbh_vml_inventar set vm_id='$id'");
		$userResp->assign("inv_$id", 'style.display', 'none');
		$userResp->assign("leer_static_$id", 'style.display', 'none');
		$userResp->assign("inv_neu_$id", 'style.display', 'table-cell');
		$userResp->assign("inventarisiert_edit_$id", 'style.display', 'table-cell');
	} else {
		abfrage2("delete from tbh_vml_inventar where vm_id='$id'");
		$userResp->assign("inv_$id", 'style.display', 'table-cell');
		$userResp->assign("leer_static_$id", 'style.display', 'table-cell');
		$userResp->assign("inv_neu_$id", 'style.display', 'none');
		$userResp->assign("inventarisiert_edit_$id", 'style.display', 'none');
	}
	return $userResp;
}

function Inventarisiert($id,$uid,$check){
	if($check) abfrage2("update tbh_vml_inventar set pers_id='$uid', ts=unix_timestamp(now()) where vm_id='$id'");
	else abfrage2("update tbh_vml_inventar set pers_id=NULL, ts=NULL where vm_id='$id'");
}

function Speichern($id,$uid,$name,$link,$link_name,$artikelnr,$kont_id,$anzahl,$abt_id,$notizen,$genau,$traeger,$konto,$betrag,$prio){
	$userResp = new xajaxResponse();
	$betrag = str_replace(',','.',$betrag);
	$vm_id = abfrage("select vm_id from tb_vormerkliste where vm_id = '$id'");
	$sql = (empty($vm_id[0])) ? "INSERT INTO" : "UPDATE";
	$sql .= " tb_vormerkliste SET name='$name', 
			link='$link', link_name='$link_name',
			artikelnr='$artikelnr', kont_id = '$kont_id',
			anzahl = '$anzahl', abt_id = '$abt_id',
			notizen = '$notizen', genau='$genau',
			traeger_art_id = '$traeger', konto_id='$konto',
			betrag = '$betrag', prio = '$prio'";
	$sql .= (empty($vm_id[0])) ? "," : " WHERE";
	$sql .= " vm_id = '$id';";
	abfrage2($sql);
	abfrage2("insert into tbh_pers_vormerk set pers_id='$uid', vm_id='$id', zeit=now(), abteilungsleiter='n';");
	calc_vml_state($id);
	$userResp->assign("saveMsgs_$id", 'style.display', 'block');
	return $userResp;
}

function Edit($id, $lastId){
	global $stwVormerkung;
	$userResp = new xajaxResponse();
	if(intval($lastId) > 0) {
		$userResp->assign("tr$lastId", 'innerHTML', $stwVormerkung->line_ststic($lastId,false));
	}
	if(intval($id) > 0) {
		$userResp->assign("tr$id", 'innerHTML',$stwVormerkung->line_ststic($id,true));
		$vmp = abfrage_array("select * from tb_vormerkliste where vm_id='$id'");
		$userResp->assign("edit", 'value', $id);
		$userResp->assign("name", 'value', $vmp['name']);
		$userResp->assign("url", 'value', $vmp['link']);
		$userResp->assign("url_name", 'value', $vmp['link_name']);
		$userResp->assign("artikelnr", 'value', $vmp['artikelnr']);
		$userResp->assign("kont_id", 'value', $vmp['kont_id']);
		$userResp->assign("anz", 'value', $vmp['anzahl']);
		$userResp->assign("abt_id", 'value', $vmp['abt_id']);
		$userResp->assign("notizen", 'value', $vmp['notizen']);
		$userResp->assign("genau", 'value', $vmp['genau']);
		$userResp->assign("traeger", 'value', $vmp['traeger_art_id']);
		$userResp->assign("konto", 'value', $vmp['konto_id']);
		$userResp->assign("betrag", 'value', $vmp['betrag']);
		$userResp->assign("prio", 'value', $vmp['prio']);
		$userResp->call("UpdateKostenstelle('$id',".intval($vmp['traeger_art_id']).",".intval($vmp['konto_id']).")");
	}
	return $userResp;
}

function NeueVormerkung($lastId=0, $neuVMPwie='0'){
	global $stwVormerkung;
	global $AppCode;
	$userResp = new xajaxResponse();
	if(intval($lastId) > 0) {
		$userResp->assign("tr$lastId", 'innerHTML', $stwVormerkung->line_ststic($lastId,false));
	}
	$vmp = abfrage_array("select * from tb_vormerkliste where vm_id='$neuVMPwie'");
	abfrage2("insert into tb_vormerkliste set name='{$vmp['name']}', link='{$vmp['link']}',
			link_name='{$vmp['link_name']}', artikelnr='{$vmp['artikelnr']}',
			kont_id='{$vmp['kont_id']}',anzahl='{$vmp['anzahl']}',
			abt_id='{$vmp['abt_id']}',notizen='{$vmp['notizen']}',
			genau='{$vmp['genau']}',traeger_art_id='{$vmp['traeger_art_id']}',
			konto_id='{$vmp['konto_id']}',betrag='{$vmp['betrag']}',prio='{$vmp['prio']}'");
	$vm_id = mysql_insert_id();
	abfrage2("insert into tbh_pers_vormerk set pers_id='{$_SESSION[$AppCode]['UID']}', vm_id='$vm_id', zeit=now(), abteilungsleiter='n';");
	$userResp->call("newRow('$vm_id')");
	$userResp->assign("tr$vm_id", 'innerHTML',$stwVormerkung->line_ststic($vm_id,true,true));
	$userResp->assign("edit", 'value', $vm_id);
	$userResp->assign("name", 'value', $vmp['name']);
	$userResp->assign("url", 'value', $vmp['link']);
	$userResp->assign("url_name", 'value', $vmp['link_name']);
	$userResp->assign("artikelnr", 'value', $vmp['artikelnr']);
	$userResp->assign("kont_id", 'value', $vmp['kont_id']);
	$userResp->assign("anz", 'value', $vmp['anzahl']);
	if(sizeof($stwVormerkung->abt_ids) == 1) $vmp['abt_id'] = $stwVormerkung->abt_ids[0];
	$userResp->assign("abt_id", 'value', $vmp['abt_id']);
	$userResp->assign("notizen", 'value', $vmp['notizen']);
	$userResp->assign("genau", 'value', $vmp['genau']);
	$userResp->assign("traeger", 'value', $vmp['traeger_art_id']);
	$userResp->assign("konto", 'value', $vmp['konto_id']);
	$userResp->assign("betrag", 'value', $vmp['betrag']);
	$userResp->assign("prio", 'value', $vmp['prio']);
	$userResp->call("UpdateKostenstelle('$vm_id',".intval($vmp['traeger_art_id']).",".intval($vmp['konto_id']).")");
	calc_vml_state($vm_id);
	/* Alle IDs etc. gesetzt - Eintrag wird erst mal wieder geloescht, wird erst beim Speichern angelegt :) */
	abfrage2("delete from tb_vormerkliste where vm_id='$vm_id'");
	return $userResp;
}

function vmlSubMenu($sql, $start, $suche){
	global $stwVormerkung;
	global $AppCode;
	$userResp = new xajaxResponse();
	$vmls = abfrage1($sql);
	$vml_cnt = 0;
	while ($vml = mysql_fetch_row($vmls)){
		$status = empty($vml[6]) ? calc_vml_state($vml[0]) : $vml[6];
		$showIt = isStatusLegit($stwVormerkung->state, $status);
		if(strlen($suche) > 0) {
			$suchstr = strtoupper($suche);
			if ((strpos($vml[0], $suchstr) === false) &&
			(strpos(strtoupper($vml[3]), $suchstr) === false) &&
			(strpos(strtoupper($vml[4]), $suchstr) === false)) {
				$kont = abfrage("select kurzname, name, name2 from tb_kontakte where kont_id='$vml[5]'");
				if ((strpos(strtoupper($kont[0]), $suchstr) === false) &&
				(strpos(strtoupper($kont[1]), $suchstr) === false) &&
				(strpos(strtoupper($kont[2]), $suchstr) === false)) {
					$vps = abfrage1("select RIGHT(CONCAT('000', id2),4) from tbh_vormerk_print where vm_id='$vml[0]'");
					$showIt = false;
					while($vp = mysql_fetch_row($vps)) {
						if(strpos($vp[0], $suchstr) !== false) {
							$showIt = true;
							break;
						}
					}
				}
			}
		}
		if($showIt || $vml[0] == $stwVormerkung->cur_vml) $vml_cnt++;
	}
	if($vml_cnt > 100) {
		$txt = "<th class=\"cl11\">Seite:</th>\n";
		if($start > 0) {
			$txt .= "<td style=\"background-color:#666666\"><a href=\"$stwVormerkung->link";
			if(strlen($suche) > 0) $txt .= "&suche=$suche";
			$txt .= "&start=".($start-100)."\"><img src=\"img/zurueck.png\" /></a></td>\n";
		}
		$dots = true;
		for($i=0; $i <= $vml_cnt; $i += 100) {
			if($i==0 || $i==100 || $i+200>$vml_cnt || 
				$start - 300 < 0 && $i < 600 ||
				$start + 300 > $vml_cnt && $i > $vml_cnt - 600 ||
				$start - 300 < $i && $start + 300 > $i) {
				$dots = true;
				$txt .= "<td style=\"text-align:center;background-color:";
				$txt .= intval($_GET['start'] == $i) ? "#000000" : "#666666";
				$txt .= "\"><a href=\"$stwVormerkung->link";
				if(strlen($suche) > 0) $txt .= "&suche=$suche";
				$txt .= "&start=$i\">" . ($i/100+1) . "</a></td>\n";
			} elseif($dots) {
				$dots = false;
				$txt .= "<th>...</th>";
			}
		}
		if($start+100 < $vml_cnt) {
			$txt .= "<td style=\"background-color:#666666\"><a href=\"$stwVormerkung->link";
			if(strlen($suche) > 0) $txt .= "&suche=$suche";
			$txt .= "&start=".($start+100)."\"><img src=\"img/vor.png\" /></a></td>\n";
		}
		$userResp->assign("vml_sub_menu", 'innerHTML',$txt);
	}
	$userResp->assign("vmlneu", 'disabled', '');
	return $userResp;
}

function del($id){
	$userResp = new xajaxResponse();
	abfrage2("delete from tb_vormerkliste WHERE vm_id = '$id'");
	$userResp->assign("tr$id", 'innerHTML', '');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('del');
$xajax->registerFunction('vmlSubMenu');
$xajax->registerFunction('NeueVormerkung');
$xajax->registerFunction('Edit');
$xajax->registerFunction('Speichern');
$xajax->registerFunction('Inventarisiert');
$xajax->registerFunction('Inventarisierbar');
$xajax->registerFunction('BetragErhalten');
$xajax->registerFunction('Empfang');
$xajax->registerFunction('Abteilungsleiter');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/level.inc.php");

$zeit = explode(" ",microtime()); // Zeitstempel inkl. Nanosekunden ermitteln
$zeit_start = $zeit[0] + $zeit[1]; // akt. Zeit speichern
$pers_order = getPersOrder($seite);

if(isset($_POST['add_to_vk_proj']) && is_array($_POST['add_pro']) && $_POST['proj_to_add']=='n') {
	$ts = mktime();
	$traeger = 0;
	$abts = array();
	foreach($_POST['add_pro'] as $vm) {
		abfrage2("update tb_vormerkliste set todo_ts='$ts' where vm_id='$vm'");
		$trab = abfrage("select traeger_art_id, abt_id from tb_vormerkliste where vm_id='$vm'");
		if(empty($traeger)) $traeger=$trab[0];
		if(empty($abts[$trab[1]])) $abts[$trab[1]]=1; else $abts[$trab[1]]++;
	}
	$url = "Location: pro_daten.php?pra=11&hb=".$_SESSION[$AppCode]['UID']."&todo=$ts";
	if(!empty($traeger)) $url .= "&traeger=$traeger";
	arsort($abts);
	$abt = true;
	foreach ($abts as $id => $cnt) {
		if($abt) {
			$abt = false;
			$url .= "&abt=$id";
		} else $url .= "&abt_ids[]=$id";
	}
	header($url);
	exit(0);
}

require("inc/stw.inc.php");

set_session_url();

$cur_vml = array();
$genau_tt = stwToolTip('genau diesen Artikel');

if(isset($rvar_bezug)) $_SESSION[$AppCode]['vml_bezug'] = $rvar_bezug;
$vml_bezug = 0 + $_SESSION[$AppCode]['vml_bezug'];
$vmlink = "vormerkliste.php?abt=$abt&amp;state=$state";

if (isset($_GET['pers_einst'])){
/* Hat aktueller Benutzer bereits persoenliche Einstellungen? */
	$sql = "select pers_id from tb_pers_einst where pers_id='$uid'";
	$fav_bereich = abfrage1($sql);
	if (mysql_num_rows($fav_bereich) > 0)	$act_edit = 1; else $act_edit = 0;
	$sql  = ($act_edit == 1) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set pro_bereich = '11'";
	if ($act_edit == 1){
		$sql .= " where pers_id = '$uid';";
	} else {
		$sql .= ", pers_id = '$uid';";
	}
	abfrage2($sql);
}

if(isset($_POST['add_to_vk_proj']) && is_array($rvar_add_pro)) {
	$id2 = 0;
	foreach($rvar_add_pro as $vm) {
		if($rvar_proj_to_add == 'b' || $rvar_proj_to_add == 'l' || $rvar_proj_to_add == 'k' || $rvar_proj_to_add == 'r') {
			if($id2 == 0) {
				abfrage2("replace into tbh_vormerk_print set vm_id='$vm'");
				$id2 = mysql_insert_id();
			} else abfrage2("replace into tbh_vormerk_print set vm_id='$vm', id2='$id2'");
			abfrage2("INSERT INTO tbh_pers_vormerk SET pers_id='$uid', vm_id='$vm', zeit=now(), abteilungsleiter='$rvar_proj_to_add'");
			if($rvar_proj_to_add == 'k') abfrage2("insert into tbh_pers_vormerk set pers_id='$uid', zeit=now(), vm_id='$vm', abteilungsleiter='z'");
		} else abfrage2("update tb_vormerkliste set proj_id='$rvar_proj_to_add', todo_ts='0' where vm_id='$vm'");
	}
}

if(isset($_POST['vmlsenden'])) {
	$betrag = str_replace(',','.',$rvar_betrag);
	$sql  = (empty($rvar_vml)) ? "INSERT INTO" : "UPDATE";
	$sql .= " tb_vormerkliste SET name='$rvar_name', link='$rvar_link', link_name='$rvar_link_name',";
	$sql .= " artikelnr='$rvar_artikelnr', kont_id = '$rvar_kont_id',";
	$sql .= " anzahl = '$rvar_anz', abt_id = '$rvar_abt_id',";
	$sql .= " notizen = '$rvar_notizen', genau=\"$rvar_genau\", ";
	$sql .= " traeger_art_id = '$rvar_traeger_art_id', konto_id=\"$rvar_konto_id\", ";
	$sql .= " betrag = '$betrag', prio = '$rvar_prio'";
	$sql .= (empty($rvar_vml)) ? ";" : " WHERE vm_id = '$rvar_vml';";
	abfrage2($sql);
	if(empty($rvar_vml)) $rvar_vml = mysql_insert_id();
	abfrage2("insert into tbh_pers_vormerk set pers_id='$uid', vm_id='$rvar_vml', zeit=now(), abteilungsleiter='n';");
	$rvar_artikel = NULL;
}
if(!empty($rvar_vml)) {
	$cur_vml = abfrage_array("SELECT * FROM tb_vormerkliste WHERE vm_id = '$rvar_vml'");
}

if(isset($_POST['vmsuche'])) {
	$sql = "select v.vm_id, v.name, k.kurzname, v.artikelnr from tb_vormerkliste v
			left join tb_kontakte k on v.kont_id=k.kont_id and kh_id='0'
			where (v.vm_id like '%$rvar_vmsuche%'
			or v.name like '%$rvar_vmsuche%'
			or v.artikelnr like '%$rvar_vmsuche%')
			group by v.vm_id order by v.vm_id asc";
	$bezs = abfrage1($sql);
	$txt = "<ol style=\"margin:0\">";
	while ($bez = mysql_fetch_row($bezs)){
		$txt .= "<li value=\"$bez[0]\"><a style=\"color:black;\" ";
		$txt .= "onclick=\"xajax_NeueVormerkung(document.vmlForm.edit.value," . intval($bez[0]) . ");tt_HideInit();return false;\" ";
		$txt .= "href=\"".$vmlink."&amp;artikel=".$bez[0]."&amp;vml=-1\" title=\"$bez[3]\">$bez[1] ($bez[2])</a></li>";
	}
	$txt .= "</ol>";
} else $txt = '';

echo "<script type=\"text/javascript\"><!--\n";

echo "var prio = [];\n";
echo "prio[0] = '';\n";
echo "prio[1] = 'niedrig';\n";
echo "prio[2] = '<span style=\"color:yellow\">normal</span>';\n";
echo "prio[3] = '<span style=\"color:red\">hoch</span>';\n";
echo "prio[4] = '<span style=\"color:red\">dringend</span>';\n";

echo "var traeger = [];\n";
echo "traeger[0] = '';\n";
$trs = abfrage1("select traeger_art_id, kurzname, farbe, traeger_art from tb_traeger_art;");
while($tr = mysql_fetch_row($trs)) {
	echo "traeger[$tr[0]] = '<span style=\"color:$tr[2]\">$tr[1]</span>';\n";
}

echo "function newRow(id) {\n";
echo "  var tr = document.getElementById('VMLTable').insertRow(2); \n";
echo "  tr.setAttribute('id', 'tr'+id, 0);\n";
echo "  var input = document.createElement('input');\n";
echo "  input.type = 'hidden';\n";
echo "  input.id = 'darf_speichern_'+id;\n";
echo "  input.value = 1;\n";
echo "  document.getElementById('vmlForm').appendChild(input);\n";
echo "}\n";

echo "function doTT() {\n";
echo "  var str = '$txt';\n";
echo "  Tip(str, BGCOLOR, '#CCCCCC', BORDERCOLOR, '#666666', WIDTH, 300, HEIGHT, 100, FIX, ['dropdown',0,0], STICKY, 1);\n";
echo "}\n";

echo "--></script>\n";

if($rvar_smile == 1) {
	$sql = "select pers_id from tb_pers_einst where pers_id='$uid'";
	$fav_bereich = abfrage1($sql);
	if (mysql_num_rows($fav_bereich) > 0) {
		$sql = "update";
		$where = "where pers_id='$uid'";
	} else {
		$sql = "insert into";
		$where = ", pers_id='$uid'";
	}
	$sql .= " tb_pers_einst set einkauf='v', vml_state='$rvar_state', vml_abt='$rvar_abt', vml_vormerker='$rvar_vormerker' $where;";
	abfrage2($sql);
}

echo "<table>\n<tr>\n";
echo "<td class=\"cl1\"><input type=\"button\" id=\"vmlneu\" disabled value=\"Neu\" ";
echo "onclick=\"xajax_NeueVormerkung(document.getElementById('edit').value)\"></td>\n";

echo "<th class=\"cl1\">wie:</th>";
echo "<td><form action=\"vormerkliste.php\" method=\"POST\">\n";
echo "<input type=\"hidden\" name=\"vml\" value=\"-1\">\n";
echo "<input type=\"hidden\" name=\"abt\" value=\"$abt\">\n";
echo "<input type=\"hidden\" name=\"state\" value=\"$state\">\n";
echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr>";
echo "<td><img src=\"img/runter1.png\" onclick=\"doTT()\" alt=\"V\" id=\"dropdown\"";
echo stwToolTip("Vorhandenen Artikel laden");
echo "></td>";

$vmsuche = isset($_POST['vmsuche']) ? $rvar_vmsuche : '';
echo "<td class=\"cl1\"><input type=\"text\" name=\"vmsuche\" value=\"$vmsuche\" size=\"20\">";
echo "</td><td class=\"cl1\">";
echo "<input type=\"image\" src=\"img/lupe_grau.png\" style=\"background-color:#333333;\">\n";
echo "</td></tr></table></form></td>\n";
flush();

echo "<form action=\"vormerkliste.php\" method=\"GET\">\n";
echo "<th class=\"cl1\">Status:</th>";
echo "<td class=\"cl1\"><select name=\"state\" onchange=\"this.form.submit()\" style=\"width:70px;\">\n";
$stats = array(	'aktiv' => 'aktiv', 
				'vorm' => 'Vormerkung', 
				'ok' => 'best&auml;tigt durch Abteilungsleiter', 
				'projected' => 'Projekt zugeordnet', 
				'ordered' => 'bestellt', 
				'delivered' => 'geliefert', 
				'topay' => 'zur Zahlung', 
				'payed' => 'bezahlt', 
				'openls' => 'offene Lieferscheine', 
				'da' => 'Warenausgabe', 
				'passiv' => 'passiv', 
				'all' => 'ALLE');
foreach($stats as $stat => $st) {
	echo "<option value=\"$stat\"";
	if($state == $stat) echo " selected";
	echo ">$st</option>\n";
}
echo "</select></td>\n";
flush();
echo "<th class=\"cl1\">Abt.:</th>";
echo "<td class=\"cl1\"><select name=\"abt\" style=\"width:100px\" onchange=\"this.form.submit()\">\n";
$where = (!check_nutzer_rechte(117) && $ulv < 60) ? 
		"left join tb_personal_abt_leit l using(abt_id) 
		left join tbh_pers_abt p using(abt_id) 
		left join tb_personal_abt_vml av using(abt_id) 
		where p.pers_id='$uid' or l.pers_id='$uid' or av.pers_id='$uid'" : '';
$abts = abfrage1("select a.abt_id, a.name from tb_personal_abt a $where group by a.abt_id order by a.name asc;");
echo "<option value=\"all\">alle</option>\n";

while ($abteil = mysql_fetch_row($abts)){
  if($abteil[0] > 0) {
	echo "<option value=\"$abteil[0]\"";
	if ($abt == $abteil[0]) echo ' selected ';
	echo ">$abteil[1]</option>\n";
  }
}
echo "</select></td>\n";

$order = ($pers_order == 2) ? "t2.name ASC, t2.vorname ASC" : "t2.vorname ASC, t2.name ASC";
$sql = "SELECT t1.pers_id FROM tbh_pers_vormerk t1
		LEFT JOIN tb_personal t2 ON t1.pers_id = t2.pers_id
		WHERE t1.abteilungsleiter = 'n'
		GROUP BY t2.pers_id ORDER BY $order;";
$vgs = abfrage1($sql);
echo "<th class=\"cl1\">Vormerker:</th>";
echo "<td class=\"cl1\"><select name=\"vormerker\" style=\"width:100px\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"all\">alle</option>\n";
while ($vg = mysql_fetch_row($vgs)){
  if($vg[0] > 0) {
	echo "<option value=\"$vg[0]\"";
	if ($vormerker == $vg[0]) echo ' selected ';
	echo ">";
	echo $pers_order == 2 ? pers_name2($vg[0]) : pers_name($vg[0]);
	echo "</option>\n";
  }
}
echo "</select></td>\n";

echo "<td><input style=\"background-image:url(img/senden.png);background-repeat:no-repeat;width:16px\" ";
echo "type=\"submit\" value=\" \" name=\"vmlsenden\" onclick=\"this.form.action+='#v$vml[0]';\"></td>";
echo "</form>\n";

echo "<td class=\"cl1\"><a href=\"$vmlink&amp;smile=1\" ";
$tt = "'Einkauf' im Men&uuml; f&uuml;hrt standardm&auml;&szlig;ig zur Vormerkliste<br />aktuelle Werte f&uuml;r Abteilung und Status werden voreingestellt";
echo stwToolTip($tt,false);
echo ($rvar_smile == 1) ? "style=\"color:lime\"" : "style=\"color:#CCCCCC\"";
echo ">:)</a></td>\n";
echo "</tr></table>\n";
flush();

if(isset($_POST['vmsuche'])) echo "<script type=\"text/javascript\">\n doTT();\n</script>\n";
new stwLine(1);

$stwVormerkung->Ausgabe();
new stwLine(1);
new stwEnd($seite);
?>
