<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************
 *
 * $Id: wochenplan.php 2880 2018-08-22 09:12:52Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 10;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

require_once($pfad . 'inc/func.inc.php');

/* ausgewaehlte Abteilung bestimmen */
if(isset($_GET['ma']) && $_GET['ma']=='dienstkal') {
	$location = "Location: dienstkal.php?force=1&abteilung=" . $_GET['abt_id'];
	if(isset($_GET['tag'])) $location .= "&anz=w1&tag=".$_GET['tag'];
	header($location);
	exit(0);
}

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function savenote($wp, $ts, $ma, $txt){
	$userResp = new xajaxResponse();
	$sql  = $wp ? "update" : "insert into";
	$sql .= " tb_wochenplan set ";
	$sql .= "notizen='$txt'";
	$sql .= $wp ? ' where' : ',';
	$sql .= " datum='".date('Y-m-d',$ts)."'";
	$sql .= $wp ? ' and' : ',';
	$sql .= " pers_id='$ma'";
	abfrage2($sql);
	$userResp->assign('wp', 'value', 1);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('savenote');
/* --- Ende Abschnitt (X)AJAX --- */

$onload_form = 'right';
$onload_focus = 'nextR';

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/kal.inc.php");

set_session_url();

/*
* Funktion sortiert die einzelnen Termine nach den Timestamps. Sind die
* Zeitstempel gleich wird nach der Prioritaet geschaut.
*/
function usortfunc_timestamp($wert_1, $wert_2) {
	$t1 = $wert_1["ts1"];
	$t2 = $wert_2["ts1"];

	if ($t1 == $t2) {
		/* die beiden Zeitstempel sind gleich - Prioritaet sortieren */
		if ($wert_1["prio"] < $wert_2["prio"]) return -1;
		if ($wert_1["prio"] > $wert_2["prio"]) return  1;

		return 0;
	}
	return ($t1 < $t2) ? -1 : +1;
}

if(isset($_GET['ewald'])) {
	abfrage2("update tb_wochenplan set ewald='j' where pers_id='$uid' and datum='$rvar_tag'");
}

if(isset($_POST['wp'])) {
	if(empty($rvar_wp)) {
		$exist = abfrage("select pers_id from tb_wochenplan where pers_id='$rvar_pers' and datum='$rvar_datum'");
		if($exist[0]) $rvar_wp = 1;
	}
	$sql = $rvar_wp ? 'update' : 'insert into';
	$sql .= " tb_wochenplan set ";
	if($rvar_gf != $rvar_gf_old) {
		if(isset($rvar_gf)) $sql .= "gf='$uid', gf_ts=now(), ";
		else {
			abfrage2("delete from tb_wochenplan_termine where abt_id='$rvar_abt_id' and pers_id='$rvar_pers'");
			$sql .= "gf='0', gf_ts=NULL, ";
		}
	}
	if($rvar_hb != $rvar_hb_old) {
		if(isset($rvar_hb)) {
			$sql .= "hb='$uid', hb_ts=now(), ";
			abfrage2("delete from tb_ewald where pers_id='$rvar_pers' and ewaldkategorie_id=6 and id1=unix_timestamp('$rvar_datum')");
		} else $sql .= "hb='0', hb_ts=NULL, ";
	}
	$sql .= "notizen='$rvar_notizen', fls='$rvar_fls_ist' ";
	$sql .= $rvar_wp ? 'where' : ',';
	$sql .= " datum='$rvar_datum'";
	$sql .= $rvar_wp ? ' and' : ',';
	$sql .= " pers_id='$rvar_pers'";
	abfrage2($sql);

	if(isset($rvar_gf) && $rvar_gf != $rvar_gf_old) {
		/* Kalender sperren */
	}
}

$kal_von = getConf("kal_von");
$kal_bis = getConf("kal_bis");
$kalender = array();
$pers_order = getPersOrder($seite);
$self = $_SERVER['PHP_SELF'] . "?abt_id=$rvar_abt_id";
$pers = isset($rvar_ma) ? $rvar_ma : $uid;
$abt = abfrage_array("select * from tb_personal_abt where abt_id='$rvar_abt_id'");

if(empty($rvar_tag)){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} else $tag =  date_isodate_stamp($rvar_tag);
$tg = date('Y-m-d', $tag);
$wtag = date('w', $tag);

if ($wtag == 0){
	$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
} else {
	$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
}
$sql_end = $sql_beg + (7 * 86400);

$mas = array();
$sql = "select p.pers_id, p.name, p.vorname from tbh_pers_abt a 
		left join tb_personal p using(pers_id) 
		where a.abt_id='$rvar_abt_id' and p.status_id = 2 ";
if ($_SESSION[$AppCode]['ULV'] <= 5) $sql .= "and p_art_id = 17 ";
if($pers_order == 2) $sql .= "order by p.name asc, p.vorname asc;";
else $sql .= "order by p.vorname asc, p.name asc;";
$erg = abfrage1($sql);
$naechster = $vorheriger = $naechstGespeicherter = $notInList = true;
$prev = $next = $saveAndNext = $gf_cnt = $hb_cnt = 0;
while ($zeile = mysql_fetch_row($erg)) {
	$possibleNext = $possibleSaveAndNext = true;
	$sql  = "SELECT paz_id, anst FROM tb_paz WHERE pers_id='$zeile[0]' AND UNIX_TIMESTAMP(von) <= '$sql_beg' ORDER BY von DESC LIMIT 1";
	$paz  = abfrage($sql);
	$fls = fls_woche($paz[0],true,$sql_beg);
	$wp = abfrage("select gf, hb from tb_wochenplan where pers_id='$zeile[0]' and unix_timestamp(datum)='$sql_beg'");
	$color = 'red';
	$title = "Haken GF noch nicht gesetzt";
	if($wp[0] > 0) {
		$gf_cnt++;
		$color = 'yellow';
		$title = "Haken GF gesetzt";
		$possibleSaveAndNext = false;
	}
	if(floor($fls) <= 0) {
		$hb_cnt++;
		$gf_cnt++;
		$color = '#999999';
		$title = "Keine Sollstunden";
		$possibleSaveAndNext = $possibleNext = false;
	} elseif($wp[1] > 0) {
		$hb_cnt++;
		if($wp[0] > 0) $color = 'lime';
		$title = "Haken HB gesetzt";
		$possibleSaveAndNext = false;
	}
	$ma = "<option title=\"$title\" style=\"background-color:$color\" value=\"$zeile[0]\"";
	if($naechster && $possibleNext) {
		$naechster = false;
		$next = $zeile[0];
	}
	if($naechstGespeicherter && $possibleSaveAndNext) {
		$naechstGespeicherter = false;
		$saveAndNext = $zeile[0];
	}
	if ($pers == $zeile[0]) {
		$notInList = false;
		$vorheriger = false;
		$naechster = true;
		$naechstGespeicherter = true;
		$ma .= ' selected';
	}
	if($vorheriger && $possibleNext) $prev = $zeile[0];
	$ma .= '>' . ($pers_order == 2 ? "$zeile[1], $zeile[2]" : "$zeile[2] $zeile[1]") . "</option>\n";
	$mas[] = $ma;
}
if($notInList) $pers=0;
echo "<table width=\"750\"><tr>\n";
echo "<th class=\"cl1\">MA:</th><td width=\"20\">";
if($prev > 0) {
	$prevlink = "$self&ma=$prev";
	if (isset($rvar_tag)) $prevlink .= "&anz=w1&tag=$rvar_tag";
	echo "<a href=\"$prevlink\"><image src=\"img/zurueck.png\" /></a>";
} else echo "<img src=\"img/clearpixel.png\" width=\"19\" />";
echo "</td><td><form action=\"$self\" method=\"GET\">\n";
echo "<input type=\"hidden\" name=\"abt_id\" value=\"$rvar_abt_id\">\n";
echo "<input type=\"hidden\" name=\"anz\" value=\"w1\">\n";
if (isset($rvar_tag)) {
	echo "<input type=\"hidden\" name=\"tag\" value=\"$rvar_tag\">\n";
}
echo "<select name=\"ma\" size=\"1\" style=\"width:200px\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"dienstkal\">Zur Ansicht 'Dienstkalender' wechseln</option>\n";
echo "<option value=\"0\"";
if(empty($pers)) echo " selected";
echo ">Mitarbeiter w&auml;hlen!</option>\n";
foreach($mas as $ma) echo $ma;
echo "</select>\n</form>\n</td>\n<td class=\"cl11\" width=\"20\">";
if($next > 0 && $naechster == false) {
	$nextlink = "$self&ma=$next";
	if (isset($rvar_tag)) $nextlink .= "&anz=w1&tag=$rvar_tag";
	echo "<a href=\"$nextlink\"><image src=\"img/vor.png\" /></a>";
} else echo "<img src=\"img/clearpixel.png\" width=\"19\" />";
echo "</td>";

echo "<form name=\"kal2PlanPrForm\" action=\"kal2_plan_pr.php\" method=\"get\" target=\"_pdf\">\n";
echo "<input type=\"hidden\" name=\"tag\" value=\"$tag\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$pers\">\n";
$kalpages = getPersEinst($uid,'kal_pages',4);
echo "<input type=\"hidden\" name=\"pages\" value=\"$kalpages\">\n";
echo "<input type=\"hidden\" name=\"ts\" value=\"" . time() . "\">\n";
?>
<script type="text/javascript"><!--
  function doTT() {
	var str = "<form name='tempform'>";
	str += '<br>Seiten: <input type="text" size="2" name="pags" value="';
	str += document.kal2PlanPrForm.pages.value;
	str += '" style="text-align:center" onkeyup="document.kal2PlanPrForm.pages.value=document.tempform.pags.value">';
	str += '</form>';
	Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Druck-Einst.',TITLEBGCOLOR, '#006600', WIDTH, 100, HEIGHT, 50, FIX, ['kal2PlanPr',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);
  }
--></script>
<?php
echo "<td class=\"cl1\" style=\"vertical-align:middle;\">";
echo "<a href=\"#\" ";
echo stwToolTip('Planung drucken (n&auml;chste 4 Wochen) (Anzahl in + &auml;nderbar)');
echo "onmousedown=\"if(event.button==2){doTT();}";
echo "else{document.kal2PlanPrForm.submit();}return false;\" oncontextmenu=\"return false;\"";
echo "><img id=\"kal2PlanPr\" src=\"img/drucker.png\" border=\"0\"></a><a href=\"#\" ";
echo "style=\"font-size:small;position:relative;top:-4px;\" onClick=\"doTT()\">+</a>";
echo "</td>\n</form>\n";

echo "<th style=\"text-align:center;width:100%;color:{$abt['farbe']}\">{$abt['name']}</th>\n";
echo "<td class=\"cl1\"><a href=\"kal2_pr.php?tag=$sql_beg&ma=$pers&abt_id=$rvar_abt_id&wp=" . time() . "\" ";
echo "target=\"_pdf\"><img src=\"img/drucker.png\"";
echo stwToolTip('Kalender von '.pers_name($pers).' drucken') . "border=\"0\"></a></td>\n";
echo "<td class=\"cl1\"><a href=\"kal2_pr.php?tag=$sql_beg&ma=gf1&abt_id=$rvar_abt_id&wp=" . time() . "\" ";
$r = $g = false;
$ma_cnt = sizeof($mas);
if($gf_cnt < $ma_cnt) { $r = 255; $g = 0; }
elseif($hb_cnt == $ma_cnt) { $r = 0; $g = 255; }
echo "target=\"_pdf\"><img src=\"".image('drucker',16,16,$r,$g,0)."\"";
echo stwToolTip('alle Kalender mit Haken GF drucken') . "border=\"0\"></a></td>\n";

$wp = abfrage( "select pers_id, gf, date_format(gf_ts, '%d.%m.%Y %H:%i'), notizen, hb, date_format(hb_ts, '%d.%m.%Y %H:%i'), fls
				from tb_wochenplan where pers_id='$pers' and unix_timestamp(datum)='$sql_beg'" );
$wp[1] += 0; $wp[4] += 0;

$daten = new stwDaten(37);
$klammer = $daten->get_klammer_link($_SESSION['webdir'],$uid,$ulv,$rvar_abt_id,$sql_beg);
echo "<td>$klammer</td>\n";
echo "</tr></table>\n";
new stwLine(1);

$t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
$t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));
$fls_ist = 0;

$getData = true;
if(!empty($wp[1])) {
	$sql = "select termin_id, date_format(von, '%d.%m.%Y'),
			date_format(von, '%H:%i'), date_format(bis, '%H:%i'),
			titel, farbe, unix_timestamp(von), unix_timestamp(bis),
			week(von, 1)
			from tb_wochenplan_termine
			where abt_id='$rvar_abt_id' 
			and datum='".date('Y-m-d',$sql_beg)."'
			and pers_id='$pers';";
	$res = abfrage1($sql);
	if(mysql_num_rows($res) > 0) {
		$getData = false;
		while($row = mysql_fetch_row($res)) {
			$tid = $row[0];
			$kalender[$tid]['del_link'] = 0;
			$kalender[$tid]['serie_link'] = 0;
			$kalender[$tid]['id'] = $row[0];
			$kalender[$tid]['datum'] = $row[1];
			$kalender[$tid]['von'] = $row[2];
			$kalender[$tid]['bis'] = $row[3];
			$kalender[$tid]['ts1'] = $row[6];
			$kalender[$tid]['ts2'] = $row[7];
			$kalender[$tid]['wtag'] = strftime('%a', $row[6]);
			$kalender[$tid]['kw'] = $row[8];
			$kalender[$tid]['datum_link'] = 0;
			$kalender[$tid]['ta_text'] = $row[4];
			$kalender[$tid]['ta_color'] = $row[5];
			$kalender[$tid]['ta_title'] = $row[4];
			$kalender[$tid]['prio'] = 5;
		}
		usort($kalender, 'usortfunc_timestamp');
		$fls_ist = $wp[6];
	}
}
if($getData) {
	$sql  = "select t.termin_id, date_format(t.von, '%d.%m.%Y'), ";
	$sql .= "date_format(t.von, '%H:%i'), date_format(t.bis, '%H:%i'), ";
	$sql .= "a.name, t.terminart, week(t.von, 1), unix_timestamp(t.von), ";
	$sql .= "a.farbe, unix_timestamp(t.bis) from tb_termine t ";
	$sql .= "left join tb_terminart a using(terminart) ";
	$sql .= "where (t.terminart in ('t','l','g','z') or a.neu = 'j') ";
	$sql .= "and unix_timestamp(t.von) >= '$sql_beg' ";
	$sql .= "and unix_timestamp(t.von) <= '$sql_end' ";
	$sql .= "order by unix_timestamp(t.von) asc;";
	$res = abfrage1($sql);

	while ($row = mysql_fetch_row($res)){
		$anz1 = false;
		switch ($row[5]) {
			case 'z':
			/* Abfragen, welchen Nummernbereich die Projektart 'ALG' hat */
			$sql = "select nr_von, nr_bis from tb_projektart where kname = 'ALG';";
			$alg_nrb = abfrage_assoc($sql);

			/* pers_id und Projektnr. abfragen */
			$sql  = "select z.pers_id, p.projektnr, g.proj_id_gruppe, z.fls from tb_ab_zk z ";
			$sql .= "left join tb_projekte p on z.proj_id = p.proj_id ";
			$sql .= "left join tbh_projekt_gruppe g on z.proj_id = g.proj_id ";
			$sql .= "where z.termin_id = '$row[0]';";
			$id = abfrage($sql);
			if (empty($id[2]) && $id[0] == $pers && ($id[1] < $alg_nrb['nr_von'] || $id[1] > $alg_nrb['nr_bis'])) {
				$anz1 = true;
				$fls_ist += ($row[9]-$row[7]) / 3600;
			}
			break;

			case 'l':
			$id = abfrage("select lom_id from tb_lom where termin_id = $row[0]");
			$bet1 = abfrage("select pers_id from tb_lom where lom_id = $id[0];");
			$bet2 = abfrage("select pers_id from tbh_lom_pers where lom_id = $id[0] and pers_id = $pers;");
			$bet3 = abfrage("select pers_id from tbh_lom_anleiter where lom_id = $id[0] and pers_id = $pers;");
			if ($bet1[0] == $pers || $bet2[0] == $pers || $bet3[0] == $pers){
				$anz1 = true;
			}
			break;

			case 't':
			$id = abfrage("select team_id from tb_team where termin_id = $row[0]");
			if (!empty($id[0])) {
				$bet1 = abfrage( "select essen, andacht, weiter from tb_team where team_id = $id[0];" );
				$bet2 = abfrage( "select pers_id from tbh_team_pers where team_id = $id[0] and pers_id = $pers;" );

				if ($bet1[0] == $pers || $bet1[1] == $pers || $bet1[2] == $pers || $bet2[0] == $pers){
					$anz1 = true;
				}
			}
			break;

			case 'g':
			$id = abfrage("select ga_id from tb_ga where termin_id = $row[0]");
			/* sicherstellen das ID gesetzt */
			if (!empty($id[0])){
				$bet1 = abfrage("select pers_id, inhalt from tb_ga where ga_id = $id[0];");
				$bet2 = abfrage1("select person_id from tbh_ga_pp where ga_id = $id[0] and pers_id = $pers;");
				if ($bet1[0] == $pers || $bet1[1] == $pers || mysql_num_rows($bet2) > 0){
					$anz1 = true;
				}
			}
			break;

			default :
			$zk = abfrage("select pers_id from tb_ab_zk where termin_id = $row[0];");
			$tn = abfrage1("select pers_id from tbh_termin_pers where termin_id = $row[0];");
			$tn1 = array();
			if (mysql_num_rows($tn) > 0){
				while ($tnn = mysql_fetch_row($tn)){
					$tn1[] = $tnn[0];
				}
			}
			if(getConf('fehlz_kal')==1){
				$fz = abfrage1("select pers_id from tb_fehlz where termin_id = $row[0];");
				$fz1 = array();
				if (mysql_num_rows($fz) > 0){
					while ($fza = mysql_fetch_row($fz)){
						$fz1[] = $fza[0];
					}
				}

				if ($zk[0] == $pers || in_array($pers, $tn1)){
					$anz1 = true;
				}

				if(in_array($pers, $fz1)&&$pers==$_SESSION[$AppCode]['UID']){
					$anz1 = true;
				}elseif(in_array($pers, $fz1)&&$_SESSION[$AppCode]['ULV']>=60){
					$anz1 = true;
				}
			} else {
				if ($zk[0] == $pers || in_array($pers, $tn1)){
					$anz1 = true;
				}
			}
			break;
		}

		if ($anz1 == true){
			$tid = $row[0];
			$kalender[$tid]['del_link'] = 0;
			$kalender[$tid]['serie_link'] = 0;
			$kalender[$tid]['id'] = $row[0];
			$kalender[$tid]['art'] = $row[5];
			$kalender[$tid]['datum'] = $row[1];

			if(getConf('fehlz_kal')==1){
				$kalender[$tid]['datum_bis'] = $row[10];
			}

			$kalender[$tid]['von'] = $row[2];
			$kalender[$tid]['bis'] = $row[3];

			$kalender[$tid]['ts1'] = $row[7];
			$kalender[$tid]['ts2'] = $row[9];

			$kalender[$tid]['wtag'] = strftime('%a', $row[7]);
			$kalender[$tid]['kw'] = $row[6];

			switch ($row[5]) {
				case 'z':
				$sql  = "select zk_id, proj_id, inhalte, km_via1, pers_id, ab, ";
				$sql .= "res2_id, empfang from tb_ab_zk where termin_id = '$row[0]';";
				$id = abfrage_array($sql);

				if (!empty($id[1])){
					$pro = new stwProjekt($id[1]);
				}

				if ($_SESSION[$AppCode]['UID'] == $id[4] || $_SESSION[$AppCode]['ULV'] >= 96){
					$kalender[$tid]['datum_link'] = 1;
				} else {
					$kalender[$tid]['datum_link'] = 0;
				}

				if($id['empfang'] == 1) $kalender[$tid]['empfang'] = 1;

				/*
				* Falls dies ein Projekt ist - pruefen ob angemeldeter Nutzer beteiligt
				* ist und wenn dies der Fall ist, den Link auch freischalten.
				*/
				if (!empty($id[1]) && $kalender[$tid]["datum_link"] == 0) {
					if ($pro->beteiligt($_SESSION[$AppCode]["UID"])) {
						$kalender[$tid]["datum_link"] = 1;
					}
				}

				$kalender[$tid]['datum_url'] = "pro_ab_zk.php?zk_id=$id[0]&proj_id=$id[1]";

				$kalender[$tid]['ta_text'] = $pro->nummer();

				$sql  = "select ab, ab_monat, nachw_id from tb_ab_zk ";
				$sql .= "where zk_id = '$id[0]';";
				$abdat = abfrage($sql);

				if ($abdat[0] == 'j' || $abdat[0] == 'u'){
					$kalender[$tid]['ta_color_zk'] = $kalender[$tid]['ta_color'] = $zk_ab_ja;
					$kalender[$tid]['ta_title'] = "abrechnungsrelevant";

					/* Prioritaet 1 (hoechste) wenn abrechnungsrelevant */
					$kalender[$tid]['prio'] = 1;

					if (!empty($abdat[1])){
						$kalender[$tid]['ta_color_zk'] = $kalender[$tid]['ta_color'] = $zk_abgerechnet;
						$kalender[$tid]['ta_title'] = "abgerechnet";
						if (!empty($abdat[2])){
							$kalender[$tid]['ta_color_zk'] = $kalender[$tid]['ta_color'] = $zk_abgelegt;
							$kalender[$tid]['ta_title'] = "abgelegt";
						}
					}
				} else {
					$kalender[$tid]['ta_color_zk'] = $kalender[$tid]['ta_color'] = $zk_ab_nein;
					$kalender[$tid]['ta_title'] = 'Termin';

					/* niedrigste Prioritaet wenn noch nicht relevant */
					$kalender[$tid]['prio'] = 5;
				}

				/*
				* Vergangenheit darf zwar fuer 5 Wochen gezeigt werden aber keine
				* Inhalte fuer unbeteiligte Nutzer. Bedingungen: gueltige ProjektID
				* und nicht beteiligt und ULV unterhalb von 97. Bei allen ZK die
				* Abrechnungsrelevant sind.
				*/
				if ($_SESSION[$AppCode]["ULV"] < 97 && $abdat[0] == 'j' &&
				!empty($id[1]) && !$pro->beteiligt($_SESSION[$AppCode]["UID"])) {
					$kalender[$tid]['cont_text'] = '';
					$kalender[$tid]['cont_title'] = '';
				} else {
					$kalender[$tid]['cont_text'] = strCut($id[2], 25);
					$kalender[$tid]['cont_title'] = $id[2];
				}

				$kalender[$tid]['ort'] = strCut($id[3], 25);

				/* Raumnutzung / -belegung */
				if ($id['res2_id'] > 0){

					$kalender[$tid]['raum'] = true;

					/* sonstige Raumbelegung abfragen */
					$sql  = "select z.zk_id from tb_ab_zk z ";
					$sql .= "left join tb_termine t using (termin_id) ";
					$sql .= "where res2_id = '{$id['res2_id']}' and zk_id != '$id[0]' ";
					$sql .= "and unix_timestamp(t.bis) >= '$row[7]' ";
					$sql .= "and unix_timestamp(t.von) <= '$row[9]';";
					$rk = abfrage1($sql);

					if (mysql_num_rows($rk) == 1){
						$kalender[$tid]['raum_farbe'] = 'lime';
						$kalender[$tid]['raum_text'] = 'Raum reserviert!';
					} elseif (mysql_num_rows($rk) > 1) {
						$kalender[$tid]['raum_farbe'] = 'red';
						$kalender[$tid]['raum_text'] = 'Raum mehrfach reserviert!';
					} else {
						$kalender[$tid]['raum'] = false;
					}
				} else {
					$kalender[$tid]['raum'] = false;
				}
				break;

				case 'l':
				$id = abfrage("select l.lom_id, l.thema, l.action, l.pers_id, a.ga_art, a.farbe, l.tender
							from tb_lom l
							left join tb_ga_art a using (art_id)
							where l.termin_id = $row[0]");
				$kalender[$tid]["datum_link"] = 1;
				$kalender[$tid]['datum_url'] = "lom_and.php?return=kal2.php&lom_id=$id[0]";

				if($id[2] == 5) {
					$kalender[$tid]['ta_text'] = "TENDER-Klassenbuch";
					$kalender[$tid]['ta_title'] = '';
					$tender = abfrage("select farbe from tb_lom_team where team_id='$id[6]'");
					$kalender[$tid]['ta_color'] = $tender[0];
				} else {
					$kalender[$tid]['ta_text'] = $row[4];
					$kalender[$tid]['ta_title'] = '';
					$kalender[$tid]['ta_color'] = $id[5];
				}
				$kalender[$tid]['cont_text'] = strCut($id[1], 25);
				$kalender[$tid]['cont_title'] = empty($id[4]) ? $id[1] : "$id[4] : $id[1]";

				$kalender[$tid]['ort'] = lom_art($id[2]);

				/* Prioritaet fuer Lom Termine bei 4 */
				$kalender[$tid]["prio"] = 4;
				break;

				case 't':
				$id = abfrage("select team_id, thema, team_art_id, essen, andacht, weiter
							from tb_team where termin_id = $row[0]");
				$t_ver = array($id[3], $id[4], $id[5]);

				$fokus = abfrage("select pers_id from tb_team_art_pers
								where team_art_id = $id[2] and fokus>0
								and pers_id='{$_SESSION[$AppCode]['UID']}';");

				if (in_array($_SESSION[$AppCode]['UID'], $t_ver) ||
				$_SESSION[$AppCode]['UID'] == $fokus[0] ||
				$_SESSION[$AppCode]['ULV'] >= 96){
					$kalender[$tid]['datum_link'] =  1;
				} else {
					$kalender[$tid]['datum_link'] =  0;
				}

				$kalender[$tid]['datum_url'] = "team_and.php?team_id=$id[0]";

				$tmart = abfrage("select kurzname, name, farbe
								from tb_team_art
								where team_art_id = $id[2];");

				$kalender[$tid]['ta_text'] = $tmart[0];
				$kalender[$tid]['ta_title'] = $tmart[1];
				$kalender[$tid]['ta_color'] = $tmart[2];

				$kalender[$tid]['cont_text'] = strCut($id[1], 25);
				$kalender[$tid]['cont_title'] = $id[1];

				$kalender[$tid]['ort'] = "Stellwerk";

				/* Prioritaet fuer Sitzungen bei 3 */
				$kalender[$tid]["prio"] = 3;
				break;

				case 'g':
				$id = abfrage("select g.ga_id, g.thema, o.ga_ort, g.pers_id, a.ga_art, a.farbe
							from tb_ga g
							left join tb_ga_ort o using (ort_id)
							left join tb_ga_art a using (art_id)
							where g.termin_id = $row[0]");

				if ($_SESSION[$AppCode]['ULV'] == 48 || $_SESSION[$AppCode]['ULV'] >= 96){
					$kalender[$tid]['datum_link'] =  1;
				} else {
					$kalender[$tid]['datum_link'] =  0;
				}

				$kalender[$tid]['datum_url'] = "ga_and.php?ga_id=$id[0]";

				$kalender[$tid]['ta_text'] = $row[4];
				$kalender[$tid]['ta_title'] = $id[4];
				$kalender[$tid]['ta_color'] = $id[5];

				$kalender[$tid]['cont_text'] = strCut($id[1], 25);
				$kalender[$tid]['cont_title'] = $id[1];

				$kalender[$tid]['ort'] = strCut($id[2], 25);

				/* Prioritaet fuer Gruppentermine bei 4 */
				$kalender[$tid]["prio"] = 4;
				break;

				default:
				/* Prioritaet fuer Resttermine bei 2 */
				$kalender[$tid]["prio"] = 2;

				$zk = abfrage("select pers_id, inhalte, zk_id, spesen_text
							from tb_ab_zk
							where termin_id = $row[0];");
				$tn = abfrage1("select pers_id from tbh_termin_pers where termin_id = $row[0];");
				$tn1 = array();
				if (mysql_num_rows($tn) > 0){
					while ($tnn = mysql_fetch_row($tn)){
						$tn1[] = $tnn[0];
					}
				}


				if(getConf('fehlz_kal')==1){
					$fz = abfrage1("select pers_id from tb_fehlz
									where termin_id = $row[0];");
					$fz1 = array();
					if (mysql_num_rows($fz) > 0){
						while ($fza = mysql_fetch_row($fz)){
							$fz1[] = $fza[0];
						}
					}

					$fzid = abfrage("select fehlz_id from tb_fehlz where termin_id = $row[0];");
				}

				if(getConf('fehlz_kal')==1){
					if ($zk[0] == $_SESSION[$AppCode]['UID'] || in_array($_SESSION[$AppCode]['UID'], $tn1) ||
					$_SESSION[$AppCode]['ULV'] >= 96){
						$kalender[$tid]['datum_link'] = 1;
					} elseif((in_array($pers,$fz1) && $_SESSION[$AppCode]['ULV'] >= 60)||
						in_array($_SESSION[$AppCode]['UID'], $fz1)){
						$kalender[$tid]['datum_link'] = 1;
					} else {
						$kalender[$tid]['datum_link'] = 0;
					}
				} else {
					if ($zk[0] == $_SESSION[$AppCode]['UID'] || in_array($_SESSION[$AppCode]['UID'], $tn1) ||
					$_SESSION[$AppCode]['ULV'] >= 96){
						$kalender[$tid]['datum_link'] = 1;
					} else {
						$kalender[$tid]['datum_link'] = 0;
					}
				}

				$kalender[$tid]['datum_url'] = "term_and.php?termin_id=$row[0]";

				$kalender[$tid]['ta_text'] = $row[4];
				$kalender[$tid]['ta_title'] = "Autor: " . pers_kname($zk[0]);
				$kalender[$tid]['ta_color'] = $row[8];

				$kalender[$tid]['cont_text'] = strCut($zk[1], 25);
				$kalender[$tid]['cont_title'] = $zk[1];

				$kalender[$tid]['ort'] = strCut($zk[3], 25);

				if(getConf('fehlz_kal')==1){
					if(in_array($pers, $fz1)){
						$kalender[$tid]['datum_url'] = "fehlz_and.php?fehlz_id=$fzid[0]";
						$kalender[$tid]['ta_title'] = "Fehlzeit ";
						$kalender[$tid]['cont_text'] = $kalender[$tid]['datum']." - ".$kalender[$tid]['datum_bis'];
						$kalender[$tid]['cont_title'] = "Fehlzeit: ".$kalender[$tid]['datum']." - ".$kalender[$tid]['datum_bis'];
					}
				}
			}
		}
	}
	usort($kalender, 'usortfunc_timestamp');
	if($ulv >= 96 && empty($wp[1])){
		foreach($kalender as $cal) {
			$sql = "replace into tb_wochenplan_termine
					set termin_id='".$cal['id']."',
					abt_id='$rvar_abt_id',
					pers_id='$pers',
					datum='".date('Y-m-d',$sql_beg)."',
					von='".date('Y-m-d H:i', $cal['ts1'])."',
					bis='".date('Y-m-d H:i', $cal['ts2'])."',
					titel='".$cal['ta_text']."',
					farbe='".(empty($cal['ta_color']) ? $cal['ta_color_zk'] : $cal['ta_color'])."';";
					abfrage2($sql);
		}
	}
}
echo "<table cellpadding=\"0\"><tr><td>";

/* Grafische Uebersicht wird durch eine Tabelle dargestellt */
printf("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
printf("<tr><td>\n");

kal_tabelle_zeit($t_beg, $t_end);
printf("</td>\n");

/* Montag, Dienstag, Mittwoch, Donnerstag und Freitag ausgeben */
$wt1 = $sql_beg;
$wt2 = mktime(0, 0, 0, date("n", $wt1), date("j", $wt1) + getConf('kal_tage'), date("Y", $wt1));

/* Daten der Feiertage holen */
$ft = feiertage(date("Y", $sql_beg));

$sql  = "SELECT paz_id, anst FROM tb_paz WHERE pers_id='$pers' ";
$sql .= "AND UNIX_TIMESTAMP(von) <= '$wt1' ORDER BY von DESC LIMIT 1";
$paz  = abfrage($sql);
$fls = fls_woche($paz[0],true,$wt1);

while ($wt1 <= $wt2) {
 /* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
 if ($sql_beg != $wt1) kal_zelle_farbe("#333333");

 /* gruene senkrechte Trennlinie zwischen den einzelnen Tagen zeichnen */
 kal_zelle_farbe("darkgreen");

 /* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
 if ($sql_beg != $wt1) kal_zelle_farbe("#333333");

 /*
  * Pruefen ob dieser Tag ein Fehlzeittag ist.
  */
 $sql  = "SELECT t1.fehlz_id, t3.name, t3.farbe, t1.fokus_ts, t1.genehmigt_ts ";
 $sql .= "FROM tb_fehlz t1 LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";

 $sql .= "LEFT JOIN tb_terminart t3 ON t2.terminart = t3.terminart ";
 $sql .= "WHERE t1.pers_id = '".$pers."' AND UNIX_TIMESTAMP(t2.von) <= '";

 $sql .= $wt1."' AND UNIX_TIMESTAMP(t2.bis) >= '".$wt1."' LIMIT 1";
 $fehlzeit = abfrage($sql);

 /* bestimmen ob der Tag ein Feiertag ist */
 $ft1 = find_key_in_array($ft, $wt1);

 /* neuer Tag mit eigener Tabelle anfangen */
 printf("<td>");

 /* den ganzen Tag ausgeben */
 kal_tabelle_tag($kalender, $pers, $wt1, $kal_von, $kal_bis, "140", $ft1, $fehlzeit[1], $fehlzeit[2], (empty($fehlzeit[3]) && empty($fehlzeit[4])), false, true);

 /* Tag abschliessen */
 printf("</td>\n");

 /* Zeit einen Tag weitersetzen */
 $wt1 += 86400;
}

/*
$letzteWoche = mktime(0,0,0,date('n', $sql_beg),date('j', $sql_beg)-7,date('Y', $sql_beg));
$endeLetzterWoche = $letzteWoche + (7 * 86400);

$sql  = "select t.termin_id, unix_timestamp(t.von), unix_timestamp(t.bis), date_format(t.von,'%w') ";
$sql .= "from tb_termine t where t.terminart = 'z' ";
$sql .= "and unix_timestamp(t.von) >= '$letzteWoche' and unix_timestamp(t.von) <= '$endeLetzterWoche' ";
$sql .= "order by t.von asc";
$res = abfrage1($sql);
$amStk = $zk_arbeitszeit = $zk_pause = array();
$zk_von = $zk_bis = $fls_ist = 0;
while ($row = mysql_fetch_row($res)){
	$sql  = "select z.pers_id, g.proj_id_gruppe from tb_ab_zk z ";
	$sql .= "left join tbh_projekt_gruppe g on z.proj_id = g.proj_id ";
	$sql .= "where z.termin_id = '$row[0]';";
	$id = abfrage($sql);
	if (empty($id[1]) && $id[0] == $pers) {
		$fls_ist += ($row[9]-$row[7]) / 3600;
		if($row[1] > $zk_bis) {
			if($zk_bis > 0) $zk_pause[$row[3]] += $row[1] - $zk_bis;
			if($zk_bis - $zk_von > 21600) $amStk[$row[3]] = true;
			$zk_arbeitszeit[$row[3]] += $zk_bis - $zk_von;
			$zk_von = $row[1];
		}
		if($row[2] > $zk_bis) {
			$zk_bis = $row[2];
		}
	}
}

$wochentage = array('Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag');
$warning6hstreight = '';
foreach($amStk as $d => $amS) {
	if($amS) {
		$warning6hstreight .= $wochentage[$d];
	}
}
/*
if($zk_arbeitszeit > 43200) {
	$warning_arbeitszeit = "Arbeitszeit von mehr als 12 Stunden";
} elseif($amStk) {
	$warning_arbeitszeit = "Arbeitszeit von mehr als 6:00h am St&uuml;ck";
} elseif($zk_arbeitszeit > 32400 && $zk_pause < 2700) {
	$warning_arbeitszeit = "Ab 9:00h Arbeitszeit sind 45min Pause einzuhalten";
} elseif($zk_arbeitszeit > 21600 && $zk_pause < 900) {
	$warning_arbeitszeit = "Ab 6:00h Arbeitszeit sind 15min Pause einzuhalten";
} else $warning_arbeitszeit = '';

/* grosse Tabelle abschliessen die die grafische Darstellung beinhaltet */
printf("</tr></table>\n");
if($pers != 0) {
	echo "</td><td>";
	echo "<center>";
	echo "<form name=\"right\" method=\"post\" action=\"$self\">\n";
	echo "<input type=\"hidden\" id=\"wp\" name=\"wp\" value=\"".(empty($wp[0]) ? 0 : 1)."\" />\n";
	echo "<input type=\"hidden\" name=\"pers\" value=\"$pers\" />\n";
	echo "<input type=\"hidden\" name=\"ma\" id=\"ma\" value=\"$pers\" />\n";
	echo "<input type=\"hidden\" name=\"datum\" value=\"".date('Y-m-d',$sql_beg)."\" />\n";
	echo "<input type=\"hidden\" name=\"gf_old\" value=\"$wp[1]\" />\n";
	echo "<input type=\"hidden\" name=\"hb_old\" value=\"$wp[4]\" />\n";
	if(isset($rvar_tag)) echo "<input type=\"hidden\" name=\"tag\" value=\"$rvar_tag\" />\n";
	if($fls_ist > 55) {
		echo "<table cellpadding=\"3\" cellspacing=\"0\" style=\"border:2px solid #006600;width:140px\">";
		echo "<tr><td style=\"background-color:red\"><img src=\"".image('ewald',6,15,255,255,255)."\" style=\"position:absolute\" /></td>";
		echo "<th style=\"text-align:right;color:white;background-color:red\">Wochenarbeitszeit</th></tr>\n";
		echo "<tr><td colspan=\"2\" class=\"ww\" style=\"background-color:#CCCCCC;color:black\">";
		echo getConf('waz55');
		echo "</td></tr></table><br>\n";
	} elseif($fls_ist > 48) {
		echo "<table cellpadding=\"3\" cellspacing=\"0\" style=\"border:2px solid #006600;width:140px\">";
		echo "<tr><td style=\"background-color:#FF6600\"><img src=\"".image('ewald',6,15,255,255,255)."\" style=\"position:absolute\" /></td>";
		echo "<th style=\"text-align:right;color:white;background-color:#FF6600\">Wochenarbeitszeit</th></tr>\n";
		echo "<tr><td colspan=\"2\" class=\"ww\" style=\"background-color:#CCCCCC;color:black\">";
		echo getConf('waz48');
		echo "</td></tr></table><br>\n";
	}
	echo "<table>";
	$anst = number_format($paz[1], 2, ',', '');
	echo "<tr><th colspan=\"2\" style=\"text-align:right;\">Anst.:</th>";
	echo "<td class=\"cl11\" style=\"text-align:right;width:50px\">$anst&nbsp;%</td></tr>";
	echo "<tr><th colspan=\"2\" style=\"text-align:right;\">FLS Soll:</th><td class=\"cl11\" style=\"text-align:right;";
	if($kap_kor[0] > 0) echo "color:lime\"" . stwToolTip("<b>Kap.-Korrektur: ".fls_form($kap_kor[0])."</b><br>$kap_kor[1]");
	elseif($kap_kor[0] < 0) echo "color:red\"" . stwToolTip("<b>Kap.-Korrektur: ".fls_form($kap_kor[0])."</b><br>$kap_kor[1]");
	else echo "\"";
	echo ">" . fls_form($fls) . "</td></tr>\n";
	echo "<tr><th colspan=\"2\" style=\"text-align:right;";
	$sw1 = getConf('wp_sw1');
	$temp = getConf('wp_sw2');
	if($temp > $sw1) $sw2 = $temp;
	else {
		$sw2 = $sw1;
		$sw1 = $temp;
	}
	if($fls_ist <= ($fls + $sw1)) {
		echo "color:".($sw2 == $temp ? 'red' : 'lime')."\"";
		$tt = getConf($sw2 == $temp ? 'wp_red' : 'wp_green');
	} elseif($fls_ist >= ($fls + $sw2)) {
		echo "color:".($sw2 == $temp ? 'lime' : 'red')."\"";
		$tt = getConf($sw2 == $temp ? 'wp_green' : 'wp_red');
	} else {
		echo "color:yellow\"";
		$tt = getConf('wp_yellow');
	}
	if(strlen($tt) > 0) echo stwToolTip($tt);
	echo ">FLS Ist:</th><td class=\"cl11\" style=\"text-align:right\">";
	echo "<input type=\"hidden\" name=\"fls_ist\" value=\"$fls_ist\" />\n";
	echo fls_form($fls_ist) . "</td></tr>\n";
	new stwTabLine(2,3);
	echo "<tr><th style=\"width:30px;text-align:right\">GF:</th><td style=\"width:20px;vertical-align:middle\">";
	$checked = empty($wp[1]) ? "onchange=\"this.form.submit()\" value=\"1\"" : "checked value=\"$wp[1]\"";
	echo "<input type=\"checkbox\" name=\"gf\" $checked ";
	if($ulv < 96) echo "disabled ";
	echo "/></td>";
	if($ulv < 96) echo "<input type=\"hidden\" name=\"gf\" value=\"$wp[1]\" />\n";
	if($wp[1] > 0) echo "<td".stwToolTip(pers_name($wp[1])." $wp[2]").">".pers_initialen($wp[1])." ".substr($wp[2],0,6)."</td>";
	elseif($ulv >= 96) {
		echo "<th style=\"text-align:right\"".stwToolTip('GF OK setzen und zum n&auml;chsten Mitarbeiter wechseln').">+ n.MA: ";
		echo "<input type=\"checkbox\" name=\"gf\" value=\"1\" onchange=\"document.getElementById('ma').value=$saveAndNext; this.form.submit()\"></th>";
	}
	echo "</tr>\n";
	if($ulv >= 96) {
		echo "<tr><td colspan=\"3\" style=\"text-align:center\">";
		echo "<table vellspacing=\"4\" cellpadding=\"0\"><tr>";
		echo "<td width=\"16\">";
		if($prev > 0) {
			echo "<input type=\"button\" style=\"background-color:#333;color:transparent;width:20px;height:20px;";
			echo "background-image:url(img/zurueck.png);background-repeat:no-repeat;\" ";
			echo stwToolTip("<b>zum vorherigen Mitarbeiter</b>");
			echo "onClick=\"self.location.href='$prevlink'\" />";
		}
		echo "</td><td><input type=\"submit\" name=\"save\" value=\"speichern\" /></td>";
		echo "<td width=\"16\">";
		if($next > 0 && $naechster == false) {
			echo "<input type=\"button\" style=\"background-color:#333;color:transparent;width:20px;height:20px;";
			echo "background-image:url(img/vor.png);background-repeat:no-repeat;\" ";
			echo stwToolTip("Beim Laden der Seite hat diese Schaltfl&auml;che den Fokus.<br>Enter oder Leertaste navigieren <b>zum n&auml;chsten Mitarbeiter</b>");
			echo "name=\"nextR\" onClick=\"self.location.href='$nextlink'\" />";
		}
		echo "</td></tr></table></td></tr>\n";
	}
	echo "<tr><td colspan=\"3\"><textarea name=\"notizen\" id=\"notizen\" style=\"width:100%\" rows=\"2\"";
	if($ulv < 96) echo " readonly";
	echo " onblur=\"xajax_savenote(".(empty($wp[0]) ? 0 : 1).",$sql_beg,$pers,notizen.value)\"";
	echo ">$wp[3]</textarea></td></tr>\n";
	echo "<tr><th style=\"width:30px;text-align:right\">HB:</th><td style=\"width:20px;vertical-align:middle\">";
	$checked = empty($wp[4]) ? "value=\"1\"" : "checked value=\"$wp[4]\"";
	echo "<input type=\"checkbox\" name=\"hb\" $checked ";
	if($ulv < 96 && $uid != $pers) echo "disabled ";
	echo "onchange=\"this.form.submit()\" /></td>";
	if($wp[4] > 0) echo "<td".stwToolTip(pers_name($wp[4])." $wp[5]").">".pers_initialen($wp[4])." ".substr($wp[5],0,6)."</td>";
	echo "</tr>\n";
	new stwTabLine(2,3);
	echo "</table>\n";
	echo "</form>\n";
	echo "</center>\n";
}
echo "</td></tr></table>\n";
new stwEnd($seite, $tag);
?>