<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: zust.php 2727 2017-04-04 13:44:21Z tfreudenberg $
 *
 */

session_start();
$seite = 31;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

/* --- welcher Reiter soll angezeigt werden? Standard: Mitarbeiter --- */
$anz = (isset($_REQUEST['anz'])) ? $_REQUEST['anz'] : 'ma';
/* --- welche Abteilung soll angezeigt werden? Standard: Alle --- */
$abt = (isset($_REQUEST['abt'])) ? $_REQUEST['abt'] : 0;

$self = $_SERVER['PHP_SELF'];
if(isset($_GET['alle'])) $_SESSION[$AppCode]['zust_alle'] = $_GET['alle']=='alle' ? true : false;
elseif(!isset($_SESSION[$AppCode]['zust_alle'])) $_SESSION[$AppCode]['zust_alle']=false;

set_session_url();

$pers_order = getPersOrder($seite);

/* --- Untermenue --- */
echo "<table style=\"width:750px\"><tr>\n";

$class = ($anz == 'ma') ? 'menuactive' : 'menuinactive';
echo "<td style=\"padding:5px\" class=\"$class\">";
echo "<a href=\"$self?anz=ma&abt=$abt\">Mitarbeiter</a></td>\n";

$res = abfrage1("select res_typ, name, abk
								from tb_res_typ
								where res_typ < 5
								order by res_typ asc;");

while ($row = mysql_fetch_array($res)){
	$class = ($anz == $row['res_typ']) ? 'menuactive' : 'menuinactive';

	echo "<td class=\"$class\">";
	echo "<a href=\"$self?anz={$row['res_typ']}&abt=$abt\"";

	if (strlen($row['abk']) > 0){
		$tt = $row['name'];
		$tx = $row['abk'];
	} else {
		$tt = '';
		$tx = $row['name'];
	}

	if (strlen($tt) > 0) echo stwToolTip($tt);

	echo ">$tx</a></td>\n";
}

if($anz == 'ma') {
	echo "<th style=\"vertical-align:middle;padding-left:5px\">Abt.:</th>\n";
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\" />\n";
	echo "<td style=\"vertical-align:middle\">\n";
	echo "<select name=\"abt\" onchange=\"this.form.submit()\">";
	echo "<option value=\"0\">alle MA mit Zuordnung</option>\n";
	if ($ulv < 60){
		$sql  = "select h.abt_id, a.name from tbh_pers_abt h ";
		$sql .= "left join tb_personal_abt a on h.abt_id = a.abt_id ";
		$sql .= "where h.pers_id = '$uid' order by a.name asc;";
		$abtn = abfrage1($sql);
	} else {
		$sql = "select abt_id, name from tb_personal_abt order by name asc;";
		$abtn = abfrage1($sql);
	}
	while ($ab = mysql_fetch_row($abtn)){
		echo "<option value=\"$ab[0]\"";
		if ($abt == $ab[0]) echo ' selected';
		echo ">$ab[1]</option>\n";
	}
	echo "</select></td>\n";
	echo "<td style=\"vertical-align:middle\"><input value=\"";
	echo $_SESSION[$AppCode]['zust_alle'] ? 'aktive' : 'alle';
	echo "\" type=\"submit\" name=\"alle\" /></td></form>\n";
}
if (check_nutzer_rechte(119)){
	$txt = 'Zust&auml;ndigkeitsbereiche
verwalten';
	echo "<td style=\"text-align:right;width:100%\"><input type=\"button\" value=\"$txt\" ";
	$url = (is_numeric($anz)) ? "&res_typ=$anz" : '';
	echo "onClick=\"self.location.href='zust_ber.php?abt=$abt" . $url . "'\"></td>\n";
}


echo "</tr></table>\n";
new stwLine(1);

/* Uebertragung der bestehenden Zustaendigkeiten in die neue Tabelle */

$zusts = abfrage1("select * from tbh_pers_res;");
if (mysql_num_rows($zusts) == 0) {

	/* bestehende Zuordnungen aus der alten Struktur abfragen */
	$res = abfrage1("select res_id, pers_id from tb_ressourcen
									where pers_id > 0 order by res_id asc;");

	while ($row = mysql_fetch_array($res)){
		$sql  = "insert into tbh_pers_res set pers_id = '$row[1]', ";
		$sql .= "res_id = '$row[0]', ver = '1';";
		abfrage2($sql);
	}

	echo "<table><tr><th style=\"color: lime;\">";
	echo "Die Daten wurden in die neue Datenbankstruktur &uuml;bertragen!";
	echo "</th></tr></table>\n";

	new stwLine(1);
}

echo "<table>\n";


if ($anz == 'ma'){ /* Anzeigemodus Mitarbeiter */

	echo "<tr><th class=\"cl1\">Mitarbeiter</th>\n";

	$sql = "select res_typ, name, abk from tb_res_typ where res_typ < 5 order by res_typ asc;";
	$res = abfrage1($sql);

	while ($row = mysql_fetch_array($res)){
		echo "<th class=\"cl1\"";
		if (strlen($row['abk']) > 0){
			$tt = $row['name'];
			$tx = $row['abk'];
		} else {
			$tt = '';
			$tx = $row['name'];
		}

		if (strlen($tt) > 0) echo stwToolTip($tt);
		echo ">$tx</th>\n";
	}

	new stwTabLine(2,10);

	/* Mitarbeiter mit zugeordneten Zustaendigkeiten abfragen */
	$sql  = "select p.pers_id, p.teldienst, p.telmobil, ";
	$sql .= ($pers_order == 2) ? "concat(p.name,', ',p.vorname)" : "concat(p.vorname,' ',p.name)";
	$sql .= ", p.status_id ";
	if($abt > 0) {
		$sql .= "from tbh_pers_abt a
				left join tb_personal p using (pers_id)
				left join tbh_pers_res h using (pers_id) 
				where a.abt_id='$abt'";
		if(!$_SESSION[$AppCode]['zust_alle']) $sql .= " and p.status_id='2' ";
	} else {
		$sql .= "from tbh_pers_res h left join tb_personal p using (pers_id)";
		if(!$_SESSION[$AppCode]['zust_alle']) $sql .= " where p.status_id='2' ";
	}
	$sql .= " group by pers_id";
	$sql .= " order by ";
	$sql .= ($pers_order == 2) ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc";
	$mas = abfrage1($sql);

	while ($ma = mysql_fetch_array($mas)){
		$legal = false;
		$tt = "$ma[1]  |  $ma[2]";
		$out  = "<tr><td class=\"cl1\"><a href=\"pers_and.php?pers_id=$ma[0]\"";
		if($ma['status_id'] != 2) $out .= " style=\"color:grey\"";
		$out .= stwToolTip($tt);
		$out .= ">$ma[3]</a></td>\n";

		$sql = "select res_typ, name from tb_res_typ where res_typ < 5 order by res_typ asc;";
		$res = abfrage1($sql);

		while ($row = mysql_fetch_array($res)){
			$sql  = "select h.res_id, r.name, unix_timestamp(kaufdatum) as ruckgabe, h.ver ";
			$sql .= "from tbh_pers_res h ";
			$sql .= "left join tb_ressourcen r using (res_id) ";
			$sql .= "where h.pers_id = '{$ma['pers_id']}' ";
			$sql .= "and r.res_typ = '{$row['res_typ']}' ";
			if ($row['name'] == 'PKW') $sql .= "and r.aktiv = 'j' ";
			$sql .= "order by r.name asc;";

			$erg = abfrage1($sql);

			$out .= "<td class=\"cl1\"><table>\n";

			while ($zeile = mysql_fetch_array($erg)){
				$legal = true;
				$link = ($row['name'] == 'PKW') ? 'pkw_and.php' : 'zust_and.php';
				$out .= "<tr><td><a ";
				if($row['name'] == 'PKW' && $zeile['ruckgabe'] > 0 && $zeile['ruckgabe'] < time()) $out .= "style=\"color:#AAAAAA\" ";
				elseif($zeile[3] != 1) $out .= "style=\"color:#A0A000\"";
				$out .= "href=\"$link?res_id={$zeile['res_id']}\"";

				if (strlen($zeile['name']) > 20) $out .= stwToolTip($zeile['name']);
				$out .= ">" . strCut($zeile['name'], 20) . "</a></td></tr>\n";
			}
			$out .= "</table></td>\n";
		}
		$out .= "</tr>\n";
		if($legal || $abt > 0) {
			echo $out;
			new stwTabLine(2,10);
		}
	}

} else { /* Anzeigemodus Ressourcentyp */

	$sql = "select res_id, name, unix_timestamp(kaufdatum) as ruckgabe from tb_ressourcen ";
	if ($anz == 1) $sql .= "where res_typ in (1,5) and aktiv = 'j' ";
	else $sql .= "where res_typ = '$anz' ";
	$sql .= "order by name asc;";
	$res = abfrage1($sql);

	if (mysql_num_rows($res) > 0){

		$dat1 = abfrage("select name from tb_res_typ where res_typ = '$anz';");
		$link = ($dat1[0] == 'PKW') ? 'pkw_and.php' : 'zust_and.php';

		echo "<tr><th class=\"cl1\">$dat1[0]</th>\n";
		echo "<th class=\"cl1\">Mitarbeiter</th></tr>\n";
		new stwTabLine(2,10);

		while ($zeile = mysql_fetch_array($res)){
			if($dat1[0] == 'PKW' && $zeile['ruckgabe'] > 0 && $zeile['ruckgabe'] < time()) continue;
			echo "<tr><td><a href=\"$link?res_id={$zeile['res_id']}\"";
			echo ">" . $zeile['name'] . "</a></td>\n";

			echo "<td><table>\n";
			$mas = abfrage1("select h.pers_id, h.ver, p.teldienst, p.telmobil
											from tbh_pers_res h
											left join tb_personal p using(pers_id)
											where h.res_id = '$zeile[0]'order by  " . 
											($pers_order == 2 ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc"));
			while ($ma = mysql_fetch_row($mas)){
				$style = ($ma[1] == 1) ? '' : "style=\"color:#A0A000\"";
				$tt = "$ma[2]  |  $ma[3]";
				echo "<tr><td class=\"cl1\"><a $style href=\"pers_and.php?pers_id=$ma[0]\"";
				echo stwToolTip($tt);
				echo ">" . ($pers_order == 2 ? pers_name2($ma[0]) : pers_name($ma[0])) . "</a></td></tr>\n";
			}
			echo "</table></td></tr>\n";
			new stwTabLine(2,10);
		}
	}
}

echo "</table>\n";

new stwLine(1);
new stwEnd($seite);
?>
