<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: func.inc.php 2928 2018-12-31 10:38:52Z tfreudenberg $
 *
 */

 /* Datei befindet sich in inc - Dateiname und Verzeichnis entfernen */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

 require_once($pfad."conf/conf.inc.php");
 require_once($pfad."inc/svn.inc.php");

 require_once($pfad."inc/azk.inc.php");
 require_once($pfad."inc/stwEnd.inc.php");

 require_once($pfad."inc/cache.inc.php");

 // Zeitzone fest auf Deutschland setzen
 date_default_timezone_set("Europe/Berlin");

// sicherstellen, dass die Variablen initialisiert sind
if (!isset($_SESSION[$AppCode]['UID'])) $_SESSION[$AppCode]['UID'] = NULL;
if (!isset($_SESSION[$AppCode]['ULV'])) $_SESSION[$AppCode]['ULV'] = NULL;

if (!isset($_SESSION['basedir'])) $_SESSION['basedir'] = substr($pfad, 0, strlen($pfad) - 1);;

if (!isset($_SESSION['webdir'])) {
 /*
  * Versuchen den lokalen Pfad zu den Verzeichnissen zu ermitteln.
  */
 $tmp = $_SERVER['REQUEST_URI'];

 /* Prfung aufgerufene Seite
	Varianten: index.php bzw. anmeldung.php;
	           Seite auf Unterordnern (nur konf mit aufrufbaren Seiten)
			   Direkt aufgerufen (z. B. www.lokales-stellware.de)
 */
 $pos = strpos($tmp, "/index.php");
 if ($pos) {
   $_SESSION['webdir'] = substr($tmp, 0, $pos);
 } else {
	$pos = strpos($tmp, "/anmeldung.php");
	if ($pos) {
		$_SESSION['webdir'] = substr($tmp, 0, $pos);
	} else {
		$pos = strpos($tmp, "/konf/");
		if ($pos) {
			$_SESSION['webdir'] = substr($tmp, 0, $pos);
		} else {
			if (substr($tmp, strlen($tmp), 1) == '/') {
				$_SESSION['webdir'] = substr($tmp, 0, strlen($tmp) - 1);
			}
		}
	}
 }
}

// Herstellen der Verbindung zum Datenbankserver
$dblink = mysql_connect($conf_srv, $conf_dbu, $conf_dbp) or die(mysql_error());
mysql_select_db($conf_dbn) or die(mysql_error());
if($dblink && isset( $_REQUEST ) && is_array( $_REQUEST )) {
	foreach($_REQUEST as $i => $val) {
		if(is_string($val)) {
			$_REQUEST[ $i ] = mysql_real_escape_string($val);
			if(isset($_POST[ $i ])) $_POST[ $i ] = mysql_real_escape_string($_POST[ $i ]);
		}
	}
}

$laufzeit_id = 0;

// Abfrage-Funktion mit Ergebnis-Rueckgabe
// nur fuer Abfragen geeignet, die nur eine Zeile zurueckgeben ;-)
function abfrage($sql) {
    $res = mysql_query($sql) or die (mysql_error());
    $erg = mysql_fetch_row($res);
    return $erg;
}

// Abfrage-Funktion mit Ergebnis-Rueckgabe als assoziatives Array
// nur fuer Abfragen geeignet, die nur eine Zeile zurueckgeben ;-)
function abfrage_assoc($sql) {
    $res = mysql_query($sql) or die (mysql_error());
    $erg = mysql_fetch_assoc($res);
    return $erg;
}

// Abfrage-Funktion mit Ergebnis-Rueckgabe als assoziatives Array
// nur fuer Abfragen geeignet, die nur eine Zeile zurueckgeben ;-)
function abfrage_array($sql) {
    $res = mysql_query($sql) or die (mysql_error());
    $erg = mysql_fetch_array($res);
    return $erg;
}

// Abfrage-Funktion mit Ergebnis-Rueckgabe
// fuer Abfragen geeignet, die mehrere Zeilen zurueckgeben ;-)
function abfrage1($sql) {
    $res = mysql_query($sql) or die (mysql_error());
    return $res;
}

// Abfrage-Funktion ohne Ergebnis-Rueckgabe (z.B. Update, Insert)
function abfrage2($sql) {
	mysql_query($sql) or die (mysql_error());
}

// rundet uebergeben Dezimal-Zeit auf die naechste Viertelstunde auf
function round_viertelstunde($time) {
	$time = str_replace(',','.',$time);
	$hh = floor($time);
	$komma = fmod($time, 1);
	if($komma > 0.75) {
		$mm = 0;
		$hh++;
	} elseif($komma > 0.5) $mm = 75;
	elseif($komma > 0.25) $mm = 5;
	elseif($komma > 0) $mm = 25;
	else $mm = 0;
	return $hh.'.'.$mm;
}

/** date_mys2gr - wandelt ein MySQL-DATE (ISO-Date)
  *               in ein traditionelles deutsches Datum um.
**/
function date_my2gr($datum) {
    if (!empty($datum) && ($datum != '0000-00-00')){
        list($jahr, $monat, $tag) = explode("-", $datum);
        return sprintf("%02d.%02d.%04d", $tag, $monat, $jahr);
    }
}

/** date_gr2my - wandelt ein "traditionelles" deutsches Datum
  *              nach MySQL (ISO-Date).
**/
function date_gr2my($datum) {
  if (!empty($datum)){
      list($tag, $monat, $jahr) = explode(".", $datum);
      return sprintf("%04d-%02d-%02d", $jahr, $monat, $tag);
  }
}

/** date_gr2ts - wandelt ein traditionelles deutsches Datum
  *              in einen Unix-Timestamp um (0:00 Uhr).
**/
function date_gr2ts($datum) {
  if (!empty($datum)){
      list($tag, $monat, $jahr) = explode(".", $datum);
	  return mktime(0,0,0,$monat,$tag,$jahr);
  }
}

/** date_my2ts - wandelt ein MySQL-DATE (ISO-Date)
  *              in einen Unix-Timestamp um (0:00 Uhr).
**/
function date_my2ts($datum) {
  if (!empty($datum)){
      list($jahr, $monat, $tag) = explode("-", $datum);
	  return mktime(0,0,0,$monat,$tag,$jahr);
  }
  return false;
}

/** date_tstime - setzt in einem Timestamp die im Format hh:mm uebergebene
  *               Zeit und gibt geaenderten Timestamp zurueck
**/
function date_tstime($ts, $time){
  if (!empty($ts) && !empty($time)){
      list($stunde, $minute) = explode(":", $time);
	  return mktime($stunde,$minute,0,date('n', $ts),date('d', $ts),date('Y', $ts));
  }
  return false;
}

/** date_ts2mydt - wandelt einen gegebenen Timestamp ins MySQL-DATETIME-Format
 *                 um
**/
function date_ts2mydt($ts){
	if (!empty($ts)){
		return date('Y-m-d H:i', $ts);
	}
  return false;
}

/** date_ts2grdt - wandelt einen gegebenen Timestamp in deutsches Datum + Zeit
 *                 um
**/
function date_ts2grdt($ts){
	if (!empty($ts)){
		return date('d.m.Y H:i', $ts);
	}
  return false;
}

function date_grdate_stamp($dat) {
    list($jahr, $monat, $tag) = explode(".", $dat);
	return mktime(0,0,0,$monat,$tag,$jahr);
}

/* wandelt Farbe #RRGGBB in array('RR','GG','BB') um */
function transformColor($farbe) {
	if(strlen($farbe) == 7) return array(hexdec($farbe[1].$farbe[2]),hexdec($farbe[3].$farbe[4]),hexdec($farbe[5].$farbe[6]));
	if(strlen($farbe) == 6) return array(hexdec($farbe[0].$farbe[1]),hexdec($farbe[2].$farbe[3]),hexdec($farbe[4].$farbe[5]));
	if(strlen($farbe) == 4) return array(hexdec($farbe[1].$farbe[1]),hexdec($farbe[2].$farbe[2]),hexdec($farbe[3].$farbe[3]));
	if(strlen($farbe) == 3) return array(hexdec($farbe[0].$farbe[0]),hexdec($farbe[1].$farbe[1]),hexdec($farbe[2].$farbe[2]));
	return array(255,255,255);
}

/* Umrechnung Zeit in Dezimalzahl */
function time_hhmmss2dec($time) {
    list($dec, $min, $sec) = explode(":", $time);
	$dec += $min / 60;
	$dec += $sec / 3600;
	return $dec;
}

/* Umrechnung Dezimalzahl in Zeit */
function dec2time_hhmm($time) {
	$parts = explode(".", str_replace(',','.',$time));

  $hh = $parts[0];
  $rest = NULL;

  if (count($parts) > 1)
  {
    $rest = $parts[1];
  }

	if(empty($hh)) $hh = 0;
	$mm = fround("0.$rest" * 60);
	if($mm < 10) $mm = "0$mm";
	return "$hh:$mm";
}

 /*
  * Floatingpoint Werte koennen manchmal nicht richtig mit der normalen
  * round() Funktion gerundet werden. Deshalb hier eine Funktion die das
  * versucht.
  */
 function fround($fwert, $nachkommastellen = 0)
 {
   /* negative Nachkommastellen sind nicht moeglich */
   if ($nachkommastellen < 0) $nachkommastellen = 0;

   /* bestimmen wo die Zahl nach dem Punkt ist */
   $pos = strpos($fwert, ".");
   if ($pos === false) return $fwert;
   else $pos += 1;
   /* Anzahl der vorhandenen Nachkommastellen bestimmen */
   $anzahl = strlen($fwert) - $pos;

   /* Anzahl gleich der gewuenschten Nachkommastellen */
   if ($anzahl == $nachkommastellen) return $fwert;

   /* Anzahl ist groesser als gewuenschte Nachkommastellen */
   if ($anzahl > $nachkommastellen)
   {
     /* genug Nachkommastellen vorhanden - Wert pruefen */
     $zahl = substr($fwert, $pos - 1 + $nachkommastellen + 1, 1);

     /* wenn diese Zahl groesser als 4 ist aufrunden - sonst lassen */
     if ($zahl > 4)
     {
       /* muss aufgerundet werden */
       $multi = pow(10, $nachkommastellen);
       return ceil($fwert * $multi)/$multi;
     }
     else
     {
       /* nichts runden - Teil zurueckgeben */
       if ($nachkommastellen == 0)
       {
         return substr($fwert, 0, $pos - 1);
       }
       else
       {
         return substr($fwert, 0, $pos + $nachkommastellen);
       }
     }
   }
   else
   {
     /* nicht genug Nachkommastellen vorhanden - normale Zahl zurueck */
     return $fwert;
   }
 }

 /*
  * Gibt eine Datum-Zeit Zeichenkette zurueck die direkt mit Mysql
  * genutzt werden kann.
  */
 function date_time_stamp($datum, $zeit = 0)
 {
   if (!empty($datum))
   {
     list($tag, $monat, $jahr) = explode(".", $datum);
   }
   else
   {
     $tag = 0;
     $monat = 0;

     $jahr = 0;
   }

   if (empty($zeit))
   {
     $stunde = 0;
     $minute = 0;

     $sekunde = 0;
   }
   else
   {
     list($stunde, $minute, $sekunde) = explode(":", $zeit);
   }

   $ts = mktime($stunde, $minute, $sekunde, $monat, $tag, $jahr);
   return strftime("%Y-%m-%d %H:%M", $ts);
 }


function date_isodate_stamp($dat) {
    list($jahr, $monat, $tag) = explode("-", $dat);
	return mktime(0,0,0,$monat,$tag,$jahr);
}

function date_isodatetime_stamp($datetime){
	list($datum, $zeit) = explode(" ", $datetime);
	list($jahr, $monat, $tag) = explode("-", $datum);
	list($stunde, $min) = explode(":", $zeit);
	return mktime($stunde, $min, 0, $monat, $tag, $jahr);
}

function time2min($time){
	list($hour, $min) = explode(":", $time);
	return ($min + ($hour * 60));
}

function min2time($min){
	$hr = bcdiv($min, 60, 0);
	$mn = bcsub($min,bcmul($hr,60,0),0);
	return "$hr:$mn";
}

/*
 * Erstellt aus dem Vornamen und Nachnamen einen Initialien
 * string (jeweils den ersten Buchstaben zusammengehangen).
 */
function initialien($vorname, $name)
{
  $result = "";
  
  if (strlen($vorname) > 0)
  {
    $result .= strtoupper($vorname{0});
  }
  
  if (strlen($name) > 0)
  {
    $result .= strtoupper($name{0});
    
  }
 
  return $result;
}

function strCut($string,$len){
	if (strlen($string) <= $len){
		return $string;
	} else {
   	return substr($string, 0, $len - 3) . '...';
  }
}


// Ermittelt FLS je Woche aus Arbeitszeitvereinbarung
function fls_woche($paz_id, $kapp_korr=false, $ts=0)
{
	$paz = abfrage("select t1.anst, t1.sa_satz, t2.besch_id, t2.betreuer, t1.fls,
					t1.fallunsp_satz, t1.pers_id, t1.anst_ez, t1.von
					from tb_paz t1
					left join tb_personal t2 on t1.pers_id = t2.pers_id
					where t1.paz_id = '$paz_id';");

	// Angestellte + Betreuer -> individuelle fallunspez. Zeiten
	if (($paz[2] == 1 || $paz[2] == 4) && $paz[3] == 'j') {
		$funsp = $paz[5];
	} else {
		$funsp = 0;
	}

	// Honorar-Variante
	if (($paz[2] == 2 && $paz[3] == 'j') || $paz[2] == 3) {
		$fls = $fls_ez = $paz[4];
	// Angestellten-Variante
	} else {
		$az_basis = az_basis($paz[8]);
		$fls = ($az_basis * ($paz[0] / 100)) - $funsp - $paz[1];
		$fls_ez = $paz[7]>0 ? (($az_basis * ($paz[7] / 100)) - $funsp - $paz[1]) : 0;
	}

	// Kapazitaeten-Korrektur
	if($kapp_korr) {
		$kap_kor = abfrage("SELECT kap_korr FROM tb_personal WHERE pers_id='$paz[6]'");
		$fls += $kap_kor[0];
		$fls_ez += $kap_kor[0];
	}

	if($ts == 0) return $fls;
	if($ts == -1) return $fls_ez;

	// Timestamp uebergeben? ...dann tatsaechliche Wochenstunden...
    $sj = date('Y', $ts);
	$ft = feiertage($sj);
	$fls_d = $fls / 5;
	for($i=0;$i<5;$i++) {
		if (in_array($ts, $ft)) $fls -= $fls_d;
		elseif(pers_fehlzeit($paz[6], $ts, false, true)) {
			$fls -= $fls_d;
			if($fls_ez > 0 && pers_elternzeit($paz[6], $ts)) {
				if(!pers_fehlzeit($paz[6], $ts, false, false)) 
					$fls += ($fls_ez / 5);
			}
		}
		$ts += 86400;
	}

	return $fls;
}

 /*
  * Bestimmt die Anzahl der Fehltage in dem angegebenen Zeitraum.
  * Argument genehmigt: beruecksichtigt nur genehmigte Fehlzeiten
  *                     wird ein anderer Wert genutzt werden alle
  *                     genommen
  */
 function fehlz_sum($pers_id, $von, $bis, $genehmigt="1", $ElternteilzeitAlsFehlzeitWerten = false)
 {
   /* Fehlzeiten in diesem Zeitraum abziehen */
   $sql  = "SELECT UNIX_TIMESTAMP(t.von), UNIX_TIMESTAMP(t.bis), t.terminart ";
   $sql .= "FROM tb_fehlz f LEFT JOIN tb_termine t USING(termin_id) ";

   $sql .= "WHERE f.pers_id = '".$pers_id."' ";
   $sql .= "AND UNIX_TIMESTAMP(t.von) <= '".$bis."' ";

   $sql .= "AND UNIX_TIMESTAMP(t.bis) >= '".$von."' ";
   if ($genehmigt == "1") $sql .= "AND f.genehmigt = '1' ";

   $sql .= "AND t.terminart IN ('u', 'k', 'w', 'kk', 'ez', 'wbu', 'kol', 'ms', 'wol') ";
   $sql .= "ORDER BY t.bis DESC";

   $res  = abfrage1($sql);
   $tage = 0;

   $last_paz = 0;
   while ($row = mysql_fetch_row($res))
   {
	 if(!$ElternteilzeitAlsFehlzeitWerten && $row[2]=='ez') {
		if($last_paz == 0 || $last_paz > $row[0]) {
			$sql = "select anst_ez, unix_timestamp(von) from tb_paz where pers_id = '$pers_id' 
					and unix_timestamp(von) <= '$row[0]' order by von desc limit 1";
			$anst_ez = abfrage($sql);
			$last_paz = $anst_ez[1];
		}
		if($anst_ez[0] > 0) continue;
	 }
	 if ($row[0] < $von) $v = $von; else $v = $row[0];
     if ($row[1] > $bis) $b = $bis; else $b = $row[1];

     $tage += arbeitstage($v, $b);
   }

   return $tage;
 }

 /*
  * Arbeitstage fuer die gewuenschte Person und dem gewuenschten Monat
  * ermitteln. Die Fehlzeiten werden automatisch abgezogen. Zusaetzlich
  * muss darauf geachtet werden, dass die Person vielleicht nicht mehr
  * den ganzen Monat arbeitet.
  *
  * pers_id - PersonalID
  * $abm    - Abrechnungsmonat
  */
 function fls_monat_arbeitstage($pers_id, $abm)
 {
   /* Anzahl der Arbeitstage im Kalendermonat */
   $von = date_isodate_stamp($abm);
   $bis = mktime(0, 0, 0, date("n", $von), date("t", $von), date("Y", $von));

   /* neue Berechnung erst ab Januar 2008 */
   if ($von >= 1199142000)
   {
     /* letzte AZV holen */
     $sql  = "SELECT UNIX_TIMESTAMP(bis) FROM tb_paz ";
     $sql .= "WHERE pers_id = '".$pers_id."' ORDER BY von DESC LIMIT 1";

     $zeile = abfrage($sql);
     if ($zeile[0] < $von && $zeile[0] != 0) return 0;

     /* aktuelle AZV ermitteln */
     $sql  = "SELECT UNIX_TIMESTAMP(von), UNIX_TIMESTAMP(bis) ";
     $sql .= "FROM tb_paz WHERE pers_id = '".$pers_id."' AND ";

     $sql .= "TO_DAYS(von) < TO_DAYS(DATE_ADD('".$abm."', INTERVAL 1 MONTH)) ";
     $sql .= "ORDER BY von DESC";

     $erg  = abfrage1($sql);
     if (mysql_num_rows($erg) > 0)
     {
       $tmp_von = 0;
       $tmp_bis = 0;

       while ($zeile = mysql_fetch_row($erg))
       {
         /* ersten 'von' Wert speichern */
         if ($tmp_von == 0) $tmp_von = $zeile[0];

         /* Zwischenwert nur aendern wenn es keinen bis Wert gab */
         if ($tmp_von > 0 && ($zeile[1] == 0 || $zeile[0] >= $von))
         {
           $tmp_von = $zeile[0];
         }

         /* erstes 'bis' Zwischenspeichern */
         if ($zeile[1] != 0 && $tmp_bis == 0) $tmp_bis = $zeile[1];

         /* wenn von Zeit kleiner dann ist Ergebnis vollstaendig */
         if ($zeile[0] <= $von) break;
       }

       if ($tmp_von > 0 && $tmp_von > $von) $von = $tmp_von;
       if ($tmp_bis > 0 && $tmp_bis < $bis) $bis = $tmp_bis;

       $at = arbeitstage($von, $bis);
     }
     else
     {
       $at = 0;
     }
   }
   else
   {
     /* alte Berechnung - pruefen ob AZV Ende vor $bis liegt */
     $sql  = "SELECT UNIX_TIMESTAMP(bis) FROM tb_paz WHERE pers_id = '";
     $sql .= $pers_id."' AND von <= '".$abm."' AND ";

     $sql .= "(bis >= von OR bis IS NULL OR bis = '0000-00-00') ";
     $sql .= "ORDER BY von DESC LIMIT 1";

     $azv_bis = abfrage($sql);
     if ($azv_bis[0] > 0)
     {
       /* es gibt ein Endedatum - pruefen ob relevant fuer diesen Monat */
       if ($azv_bis[0] < $bis) $bis = $azv_bis[0];
     }

     $at = arbeitstage($von, $bis);
   }

   /* Fehlzeiten in diesem Zeitraum abziehen */
   $at -= fehlz_sum($pers_id, $von, $bis);

   /* negative Arbeitstage sind nicht moeglich */
   if ($at < 0) $at = 0;

   return $at;
 }

 /*
  * Ermittelt FLS je Monat und Mitarbeiter aus Arbeitszeitvereinbarung.
  * (fuer AZK -> Abzug von Urlaub, Weiterbildung, krank)
  */
 function fls_monat_pers($pers_id, $datum, $fehlz="1", $vonHeute=false)
 {
   if($vonHeute) {
	 $bis = date_isodate_stamp($datum);
	 $von = mktime(0,0,0,date('n', $bis), 1, date('Y', $bis));
	 $abm = date('Y-m-d', $von);
   } else {
	 $abm = $datum;
	 $von = date_isodate_stamp($abm);
	 $bis = mktime(0, 0, 0, date("n", $von), date("t", $von), date("Y", $von));
   }

   /* wieviele Arbeitstage in diesem Monat fuer diese Person */
   $at = fls_monat_arbeitstage($pers_id, $abm);

   /* Null Arbeitstage - keine FLS */
   if ($at == 0) return 0;

   /* neue Berechnung erst ab Januar 2008 */
   if ($von >= 1199142000 || $vonHeute)
   {
     /* alle AZV fuer diesen Monat bestimmen */
     $sql  = "SELECT UNIX_TIMESTAMP(von), UNIX_TIMESTAMP(bis), paz_id, anst_ez ";
     $sql .= "FROM tb_paz WHERE pers_id = '".$pers_id."' AND ";
     $sql .= "UNIX_TIMESTAMP(von) <= $bis ORDER BY von DESC";

     $erg  = abfrage1($sql);
     $fls  = 0;

     if (mysql_num_rows($erg) > 0)
     {
       while ($zeile = mysql_fetch_row($erg))
       {
         $tvon = $von;
         $tbis = $bis;
         if ($zeile[0] > $von) $tvon = $zeile[0];
         if ($zeile[1] < $bis && $zeile[1] != 0) $tbis = $zeile[1];

         $fehlz_sum1 = fehlz_sum($pers_id, $tvon, $tbis, $fehlz, true);
         $fehlz_sum2 = ($zeile[3] > 0) ? fehlz_sum($pers_id, $tvon, $tbis, $fehlz, false) : $fehlz_sum1;
		 $etz = $fehlz_sum1 - $fehlz_sum2;

		 $arbeitstage = arbeitstage($tvon, $tbis);
		 $at = $arbeitstage - $fehlz_sum1;

         /* keine negativen Tage */
         if ($at < 0) $at = 0;
		 if($at == 0 && $etz == 0) continue;

		 /* FLS pro Woche */
		 $flsTag = fls_woche($zeile[2]) / 5;

		 /* Elternteilzeit?! */
		 if($etz > 0) {
			$flsEtz = fls_woche($zeile[2],false,-1) / 5;

			/* Fehlzeiten whrend der ElternTeilzeit? */
			if($fehlz_sum2 > 0) {
				$sql  = "SELECT t1.fehlz_id, unix_timestamp(t2.von), ";
				$sql .= "unix_timestamp(t2.bis), t2.terminart FROM tb_fehlz t1 ";
				$sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";
				$sql .= "CROSS JOIN (tb_fehlz t3 LEFT JOIN tb_termine t4 ON ";
				$sql .= "t3.termin_id = t4.termin_id) ";
				$sql .= "WHERE t4.bis >= t2.von AND t4.von <= t2.bis AND ";
				$sql .= "t4.terminart = 'ez' AND t1.pers_id = '$pers_id' AND ";
				$sql .= "t2.terminart IN ('u', 'k', 'w', 'kk', 'wbu', 'kol', 'wol') AND ";
				$sql .= "t3.pers_id = '$pers_id' AND t1.fehlz_id != t3.fehlz_id AND ";
				$sql .= "t1.genehmigt = 1 AND t3.genehmigt = 1 AND ";
				$sql .= "unix_timestamp(t2.bis) >= $tvon AND unix_timestamp(t2.von) <= $tbis;";
				$fzus = abfrage1($sql);

				$df = 0;
				while($fzu = mysql_fetch_row($fzus)) {
					$df += arbeitstage($fzu[1], $fzu[2]);
				}
				$at2 = $arbeitstage + $df - $fehlz_sum1;
				$fls += $flsTag * $at2;
				$fls += $flsEtz * ($etz - $df);
			} else {
				$fls += $flsTag * $at;
				$fls += $flsEtz * $etz;
			}
		 } else {
			$fls += $flsTag * $at;
		 }

         /* wenn von Zeit kleiner dann ist Ergebnis vollstaendig */
         if ($zeile[0] <= $von) break;
       }
     }
     else
     {
       /* keine AZV - keine FLS */
       return 0;
     }
   }
   else
   {
     /* alte Berechnung - welche AZV zum gegebenen Zeitpunkt relevant? */
     $sql  = "SELECT paz_id FROM tb_paz WHERE pers_id = '".$pers_id;
     $sql .= "' AND TO_DAYS('".$abm."') >= TO_DAYS(von) ";

     $sql .= "ORDER BY TO_DAYS(von) DESC LIMIT 1";
     $paz  = abfrage($sql);

     /* Wochen-FLS / 5 (Arbeitstage je Woche) * Arbeitstage (gesamt) */
     if ($paz[0] > 0)
     {
       $fls = fls_woche($paz[0]);
     }
     else
     {
       $fls = 0;
     }

     $fls = $fls / 5 * $at;
   }

   return $fls;
 }

// ermittelt FLS je Monat und Mitarbeiter aus Arbeitszeitvereinbarung(en)
// (fuer AZK -> Abzug von Urlaub, Weiterbildung, Krank!
/* deprecated! bitte fls_monat_pers($pers_id, $datum, "1", true) verwenden */
function fls_monat_pers_datum($pers_id, $datum)
{
	// Ermittlung der Anzahl der Arbeitstage im Kalendermonat
	$bis = date_isodate_stamp($datum);
	$von = mktime(0,0,0,date('n', $bis), 1, date('Y', $bis));
	$at = arbeitstage($von, $bis);

	// genehmigte Fehlzeiten im Zeitraum?
	$sql = "select unix_timestamp(t.von), unix_timestamp(t.bis)
			from tb_fehlz f
			left join tb_termine t using(termin_id)
			where f.pers_id = '$pers_id'
			and unix_timestamp(t.von) <= '$bis'
			and unix_timestamp(t.bis) >= '$von'
			and f.genehmigt = 1
			and t.terminart in ('u', 'k', 'w', 'kk', 'ez', 'wbu', 'kol', 'ms', 'wol');";

  $res = abfrage1($sql);

	while ($row = mysql_fetch_row($res)){
		if ($row[0] < $von){
			$v = $von;
		} else {
			$v = $row[0];
		}

		if ($row[1] > $bis){
			$b = $bis;
		} else {
			$b = $row[1];
		}

		$at -= arbeitstage($v, $b);
	}

  /* negative Arbeitstage sind nicht moeglich */
  if ($at < 0) $at = 0;

	// welche AZV zum gegebenen Zeitpunkt relevant?
	$paz = abfrage("select paz_id from tb_paz
					where pers_id = '$pers_id'
					and to_days('$datum') >= to_days(von)
					order by to_days(von) desc
					limit 1;");

	// Wochen-FLS / 5 (Arbeitstage je Woche) * Arbeitstage (gesamt)
	if ($paz[0] > 0){
		$fls = fls_woche($paz[0]);
	} else {
		$fls = 0;
	}
	return $fls / 5 * $at;

}


function fls_gel_pers_azk($pers_id, $abm)
{
	$proj = abfrage1("select z.proj_id
					from tb_ab_zk z
					where z.ab_monat = '$abm'
					and z.pers_id = '$pers_id'
					group by z.proj_id;");
	$fls = 0;

	while ($row = mysql_fetch_row($proj)){
		$pro = new stwProjekt($row[0]);
		$fls = $fls + $pro->fls_gesamt_pers_azk($pers_id, $abm);

	}

	return $fls - fls_monat_pers($pers_id, $abm);
}

// ermittelt Stunden Fehlzeiten je Monat und Mitarbeiter aus Arbeitszeitvereinbarung(en)
function fehlz_monat_pers($pers_id, $abm)
{
	// Ermittlung der Anzahl der Arbeitstage im Kalendermonat
	$von = date_isodate_stamp($abm);
	$bis = mktime(0,0,0,date('n', $von), date('t', $von), date('Y', $von));
	$at = 0;

	// genehmigte Fehlzeiten im Zeitraum?
	$sql = "select unix_timestamp(t.von), unix_timestamp(t.bis)
			from tb_fehlz f
			left join tb_termine t using(termin_id)
			where f.pers_id = '$pers_id'
			and unix_timestamp(t.von) <= '$bis'
			and unix_timestamp(t.bis) >= '$von'
			and f.genehmigt = 1
			and t.terminart in ('u', 'k', 'w', 'kk', 'ez', 'wbu', 'kol', 'ms', 'wol');";

	$res = mysql_query($sql) or die(mysql_error());

	while ($row = mysql_fetch_row($res)){
		if ($row[0] < $von){
			$v = $von;
		} else {
			$v = $row[0];
		}

		if ($row[1] > $bis){
			$b = $bis;
		} else {
			$b = $row[1];
		}

		$at += arbeitstage($v, $b);
	}

	// welche AZV zum gegebenen Zeitpunkt relevant?
	$paz = abfrage("select paz_id from tb_paz
					where pers_id = '$pers_id'
					and to_days('$abm') >= to_days(von)
					order by to_days(von) desc
					limit 1;");

	// Wochen-FLS / 5 (Arbeitstage je Woche) * Arbeitstage (gesamt)
	$fls = ($paz[0] > 0) ? fls_woche($paz[0]) : 0;

	return bcmul(bcdiv($fls, 5, 2), $at, 2);

}

/* Ermittelt Sonderzahlungen je Person und Monat (aus gehalt.php ausgelagert) */
function sonderzahlung ($sonder_proz, $pers_id, $monat, $jahr, $modus = 1){
	$sonder = sonderz($sonder_proz, $pers_id, $monat, $jahr, $modus);
	return $sonder[0];
}
function sonderz($sonder_proz, $pers_id, $monat, $jahr, $modus = 1){
	/* Modus:
	 * 1 = STANDARD: gibt anteilige Sonderzahlung zurueck
	 * 2 = gibt volle Sonderzahlung ohne prozentuale Kuerzung zurueck
	*/

	if ($sonder_proz > 0) {
		if ($monat < 11) {
			$jahr -= 1;
		}

		$jan = date('Y-m-d', mktime(0,0,0,1,1,$jahr));
		$okt = date('Y-m-d', mktime(0,0,0,10,1,$jahr));

		$sql  = "select month(ab_monat), (brutto_as - pk - vml - sonder), date_format(ab_monat,'%m/%Y') ";
		$sql .= "from tb_gehalt where pers_id = '$pers_id' and sperre = '1' ";
		$sql .= "and day(ab_monat) = '1' and ab_monat >= '$jan' and ab_monat <= '$okt' ";
		$sql .= "order by ab_monat desc;";

		$res = abfrage1($sql);
		$gehalt = array();
		$gehaltTT = '';
		while($row = mysql_fetch_row($res)) {
			$gehalt[$row[0]] = $row[1];
			$gehaltTT .= $row[2] . ": <b>" . geld_form_web($row[1]) . "</b><br />";
		}
		$sum = array_sum($gehalt) / 10;
		if ($sum > 0){
			if ($modus == 1){
				return array(round($sum * $sonder_proz / 100, 2),$gehaltTT);
			} elseif ($modus == 2){
				return array($sum,$gehaltTT);
			}
		} else {
			return array(0,'');
		}
	} else {
		return array(0,'');
	}
}


/** ---------------------------------------------------------------------
  *  Klasse stwLine - stellt eine dicke Linie (Tabelle) dar, Farbe lt.
  *  DB-Tabelle tb_web_farbe
  * ---------------------------------------------------------------------
**/

class stwLine
{
    var $farbnr;
    function stwLine($farbnr)
    {
        if (strlen($farbnr) <= 2){
    		$farbe = abfrage("select farbname
    		                  from tb_web_farbe
    		                  where farbnr = '$farbnr';");
    		$color = $farbe[0];
    	} else {
    		$color = $farbnr;
    	}
    	// "unsaubere" Variante ber Tabelle
        echo "<table width=\"750\"><tr><td bgcolor=\"$color\"></td></tr></table>\n";
    	/* Alternative ohne Tabelle (aber innerhalb einer Tabelle nicht mglich)
        echo "<hr style=\"border:solid 1px $color; width:750px; text-align:left;\" />\n";
        */
    }
}

class stwLineCSS
{
    var $farbnr;
    function stwLineCSS($farbnr)
    {
        if (strlen($farbnr) <= 2){
    		$farbe = abfrage("select farbname
    		                  from tb_web_farbe
    		                  where farbnr = '$farbnr';");
    		$color = $farbe[0];
    	} else {
    		$color = $farbnr;
    	}
    	echo "border-bottom:solid 2px $color;";
    }
}

class stwTabLine
{
  var $farbnr;
  var $cols;

  function stwTabLine($farbnr,$cols) {
    if (strlen($farbnr) <= 2){
      $farbe = abfrage("select farbname
                        from tb_web_farbe
                        where farbnr = '$farbnr';");
      $color = $farbe[0];
    } else {
      $color = $farbnr;
    }
    echo "<tr><td bgcolor=\"$color\" colspan=\"$cols\"></td></tr>\n";
  }
} 

class stwTabLineCSS
{
  var $farbnr;

  function stwTabLineCSS($farbnr) {
    if (strlen($farbnr) <= 2){
      $farbe = abfrage("select farbname
                        from tb_web_farbe
                        where farbnr = '$farbnr';");
      $color = $farbe[0];
    } else {
      $color = $farbnr;
    }
    	echo "border-bottom:solid 1px $color;";
  }
}


class stwWarnung
{
    function stwWarnung()
    {
		echo "<table width=750 cellpadding=5>\n<tr>\n";
        echo "<td style=\"font-size:30pt;font-weight:900;color:red;
		text-align:center;background-color:yellow\">";
		echo "<blink>NICHT BENUTZEN!<br>Wird gerade bearbeitet... :-)</blink></td></tr>\n";
		echo "</table>\n";
    }
}


class stwSicherheitsabfrage
{
  var $text;
  var $nein_text;
  var $ja_text;
  var $nein_link;
  var $ja_link;
  var $nein_name;
  var $ja_name;

  function stwSicherheitsabfrage($text='Sind Sie sicher?', $nein_text='nein, lieber doch nicht!', $ja_text='ja, ich bin sicher!', $nein_link='back', $ja_link='submit', $nein_name='', $ja_name='sicherheitsabfrage_ja', $cancel=false) {
	$zurueck = ($nein_link == 'back') ? "javascript:history.back()" : (($nein_link == 'submit') ? "this.form.submit()" : "self.location.href='$nein_link'");
	$forward = ($ja_link == 'submit') ? "this.form.submit()" : (($ja_link == 'back') ? "javascript:history.back()" : "self.location.href='$ja_link'");
	echo "<table width=\"750\" cellpadding=\"5\" style=\"border:solid 5px red\">";
	echo "<tr><td class=\"ww\" style=\"text-align:center\" colspan=\"30\"><h2 style=\"color:red\">$text</h2></td></tr>\n";
	$w = $cancel ? '40%' : '50%';
	$w2 = $cancel ? '90%' : '75%';
	echo "<tr><td style=\"width:$w;text-align:center\">";
	if($nein_link == 'submit') echo "<input type=\"submit\" style=\"padding:5px;width:$w2\" name=\"$nein_name\" value=\"$nein_text\">";
	else echo "<input type=\"button\" style=\"padding:5px;width:$w2\" onClick=\"$zurueck\" value=\"$nein_text\" name=\"$nein_name\">";
	echo "</td><td style=\"width:$w;text-align:center\">";
	if($ja_link == 'submit') echo "<input type=\"submit\" style=\"padding:5px;width:$w2\" name=\"$ja_name\" value=\"$ja_text\">";
	else echo "<input type=\"button\" style=\"padding:5px;width:$w2\" onClick=\"$forward\" value=\"$ja_text\" name=\"$ja_name\">";
	if($cancel) {
		echo "</td><td style=\"width:20%;text-align:center;vertical-align:middle;\">";
		echo "<input type=\"button\" style=\"padding:5px;width:$w2\" onClick=\"javascript:history.back()\" value=\"Abbrechen\">";
	}
	echo "</td></tr>\n</table>\n";
  }
}


class stwHeadLine
{
	var $farbnr;
	var $headline;

	function stwHeadLine($headline, $farbnr){
		$farbe = abfrage("select farbname
    		              from tb_web_farbe
    		              where farbnr = '$farbnr';");
	}
}

class stwSkala
{
	var $layout;
	function stwSkala($proj_id)
	{
		global $AppCode;
		$hp = abfrage("select hpv_form from tb_hp where proj_id='$proj_id' order by datum desc limit 1");
		if(is_null( $hp[0])) {
			$hp = abfrage( "select k.hpv_form from tb_projekte p
							left join tb_kontakte_ap a using(ap_id)
							left join tb_kontakte k using(kont_id)
							where p.proj_id = '$proj_id'" );
		}
		$default = 1;
		if($hp[0] == 3 || $hp[0] == 9) $default = 0;
		if($hp[0] == 2 || $hp[0] == 7 || $hp[0] == 10) $default = 2;
		$hpskala = abfrage("select hpskala from tbh_pers_proj where proj_id='$proj_id' and pers_id='{$_SESSION[$AppCode]['UID']}'");
		$this->layout = is_null($hpskala[0]) ? $default : $hpskala[0];
	}

	function personalizeSkala($ti=0)
	{
		echo "\n<script language=\"Javascript\">\n";
		echo " function layout(){\n";
		echo "  var temp = document.getElementById('skalastyle').value;\n";
		echo "  var arr = new Array();\n";
		echo "  arr = document.getElementsByName('scale');\n";
		echo "  for(var i = 0; i < arr.length; i++) {\n";
		echo "   var obj = arr.item(i);\n";
		echo "   if(temp == 0) obj.innerHTML = '<td width=\"8%\">6</td><td width=\"8%\">5.5</td>";
		echo "<td width=\"8%\">5</td><td width=\"8%\">4.5</td><td width=\"8%\">4</td>";
		echo "<td width=\"8%\">3.5</td><td width=\"8%\">3</td><td width=\"8%\">2.5</td>";
		echo "<td width=\"8%\">2</td><td width=\"8%\">1.5</td><td width=\"8%\">1</td>";
		echo "<td width=\"8%\">1*</td>";
		echo "';\n   if(temp == 1) obj.innerHTML = '<td width=\"8%\">0</td><td width=\"8%\">1</td>";
		echo "<td width=\"8%\">2</td><td width=\"8%\">3</td><td width=\"8%\">4</td>";
		echo "<td width=\"8%\">5</td><td width=\"8%\">6</td><td width=\"8%\">7</td>";
		echo "<td width=\"8%\">8</td><td width=\"8%\">9</td><td width=\"8%\">10</td>";
		echo "<td width=\"8%\">11</td>";
		echo "';\n   if(temp == 2) obj.innerHTML = '<td width=\"8%\">1</td><td width=\"8%\">2</td>";
		echo "<td width=\"8%\">3</td><td width=\"8%\">4</td><td width=\"8%\">5</td><td width=\"8%\">6</td>";
		echo "<td width=\"8%\">7</td><td width=\"8%\">8</td><td width=\"8%\">9</td><td width=\"8%\">10</td>";
		echo "<td width=\"8%\">11</td>";
		echo "<td width=\"8%\">12</td>";
		echo "';\n  }\n }\n</script>\n";

		echo "<select size=\"1\" id=\"skalastyle\"";
		if($ti>0) echo " tabindex=\"$ti\"";
		echo " onchange=\"layout()\">\n";
		$selected = $this->layout == 0 ? "selected" : "";
		echo "<option value=\"0\" $selected>Noten</option>\n";
		$selected = $this->layout == 1 ? "selected" : "";
		echo "<option value=\"1\" $selected>0-10</option>\n";
		$selected = $this->layout == 2 ? "selected" : "";
		echo "<option value=\"2\" $selected>1-12</option>\n</select>\n";
	}

	function displaySkala($name, $value=0, $ti=0)
	{
		echo "<table cellpadding=\"2\" cellspacing=\"0\" style=\"text-align:center\"><tr>\n";
		$co = array('#FF3333', '#FF9933', '#FFFF33', '#66FF33');
		$tt = array('Gar nicht erreicht', 'Wenig erreicht', 'Fast erreicht', 'erreicht');
		for($i=1;$i<13;$i++) {
			$c = ceil($i/3) - 1;
			echo "<td ";
			if(isset($co)) echo "style=\"background-color:$co[$c]\"";
			if(isset($tt)) echo stwToolTip($tt[$c]);
			echo "><input type=\"radio\" name=\"$name\" value=\"$i\"";
			if($i==1 && $ti>0) echo " tabindex=\"$ti\"";
			if ($value == $i) echo ' checked';
			echo "></td>\n";
		}
		echo "</tr>\n<tr name=\"scale\">";
		switch($this->layout) {
			case 0:
				for($i=6;$i>=1;$i-=0.5) echo "<td width=\"8%\">$i</td>";
				echo "<td width=\"8%\">1*</td>";
				break;
			case 2:
				for($i=1;$i<13;$i++)
				  echo "<td width=\"8%\">$i</td>";
				break;
			default:
				for($i=0;$i<12;$i++)
				  echo "<td width=\"8%\">$i</td>";
				break;
		}
		echo "</tr></table>\n";
	}
}

/*
 * Oberster Bereich auf jeder Stellwareseite.
 */
class stwHead
{
  var $seite;

  /* Konstruktor fuer diese Klasse - Parameter Seitezahl */
  function stwHead($seite, $extra_title = '', $ajax = 0)
  {
	global $AppCode;
	if (empty($seite)) $seite = 0;
	/* Abfrage der gesetzten Sessionzeit fuer diese Seite */
	$sql = "SELECT session FROM tb_web_seite WHERE seite=".$seite.";";
	$erg = abfrage1($sql);

	if (mysql_num_rows($erg) > 0) {
		$zeile = mysql_fetch_row($erg);
		$time  = $zeile[0];
	} else {
		$time  = 900;
	}

	if (isset($_SESSION[$AppCode]['AUTOLOGOUT']) && (time() > $_SESSION[$AppCode]['AUTOLOGOUT'])) {
		/* Letzter Seitenaufruf laenger als $time (15min) her? */
		session_destroy();
		$dots = '';
		$letzter = strripos($_SERVER['PHP_SELF'], '/');
		$substr = substr($_SERVER['PHP_SELF'], 0, $letzter);
		$letzter = strripos($substr, '/');
		/* im konf-Verzeichnis? */
		if(substr($substr, $letzter) == '/konf') $dots = '../';
		else {
			$substr = substr($substr, 0, $letzter);
			$letzter = strripos($substr, '/');
			/* in einem Mandanten-Verzeichnis? */
			if(substr($substr, $letzter) == '/mandant') $dots = '../../';
		}
		/* zurueck zur Anmeldung */
		$_SESSION[$AppCode]["OLDSITE"]=$_SERVER['PHP_SELF'];
		header("Location: ".$dots."anmeldung.php?session=1");
		return;
	}
	$_SESSION[$AppCode]['AUTOLOGOUT'] = time() + $time;

	/*
     * in 100% aller Faelle soll der Garbage Collector alte Sessions
     * aufraeumen
     */
	ini_set("session.gc_probability", "100");

	/* Sessionzeit setzen fuer diese Seite wieder neu. */
	ini_set("session.gc_maxlifetime", $time);
	ini_set("session.cache_expire", $time/60);

	/* keine Cookies nutzen fuer Session */
	ini_set("session.use_cookies", "0");

    /* deutsche Sprache setzen */
    setlocale(LC_TIME, "de_DE@euro", "de_DE", "german", "deu_deu", "deu", "de", "de_AT", "de_DE.UTF-8", "de_AT.utf8");

	$now = gmdate('D, d M Y H:i:s') . ' GMT';
	header('Last-Modified: ' . $now);
	header('Expires: ' . $now);
	header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0'); // HTTP/1.1
	header('Pragma: no-cache'); // HTTP/1.0
	header('Content-Type: text/html; charset='.getConf('char_encoding'));

	echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" ";
	echo "\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n";

	echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">\n";
	echo "<head>\n";
	echo "<title>";

	/* Seitentitel je nach Eintrag in tb_web_menu festlegen */
	if (!empty($seite)) {
		if($seite > 0) {
			$sql  = "SELECT t2.name, t1.name FROM tb_web_seite t1, ";
			$sql .= "tb_web_ebene t2 WHERE t1.seite = '".$seite;
			$sql .= "' AND t2.ebene = t1.ebene";
		} else {
			$sql  = "select t2.name, t1.titel from tb_web_extern t1 ";
			$sql .= "left join tb_web_ebene t2 using(ebene) ";
			$sql .= "WHERE t1.wex_id = '" . (-1 * $seite) . "';";
		}
		$titel = abfrage($sql);

		echo $titel[1]." / ".$titel[0]." / ";
	} else if (strlen($extra_title) > 0) {
		echo $extra_title;
	}

	echo "stellware</title>\n";

	/* xajax-Code ausgeben, wenn erforderlich */
	if ($ajax == 1) {
		global $xajax;
		$xajax->printJavascript();
	}

    // sicherstellen das die Variable gesetzt ist
    if (!isset($_GET['print'])) $_GET['print'] = NULL;
    
	/* stellware.js einbinden */
	echo "<script type=\"text/javascript\" ";
	echo "src=\"{$_SESSION['webdir']}/inc/stellware.js?rev=".svn_get_lokal_version()."\"></script>\n";
	$ewaldtext = (isset($_GET['login']) && getConf('kontrolle_hb_zwang')) ? htmlspecialchars(ewald($_SESSION[$AppCode]['UID'])) : '';
	echo "<input type=\"hidden\" id=\"ewaldtext\" value=\"$ewaldtext\" />";
	echo "<input type=\"hidden\" id=\"ewaldname\" value=\"".pers_kname($_SESSION[$AppCode]['UID'])."\" />";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function show_ewald() {\n";
	echo "Tip2(document.getElementById('ewaldtext').value, BGCOLOR, 'rgba(255,255,255,0.9)', CLOSEBTN, 1, TITLE, 'E l e k t r o n i s c h e r &nbsp; V e r w a l t u n g s l e i t e r (' + document.getElementById(\"ewaldname\").value + ')<img src=\"".image('ewald',6,15,255,255,255)."\" style=\"position:absolute;left:4px;top:3px;\" />', TITLEBGCOLOR, '#006600', WIDTH, document.documentElement.clientWidth-30, HEIGHT, document.documentElement.clientHeight > document.body.clientHeight ? document.documentElement.clientHeight : document.body.clientHeight, TITLEALIGN, 'center', TITLEFONTSIZE, '16px');";
	echo "}";
	echo "\n--></script>\n";

	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\"/>\n";
	echo "<link href=\"{$_SESSION['webdir']}/img/stellware.ico\" rel=\"shortcut icon\"/>\n";
	$css = ($_GET['print'] == 1) ? 'stellware_print.css' : 'stellware.css?today='.mktime(0,0,0,date('n'),date('d'),date('Y'));

    /*
     * CSS Datei einbinden. Wenn eine Session vorhanden ist kann der Pfad
     * aus der Session genutzt werden. Sonst wird angenommen das man wieder
     * auf die Anmeldeseite geleitet wurde und dort das Stylesheet einfach
     * eingebunden wird.
     */
    if (!empty($_SESSION["webdir"]))
    {
      $ver = $_SESSION["webdir"]."/";
    }
    else
    {
      $ver = "";
    }

    echo "<link href=\"".$ver."inc/".$css."\" rel=\"stylesheet\" ";
    echo "type=\"text/css\"/>\n</head>\n";

    /* wenn in der Datei ein Focus-Sprungziel per
       $onload_form (Formularname) und
       $onload_focus (Feldname) definiert wurde,
       springt der Focus beim Laden der Datei dorthin 
	  *
	   Beim Druck auf die ESC-Taste werden stwToolTips beendet
	*/

    global $onload_form;
    global $onload_focus;

	echo "<body onkeyup=\"if(event.keyCode == 27) tt_HideInit()\"";
	if (isset($onload_form)) {
		echo " onload=\"self.focus();document." . $onload_form . '.';
		echo $onload_focus . ".focus();\"";
	}
	echo ">\n";
	if(strpos(__FILE__, '\\stellware\\inc') === false && strpos(__FILE__, '/stellware/inc') === false) {
		$div = "<div style=\"position:fixed; %s; %s; width: %s; height: %s; background-color:red\"></div>\n";
		printf($div, 'top:0px', 'right:0px', '5px', '100%');
		printf($div, 'top:0px', 'right:0px', '100%', '5px');
		printf($div, 'bottom:0px', 'left:0px', '5px', '100%');
		printf($div, 'bottom:0px', 'left:0px', '100%', '5px');
	}

	/* wz_tooltip.js einbinden (muss im Body erfolgen, da Funktionen ausgefhrt werden) */
	echo "<script type=\"text/javascript\" ";
	echo "src=\"{$_SESSION['webdir']}/inc/wz_tooltip.js\"></script>\n";

	echo "<script type=\"text/javascript\">";
	/* Funktion zum Blinken (Workaround wegen Firefox Update) */
	echo "window.setInterval(\"blink();\", 200);\n";
	echo "var blinkonoff = 0;\n";
	echo "function blink(){\n";
	echo " if (blinkonoff % 8 == 0 || blinkonoff % 8 == 1) var opacity = '0.1'; else var opacity = '1';\n";
	echo " var bl = document.getElementsByName('blink');\n";
	echo " for (var i = 0; i < bl.length; i++) { bl[i].style.opacity = opacity; bl[i].style.transition = '0.3s opacity'; }\n";
	echo " if (blinkonoff % 16 == 0 || blinkonoff % 16 == 1 || blinkonoff % 16 == 2) opacity = '0.1'; else opacity = '1';\n";
	echo " bl = document.getElementsByName('slowblink');\n";
	echo " for (i = 0; i < bl.length; i++) { bl[i].style.opacity = opacity; bl[i].style.transition = '0.3s opacity'; }\n";
	echo " if (blinkonoff % 2 == 0) opacity = '0.1'; else opacity = '1';\n";
	echo " bl = document.getElementsByName('fastblink');\n";
	echo " for (i = 0; i < bl.length; i++) { bl[i].style.opacity = opacity; bl[i].style.transition = '0.3s opacity'; }\n";
	echo " blinkonoff++;\n}\n";
	/* Uhrzeit und Countdown definieren (wird in stwEnd aktiviert) */
	echo "var serverzeit = null;\n";
	echo "var doCountdown = false;\n";
    if(strpos($_SERVER['REQUEST_URI'],'nachr_and.php') === false 
		&& strpos($_SERVER['REQUEST_URI'],'news_and.php') === false
		&& strpos($_SERVER['REQUEST_URI'],'team_and.php') === false)
		echo "window.onblur = function() { doCountdown = false; };\n";
    echo "window.onfocus = function() { doCountdown = true; xajax_countdown(); };\n";

	echo "</script>\n";
  }
}

/* ---------------------------------------------------------------------
   Klasse stwMenu - erstellt die Menuetabelle, Daten lt. DB-Tabelle
   tb_web_menu
   --------------------------------------------------------------------- */
class stwMenu
{
	var $seite;

	function stwMenu($seite)
	{
		global $AppCode;
		if (isset($seite)) {
			if($seite > 0) {
				$sql  = "select ebene, name from tb_web_seite ";
				$sql .= "where seite = '$seite';";
			} else {
				$sql  = "select ebene, titel from tb_web_extern ";
				$sql .= "where wex_id = '" . (-1 * $seite) . "';";
			}
			$eb = abfrage($sql);
			$ebene = $eb[0];
			$titel = $eb[1];

			$dd_image = image("0,0,1111111,011111,00111,0001",7,7);
			$tl_image = image("0,0,0,0,0,0,0,0,0,000001111111,00000011111,0000000111,000000001",17,17);

			$dds = abfrage1("select * from tb_web_dropdown where (ebene=0 OR ebene='$ebene') and aktiv='j' order by sort asc");
			$dd_cnt = mysql_num_rows($dds);
			$dd_data = $dd_ebene = $dd_sort = $toplevel = array();
			echo "<script type=\"text/javascript\"><!--\n";
			echo "  function doTopLevelTT(anker) {\n";
			echo "    var heig = 0;\n";
			echo "    var titel = '';\n";
			echo "    var str = \"<table width='150'>\";\n";
			$sql  = "select ebene, name, link, sort ";
			$sql .= "from tb_web_ebene where aktiv = 'j' ";
			$sql .= "and level <= ".(0 + $_SESSION[$AppCode]["ULV"]);
			$sql .= " order by sort asc;";
			$m_res = abfrage1($sql);
			$x = 1;
			$windowX = array();
			while($item = mysql_fetch_row($m_res)) {
				$u_res = abfrage1("select seite, name, link, sort
								  from tb_web_seite
								  where ebene = '$item[0]'
								  and level <= " . (0 + $_SESSION[$AppCode]["ULV"])
								  . " and aktiv = 'j' order by sort asc;");
				$e_res = abfrage1("select wex_id, titel, link, sort, name from tb_web_extern
								  where ebene = '$item[0]'
								  and level <= " . (0 + $_SESSION[$AppCode]["ULV"])
								  . " and aktiv = 'j' order by sort asc;");
				$height = mysql_num_rows($u_res) + mysql_num_rows($e_res);
				if($height > 1) $toplevel[ $item[0] ] = true;
				echo "    if(anker == 'menu_$item[0]') {\n";
				echo "      heig = $height * 21;\n";
				echo "      titel = '$item[1]';\n";
				$res_item = array();
				$i = 0;
				while($itm = mysql_fetch_row($u_res)) {
					$res_item[str_pad($itm[3], 3, 0, STR_PAD_LEFT).'_'.$i] = $itm;
					$i++;
				}
				while($itm = mysql_fetch_row($e_res)) {
					$windowX[ $x ] = "window.open('{$itm[2]}', '" . str_replace(array("\r\n", "\r", "\n"), ' ', $itm[4]) . "', 'resizable=yes, left=20, top=250, width=900, height=400, menubar=no, status=no, toolbar=no, location=no')";
					$itm[8] = $x;
					$x++;
					$itm[2] = "extern.php?wex_id=$itm[0]";
					$res_item[str_pad($itm[3], 3, 0, STR_PAD_LEFT).'_'.$i] = $itm;
					$i++;
				}
				ksort($res_item);
				foreach($res_item as $itm) {
					echo "      str += \"<tr><td class='menuinactive_sub'><a ";
					if($itm[8]) {
						echo "onclick='doExOpen($itm[8])' ";
					}
					echo "href='{$_SESSION['webdir']}/$itm[2]' onclick='tt_HideInit()'>$itm[1]</a></td></tr>\";\n";
				}
				echo "    }\n";
			}
			echo "    str += \"</table>\";\n";
			echo "    Tip(str, BGCOLOR, '#333333', BORDERCOLOR, '#FFCC00', CLOSEBTN, 1, DELAY, 0, CLOSEBTNTEXT, '<img src=\"" . image("0,0,0,0,0,0,0,0,0,0,00000001,000000111,0000011111,00001111111,0,0,0,0",15,15) . "\"/>', CLOSEBTNCOLORS, ['#666666','#FFCC00','#333333','#FFCC00'], TITLE, titel, TITLEBGCOLOR, '#000000', TITLEFONTCOLOR, '#FFCC00', WIDTH, 150, HEIGHT, heig, FIX, [anker,-4,-23], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
			echo "  }\n";
			echo "  function doExOpen(x) {\n";
			foreach($windowX as $x => $wX) {
				echo "if(x==$x) " . $wX . ";\n";
			}
			echo "  }\n";
			mysql_data_seek($m_res,0);
			if($dd_cnt > 0) {
				echo "  function doDropdownMenuTT(anker) {\n";
				echo "    var heig = 0;\n";
				echo "    var titel = '';\n";
				echo "    var str = \"<table width='150'>\";\n";
				$d = 0;
				while($dd = mysql_fetch_array($dds)) {
					$ddms = abfrage1("select seite from tb_web_dropdown_menu where wddm_id='$dd[0]' order by sort desc");
					$height = mysql_num_rows($ddms);
					echo "    if(anker == 'dropdown_$dd[0]') {\n";
					echo "      heig = $height * 21;\n";
					echo "      titel = '{$dd['name']}';\n";
					while($ddm = mysql_fetch_row($ddms)) {
						echo "      str += \"<tr><td class='menuinactive_sub'>\";\n";
						if($ddm[0] > 0) {
							$uitem = abfrage("select name, link from tb_web_seite where seite='$ddm[0]'");
							echo "      str += \"<a href='{$_SESSION['webdir']}/$uitem[1]' onclick='tt_HideInit()'>$uitem[0]</a>";
						} else {
							$uitem = abfrage("select name, link from tb_dropdown_link where seite='".(-1 * $ddm[0])."'");
							echo "      str += \"<a href='$uitem[1]' onclick='tt_HideInit()'>$uitem[0]</a>";
						}							
						echo "</td></tr>\";\n";
					}
					echo "    }\n";
					$dd_sort[ $d ] = $dd['sort'];
					$dd_ebene[ $d ] = $dd['ebene'];
					$dd_data[ $d ] = $dd;
					$d++;
				}
				echo "    str += \"</table>\";\n";
				echo "    Tip(str, BGCOLOR, '#333333', BORDERCOLOR, '#FFCC00', CLOSEBTN, 1, DELAY, 0, CLOSEBTNTEXT, '<img src=\"" . image("0,0,0,0,0,0,0,0,0,0,00000001,000000111,0000011111,00001111111,0,0,0,0",15,15) . "\"/>', CLOSEBTNCOLORS, ['#666666','#FFCC00','#333333','#FFCC00'], TITLE, titel, TITLEBGCOLOR, '#000000', TITLEFONTCOLOR, '#FFCC00', WIDTH, 150, HEIGHT, heig, FIX, [anker,-5,-13], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
				echo "  }\n\n";
			}
			echo "--></script>\n";
			$d = 0;

   		echo "<table border=\"0\"><tr><td valign=\"top\">\n";
      echo "<table width=\"750\" border=\"0\">\n<tr>\n";

      if($_SESSION[$AppCode]['OK']) { /* eingeloggt */

      	  while ($item = mysql_fetch_array($m_res)) {
			for(; $dd_ebene[ $d ] == 0 && $d < $dd_cnt && $dd_sort[ $d ] <= $item['sort']; $d++) {
				$dd = $dd_data[ $d ];
				if($_SESSION[$AppCode]["ULV"] >= $dd['level']) {
					echo "<td onclick=\"doDropdownMenuTT('dropdown_$dd[0]')\" style=\"background-color:#666666;width:9px;vertical-align:middle;text-align:center\" ";
					echo stwToolTip($dd['name']) . ">";
					echo "<img id=\"dropdown_$dd[0]\" src=\"$dd_image\"/></td>\n";
				}
			}

			/* Tabellenspalte schicken */
			echo "<td style=\"vertical-align:bottom;padding-bottom:2px\" id=\"menu_{$item['ebene']}\" class=\"";

			/* wenn es die aktive Ebene ist, markieren */
			if ($item['ebene'] == $ebene) echo "menuactive";
			else echo "menuinactive";

			/*
			 * Postfilter: nur Level 60 bis 70 zur Post
			 * Rest geht gleich in den Nachrichtenbereich
			 */
			if ($item['link'] == "post.php"){
				if ($_SESSION[$AppCode]["ULV"] > 59 && $_SESSION[$AppCode]["ULV"] < 71){
					echo "\"><a href=\"{$_SESSION['webdir']}/";
					echo $item['link'] . "\">{$item['name']}</a>";
				} else {
					echo "\"><a href=\"{$_SESSION['webdir']}/";
					echo "nachr.php\">{$item['name']}</a>";
				}
			} elseif ($item['link'] == "pers.php" && $_SESSION[$AppCode]["ULV"] < 10) {
				echo "\"><a href=\"{$_SESSION['webdir']}/";
				echo "fehlz.php\">{$item['name']}</a>";
			} elseif ($item['link'] == "bibo.php" && $_SESSION[$AppCode]["ULV"] < 6) {
				echo "\"><a href=\"{$_SESSION['webdir']}/";
				echo "ger.php?bereich=2\">{$item['name']}</a>";
			} else {
				echo "\"><a href=\"{$_SESSION['webdir']}/";
				echo $item['link'] . "\">{$item['name']}</a>";
			}
			if($toplevel[ $item[0] ]) echo "<img onclick=\"doTopLevelTT('menu_$item[0]')\" style=\"cursor:pointer;margin:-8px;position:relative;top:-21px;\" src=\"$tl_image\"/>";
			echo "</td>\n";
          }
		  for(; $dd_ebene[ $d ] == 0 && $d<$dd_cnt; $d++) {
			$dd = $dd_data[ $d ];
			if($_SESSION[$AppCode]["ULV"] >= $dd['level']) {
				echo "<td onclick=\"doDropdownMenuTT('dropdown_$dd[0]')\" style=\"background-color:#666666;width:9px;vertical-align:middle;text-align:center\" ";
				echo stwToolTip($dd['name']) . ">";
				echo "<img id=\"dropdown_$dd[0]\" src=\"$dd_image\"/></td>\n";
			}
		  }

		  /* OBJ_ID: 1 */
          echo "<td width=\"100\" style=\"background-color:#FFFF00\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100\"><tr><td>";
		  $tt = "title=\"Revision: ".svn_get_lokal_version() . "\"";
		  if($seite == 1 || intval( getConf('ewald_ueberall') ) == 1) {
			echo "<a href=\"#\" onclick=\"xajax_do_ewald({$_SESSION[$AppCode]['UID']})\">";
			if ($_SESSION[$AppCode]['ULV'] == 25 || check_nutzer_rechte(1)){
				echo "<img border=\"0\" alt=\"Stell\" $tt";
				echo "src=\"" . $_SESSION['webdir'] . "/img/stell-logo.png\"/>";
				echo "</a></td><td><a href=\"{$_SESSION['webdir']}/feedback.php\">";
				echo "<img border=\"0\" alt=\"ware\" $tt";
				echo "src=\"" . $_SESSION['webdir'] . "/img/ware-logo.png\"/>";
			} else {
				echo "<img border=\"0\" alt=\"Stellware\" $tt";
				echo "src=\"" . $_SESSION['webdir'] . "/img/stellware-logo.png\"/>";
			}
			echo "</a>";
		  } elseif($_SESSION[$AppCode]['ULV'] == 25 || check_nutzer_rechte(1)) {
			echo "<a href=\"{$_SESSION['webdir']}/feedback.php\">";
			echo "<img border=\"0\" alt=\"Stellware\" $tt";
			echo "src=\"" . $_SESSION['webdir'] . "/img/stellware-logo.png\"/></a>";
		  } else {
			echo "<img border=\"0\" alt=\"Stellware\" $tt";
			echo "src=\"" . $_SESSION['webdir'] . "/img/stellware-logo.png\"/>";
		  }
		  echo "</td></tr></table></td></tr>\n";
		  flush();
        } else {
			/* nicht eingeloggt */
			$losung = '';
        	$lsg = getConf('losung');
			if($lsg) {
				$Y = date("Y");
				$M = date("m");
				$D = date("d");
				$handle = fopen("inc/losung/$Y.csv","r");
				if($handle) while ( ($data = fgetcsv ($handle, 1000, "\t")) !== FALSE ) {
					if($data[0] == "$D.$M.$Y") {
						$losung = str_replace('/ ','<*i> ',$data[4]);
						$losung = str_replace('/','<i>',$losung);
						$losung = str_replace('<*i>','</i>',$losung);
						$losung = "<tr><td class=\"ww\" STYLE=\"text-align:center;font-size:8pt;\"><b>$losung</b></td></tr>\n";
						$losung .= "<tr><td class=\"ww\" STYLE=\"text-align:center;font-size:7pt;\">$data[3]</td></tr>\n";
						$lehrtext = str_replace('/ ','<*i> ',$data[6]);
						$lehrtext = str_replace('/','<i>',$lehrtext);
						$lehrtext = str_replace('<*i>','</i>',$lehrtext);
						$lehrtext = "<tr><td class=\"ww\" STYLE=\"text-align:center;font-size:8pt;\"><b>$lehrtext</b></td></tr>\n";
						$lehrtext .= "<tr><td class=\"ww\" STYLE=\"text-align:center;font-size:7pt;\">$data[5]</td></tr>\n";
						break;
					}
				} else $lsg = 0;
			}
			if($losung == '') $lsg = 0;
        	echo "<td height=\"25\" width=\"100\" class=\"menuactive\">";
        	echo "<a href=\"{$_SESSION['webdir']}/index.php\">news</a></td>\n";
        	echo "<td style=\"text-align: center;vertical-align:bottom\">";
        	if($lsg == 1) {
				echo "<a href=\"http://www.losungen.de/\"" . stwToolTip("&copy; Evangelische Br&uuml;der-Unit&auml;t<br>- Herrnhuter Br&uuml;dergemeine") . ">";
				echo "Herrnhuter Losung vom " . date("j.n.Y",time()) . "</a>";
			}
        	echo "</td>\n<td width=\"100\"><img src=\"{$_SESSION['webdir']}/img/";
        	echo "stellware-logo.png\"";
        	echo  stwToolTip('Revision: '.svn_get_lokal_version()) . "/ alt=\"Stellware-logo\"></td>\n";
        	echo "</tr></table><table width=\"750\">";
        	if($lsg == 1) {
				echo $losung;
				echo $lehrtext;
				new stwTabLine(2,1);
			}
        }
        echo "</table>\n";

        if ($_SESSION[$AppCode]['OK']) {

          $u_res = abfrage1("select seite, name, link, level, sort
							from tb_web_seite
							where ebene = '$ebene'
							and aktiv = 'j'
							order by sort asc;");

		  $e_res = abfrage1("select wex_id, titel, link, level, sort 
							from tb_web_extern
							where ebene = '$ebene'
							and level <= " . (0 + $_SESSION[$AppCode]["ULV"])
							. " and aktiv = 'j' order by sort asc;");

		  if (mysql_num_rows($u_res) > 1 || mysql_num_rows($e_res) > 0) {
			$last_sort = -1;
			$wex = mysql_fetch_array($e_res);
			echo "<table width=\"750\" border=\"0\">\n<tr>\n";

            while ($uitem = mysql_fetch_row($u_res))
            {
			  for(; $d < $dd_cnt && $dd_sort[ $d ] <= $uitem[4]; $d++) {
				while($wex['sort'] >= $last_sort && $wex['sort'] < $dd_sort[ $d ]) {
					echo "<td class=\"";
					if($wex[0] == -1*$seite){
						echo "menuactive";
					} else {
						echo "menuinactive_sub";
					}
					echo "\"><a href=\"{$_SESSION['webdir']}/extern.php?wex_id=$wex[0]\"";
					echo "onclick=\"window.open(";
					echo "'{$wex['link']}', '{$wex['name']}', 'resizable=yes, left=20, top=250, width=900, height=400, ";
					echo "menubar=no, status=no, toolbar=no, location=no')\">$wex[1]</a></td>\n";
					$last_sort = $wex['sort'];
					$wex = mysql_fetch_array($e_res);
				}
				$dd = $dd_data[ $d ];
				if($_SESSION[$AppCode]["ULV"] >= $dd['level']) {
				  echo "<td onclick=\"doDropdownMenuTT('dropdown_$dd[0]')\" style=\"background-color:#666666;width:9px;vertical-align:middle;text-align:center\" ";
				  echo stwToolTip($dd['name']) . ">";
				  echo "<img id=\"dropdown_$dd[0]\" src=\"$dd_image\"/></td>\n";
				}
				$last_sort = $dd_sort[ $d ];
			  }
			  while($wex['sort'] >= $last_sort && $wex['sort'] < $uitem[4]) {
				echo "<td class=\"";
				if($wex[0] == -1*$seite){
					echo "menuactive";
				} else {
					echo "menuinactive_sub";
				}
				echo "\"><a href=\"{$_SESSION['webdir']}/extern.php?wex_id=$wex[0]\"";
				echo "onclick=\"window.open(";
				echo "'{$wex['link']}', '{$wex['name']}', 'resizable=yes, left=20, top=250, width=900, height=400, ";
				echo "menubar=no, status=no, toolbar=no, location=no')\">$wex[1]</a></td>\n";
				$last_sort = $wex['sort'];
				$wex = mysql_fetch_array($e_res);
			  }
              /*
               * pruefen ob Berechtigungen vorliegen um diesen Punkt zu sehn
               * Seite 38 darf der Nutzer rein wenn Rechte fuer Objekt 15
               */
              if ((check_nutzer_rechte(15) && $uitem[0] == 38) ||
                  $_SESSION[$AppCode]["ULV"] >= $uitem[3])
              {
                echo "<td class=\"";
                if($uitem[0] == $seite){
                    echo "menuactive";
                } else {
                    echo "menuinactive_sub";
                }
                echo "\"><a href=\"{$_SESSION['webdir']}/$uitem[2]\">$uitem[1]</a></td>\n";
              }
			  $last_sort = $uitem[4];
            }
			for(; $d<$dd_cnt; $d++) {
				while($wex['sort'] >= $last_sort && $wex['sort'] < $dd_sort[ $d ]) {
					echo "<td class=\"";
					if($wex[0] == -1*$seite){
						echo "menuactive";
					} else {
						echo "menuinactive_sub";
					}
					echo "\"><a href=\"{$_SESSION['webdir']}/extern.php?wex_id=$wex[0]\"";
					echo "onclick=\"window.open(";
					echo "'{$wex['link']}', '{$wex['name']}', 'resizable=yes, left=20, top=250, width=900, height=400, ";
					echo "menubar=no, status=no, toolbar=no, location=no')\">$wex[1]</a></td>\n";
					$last_sort = $wex['sort'];
					$wex = mysql_fetch_array($e_res);
				}
				$dd = $dd_data[ $d ];
				if($_SESSION[$AppCode]["ULV"] >= $dd['level']) {
					echo "<td onclick=\"doDropdownMenuTT('dropdown_$dd[0]')\" style=\"background-color:#666666;width:9px;vertical-align:middle;text-align:center\" ";
					echo stwToolTip($dd['name']) . ">";
					echo "<img id=\"dropdown_$dd[0]\" src=\"$dd_image\"/></td>\n";
				}
				$last_sort = $dd_sort[ $d ];
			}
			while($wex['sort'] >= $last_sort) {
				echo "<td class=\"";
				if($wex[0] == -1*$seite){
					echo "menuactive";
				} else {
					echo "menuinactive_sub";
				}
				echo "\"><a href=\"{$_SESSION['webdir']}/extern.php?wex_id=$wex[0]\"";
				echo "onclick=\"window.open(";
				echo "'{$wex['link']}', '{$wex['name']}', 'resizable=yes, left=20, top=250, width=900, height=400, ";
				echo "menubar=no, status=no, toolbar=no, location=no')\">$wex[1]</a></td>\n";
				$last_sort = $wex['sort'];
				$wex = mysql_fetch_array($e_res);
			}
			echo "</tr>\n</table>\n";
          }
        }


    }
    } // Ende Funktion stwMenu
} // Ende Klasse stwMenu

/* Honorarklasse sichern (beim Loeschen von Betreuern aus Projekten) */
function store_hon_kl($pers_id, $proj_id) {
	$kl = abfrage("select kl_id, ppkw from tbh_pers_proj where pers_id='$pers_id' and proj_id='$proj_id'");
	if($kl[0]>0) abfrage2("replace into tbh_pers_proj_hon_kl set pers_id='$pers_id', proj_id='$proj_id', kl_id='$kl[0]', ppkw='$kl[1]'");
	else abfrage2("delete from tbh_pers_proj_hon_kl where pers_id='$pers_id' and proj_id='$proj_id'");
}

/* Ausgabe Ewald */
function ewald($pers_id) {
	global $AppCode;
	calc_ewald($pers_id);
	$kats = abfrage1("select * from tb_ewaldkategorie");
	$ewaldtext = "<form name=\"ewald_form\">";
	while($kat = mysql_fetch_row($kats)) {
		$res = abfrage1("select * from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='$kat[0]' order by firstview asc, id1 asc");
		if(mysql_num_rows($res) == 0) continue;
		if($kat[0] == 3) {
			$schwelle = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='3' and stufe='0'");
			$kat[1] = str_replace('[10]',$schwelle[0],$kat[1]);
		}
		$views = abfrage("select to_days(lastview) - to_days(firstview), cntview, days from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='$kat[0]' and firstview > '0000-00-00' order by firstview asc limit 1");
		$ewaldtext .= "<div class=\"ewald\">";
		$stufen = abfrage1("select * from tb_ewald_stufen where ewaldkategorie_id='$kat[0]' order by typ desc, schwelle asc");
		while($stufe = mysql_fetch_assoc($stufen)) {
			if(($stufe['typ'] == 't' && $views[2] >= $stufe['schwelle']) || ($stufe['typ'] == 'i' && $views[1] >= $stufe['schwelle'])) {
				$co = $stufe['farbe'];
				$ermahnung = $stufe['ermahnung'];
			}
		}
		$ewaldtext .= "<div style=\"position:relative;top:-3px;left:-3px;width:1200px;padding:3px;font-weight:bold;font-size:14pt;background-color:$co\">&nbsp;$ermahnung!</div>";
		$ewaldtext .= "<table><tr><td>";
		$ewaldtext .= $kat[1];
		$ewaldtext .= "</td><td>";
		if($views[0]>1) $ewaldtext .= "<h2 style=\"position:absolute; left:850px; color:#FF0000;\">seit $views[0] Tagen ungekl&auml;rt</h2>";
		$ewaldtext .= "</td></tr></table>";
		$ewaldtext .= "<table>";
		while($row = mysql_fetch_array($res)) {
			if(empty($row['eintrag'])) abfrage2("delete from tb_ewald where pers_id='{$row['pers_id']}' and ewaldkategorie_id='{$row['ewaldkategorie_id']}' and id1='{$row['id1']}' and id2='{$row['id2']}'");
			$ewaldtext .= $row['eintrag'];
			$e = $row['cntview']==1 ? '' : 'e';
			if($row['cntview']) $ewaldtext .= "<tr><td style=\"position:absolute;left:850px;\"><div style=\"color:black; padding-left:2px; border:1px solid black; width:150px; position:relative; top:-18px; background-image: linear-gradient(to right, #FF0000 0%, #FFFFFF ".(10 * $row['cntview'])."%)\">{$row['cntview']} Tag$e ignoriert</div></td></tr>";
		}
		$ewaldtext .= "</table></div>";
	}
	$ewaldtext .= "</form>";
	return $ewaldtext;
}

function kontrolle($proj_id, $ab_monat) {
	if(empty($proj_id) || empty($ab_monat)) return;
	$apk = abfrage("select ok, ok_hb, ok_rech from tb_ab_proj_kont where proj_id='$proj_id' and ab_monat='$ab_monat'");
	$kontrolle = 0;
	if($apk[0] == 'j') $kontrolle += 1;
	if($apk[1] == 'j') $kontrolle += 2;
	if($apk[2] == 'j') $kontrolle += 4;
	abfrage2("update ignore tb_ab_proj_kont set kontrolle='$kontrolle' where proj_id='$proj_id' and ab_monat='$ab_monat'");
}

/* Neuberechnung EWALD */
function calc_ewald($pers_id) {
	global $AppCode;
	$ewald_entry = array();
	$EWALDreason = 0;
	$selbst = ($pers_id == $_SESSION[$AppCode]['UID']);
	$nichtDuSelbstWarnung = $selbst ? '' : "if(confirm('Sie sind nicht " . pers_name($pers_id) . ". Wollen Sie wirklich stellvertretnd die Best&auml;tigung vornehmen?') != true) { this.checked=!this.checked; } else";
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='1'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}
	if(intval(getConf('ewald_ab')) == 1) {
		$int_done = abfrage("select n.intern, k.ab_monat, unix_timestamp(k.ab_monat) from tb_ab_proj_kont k left join tb_ab_nachw n on (k.ab_monat = n.datum) order by k.ab_monat desc limit 1");
		$and = ($int_done[0]=='j') ? "and k.ab_monat='$int_done[1]'" : "and (n.intern = 'n' or n.intern is NULL)";
		$sql  = "select k.proj_id, n.nachw_id, date_format(k.ab_monat, '%m.%Y'), k.ab_monat, 
				kontrolle, unix_timestamp(k.ab_monat), to_days(curdate()) - to_days(k.datetime)
				from tb_ab_proj_kont k
				left join tbh_pers_proj h on (h.proj_id = k.proj_id and h.personaltyp_id = 1)
				left join tb_ab_nachw n on (k.ab_monat = n.datum)
				where k.kontrolle in (1,5) $and
				and h.pers_id = '$pers_id'
				order by n.datum asc;";
		$ids = abfrage1($sql);
		if($selbst) abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='1' and id1='0'");
		if(mysql_num_rows($ids) > 0) {
		  $ab_monat = true;
		  $etemp = '';
		  if($int_done[0]=='j') {
			$etemp .= "<tr><th colspan=\"30\" style=\"text-align:center\">";
			$etemp .= "<b name=\"blink\" style=\"color:red\">Achtung!</b> Interne Abrechnungsmappe bereits erzeugt!";
			$etemp .= "Bitte in der Verwaltung umgehend Unterschrift nachtragen!<br>";
			$etemp .= "<i>Nach geleisteter Unterschrift Bet&auml;tigungs-Haken setzen!</i></th></tr>";
			$etemp .= "<tr><td colspan=\"30\" style=\"background-color:red\"></td></tr>";
		  }
		  $etemp .= "<tr><th class=\"cl1\">Projekt-Nr.</th>";
		  $etemp .= "<th class=\"cl1\">Vorname</th><th class=\"cl1\">Name</th>";
		  $etemp .= "<th class=\"cl1\" title=\"Wochenstunden\">FLS/w</th>";
		  $etemp .= "<th class=\"cl1\">geleistet</th>";
		  $etemp .= "<th class=\"cl1\" colspan=\"2\">davon Fahrzeit</th>";
		  $etemp .= "<th class=\"cl1\" style=\"text-align:center;\"";
		  $etemp .= " title=\"fallbegleitende Zeit\">fZ</th>";
		  if(getConf('vor_nach_b') == 1)
			$etemp .= "<th class=\"cl1\" style=\"text-align:center\">VuN</th>";
		  $etemp .= "<th colspan=\"2\" class=\"cl1\">&Uuml;bertrag</th>";
		  $etemp .= "<th class=\"cl1\" colspan=\"2\">Best&auml;tigung</th></tr>";
		  $etemp .= "<tr><td colspan=\"30\" style=\"background-color:#006600\"></td></tr>";
		  $schwelle = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id=1 and stufe = 0");
		  while ($id = mysql_fetch_row($ids)){
			if($schwelle[0] > $id[6]) continue;
			if($ab_monat) {
				$etemp .= "<input type=\"hidden\" name=\"ab_monat\" value=\"$id[3]\">";
				abfrage2( "INSERT INTO tb_ewald VALUES ('$pers_id',1,0,'$int_done[2]','$etemp','0000-00-00',curdate(),0,$id[6]) ON DUPLICATE KEY UPDATE lastview=curdate()");
				unset($ewald_entry["0_".$int_done[2]]);
				$ab_monat = false;
			}
			$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview, eintrag from tb_ewald 
							where pers_id='$pers_id' and ewaldkategorie_id=1 and id1='$id[0]' and id2='$id[5]'" );
			$pro = new stwProjekt($id[0]);
			$EWALDreason++;
			$etemp = "<tr>";
			$etemp .= "<td class=\"cl1\">";
			$etemp .= "<a href=\"pro_daten.php?proj_id=$id[0]\">";
			$etemp .= $pro->nummer() . "</a></td>";
			$etemp .= "<td class=\"cl1\" title=\"".$pro->vname()."\">";
			$etemp .= strCut($pro->vname(), 12) . "</td>";
			$etemp .= "<td class=\"cl1\" title=\"".$pro->nname()."\">";
			$etemp .= strCut($pro->nname(), 12) . "</td>";
			$etemp .= "<td class=\"cl1\" style=\"text-align:right;";
			if($pro->kontaktst($id[3])) {
				$etemp .= "background-color:#554433";
			}
			$etemp .= "\"><a href=\"pro_ab.php?proj_id=$id[0]&tag=$id[3]&anz=m\"";
			if($pro->fallbegleitung()) $etemp .= " style=\"color:#FF6600\""; 
			$etemp .= '>' . fls_form($pro->wost()) . "</a></td>";
			$dat_gel = $pro->fls_gesamt($id[3]);
			$color = $dat_gel <= 0 ? '#FF0000' : '#00FF00';
			$etemp .= "<th class=\"cl1\" style=\"text-align:right;color:$color\">".fls_form($dat_gel)."</th>";
			$dat_fz = $pro->fls_fz($id[3]);
			$color = $dat_fz <= 0 ? '#FF0000' : '#00FF00';
			$etemp .= "<th class=\"cl1\" style=\"text-align:right;color:$color\">".fls_form($dat_fz)."</th>";
			$proz = $dat_gel > 0 ? 100 * ($dat_fz / ($dat_gel + ($pro->kontaktst($id[3]) ? $dat_fz : 0))) : 0;
			$etemp .= "<th class=\"cl1\" style=\"text-align:center\">" . proz_form($proz) . "</th>";
			$and = fls_and($id[3]);
			$sql = "select sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600 from tb_ab_zk z
					where z.proj_id = '$pro->id' $and and z.ab = 'j' and z.code = 'R' group by z.proj_id;";
			$reflexion = abfrage($sql);
			$color = $reflexion[0] <= 0 ? '#FF0000' : '#00FF00';
			$etemp .= "<th style=\"text-align:right;color:$color\">".fls_form($reflexion[0])."</th>";
			if(getConf('vor_nach_b') == 1) {
				$etemp .= "<td class=\"cl1\">" . fls_form($pro->fls_vun($id[3])) . "</td>\n";
			}
			$etemp .= "<th style=\"text-align:right;color:$color\">".fls_form($pro->fls_folgemonat($id[3]))."</th>";
			$etemp .= "<td>" . $pro->pool_P(false) . "</td>";

			$etemp .= "<td style=\"text-align:right;\">";
			$etemp .= "<input type=\"checkbox\" id=\"chk_$id[0]_$id[3]\" ";
			$etemp .= "onchange=\"$nichtDuSelbstWarnung xajax_ewald_ab_proj_kont($pers_id,$id[0],ewald_form.ab_monat.value,$id[5])\">";
			$etemp .= "</td>";
			$etemp .= "<td style=\"text-align:right;\"><a href=\"" . $_SESSION['webdir'] . "/mandant/" . $_SESSION[$AppCode]['TR'];
			$etemp .= "/nachw_pr.php?proj_id=$id[0]&ext=0&ab_monat=$id[3]";
			$etemp .= "&ts=" . time() . "\" target=\"_pdf\" title=\"Druck Nachweismappe intern\">";
			$etemp .= "<img src=\"".$_SESSION['webdir']."/img/drucker.png\"></a></td>";
			$etemp .= "</tr>";
			if($ex[1]) {
				$sql = "update tb_ewald set ";
				if($selbst) {
					$sql .= "lastview=curdate(), ";
					if($ex[0] > $ex[1]) $sql .= "cntview='".($ex[2]+1)."', ";
				}
				$sql .= "eintrag='".mysql_escape_string($etemp)."'
						where pers_id='$pers_id' and ewaldkategorie_id=1 and id1='$id[0]' and id2='$id[5]'";
			} else {
				$sql = "insert into tb_ewald 
						set pers_id='$pers_id', 
						ewaldkategorie_id=1, 
						id1='$id[0]', 
						id2='$id[5]', 
						eintrag='".mysql_escape_string($etemp)."',
						firstview=curdate(), 
						lastview=curdate(), 
						cntview='0',
						days='$id[6]'";
			}
			abfrage2($sql);
			unset($ewald_entry[$id[0]."_".$id[5]]);
		  }
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='1' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='2'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	/* AZK Kontrolle */
	if(intval(getConf('ewald_azk')) == 1) {
		$schwelle = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id=2 and stufe = 0");
		$datum = abfrage("SELECT datum, DATE_FORMAT(datum, '%d.%m.%Y'), MONTH(datum), YEAR(datum), unix_timestamp(datum), to_days(curdate()) - to_days(datum) FROM tb_azk_kontrolle ORDER BY datum DESC LIMIT 1");
		$azk = abfrage("SELECT gf, hb, notizen, ewald, sb FROM tb_azk_kontrolle WHERE pers_id='$pers_id' AND datum='$datum[0]'");
		$nw = abfrage("select nachw_id from tb_ab_nachw where datum = '$datum[0]';");
		//HB: id1 = 3
		if(!empty($nw[0]) && $azk[0] && empty($azk[1]) && $datum[5] >= $schwelle[0]) {
			$EWALDreason++;
			$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview, eintrag from tb_ewald 
							where pers_id='$pers_id' and ewaldkategorie_id=2 and id1='3' and id2='$datum[4]'" );
			$href = "href=\"azk2_pr.php?nw=$nw[0]&ma=$pers_id&ewald=1&ts=" . time() .
					"\" target=\"_pdf\" onclick=\"self.location.href='azk2.php?ma=" . 
					$pers_id . "&page=4&ewald=1&nw_monat=$datum[2]&nw_jahr=$datum[3]'\"";
			$etemp = "<tr><th>Bitte <a href=\"azk2.php?page=4&ewald=1&ma=$pers_id\">AZK</a> kontrollieren und best&auml;tigen:</th>";
			$etemp .= "<td style=\"vertical-align:middle\"><a $href><img src=\"".image('drucker',16,16)."\" border=\"0\"></a></td><td style=\"vertical-align:middle\">";
			if($azk[3] == 'j') $etemp .= "<input type=\"checkbox\" id=\"chk_azk\" onchange=\"$nichtDuSelbstWarnung xajax_ewald_azk_hb($pers_id,'$datum[0]')\">";
			$etemp .= "</td><td class=\"ww\" style=\"color:black;\">".str_replace(array("\r\n","\n\r","\r","\n"),'<br />',$azk[2])."</td></tr>";
			if($ex[1]) {
				$sql = "update tb_ewald set ";
				if($selbst) {
					$sql .= "lastview=curdate(), ";
					if($ex[0] > $ex[1]) $sql .= "cntview='".($ex[2]+1)."', ";
				}
				$sql .= "eintrag='".mysql_escape_string($etemp)."'
						where pers_id='$pers_id' and ewaldkategorie_id=2 and id1='3' and id2='$datum[4]'";
			} else {
				$sql = "insert into tb_ewald set pers_id='$pers_id', 
						ewaldkategorie_id=2, 
						id1='3', 
						id2='$datum[4]', 
						eintrag='".mysql_escape_string($etemp)."',
						firstview=curdate(), 
						lastview=curdate(), 
						cntview='0',
						days='$datum[5]'";
			}
			abfrage2($sql);
			unset($ewald_entry["3_".$datum[4]]);
		}

		$gf = abfrage1("select pers_id from tb_benutzerrechte where obj_id='128' and pers_id='$pers_id'");
		//GF: id1 = 2
		if(mysql_num_rows($gf) > 0) {
			$azks = abfrage1("SELECT pers_id, month(datum), year(datum), unix_timestamp(datum), to_days(curdate()) - to_days(datum) FROM tb_azk_kontrolle WHERE sb > 0 and gf = 0 group by datum order by datum asc");
			while($azk = mysql_fetch_row($azks)) {
				if($schwelle[0] > $azk[4]) continue;
				$EWALDreason++;
				$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview, eintrag from tb_ewald 
								where pers_id='$pers_id' and ewaldkategorie_id=2 and id1='2' and id2='$azk[3]'" );
				if($ex[1]) {
				  if($selbst) {
					$etemp = $ex[3];
					if($ex[0] > $ex[1]) abfrage2("update tb_ewald set lastview=curdate(), cntview='".($ex[2]+1)."'
												where pers_id='$pers_id' and ewaldkategorie_id=2 and id1='2' and id2='$azk[3]'");
				  }
				} else {
					$dat = strftime('%B %Y',$azk[3]);
					$etemp = "<tr><th>Gesch&auml;ftsf&auml;hrer: Bitte <a href=\"azk2.php?ma=$azk[0]&page=4&nw_monat=$azk[1]&nw_jahr=$azk[2]\">AZK $dat</a> kontrollieren und best&auml;tigen!</th></tr>";
					abfrage2( "insert into tb_ewald set pers_id='$pers_id', 
														ewaldkategorie_id=2, 
														id1='2', 
														id2='$azk[3]', 
														eintrag='".mysql_escape_string($etemp)."',
														firstview=curdate(), 
														lastview=curdate(), 
														cntview='0',
														days='$azk[4]'");
				}
				unset($ewald_entry["2_".$azk[3]]);
			}
		}

		$sb = abfrage1("select pers_id from tb_benutzerrechte where obj_id='127' and pers_id='$pers_id'");
		//SB: id1 = 1
		if(mysql_num_rows($sb) > 0) {
			$datum = abfrage("select max(datum) from tb_ab_nachw;");
			$nw = abfrage("select nachw_id, unix_timestamp(datum), to_days(curdate()) - to_days(datum) from tb_ab_nachw where datum = '$datum[0]';");
			$prs = abfrage1("select pers_id from tb_x_azk_pers where nachw_id = '$nw[0]';");
			$azk = abfrage1("SELECT pers_id, to_days(curdate()) - to_days(sb_ts) FROM tb_azk_kontrolle WHERE sb > 0 AND datum='$datum[0]'");
			if(mysql_num_rows($prs) > mysql_num_rows($azk)) {
				if($schwelle[0] > $nw[2]) continue;
				$EWALDreason++;
				$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview, eintrag from tb_ewald 
								where pers_id='$pers_id' and ewaldkategorie_id=2 and id1='1' and id2='$nw[1]'" );
				if($ex[1]) {
				  if($selbst) {
					$etemp = $ex[3];
					if($ex[0] > $ex[1]) abfrage2("update tb_ewald set lastview=curdate(), cntview='".($ex[2]+1)."'
												where pers_id='$pers_id' and ewaldkategorie_id=2 and id1='1' and id2='$nw[1]'");
				  }
				} else {
					$dat = strftime('%B %Y',$nw[1]);
					$etemp = "<tr><td>Sachbearbeiter: Bitte <a href=\"azk2.php?page=4\">AZK $dat</a> kontrollieren und best&auml;tigen!</td></tr>";
					abfrage2( "insert into tb_ewald set pers_id='$pers_id', 
														ewaldkategorie_id=2, 
														id1='1', 
														id2='$nw[1]', 
														eintrag='".mysql_escape_string($etemp)."',
														firstview=curdate(), 
														lastview=curdate(), 
														cntview='0',
														days='$nw[2]'");
				}
				unset($ewald_entry["1_".$nw[1]]);
			}
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='2' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='3'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	/* woechentliche ZKs zu KWGs */
	if(intval(getConf('kwg_zk')) == 1) {
		$kwgpro = array();
		$schwelle = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='3' and stufe='0'");
		$ewaldkwgpros=abfrage1("select p.proj_id, to_days(curdate()) - to_days(h.datum) 
								from tb_hp h left join tb_projekte p using(proj_id)
								where h.hp_art = 'k' and h.and_datum is null 
								and unix_timestamp(p.ende) = 0
								and h.datum <= date_sub(curdate(), INTERVAL $schwelle[0] DAY);");
		while($pro = mysql_fetch_row($ewaldkwgpros)) {
			$betr = abfrage("select personaltyp_id, perstyp_vertr from tbh_pers_proj where proj_id='$pro[0]' and pers_id='$pers_id'");
			$goOn = false;
			if($betr[0] == 3) {
				$goOn = true;
				$sql = "select pers_id from tbh_pers_proj where proj_id='$pro[0]' and ";
				if(empty($betr[1])) $sql .= "personaltyp_id in (1,9)";
				elseif($betr[1]==1 || $betr[1]==2 || $betr[1]==8 || $betr[1]==9) $sql .= "personaltyp_id='$betr[1]'";
				else $goOn = false;
				if($goOn) {
					$goOn = false;
					$vertrs = abfrage1($sql);
					while($vertr = mysql_fetch_row($vertrs)) {
						if(pers_fehlzeit($vertr[0])) {
							$goOn = true;
							break;
						}
					}
				}
			} elseif($betr[0]==1 || $betr[0]==2 || $betr[0]==8 || $betr[0]==9) $goOn = true;
			if($goOn) {
				$zk = abfrage( "select zk_id, to_days(curdate()) - to_days(t.von) from tb_ab_zk z
								left join tb_termine t using (termin_id)
								where z.proj_id='$pro[0]' and z.inhalte2!='' and z.kwg='2'
								and z.ab='j' order by t.von desc limit 1" );
				if(!empty($zk[0]) && $zk[1] < $schwelle[0]) $goOn = false;
				elseif(empty($zk[0])) $zk[1] = $pro[1];
			}
			if($goOn) $kwgpro[ $pro[0] ] = $zk;
		}
		if(sizeof($kwgpro) > 0) {
			foreach($kwgpro as $id => $zk) {
				$EWALDreason++;
				$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview, eintrag from tb_ewald 
								where pers_id='$pers_id' and ewaldkategorie_id=3 and id1='$id' and id2='$zk[0]'" );
				if($ex[1]) {
				  if($selbst) {
					$etemp = $ex[3];
					if($ex[0] > $ex[1]) abfrage2("update tb_ewald set lastview=curdate(), cntview='".($ex[2]+1)."'
												where pers_id='$pers_id' and ewaldkategorie_id=3 and id1='$id' and id2='$zk[0]'");
				  }
				} else {
					$etemp = "<tr><td class=\"cl11\"><a href=\"pro_daten.php?proj_id=$id\">";
					$etemp .= projektnummer($id,true);
					$etemp .= "</a></td><td>";
					if($zk[0]) $etemp .= "($zk[1] Tage)";
					else $etemp .= "(noch nie erfasst)";
					$etemp .= "</td></tr>";
					abfrage2( "insert into tb_ewald set pers_id='$pers_id', 
														ewaldkategorie_id=3, 
														id1='$id', 
														id2='$zk[0]', 
														eintrag='".mysql_escape_string($etemp)."',
														firstview=curdate(), 
														lastview=curdate(), 
														cntview='0',
														days='$zk[1]'");
				}
				unset($ewald_entry[$id."_".$zk[0]]);
			}
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='3' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='4'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	/* Sitzungsprotokolle lesen */
	if(intval(getConf('ewald_sitzungen')) == 1) {
		$schwelle = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='4' and stufe='0'");
		$eintritt = abfrage("select anstellung from tb_personal where pers_id='$pers_id'");
		$ewaldsitzungen = abfrage1("select team_art_id, ewald_ab_datum from tb_team_art where ewald='j'");
		$sitzungen = array();
		while($ews=mysql_fetch_row($ewaldsitzungen)) {
			$sitzs = abfrage1( "select team_id, t.bis, to_days(curdate()) - to_days(t.bis)
								from tb_team s left join tb_termine t using(termin_id) 
								where s.team_art_id = '$ews[0]' and t.bis > '$ews[1]' and t.bis > '$eintritt[0]'
								and (s.inhalte != '' and s.inhalte != '<br>' OR s.bes != '' and s.bes != '<br>')
								and t.bis < date_sub(curdate(), INTERVAL $schwelle[0] DAY)" );
			while($sitz = mysql_fetch_row($sitzs)) {
				$done = abfrage1("select gelesen from tbh_team_protokoll where team_id='$sitz[0]' and pers_id='$pers_id' limit 1");
				if(mysql_num_rows($done) > 0) continue; //hat schon ok geklickt
				$tns = abfrage1("select pers_id from tbh_team_pers where team_id='$sitz[0]' and pers_id='$pers_id' limit 1");
				if(mysql_num_rows($tns) == 0) {
					$protok = abfrage("select nur_protokoll from tb_team_art_pers where team_art_id='$ews[0]' and pers_id='$pers_id' and ab_datum<='$sitz[1]' limit 1");
					if(is_null($protok[0])) continue; //ist weder potentieller noch Teilnehmer dieser Sitzung
				}
				$sitzungen[$sitz[0]] = $sitz[2];
			}
		}
		if(sizeof($sitzungen) > 0) {
		  foreach($sitzungen as $team_id => $days) {
			$EWALDreason++;
			$tm = abfrage_array("select * from tb_team where team_id='$team_id'");
			$termin = abfrage("select unix_timestamp(von), date_format(von, '%H:%i') from tb_termine where termin_id='{$tm['termin_id']}'");
			$teamart = abfrage("select name from tb_team_art where team_art_id='{$tm['team_art_id']}'");
			$date = strftime('%a %d.%m.%Y', $termin[0]);
			$daten = new stwDaten("9");
			$klammer = $daten->get_klammer_link($_SESSION["webdir"], $_SESSION[$AppCode]['UID'], $_SESSION[$AppCode]['ULV'], $tm[0], "0", false, false);
			$etemp = "<tr><td><a href=\"team_and.php?team_id=$team_id\">$date</a></td><td>$klammer</td><td>$termin[1]</td>";
			$etemp .= "<td>$teamart[0]</td><td>" . pers_kname($tm['weiter']) . "</td><td";
			if(strlen($tm['thema']) > 30) $etemp .= " title=\"".$tm['thema']."\"";
			$etemp .= ">" . strCut($tm['thema'], 30);
			$etemp .= "</td><td style=\"text-align:center\">";
			$etemp .= "<input type=\"checkbox\" id=\"chk_team_$tm[0]\" onchange=\"$nichtDuSelbstWarnung xajax_ewald_teamok($pers_id,$tm[0])\" >";
			$etemp .= "</td><td style=\"text-align:right\"><a href=\"team_to_pr.php?team_id=$team_id&ts=" . time() . "\" title=\"Sitzungsprotokoll drucken\" ";
			$etemp .= "target=\"_pdf\"><img src=\"".$_SESSION['webdir']."/img/drucker.png\"></a></td></tr>";
			$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview, eintrag from tb_ewald 
							where pers_id='$pers_id' and ewaldkategorie_id=4 and id1='$team_id'" );
			if($ex[1]) {
			  if($selbst) {
				if($ex[0] > $ex[1]) abfrage2("update tb_ewald set lastview=curdate(), cntview='".($ex[2]+1)."', eintrag='".mysql_escape_string($etemp)."'
											where pers_id='$pers_id' and ewaldkategorie_id=4 and id1='$team_id'");
			  }
			} else {
				abfrage2( "insert into tb_ewald set pers_id='$pers_id', 
													ewaldkategorie_id=4, 
													id1='$team_id', 
													id2='0', 
													eintrag='".mysql_escape_string($etemp)."',
													firstview=curdate(), 
													lastview=curdate(), 
													cntview='0',
													days='$days'");
			}
			unset($ewald_entry[$team_id."_0"]);
		  }
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='4' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='5'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	// kommende Sitzungen
	if(intval(getConf('ewald_sitzungentc')) == 1) {
		$sitzungenTC = $days = array();
		$sitzungsarten_to_come = abfrage1( "select p.team_art_id, p.remind, a.farbe 
											from tb_team_art_pers p
											left join tb_team_art a using(team_art_id)
											where p.pers_id='$pers_id' 
											and p.fokus>0 and p.remind IS NOT NULL");
		while($art = mysql_fetch_row($sitzungsarten_to_come)) {
			$sitzs = abfrage1( "select s.team_id, unix_timestamp(t.von), 
								date_format(t.von, '%d.%m.%Y'), date_format(t.von, '%H:%i'),
								to_days(curdate()) - to_days(t.von)
								from tb_team s left join tb_termine t using(termin_id)
								where t.von <= date_add(curdate(), INTERVAL $art[1] DAY)
								and t.von >= curdate() and s.team_art_id='$art[0]'" );
			while($sitz = mysql_fetch_row($sitzs)) {
				$remind = abfrage("select team_id, unix_timestamp(remind) from tb_team_pers_reminder where team_id='$sitz[0]' and pers_id='$pers_id'");
				if($remind[0] > 0 && ($remind[1] == 0 || $remind[1] > time())) continue;
				$style = "style=\"font-weight:bold;color:" . (empty($art[2]) ? 'white' : $art[2]) . "\"";
				$tmp = "<tr>";
				$tmp.= "<td class=\"cl1\" $style>" . strftime('%a', $sitz[1]) . "</td>";
				$tmp.= "<td class=\"cl1\"><a href=\"team_and.php?team_id=$sitz[0]\">$sitz[2]</a></td>";
				$tmp.= "<td class=\"cl1\">$sitz[3]</td>";
				$tmp.= "<td $style class=\"cl20\">".team_nummer($art[0])."</td>";
				$tmp.= "<td><b>erneut erinnern in</b></td><td>";
				for($i=1;$i<8;$i++) {
					$tmp.= " <input style=\"position:relative;top:2px;\" type=\"radio\"";
					$tmp.= " onchange=\"xajax_ewald_snooze($pers_id,$sitz[0],$i)\" id=\"snooze_".$sitz[0]."_".$i."\" /> $i ";
				}
				$tmp.= "<b>Tagen</b> &nbsp; <input type=\"button\" id=\"snooze_".$sitz[0]."_0\" onclick=\"xajax_ewald_snooze($pers_id,$sitz[0],0)\" ";
				$tmp.= "value=\"nicht erneut erinnern\" /></td></tr>";
				$sitzungenTC[ $sitz[0] ] = $tmp;
				$days[ $sitz[0] ] = $sitz[4];
			}
		}
		if(sizeof($sitzungenTC) > 0) {
			asort($sitzungenTC);
			foreach($sitzungenTC as $id => $tc) {
				$EWALDreason++;
				$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview, eintrag from tb_ewald 
								where pers_id='$pers_id' and ewaldkategorie_id=5 and id1='$id'" );
				if($ex[1]) {
					$sql = "update tb_ewald set ";
					if($selbst) {
						$sql .= "lastview=curdate(), ";
						if($ex[0] > $ex[1]) $sql .= "cntview='".($ex[2]+1)."', ";
					}
					$sql .= "eintrag='".mysql_escape_string($tc)."'
							where pers_id='$pers_id' and ewaldkategorie_id=5 and id1='$id'";
				} else {
					$sql = "insert into tb_ewald set pers_id='$pers_id', 
							ewaldkategorie_id=5, 
							id1='$id', 
							id2='0', 
							eintrag='".mysql_escape_string($tc)."',
							firstview=curdate(), 
							lastview=curdate(), 
							cntview='0',
							days='{$days[$id]}'";
				}
				abfrage2($sql);
				unset($ewald_entry[$id."_0"]);
			}
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='5' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='6'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	/* Wochenplan bestaetigen */
	if(intval(getConf('ewald_wochenplan')) == 1) {
		$schwelle = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='6' and stufe='0'");
		$wochenplan = abfrage1("SELECT date_format(datum, '%d.%m.%Y'), unix_timestamp(datum), notizen, datum, ewald, to_days(curdate()) - to_days(gf_ts) 
								FROM tb_wochenplan WHERE pers_id='$pers_id' AND gf>0 AND hb=0 AND gf_ts <= date_sub(curdate(), INTERVAL $schwelle[0] DAY)");
		if(mysql_num_rows($wochenplan) > 0) {
			$abt = abfrage("select a.abt_id, a.name from tbh_pers_abt p left join tb_personal_abt a using(abt_id)
							where a.wochenplan='j' and p.pers_id='$pers_id'");
			if($abt[0] > 0) {
				$do_wp_ewald = false;
				while($wp = mysql_fetch_row($wochenplan)) {
					$sql = "SELECT paz_id, anst FROM tb_paz WHERE pers_id='$pers_id' 
							AND UNIX_TIMESTAMP(von) <= '$wp[1]' ORDER BY von DESC LIMIT 1";
					$paz = abfrage($sql);
					$fls = fls_woche($paz[0],true,$wp[1]);
					if(floor($fls) > 0) {
						if(!$do_wp_ewald) { // 1x reicht
							$sw1 = getConf('wp_sw1');
							$temp = getConf('wp_sw2');
							if($temp > $sw1) $sw2 = $temp;
							else {
								$sw2 = $sw1;
								$sw1 = $temp;
							}
						}
						$do_wp_ewald = true;
						$EWALDreason++;
						$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview, eintrag from tb_ewald 
										where pers_id='$pers_id' and ewaldkategorie_id=6 and id1='$wp[1]'" );
						$sql = "select sum(unix_timestamp(t.bis)-unix_timestamp(t.von)) from tb_termine t
								where t.terminart = 'z' and unix_timestamp(t.von) >= '$wp[1]'
								and unix_timestamp(t.von) <= '".($wp[1] + (7 * 86400))."' ";
						$fls_ist = abfrage($sql);
						
						$href = "href=\"kal2_pr.php?tag=$wp[1]&ma=$pers_id&ewald=1&wp=" . time() . 
								"\" target=\"_pdf\" onclick=\"self.location.href='wochenplan.php?ewald=1&abt_id=$abt[0]&tag=$wp[3]'\"";

						if($fls_ist[0] <= ($fls + $sw1)) {
							$co = $sw2 == $temp ? 'red' : 'lime';
							$tt = getConf($sw2 == $temp ? 'wp_red' : 'wp_green');
						} elseif($fls_ist[0] >= ($fls + $sw2)) {
							$co = $sw2 == $temp ? 'lime' : 'red';
							$tt = getConf($sw2 == $temp ? 'wp_green' : 'wp_red');
						} else {
							$co = 'yellow';
							$tt = getConf('wp_yellow');
						}
						if(strlen($tt) > 0) $tt = "title=\"$tt\"";

						$etemp = "<tr><th><a $tt href=\"wochenplan.php?ewald=1&abt_id=$abt[0]&tag=$wp[3]&ma=$pers_id\" style=\"color:$co\">$wp[0]</a></th>";
						$etemp .= "<td><a $href><img src=\"".image('drucker',16,16)."\" border=\"0\"></a></td><td>";
						if($wp[4] == 'j') $etemp .= "<input type=\"checkbox\" id=\"chk_wp_$wp[1]\" onchange=\"$nichtDuSelbstWarnung xajax_ewald_wp_hb($pers_id,$wp[1])\">";
						$etemp .= "</td><td class=\"ww\">".str_replace(array("\r\n","\n\r","\r","\n"),'<br />',$wp[2])."</td></tr>";
						if($ex[1]) {
							$sql = "update tb_ewald set ";
							if($selbst) {
								$sql .= "lastview=curdate(), ";
								if($ex[0] > $ex[1]) $sql .= "cntview='".($ex[2]+1)."', ";
							}
							$sql .= "eintrag='".mysql_escape_string($etemp)."'
									where pers_id='$pers_id' and ewaldkategorie_id=6 and id1='$wp[1]'";
						} else {
							$sql = "insert into tb_ewald set pers_id='$pers_id', 
									ewaldkategorie_id=6, 
									id1='$wp[1]', 
									id2='0', 
									eintrag='".mysql_escape_string($etemp)."',
									firstview=curdate(), 
									lastview=curdate(), 
									cntview='0',
									days='$wp[5]'";
						}
						abfrage2($sql);
						unset($ewald_entry[$wp[1].'_0']);
					}
				}
			}
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='6' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='7'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	if(intval( getConf('ewald_hb_fb_fehlz') ) == 1) {
		/* keine EWALD-Meldung falls Tagesbereitschaft */
		$mydath = date('Y-m-d');
		$lvl = abfrage("select level from tb_personal where pers_id='$pers_id'");
		$bereit_d = abfrage("select pers_id_d from tb_bereit where datum = '$mydath'");
		if(empty($bereit_d[0])) {
			$res = abfrage1("SELECT proj_id FROM tb_projekte
					WHERE (ende IS NULL OR ende = '0000-00-00' OR 
					TO_DAYS(ende) >= TO_DAYS(CURDATE())) AND 
					projektnr < 900 AND fb_id = '$pers_id'");
			if(mysql_num_rows($res) > 0) {
				$head = true;
				$fz = array();
				$pros=abfrage1("SELECT proj_id, fb_id FROM tb_projekte
								WHERE (ende IS NULL OR ende = '0000-00-00' OR 
								TO_DAYS(ende) >= TO_DAYS(CURDATE()))
								AND projektnr < 900");
				while($pro = mysql_fetch_row($pros)) {
					$beg = projektbeginn_ts($pro[0]);
					if($beg == 0 || $beg > mktime()) continue;
					$keiner_da = true;
					$betreuer = array();
					$sql = "select pers_id, personaltyp_id from tbh_pers_proj where proj_id='$pro[0]'
							and ( personaltyp_id in (1,8,9) or (personaltyp_id = 3 and (perstyp_vertr is NULL or perstyp_vertr in (0,1,3,8,9))) )
							order by personaltyp_id asc";
					$betrs = abfrage1($sql);
					while($betr = mysql_fetch_row($betrs)) {
						if(!isset($fz[$betr[0]])) $fz[$betr[0]] = pers_fehlzeit($betr[0],false,2);
						if($fz[$betr[0]]) {
							$fehlz=abfrage("SELECT f.fehlz_id, unix_timestamp(t.von), unix_timestamp(t.bis), t.von, t.bis
											FROM tb_fehlz f LEFT JOIN tb_termine t on f.termin_id = t.termin_id
											WHERE f.pers_id = '$betr[0]' AND (f.genehmigt = 1 OR f.fokus = 1)
											AND t.terminart NOT IN ('wol','w','wbf','wbu')
											AND unix_timestamp(t.von) <= unix_timestamp(curdate()) 
											AND unix_timestamp(t.bis) >= unix_timestamp(curdate())
											ORDER BY t.bis ASC LIMIT 1");
							if(arbeitstage($fehlz[1], $fehlz[2]) <= 3) $fz[$betr[0]] = false;
						}
						if(!$fz[$betr[0]]) {
							$keiner_da = false;
							break;
						}
						$betreuer[] = $betr[0];
					}
					if($keiner_da) {
						if($pro[1] > 0) {
							if(!isset($fz[$pro[1]])) $fz[$pro[1]] = pers_fehlzeit($pro[1],false,2);
						}
						if($lvl[0] < 97 && $pro[1] != $pers_id) continue;
						if(empty($pro[1]) || $fz[$pro[1]] || $pro[1] == $pers_id) {
							$continue = true;
							if($pro[1] != $pers_id) {
								$continue = false;
								mysql_data_seek($res,0);
								while($row = mysql_fetch_row($res)) {
									$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$row[0]' and abt_id in (
														select abt_id from tbh_proj_abt where proj_id='$pro[0]') limit 1");
									if(mysql_num_rows($abts) > 0) $continue = true;
								}
							}
							if($continue == false) continue;
							if($head) {
								$head = false;
								$etemp = "<tr><th class=\"cl1\" colspan=\"2\">Projekt-Nr.</th>";
								$etemp .= "<th class=\"cl1\">Vorname</th><th class=\"cl1\">Name</th>";
								$etemp .= "<th class=\"cl1\" title=\"Wochenstunden\">FLS/w</th>";
								$etemp .= "<th class=\"cl1\">HB</th>";
								$etemp .= "<th class=\"cl1\">andere Betreuer</th>";
								$etemp .= "<th class=\"cl1\">FB</th></tr>";
								$etemp .= "<tr><td colspan=\"30\" style=\"background-color:#006600\"></td></tr>";
								abfrage2( "INSERT INTO tb_ewald VALUES ('$pers_id',7,0,0,'$etemp','0000-00-00',curdate(),0,0) ON DUPLICATE KEY UPDATE lastview=curdate()");
								unset($ewald_entry["0_0"]);
							}
							
							$EWALDreason++;
							$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview, eintrag from tb_ewald 
											where pers_id='$pers_id' and ewaldkategorie_id=7 and id1='$pro[0]'" );
							if($ex[1]) {
							  if($selbst) {
								$etemp = $ex[3];
								if($ex[0] > $ex[1]) abfrage2("update tb_ewald set lastview=curdate(), cntview='".($ex[2]+1)."'
															where pers_id='$pers_id' and ewaldkategorie_id=7 and id1='$pro[0]'");
							  }
							} else {
								$projekt = new stwProjekt($pro[0]);
								$etemp = "<tr>";
								$etemp .= "<td class=\"cl1\">";
								$etemp .= "<a href=\"pro_daten.php?proj_id=$pro[0]\">";
								$etemp .= $projekt->nummer() . "</a></td>";
								$etemp .= "<td class=\"cl1\">" . kwg_icon($pro[0],false) . "</td>";
								$etemp .= "<td class=\"cl1\" title=\"".$projekt->vname()."\">";
								$etemp .= strCut($projekt->vname(), 12) . "</td>";
								$etemp .= "<td class=\"cl1\" title=\"".$projekt->nname()."\">";
								$etemp .= strCut($projekt->nname(), 12) . "</td>";
								$etemp .= "<td class=\"cl1\" style=\"text-align:right;";
								if($projekt->kontaktst()) {
									$etemp .= "background-color:#554433";
								}
								$etemp .= "\"><a href=\"pro_ab.php?proj_id=$pro[0]\"";
								if($projekt->fallbegleitung()) $etemp .= " style=\"color:#FF6600\""; 
								$etemp .= '>' . fls_form($projekt->wost()) . "</a></td>";
								$etemp .= "<td class=\"cl1\"";
								$fz = abfrage("SELECT f.fehlz_id, a.farbe, a.name, 
											  date_format(t.von, '%d.%m.'), date_format(t.bis, '%d.%m.')
											  FROM tb_fehlz f
											  LEFT JOIN tb_termine t on f.termin_id = t.termin_id
											  LEFT JOIN tb_terminart a on t.terminart = a.terminart
											  WHERE f.pers_id = '".$projekt->hb()."' 
											  AND t.terminart != 'wol'
											  AND (f.genehmigt = 1 OR f.fokus = 1)
											  AND t.von <= CURDATE() AND t.bis >= CURDATE();");
								if(!empty($fz[0])) $etemp .= " title=\"$fz[2]\" style=\"color:$fz[1]\"";
								$etemp .= ">" . $projekt->hb_kname();
								if(!empty($fz[0])) $etemp .= " $fz[3]-$fz[4]";
								$etemp .= "</td><td>";
								$sql = "select pp.pers_id, pt.kurzname from tbh_pers_proj pp 
										left join tb_personaltyp pt using(personaltyp_id)
										where pp.proj_id='$pro[0]' and pp.personaltyp_id in (2,3,8,9) 
										order by pp.personaltyp_id desc";
								$personal = abfrage1($sql);
								$komma = '';
								while($per = mysql_fetch_row($personal)) {
									$fz = abfrage("SELECT f.fehlz_id, a.farbe, a.name, 
												  date_format(t.von, '%d.%m.'), date_format(t.bis, '%d.%m.')
												  FROM tb_fehlz f
												  LEFT JOIN tb_termine t on f.termin_id = t.termin_id
												  LEFT JOIN tb_terminart a on t.terminart = a.terminart
												  WHERE f.pers_id = '$per[0]' 
												  AND (f.genehmigt = 1 OR f.fokus = 1)
												  AND t.terminart != 'wol'
												  AND t.von <= CURDATE() AND t.bis >= CURDATE();");
									$etemp .= "$komma $per[1]: <span";
									if(!empty($fz[0])) $etemp .= " title=\"$fz[2]\" style=\"color:$fz[1]\"";
									$etemp .= ">" . pers_kname($per[0]);
									if(!empty($fz[0])) $etemp .= " $fz[3]-$fz[4]";
									$etemp .= "</span>";
									$komma = '<br>';
								}
								$etemp .= "</td><td";
								if(empty($pro[1])) $etemp .= ">kein Fachberater!";
								else {
									$fz = abfrage("SELECT f.fehlz_id, a.farbe, a.name, 
												  date_format(t.von, '%d.%m.'), date_format(t.bis, '%d.%m.')
												  FROM tb_fehlz f
												  LEFT JOIN tb_termine t on f.termin_id = t.termin_id
												  LEFT JOIN tb_terminart a on t.terminart = a.terminart
												  WHERE f.pers_id = '$pro[1]' 
												  AND (f.genehmigt = 1 OR f.fokus = 1)
												  AND t.terminart != 'wol'
												  AND t.von <= CURDATE() AND t.bis >= CURDATE();");
									if(!empty($fz[0])) $etemp .= " title=\"$fz[2]\" style=\"color:$fz[1]\"";
									$etemp .= ">" . pers_kname($pro[1]);
									if(!empty($fz[0])) $etemp .= " $fz[3]-$fz[4]";
								}
								$etemp .= "</td></tr>";
								abfrage2( "insert into tb_ewald set pers_id='$pers_id', 
																	ewaldkategorie_id=7, 
																	id1='$pro[0]', 
																	id2='0', 
																	eintrag='".mysql_escape_string($etemp)."',
																	firstview=curdate(), 
																	lastview=curdate(), 
																	cntview='0',
																	days='0'");
							}
							unset($ewald_entry[$pro[0].'_0']);
						}
					}
				}
			}
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='7' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='9'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	if(intval( getConf('ewald_fehlzeitenvertretung') ) == 1) {
		/* Fehlzeiten - Vertretungsklaerung */
		$schwelle = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='9' and stufe='0'");
		$schwelle1 = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='9' and stufe='1'");
		$sql = "select f.fehlz_id, to_days(t.von) as to_days, a.farbe, a.name,
				unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts, 
				date_format(t.von,'%d.%m.%Y') as von, date_format(t.bis,'%d.%m.%Y') as bis,
				(to_days(curdate() - to_days(t.von))) as x
				from tb_fehlz f left join tb_termine t on f.termin_id = t.termin_id
				left join tb_terminart a on t.terminart = a.terminart
				where f.pers_id='$pers_id'
				and to_days(t.von) <= to_days(date_add(curdate(), INTERVAL ".(-1 * $schwelle[0])." DAY))
				and to_days(t.von) > to_days(curdate()) 
				and (f.genehmigt is NULL or f.genehmigt = 0)";
		$res = abfrage1($sql);
		if (mysql_num_rows($res) > 0){
			while ($fz = mysql_fetch_array($res)){
				if($fz['x'] < $schwelle1[0]) {
					$remind = abfrage("select pers_id, unix_timestamp(remind) from tb_fehlz_pers_reminder where fehlz_id='$fz[0]'");
					if($remind[0] > 0 && ($remind[1] == 0 || $remind[1] > time())) continue;
				}
				if(arbeitstage($fz['von_ts'], $fz['bis_ts']) <= 3) continue;
				$zuKlaeren = false;
				$sql  = "select distinct h.proj_id, p.projektnr from tbh_pers_proj h ";
				$sql .= "inner join tb_projekte p on h.proj_id = p.proj_id ";
				$sql .= "left join tb_hilfeart a on a.hilfeart_id = p.hilfeart_id ";
				$sql .= "left join tb_personaltyp s ON h.personaltyp_id = s.personaltyp_id ";
				$sql .= "left join tbh_pers_proj p2 on h.proj_id = p2.proj_id ";
				$sql .= "where h.pers_id = '$pers_id' ";
				$sql .= "and (a.vertretung = 0 or a.vertretung is NULL) ";
				$sql .= "and (h.personaltyp_id in (1,8,9)) ";
				$sql .= "and (p.ende is NULL or p.ende = '0000-00-00' or ";
				$sql .= "to_days(p.ende) > {$fz['to_days']}) ";
				$sql .= "order by (p.projektnr >= 900) asc, s.sort asc, p.projektnr asc";
				$pros = abfrage1($sql);
				if (mysql_num_rows($pros) > 0){
					while ($pro = mysql_fetch_row($pros)){
						if($pro[1]<5000) {
							$beginn = abfrage("select unix_timestamp(and_datum)
												from tb_hp
												where proj_id = '$pro[0]'
												and hp_art in ('h','h2','s')
												and prognose = 'n'
												and and_datum is not null
												and and_datum != '0000-00-00'
												order by unix_timestamp(and_datum) asc
												limit 1;");
							if(($beginn[0]) && ($beginn[0] < $fz['bis_ts'])) {
								$sql  = "SELECT count('fehlz_id') FROM tbh_fehlz_vertretung v ";
								$sql .= "WHERE fehlz_id='$fz[0]' AND proj_id='$pro[0]' ";
								$sql .= "AND v.geklaert=1";
								$cnt = abfrage($sql);
								if(!$cnt[0]){
									$zuKlaeren = true;
									break;
								}
							}
						}
					}
				}
				if($zuKlaeren) {
					$EWALDreason++;
					$etemp = "<tr><td colspan=\"30\">";
					$etemp .= "Sie w&uuml;nschen in ";
					if($fz['x'] >= $schwelle1[0]) $etemp .= "<b style=\"color:red\">";
					$etemp .= $fz['x']." Tagen";
					if($fz['x'] >= $schwelle1[0]) $etemp .= "</b>";
					$etemp .= " (vom <a href=\"fehlz_and.php?fehlz_id=".$fz['fehlz_id']."\">".$fz['von']."</a> bis ".$fz['bis'].") ";
					$etemp .= "<a style=\"color:".$fz['farbe']."\" href=\"fehlz_and.php?fehlz_id=".$fz['fehlz_id']."\">" . $fz['name'] . "</a>";
					$etemp .= "<br />Dazu sind noch Vertretungen zu kl&auml;ren!</td></tr>";
					$etemp .= "<tr><td colspan=\"30\">Die Vertretung muss bis sp&auml;testens ";
					if($fz['x'] >= $schwelle1[0]) $etemp .= "<b style=\"color:yellow\">";
					$etemp .= (-1 * $schwelle1[0]) . " Tage";
					if($fz['x'] >= $schwelle1[0]) $etemp .= "</b>";
					$etemp .= " vor Antritt der Fehlzeit gekl&auml;rt sein</td></tr>";
					if($fz['x'] < $schwelle1[0]) {
						$etemp .= "<tr><td style=\"color:#CCCCCC\"><b>erneut erinnern in</b></td><td style=\"color:#CCCCCC\">";
						for($i=1;$i<=($fz['x'] < ($schwelle1[0]-7) ? 8 : (-1 * ($fz['x']-$schwelle1[0])));$i++) {
							$etemp.= " <input style=\"position:relative;top:2px;\" type=\"radio\"";
							$etemp.= " onchange=\"xajax_ewald_snooze2($pers_id,$fz[0],$i)\" id=\"snooze2_".$fz[0]."_".$i."\" /> $i ";
						}
						$etemp.= "<b>Tagen</b> &nbsp; <input type=\"button\" id=\"snooze2_".$fz[0]."_0\" onclick=\"xajax_ewald_snooze2($pers_id,$fz[0],0)\" ";
						$etemp.= "value=\"nicht erneut erinnern\" /></td></tr>";
					}
					$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview from tb_ewald 
									where pers_id='$pers_id' and ewaldkategorie_id=9 and id1='{$fz['fehlz_id']}'" );
					if($ex[1]) {
						$sql = "update tb_ewald set ";
						if($selbst) {
							$sql .= "lastview=curdate(), ";
							if($ex[0] > $ex[1]) $sql .= "cntview='".($ex[2]+1)."', ";
						}
						$sql .= "days='{$fz['x']}', eintrag='".mysql_escape_string($etemp)."'
								where pers_id='$pers_id' and ewaldkategorie_id=9 and id1='{$fz['fehlz_id']}'";
					} else {
						$sql = "insert into tb_ewald set pers_id='$pers_id', 
								ewaldkategorie_id=9, 
								id1='{$fz['fehlz_id']}', 
								id2='0', 
								eintrag='".mysql_escape_string($etemp)."',
								firstview=curdate(), 
								lastview=curdate(), 
								cntview='0',
								days='{$fz['x']}'";
					}
					abfrage2($sql);
					unset($ewald_entry[$fz['fehlz_id'].'_0']);
				}
			}
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='9' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='11'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	if(intval( getConf('ewald_befristung') ) == 1) {
		$schwelle = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='11' and stufe='0'");
		$schwelle1 = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='11' and stufe='1'");
		/* befristete Projekte */
		$sql = "select p.proj_id, (to_days(curdate()) - to_days(p.ende)), date_format(p.ende,'%d.%m.%Y')
				from tbh_pers_proj pp
				left join tb_projekte p using(proj_id)
				where pp.pers_id='$pers_id' 
				and (pp.personaltyp_id = '1' or pp.personaltyp_id = '9')
				and date_sub(p.ende,INTERVAL ".(-1 * $schwelle[0])." DAY) < curdate()
				and befristung='j'";
		$res = abfrage1($sql);
		if (mysql_num_rows($res) > 0){
			$etemp = "<tr><td colspan=\"30\">Befristete Projekte m&uuml;ssen einen Monat vor Ende verl&auml;ngert werden.</td></tr>";
			abfrage2( "INSERT INTO tb_ewald VALUES ('$pers_id',11,0,0,'$etemp','0000-00-00',curdate(),0,0) ON DUPLICATE KEY UPDATE lastview=curdate()" );
			unset($ewald_entry["0_0"]);
			while ($row = mysql_fetch_array($res)){
				if($row[1] < $schwelle1[0]) {
					$remind = abfrage("select pers_id, unix_timestamp(remind) from tb_proj_frist_pers_reminder where proj_id='$row[0]'");
					if(!empty($remind[0]) && ($remind[1] == 0 || $remind[1] > time())) continue;
				}
				$etemp = "<tr><td class=\"cl20\"><a id=\"pEnde_$row[0]\" href=\"pro_daten.php?proj_id=$row[0]\"";
				if($row[1] < 0) $etemp.= " style=\"color:red\"";
				$etemp.= ">" . projektnummer($row[0]) . "</a> endet";
				$etemp.= ($row[1] < 0) ? "e vor ".(-1 * $row[1]) : " in $row[1]";
				$etemp.= " Tagen</td>";
				$EWALDreason++;
				if($row[1] < $schwelle1[0]) {
					$etemp .= "<td><b>erneut erinnern in</b></td><td>";
					for($i=1;$i<=($row[1] < ($schwelle1[0]-7) ? 8 : (-1 * ($row[1]-$schwelle1[0])));$i++) {
						$etemp.= " <input style=\"position:relative;top:2px;\" type=\"radio\"";
						$etemp.= " onchange=\"xajax_ewald_snooze3($pers_id,$row[0],$i)\" id=\"snooze3_".$row[0]."_".$i."\" /> $i ";
					}
					$etemp.= "<b>Tagen</b> &nbsp; <input type=\"button\" id=\"snooze3_".$row[0]."_0\" onclick=\"xajax_ewald_snooze3($pers_id,$row[0],0)\" ";
					$etemp.= "value=\"nicht erneut erinnern\" /></td></tr>";
				}
				$etemp .= "<tr><td colspan=\"30\"><table cellpadding=\"0\" cellspacing=\"0\"><tr>";
				$etemp .= "<th class=\"cl11\">Ende:</th><td class=\"cl11\">";
				$etemp .= "<input type=\"text\" size=\"10\" value=\"$row[2]\" onblur=\"xajax_ewald_pende($row[0],this.value)\" />";
				$etemp .= "</td><td class=\"cl20\">TT.MM.JJJJ</td><th class=\"cl11\">Befristung:</th><td class=\"cl20\">";
				$etemp .= "<input type=\"checkbox\" checked name=\"pBefrChk_$row[0]\" id=\"pBefrChk_$row[0]\" onchange=\"$nichtDuSelbstWarnung xajax_ewald_befristung_uncheck($pers_id,$row[0])\"/>";
				$etemp .= "</td><td>Bitte bei endg&uuml;ltigem Projektende Haken Befristung entfernen!</td></tr></table></td></tr>";
				$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview from tb_ewald 
								where pers_id='$pers_id' and ewaldkategorie_id=11 and id1='{$row[0]}'" );
				if($ex[1]) {
					$sql = "update tb_ewald set ";
					if($selbst) {
						$sql .= "lastview=curdate(), ";
						if($ex[0] > $ex[1]) $sql .= "cntview='".($ex[2]+1)."', ";
					}
					$sql .= "days='$row[1]', eintrag='".mysql_escape_string($etemp)."'
							where pers_id='$pers_id' and ewaldkategorie_id=11 and id1='$row[0]'";
				} else {
					$sql = "insert into tb_ewald set pers_id='$pers_id', 
							ewaldkategorie_id=11, 
							id1='$row[0]', 
							id2='0', 
							eintrag='".mysql_escape_string($etemp)."',
							firstview=curdate(), 
							lastview=curdate(), 
							cntview='0',
							days='$row[1]'";
				}
				abfrage2($sql);
				unset($ewald_entry[$row[0].'_0']);
			}
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='11' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='12'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	/* ueberfaellige Aufgaben */
	if(intval(getConf('ewald_aufgaben_ueberfaellig')) == 1) {
		$ex = abfrage( "select unix_timestamp(lastview) from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id=12 and id1='0'" );
		$b_etemp = empty($ex[0]) ? true : false;
		$prios = abfrage1("select * from tb_prio order by prio desc");
		while($prio = mysql_fetch_row($prios)) {
			$x = intval(getConf("ewald_aufgab_pr_$prio[0]"));
			if($x > 0) {
				$aufgaben=abfrage1("select a.* from tbh_pers_auf p left join tb_aufgaben a using(aufgabe_id) 
									where a.erledigt<100 and curdate() >= DATE_ADD(a.termin,INTERVAL $x DAY)
									and p.pers_id='$pers_id' and a.prio='$prio[0]' order by termin desc");
				while($auf = mysql_fetch_array($aufgaben)) {
					$EWALDreason++;
					if($b_etemp) {
						$etemp = "<tr><th class=\"cl1\">Priorit&auml;t</th>";
						$etemp.= "<th class=\"cl1\">f&auml;llig</th>";
						$etemp.= "<th class=\"cl1\">erstellt</th>";
						$etemp.= "<th class=\"cl1\" colspan=\"2\">Nr.</th>";
						$etemp.= "<th class=\"cl1\">Titel</th>";
						$etemp.= "<th class=\"cl1\">zust&auml;ndig</th>";
						$etemp.= "<th class=\"cl1\">Autor</th>";
						$etemp.= "<th class=\"cl1\">Abteilung</th>";
						$etemp.= "<th>erledigt</th></tr>";
						$b_etemp = false;
						abfrage2( "insert into tb_ewald set pers_id='$pers_id', 
															ewaldkategorie_id=12, 
															id1='0', 
															id2='0', 
															eintrag='".mysql_escape_string($etemp)."',
															firstview=curdate(), 
															lastview=curdate(), 
															cntview='0'");
					} else abfrage2("update tb_ewald set lastview=curdate() where pers_id='$pers_id' and ewaldkategorie_id=12 and id1=0 and id2=0");
					unset($ewald_entry['0_0']);
					$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview from tb_ewald 
									where pers_id='$pers_id' and ewaldkategorie_id=12 and id1='$auf[0]'" );
					$etemp = "<tr><td class=\"cl1\" style=\"color:$prio[2]\">$prio[1]</td>";
					$etemp.= "<td class=\"cl1\"><a style=\"color:red\" href=\"auf_and.php?aufgabe_id=$auf[0]\">" . date_my2gr($auf['termin']);
					$etemp.= "</td><td class=\"cl1\">" . date_my2gr($auf['eingabe']) . "</td>";
					$etemp.= "<td class=\"cl1\"><a href=\"auf_and.php?aufgabe_id=$auf[0]\">{$auf['nr']}</a></td>";
					$daten = new stwDaten("10");
					$klammer = $daten->get_klammer($_SESSION['webdir'], $auf['aufgabe_id'], "0", false);
					$etemp.= "<td class=\"cl1\">$klammer</td>";
					$etemp.= "<td class=\"cl1\"";
					if (strlen($auf['titel']) > 25) $etemp.= " title=\"{$auf['titel']}\"";
					$etemp.= '>' . strCut($auf['titel'], 25) . "</td>\n";
					$zust = pers_kname($pers_id);
					$autor  = pers_kname($auf['autor']);
					$czust = pers_farbe($pers_id);
					$caut = pers_farbe($auf['autor']);
					$abt = abfrage("SELECT name FROM tb_personal_abt WHERE abt_id='{$auf['abt_id']}'");
					$etemp.= "<td style=\"color:$czust;padding-right:5px\">$zust</td>";
					$etemp.= "<td style=\"color:$caut;padding-right:5px\">$autor</td>";
					$etemp.= "<td class=\"cl1\">$abt[0]</td><td style=\"text-align:right\">{$auf['erledigt']} %</td></tr>";
					if($ex[1]) {
						$sql = "update tb_ewald set ";
						if($selbst) {
							$sql .= "lastview=curdate(), ";
							if($ex[0] > $ex[1]) $sql .= "cntview='".($ex[2]+1)."', ";
						}
						$sql .= "eintrag='".mysql_escape_string($etemp)."'
								where pers_id='$pers_id' and ewaldkategorie_id=12 and id1='$auf[0]'";
					} else {
						$sql = "insert into tb_ewald set pers_id='$pers_id', 
								ewaldkategorie_id=12, 
								id1='$auf[0]', 
								id2='0', 
								eintrag='".mysql_escape_string($etemp)."',
								firstview=curdate(), 
								lastview=curdate(), 
								cntview='0'";
					}
					abfrage2($sql);
					unset($ewald_entry[$auf[0].'_0']);
				}
			}
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='12' and id1='$id[0]' and id2='$id[1]'");
	}
	$ewald_entry = array();
	$entries = abfrage1("select id1, id2 from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='13'");
	while($entry = mysql_fetch_row($entries)) {
		$ewald_entry[$entry[0] . "_" . $entry[1]] = $entry;
	}

	/* ueberfaellige PostRessort-Eintraege */
	if(intval(getConf('ewald_ressort')) == 1) {
		$phras = abfrage1( "select r.ressort_id, r.name, r.farbe, r.ewald, r.ewald_rech
							from tbh_pers_hp_ressort_aktiv phra
							left join tb_ressort r using(ressort_id)
							left join tb_hp h using(hp_id)
							left join tb_post_eingang e using(hp_id)
							left join tb_post_ausgang a using(hp_id)
							where phra.pers_id='$pers_id' and 
							( (e.postart_id = 4 or a.postart_id = 4) and r.ewald_rech > 0 and r.ewald_rech <= (to_days(curdate()) - to_days(h.datum))	
							or r.ewald > 0 and r.ewald <= (to_days(curdate()) - to_days(h.datum))
							) group by ressort_id" );
		while($phra = mysql_fetch_row($phras)) {
			$EWALDreason++;
			$etemp = "<tr><th><a style=\"color:$phra[2]\" href=\"post_ressort.php?ma=$pers_id&ressort_id=$phra[0]\">$phra[1]</a></th>";
			$etemp .= "<td>Posteing&auml;nge des Ressorts $phra[1] sollten nicht l&auml;nger als $phra[3] (Rechnungen $phra[4]) Tage unbearbeitet bleiben</td></tr>";
			$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview from tb_ewald 
							where pers_id='$pers_id' and ewaldkategorie_id=13 and id1='$phra[0]' and id2='0'" );
			if($ex[1]) {
				$sql = "update tb_ewald set ";
				if($selbst) {
					$sql .= "lastview=curdate(), ";
					if($ex[0] > $ex[1]) $sql .= "cntview='".($ex[2]+1)."', ";
				}
				$sql .= "eintrag='".mysql_escape_string($etemp)."'
						where pers_id='$pers_id' and ewaldkategorie_id=13 and id1='$phra[0]' and id2='0'";
			} else {
				$sql = "insert into tb_ewald set pers_id='$pers_id', 
						ewaldkategorie_id=13, 
						id1='$phra[0]', 
						id2='0', 
						eintrag='".mysql_escape_string($etemp)."',
						firstview=curdate(), 
						lastview=curdate(), 
						cntview='0'";
			}
			abfrage2($sql);
			unset($ewald_entry[$phra[0].'_0']);
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='13' and id1='$id[0]' and id2='$id[1]'");
	}

	/* alte, nicht mehr aktuelle Werte loeschen */
	if($selbst) abfrage2("delete from tb_ewald where pers_id='$pers_id' and lastview < curdate()");

	/* OK Haken HB/DB/Tandem... */
	if(intval(getConf('ewald_post')) == 1) {
		$ress = abfrage1("select ressort_id, ewald_hb, ewald_hb_rech, name from tb_ressort where ewald_hb > 0 or ewald_hb_rech > 0 order by ewald_hb asc");
		$ehb = $erhb = $ressort = array();
		while($res = mysql_fetch_row($ress)) {
			$ehb[ $res[0] ] = $res[1];
			$erhb[ $res[0] ] = $res[2];
			$ressort[ $res[0] ] = $res[3];
		}
		$posts = abfrage1("select hp_id, tbl from tbh_pers_post_dashboard where pers_id='$pers_id'");
		$mahnPost = array();
		while($hp = mysql_fetch_row($posts)) {
			$array = $ehb;
			if($hp[1] == 'i') {
				$part = abfrage("select postart_id from tb_post_eingang where hp_id='$hp[0]'");
				if($part[0] == 4) $array = $erhb;
			}
			foreach($array as $ressort_id => $tage) {
				if(isRessort($hp[0],$ressort_id)) {
					$post = abfrage("select to_days(curdate()) - to_days(datum), hp_art, date_format(datum, '%d.%m.%Y') from tb_hp where hp_id='$hp[0]'");
					if($post[0] > $ehb[ $ressort_id ]) {
						$stwPost = new stwPost("h",$hp[0]);
						$mahnPost[ $hp[0] ] = $stwPost->displaysingleDashboard();
					}
				}
			}
		}
		foreach($mahnPost as $id => $etemp) {
			$id2 = $ehb[ $id ];
			$ex = abfrage( "select unix_timestamp(curdate()), unix_timestamp(lastview), cntview from tb_ewald 
							where pers_id='$pers_id' and ewaldkategorie_id=14 and id1='$id'" );
			if($ex[1]) {
				$sql = "update tb_ewald set ";
				if($selbst) {
					$sql .= "lastview=curdate(), ";
					if($ex[0] > $ex[1]) $sql .= "cntview='".($ex[2]+1)."', ";
				}
				$sql .= "eintrag='".mysql_escape_string($etemp)."'
						where pers_id='$pers_id' and ewaldkategorie_id=14 and id1='$id' and id2='$id2'";
			} else {
				$sql = "insert into tb_ewald set pers_id='$pers_id', 
						ewaldkategorie_id=14, 
						id1='$id', 
						id2='$id2', 
						eintrag='".mysql_escape_string($etemp)."',
						firstview=curdate(), 
						lastview=curdate(), 
						cntview='0'";
			}
			abfrage2($sql);
			unset($ewald_entry[$id.'_'.$id2]);
		}
	}
	foreach($ewald_entry as $id){
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and ewaldkategorie_id='14' and id1='$id[0]' and id2='$id[1]'");
	}

	/* alte, nicht mehr aktuelle Werte loeschen */
	if($selbst) {
		$_SESSION[$AppCode]["EWALDreason"] = $EWALDreason;
		abfrage2("delete from tb_ewald where pers_id='$pers_id' and lastview < curdate()");
	}
}

/* aktualisiert die Betreuer aus dem Projektdatenblatt im letzten HP */
function updateBetrLastHP($proj_id) {
	if(empty($proj_id)) return;
	$hp = abfrage( "select hp_id from tb_hp where proj_id='$proj_id'
					and hp_art in ('h','h2','s') and prognose = 'n'
					and and_datum is not null and and_datum != '0000-00-00'
					and and_datum <= curdate()
					order by unix_timestamp(and_datum) desc limit 1" );
	if(empty($hp[0])) return;
	$betrs = abfrage1("select * from tbh_pers_proj where proj_id='$proj_id'");
	abfrage2("delete from tbh_pers_proj_hp where hp_id='$hp[0]'");
	while($ma = mysql_fetch_assoc($betrs)) {
		$sql = "insert into tbh_pers_proj_hp set
				pers_id = '{$ma['pers_id']}',
				proj_id = '$proj_id',
				hp_id = '$hp[0]',
				personaltyp_id = '{$ma['personaltyp_id']}',
				hpst = '{$ma['hpst']}';";
		abfrage2($sql);
	}
}

/* returns Projektnummer bei gegebener proj_id */
function projektnummer($proj_id, $minus_name = false, $inKlammernOrt = false, $reverseOrder = false) {
	$pro = abfrage("select hilfeart_id, ap_id, projektnr from tb_projekte where proj_id='$proj_id'");
	$ha = abfrage("select hilfeart from tb_hilfeart where hilfeart_id = '$pro[0]';");
	$ja = abfrage( "select t2.kurzname from tb_kontakte_ap t1 
					left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0' 
					where t1.ap_id = '$pro[1]';");
	$initialen=abfrage("select concat(left(t2.vorname,1),left(t2.name,1)),
						t2.vorname, t2.name, t3.ort
						from tbh_proj_personen t1
						left join tb_personen t2 using(person_id)
						left join tb_p_adressen t3 on t2.adress_id = t3.adress_id
						where t1.proj_id = '$proj_id' and t1.perstyp_id=1;");
	if($reverseOrder) {
		$div = ($initialen[2] && $initialen[1]) ? ", " : "";
		$nr = $initialen[2] . $div . $initialen[1] . " ";
		$nr .= $ha[0] . ' ';
		$nr .= sprintf('%03d',$pro[2]);
		$nr .= ' ';
		$nr .= $initialen[0] . ' ' . $ja[0];
	} else {
		$nr  = $ha[0] . ' ';
		$nr .= sprintf('%03d',$pro[2]);
		$nr .= ' ';
		$nr .= $initialen[0] . ' ' . $ja[0];
		if($minus_name) $nr .= " - $initialen[1] $initialen[2]";
	}
	if($inKlammernOrt && strlen($initialen[3]) > 0) $nr .= " ($initialen[3])";
	return $nr;
}

/* returns Projektbeginn bei gegebener proj_id */
function projektbeginn_ts($proj_id) {
	$beginn = abfrage("select unix_timestamp(and_datum)
						from tb_hp
						where proj_id = '$proj_id'
						and hp_art in ('h','h2','s')
						and prognose = 'n'
						and and_datum is not null
						and and_datum != '0000-00-00'
						order by unix_timestamp(and_datum) asc
						limit 1;");
	return $beginn[0];
}

/* gibt fuer Vorgaenge und Einkaufsprojekte die alternative Beteichnung der Betreuer wieder */
function SBVerw($proj_id, $personaltypid) {
	if(empty($proj_id)) return '';
	if($personaltypid != 1 && $personaltypid != 8) return '';
	$pro = abfrage("select projektnr from tb_projekte where proj_id='$proj_id'");
	$nr = $pro[0] > 10000000 ? substr($pro[0],4) : $pro[0];
	$pra = abfrage("select pra_id from tb_projektart where $nr >= nr_von and $nr <= nr_bis;");
	if($pra[0] != 11 && $pra[0] != 6) return '';
	if($personaltypid == 1) return "Sachbearbeiter Verwaltung";
	if($personaltypid == 8) return "fachlicher Sachbearbeiter";
}

/* gibt Poolstand eines Projekts zu einem Zeitpunkt wieder */
function pro_pool_ts($proj_id, $dat = NULL) {
	if(empty($proj_id)) return NULL;

	$pool = abfrage("select pool from tb_projekte
					where proj_id = '$proj_id';");
	if($pool[0] <= 0) return NULL;

	if(empty($dat)) $dat = date("Y-m-d");
	elseif(strpos($dat, '.')!==false) $dat = date_gr2my($dat);
	if(is_numeric($dat)) {
		$ts = $dat;
		$dat = date('Y-m-d', $ts);
	} else $ts = date_my2ts($dat);
	$abm = date('Y-m-01', $ts);
	$heute = mktime(0, 0, 0, date("m"), date("d"), date("Y"));

	$ueb = abfrage("select sum(stunden) from tb_ab_pool
					where proj2 = '$proj_id'
					and ab_monat < '$abm'
					group by proj2;");

	$uea = abfrage("select sum(stunden) from tb_ab_pool
					where proj1 = '$proj_id'
					and ab_monat < '$abm'
					group by proj1;");

	$nw = abfrage("SELECT datum, unix_timestamp(datum) FROM tb_ab_nachw WHERE datum < '$abm' ORDER BY datum DESC LIMIT 1");

	$sum = abfrage("SELECT sum(gesamt) 
					FROM tb_azk_proj 
					WHERE proj_id = '$proj_id'
					AND datum <= '$nw[0]';");

	$sql = "SELECT SUM(unix_timestamp(t2.bis) - unix_timestamp(t2.von))/3600 as ist
			FROM tb_ab_zk t1 LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id 
			WHERE t1.proj_id = '$proj_id' AND t1.ab = 'j' 
			AND (t1.ab_monat >= '$abm' or t1.ab_monat IS NULL)
			AND unix_timestamp(von) < $ts;";

	$pool_gel = abfrage($sql);
	$tt = '';
	if(($ueb[0] - $uea[0]) > 0.01 || ($ueb[0] - $uea[0]) < -0.01) $tt .= "Pool&uuml;bertragungen: " . fls_form($ueb[0] - $uea[0]) . "<br>";
	$tt .= "geleistete Stunden (ZKs AB Ja): " . fls_form($sum[0] + $pool_gel[0]) . " <br>";
	if($heute <= $ts) {
		$sql = "SELECT SUM(unix_timestamp(t2.bis) - unix_timestamp(t2.von))/3600 as ist
				FROM tb_ab_zk t1 LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id 
				WHERE t1.proj_id = '$proj_id' AND t1.ab = 'n'
				AND unix_timestamp(von) >= $heute AND unix_timestamp(von) < $ts;";
		$pool_tc = abfrage($sql);
		if($pool_tc[0] > 0) $tt .= "geplante Stunden (ZKs ab heute): " . fls_form($pool_tc[0]) . "<br>";
		$pool_gel[0] += $pool_tc[0];
	}
	$poolstand = $pool[0] - $uea[0] + $ueb[0] - $sum[0] - $pool_gel[0];
	return array($poolstand,$tt);
}

/* 
 * ist Projekt zu gegebenem Zeitpunkt teil einer Sammelrechnung?
 * (bei nicht uebergebenem Datum: heute)
 */
function projekt_sammelrechnung($proj_id, $dat = NULL) {
	if(empty($proj_id)) return false;
	if(empty($dat)) $dat = date("Y-m-d");
	$sql = "select a.kont_id, p.hilfeart_id from tb_projekte p
			left join tb_kontakte_ap a using(ap_id)
			where p.proj_id = '$proj_id'";
	$pro = abfrage($sql);
	$sql = "select z.zg_id, k.kont_id, h.hilfeart_id from tb_zahlungsgruppe z
			left join tbh_zg_kont k using(zg_id)
			left join tbh_zg_ha h using(zg_id)
			where z.von <= '$dat' and (z.bis >= '$dat' or z.bis = '0000-00-00')";
	$sammelrechnungen = abfrage1($sql);
	while($sr = mysql_fetch_row($sammelrechnungen)) {
		if($pro[0] == $sr[1] && $pro[1] == $sr[2]) return $sr[0];
	}
	return false;
}

/* 
 * werden ZKs des Projekts erst nach Projektbeendigung in Rechnung gestellt?
 * $wennJaLaeuftsNoch: true: falls ab_nach_ende, pruefen, ob projekt schon beendet
 *                    false: nur pruefen, ob ab_nach_ende
 */
function projekt_ab_nach_ende($proj_id, $wennJaLaeuftsNoch) {
	$shp = abfrage("select s.ab_nach_ende from tbh_hp_satz s
					left join tb_hp h using(hp_id)
					where h.proj_id='$proj_id' 
					order by h.and_datum asc limit 1");
	if($wennJaLaeuftsNoch == false) return ($shp[0]=='j' || $shp[0]=='e');
	return ($shp[0]=='j');
}

/* returns Projekt->nr bei gegebener proj_id */
function projektnr($proj_id) {
	$pro = abfrage("select projektnr from tb_projekte where proj_id='$proj_id'");
	return $pro[0];
}

function projekt_fls_ist_pers($proj_id, $pers_id, $dat=NULL, $ende=NULL){
	if(empty($proj_id)) return false;
	if(empty($pers_id)) return false;
	if(empty($dat)) $dat = date("Y-m-01");
	elseif(strpos($dat, '.')!==false) $dat = date_gr2my($dat);
	if(is_numeric($dat)) {
		$tag = $dat;
		$dat = date('Y-m-d', $tag);
	} else $tag = date_my2ts($dat);
	if(empty($ende) && substr($dat,8,2)=='01') {
		$nw = abfrage("SELECT nachw_id FROM tb_ab_nachw WHERE datum='$dat'");
		if(!empty($nw[0])) {
			$sql  = "select fls_brutto from tb_x_azk_proj ";
			$sql .= "where nachw_id = '$nw[0]' ";
			$sql .= "and proj_id = '$proj_id' ";
			$sql .= "and pers_id = '$pers_id'";
			$pist = abfrage1($sql);
			if(mysql_num_rows($pist) > 0) {
				$ist = mysql_fetch_row($pist);
				return $ist[0];
			}
		}
	}
	if(empty($ende)) $end_ts = mktime(23,59,59,date('n',$tag), date('t',$tag), date('Y',$tag));
	else{
		if(strpos($ende, '.')!==false) $ende = date_gr2my($ende);
		if(is_numeric($ende)) {
			$end_ts = $ende;
			$ende = date('Y-m-d', $end_ts);
		} else $end_ts = date_tstime(date_my2ts($ende), "23:59");
	}
	$sql = "select sum(time_to_sec(t.bis)-time_to_sec(t.von)) / 3600
			from tb_ab_zk z left join tb_termine t using(termin_id)
			where proj_id = '$proj_id' and pers_id = '$pers_id'
			and unix_timestamp(t.bis) > $tag and unix_timestamp(t.von) < $end_ts";
	$time = abfrage($sql);
	return $time[0];
}

function projekt_fls_soll_pers($proj_id, $pers_id, $dat=NULL, $ende=NULL){
	if(empty($proj_id)) return false;
	if(empty($pers_id)) return false;
	if(empty($dat)) $dat = date("Y-m-01");
	elseif(strpos($dat, '.')!==false) $dat = date_gr2my($dat);
	if(is_numeric($dat)) {
		$tag = $dat;
		$dat = date('Y-m-d', $tag);
	} else $tag = date_my2ts($dat);
	if(empty($ende)) $end_ts = mktime(0, 0, 0, date('n',$tag)+1, date('j',$tag), date('Y',$tag));
	else{
		if(strpos($ende, '.')!==false) $ende = date_gr2my($ende);
		if(is_numeric($ende)) {
			$end_ts = $ende;
			$ende = date('Y-m-d', $end_ts);
		} else $end_ts = date_my2ts($ende);
	}
	$sql = "SELECT p.hpst, p.personaltyp_id, p.hp_id, h.hp_st FROM tbh_pers_proj_hp p 
			LEFT JOIN tb_hp h USING(hp_id)
			WHERE p.proj_id = '$proj_id' 
			AND h.prognose = 'n'
			AND p.pers_id = '$pers_id'
			AND h.and_datum <= '$dat'
			AND unix_timestamp(h.and_datum) > 0
			ORDER BY h.and_datum desc
			LIMIT 1";
	$hp0 = abfrage($sql);
	if($hp0[1] == 1) {
		$fls_proj = $hp0[3];
		$hpst = abfrage("SELECT sum(hpst) FROM tbh_pers_proj_hp WHERE hp_id = '$hp0[2]'");
		$sollstunden = $fls_proj - $hpst[0];
		if($sollstunden < 0) $sollstunden = 0;
	} else $sollstunden = $hp0[0];
	$sql = "SELECT p.hpst, p.personaltyp_id, p.hp_id,
			unix_timestamp(h.and_datum), h.hp_st
			FROM tbh_pers_proj_hp p 
			LEFT JOIN tb_hp h USING(hp_id)
			WHERE p.proj_id = '$proj_id' 
			AND h.prognose = 'n'
			AND p.pers_id = '$pers_id'
			AND h.and_datum > '$dat'
			AND unix_timestamp(h.and_datum) < '$end_ts'
			ORDER BY h.and_datum asc";
	$hps = abfrage1($sql);
	$fls_soll = 0;
	$sql = "select h.fls_fz from tb_projekte p
			left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id 
			where p.proj_id = '$proj_id';";
	$fls_fzk = abfrage($sql);
	while($hp = mysql_fetch_row($hps)) {
		while ($tag < $hp[3]) {
			if (arbeitstag($tag) && !(pers_fehlzeit($pers_id,$tag) && $fls_fzk[0] == 1)){
				$fls_soll += ($sollstunden / 5);
			}
			$tag = mktime(0, 0, 0, date('n',$tag), date('j',$tag)+1, date('Y',$tag));
		}
		if($hp[1] == 1) {
			$fls_proj = $hp[4];
			$hpst = abfrage("SELECT sum(hpst) FROM tbh_pers_proj_hp WHERE hp_id = '$hp[2]'");
			$sollstunden = $fls_proj - $hpst[0];
			if($sollstunden < 0) $sollstunden = 0;
		} else $sollstunden = $hp[0];			
	}
	while ($tag < $end_ts) {
		if (arbeitstag($tag) && !(pers_fehlzeit($pers_id,$tag) && $fls_fzk[0] == 1)){
			$fls_soll += ($sollstunden / 5);
		}
		$tag = mktime(0, 0, 0, date('n',$tag), date('j',$tag)+1, date('Y',$tag));
	}
	return round($fls_soll,2);
}

function fls_pers_fehlzeitenvertretung($proj_id, $pers_id, $dat){
	if(empty($proj_id)) return false;
	if(empty($dat)) return false;
	elseif(strpos($dat, '.')!==false) $dat = date_gr2my($dat);
	if(empty($pers_id)) {
		global $AppCode;
		$pers_id = $_SESSION[$AppCode]['UID'];
	}
	$ptyp = abfrage("select personaltyp_id from tbh_pers_proj where pers_id='$pers_id' and proj_id='$proj_id'");
	if($ptyp[0] != 1 && $ptyp[0] != 3 && $ptyp[0] != 8 && $ptyp[0] != 9) return 0;
	$tag = date_my2ts($dat);
	$ende = mktime(23,59,59,date('n',$tag), date('t',$tag), date('Y',$tag));
	$fz = abfrage1("select f.pers_id, unix_timestamp(t.von),
					t.von, unix_timestamp(t.bis), t.bis
					from tbh_pers_proj p
					left join tb_fehlz f using(pers_id)
					left join tb_termine t using(termin_id)
					where p.proj_id = '$proj_id'
					and p.pers_id != '$pers_id'
					and f.genehmigt = 1 and t.bis >= $dat
					and unix_timestamp(t.von) <= $ende;");
	$ueberstunden = 0;
	while($ma = mysql_fetch_row($fz)) {
		$von = $ma[1] < $tag ? $tag : $ma[1];
		$bis = $ma[3] > $ende ? $ende : date_tstime($ma[3],'23:59');
		$fpsoll = projekt_fls_soll_pers($proj_id, $ma[0], $von, $bis);
		if($fpsoll <= 0) continue;
		$wvon = getWochenBeginn($von);
		$wbis = getWochenEnde($bis);
		$psoll = projekt_fls_soll_pers($proj_id, $pers_id, $wvon, $wbis);
		$pist = projekt_fls_ist_pers($proj_id, $pers_id, $wvon, $wbis);
		if($pist > $psoll) {
			$ueberstunden += ($pist - $psoll);
		}
	}
	return $ueberstunden;
}

/* ---------------------------------------------------------------------
 *  Klasse stwProjekt
 * --------------------------------------------------------------------- */

class stwProjekt
{
	var $id;
	var $nr;
	var $ha;
	var $sb;
	var $ja;
	var $km;
	var $kmd;
	var $reg;
	var $h_art;
	var $h_farbe;
	var $typ;
	var $nrkr;
	var $ab;
	var $sig;
	var $doku;
	var $fls_fzk;
	var $fls_azk;
	var $k_fls_soll;
	var $fb;
	var $pb;
	var $knz1;
	var $knz2;
	var $az;
	var $k_kapp_neg;
	var $k_kapp_neg_wert;
	var $k_kapp_pos;
	var $k_kapp_pos_wert;
	var $h_kapp_neg;
	var $h_kapp_neg_wert;
	var $h_kapp_pos;
	var $h_kapp_pos_wert;
	var $traeger_art_id;
	var $abt_id;
	var $fz_kapp_modus;
	var $fz_kapp_datum;
	var $h_paragraph;
	var $k_potentiell_kontaktst;
	var $code_a;
	var $kmgpauschale;
	var $pauschalVuN;
	var $prozVuN;
	var $rund_prozVuN;
	var $pauschFLS;
	var $befristung;

	function stwProjekt($proj_id) {
		/* Hilfeart und Projektnr. ermitteln und ausgeben */
		$sql  = "select p.proj_id, p.projektnr, p.hilfeart_id, p.ap_id, ".
				"p.register, p.az, h.hilfeart, h.typ, k.kont_id, k.kmp, ".
				"k.kmp_datum, k.nrkreis, k.ab, k.sig, h.doku, h.fls_fz, ".
				"h.fls_azk, k.k_fls_soll, p.fb_id, p.pb, p.knz1, p.knz2, ".
				"k.k_kapp_neg, k.k_kapp_neg_wert, k.k_kapp_pos, ".
				"k.k_kapp_pos_wert, h.h_kapp_neg, h.h_kapp_neg_wert, ".
				"h.h_kapp_pos, h.h_kapp_pos_wert, p.traeger_art_id, p.abt_id, ".
				"k.fz_kapp_modus, k.fz_kapp_datum, k.kontaktstunden, h.paragraph, ".
				"k.code_a, h.farbe, k.kmgpauschale, k.codeVuN, k.prozVuN, k.rund_prozVuN, ".
				"k.pauschFLS, p.befristung from tb_projekte p ".
				"left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id ".
				"left join tb_kontakte_ap a on p.ap_id = a.ap_id ".
				"left join tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0' ".
				"where p.proj_id = '$proj_id';";
		$daten = abfrage_assoc($sql);

		$this->id    = $daten['proj_id'];  		// Projekt-ID = proj_id
		$this->nr    = sprintf('%03d',$daten['projektnr']);	// Projektnummer
		$this->ha    = $daten['hilfeart_id'];  	// Hilfeart
		$this->sb    = $daten['ap_id'];			// Sachbearbeiter
		$this->reg   = $daten['register'];		// Register-Nr. Jugendamt
		$this->az    = $daten['az'];			// Aktenzeichen Jugendamt
		$this->h_art = $daten['hilfeart'];		// Hilfeart-Kuerzel (LOM, EBS, AKT, ...)
		$this->h_farbe = $daten['farbe'];		// Hilfeart-Farbe
		$this->typ   = $daten['typ'];			// Projekt-Typ fuer Masken
		$this->ja    = $daten['kont_id'];		// Jugendamt (ID)
		$this->km    = $daten['kmp'];			// Kilometerpauschale? (j/n)
		$this->kmd   = $daten['kmp_datum'];		// km-Pauschale ab Datum
		$this->nrkr  = $daten['nrkreis'];		// Rechnungsnummernkreis
		$this->ab = empty($daten['ab']) ? 'n' : $daten['ab']; // Abrechnung?
		$this->sig	 = $daten['sig'];			// Unterschrift Leistungsempfuenger?
		$this->doku	 = $daten['doku'];			// Doku-Pauschale (0/1) fuer Hilfeart?
		$this->fls_fzk = $daten['fls_fz'];		// Kuerzung Projektsoll bei Fehlz. HB (0/1)?
		$this->fls_azk = $daten['fls_azk'];		// Einrechnung Zeitkarten in AZK?
		$this->k_fls_soll = $daten['k_fls_soll'];  // Modus Sollstundenberechnung Auftraggeber
		$this->fb    = $daten['fb_id'];         // pers_id des Fachberaters
		$this->pb    = $daten['pb'];            // Schalter fuer Projekt/Leistungsbeschr. (0/1)
		$this->knz1  = $daten['knz1'];            // Schalter fuer Projekt/Leistungsbeschr. (0/1)
		$this->knz2  = $daten['knz2'];            // Schalter fuer Projekt/Leistungsbeschr. (0/1)
		$this->k_kapp_neg  = $daten['k_kapp_neg'];
		$this->k_kapp_neg_wert  = $daten['k_kapp_neg_wert'];
		$this->k_kapp_pos  = $daten['k_kapp_pos'];
		$this->k_kapp_pos_wert  = $daten['k_kapp_pos_wert'];
		$this->h_kapp_neg  = $daten['h_kapp_neg'];
		$this->h_kapp_neg_wert  = $daten['h_kapp_neg_wert'];
		$this->h_kapp_pos  = $daten['h_kapp_pos'];
		$this->h_kapp_pos_wert  = $daten['h_kapp_pos_wert'];
		$this->traeger_art_id = $daten['traeger_art_id'];
		$this->abt_id = $daten['abt_id'];
		$this->fz_kapp_modus = $daten['fz_kapp_modus'];
		$this->fz_kapp_datum = $daten['fz_kapp_datum'];
		if($daten['kontaktstunden'] == 0) 			// Kontaktstunden-Rechnung fr Projekt?
			$this->k_potentiell_kontaktst = getConf('kontaktstunden');	// wie in konf/traeger
		else $this->k_potentiell_kontaktst = ($daten['kontaktstunden'] == 1) ? 1 : 0;
		$this->h_paragraph = $daten['paragraph'];
		$this->code_a = ($daten['code_a']=='j');
		$this->kmgpauschale = ($daten['kmgpauschale']=='j'); // pauschales Kilometergeld pro Zeitkarte
		$this->pauschalVuN = ($daten['codeVuN'] == '') ? array() : str_split($daten['codeVuN']);
		$this->prozVuN = $daten['prozVuN'];
		$this->rund_prozVuN = $daten['rund_prozVuN'];
		$this->pauschFLS = $daten['pauschFLS'];
		$this->befristung = $daten['befristung']=='j';
	}

	function projektart()
	{
		$nr = $this->nr > 10000000 ? substr($this->nr,4) : $this->nr;
		$pa = abfrage("select pra_id from tb_projektart
						where $nr >= nr_von
						and $nr <= nr_bis;");
		return $pa[0];
	}

	function projektart_name()
	{
		$pa = abfrage("select kname from tb_projektart
						where $this->nr >= nr_von
						and $this->nr <= nr_bis;");
		return $pa[0];
	}

  function ListenMarkierung($anz){
	  global $AppCode;

	  /*
     * Die Farben werden fuer den jeweilig ausgewaehlten Nutzer
     * gezeigt, wird alle Projekte ausgewaehlt muss auf den angemeldeten
     * Nutzer umgesetzt werden. Sonst gibt es Probleme mit der SQL
     * Abfrage.
     */
    $pers_num = ($anz == 'all' || empty($anz)) ? $_SESSION[$AppCode]['UID'] : $anz;
	$text_decoration_blink = getConf('pro_blinken_aus') ? '' : "name=\"blink\"";

	/* Tooltip zusammenbauen */
	$ti0 = '<b>' . $this->name() . '</b><br />';
	$ti2 = '<hr />';
	$sql = "select pt.kurzname, pp.pers_id from tbh_pers_proj pp
			left join tb_personaltyp pt using(personaltyp_id)
			where pp.proj_id='$this->id' order by pt.sort asc limit 5";
	$betrs = abfrage1($sql);
	while($betr = mysql_fetch_row($betrs)) {
		$ti2 .= "<b>$betr[0]:</b> " . pers_kname($betr[1]) . "<br>";
	}
	if($this->sb) {
		$ti2 .= '<hr />';
		$ap = abfrage("select vorname, name from tb_kontakte_ap where ap_id='$this->sb'");
		$ti2 .= "<b>Sachb. ASD:</b> $ap[0] $ap[1]<br>";
	}

    /*
     * Eine Anfrage ist es solange, bis eine Hilfehistorie gestartet wird.
     * Diese kann: - leer sein
     *             - den Wert 0 haben
     *             - oder ein Datum
     */
	$blink = '';
    $beginn = $this->beginn_ts();
    $heute = mktime(0,0,0,date('n'),date('j'),date('Y'));
	$ptyp = abfrage("select personaltyp_id from tbh_pers_proj where proj_id = '$this->id' and pers_id = '{$_SESSION[$AppCode]['UID']}';");
	$pa = $this->projektart();
	$sql = "SELECT h.pra_id FROM tb_projekte p left join tb_hilfeart h using(hilfeart_id) WHERE proj_id = '$this->id'";
	$neunundsechzig = abfrage($sql);
	if($neunundsechzig[0] == 69) {
		$co = "#2BDF91";
		$ti = "Projektgruppe";
		$tg = 'pro_gruppe_and';
		return array('tg' => $tg,
					 'co' => $co,
					 'ti' => $ti0 . $ti . $ti2);
	} elseif($this->nr > 10000000) { //archiv
		$tg = 'pro_daten';
		$co = "#969696";
		$ti = "Projekt beendet";
		return array('tg' => $tg,
					 'co' => $co,
					 'ti' => $ti0 . $ti . $ti2);
	} elseif($pa == 7) {
		$tg = 'pro_daten';
		if($this->ende_ts() > 0) {
			$co = "#969696";
			$ti = "Projekt beendet";
		} elseif($this->kzu_ende_ts() > 0) {
			$co = "#FFFFFF";
			$ti = "Zahlungseingang erfolgt";
		} elseif($this->kzu_ts() > 0) {
			$co = "#FFCC00";
			$ti = "Bewilligung erfolgt";
		} else {
			$vb = abfrage("select unix_timestamp(beginn) from tb_projekte where proj_id='$this->id'");
			if($vb[0] > 0) {
				$co = "#FF0000";
				$ti = "Antrag gestellt, Bewilligung steht aus";
			} else {
				$co = "#01FF00";
				$ti = "Anfrage";
			}
		}
		return array('tg' => $tg,
					 'co' => $co,
					 'ti' => $ti0 . $ti . $ti2);
	} elseif($pa == 6 || ($this->nr >= 18000 && $this->nr < 19000)) {
		$tg = 'pro_daten';
		$proj_traeger = abfrage("select traeger_art_id from tbh_proj_traeger where proj_id='$this->id' and traeger_art_id !='$this->traeger_art_id' order by traeger_art_id asc limit 1");
		if (($this->nr >= 18000 && $this->nr < 19000 && $this->ende_ts() > 0 && $this->ende_ts() < time()) || ($pa == 6 && $this->ende_ts() > 0 && $this->ende_ts() < $heute)) {
			$co = "#969696";
			$ti = "Projekt beendet";
		} elseif(empty($proj_traeger[0])) {
			$traeger = abfrage("select farbe, traeger_art from tb_traeger_art where traeger_art_id='$this->traeger_art_id'");
			$co = $traeger[0];
			$ti = "Tr&auml;ger: $traeger[1]";
		} else {
			$traeger1 = abfrage("select traeger_art from tb_traeger_art where traeger_art_id='$this->traeger_art_id'");
			$traeger2 = abfrage("select traeger_art from tb_traeger_art where traeger_art_id='$proj_traeger[0]'");
			if($proj_traeger[0]==1 && $this->traeger_art_id==3 || $proj_traeger[0]==3 && $this->traeger_art_id==1) {
				$farbe = abfrage("select farbe from tb_traeger_art where traeger_art_id='3'");
				$co = $farbe[0];
			} elseif($proj_traeger[0]==1 && $this->traeger_art_id==2 || $proj_traeger[0]==2 && $this->traeger_art_id==1) {
				$co = "#FFFFFF";
			} else $co = "#0000FF";
			$ti = "Tr&auml;ger: $traeger1[0] / $traeger2[0]";
		}
		return array('tg' => $tg,
					 'co' => $co,
					 'ti' => $ti0 . $ti . $ti2);
	} elseif($pa == 11) {
		$tg = 'pro_daten';
		$projekt = abfrage_array("select * from tb_projekte where proj_id='$this->id'");
		if ($this->ende_ts() > 0 && $this->kzu_ende_ts() > 0) {
			$co = "#969696";
			$ti = "bezahlt und geliefert";
		} elseif($this->kzu_ende_ts() > 0) {
			$co = "#FFFFFF";
			$ti = "geliefert";
		} elseif($this->kzu_ts() > 0) {
			$co = "#FF00FF";
			$ti = "bestellt";
		} elseif($projekt['familie'] == 'checked' || $projekt['hobbys'] == 'checked') {
			$co = "lime";
			$ti = "genehmigt GF";
		} elseif($projekt['problemlage'] == 'checked') {
			$co = "#FFAA88";
			$ti = "bestellfertig";
		} else {
			$vml = abfrage1("select vm_id from tb_vormerkliste where proj_id='$this->id'");
			if(mysql_num_rows($vml) > 0) {
				$co = "#FF0000";
				$ti = "Vormerkposten zugeordnet";
			} else {
				$co = '';
				$ti = '';
			}
		}
		return array('tg' => $tg,
					 'co' => $co,
					 'ti' => $ti0 . $ti . $ti2);

	}

	if(in_array($ptyp[0], array(1,8,9))) $delay = -5;
	else if($ptyp[0] == 3) {
		$hb = abfrage("select pers_id from tbh_pers_proj where proj_id = '$this->id' and personaltyp_id = '1';");
		$delay = (pers_fehlzeit($hb[0])) ? -5 : 0;
	} else $delay = 0;
	if(check_nutzer_rechte(83)) {
		$del = abfrage("SELECT delay FROM tb_pers_delay WHERE pers_id='{$_SESSION[$AppCode]["UID"]}'");
		$delay += empty($del[0]) ? 0 : $del[0];
	}
	$ende_ts = $this->ende_ts();
	$agblink = false;
	if(getConf('ag_zwang') && $ende_ts > 0) {
		$ag = abfrage("select hp_id from tb_hp where proj_id='$this->id' and hp_art='ag'");
		if(empty($ag[0])) $agblink = true;
	}

	$bNHP = true;
	if ($ende_ts > 0 && $ende_ts < $heute) {
		$tg = 'pro_daten';
		$co = "#969696";
		$ti = "Projekt beendet";
		if($agblink) {
			$ti .= "<br><b>Noch kein Abschlussgespr&auml;ch angelegt</b>";
			$blink = "name=\"blink\"";
		}
	} elseif ($ende_ts > 0 && $agblink) {
		$tg = 'pro_daten';
		$co = "#FF00FF";
		$ti = "Projekt endet bald";
		$ti .= "<br><b>Noch kein Abschlussgespr&auml;ch angelegt</b>";
		$blink = "name=\"blink\"";
    } elseif ((empty($beginn) || $beginn == 0 || $beginn > $heute) && ($pa == 1 || $pa == 2)) {
		// status anfrage - gruen!
		$co = '#00FF00';
		$ti = 'Anfrage';
		$tg = 'pro_anfrage';
    } else {
		$tg = 'pro_daten';
		$ag = abfrage("select hp_id from tb_hp where proj_id = '$this->id' and hp_art='ag'");
		$last_hp = abfrage("select hp_id, to_days(curdate()) - to_days(datum) from tb_hp
							where proj_id = '$this->id'
							and (hp_art='h2' or hp_art='ag') and datum <= curdate()
							order by datum desc limit 1");
		$next_hp = abfrage("select hp_id, hilfeverlauf, to_days(datum)-to_days(curdate()), 
							fb_ok, hp_art, hpv_form from tb_hp
							where proj_id = '$this->id'
							and (hp_art='h2' or hp_art='ag') and datum > curdate()
							order by datum asc limit 1");
		$nhp = abfrage("select hp_id, to_days(datum_n)-to_days(curdate())
						from tb_hp where proj_id = '$this->id'
						and (hp_art='h2' or hp_art='ag') and (datum_n+7) > curdate()
						order by (datum_n>curdate()) desc, datum_n asc limit 1;");
		
		$bNHP = false;
		if(empty($ag[0]) && $next_hp[0] > 0 && $next_hp[2] <= 14 && $next_hp[4]=='h2') { // naechster HP bereits angelegt
			$ti = "n&auml;chstes HP-Gespr&auml;ch in $next_hp[2] Tagen";
			if(empty($next_hp[1]) && $next_hp[5]==1) {
				$ti .= "<br><b>HP noch nicht vorbereitet</b><br>(kein Verlauf der Hilfe im letzten Zeitraum)";
				$co  = "#FFAA88";
				if($next_hp[2] <= (9 - $delay)) $blink = $text_decoration_blink;
				$bNHP = true;
			} else {
				$res = abfrage1("SELECT z.* FROM tb_hp_praxisziele z
								 LEFT JOIN tb_hp h USING (hp_id)
								 WHERE h.hp_art = 'h2'
								 AND z.erledigt IS NULL
								 AND z.HE = '1' AND z.LE = '1' AND z.ASD = '1'
								 AND h.proj_id = '$this->id'");
				while($row = mysql_fetch_assoc($res)) {
					$count = abfrage("SELECT COUNT(*) FROM tb_hpvor2
									  WHERE ziel_id = ".$row['id']."
									  AND hp_id = '$next_hp[0]'");
					if($count[0] == 0) {
						$ti .= "<br><b>HP noch nicht vorbereitet</b>";
						$co  = "#FFAA88";
						if($next_hp[2] <= (9 - $delay)) $blink = $text_decoration_blink;
						$bNHP = true;
						break;
					}
				}
			}
			if(empty($next_hp[3])) {
				$ti .= "<br><b>Vorlage Fachberater!</b>";
				if(empty($co)) $co = "#FFAA88";
				$bNHP = true;
			}
		}

		if($bNHP) {
		} elseif (empty($ag[0]) && empty($next_hp[0]) && !empty($nhp[0]) && $nhp[1] <= 14 && (empty($last_hp[0]) || $last_hp[1]>7)){
			if($nhp[1] > 0) $ti = "n&auml;chstes HP-Gespr&auml;ch in $nhp[1] Tagen<br>";
			elseif($nhp[1] == 0) $ti = "n&auml;chstes HP-Gespr&auml;ch heute!<br>";
			elseif($nhp[1] == -1) $ti = "Termin f&uuml;r n&auml;chstes HP-Gespr&auml;ch gestern!<br>";
			else $ti = "Termin f&uuml;r n&auml;chstes HP-Gespr&auml;ch liegt ".-$nhp[1]." Tage zur&uuml;ck!<br>";
			$ti .= "<b>Noch kein neuer HP angelegt</b>";
			$co  = "#FFAA88";
			if($nhp[1] <= (9 - $delay)) $blink = $text_decoration_blink;
		} elseif (empty($ag[0]) && empty($next_hp[0]) && !empty($nhp[0]) && $nhp[1] <= 21 && (empty($last_hp[0]) || $last_hp[1]>7)){
			$co = "#FFFFFF";
			if($nhp[1] <= (16 - $delay)) $blink = $text_decoration_blink;
			$ti = "n&auml;chstes HP-Gespr&auml;ch in $nhp[1] Tagen<br><b>Noch kein neuer HP angelegt</b>";
		} elseif (empty($ag[0]) && ((!empty($next_hp[0]) && $next_hp[2] <= 28) || (!empty($nhp[0]) && empty($next_hp[0]) && $nhp[1] <= 28)) && (empty($last_hp[0]) || $last_hp[1]>7)){
			$co = "#FFFFFF";
			$ti = "n&auml;chstes HP-Gespr&auml;ch in ".(empty($next_hp[0]) ? $nhp[1] : $next_hp[2])." Tagen";
		} elseif ($this->h_art == 'ALG'){
			// ALG immer blau
			$co = "#0080FF";
			$ti = "Gemeinn&uuml;tzige Arbeitsleistung";
		} elseif ($this->h_art == 'CZT'){
			// CZT immer blau
			$co = "#0080FF";
			$ti = "C-Zeiten-Projekt";
		} elseif ($this->h_art == 'LOM'){
			// LOM immer 'violett'
			$co = "rgb(198,0,99)";
			$ti = "Lock-o-motive";
		} elseif ($this->h_art == 'SPS'){
			// SPS immer 'violett'  - wie LOM
			$co = "rgb(198,0,99)";
			$ti = "Schulprojekt Signal";
		} elseif ($this->h_art == 'VER'){
			// VER immer 'orange' :-)
			$co = "#FF8000";
			$ti = "Verwaltung";
		} elseif ($this->h_art == 'VWG'){
			// VWG immer 'orange' :-)
			$co = "#FF8000";
			$ti = "Verwaltungskr&auml;fte";
		} else {
			// 9 Wochen = 63 Tage vor Enddatum (7 bei IT Projekten)
			$rest = number_format(($this->ende_ts() - $heute) / 86400, 0);
			$rest2 = number_format((date_gr2ts(substr($this->he_info('geboren'),0,6) . date('Y')) - $heute) / 86400, 0);
			$it_projekte = array('EDV', 'SWK', 'SWP');
			$limit = (in_array($this->h_art, $it_projekte)) ? 7 : 63;
			//Kostenzusage laeuft aus / ist ausgelaufen
			$diff = ($this->kzu_ende_ts() == 0) ? 999 : ($this->kzu_ende_ts() - $heute) / 86400;
			if($this->h_art == 'TTT' && ($this->kzu_ts() == 0 || $this->kzu_ts() > $heute)) {
				$co = "#FF0000";
				$ti = "Fehlende Unterschrift Negativerkl&auml;rung";
			} elseif($this->h_art == 'TTT' && ($this->kzu_ende_ts() == 0 || $this->kzu_ende_ts() > $heute)) {
				$co = "#FF0000";
				$ti = "Fehlende Unterschrift Teinehmervertrag";
			} elseif ($this->h_art != 'TTT' && $diff < 0){
				$co = '#FF0000';
				$ti  = 'Kostenzusage ist vor ' . round(abs($diff), 0);
				$ti .= ' Tagen ausgelaufen';
			} elseif ($this->h_art != 'TTT' && $diff <= 14){
				$co = '#FF0000';
				$ti = "Kostenzusage l&auml;uft in $diff Tagen aus";
			} elseif (($rest < $limit) && ($rest > 0)) {
				// 1(9) Woche(n) vor Enddatum -> MAGENTA
				$wochen = number_format($rest / 7, 0);
				$co = "#FF00FF";
				$ti = "Projekt endet in $rest Tag";
				if ($rest > 1) $ti .= "en";
				if ($wochen > 0) $ti .= " ($wochen Wochen)";
				if($wochen < 7) {
					$ps = abfrage1("select p.proj_id from tb_sachbericht s left join tb_sachbericht_proj p using(sb_id) 
									where p.proj_id='".$this->id."' and s.einverst = 'j'");
					if(mysql_num_rows($ps) > 0) {
						$einv = abfrage("select einverst from tb_projekte where proj_id='".$this->id."'");
						if(empty($einv[0])) {
							$blink = $text_decoration_blink;
							$ti .= "<br><b>Einverst&auml;ndniserkl&auml;rung noch nicht unterzeichnet</b>";
						}
					}
				}
			} elseif((($rest2 < $limit && $rest2 > 0 && $this->he_info('alter') == 17) || ($this->he_info('alter') > 17)) && !$this->erwachsenenprojekt()) {
				$wochen = number_format($rest2 / 7, 0);
				$co = "#FF00FF";
				if($this->he_info('alter') >= 18) {
					$ti = "Projekt beenden!";
					$blink = $text_decoration_blink;
					$ti .= "<br><b>Hilfeempf&auml;nger ist bereits vollj&auml;hrig!";
				} else {
					$ti = "Projekt endet in $rest2 Tag";
					if ($rest2 > 1) $ti .= "en";
					if ($wochen > 0) $ti .= " ($wochen Wochen)";
					$ti .= "<br><b>Hilfeempf&auml;nger wird vollj&auml;hrig!";
				}
			} elseif ($this->h_art != 'TTT' && $this->beginn_ts() < $heute && $this->kzu_ts() == 0) {
				// Kostenzusage da?
				$co = "#FF0000";
				$ti = "keine Kostenzusage";
			} elseif ($this->h_art == 'ALG' || $this->h_art == 'CZT') {
				// status aktiv, wenn alles ok -> gelb (Standard-Linkfarbe)
				$co = '';
				$ti = '';
			} elseif ($this->h_art == 'LOM' || $this->h_art == 'SPS'){
				$co = '#996699';
				$ti = '';
			} elseif ($this->h_art == 'VER' || $this->h_art == 'VWG'){
				$co = '#FF6600';
				$ti = '';
			} else { 
				$lasthp = abfrage_array("select *, to_days(curdate())-to_days(datum) as diff
										from tb_hp where proj_id = '$this->id'
										and hp_art='h2' and datum < curdate()
										order by datum desc limit 1");
				if($lasthp['hp_id']>0 && (empty($lasthp['datum_n'])||$lasthp['datum_n']=='0000-00-00') && $lasthp['diff']>=7) {
					$co = '#FFFFFF';
					if($lasthp['diff']>=(12 + $delay)) $blink = $text_decoration_blink;
					$ti = "n&auml;chsten HP Termin kl&auml;ren!";
				} else {
					$br = abfrage("select t1.pers_id, t1.personaltyp_id, t2.personaltyp
									from tbh_pers_proj t1
									left join tb_personaltyp t2 using (personaltyp_id)
									where t1.proj_id = '$this->id'
									and t1.pers_id = '$pers_num';");
					if ($br[1] == 2){
						$co = 'rgb(255,255,80)';
					} elseif ($br[1] == 9){
						$co = "#FFCC00";
					} elseif ($br[1] == 8){
						$co = "rgb(180,130,00)";
					} elseif ($br[1] > 2) {
						$co = '#A0A000';
					} else {
						$co = '';
					}
				}
			}
		}
	}
    return array('tg' => $tg,
                 'co' => $co,
                 'ti' => $ti0 . $ti . $ti2,
				 'blink' => $blink);
	} /* --- Ende ListenMarkierung -- */

	function link($tooltip="", $verlinkt=true, $nurDieserTooltip=false, $ma=NULL) {
	  $zeit = $this->beginn_ts();
  	  $lm = $this->ListenMarkierung($ma);
	  $tg = $_SESSION['webdir']."/".$lm['tg'];
	  $ti = $lm['ti'];
	  $co = empty($lm['co']) ? '#FFCC00' : $lm['co'];
	  $blink = false;
	  if(empty($zeit) || $zeit == 0) {
		$vb = abfrage("select beginn from tb_projekte where proj_id='$this->id'");
	  }
	  if($lm['co'] == '#00FF00'){ /*Anfrage!*/
		$co = "#00A600";
		if ((empty($zeit) || $zeit == 0) && (empty($vb[0]) || $vb[0] == "0000-00-00")) $co = "#00FF00";
		else if ((empty($zeit) || $zeit == 0) && ((time() + 60*60*24*14) > date_gr2ts(date_my2gr($vb[0])))) $blink = true;
		if(!empty($zeit)) {
		  $ti = "Beginn: " . date('d.m.Y',$zeit);
		  if($this->hb() == NULL) {
		    $ti = "KEIN BETREUER! " . $ti;
		    $blink = true;
		  }
	    } else if(!empty($vb[0]) && $vb[0] != "0000-00-00")
		  $ti = "voraussichtlicher Beginn: " . date_my2gr($vb[0]);
		else $ti = "Anfrage ohne voraussichtlichen Beginn";
	  }
	  $bgcolor = '';
	  if($this->nr < 10000000 && $this->inProjektgruppe(date('Y-m-d')) === false) {
	    if($this->pool()) {
		  $pool_stand = $this->pool_stand();
		  if($pool_stand < 0) {
		  	$tooltip = "!! ACHTUNG! Poolstunden &uuml;berschritten !!<br />$tooltip";
		  	$bgcolor = "background-color:#FF6699;";
		  } elseif($pool_stand < 1) {
		  	$tooltip = "!! Poolstunden fast ausgesch&ouml;pft !!<br />$tooltip";
		  	$bgcolor = "background-color:#FF6699;";
		  }
	    } else {
		  $mon_ts = date('Y-m-d', mktime(0,0,0,date('n'),1,date('Y')));
		  $dat_fm = $this->fls_folgemonat($mon_ts);
		  $kapp_mod = $this->fls_kappung($mon_ts);
		  if ($kapp_mod['kapp_pos'] == 1 && $dat_fm > 0){
		    if($dat_fm > $kapp_mod['kapp_pos_wert']) {
		  	$tooltip = "!! ACHTUNG! max. m&ouml;gl. Sollstunden &uuml;berschritten !!<br />$tooltip";
		  	$bgcolor = "background-color:#FF6699;";
		    } elseif($dat_fm + 1 > $kapp_mod['kapp_pos_wert']) {
		  	$tooltip = "!! max. m&ouml;gl. Sollstunden fast erreicht !!<br />$tooltip";
		  	$bgcolor = "background-color:#FF6699;";
		    }
		  }
	    }
	  }

	  $link = $verlinkt ? "<a href=\"$tg.php?proj_id=$this->id\" " : "<b ";
	  if($blink) $link .= "name=\"blink\"";
	  elseif(!empty($lm['blink'])) $link .= $lm['blink'];
	  $link .= " style=\"color:$co;$bgcolor\"";
	  if (strlen($ti) == 0) {
		$ti = "Hauptbetreuer: " . $this->hb_name();
	  }
	  $tooltip = str_replace("vname()", $this->vname(), $tooltip);
	  $tooltip = str_replace("nname()", $this->nname(), $tooltip);
	  $tooltip = str_replace("ort()", $this->he_info('ort'), $tooltip);
	  if($nurDieserTooltip) {
		if($tooltip === "HB") $link .= stwToolTip($this->hb_name());
		elseif(strlen($tooltip) > 0) $link .= stwToolTip($tooltip);
	  } else $link .= stwToolTip($tooltip=="" ? $ti : "<b>$tooltip</b><br>$ti", false);
	  $link .= '>';
	  if(getConf('pro_blinken_aus')) $blink = false;
		$ha = abfrage("select hilfeart from tb_hilfeart where hilfeart_id = '$this->ha';");
		$ja = abfrage("select t2.kurzname from tb_kontakte_ap t1 left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0' where t1.ap_id = '$this->sb';");
		$initialen=abfrage("select concat(left(t2.vorname,1),left(t2.name,1))
							from tbh_proj_personen t1
							left join tb_personen t2 using(person_id)
							where t1.proj_id = '$this->id' and t1.perstyp_id=1;");

		$link .= $ha[0] . ' ' . $this->nr . ' ' . $initialen[0] . ' ';
	  if($verlinkt) {
		$link .= "</a><b ";
		if($blink) $link .= "name=\"blink\"";
		elseif(!empty($lm['blink'])) $link .= $lm['blink'];
		$link .= " style=\"cursor:crosshair;font-style:italic;color:$co;$bgcolor\"";
		$az = abfrage("select right(az,8) from tb_projekte where proj_id='$this->id'");
		$txt = $ha[0] . $this->nr . $initialen[0] . $ja[0] . (empty($az[0]) ? '' : (' - '.$az[0]));
		$text = "<textarea style=\"height:20px;text-align:center;padding:5px\" id=\"pr_az_".$this->id."\" cols=\"".strlen($txt)."\">$txt</textarea>";
		$text = str_replace("'", "\'", $text);
		$text = htmlentities($text,ENT_COMPAT|ENT_SUBSTITUTE,'ISO-8859-1');
		$link .= "onmousedown=\"Tip('$text', BGCOLOR, '#333333', ";
		$link .= "BORDERCOLOR, '#FFCC00', FONTCOLOR, '#CCCCCC', ";
		$link .= "TITLE, 'Aktenzeichen', TITLEBGCOLOR, '#FFFFFF', ";
		$link .= "TITLEFONTCOLOR, '#000000', CLOSEBTN, 1, TITLEFONTSIZE, '12px', ";
		$link .= "CLOSEBTNCOLORS, ['#000000','#FFCC00','#666666','#FFCC00'], ";
		$link .= "DELAY, 0, FOLLOWMOUSE, 0, OFFSETX, 3, LEFT, 1, STICKY, 1, ";
		$link .= "FADEIN, 0, TITLEALIGN, 'center', TITLEFONTSIZE, '10px')\" ";
		$link .= "onmouseup=\"document.getElementById('pr_az_".$this->id."').focus(); ";
		$link .= "document.getElementById('pr_az_".$this->id."').select();\" ";
		$link .= ">";
	  }
	  $link .= $ja[0] . "</b>\n";
	  $verbund = abfrage1("SELECT verbund_id FROM tb_pro_verbund WHERE datetime_bis IS NULL and proj_id = '$this->id'");
	  if(mysql_num_rows($verbund) > 0) {
		$id = mysql_fetch_row($verbund);
		$vpid = abfrage("select proj_id from tb_pro_verbund where verbund_id='$id[0]' and proj_id != '$this->id'");
		$vpr = abfrage("select unix_timestamp(ende), projektnr from tb_projekte where proj_id='$vpid[0]'");
		$beendet = ($vpr[0] > 0 && $vpr[0] < time());
		if($vpr[1] < 900) {
			$color = $beendet ? '#96B096' : '#008000';
		} elseif($vpr[1] >= 6000 && $vpr[1] < 7000) {
			$color = $beendet ? '#CC6666' : 'red';
		} else {
			$color = $beendet ? '#969696' : '#FFCC00';
		}
		$link .= $verlinkt ? "<a href=\"pro_daten.php?proj_id=$vpid[0]\"" : "<b";
		$link .= stwToolTip('verbundenes Projekt: <b>' . projektnummer($vpid[0]) . '</b>');
		$link .= " style=\"color:$color;position:relative;top:-4px;\">v</";
		$link .= $verlinkt ? "a>" : "b>";
	  }
	  return $link;
	}

	/* Einverstaendniserklaerung Sachbericht (mahnendes 'S') */
	function sbS($show = true) {
		$heute = mktime(0,0,0,date('n'),date('j'),date('Y'));
		if($this->beginn_ts() > $heute) return false;
		$ps = abfrage1("select p.proj_id from tb_sachbericht s left join tb_sachbericht_proj p using(sb_id) 
						where p.proj_id='".$this->id."' and s.einverst = 'j'");
		if(mysql_num_rows($ps) == 0) return false;
		/* falls nur interessiert, ob Projekt im Sachbericht... */
		if($show == false) return true;
		$silvester = mktime(0,0,0,12,31,date('Y'));
		$rest = ($this->ende_ts() - $heute) / 86400;
		$rest2 = ($silvester - $heute) / 86400;
		$wochen = number_format(min($rest,$rest2) / 7, 0);
		if($wochen < 7) {
			$einv = abfrage("select einverst from tb_projekte where proj_id='".$this->id."'");
			if(empty($einv[0])) {
				echo "<b style=\"color:white\"";
				echo stwToolTip("Einverst&auml;ndniserkl&auml;rung f&uuml;r Sachbericht<br />noch nicht unterzeichnet");
				echo ">S</b>";
				return;
			}
		}
		$hpz = abfrage("select z.hp_id from tb_hp_praxisziele z
						left join tb_hp h using(hp_id)
						where h.proj_id = '$this->id'
						and z.kategorie = 0
						order by datum desc limit 1");
		if(!empty($hpz[0])) {
			echo "<a href=\"pro_hp2.php?hp_id=$hpz[0]&amp;proj_id=$this->id\" style=\"color:#88FF88\"";
			echo stwToolTip("Ziele ohne Zielkategorien!<br />(Notwendig f&uuml;r Sachbericht)");
			echo ">S</a>";
		}
	}

	function erwachsenenprojekt() {
		/* sollen volljaehrige Hilfeempfaenger ueberhaupt gemahnt werden? */
		if(!getConf('pro_adult')) return true;
		/* ist die Hilfeart des aktuellen Projekts eine Ausnahme? */
		$adult = abfrage("select adult from tb_hilfeart where hilfeart_id = '$this->ha'");
		return $adult[0]=='j';
	}

	function wost() {
		/* aktuelle Wochenstunden Datum ermitteln */
		$sql  = "select hp_id, hp_st from tb_hp where proj_id = '$this->id' ";
		$sql .= "and hp_art in ('h','h2','s') and prognose = 'n' ";
		$sql .= "and to_days(and_datum) <= to_days(curdate()) ";
		$sql .= "order by and_datum desc limit 1;";
		$dat = abfrage($sql);

		if($dat[0]) $wost = $dat[1];
		elseif($this->nr < 1000) {
			$sql = "select anfrage_std from tb_projekte where proj_id = '$this->id';";
			$hp = abfrage($sql);
			$wost = $hp[0];
		}
		return $wost;
	}

	function wost_f($datum = '0000-00-00') {
		/* Wochenstunden ohne Fallbegleitung ermitteln */
		$wost = ($datum == '0000-00-00') ? $this->wost() : $this->wost_datum($datum);
		if($this->fallbegleitung($datum)) $wost -= 1;
		return $wost;
	}

	function fallbegleitung($datum = '0000-00-00') {
		if(!$this->kontaktst($datum)) return false;
		$sql  = "select fallbegl from tb_hp where proj_id = '$this->id' and and_datum <= ";
		$sql .= ($datum == '0000-00-00') ? "curdate()" : "'$datum'";
		$sql .= " and hp_art in ('h','h2','s') and prognose = 'n'";
		$sql .= " order by and_datum desc limit 1";
		$hp = abfrage($sql);
		if($hp[0] == 'j') return true;
		return false;
	}

	function kontaktst($datum = '0000-00-00') {
		$sql  = "select kontakt from tb_hp where proj_id = '$this->id' and ";
		if($datum == '0000-00-00') $ts = time();
		else {
			list($jahr, $monat, $tag) = explode("-", $datum);
			$ts = mktime(0,0,0,$monat,$tag,$jahr);
		}
		if($this->beginn_ts() > $ts) {
			$ts = mktime(0,0,0,date('n', $ts)+1,date('d', $ts),date('Y', $ts));
			$sql .= "unix_timestamp(and_datum) < '$ts'";
		} else {
			$sql .= "and_datum <= ";
			$sql .= ($datum == '0000-00-00') ? "curdate()" : "'$datum'";
		}
		$sql .= " and hp_art in ('h','h2','s') and prognose = 'n'";
		$sql .= " order by and_datum desc limit 1";
		$hp = abfrage($sql);
		if($hp[0] == 'j') return true;
		return false;
	}

	function wost_kontakt_fahrzeit($datum = '0000-00-00') {
		/* aktuell gueltige Fahrtstunden zu Kontaktstunden ermitteln */
		if(!$this->kontaktst($datum)) return 0;
		$sql = "select hp_id from tb_hp where proj_id = '$this->id' ";
		$sql .= "and hp_art in ('h','h2','s') and prognose = 'n';";
		$res = abfrage1($sql);
		if (mysql_num_rows($res) > 0) {
			$sql  = "select max(and_datum) from tb_hp where proj_id = '$this->id' ";
			$sql .= "and hp_art in ('h','h2','s') and prognose = 'n' ";
			if($datum == '0000-00-00')
				$sql .= "and to_days(and_datum) <= to_days(curdate());";
			else $sql .= "and to_days(and_datum) <= to_days('$datum');";
			$dat = abfrage($sql);
			$sql  = "select kontakt_fz from tb_hp where proj_id = '$this->id' ";
			$sql .= "and and_datum = '$dat[0]' and hp_art in ('h','h2','s') ";
			$sql .= "and prognose = 'n';";
			$st = abfrage($sql);
			$kofzst = empty($st[0]) ? 0 : $st[0];
		} else {
			$sql = "select anfrage_std_kont_fz from tb_projekte where proj_id = '$this->id';";
			$st = abfrage($sql);
			$kofzst = empty($st[0]) ? 0 : $st[0];
		}
		return $kofzst;
	}

	function wost_kontaktstunden($datum = '0000-00-00', $fb_substract = true) {
		$fb = $this->fallbegleitung($datum) && $fb_substract ? 1 : 0;
		if($datum == '0000-00-00' || $datum == date('Y-m-d'))
			return $this->wost() - $this->wost_kontakt_fahrzeit() - $fb;
		list($jahr, $monat, $tag) = explode("-", $datum);
		$ts = mktime(0,0,0,$monat,$tag,$jahr);
		if($this->beginn_ts() > $ts) 
			return $this->wost_datum(date('Y-m-d', $this->beginn_ts())) - $this->wost_kontakt_fahrzeit(date('Y-m-d', $this->beginn_ts())) - $fb;
		return $this->wost_datum($datum) - $this->wost_kontakt_fahrzeit($datum) - $fb;
	}

	function wost_datum($datum) {
	/* Wochenstunden zum uebergebenen Datum ermitteln */
      $sql  = "select hp_id from tb_hp where proj_id = '$this->id' ";
      $sql .= "and hp_art in ('h','h2','s') and prognose = 'n';";
      $res = abfrage1($sql);

      if (mysql_num_rows($res) > 0) {
      	$sql  = "select max(and_datum) from tb_hp where proj_id = '$this->id' ";
      	$sql .= "and hp_art in ('h','h2','s') and prognose = 'n' ";
      	$sql .= "and to_days(and_datum) <= to_days('$datum');";
      	$dat = abfrage($sql);

      	$sql  = "select hp_st from tb_hp where proj_id = '$this->id' ";
      	$sql .= "and and_datum = '$dat[0]' and hp_art in ('h','h2','s') ";
      	$sql .= "and prognose = 'n' ";
      	$sql .= "and to_days(and_datum) <= to_days('$datum');";
      	$st = abfrage($sql);

      	$wostd = $st[0];

      } else {

      	$sql  = "select anfrage_std from tb_projekte ";
      	$sql .= "where proj_id = '$this->id'";
        $hp = abfrage($sql);
        $wostd = $hp[0];
      }

      return $wostd;
	}

    /*
     * Wochenstunden zum angegebenen Datum ermitteln.
     */
    function wost_datum_azk($datum)
    {
      $sql  = "SELECT hp_st FROM tb_hp WHERE proj_id = '".$this->id."' ";
      $sql .= "AND hp_art IN ('h', 'h2', 's') AND and_datum <= '";

      $sql .= $datum."' ";
      $sql .= "ORDER BY and_datum DESC";

      $erg  = abfrage1($sql);
      $num  = mysql_num_rows($erg);

      if ($num > 0)
      {
        $hp = mysql_fetch_row($erg);
        $wostd = $hp[0];
      }
      else
      {
        $sql = "SELECT anfrage_std FROM tb_projekte WHERE proj_id = '".$this->id."'";
        $hp  = abfrage($sql);

        $wostd = $hp[0];
      }
      
      return $wostd;
    }

    function hb() {
    	$sql  = "select pers_id from tbh_pers_proj ";
    	$sql .= "where proj_id = '$this->id' and personaltyp_id = 1;";
    	$res = abfrage($sql);
      return $res[0];
    }


    /* Name des Hauptbetreuers ermitteln */
    function hb_name() {
    	return pers_name($this->hb());
    }


    /* Kurzname des Hauptbetreuers ermitteln */
    function hb_kname() {
    	return pers_kname($this->hb());
    }

    function vname() {
        $name = abfrage("select t2.vorname from tbh_proj_personen t1
                left join tb_personen t2 using(person_id)
                where t1.proj_id = '$this->id' and t1.perstyp_id=1;");
        return $name[0];
        }

    function nname() {
        $name = abfrage("select t2.name from tbh_proj_personen t1
                left join tb_personen t2 using(person_id)
                where t1.proj_id = '$this->id' and t1.perstyp_id=1;");
        return $name[0];
        }

	function in_abteilung($abt_id) {
		if($abt_id == $this->abt_id) return true;
		$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$this->id'");
		while ($abt = mysql_fetch_row($abts)){
			if($abt_id == $abt[0]) return true;
		} return false;
	}
	
    function he_info($info) {
        $sql = "select t2.telmobil,
                (year(curdate()) - year(t2.geboren))
                  - (right(curdate(),5) < right(t2.geboren,5)) as age,
                date_format(t2.geboren, '%d.%m.%Y') as geboren,
                t3.ort,
                t3.strasse,
                t3.telefon,
                t2.email,
                t1.person_id,
                t3.entfernung,
                t3.plz,
				t3.sozialraum,
				t2.geschlecht,
				t3.fax,
				t3.adress_id
        		    from tbh_proj_personen t1
                left join tb_personen t2 using(person_id)
                left join tb_p_adressen t3 using(adress_id)
                where t1.proj_id = '$this->id' and t1.perstyp_id = 1;";
        $zle = abfrage_assoc($sql);

        switch ($info) {
            case 'alter': return ($zle['age'] < 100) ? $zle['age'] : '';
            case 'geboren': return $zle['geboren'];
            case 'plz': return $zle['plz'];
            case 'ort': return $zle['ort'];
            case 'str': case 'strasse': return $zle['strasse'];
            case 'tel': return (empty($zle['telmobil'])) ? $zle['telefon'] : $zle['telmobil'];
            case 'email': return $zle['email'];
            case 'id': case 'person_id': return $zle['person_id'];
            case 'adress_id': return $zle['adress_id'];
            case 'entfernung': return $zle['entfernung'];
            case 'telefon': return $zle['telefon'];
            case 'mobil': case 'telmobil': return $zle['telmobil'];
            case 'fax': return $zle['fax'];
            case 'geschlecht': return $zle['geschlecht'];
            case 'sozialraum': return empty($zle['sozialraum']) ? getSozialraum($zle['plz'], $zle['ort']) : $zle['sozialraum'];
        }
	}

	function nummer() {
		// Hilfeart-Kuerzel ermitteln
		$ha = abfrage_assoc("select hilfeart from tb_hilfeart ".
							"where hilfeart_id = '$this->ha';");
		// Kurzname des Jugendamts ermitteln und ausgeben
		$ja = abfrage_assoc("select t2.kurzname from tb_kontakte_ap t1 ".
							"left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0' ".
							"where t1.ap_id = '$this->sb';");
		$initialen=abfrage("select concat(left(t2.vorname,1),left(t2.name,1))
							from tbh_proj_personen t1
							left join tb_personen t2 using(person_id)
							where t1.proj_id = '$this->id' and t1.perstyp_id=1;");

		$nr  = $ha['hilfeart'];
		$nr .= ' ';
		$nr .= $this->nr;
		$nr .= ' ';
		$nr .= $initialen[0];
		$nr .= ' ';
		$nr .= $ja['kurzname'];

		return $nr;
	}

  function name() {
  	return $this->vname() . ' ' . $this->nname();
  }

  function kname() {
  	return substr($this->vname(),0,1) . '. ' . $this->nname();
  }

	function beginn() {
		return ($this->beginn_ts() == 0) ? '' : date('d.m.Y', $this->beginn_ts());
	}

	function beginn_ts() {
		$beginn = abfrage("select unix_timestamp(and_datum)
							from tb_hp
							where proj_id = '$this->id'
							and hp_art in ('h','h2','s')
							and prognose = 'n'
							and and_datum is not null
							and and_datum != '0000-00-00'
							order by unix_timestamp(and_datum) asc
							limit 1;");
		return intval($beginn[0]);
	}

	function ende_ts() {
		$end = abfrage("select unix_timestamp(ende) from tb_projekte
						where proj_id = '$this->id';");
		return intval($end[0]);
	}

	function ende() {
	  $end = $this->ende_ts();
		return (empty($end)) ? '' : date('d.m.Y', $end);
	}

	function kzu_ts(){
	  $kzu = abfrage("select unix_timestamp(kostenzus) from tb_projekte
	                 where proj_id = '$this->id';");
		return $kzu[0];
	}

	function kzu() {
	  $kzu = $this->kzu_ts();
		return (empty($kzu)) ? '' : date('d.m.Y', $kzu);
	}

	function kzu_ende_ts(){
	  $kzu = abfrage("select unix_timestamp(kostenzus_ende) from tb_projekte
	                 where proj_id = '$this->id';");
		return $kzu[0];
	}

	function kzu_ende() {
	  $kzu = $this->kzu_ende_ts();
		return (empty($kzu)) ? '' : date('d.m.Y', $kzu);
	}

  /*
   * Ueberprueft ob das Projekt ein Poolstundenprojekt ist. Dafuer muss
   * es mehr als 0.0 Stunden haben.
   */
  function pool()
  {
    $pool = $this->pool_st();
    if (empty($pool) || $pool <= 0.0) return false;

    return true;
  }

	function pool_style($align = 'center') {
		$style = '';
		if($this->pool()) {
			$pool_gesamt = $this->pool_st();
			$pool_stand  = $this->pool_stand();
			$pool_gel    = $pool_gesamt - $pool_stand;
			$prozent     = 100 * $pool_gel/$pool_gesamt;
			if ($prozent < 75.0) $style = "style=\"text-align:$align;color:#00FF00\"";
			elseif ($prozent >= 75.0 && $prozent <= 90.0) $style = "style=\"text-align:$align;color:#FFCC00\"";
			elseif ($prozent > 90.0 && $prozent <= 100.0) $style = "style=\"text-align:$align;color:#FF9900\"";
			else $style = "style=\"text-align:$align;color:#FF0000;text-decoration:blink\"";
		}
		return $style;
	}

	function pool_P($stwtooltip = true) {
		if($this->pool()) {
			if($stwtooltip) {
				$return = "<span id=\"pool_p_".$this->id."\"><b style=\"color:#DDDDDD\">P</b>";
				$return .= "<script language=\"Javascript\"><!--\n";
				$return .= "xajax_pool_p(".$this->id.");\n";
				$return .= "--></script></span>\n";
				return $return;
			}
			$text  = "P";
			$style = $this->pool_style();
			$pool_st = $this->pool_st();
			$pool_geleistet = $this->pool_geleistet();
			$pool_stand = $this->pool_stand();
			$titel = fls_form($pool_st)." - ".fls_form($pool_geleistet);
			if(($pool_stand > $pool_st - $pool_geleistet + 0.25) || ($pool_stand < $pool_st - $pool_geleistet - 0.25)) {
				$uebertrag = $pool_st - $pool_stand - $pool_geleistet;
				$titel .= $uebertrag>0 ? ' - ' : ' + ';
				$titel .= fls_form($uebertrag>0 ? $uebertrag : (-1 * $uebertrag));
				$titel .= " (Pool&uuml;bertragungen)";
			}
			$titel .= " = " . fls_form($pool_stand);
			return "<b title=\"$titel\" $style>$text</b>";
		}
		return '';
	}

	function pool_st() {
		$pool = abfrage("select pool from tb_projekte
						where proj_id = '$this->id';");
		return $pool[0];
	}

	function pool_rechnung($abm = NULL){
		if (empty($abm)){
			$ts = time();
		} else {
			$ts = date_isodate_stamp($abm);
		}
		$sql = "select sum(menge) from tb_ab_rechnung
				where proj_id='$this->id' and typ='h'
				and unix_timestamp(ab_monat) <= $ts";
		$menge = abfrage($sql);
		return $menge[0];
	}

	function pool_geleistet($abm = NULL){
		if (empty($abm)){
			$ts = time();
		} else {
			$ts = date_isodate_stamp($abm);
		}

		$beg = abfrage("select unix_timestamp(ab_monat) from tb_ab_zk where proj_id='$this->id' and unix_timestamp(ab_monat) > 0 order by ab_monat asc limit 1");
		if(empty($beg[0])) $beg[0] = $this->beginn_ts();
		$run = mktime(0,0,0,date('n', $beg[0]), 1, date('Y', $beg[0]));
		$pool = 0;
		while ($run <= $ts){
			$dat = date('Y-m-d', $run);
			$pool += $this->fls_gesamt($dat, true);
			$run = mktime(0,0,0, date('n', $run) + 1, 1, date('Y', $run));
		}
		return $pool;
	}

	function pool_stand($abm = NULL){
		if (empty($abm)){
			$ts = mktime(0,0,0,date('n'),1,date('Y'));
		} else {
			$ts = date_isodate_stamp($abm);
		}

		$ueb = abfrage("select sum(stunden) from tb_ab_pool
						where proj2 = '$this->id'
						and unix_timestamp(ab_monat) <= $ts
						group by proj2;");

		$uea = abfrage("select sum(stunden) from tb_ab_pool
						where proj1 = '$this->id'
						and unix_timestamp(ab_monat) <= $ts
						group by proj1;");

		return $this->pool_st() - $uea[0] + $ueb[0] - $this->pool_geleistet($abm);
	}

	// BLOCK FLS -- Funktionen fuer die FLS-Abrechnung

	// fls_tag - ermittelt FLS-Soll pro Tag und Projekt
	function fls_tag($ts){
		$hp = abfrage("select hp_st, kontakt, kontakt_fz from tb_hp
                    where proj_id = '$this->id'
                    and (hp_art = 'h' or hp_art = 'h2' or (hp_art = 's' and prognose = 'n'))
                    and unix_timestamp(and_datum) <= '$ts'
                    order by unix_timestamp(and_datum) desc
                    limit 1;");


		$nulleins = array(0,1);
		$hpst = $hp[1] == 'j' ? $hp[0] - $hp[2] : $hp[0];
		if (getConf('fls_soll') == 1 && in_array($this->k_fls_soll, $nulleins)){
			return (arbeitstag($ts)) ? round($hpst / 5, 2) : 0;
		} else {
			return round($hpst / 7, 2);
		}
	}

   /*
    * Klassenfunktion fls_monat_433 berechnet FLS-Sollstunden pro Monat
    * WStd.SOLL * Kalendertage gueltig / Kalendertage Monat * 4.33
    */
   function fls_monat_433($dat) {
	  $fls = 0;
      list($jahr, $monat, $tag) = explode("-", $dat);
	  $ts = date_my2ts($dat);
	  $kalendertage = date('t',$ts);
	  $last = $kalendertage;
	  $ende = $this->ende_ts();
	  if($ende > 0 && $ende <= mktime(0,0,0,$monat,$last,$jahr)) {
		if(date('Y',$ende) == $jahr && date('n',$ende) < $monat || date('Y',$ende) < $jahr) return 0;
		$last = date('j', $ende);
	  }
      $sql="select hp_id, hp_st, year(and_datum), month(and_datum), day(and_datum), kontakt_fz
			from tb_hp where proj_id = '$this->id'
			and hp_art in ('h','h2','s') and prognose = 'n'
			and and_datum < date_add('$dat',INTERVAL 1 MONTH)
			and unix_timestamp(and_datum) > 0
			order by and_datum desc";
      $res = abfrage1($sql);
	  $hours = array();
      if (mysql_num_rows($res) > 0) {
		while($hp = mysql_fetch_row($res)) {
			if($hp[2] < $jahr || ($hp[2] == $jahr && $hp[3] < $monat)) $to = 1;
			else $to = $hp[4];
			for($i=$last; $i>=$to; $i--) $hours[$i] = $hp[1]-$hp[5];
			if($to == 1) break;
			$last = $hp[4]-1;
		}
      }
	  $hours[32] = 0;
	  $lastH = 0;
	  $k = 0;
	  foreach($hours as $h) {
		if($h != $lastH) {
			$fls += $lastH * ($k / $kalendertage) * 4.33;
			$k = 0;
		}
		$lastH = $h;
		$k++;
	  }
      return $fls;
   }

   /*
    * Klassenfunktion fls_monat die die FLS-Sollstunden pro Monat und pro
    * Projekt berechnet.
    */
   function fls_monat($dat)
   {
     /* den Cache pruefen */
     $cache = new stwCache($this->id, $dat);
     $erg   = $cache->get_fls_monat();

     /* wenn das Ergebnis gueltig ist zurueckgeben */
     if ($erg) {
/*         $tmpErg = floor($erg * 10);
         $tmp = ($erg * 10) - $tmpErg;
         if($tmp < 0.3) $erg = ($tmpErg / 10);
         elseif($tmp < 0.7) $erg = ($tmpErg / 10) + 0.05;
         else $erg = ($tmpErg / 10) + 0.1;*/
	   return $erg;
     }


// DD





      /*--- Teil 1: Brutto-Soll-Stunden ermitteln ---*/
      $erst = date_isodate_stamp($dat);
      $letz = mktime(0,0,0,date('n', $erst),date('t', $erst), date('Y', $erst));

      $beginn = $this->beginn_ts();
      $dauer = abfrage("select unix_timestamp(ende)
		                  from tb_projekte where proj_id = '$this->id';");

      // Beginn ermitteln:
      $beg = (!empty($beginn) && $beginn > $erst) ? $beginn : $erst;

      // Ende ermitteln
      $end = (!empty($dauer[0]) && $dauer[0] < $letz) ? $dauer[0] : $letz;

      $hpst = 0;

		// wenn k_fls_soll in Konf oder Auftraggeber auf 3 steht:
		// -> Monatspauschale

		// ermitteln, ob $beg der Monatserste ist
		$beg_1 = (date('j', $beg) == 1) ? true : false;
		// ermitteln, ob $end der Monatsletzte ist
		$end_l = (date('j', $end) == date('t', $beg)) ? true : false;

		// wenn fls_soll in konf oder Auftraggeber auf 3 steht und die Hilfe
		// den gesamten Kalendermonatmonat umfasst, weitere Ermittlungen ...
		if ((getConf('fls_soll') == 3 || $this->k_fls_soll == 3) &&
			$beg_1 == true && $end_l == true){

			// Anzahl Stundenuenderungen im laufenden Monat ermitteln
			$end_mysql = date('Y-m-d', $end);


			$sql  = "select hp_st from tb_hp where proj_id = '$this->id' ";
			$sql .= "and (hp_art = 'h' or hp_art = 'h2' or ";
			$sql .= "(hp_art = 's' and prognose = 'n')) and ";
			$sql .= "and_datum > '$dat' and and_datum <= '$end_mysql';";
			$anz_hpst = abfrage1($sql);

			// wenn Stundenuenderungen im Monat -> ermitteln, ob Stundenzahl
			// sich dabei geaendert hat
			// wenn ja -> $fls_soll_3 auf FALSE setzen
			if (mysql_num_rows($anz_hpst) > 0){
				$wost_erst = $this->wost_datum($dat);
				while ($hst = mysql_fetch_row($anz_hpst)){
					if ($hst[0] != $wost_erst){
						$fls_soll_3 = false;
						break;
					}
				}
			} else {
				$fls_soll_3 = true;
			}
		}

		if ($fls_soll_3 == true ){
			$wost = $this->kontaktst($dat) ? $this->wost_kontaktstunden($dat) : $this->wost_datum($dat);
			$hpst = $wost * 13 / 3;
		} else {
			$day = $beg;
			while ($day <= $end){
				$hpst += $this->fls_tag($day);
				$day = mktime(0,0,0,date('n', $day), date('j', $day) + 1, date('Y', $day));
			}
		}

		/*--- Teil 2: eventuelle Abzuege ermitteln ---*/

		// Kuerzung Projekt-Sollstunden bei Fehlzeiten Hauptbetreuer?
		// ALT: $fr = array('VWG', 'VER', 'LOM', 'SFK');
		// neu: Datenfeld fls_fz in tb_hilfeart
		// ---> stwProjekt->fls_fz

		// ALT: if (in_array($this->h_art, $fr)){
		if ($this->fls_fzk == 1){
			$res = abfrage1("select unix_timestamp(t.von),
							unix_timestamp(t.bis), t.terminart
							from tbh_pers_proj p
							left join tb_fehlz f on p.pers_id = f.pers_id
							left join tb_termine t on f.termin_id = t.termin_id
							where p.proj_id = '$this->id'
							and p.personaltyp_id = 1
							and t.terminart in ('u', 'k', 'w', 'kk', 'wbu', 'ez', 'kol', 'ms')
							and unix_timestamp(t.von) <= '$letz'
							and unix_timestamp(t.bis) >= '$erst';");

			if (mysql_num_rows($res) > 0){
				while ($row = mysql_fetch_row($res)){
					// Korrektur der Abzugsregel Urlaub erst ab 01.07.2005
					$grenze = mktime(0,0,0,7,1,2005);
					if ($beg < $grenze){ // wenn Beginn vor 01.07.2005
						$f1 = $row[0];
						$f2 = $row[1];
					} else {
						if ($row[0] <= $beg){
							$f1 = $beg;
						} else {
							$f1 = $row[0];
						}

						if ($row[1] >= $end){
							$f2 = $end;
						} else {
							$f2 = $row[1];
						}
					}

					$tag = $f1;

          while ($tag <= $f2)
          {
            /* Kind krank wird erst ab 01.08.2007 abgezogen */
            if ($row[2] == "kk" && $tag < 1185919200)
            {
              $fls = 0.0;
            }
            else
            {
              $fls = $this->fls_tag($tag);
            }

            $hpst -= $fls;
            $tag = mktime(0,0,0,date('n', $tag), date('j', $tag) + 1, date('Y', $tag));
					}
				}
			}
		}
		$pool = abfrage("select pool from tb_projekte where proj_id = '{$_POST["proj1"]}';");
		if(empty($pool[0]) || $pool[0]=='0.00') $pool[0] = 0;
		else {
			// Abzug aller Pool-Uebertraege in andere Pools
			$pool = abfrage("select sum(stunden) from tb_ab_pool
							where proj1 = '$this->id'
							and ab_monat = '$dat'
							group by proj1;");
		} 
		$return = $hpst - $pool[0];


    if (getConf('fls_soll_rund') == 1)
    {
      $return = floor($return * 2) / 2;
/*    } else {
		$tmpErg = floor($return * 10);
		$tmp = ($return * 10) - $tmpErg;
		if($tmp < 0.3) $return = ($tmpErg / 10);
		elseif($tmp < 0.7) $return = ($tmpErg / 10) + 0.05;
		else $return = ($tmpErg / 10) + 0.1;*/
	}

    /*
     * Schaun ob es schon ein Eintag in der Tabelle vorhanden ist
     * es kann sein das der Eintrag NULL war.
     */
    $sql  = "SELECT monat FROM tb_azk_proj WHERE proj_id='".$this->id."' ";
    $sql .= "AND datum='".$dat."';";

    $erg  = abfrage1($sql);
    if (mysql_num_rows($erg) > 0) {
    	$sql  = "UPDATE tb_azk_proj SET monat='".$return."' ";
      $sql .= "WHERE proj_id='".$this->id."' AND datum='".$dat."';";
    } else {
      /* noch kein Eintrag vorhanden */
      $sql  = "INSERT INTO tb_azk_proj SET proj_id='".$this->id."', ";
      $sql .= "datum='".$dat."', monat='".$return."';";
    }

    mysql_query($sql);
		return $return;
	}

	// ermittelt die geleisteten FLS netto (ohne Fahrzeiten o.ae.) je MA + Monat
	function fls_gel_netto_pers($pers_id, $dat){
		if(projekt_ab_nach_ende($this->id,false)) {
			list($y,$m,$d) = explode("-", $dat);
			$gel = abfrage("select sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600
							from tb_ab_zk z left join tb_termine t using(termin_id)
							where z.proj_id = '$this->id' and z.pers_id = '$pers_id'
							and month(t.von) = '$m' and year(t.von) = '$y'
							and (z.ab = 'j' or z.ab = 'u')
							group by z.pers_id;");
		} else {
			$and = fls_and($dat);
			$gel = abfrage("select
							sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600
							from tb_ab_zk z
							where z.proj_id = '$this->id'
							and z.pers_id = '$pers_id'
							$and
							and (z.ab = 'j' or z.ab = 'u')
							group by z.pers_id;");
		}
		return round($gel[0], 2);
	}


	function fls_gel_netto_pers_azk($pers_id, $dat){
		if ($this->fls_azk == 1){
			$fls = $this->fls_gel_netto_pers($pers_id, $dat);

			if (getConf('azk_kapp') == 1){
				// welche AZV zum gegebenen Zeitpunkt relevant?
				$paz = abfrage("select fallunsp_satz from tb_paz
							where pers_id = $pers_id
							and to_days('$dat') >= to_days(von)
							order by to_days(von) desc
							limit 1;");


				// Die "Montagsregel wird zum 01.10.2005 ($aufhebung) aufgehoben! ;->
				// Darum greift die Kuerzung nur so lange, wie $datum vor $aufhebung liegt!

				$aufhebung = mktime(0,0,0,10,1,2005);
				$datum = date_isodate_stamp($dat);


				if ($paz[0] > 0 && $datum < $aufhebung){

					$sql = "select time_to_sec(t.von)/3600, time_to_sec(t.bis)/3600
							from tb_ab_zk z
							left join tb_termine t using(termin_id)
							where proj_id = '$this->id'
							and pers_id = '$pers_id'
							and ab_monat = '$dat'
							and ab = 'j'
							and dayofweek(t.von) = 2
							and hour(t.von) < 12
							and hour(t.bis) > 9;";
					$res = mysql_query($sql) or die(mysql_error());

					while ($row = mysql_fetch_row($res)){
						if ($row[0] < 9){
							$von = 9;
						} else {
							$von = $row[0];
						}

						if ($row[1] > 12){
							$bis = 12;
						} else {
							$bis = $row[1];
						}

						$abzug = $bis - $von;
						$fls = $fls - $abzug;
					}
				}

				$kapps = abfrage1( "select fm from tb_ab_proj_fm
									where proj_id = '$this->id'
									and ab_monat = '$dat';" );
				if(mysql_num_rows($kapps) == 0) {
					$parent = abfrage("select proj_id_parent from tb_pro_inheritance where proj_id_child='$this->id'");
					if($parent[0])
						$kapps = abfrage1( "select fm from tb_ab_proj_fm
											where proj_id = '$parent[0]'
											and ab_monat = '$dat';" );
				}
				$kapp = mysql_fetch_row($kapps);

				if ($this->fls_folgemonat($dat) > 10 && $pers_id == $this->hb() &&
					(!$this->pool() && $kapp[0] < 2)){
					$fls = $fls - ($this->fls_folgemonat($dat) - 10);
				}
			}
		} else {
			$fls = 0;
		}
		return $fls;
	}

	function fls_gel_netto($dat, $ignoreKorrekturZKs=false, $fls2=2){
		if($fls2==2) $fls2 = (getConf('traeger')!='jse');
		$and2 = $ignoreKorrekturZKs ? "and z.code != '@' " : '';
		$sq0 = "select sum(time_to_sec(";
		$sq0.= $fls2 ? "if(time_to_sec(z.fls2) > 0, z.fls2, z.fls)" : "z.fls";
		$sq0.= ")) / 3600 from tb_ab_zk z ";
		$sq1 = "and z.code != 'U' $and2";
		$sq2 = "and z.code = 'U' ";
		$sq3 = "group by z.proj_id;";
		if(projekt_ab_nach_ende($this->id,false)) {
			list($y,$m,$d) = explode("-", $dat);
			$sq0.= "left join tb_termine t using(termin_id)
					where z.proj_id = '$this->id'
					and month(t.von) = '$m' and year(t.von) = '$y'
					and z.ab = 'j' ";
		} else {
			$and = fls_and($dat);
			$sq0.= "where z.proj_id = '$this->id'
					$and
					and z.ab = 'j' ";
		}
		$gel = abfrage($sq0 . $sq1 . $sq3);
		$ge2 = abfrage($sq0 . $sq2 . $sq3);
		return round($gel[0] + (0.7 * $ge2[0]), 2);
	}

	// ermittelt Vor- und Nachbereitungszeit je MA + Monat
	function fls_vun_pers($pers_id, $dat){
		$sql = "select sum(time_to_sec(z.vun)) / 3600 from tb_ab_zk z ";
		if(projekt_ab_nach_ende($this->id,false)) {
			list($y,$m,$d) = explode("-", $dat);
			$sql.= "left join tb_termine t using(termin_id)
					where z.proj_id = '$this->id'
					and month(t.von) = '$m' and year(t.von) = '$y' ";
		} else {
			$and = fls_and($dat);
			$sql.= "where z.proj_id = '$this->id' $and ";
		}
		$sql.= "and z.pers_id = '$pers_id'
				and z.ab = 'j'
				group by z.pers_id;";
		$vun = abfrage($sql);
		return round($vun[0], 2);
	}

	// ermittelt Vor- und Nachbereitungszeit je Projekt + Monat
	function fls_vun($dat){
		$sql = "select pers_id from tb_ab_zk z ";
		if(projekt_ab_nach_ende($this->id,false)) {
			list($y,$m,$d) = explode("-", $dat);
			$sql.= "left join tb_termine t using(termin_id)
					where z.proj_id = '$this->id'
					and month(t.von) = '$m' and year(t.von) = '$y' ";
		} else {
			$and = fls_and($dat);
			$sql.= "where z.proj_id = '$this->id' $and ";
		}
		$sql.= "and z.ab = 'j'
				group by z.pers_id;";
		$erg = abfrage1($sql);

		$vun = 0;

		while ($zeile = mysql_fetch_row($erg)){
			$vun += $this->fls_vun_pers($zeile[0], $dat);
		}
		return $vun;
	}

	// ermittelt pauschale Vor- und Nachbereitungszeit
	function fls_vun_pauschal($dat){
		if(empty($this->pauschalVuN)) return 0;
		$sql = "select (time_to_sec(z.fls)), 
				(unix_timestamp(t.bis) - unix_timestamp(t.von) - time_to_sec(z.fls) - time_to_sec(z.vun))
				from tb_ab_zk z left join tb_termine t using(termin_id) ";
		if(projekt_ab_nach_ende($this->id,false)) {
			list($y,$m,$d) = explode("-", $dat);
			$sql.= "where z.proj_id = '$this->id'
					and month(t.von) = '$m' and year(t.von) = '$y' ";
		} else {
			$and = fls_and($dat);
			$sql.= "where z.proj_id = '$this->id' $and ";
		}
		if(sizeof($this->pauschalVuN) == 1) $sql.= "and z.code = '".$this->pauschalVuN[0]."' ";
		else $sql.= "and z.code in('".implode("','",$this->pauschalVuN)."') ";
		$sql.= "and z.ab = 'j';";
		$flss = abfrage1($sql);
		$flsfz = getFlsFz($dat, $this->id);
		$svun = 0;
		while($fls = mysql_fetch_row($flss)) {
			$vun = ($flsfz == 3) ? $fls[0]+$fls[1] : $fls[0];
			$vun = ceil(($this->prozVuN * $vun) / 100);
			/* VuN auf 5 Minuten runden */
			if($this->rund_prozVuN == 5) while($vun % 300 > 0) $vun++;
			$svun += $vun;
		}
		if($this->rund_prozVuN == 'j') while($svun % 300 > 0) $svun++;
		$svun = $svun / 3600;
		return round($svun, 2);
	}

	// ermittelt Spesen je Projekt + Monat (ja, es sind keine fls - passt hier aber gut dazu)
	function fls_spesen($dat){
		$sql = "select sum(spesen_betr) - sum(spesen_eig) from tb_ab_zk z ";
		if(projekt_ab_nach_ende($this->id,false)) {
			list($y,$m,$d) = explode("-", $dat);
			$sql.= "left join tb_termine t using(termin_id)
					where z.proj_id = '$this->id'
					and month(t.von) = '$m' and year(t.von) = '$y' ";
		} else {
			$and = fls_and($dat);
			$sql.= "where z.proj_id = '$this->id' $and ";
		}
		$sql.= "and z.ab = 'j';";
		$spesen = abfrage($sql);
		return $spesen[0];
	}

	function fls_doku_pers($pers_id, $dat){
		if (flsdoku($dat)){
			if ($this->doku == 1){
				$sql = "select case
							when sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600 <= 0 then 0
							when sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600 <= 16 then 0.25
							when sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600 <= 32 then 0.5
							when sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600 <= 48 then 0.75
							when sum(time_to_sec(if(time_to_sec(z.fls2) > 0, z.fls2, z.fls))) / 3600 > 48 then 1
						end
						from tb_ab_zk z ";
				if(projekt_ab_nach_ende($this->id,false)) {
					list($y,$m,$d) = explode("-", $dat);
					$sql.= "left join tb_termine t using(termin_id)
							where z.proj_id = '$this->id'
							and month(t.von) = '$m' and year(t.von) = '$y' ";
				} else {
					$and = fls_and($dat);
					$sql.= "where z.proj_id = '$this->id' $and ";
				}
				$sql.= "and z.ab = 'j'
						and z.pers_id = '$pers_id'
						group by z.pers_id;";
				$sum = abfrage($sql);
				return round($sum[0], 2);
			} else {
				return 0;
			}
		} else {
			return 0;
		}
	}

	function fls_doku($dat){
		if(!flsdoku($dat)) return 0;
		$sql = "select pers_id from tb_ab_zk z ";
		if(projekt_ab_nach_ende($this->id,false)) {
			list($y,$m,$d) = explode("-", $dat);
			$sql.= "left join tb_termine t using(termin_id)
					where z.proj_id = '$this->id'
					and month(t.von) = '$m' and year(t.von) = '$y' ";
		} else {
			$and = fls_and($dat);
			$sql.= "where z.proj_id = '$this->id' $and ";
		}
		$sql.= "and z.ab = 'j' group by z.pers_id;";
		$erg = abfrage1($sql);

		$doc = 0;

		while ($zeile = mysql_fetch_row($erg)){
			$doc = $doc + $this->fls_doku_pers($zeile[0], $dat);
		}
		return $doc;
	}

	function fls_fz_brutto_pers($pers_id, $dat){
		if(projekt_ab_nach_ende($this->id,false)) {
			list($y,$m,$d) = explode("-", $dat);
			$and = "and month(t.von) = '$m' and year(t.von) = '$y' ";
		} else $and = fls_and($dat);
		$gel = abfrage1("select (unix_timestamp(t.bis) - unix_timestamp(t.von) - time_to_sec(z.fls) - time_to_sec(z.vun)) / 3600,
						time_to_sec(z.fz2) / 3600
						from tb_ab_zk z
						left join tb_termine t using (termin_id)
						where z.proj_id = '$this->id'
						and z.pers_id = '$pers_id'
						$and
						and z.ab = 'j';");
		$sum = 0;
		while($ge = mysql_fetch_row($gel)) {
			$sum += ($ge[1]>0 ? $ge[1] : $ge[0]);
		}
		return round($sum, 2);
	}


	function fls_fz_netto_pers($pers_id, $dat){
		$fz = $this->fls_fz_brutto_pers($pers_id, $dat);
		$fls = $this->fls_gel_netto_pers($pers_id, $dat) +
			$this->fls_doku_pers($pers_id, $dat);
		if(getConf('vor_nach_b') == 1 || (getConf('tt_vor_nach_b') == 1))
			$fls += $this->fls_vun_pers($pers_id, $dat);
		if($this->kontaktst($dat)) return $fz;
		$conf_fls_fz = getFlsFz($dat);

		if ($conf_fls_fz == 1 || $conf_fls_fz == 3){
			return $fz;
		} elseif ($conf_fls_fz == 4) {
			return 2 * $fz / 3;
		} else {
			if ($fz > ($fls * 0.15)) {
				$fz2 = round($fls * 0.15, 2);
				if ($this->fz_kapp_modus == 1 && $this->fz_kapp_datum <= $dat){
					return round( $fz2 * 4 ) / 4;
				} else {
					return $fz2;
				}
			} else {
				return $fz;
			}
		}

	}

	function fls_fz_brutto($dat){
		$sql = "select z.pers_id from tb_ab_zk z ";
		if(projekt_ab_nach_ende($this->id,false)) {
			list($y,$m,$d) = explode("-", $dat);
			$sql.= "left join tb_termine t using(termin_id)
					where z.proj_id = '$this->id'
					and month(t.von) = '$m' and year(t.von) = '$y' ";
		} else {
			$and = fls_and($dat);
			$sql.= "where z.proj_id = '$this->id' $and ";
		}

		$sql.= "and z.ab = 'j'
				and z.pers_id > 0
				group by z.pers_id;";
		$res = mysql_query($sql) or die(mysql_error());
		$fz = 0;
		while ($row = mysql_fetch_row($res)){
			$fz = $fz + $this->fls_fz_brutto_pers($row[0], $dat);
		}

		return $fz;
	}

	function fls_fz($dat){
		$fz = $this->fls_fz_brutto($dat);
		$fls = $this->fls_gel_netto($dat, true) + $this->fls_doku($dat);

		$conf_fls_fz = getFlsFz($dat,$this->id);

		if ($conf_fls_fz == 1 || $conf_fls_fz == 4){
			return 0;
		} elseif ($this->kontaktst($dat)) {
			return $fz;
		} elseif ($conf_fls_fz == 2) {
			if ($this->km == 'j' && $this->kmd <= $dat){
				return 0;
			} else {
				if ($fz > ($fls * 0.15)){
					$fz2 = fround($fls * 0.15, 2);
					if ($this->fz_kapp_modus == 1 && $this->fz_kapp_datum <= $dat){
						return round( $fz2 * 4 ) / 4;
					} else {
						return $fz2;
					}
				} else {
					return $fz;
				}
			}
		} else {
			return $fz;
		}
	}

	function fls_fz_km($dat){
		$fz = $this->fls_fz_brutto($dat);
		$fls = $this->fls_gel_netto($dat,true) + $this->fls_doku($dat);

		$conf_fls_fz = getFlsFz($dat,$this->id);

		if ($conf_fls_fz == 1 || $conf_fls_fz == 4){
			return 0;
		} elseif ($this->kontaktst($dat)) {
			return $fz;
		} elseif ($conf_fls_fz == 2) {
			if ($fz > ($fls * 0.15)) {
				$fz2 = round($fls * 0.15, 2);
				if ($this->fz_kapp_modus == 1 && $this->fz_kapp_datum <= $dat){
					return round( $fz2 * 4 ) / 4;
				} else {
					return $fz2;
				}
			} else {
				return $fz;
			}
		} else {
			return $fz;
		}
	}


	function fls_gesamt($dat, $ignoreKorrekturZKs=false, $fls2=2)
  {
    /* 
	 * sollen Korrekturzeitkarten mit beruecksichtigt werden? 
	 * (in Cache-Tabelle eigene Spalte) 
	 */
	$gesamt = $ignoreKorrekturZKs ? 'ohneKorrZKs' : 'gesamt';
	if($fls2==2) $fls2 = (getConf('traeger')!='jse');
	/* pruefen ob dieses Ergebniss schon im Cache vorhanden ist */
    $sql  = "SELECT $gesamt FROM tb_azk_proj WHERE proj_id = '$this->id' ";
    $sql .= "AND datum = '$dat' AND $gesamt IS NOT NULL;";

    $erg  = abfrage1($sql);
    if (mysql_num_rows($erg) > 0)
    {
      /* im Cache vorhanden */
      if (mysql_num_rows($erg) == 1)
      {
        $zeile = mysql_fetch_row($erg);
        if(empty($zeile[0]) || $zeile[0]==0.00) {
			if($this->fls_gel_netto($dat) == 0)
				return $zeile[0];
        } else return $zeile[0];
      }
      else
      {
        return "Cachefehler tb_azk_proj";
      }
    }
    $return  = $this->fls_gel_netto($dat, $ignoreKorrekturZKs, $fls2);
    $return += $this->fls_doku($dat);
	if(!$this->kontaktst($dat)) $return += $this->fls_fz($dat);
    if(getConf('tt_vor_nach_b') == 1) $return += $this->fls_vun($dat);
	if(!empty($this->pauschalVuN)) $return += $this->fls_vun_pauschal($dat);

    /*
     * Schaun ob schon ein Eintrag in der Tabelle vorhanden ist
     * es kann sein das der Eintrag NULL war.
     */
    $sql  = "SELECT $gesamt FROM tb_azk_proj WHERE proj_id='".$this->id."' ";
    $sql .= "AND datum='".$dat."';";

    $erg  = abfrage1($sql);
    if (mysql_num_rows($erg) > 0)
    {
      $sql  = "UPDATE tb_azk_proj SET $gesamt='".$return."' ";
      $sql .= "WHERE proj_id='".$this->id."' AND datum='".$dat."';";
    }
    else
    {
      /* noch kein Eintrag vorhanden */
      $sql  = "INSERT INTO tb_azk_proj SET proj_id='".$this->id."', ";
      $sql .= "datum='".$dat."', $gesamt='".$return."';";
    }

    mysql_query($sql);
		return $return;
	}

	function fls_gesamt_pers($pers_id, $dat){
		return $this->fls_gel_netto_pers($pers_id, $dat) +
			$this->fls_doku_pers($pers_id, $dat) +
			$this->fls_fz_netto_pers($pers_id, $dat);
	}

	function fls_gesamt_pers_azk($pers_id, $dat){
		$nicht_azk = array('ALG', 'CZT');
		if (in_array($this->h_art, $nicht_azk)){
			return 0;
		} else {
			if(getConf('vor_nach_b') == 1 || (getConf('tt_vor_nach_b') == 1))
				$vun = $this->fls_vun_pers($pers_id, $dat); else $vun = 0;
			return $this->fls_gel_netto_pers_azk($pers_id, $dat) +
				$this->fls_doku_pers($pers_id, $dat) + $vun +
				$this->fls_fz_netto_pers($pers_id, $dat);
		}
	}

	/* fls_kappung - Funktion zur Ermittlung des Kappungsmodus und -werte
	*  fuer den uebergeben Abrechnungsmonat jeweils fuer positive und
	*  negative Kappung (Array wird zurueckgegeben)
	*/
	function fls_kappung($dat){
	  /* keine Kappung bei Pool-Projekten, Werte "pro forma" aus tb_konf */
	  if ($this->pool()){
	    $kapp_neg = 2;
	    $kapp_neg_wert = getConf('kapp_neg_wert');
	    $kapp_pos = 2;
	    $kapp_pos_wert = getConf('kapp_pos_wert');
	  } else {
	    /* Nicht-Pool-Projekte: Kappungsmodus und -werte ermitteln */

  		/* 1. Ebene: Grundkonfiguration aus tb_konf ermitteln */
  		$kapp_neg = getConf('kapp_neg');
  		$kapp_neg_wert = getConf('kapp_neg_wert');
  		$kapp_pos = getConf('kapp_pos');
  		$kapp_pos_wert = getConf('kapp_pos_wert');

  		/* 2. Ebene: Auftraggebereinstellung abfragen (kontakte) */
  		$kapp_neg = ($this->k_kapp_neg > 0) ? $this->k_kapp_neg : $kapp_neg;
  		$kapp_neg_wert = ($this->k_kapp_neg > 0) ? $this->k_kapp_neg_wert : $kapp_neg_wert;
  		$kapp_pos = ($this->k_kapp_pos > 0) ? $this->k_kapp_pos : $kapp_pos;
  		$kapp_pos_wert = ($this->k_kapp_pos > 0) ? $this->k_kapp_pos_wert : $kapp_pos_wert;

  		/* 3. Ebene: Hilfearteinstellungen abfragen (konf/projekte) */
  		$kapp_neg = ($this->h_kapp_neg > 0) ? $this->h_kapp_neg : $kapp_neg;
  		$kapp_neg_wert = ($this->h_kapp_neg > 0) ? $this->h_kapp_neg_wert : $kapp_neg_wert;
  		$kapp_pos = ($this->h_kapp_pos > 0) ? $this->h_kapp_pos : $kapp_pos;
  		$kapp_pos_wert = ($this->h_kapp_pos > 0) ? $this->h_kapp_pos_wert : $kapp_pos_wert;

  		/* 4. Ebene: Projekt- und abrechnungsmonatsspezifische Aenderung aus tb_ab_proj_fm */
      $am = date('Y-m-d', mktime(0,0,0, date('n'), 1, date('Y')));
	    if ($dat == $am)
      {
        $res = abfrage1("SELECT ab_monat FROM tb_ab_zk WHERE ab_monat = '$dat' LIMIT 1");

        if (mysql_num_rows($res) > 0)
        {
          $and = "and ab_monat = '$dat'";
         }
         else
         {
           $and = "and ab_monat = '0000-00-00'";
         }
       }
       else
       {
         $and = "and ab_monat = '$dat'";
       }

  		$uebs = abfrage1("select fm from tb_ab_proj_fm where proj_id = '$this->id' $and;");
		if(mysql_num_rows($uebs) == 0) {
			$parent = abfrage("select proj_id_parent from tb_pro_inheritance where proj_id_child='$this->id'");
			if($parent[0]) $uebs = abfrage1("select fm from tb_ab_proj_fm where proj_id = '$parent[0]' $and;");
		}
		$ueb = mysql_fetch_assoc($uebs);

  		/* "Umdrehung" des jeweiligen Kappungsmodus nach Eintrag in tb_ab_proj_fm:
  		*  0 - keine Aenderung
  		*  1 - nur negativer Wert
  		*  2 - nur positiver Wert
  		*  3 - beide Werte */
  		if ($ueb['fm'] > 0) {
  			switch ($ueb['fm']) {
  				case 1:
  					$kapp_neg = ($kapp_neg == 1) ? 2: 1;
  					break;
  				case 2:
  					$kapp_pos = ($kapp_pos == 1) ? 2: 1;
  					break;
  				case 3:
  					$kapp_neg = ($kapp_neg == 1) ? 2: 1;
  					$kapp_pos = ($kapp_pos == 1) ? 2: 1;
  					break;
  			}
  		}
	  }

		/* Ergebnis in Array ausgeben */
		$res = array('kapp_neg' => $kapp_neg,
					'kapp_neg_wert' => $kapp_neg_wert,
					'kapp_pos' => $kapp_pos,
					'kapp_pos_wert' => $kapp_pos_wert);
		return $res;
	}


	function fls_vormonat($dat){
		$timestamp = date_isodate_stamp($dat);
		$beg[0] = $this->beginn_ts();
		if (empty($beg[0])){
			$beg = abfrage("select unix_timestamp(ab_monat) from tb_ab_zk where proj_id='$this->id' and ab_monat is not null order by ab_monat asc limit 1");
			if (empty($beg[0])) return 0;
		}
		$monat = mktime(0,0,0,date('n', $beg[0]), 1, date('Y', $beg[0]));
		$tsa = date('Y-m-d', mktime(0,0,0,date('n'),1,date('Y')));

		/* pruefen ob dieses Ergebniss schon im Cache vorhanden ist */
		$sql  = "SELECT vormonat FROM tb_azk_proj WHERE proj_id='".$this->id."' ";
		$sql .= "AND datum='".$dat."' AND vormonat IS NOT NULL;";

		$erg  = abfrage1($sql);
		if (mysql_num_rows($erg) > 0)
		{
			/* im Cache vorhanden */
      		if (mysql_num_rows($erg) == 1)
      		{
        		$zeile = mysql_fetch_row($erg);
        		return $zeile[0];
      		}
      		else
      		{
        		return "Cachefehler tb_azk_proj";
      		}
		}
		else
		{
			if($beg[0] <= $timestamp) {
				$sql = "select sum(time_to_sec(fls)) / 3600 from tb_ab_zk 
						where code = '@' and proj_id='$this->id' and unix_timestamp(ab_monat) < $beg[0]";
				$korrVorBegin = abfrage($sql);
			} else $korrVorBegin[0] = 0;
			$res = $ueber = $korrVorBegin[0];
			while ($monat < $timestamp){
				/* Timestamp fuer SQL umwandeln */
				$mydatum  = date('Y-m-d', $monat);
				/* Monatsergebnis ermitteln: Gesamt - Soll */
				$res = $this->fls_gesamt($mydatum) - $this->fls_monat($mydatum);
				/* Monatsergebnis des Vormonats addieren */
				$res += $ueber;
				/* Kappung nur bei Projekten relevant, die kein Pool-Projekt sind */
				if (!$this->pool()){
					$kapp_mod = $this->fls_kappung($mydatum);

					if ($res < 0){
						$res = ($kapp_mod['kapp_neg'] == 1 &&
						$res < $kapp_mod['kapp_neg_wert']) ?
						$kapp_mod['kapp_neg_wert'] : $res;
					} else {
						$res = ($kapp_mod['kapp_pos'] == 1 &&
						$res > $kapp_mod['kapp_pos_wert']) ?
						$kapp_mod['kapp_pos_wert'] : $res;
					}
				}

				/* Ergebnis als Vormonatsergebnis fuer naechsten Schleifendurchlauf "speichern" */
				$ueber = $res;
				$monat = mktime(0,0,0, date('n', $monat) + 1, 1, date('Y', $monat));
			}
    }

    /*
     * Schaun ob es schon ein Eintrag in der Tabelle vorhanden ist
     * es kann sein das der Eintrag NULL war.
     */
    $sql  = "SELECT vormonat FROM tb_azk_proj WHERE proj_id='".$this->id."' ";
    $sql .= "AND datum='".$dat."';";

    $erg  = abfrage1($sql);
    if (mysql_num_rows($erg) > 0)
    {
	    /* Eintrag vorhanden - nur Update ausfuehren */
     	$sql  = "UPDATE tb_azk_proj SET vormonat='".$res."' ";
     	$sql .= "WHERE proj_id='".$this->id."' AND datum='".$dat."';";
    }
    else
    {
    	/* noch kein Eintrag vorhanden */
	   	$sql  = "INSERT INTO tb_azk_proj SET proj_id='".$this->id."', ";
	    $sql .= "datum='".$dat."', vormonat='".$res."';";
   	}
   	mysql_query($sql);
		return $res;
	}

	/* FLS fuer den Folgemonat der uebergeben wird */
	function fls_folgemonat($abm)
	{
	    /* pruefen ob dieses Ergebniss schon im Cache vorhanden ist */
	    $sql  = "SELECT folgemonat FROM tb_azk_proj WHERE proj_id='".$this->id."' ";
	    $sql .= "AND datum='".$abm."' AND folgemonat IS NOT NULL;";

	    $erg  = abfrage1($sql);
	    if (mysql_num_rows($erg) > 0)
	    {
	    	/* Uebertrag im Cache vorhanden */
	    	if (mysql_num_rows($erg) == 1)
	    	{
	    		$zeile = mysql_fetch_row($erg);
				return $zeile[0];/*
				$tmpErg = floor($zeile[0] * 10);
				$tmp = ($zeile[0] * 10) - $tmpErg;
				if($tmp < 0.3) $return = ($tmpErg / 10);
				elseif($tmp < 0.7) $return = ($tmpErg / 10) + 0.05;
				else $return = ($tmpErg / 10) + 0.1;
				return $return;*/
	    	}
	    	else
	    	{
	    		return "Cachefehler tb_azk_proj";
	    	}
	    }
	    else
	    {
	    	/* neuen Eintrag erstellen */
	    	$uebertrag  = $this->fls_gesamt($abm,true);
	    	$uebertrag -= $this->fls_monat($abm);
	    	$uebertrag += $this->fls_vormonat($abm);

	    	/*
	    	* Schaun ob es schon einen Eintrag in der Tabelle vorhanden ist
	    	* es kann sein das der Eintrag NULL war.
	    	*/
	    	$sql  = "SELECT folgemonat FROM tb_azk_proj WHERE proj_id='".$this->id;
	    	$sql .= "' AND datum='".$abm."';";

	    	$erg  = abfrage1($sql);
	    	if (mysql_num_rows($erg) > 0)
	    	{
	    		/* Eintrag vorhanden - nur Update ausfuehren */
	    		$sql  = "UPDATE tb_azk_proj SET folgemonat='".$uebertrag."' ";
	    		$sql .= "WHERE proj_id='".$this->id."' AND datum='".$abm."';";
	    	}
	    	else
	    	{
	    		/* noch kein Eintrag vorhanden */
	    		$sql  = "INSERT INTO tb_azk_proj SET proj_id='".$this->id."', ";
	    		$sql .= "datum='".$abm."', folgemonat='".$uebertrag."';";
	    	}

	    	mysql_query($sql);
	    	return $uebertrag;
	    }
	}

	function fls_abgerechnet($abm, $ignoreKorrekturZKs=false, $fls2=2){
		if($fls2==2) $fls2 = (getConf('traeger')!='jse');
		if (!$this->pool()){
			$kapp_mod = $this->fls_kappung($abm);
			if ($kapp_mod['kapp_pos'] == 1 &&
				$this->fls_folgemonat($abm) > $kapp_mod['kapp_pos_wert']){
					$ab = $this->fls_gesamt($abm, $ignoreKorrekturZKs, $fls2) - $this->fls_folgemonat($abm) + $kapp_mod['kapp_pos_wert'];
			} else {
				$ab = $this->fls_gesamt($abm, $ignoreKorrekturZKs, $fls2);
			}
		} else {
			$ab = $this->fls_gesamt($abm, $ignoreKorrekturZKs, $fls2);
		}
		if($this->kontaktst($abm)) $ab += $this->fls_fz($abm);
		return $ab;
	}

	/* Rueckgabewert: array[0] ('j': abw. km JA, 'o': eingegebene km, 'n': nein)
	                  array[1] km-Satz
	*/
	function kilometergeld($abm = NULL){
		$hp = abfrage( "select s.kmsatz, s.kmg from tbh_hp_satz s
						left join tb_hp h using(hp_id)
						where s.divisor is not null
						and h.and_datum <= '$abm'
						and h.proj_id = '$this->id'
						order by h.and_datum desc limit 1" );
		if($hp[1]=='j' || $hp[1]=='o') return array($hp[1], $hp[0]);
		if(empty($this->ja)) return array('n', 0);
		$kh_id = 0;
		$sql = "SELECT kh_id FROM tb_kont_hilfeart 
				WHERE kont_id = '$this->ja' AND hilfeart_id = '$this->ha'
				AND von <= '$abm' AND (bis >= '$abm' OR bis = '0000-00-00')
				ORDER BY von DESC LIMIT 1";
		$kh = abfrage($sql);
		if($kh[0]>0) $kh_id = $kh[0];
		$sql = "SELECT kont_id, kmg, kmg_ja_satz FROM tb_kontakte
				WHERE kont_id = '$this->ja' and kh_id='$kh_id'";
		$kont = abfrage($sql);
		if(empty($abm)) $abm = date('Y-m-d');
		$sql = "SELECT kont_id, kmg, kmsatz FROM tb_kont_kmsatz
				WHERE kont_id = '$kont[0]' AND kh_id='$kh_id'
				AND unix_timestamp(datum) <= unix_timestamp('$abm')
				ORDER BY unix_timestamp(datum) DESC LIMIT 1";
		$kmg = abfrage($sql);
		if(empty($kmg[0])) return array($kont[1], $kont[2]);
		return array($kmg[1], $kmg[2]);
	}


	function fls_uebertrag($abm, $seite, $nw="", $anz="", $ajax=false){
		global $AppCode;
		global $page;

		$pool = $this->pool();
		$kapp_mod = $this->fls_kappung($abm);

		if ($kapp_mod['kapp_neg'] == 1){
			$color1 = "#FF0000";
			$title1 = 'Kappung bei ' . fls_form($kapp_mod['kapp_neg_wert']);
		} else {
			$color1 = "#00FF00";
			$title1 = 'keine negative Kappung';
		}

		if ($kapp_mod['kapp_pos'] == 1){
			$color2 = "#FF0000";
			$title2 = 'Kappung bei ' . fls_form($kapp_mod['kapp_pos_wert']);
		} else {
			$color2 = "#00FF00";
			$title2 = 'keine positive Kappung';
		}

		$style = "font-weight:bolder;color";

		$nach = abfrage("select nachw_id from tb_ab_nachw where datum = '$abm';");

    /* wenn es die ab2.php Seite ist werden mehr Parameter erwartet */
    if ($seite == "ab2.php") $para = "&nw=".$nw."&anz=".$anz; else $para = "";
	$mehrst = abfrage("select checked from tb_ab_mehrst_begr where proj_id='$this->id' and ab_monat='$abm'");

		$a = '';
		if ($mehrst[0] != 'j' && $_SESSION[$AppCode]["ULV"] >= 96 && empty($nach[0]) && !$pool){
			echo "<td>";
			if($ajax) {
				echo "<b id=\"minus_$this->id\" style=\"$style:$color1;cursor:pointer\" title=\"$title1\" ";
				echo "onclick=\"xajax_plus_minus($this->id,".date_my2ts($abm).",0)\">";
				$a = '</b>';
			} else {
				echo "<a id=\"minus_$this->id\" style=\"$style:$color1\" title=\"$title1\" ";
				echo "href=\"{$_SESSION['webdir']}/pro_ab_fm_sql.php?proj_id=$this->id&ab_monat=$abm&act=0&page=$page&site=$seite$para\">";
				$a = '</a>';
			}
		} else {
			echo "<td id=\"minus_$this->id\" style=\"$style:$color1\" title=\"$title1\">";
		}
		echo "-" . $a . "</td>";

		$a = '';
		if ($mehrst[0] != 'j' && $_SESSION[$AppCode]["ULV"] >= 96 && empty($nach[0]) && !$pool){
			echo "<td>";
			if($ajax) {
				echo "<b id=\"plus_$this->id\" style=\"$style:$color2;cursor:pointer\" title=\"$title2\" ";
				echo "onclick=\"xajax_plus_minus($this->id,".date_my2ts($abm).",1)\">";
				$a = '</b>';
			} else {
				echo "<a id=\"plus_$this->id\" style=\"$style:$color2\" title=\"$title2\" ";
				echo "href=\"{$_SESSION['webdir']}/pro_ab_fm_sql.php?proj_id=$this->id&ab_monat=$abm&act=1&page=$page&site=$seite$para\">";
				$a = '</a>';
			}
		} else {
			echo "<td id=\"plus_$this->id\" style=\"$style:$color2\" title=\"$title2\">";
		}
		echo "+" . $a . "</td>";
	}

	// fls_geleistet_summe - ermittelt die bis zu einem Zeitpunkt
	// bzw. bis dato insgesamt geleisteten FLS des Projektes
	function fls_geleistet_summe($abm = NULL, $kls = false){
		if (empty($abm)){
			$ts = mktime();
		} else {
			$ts = date_isodate_stamp($abm);
		}

		$beg = $this->beginn_ts();
		$run = mktime(0,0,0,date('n', $beg), 1, date('Y', $beg));
		$summe = 0;
		while ($run <= $ts){
			$dat = date('Y-m-d', $run);
			$summe += $this->fls_gesamt($dat);
			if(!$kls) {
				if($this->kontaktst($dat)) $summe += $this->fls_fz($dat);
			}
			$run = mktime(0,0,0, date('n', $run) + 1, 1, date('Y', $run));
		}
		return $summe;
	}
	
	function fls_soll_summe($abm = NULL){
		if (empty($abm)) $ts = mktime();
		else $ts = date_isodate_stamp($abm);
		$beg = $this->beginn_ts();
		$run = mktime(0,0,0,date('n', $beg), 1, date('Y', $beg));
		$summe = 0;
		while ($run <= $ts){
			$dat = date('Y-m-d', $run);
			$summe += $this->fls_monat($dat);
			$run = mktime(0,0,0, date('n', $run) + 1, 1, date('Y', $run));
		}
		return $summe;
	}
	/* ---- Ende Block FSL - Abrechnungsfunktionen ---*/


	function beteiligt($pers){
		$bet = abfrage("select pers_id from tbh_pers_proj
						where proj_id = '$this->id'
						and pers_id = '$pers';");
		if ($bet[0] == $pers){
			return true;
		} else {
			return false;
		}
	}

	function kontostand($abm = NULL){
		if(getConf('klientenkonto')) {
			$sum_in = abfrage("select sum(betrag) from tb_pro_einz
								where proj_id = '$this->id'
								and year(datum) = year(curdate());");
			$sum_out = abfrage("select sum(z.spesen_betr) from tb_ab_zk z
								left join tb_termine t using (termin_id)
								where z.proj_id = '$this->id'
								and z.ab = 'j'
								and year(t.von) = year(curdate());");
			return bcsub($sum_in[0], $sum_out[0], 2);
		}

		$von = '2005-10-01';
		if(is_null($abm)) $ts = mktime();
		else {
			$ts = date_my2ts($abm);
			$ts = mktime(0,0,0,date('n',$ts),date('t',$ts),date('Y',$ts));
		}
		$bis = date('Y-m-d',$ts);
		$sum_in = abfrage("select sum(betrag) from tb_pro_einz
							where proj_id = '$this->id'
							and to_days(datum) >= to_days('$von')
							and to_days(datum) <= to_days('$bis')
							group by proj_id;");

		$sum_zk = abfrage("select sum(z.spesen_eig) from tb_ab_zk z
							left join tb_termine t using (termin_id)
							where z.proj_id = '$this->id'
							and z.ab = 'j'
							and to_days(t.von) >= to_days('$von')
							and to_days(t.von) < to_days('2015-12-01')
							group by z.proj_id;");

		$sum_key = abfrage("select sum(k.betrag) from tb_keys_aus a
							left join tb_keys k using (key_id)
							where a.proj_id = '$this->id'
							and a.bis is null and k.art_id = '101'
							and to_days(a.von) >= to_days('$von')
							and to_days(a.von) <= to_days('$bis')
							group by a.proj_id;");

		$iPGr = $this->inProjektgruppe();
		if($iPGr) {
			$sum_essen = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$this->id' and essen='j' and to_days(datum) <= to_days('$bis')");
			$satz_essen = abfrage("select hilfe_bisher from tb_projekte where proj_id='$iPGr'");
			$essen = $satz_essen[0] * $sum_essen[0];
		} else $essen=0;
		$ids = abfrage1("select person_id from tbh_proj_personen
				where proj_id = '$this->id' GROUP BY person_id;");

		$sum_ga = 0;

		while ($id = mysql_fetch_row($ids)){
			$gas = abfrage1("select g.eb
								from tbh_ga_pp h
								left join tb_ga g using (ga_id)
								left join tb_termine t using (termin_id)
								where h.person_id = '$id[0]' and g.eb > 0
								and to_days(t.von) >= to_days('$von')
								and to_days(t.von) <= to_days('$bis')
								order by unix_timestamp(t.von) asc;");

			while ($ga = mysql_fetch_row($gas)) {
				$sum_ga += $ga[0];
			}
		}
		$return = bcsub($sum_in[0], $sum_zk[0], 2);
		$return = bcsub($return, $sum_ga, 2);
		$return = bcsub($return, $sum_key[0], 2);
		$return = bcsub($return, $essen, 2);
		return $return;
	}

	function Euro($abm = NULL) {
		$von = empty($abm) ? date('Y-m-01') : $abm;
		$ts = date_my2ts($von);
		$bis = empty($abm) ? date('Y-m-d') : date('Y-m-t',$ts);
		$kto = $this->kontostand($bis);
		if($kto != 0) $von = '2005-10-01';
		$return = '';
		if(!check_projekt_berechtigung($this->id)) {
			if($kto > 0) $return = "<b style=\"color:lime\"" . stwToolTip('Klientenkonto im Plus') . ">&euro;</b>";
			elseif($kto < 0) $return = "<b style=\"color:lime\"" . stwToolTip('Klientenkonto im Minus') . ">&euro;</b>";
			return $return;
		}
		$konto = array();
		$i = 0;
		// 1. Einzahlungen
		$eins = abfrage1("select e.einz_id,
						unix_timestamp(e.datum),
						date_format(e.datum, '%d.%m.%Y'),
						e.text,
						e.betrag,
						e.pers_id,
						'e' as art,
						e.nachw_id,
						e.person_id
						from tb_pro_einz e
						where e.proj_id = $this->id
						and to_days(datum) >= to_days('$von')
						and to_days(datum) <= to_days('$bis')
						order by unix_timestamp(datum) asc;");
		while ($ein = mysql_fetch_row($eins)) {
			foreach ($ein as $val){
				$konto[$i][] = $val;
			}
			$i++;
		}
		// 2. Zeitkarten
		$zks = abfrage1("select zk_id,
						unix_timestamp(t.von),
						date_format(t.von, '%d.%m.%Y'),
						z.spesen_text,
						z.spesen_eig,
						z.pers_id,
						'z' as art,
						z.nachw_id
						from tb_ab_zk z
						left join tb_termine t using (termin_id)
						where z.proj_id = $this->id and z.spesen_eig > 0
						and to_days(t.von) >= to_days('$von')
						and to_days(t.von) <= to_days('$bis')
						order by unix_timestamp(t.von) asc;");
		while ($zk = mysql_fetch_row($zks)) {
			foreach ($zk as $val){
				$konto[$i][] = $val;
			}
			$i++;
		}
		// 3. Gruppenarbeit
		$ids = abfrage1("select person_id from tbh_proj_personen
						where proj_id = $this->id;");
		while ($id = mysql_fetch_row($ids)){
			$gas = abfrage1("select g.ga_id,
							unix_timestamp(t.von),
							date_format(t.von, '%d.%m.%Y'),
							g.thema,
							g.eb,
							h.pers_id,
							'g'
							from tbh_ga_pp h
							left join tb_ga g using (ga_id)
							left join tb_termine t using (termin_id)
							where h.person_id = $id[0] and g.eb > 0
							and to_days(t.von) >= to_days('$von')
							and to_days(t.von) <= to_days('$bis')
							order by unix_timestamp(t.von) asc;");
			while ($ga = mysql_fetch_row($gas)) {
				foreach ($ga as $val){
					$konto[$i][] = $val;
				}
				$i++;
			}
		}
		// 4. PAM
		$keys=abfrage1("SELECT a.key_id,
						unix_timestamp( a.von ),
						date_format( a.von, '%d.%m.%Y' ),
						a.notizen_a,
						k.betrag,
						a.pers_a,
						'k'
						FROM tb_keys_aus a
						LEFT JOIN tb_keys k USING ( key_id )
						WHERE a.proj_id = '$this->id'
						AND TO_DAYS(a.von) >= TO_DAYS('$von')
						and to_days(a.von) <= to_days('$bis')
						AND a.bis IS NULL
						AND k.betrag > 0.00 AND k.art_id = '101'
						ORDER BY UNIX_TIMESTAMP(a.von) ASC;");
		while ($key = mysql_fetch_row($keys)) {
			foreach ($key as $val){
				$konto[$i][] = $val;
			}
			$i++;
		}
		//5. Essen (Gruppenprojekte)
		$iPGr = $this->inProjektgruppe();
		if($iPGr) {
			$essen = abfrage1( "select unix_timestamp(datum),datum 
								from tbh_proj_anwesenheit 
								where proj_id='$this->id' 
								and essen='j' 
								and to_days(datum) >= to_days('$von') 
								and to_days(datum) <= to_days('$bis') 
								order by datum asc" );
			$letztermonat = $datum = $text = '';
			$cnt = $ts = 0;
			while($ess = mysql_fetch_row($essen)) {
				$iPGr = $this->inProjektgruppe($ess[1]);
				$monat = strftime('%B %Y',$ess[0]);
				if($cnt>0 && $monat != $letztermonat) {
					$satz_essen = abfrage("select hilfe_bisher from tb_projekte where proj_id='$iPGr'");
					$konto[$i] = array($iPGr,$ts,date('d.m.Y',$ts),$letztermonat,$cnt*$satz_essen[0],$text,'m');
					$i++;
					$cnt = 0;
					$text = '';
				}
				if($text != '') $text .= ',';
				$text .= date('j.',$ess[0]);
				$ts = $ess[0];
				$letztermonat = $monat;
				$cnt++;
			}
			if($cnt>0) {
				$satz_essen = abfrage("select hilfe_bisher from tb_projekte where proj_id='$iPGr'");
				$konto[$i] = array($iPGr,$ts,date('d.m.Y',$ts),$letztermonat,$cnt*$satz_essen[0],$text,'m');
				$i++;
			}
		}
		$mony = $kto==0 ? strftime('%B %Y',$ts) : '';
		usort($konto, function ($a,$b) { if($a[1] == $b[2]) return 0; return ($a[1] < $b[1]) ? -1 : 1; } );
		foreach ($konto as $row){
			if($return == '') $return = "<table style=\"background-color:#333333\"><tr><th colspan=\"30\">Kontenbewegungen $mony</th></tr>";
			switch ($row[6]){
				case 'e':
					$art = 'Einzahlung';
					$betrag = $row[4];
					$ez = ($row[8] == 0) ? 'Stellwerk JH' : person_kname($row[8]);
					break;
				case 'z':
					$art = 'Zeitkarte';
					$betrag = -$row[4];
					$ez = '';
					break;
				case 'g':
					$art = 'Gruppenarbeit';
					$betrag = -$row[4];
					$ez = '';
					break;
				case 'k':
					$art = 'PAM';
					$betrag = -$row[4];
					$ez = '';
					break;
				case 'm':
					$art = 'Mittagessen';
					$betrag = -$row[4];
					$ez = '';
					break;
			}
			$return .= "<tr><td>$row[2]</td><td>$art</td><td>$row[3]</td><td style=\"text-align:right\">";
			$return .= geld_form_web($betrag) . "</td><td>$ez</td></tr>";;
		}
		if($return != '') {
			if($kto > 0) $return = "<a href=\"pro_kto.php?proj_id=$this->id\" style=\"color:lime\"" . stwToolTip("Klientenkonto im Plus: ".geld_form_web($kto)."<br>$return</table>",false) . ">&euro;</a>";
			elseif($kto < 0) $return = "<a href=\"pro_kto.php?proj_id=$this->id\" style=\"color:red\"" . stwToolTip("Klientenkonto im Minus: ".geld_form_web($kto)."<br>$return</table>",false) . ">&euro;</a>";
			else $return = "<a href=\"pro_kto.php?proj_id=$this->id\"" . stwToolTip("Klientenkonto ausgeglichen<br>$return</table>",false) . ">&euro;</a>";
		}
		return $return;
	}

	// InfoZeile: erstellt Infozeile ueber das Projekt
	function InfoZeile(){
		echo "<table width=\"750\">\n";
		echo "<tr><th class=\"cl1\">Projekt-Nr.:</th>\n";

		$lm = $this->ListenMarkierung($anz);
    $tg = $lm['tg'];
    $co = $lm['co'];
    $ti = $lm['ti'];
    $bl = $lm['blink'];

		echo "<td style=\"padding-right: 30px\">\n";
		echo "<a href=\"$tg.php?proj_id=$this->id\" style=\"color:$co\"";
		if (strlen($ti) > 0) echo stwToolTip($ti);
		if (strlen($bl) > 0) echo " name=\"$bl\"";
		echo '>' . $this->nummer() . "</a></td>\n";

		echo "<th class=\"cl1\">Klient:</th>\n";
		echo "<td style=\"padding-right: 30px\">" . $this->name() . "</td>\n";

		// Jugendamt und Sachbearbeiter ermitteln
		$ja = abfrage("select t3.name2, t3.kont_id from tb_kontakte_ap t2
               left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
               where t2.ap_id = '$this->sb';");

		echo "<th class=\"cl1\">Auftraggeber:</th>\n";
		echo "<td>$ja[0]</td>\n";
		echo "</tr></table>\n";
	}

	// ist Projekt stationaer? (Also Teil einer Projektgruppe)
	function inProjektgruppe($datum = NULL){
		if(empty($datum)) { // war es je in einer Gruppe ?!
			$cnt = abfrage1("SELECT proj_id_gruppe FROM tbh_projekt_gruppe WHERE proj_id='$this->id' order by von desc limit 1");
			if(mysql_num_rows($cnt) == 0) return false;
			$id = mysql_fetch_row($cnt);
			return $id[0];
		} elseif(strpos($datum, '.')!==false) $datum = date_gr2my($datum);
		$cnt = abfrage1("SELECT proj_id_gruppe FROM tbh_projekt_gruppe WHERE proj_id='$this->id' AND von <='$datum' AND (bis >='$datum' OR bis IS NULL)");
		if(mysql_num_rows($cnt) == 0) return false;
		$id = mysql_fetch_row($cnt);
		return $id[0];
	}
} // Ende Objekt stwProjekt


function abschlag_rechnung($re_id, $proj_id=0) {
	$returnarray = array();
	$sql = "select * from tb_abschlag_rechnung where re_id='$re_id'";
	if($proj_id > 0) $sql .= " and proj_id='$proj_id'";
	$abschlaege = abfrage1($sql);
	while($abschlag = mysql_fetch_array($abschlaege)) {
		$nw = abfrage("select nachw_id from tb_ab_nachw where datum='{$abschlag['ab_monat']}'");
		if(is_null($abschlag['betrag']) || $abschlag['betrag'] == '0.00') {
			$abschl = abfrage_array("select * from tb_abschlag where nachw_id='$nw[0]' and proj_id='{$abschlag['proj_id']}'");
			if($abschl['storniert'] == 'j') $gezahlt = 0;
			elseif($abschl['teilz_betrag'] > 0) $gezahlt = $abschl['teilz_betrag'];
			else $gezahlt = fround($abschlag['satz'] * $abschlag['soll'],2);
		} else $gezahlt = $abschlag['betrag'];
		$returnarray['satz'] = ($proj_id==0) ? false : $abschlag['satz'];
		$returnarray['ist'] += $abschlag['ist'];
		$returnarray['soll'] += $abschlag['soll'];
		$returnarray['abetrag'] += $gezahlt;
		$returnarray['rbetrag'] += fround(fround(($abschlag['satz'] * $abschlag['ist']),2) + fround(($abschlag['kmsatz'] * $abschlag['km'] / 100),2) , 2);
	}
	return $returnarray;
}

function abschlag_nw($nachw_id, $proj_id, $gesamtenRechnungszeitraum=true) {
	$returnarray = array();
	$abschlagsturnus = getConf('abschlagsturnus');
	$nwdat = abfrage("select datum, unix_timestamp(datum) from tb_ab_nachw where nachw_id = '$nachw_id';");
	$last = mktime(0,0,0, date('n',$nwdat[1]), date('t',$nwdat[1]), date('Y',$nwdat[1]));
	$monatsletzter = date('Y-m-d', $last);
	list($year, $month, $day) = explode("-", $nwdat[0]);
	if($gesamtenRechnungszeitraum) {
		if($abschlagsturnus == 3) {
			if($month > 9) $von = 10;
			elseif($month > 6) $von = 7;
			elseif($month > 3) $von = 4;
			else $von = 1;
		} else $von = $month>6 ? 7 : 1;
	} else $von = $month;
	$bis = $month;
	$sql = "select pr.proj_id,
			IF((kh.kh_id IS NULL), k.ab_modus, kh.ab_modus) as ab_modus,
			g.proj_id_gruppe
			from tb_projekte pr
			left join tbh_projekt_gruppe g using(proj_id)
			left join tb_kontakte_ap a on(pr.ap_id = a.ap_id)
			left join tb_kontakte k on(k.kont_id = a.kont_id)
			left join tb_kont_hilfeart kh on k.kont_id = kh.kont_id and kh.hilfeart_id=pr.hilfeart_id and kh.von<'$monatsletzter' and (kh.bis>'$monatsletzter' or kh.bis='0000-00-00')
			where pr.proj_id = '$proj_id'
			group by pr.proj_id order by g.proj_id_gruppe asc";
	$abschlag_beendet_pros = abfrage1($sql);
	while($proj = mysql_fetch_array($abschlag_beendet_pros)) {
		$pro = new stwProjekt($proj[0]);
		if($pro->beginn_ts() == 0 || $pro->beginn_ts() >= mktime(0, 0, 0, $month+1, 1, $year)) continue; 
		for($m = $von; $m <= $bis; $m++) {
			if($pro->beginn_ts() >= mktime(0, 0, 0, $m+1, 1, $year)) continue; 
			$soll = $ist = 0;
			$pgr = false;
			$abmonat = sprintf("%04d-%02d-%02d", $year, $m, $day);
			$ist = $pro->fls_gesamt($abmonat,true);
			if($pro->kontaktst($abmonat)) $ist += $pro->fls_fz($abmonat);
			$satz = stundensatz($abmonat, $pro->id);
			if($satz[0] == 'd') {
				$sql = "SELECT proj_id_gruppe FROM tbh_projekt_gruppe WHERE proj_id='$pro->id' AND von <='".date('Y-m-t',date_my2ts($abmonat))."' AND (bis >='$abmonat' OR bis IS NULL)";
				$cnt = abfrage($sql);
				if($cnt[0]) $pgr = $cnt[0];
				if($pgr) {
					$anw = abfrage("select schule, familie, hobbys, wohn from tb_projekte where proj_id='$pgr'");
					$start = mktime(0, 0, 0, $m, 1, $year);
					$ende = mktime(0, 0, 0, $m, date('t',$start), $year);
					if($pro->beginn_ts() > $ende) continue;
					if($pro->beginn_ts() > $start) $start = $pro->beginn_ts();
					if($pro->ende_ts() > 0 && $pro->ende_ts() < $ende) $ende = $pro->ende_ts();
					$anwesend = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$pro->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $ende and terminart = '-'");
					$krank = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$pro->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $ende and terminart = 'k'");
					$urlaub = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$pro->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $ende and terminart = 'u'");
					$essen = abfrage("select count(essen) from tbh_proj_anwesenheit where proj_id='$pro->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $ende and essen = 'j'");
					$ist = $anwesend[0] + $krank[0] + $urlaub[0];
					$soll = fround(($ende - $start) / 86400 , 0);
					if($proj[1] != '433' && is_numeric($proj[1])) {
						$soll = round(($soll*$proj[1])/100, 2);
					}
				} else $ist = $soll = date("t",date_isodate_stamp($abmonat));
			} elseif($satz[0] == 'm') {
				$ist = $soll = 1;
			} elseif($proj[1] == 'at') $soll = $pro->fls_monat($abmonat);
			else $soll = $pro->fls_monat_433($abmonat);
			$kmg = $pro->kilometergeld($abmonat);
			if($kmg[0] == 'j') {
				$km = abfrage("SELECT sum( km_abw_ja ) FROM tb_ab_zk WHERE ab_monat = '$abmonat' AND proj_id = '$pro->id' AND km_abw_ja > 0;");
			} elseif($kmg[0] == 'o') {
				$km = abfrage("SELECT sum( km_dienst ) + sum( km_privat ) FROM tb_ab_zk WHERE ab_monat = '$abmonat' AND proj_id = '$pro->id';");
			} else $km[0] = 0;
			if($pgr) {
				$km[0] = $essen[0];
				$kmg[1] = $anw[3]*100;
			}
			$nw = abfrage("select nachw_id from tb_ab_nachw where datum='$abmonat'");
			$abschl = abfrage_array("select * from tb_abschlag where nachw_id='$nw[0]' and proj_id='$proj[0]'");
			if($abschl['storniert'] == 'j') $gezahlt = 0;
			elseif($abschl['teilz_betrag'] > 0) $gezahlt = $abschl['teilz_betrag'];
			else $gezahlt = number_format(fround($satz[1] * $soll,2), 2, '.', '');
			$returnarray['ist'] += $ist;
			$returnarray['rbetrag'] += number_format(fround($ist * $satz[1], 2) + fround($km[0] * $kmg[1] / 100, 2), 2, '.', '');
			$returnarray['soll'] += $soll;
			$returnarray['abetrag'] += $gezahlt;
			$returnarray['satz'] = $satz[1];
			$returnarray['divisor'] = $satz[0];
			$returnarray['km'] = $km[0];
			$returnarray['km_satz'] = fround($kmg[1] / 100, 2);
		}
	}
	return $returnarray;
}

function fls_rechnung($re_id, $vergleichsrechnung = false){
	$rech = abfrage_array( "select a.datum as ab_monat, unix_timestamp(a.datum) as ab_ts, 
							date_sub(date_add(a.datum, INTERVAL 1 MONTH), INTERVAL 1 DAY) as next_mon, r.* 
							from tb_rechnung r left join tb_ab_nachw a using(nachw_id) 
							where r.re_id='$re_id'" );
	$zg = abfrage("select zg_id from tb_zg_rechnung where re_id ='$re_id' limit 1");
	if(!empty($zg[0])) return $rech['betrag'];
	if(empty($rech['re_id'])) return 0;
	$rech_ab = abfrage1("select typ from tb_ab_rechnung where re_id='$re_id'");
	$positionen = mysql_num_rows($rech_ab);
	if($positionen == 1) {
		$typ = mysql_fetch_row($rech_ab);
		/* Nachrechnung: einfach Betrag zurueckgeben */
		if($typ[0] == 'k') return $rech['betrag'];
	}
	if(!$vergleichsrechnung) {
		if($positionen > 0) {
			return $rech['betrag'];
		}
	}
	/* noch keine Werte in Rechnungs-Tabelle: neu berechnen */
	$projekt = new stwProjekt($rech['proj_id']);
	$iPGr = $projekt->inProjektgruppe($datum);
	/* Gruppen-Projekte */
	if(false) {
		$pr_gr_x = abfrage_array("select * from tb_pro_gr_einst where proj_id='$iPGr'");
		/* Tagessatz von der Gruppe aus konfiguriert? */
		if($pr_gr_x['tagessatz_gruppe'] == 'j') {
			$check = abfrage("select schule, familie, hobbys, wohn from tb_projekte where proj_id='$iPGr'");
			$leistungen = 0;
			$satz = abfrage_assoc("select * from tb_pro_gr_ha_satz where proj_id='$iPGr' and hilfeart_id='$projekt->ha'");
			if(empty($satz['proj_id'])) $satz = abfrage_assoc("select * from tb_pro_gr_ha_satz where proj_id='$iPGr' and hilfeart_id='0'");
			$position = array();
			$beginn = $projekt->beginn_ts();
			$anfang = projekt_ab_nach_ende($rech['proj_id'],false) ? $beginn : date_my2ts($rech['ab_monat']);
			$ende = $projekt->ende_ts();
			$start = $beginn > $anfang ? $beginn : $anfang;
			$end = ($monatsletzter > $ende && $ende > 0) ? $ende : $monatsletzter;
			$abg = $essen = 0;
			$in_a_row = array();
			for($ts = $start; $ts <= $end; $ts = mktime(0,0,0,date('n',$ts),date('j',$ts)+1,date('Y',$ts))) {
				$date = date('Y-m-d',$ts);
				$wDay = date('w', $ts);
				$anws = abfrage1("select person_id, terminart, essen from tbh_proj_anwesenheit where proj_id='$projekt->id' and datum = '$date'");
				while($anw = mysql_fetch_row($anws)) {
					if($anw[2] == 'j') $essen++;
					if( !feiertag($ts) && (($check[0] && $wDay < 6 && $wDay > 0) || ($check[1] && $wDay == 6)) || ($check[2] && (feiertag($ts) || $wDay == 0)) ) {
//TODO!!!						if()
					}
					if($anw[1]=='-' || $anw[1]=='k' || $anw[1]=='u') $abg++;
				}
			}
			$nr = 1;
			foreach($position as $satz  => $days) {
				$sql = "insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$abg', satz='$satz', typ='$typ'";
				echo "$sql<br>";
//				abfrage2($sql);
				if($essen > 0) {
					$nr++;
					$sql = "insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$essen[0]', satz='$check[3]', typ='e'";
					echo "$sql<br>";
//					abfrage2($sql);
					$leistungen += fround(fround($essen[0],2) * fround($check[3],2), 2);
				}
			}
			return $leistungen;
		}
	}

	$konf_fls_fahrt = getConf('fls_fahrt');
	$bXfahrt = false;
	if($konf_fls_fahrt > 100 || $konf_fls_fahrt < 100) {
		$konf_fls_fahrt_ab = getConf('fls_fahrt_ab');
		$konf_fls_fahrt_ab_ts = empty($konf_fls_fahrt_ab) ? 0 : date_gr2ts($konf_fls_fahrt_ab);
		$bXfahrt = ($konf_fls_fahrt_ab_ts <= $rech['ab_ts']);
		$fz = $projekt->fls_fz($rech['ab_monat']);
	}
	$nr = 1;
	$position = array();
	$lastsatz = stundensatz($rech['next_mon'], $projekt->id);

	$beginn = $projekt->beginn_ts();
	$anfang = projekt_ab_nach_ende($rech['proj_id'],false) ? $beginn : date_my2ts($rech['ab_monat']);
	$ende = $projekt->ende_ts();
	$monatsletzter = mktime(0,0,0, date('n', $rech['ab_ts']), date('t', $rech['ab_ts']), date('Y', $rech['ab_ts']));
	$subtrahent = $rech['ab_ts'] < $beginn ? round(($beginn - $rech['ab_ts']) / 86400,0) : 0;
	$verbleibendeTage = date("t",date_isodate_stamp($rech['ab_monat']));
	if($monatsletzter > $ende && $ende > 0) $verbleibendeTage -= round(($monatsletzter - $ende)/86400,0);
	while(date_my2ts($lastsatz[2]) > $anfang) {
		list($y,$m,$d) = explode("-",$lastsatz[2]);
		$index = $lastsatz[0].intval($lastsatz[1] * 100);
		$position[$index] += ($d > $subtrahent) ? $verbleibendeTage - $d : $verbleibendeTage - $subtrahent;
		if($d <= $subtrahent) {
			$verbleibendeTage = 0;
			break;
		}
		$lastsatz = stundensatz($lastsatz[2], $projekt->id);
		$verbleibendeTage = $d;
	}
	if($verbleibendeTage > 0) {
		$index = $lastsatz[0].intval($lastsatz[1] * 100);
		$position[$index] += $verbleibendeTage - $subtrahent;
	}

	$leistungen = 0;
	$jse = (getConf('traeger')=='jse');
	foreach($position as $satz  => $days) {
		$typ = $satz[0];
		$satz = substr($satz,1) / 100;
		if($typ == 'h') {
			$kh_id = get_kh_id($projekt->ja, $projekt->ha, $rech['ab_monat']);
			$abg = $projekt->fls_abgerechnet($rech['ab_monat'], true, !$jse);
			if($bXfahrt) $abg -= $fz;
			$sql = "SELECT k.pauschVuN FROM tb_projekte p 
					LEFT JOIN tb_kontakte_ap a on p.ap_id = a.ap_id
					LEFT JOIN tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='$kh_id'
					WHERE p.proj_id = '$projekt->id'";
			$kont = abfrage($sql);
			if($kont[0] == 'j') $abg *= 1.5;
		} elseif($typ == 'd') {
			if($iPGr) {
				$start = $beginn > $anfang ? $beginn : $anfang;
				$end = ($monatsletzter > $ende && $ende > 0) ? $ende : $monatsletzter;
				$anwesend = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$projekt->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $end and terminart = '-'");
				$krank = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$projekt->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $end and terminart = 'k'");
				$urlaub = abfrage("select count(datum) from tbh_proj_anwesenheit where proj_id='$projekt->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $end and terminart = 'u'");
				$essen = abfrage("select count(essen) from tbh_proj_anwesenheit where proj_id='$projekt->id' and unix_timestamp(datum) >= $start and unix_timestamp(datum) <= $end and essen = 'j'");
				$abg = $anwesend[0] + $krank[0] + $urlaub[0];
				$essengeld = abfrage("select wohn from tb_projekte where proj_id='$iPGr'");
				
			} else $abg = $days;
		} elseif($typ == 'm') {
			$abg = $days / date("t",date_isodate_stamp($rech['ab_monat']));
		}
		$leistungen += fround(fround($abg,2) * fround($satz,2), 2);
		if(!$vergleichsrechnung) {
			if($jse && $typ == 'h') {
				$sql = "select sum(time_to_sec(fls)) / 3600
						from tb_ab_zk where proj_id = '$projekt->id'
						and ab_monat = '{$rech['ab_monat']}'
						and ab = 'j' and code = 'S';";
				$skt = abfrage($sql);
				if($skt[0] > 0) {
					$abg -= $skt[0];
					abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$abg', satz='$satz', typ='$typ'");
					$nr++;
					abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$skt[0]', satz='$satz', typ='skt'");
				} else abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$abg', satz='$satz', typ='$typ'");
			} else {
				abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$abg', satz='$satz', typ='$typ'");
				if($typ == 'd' && $iPGr && $essen[0] > 0) {
					$nr++;
					abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$essen[0]', satz='$essengeld[0]', typ='e'");
					$leistungen += fround(fround($essen[0],2) * fround($essengeld[0],2), 2);
				}
			}
		}
		$nr++;
		if($bXfahrt && $fz > 0) {
			$fzsatz = $satz * $konf_fls_fahrt / 100;
			$leistungen += fround(fround($fz,2) * fround($fzsatz,2), 2);
			if(!$vergleichsrechnung) abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$fz', satz='$fzsatz', typ='fz'");
			$nr++;
		}
	}
	if($projekt->kmgpauschale) {
		$sql = "SELECT g.betrag, sum( g.betrag )
				FROM tb_zk_km_geld g
				LEFT JOIN tb_ab_zk z
				USING ( zk_id )
				WHERE z.proj_id = '$projekt->id'
				AND z.ab = 'j'
				AND g.betrag > 0
				AND z.ab_monat = '{$rech['ab_monat']}'
				GROUP BY g.betrag";
		$kmgpauschal = abfrage1($sql);
		while($kmg = mysql_fetch_row($kmgpauschal)) {
			$menge = $kmg[1] / $kmg[0];
			if(!$vergleichsrechnung) abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$menge', satz='$kmg[0]', typ='fp'");
			$nr++;
			$leistungen += $kmg[1];
		}
	}
	$kmg = $projekt->kilometergeld($rech['ab_monat']);
	$fahrtkosten = $km[0] = 0;
	if($kmg[0] == 'j') {
		$km = abfrage("SELECT sum( km_abw_ja )
						FROM tb_ab_zk
						WHERE ab_monat = '{$rech['ab_monat']}'
						AND proj_id = '$projekt->id'
						AND km_abw_ja > 0;");
	} elseif($kmg[0] == 'o') {
		$km = abfrage("SELECT sum( km_dienst ) + sum( km_privat )
						FROM tb_ab_zk
						WHERE ab_monat = '{$rech['ab_monat']}'
						AND proj_id = '$projekt->id';");
	} elseif($kmg[0] == 'n') {
		$sql = "select sum( z.km_dienst ) + sum( z.km_privat )
				from tbh_extrafahrt x
				left join tb_ab_zk z using(zk_id)
				where x.extrafahrt = 'j' and 
				ab_monat = '{$rech['ab_monat']}'
				and proj_id = '$projekt->id';";
		$km = abfrage($sql);
	}
	$fahrtkosten = ($km[0] * $kmg[1])/100;
	if($fahrtkosten > 0) {
		$kmsatz = $kmg[1]/100;
		if(!$vergleichsrechnung) abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$km[0]', satz='$kmsatz', typ='km'");
		$nr++;
	}
	if ($projekt->km == 'j' && $projekt->kmd <= $rech['ab_monat']){
		$conf_kmsatz = getConf('kmsatz');
		if($conf_kmsatz > 0) {
			if(!$vergleichsrechnung) abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$abg', satz='$conf_kmsatz', typ='p'");
			$nr++;
		}
		$fahrtkosten += fround(fround($abg,2) * fround($conf_kmsatz,2), 2);
	}
	$leistungen += $fahrtkosten;
	if(intval(getConf("klientenkonto2"))) {
		$kk2val = getConf("kk2val");
		$kk2s = abfrage("select sum(k.spesen_betr) from tb_ab_zk z left join tb_klientenkonto2 k using(zk_id) where z.proj_id='$projekt->id' and z.ab='j' and k.ab_monat='{$rech['ab_monat']}'");
		$kk2 = ($kk2val > $kk2s[0]) ? $kk2s[0] : $kk2val;
		$leistungen += $kk2;
		if($kk2 > 0) {
			if(!$vergleichsrechnung) abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='1', satz='$kk2', typ='s'");
			$nr++;
		}
	}
	if(!$vergleichsrechnung) abfrage2("update tb_rechnung set betrag='$leistungen' where re_id='$re_id';");
	return $leistungen;
}

function is_k_rechnung($re_id) {
	$kr = abfrage1("select typ from tb_ab_rechnung where re_id='$re_id' and pos='1'");
	return($kr[0] == 'k');
}

function pr_gr_anwesend($proj_id, $datum) {
	if(strpos($datum, '.')!==false) $datum = date_gr2my($datum);
	$anwesend = abfrage("select terminart from tbh_proj_anwesenheit where proj_id='$proj_id' and datum = '$datum'");
	if($anwesend[0] == '-') return true;
	return false;
}

function fls_abgerechnet_x($re_id){
	$abg = abfrage("select menge, typ, ab_monat, proj_id from tb_ab_rechnung
					where re_id = '$re_id' and pos = '1';");
	$abg2 = abfrage("select menge, typ, ab_monat, proj_id from tb_ab_rechnung
					where re_id = '$re_id' and pos = '1';");
	if($abg[1] == 'k') {
		$nw = abfrage("select nachw_id from tb_ab_nachw where datum='$abg[2]'");
		$re = abfrage("select re_id from tb_rechnung where nachw_id='$nw[0]' and proj_id='$abg[3]'");
		$abg = abfrage("select menge, typ from tb_ab_rechnung
						where re_id = '$re[0]' and pos = '1';");
		$skt = abfrage("select menge from tb_ab_rechnung where re_id = '$re[0]' and typ = 'skt';");
		if($skt[0]) $abg[0] += $skt[0];
	} else {
		$skt = abfrage("select menge from tb_ab_rechnung where re_id = '$re_id' and typ = 'skt';");
		if($skt[0]) $abg[0] += $skt[0];
	}
	return array($abg[0],$abg[1]);
}

// Sortierung der Personen pro Seite
function getPersOrder($page) {
  $sort = abfrage("select sort from tb_seite_pers_sort where seite = '$page'");
  if(empty($sort[0])) {
	$sort = abfrage("select sort from tb_seite_pers_sort where seite = '0'");
	if(empty($sort[0])) {
	  $sort[0]='0';
	}
  }
  return ($sort[0]);
}

// gibt den Montag der ersten Kalenderwoche eines Jahres als Timestamp zurueck
function getFirstKW($jahr){
	$erster = mktime(0,0,0,1,1,$jahr); // 1.1. des gefragten Jahres
	$wtag = date('w', $erster);        // Wochentag des 1.1.

	if ($wtag <= 4){
		// 1.1. ist ein Donnerstag oder 'kleiner': auf letzten Montag springen
		$montag = mktime(0,0,0,1,1 - ($wtag - 1),$jahr);
	} else {
		// 1.1. ist ein Freitag oder 'groesser': auf naechsten Montag springen
		$montag = mktime(0,0,0,1,1 + (7 - $wtag + 1),$jahr);
	}

	return $montag;

}


function getWeekFirstDay ($format = 'Y-m-d', $timestamp = false) {
    if (!$timestamp) {
       $timestamp = time();
    }
    $weekday = date('w', $timestamp);
    if ($weekday == 1) {
       return date($format, $timestamp);
    } else {
        if ($weekday == 0) $weekday = 6;
        else $weekday = $weekday - 1;
       $ts_first_day = $timestamp - (86400 * $weekday);
       return date($format, $ts_first_day);
    }
}


function bereitschaft() {
	global $AppCode;
	global $uid;
	if(isset($_SESSION[$AppCode]["bereitschaft"]) && !empty($_SESSION[$AppCode]["bereitschaft"])) return $_SESSION[$AppCode]["bereitschaft"];

	$mydatum = getWeekFirstDay('Y-m-d');
	$sql = "select pers_id, pers_id_h from tb_bereit where datum = '$mydatum';";
	$bereit = abfrage($sql);
	
	$mydatum = date('Y-m-d');
	$sql = "select pers_id_d, pers_id_dh, pers_id_f1, pers_id_f2, check_d from tb_bereit where datum = '$mydatum';";
	$bereit_d = abfrage($sql);
	
	if (!$bereit_d[0] > 0) {
		$bereit_normal = $bereit[0];
	} else {
		$bereit_normal = $bereit_d[0];
	}
	if (!$bereit_d[1] > 0) {
		$bereit_hintergr = $bereit[1];
	} else {
		$bereit_hintergr = $bereit_d[1];
	}
	
	if($bereit_d[4] == 'j') {
		$txt_fahrbereit = 'Fahrbereitschaft:';
		if ($bereit_d[2] > 0 || $bereit_d[3] > 0) {
			if ($bereit_d[2] > 0) {
				$txt_fahrbereit .= '<br />'.pers_kname($bereit_d[2]);
			}
			if ($bereit_d[3] > 0) {
				$txt_fahrbereit .= '<br />'.pers_kname($bereit_d[3]);
			}
		} else {
			$txt_fahrbereit .= '<br />nicht festgelegt';
		}
	} else $txt_fahrbereit = 'Telefon- und Fahrbereitschaft';
	$ber = '<span ' . stwToolTip($txt_fahrbereit) . '>';

	if ($bereit_normal > 0) {
		$ber .= pers_kname($bereit_normal);
	} elseif ($bereit_hintergr > 0) {
		$ber .= '<span';
		if ($bereit_hintergr == $uid) {
			$ber .= " style=\"color: #FF0000; font-weight:bold;\"";
		}
		$ber .= '>'. pers_kname($bereit_hintergr) .'</span>';
	} else {
		$ber .= 'nicht festgelegt';
	}
	$ber .= '</span>';
	
	// Ausgabe Hintergrundbereitschaft:
	if ($bereit_hintergr > 0){
		if ($bereit_normal > 0) {
			$ber .= '&nbsp;<span ' . stwToolTip('Hintergrundbereitschaft');
			if ($bereit_hintergr == $uid) {
				$ber .= " style=\"color: #FF0000; font-weight:bold;\"";
			}
			$ber .= '>(' . pers_kname($bereit_hintergr) . ')</span>';
		} else {
			$ber .= '&nbsp;<span ' . stwToolTip('nur Hintergrundbereitschaft hinterlegt!');
			$ber .= '>(nur Hintergrund)</span>';
		}
	}
	$_SESSION[$AppCode]["bereitschaft"] = $ber;
	return $ber;
}

/* Funktion zur Rckgabe pers_id zur aktuellen Bereitschaft */
/* Sollte nicht mehr gebraucht werden, demnchste entfernen.
function bereit() {
	$mydatum = getWeekFirstDay('Y-m-d');
	$sql = "select pers_id from tb_bereit where datum = '$mydatum';";
	$bereit = abfrage($sql);

	if ($bereit[0] > 0) return $bereit[0];
} */


function selfdatei() {
	$self = explode("/", $_SERVER["PHP_SELF"]);
	$nr = count($self) - 1;
	return $self[$nr];
}


function extern()
{
	global $AppCode;

        /* nur bei aktivem Bollwerk weitermachen */
	$erg = getConf("boll_aktiv");
	if ($erg == 0) return;

	$boll_intern = getConf("boll_intern");

	$ip = $_SERVER["REMOTE_ADDR"];
	if ((substr($ip,0,8) == '192.168.' || $ip == '127.0.0.1') && $boll_intern != 1){
	} else {
		if($_SESSION[$AppCode]["EXT_LOGIN"] == "OKIDOKI"){
		} else {
			header('Location: ../index.php');
		}
	}
}

function pers_nummer($pers_id) {
	$res = abfrage("select concat("
				 . "IF(a.kurzname IS NULL, a.personalart, a.kurzname), ' ', "
				 . "p.personalnr, ' ', "
				 . "left(p.vorname,1), "
				 . "left(p.name, 1)) "
				 . "from tb_personal p "
				 . "left join tb_personalart a using(p_art_id) "
				 . "where p.pers_id = '$pers_id';");
	if(empty($res[0])) echo "<b style=\"color:red\" name=\"blink\">- leer -</b>";
	return $res[0];
}

/* Personalart fuer eine Personal-ID ermitteln */
function pers_art($pers_id) {
	$res = abfrage("select IF(a.kurzname IS NULL, a.personalart, a.kurzname) "
				 . "from tb_personal p "
				 . "left join tb_personalart a using(p_art_id) "
				 . "where p.pers_id = '$pers_id';");
	return $res[0];
}

function pers_name($pers_id) {
	$res = abfrage("select concat(vorname, ' ', name) "
				 . "from tb_personal "
				 . "where pers_id = '$pers_id'");
	return $res[0];
}

function pers_name2($pers_id) {
	$res = abfrage("select concat(name, ', ', vorname) "
				 . "from tb_personal "
				 . "where pers_id = '$pers_id'");
	return $res[0];
}

function pers_kname($pers_id) {
	$res = abfrage("select concat(left(vorname,1), '. ', name) "
				 . "from tb_personal "
				 . "where pers_id = '$pers_id'");
	return $res[0];
}

function pers_kname2($pers_id) {
	$res = abfrage("select concat(name, ', ', left(vorname,1), '.') "
				 . "from tb_personal "
				 . "where pers_id = '$pers_id'");
	return $res[0];
}

function pers_toolTip($pers_id, $ueberschrift='', $notiz='') {
	if(empty($pers_id)) return '';
	$ma = abfrage("SELECT vorname, name, telstw, telmobil FROM tb_personal where pers_id='$pers_id'");
	$line = $ma[2] && $ma[3] ? "&nbsp; | &nbsp;" : '';
	if($ueberschrift!='') $ueberschrift .= "<br>";
	$tt = "<center>".$ueberschrift.pers_image($pers_id)."<br />".$ma[0]." ".$ma[1]."<br />".$ma[2].$line.$ma[3]."</center>";
	if($notiz!='') $tt .= "<hr>$notiz";
	return " onmouseover=\"Tip('".htmlentities($tt,ENT_COMPAT|ENT_SUBSTITUTE,'ISO-8859-1')."', BGCOLOR, '#333333', BORDERCOLOR, '#999999', FONTCOLOR, '#CCCCCC')\" onmouseout=\"UnTip()\" ";
}

/*
 * pers_image - gibt im Personaldatenblatt hochgeladenes Foto wieder
 *
 * pers_id : ID des Mitarbeiters
 * size : height/width des Rueckgabebildes
 * tooltip : falls Zeichenkette wird groesseres Bild + diese im Tooltip wiedergegeben, true zeigt nur groesseres Bild
 * binIchDas : falls true und pers_id == uid des angemeldeten Nutzers, mit weiem Kreis hervorheben
 * link : Link ins Personaldatenblatt
 * fehlz : falls Datum uebergeben und Nutzer Fehlzeit, dann im Hammer (Abteilung) konfigurierte Hervorhebung darstellen
 */
function pers_image($pers_id, $size=80, $tooltip=false, $binIchDas=false, $link=false, $fehlz=NULL) {
	$img = '';
	if(!$pers_id) return $img;
	global $AppCode;
	$bgsize = intval($size/2.5);
	$f = $g = false;
	$notiz = '';
	if($fehlz) {
		$flzs=abfrage1("SELECT a.abt_darst, a.farbe, a.name, to_days(t.bis) - to_days('$fehlz')
						FROM tb_fehlz f
						LEFT JOIN tb_termine t on f.termin_id = t.termin_id
						LEFT JOIN tb_terminart a on t.terminart = a.terminart
						WHERE f.pers_id = '$pers_id' AND f.genehmigt = 1
						AND t.von <= '$fehlz'
						AND t.bis >= '$fehlz'
						AND a.abt_darst IS NOT NULL
						ORDER BY (t.terminart = 'ez') DESC;");
		// Theoretisch mehrere FZs und dadurch mehrere Zustnde gleichzeitig
		while($fehl = mysql_fetch_row($flzs)) {
			if(strpos($fehl[0],'f') !== false) $f = $fehl[1];
			if(strpos($fehl[0],'g') !== false) $g = true;
			if(strpos($fehl[0],'x') !== false && $fehl[3] <= 28) {
				$g = false;
				$f = $fehl[1];
			}
			$notiz .= "<span style=\"color:$fehl[1]\">$fehl[2]</span><br>";
		}
	}
	if($link) $img .= "<a href=\"pers_and.php?pers_id=$pers_id\">";
	$img .= "<img src=\"img/kreis333333.png\" alt=\" \" style=\"width:".$size."px; height:".$size."px;position:absolute; z-index: 4\"/>";
	if($fehlz && $f) {
		$rgb = transformColor($f);
		$img .= "<span style=\"position:absolute; z-index: 5\">";
		$img .= "<img src=\"".image('kreis2',80,80,$rgb[0],$rgb[1],$rgb[2])."\" style=\"width:".$size."px; height:".$size."px;\" />";
		$img .= "</span>";
	} elseif($binIchDas && $pers_id == $_SESSION[$AppCode]["UID"]) {
		$img .= "<span style=\"position:absolute; z-index: 5\">";
		$img .= "<img src=\"".image('kreis2',80,80,255,255,255)."\" style=\"width:".($size*1.2)."px; height:".($size*1.2)."px;position:relative;top:-".($size/10)."px;left:-".($size/10)."px\" />";
		$img .= "</span>";
	}
	if($tooltip) {
		$tt = pers_toolTip($pers_id,is_bool($tooltip) ? '' : $tooltip,$notiz);
		$img .= "<img src=\"img/clearpixel.png\" $tt alt=\" \" style=\"width:".$size."px; height:".$size."px;position:absolute; z-index: 9\" />";
	}
	$img .= "<img src=\"" . $_SESSION['webdir'] . "/img/$pers_id.jpg?".time()."\" alt=\" \" style=\"";
	if($g) $img .= "opacity:0.2;";
	$img .= "width:".$size."px; height:".$size."px;position:absolute; z-index: 3\" />";
	$img .= "<img src=\"" . $_SESSION['webdir'] . "/img/clearpixel.png\" alt=\" \" style=\"";
	if($g) $img .= "opacity:0;";
	$img .= "background:url(".image('person',16,16,128,128,128)."); background-size: ".$bgsize."px ".$bgsize."px; background-repeat: no-repeat; background-position: center; width:".$size."px; height:".$size."px;\" />";
	if($link) $img .= "</a>";
	return $img;
}

function pers_initialen($pers_id) {
	$res = abfrage("select concat(left(vorname,1),'.',left(name,1),'.') "
				 . "from tb_personal where pers_id = '$pers_id'");
	return $res[0];
}

function pers_standardtraeger($pers_id) {
	$pers = abfrage("select standard_traeger_art_id from tb_personal where pers_id='$pers_id'");
	if(empty($pers[0])) {
		$tr = abfrage("select traeger_art_id from tbh_pers_traegerart where pers_id='$pers_id' order by traeger_art_id asc limit 1");
		return empty($tr[0]) ? 0 : $tr[0];
	} 
	return $pers[0];
}

function pers_standardabteilung($pers_id) {
	$pers = abfrage("select standard_abteilung from tb_personal where pers_id='$pers_id'");
	if(empty($pers[0])) {
		$abts = abfrage1("select abt_id from tbh_pers_abt where pers_id='$pers_id' and sub_abt_id='0'");
		if(mysql_num_rows($abts) == 1) {
			$abt = mysql_fetch_row($abts);
			return $abt[0];
		}
		return 0;
	} 
	return $pers[0];
}

/* Unterabteilungen der Abteilungen eines Mitarbeiters auf Konsistenz pruefen */
function pers_sub_abt($pers_id) {
	$done = $toBeDone = array();
	abfrage2("delete from tbh_pers_abt where pers_id='$pers_id' and sub_abt_id > 0");
	$abts = abfrage1("select distinct abt_id from tbh_pers_abt where sub_abt_id=0 and pers_id='$pers_id'");
	while($abt = mysql_fetch_row($abts)) {
		$toBeDone[ $abt[0] ] = $abt[0];
	}
	while(!empty(array_diff($toBeDone,$done))) {
		foreach($toBeDone as $abt_id) {
			$done[ $abt_id ] = $abt_id;
			$temp = array();
			$abts = abfrage1("select distinct abt_id from tbh_pers_abt where sub_abt_id='$abt_id'");
			while($abt = mysql_fetch_row($abts)) {
				$temp[ $abt[0] ] = $abt[0];
				$sql = "REPLACE INTO tbh_pers_abt (abt_id, pers_id, sub_abt_id) VALUES ";
				$sql .= "(".$abt[0].",".$pers_id.",$abt_id)";
				abfrage2($sql);
			}
			$toBeDone += $temp;
		}
		$toBeDone += $done;
	}
}

/* hat angemeldeter Benutzer Zugangsrechte zur Abteilungskonfiguration (AL oder Sprecher) */
function abtZugang($abt_id) {
	global $AppCode;
	if($_SESSION[$AppCode]["ULV"] >= 96) return true;
	if(empty($abt_id)) return false;
	$sprecher = abfrage("select sprecher from tb_personal_abt where abt_id='$abt_id'");
	if($_SESSION[$AppCode]['UID'] == $sprecher[0]) return true;
	$ok = abfrage("select pers_id from tb_personal_abt_leit where abt_id='$abt_id' and pers_id='{$_SESSION[$AppCode]['UID']}'");
	if($ok[0] == $_SESSION[$AppCode]['UID']) return true;
	return false;
}

function abt_image($abt_id, $size=80) {
	$img = '';
	if(empty($abt_id)) return $img;
	$bgsize = intval($size/2.5);
	$abt = abfrage("select team from tb_personal_abt where abt_id='$abt_id'");
	$img .= "<img $tt src=\"img/";
	if($abt[0]=='t') $img .= 'achteck333333';
	elseif($abt[0]=='b') $img .= 'viereck';
	elseif($abt[0]=='g') $img .= 'wolke';
	else $img .= 'sechseck333333';
	
	$img .= ".png\" alt=\" \" style=\"width:".$size."px; height:".$size."px;position:absolute; z-index: 2\"/>";
	$img .= "<img src=\"" . $_SESSION['webdir'] . "/img/a".$abt_id.".jpg?".time()."\" alt=\" \" style=\"width:".$size."px; height:".$size."px;position:absolute; z-index: 1\" />";
	$img .= "<img src=\"" . $_SESSION['webdir'] . "/img/clearpixel.png\" alt=\" \" style=\"background:url(";
	if($abt[0]=='t') $img .= image('11111,001,001,001,001',5,5,128,128,128);
	elseif($abt[0]=='b') $img .= image('011,0101,011,0101,011',5,5,128,128,128);
	else $img .= image('001,0101,0111,0101,0101',5,5,128,128,128);
	$img .= "); background-size: ".$bgsize."px ".$bgsize."px; background-repeat: no-repeat; background-position: center; width:".$size."px; height:".$size."px;\" />";
	return $img;
}

function team_image($abt_id, $size=80, $datum=NULL) {
	if(empty($datum)) $datum = date('Y-m-d');
	$img = '';
	if(empty($abt_id)) return $img;
	$abt = abfrage("select sprecher, name, notizen, team from tb_personal_abt where abt_id='$abt_id'");
	$perssize = intval($size/2);
	$tt = stwToolTip($abt[1]);
	$mas = $als = array();
	$ebene = array('g'=>'Gebiet','b'=>'Bereich','a'=>'Abteilung','t'=>'Team');
	$sql = "select p.pers_id, l.abt_id from tb_personal p
			left join tb_personal_abt_leit l on (p.pers_id = l.pers_id and l.abt_id = '$abt_id' and l.hidden='n')
			left join tbh_pers_abt a on (p.pers_id = a.pers_id and a.abt_id = '$abt_id' and a.sub_abt_id = 0)
			where p.status_id=2
			and (l.abt_id='$abt_id' or a.abt_id='$abt_id')
			group by pers_id
			order by p.pers_id='$abt[0]' desc, l.abt_id desc, p.pers_id asc";
	$pers = abfrage1($sql);
	$i = 0;
	$breakpoint = 8;
	while($ma = mysql_fetch_row($pers)) {
		if($i == $breakpoint) $i = 8;
		if($i >= $breakpoint) {
			$mas[$i] = $ma[0];
			$i++;
		} elseif($ma[0] == $abt[0]) {
			$mas[7] = $ma[0];
			$als[7] = $ma[1] ? 1 : 0;
			$breakpoint--;
		} else {
			$mas[$i] = $ma[0];
			if($ma[1]) $als[$i] = 1;
			$i++;
		}
	}
	$img .= "<a href=\"abteilung.php?abt=$abt_id\"".stwToolTip("<b>".$ebene[$abt[3]]." $abt[1]</b><br>$abt[2]").">" . abt_image($abt_id, $size) . "</a>";

	$diaPX = ($size/5.5)."px";
	$ret  = "<table cellpadding=\"0\" cellspacing=\"4\" style=\"display:inline;margin:10px\">";
	$ret .= "<tr>";
	$ret .= "<td style=\"position:relative;left:$diaPX;top:$diaPX;text-align:center;vertical-align:middle\">";
	if($als[1]) {
		$ret .= "<span style=\"position:absolute; z-index: 7\">";
		$ret .= "<img src=\"".image('kreis1',80,80,255,0,0)."\" style=\"width:".($perssize*1.1)."px; height:".($perssize*1.1)."px;position:relative;top:-".($perssize/20)."px;left:-".($perssize/20)."px\" />";
		$ret .= "</span>";
	}
	$ret .= pers_image($mas[1],$perssize,$als[1]?"<b style=\"color:red\">Abteilungsleiter</b>":true,true,true,$datum)."</td>";
	$ret .= "<td style=\"position:relative;top:-".intval($diaPX/4)."px;text-align:center;vertical-align:middle\">";
	if($als[0]) {
		$ret .= "<span style=\"position:absolute; z-index: 7\">";
		$ret .= "<img src=\"".image('kreis1',80,80,255,0,0)."\" style=\"width:".($perssize*1.1)."px; height:".($perssize*1.1)."px;position:relative;top:-".($perssize/20)."px;left:-".($perssize/20)."px\" />";
		$ret .= "</span>";
	}
	$ret .= pers_image($mas[0],$perssize,$als[0]?"<b style=\"color:red\">Abteilungsleiter</b>":true,true,true,$datum)."</td>";
	$ret .= "<td style=\"position:relative;left:-$diaPX;top:$diaPX;text-align:center;vertical-align:middle\">";
	if($als[7]) {
		$ret .= "<span style=\"position:absolute; z-index: 7\">";
		$ret .= "<img src=\"".image('kreis1',80,80,255,0,0)."\" style=\"width:".($perssize*1.1)."px; height:".($perssize*1.1)."px;position:relative;top:-".($perssize/20)."px;left:-".($perssize/20)."px\" />";
		$ret .= "</span>";
	}
	if($mas[7]==$abt[0]) {
		$ret .= "<span style=\"position:absolute; z-index: 6\">";
		$ret .= "<img src=\"" . image('kreis1',80,80,0,125,0) . "\" style=\"width:".($perssize*1.2)."px; height:".($perssize*1.2)."px;position:relative;top:-".($perssize/10)."px;left:-".($perssize/10)."px\" />";
		$ret .= "</span>";
	}
	$txt = $mas[7]==$abt[0] ? "<b style=\"color:#008000\">Teamsprecher</b>" : '';
	if($als[7] && $mas[7]==$abt[0]) $txt .= "<br />";
	if($als[7]) $txt .= "<b style=\"color:red\">Abteilungsleiter</b>";
	$ret .= pers_image($mas[7],$perssize,$txt==''?true:$txt,true,true,$datum)."</td>";
	$ret .= "<td><img src=\"" . $_SESSION['webdir'] . "/img/clearpixel.png\" style=\"height:".$perssize."px; width:1px;\" alt=\" \" /></td>";
	$ret .= "</tr>\n<tr>";
	$ret .= "<td style=\"text-align:center;vertical-align:middle\">";
	if($als[2]) {
		$ret .= "<span style=\"position:absolute; z-index: 7\">";
		$ret .= "<img src=\"".image('kreis1',80,80,255,0,0)."\" style=\"width:".($perssize*1.1)."px; height:".($perssize*1.1)."px;position:relative;top:-".($perssize/20)."px;left:-".($perssize/20)."px\" />";
		$ret .= "</span>";
	}
	$ret .= pers_image($mas[2],$perssize,$als[2]?"<b style=\"color:red\">Abteilungsleiter</b>":true,true,true,$datum)."</td>";
	$ret .= "<td style=\"text-align:center;vertical-align:middle\">".$img."</td>";
	$ret .= "<td style=\"text-align:center;vertical-align:middle\">";
	if($als[6]) {
		$ret .= "<span style=\"position:absolute; z-index: 7\">";
		$ret .= "<img src=\"".image('kreis1',80,80,255,0,0)."\" style=\"width:".($perssize*1.1)."px; height:".($perssize*1.1)."px;position:relative;top:-".($perssize/20)."px;left:-".($perssize/20)."px\" />";
		$ret .= "</span>";
	}
	$ret .= pers_image($mas[6],$perssize,$als[6]?"<b style=\"color:red\">Abteilungsleiter</b>":true,true,true,$datum)."</td>";
	$ret .= "</tr>\n<tr>";
	$ret .= "<td style=\"position:relative;left:$diaPX;top:-$diaPX;text-align:center;vertical-align:middle\">";
	if($als[3]) {
		$ret .= "<span style=\"position:absolute; z-index: 7\">";
		$ret .= "<img src=\"".image('kreis1',80,80,255,0,0)."\" style=\"width:".($perssize*1.1)."px; height:".($perssize*1.1)."px;position:relative;top:-".($perssize/20)."px;left:-".($perssize/20)."px\" />";
		$ret .= "</span>";
	}
	$ret .= pers_image($mas[3],$perssize,$als[3]?"<b style=\"color:red\">Abteilungsleiter</b>":true,true,true,$datum)."</td>";
	$ret .= "<td style=\"position:relative;top:".intval($diaPX/4)."px;text-align:center;vertical-align:middle\">";
	if($als[4]) {
		$ret .= "<span style=\"position:absolute; z-index: 7\">";
		$ret .= "<img src=\"".image('kreis1',80,80,255,0,0)."\" style=\"width:".($perssize*1.1)."px; height:".($perssize*1.1)."px;position:relative;top:-".($perssize/20)."px;left:-".($perssize/20)."px\" />";
		$ret .= "</span>";
	}
	$ret .= pers_image($mas[4],$perssize,$als[4]?"<b style=\"color:red\">Abteilungsleiter</b>":true,true,true,$datum)."</td>";
	$ret .= "<td style=\"position:relative;left:-$diaPX;top:-$diaPX;text-align:center;vertical-align:middle\">";
	if($als[5]) {
		$ret .= "<span style=\"position:absolute; z-index: 7\">";
		$ret .= "<img src=\"".image('kreis1',80,80,255,0,0)."\" style=\"width:".($perssize*1.1)."px; height:".($perssize*1.1)."px;position:relative;top:-".($perssize/20)."px;left:-".($perssize/20)."px\" />";
		$ret .= "</span>";
	}
	$ret .= pers_image($mas[5],$perssize,$als[5]?"<b style=\"color:red\">Abteilungsleiter</b>":true,true,true,$datum)."</td>";
	$ret .= "<td><img src=\"" . $_SESSION['webdir'] . "/img/clearpixel.png\" style=\"height:".$perssize."px; width:1px;\" alt=\" \" /></td>";
	$ret .= "</tr>\n";
	if($i > 8) {
		$ret .= "<tr><td colspan=\"3\"><table width=\"100%\" cellspacing=\"2\" cellpadding=\"4\">";
		for($j=8; $j<$i; $j++) {
			if($j%4==0) $ret .= "<tr>";
			$ret .= "<td style=\"width:25%;text-align:center;vertical-align:middle\">";
			$ret .= pers_image($mas[$j],$perssize,true,true,true,$datum)."</td>";		
			if($j%4==3) $ret .= "</tr>";
		}
		if($i % 4 != 0) $ret .= "</tr>";
		$ret .= "</table></td></tr>";
	}
	$ret .= "<tr><td><img src=\"" . $_SESSION['webdir'] . "/img/clearpixel.png\" style=\"width:".$perssize."px; height:1px;\" alt=\" \" /></td>";
	$ret .= "<td><img src=\"" . $_SESSION['webdir'] . "/img/clearpixel.png\" style=\"width:1px; height:".intval($perssize/3)."px;\" alt=\" \" /></td>";
	$ret .= "<td><img src=\"" . $_SESSION['webdir'] . "/img/clearpixel.png\" style=\"width:".$perssize."px; height:1px;\" alt=\" \" /></td></tr>";
	$ret .= "</table>\n";
	return $ret;
}

function abteilung_tooltip($abt_id) {
	if(empty($abt_id)) return ' ';
	global $seite;
	$pers_order = getPersOrder($seite);

	$sql  = "SELECT concat(";
	$sql .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
	$sql .= "), p.telstw, p.telmobil FROM tb_personal_abt_leit a ";
	$sql .= "left join tb_personal p on a.pers_id = p.pers_id ";
	$sql .= "WHERE a.abt_id = '$abt_id' and p.status_id='2' ORDER BY ";
	$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
	$abls = abfrage1($sql);
	$tt = "<table class=\"tooltip\" cellpadding=\"0\" cellspacing=\"0\"><tr><td class=\"cl11\"><table><tr><th><u>Abteilungsleiter:</u></th></tr>";
	while($abl = mysql_fetch_row($abls)) {
		$tt .= "<tr><td><b>$abl[0]</b><br>";
		if($abl[1] && $abl[2]) $tt .= "$abl[1] | $abl[2]";
		else $tt .= $abl[1] . $abl[2];
		$tt .= "</td></tr>";
	}

	$subs = abfrage1("select distinct a.name from tb_personal_abt a left join tbh_pers_abt p on(a.abt_id = p.sub_abt_id) where p.abt_id = '$abt_id' order by a.name asc");
	if(mysql_num_rows($subs)>0) {
		$tt .= "<tr><td style=\"background-color:green\"></td></tr>";
		$tt .= "<tr><th><u>Unterabteilungen:</u></th></tr>";
		while($sub = mysql_fetch_row($subs)) {
			$tt .= "<tr><td>$sub[0]</td></tr>";
		}
	}
	$tt .= "</table></td>";

	$sql  = "SELECT concat(";
	$sql .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
	$sql .= "), p.telstw, p.telmobil FROM tbh_pers_abt a ";
	$sql .= "left join tb_personal p on a.pers_id = p.pers_id ";
	$sql .= "WHERE a.abt_id = '$abt_id' and p.status_id='2' and sub_abt_id=0 ORDER BY ";
	$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
	$pabs = abfrage1($sql);
	$tt .= "<td><table>";
	$tr = true;
	while($ma = mysql_fetch_row($pabs)) {
		if($tr) $tt .= "<tr>";
		$tr = !$tr;
		$tt .= "<td><b>$ma[0]</b><br>";
		if($ma[1] && $ma[2]) $tt .= "$ma[1] | $ma[2]";
		else $tt .= $ma[1] . $ma[2];
		$tt .= "</td>";
		if($tr) $tt .= "</tr>";
	}
	if(!$tr) $tt .= "</tr>";
	
	$tt .= "</table></td></tr></table>";
	return stwToolTip($tt,false);
}

function print_stdabt_link($pers_id, $noLink = false) {
	$stdAbt = pers_standardabteilung($pers_id);
	$abts=abfrage1("select a.abt_id, p.name from tbh_pers_abt a 
					left join tb_personal_abt p using(abt_id) 
					where a.pers_id='$pers_id' 
					order by a.abt_id='$stdAbt' desc, p.name asc");
	$name = $tt = '';
	while($abt = mysql_fetch_row($abts)) {
		if($abt[0] == $stdAbt) $name=$abt[1];
		else $tt .= "<li>$abt[1]</li>";
	}
	$return = $noLink ? '<b' : "<a href=\"pers_and.php?pers_id=$pers_id&amp;bereich=3\"";
	if($tt != '') $return .= stwToolTip("<ul style=\"margin:0;padding-left:12px\">$tt</ul>",false);
	$return .= $name=='' ? " style=\"color:red\">KEINE" : ">$name";
	$return .= $noLink ? '</b>' : "</a>";
	return $return;
}

function pers_fokus($pers_id) {
	$res = abfrage("select fokus "
				 . "from tb_personal "
				 . "where pers_id = '$pers_id';");
	return (empty($res[0])) ? false : $res[0];
}

function pers_fehlzeit($pers_id, $timestamp = false, $nur_genehmigte = 1, $ElternteilzeitAlsFehlzeitWerten = false) {
	/* pers_fehlzeit - Ermittel, ob uebergebener Mitarbeiter zum uebergebenen
	   Zeitpunkt (Zeitstempel mit 00:00:00 Uhr!) eine genehmigte Fehlzeit hat.
	   Wird kein Zeitstempel uebergeben, wird heute, 0:00 Uhr gesetzt.
	   nur_genehmigte beruecksichtigt nut FZs mit Genehmigung( == 1)
	                  oder auch die mit Genehmigung || Fokus ( == 2)*/

	if (!$timestamp) $timestamp = mktime(0,0,0,date('n'),date('j'), date('Y'));
	$and = '';
	if($nur_genehmigte) {
		$and = "AND (f.genehmigt = 1";
		if($nur_genehmigte == 2) $and .= " OR f.fokus = 1";
		$and .= ")";
	}
	$fz = abfrage1("SELECT t.terminart
								  FROM tb_fehlz f
								  LEFT JOIN tb_termine t on f.termin_id = t.termin_id
								  WHERE f.pers_id = '$pers_id'
								  AND unix_timestamp(t.von) <= '$timestamp'
								  AND unix_timestamp(t.bis) >= '$timestamp' $and;");

	if (mysql_num_rows($fz) > 0){
		if($ElternteilzeitAlsFehlzeitWerten) return true;
		else while($f = mysql_fetch_row($fz)) {
			if($f[0] != 'ez') return true;
		}
		$sql = "select anst_ez from tb_paz where pers_id = '$pers_id' 
				and unix_timestamp(von) <= '$timestamp' order by von desc limit 1";
		$anst_ez = abfrage($sql);
		if($anst_ez[0] == 0.00) return true;
	} 
	return false;
}

function pers_elternzeit($pers_id, $timestamp = false) {
	if (!$timestamp) $timestamp = mktime(0,0,0,date('n'),date('j'), date('Y'));
	$fz = abfrage1("SELECT t.termin_id FROM tb_fehlz f
					LEFT JOIN tb_termine t on f.termin_id = t.termin_id
					WHERE f.pers_id = '$pers_id' and t.terminart = 'ez'
					AND unix_timestamp(t.von) <= '$timestamp'
					AND unix_timestamp(t.bis) >= '$timestamp';");
	if (mysql_num_rows($fz) > 0) return true;
	return false;
}

function pers_benachr($pers_id){
	$sql  = "select benachr, emailprivat, emaildienst from tb_personal where pers_id = '$pers_id';";
	$dat = abfrage($sql);
	if($dat[0] == 'j' && strlen($dat[1]) > 0) return $dat[1];
	if($dat[0] == 'd' && strlen($dat[2]) > 0) return $dat[2];
	return false;
}


function is_fokus($pers_id){
	$sql = "select pers_id from tb_personal where fokus = '$pers_id';";
	$res = abfrage1($sql);

	return (mysql_num_rows($res) > 0) ? true : false;
}


/* pers_fb($pers_id)  - ermittelt, ob uebergebener Mitarbeiter
 * Fachberater ist (Rueckgabe true) oder nicht (false)
 */
function pers_fb($pers_id, $nurHZE_FBs=false){
  if($nurHZE_FBs) {
	$res = abfrage1("SELECT proj_id FROM tb_projekte
					WHERE (ende IS NULL OR ende = '0000-00-00' OR 
					TO_DAYS(ende)+56 >= TO_DAYS(CURDATE())) AND 
					projektnr < 2000 AND fb_id = '$pers_id'");
  } else {
	$res = abfrage1("SELECT proj_id FROM tb_projekte WHERE fb_id = '$pers_id'
					AND (ende IS NULL OR ende = '0000-00-00' OR 
					TO_DAYS(ende)+56 >= TO_DAYS(CURDATE()));");
	if(mysql_num_rows($res) == 0) {
		$res = abfrage1("SELECT team_art_id FROM tb_team_art 
						WHERE fb_id = '$pers_id' AND aktiv > 0;");
	}
  }
  $ret = (mysql_num_rows($res) > 0) ? true : false;
  return $ret;
}

/* Fachberater in eigener Tabelle hinterlegen */
function update_fb() {
	abfrage2("delete from tbh_pers_fb");
	$pros=abfrage1("SELECT DISTINCT p.fb_id, h.verw FROM tb_projekte p
					LEFT JOIN tb_hilfeart h using(hilfeart_id)
					WHERE unix_timestamp(p.ende) IS NULL OR unix_timestamp(p.ende)=0 OR unix_timestamp(p.ende) > unix_timestamp(now())-2419200 
					ORDER BY h.verw ASC");
	while($pro = mysql_fetch_row($pros)) {
		if($pro[0]) abfrage2("replace into tbh_pers_fb set pers_id='$pro[0]', hze='".($pro[1]=='j'?'n':'j')."'");
	}
}

function person_name($person_id)
{
	if($person_id ==  0) return '';
	if($person_id == -1) return 'Leistungserbringer';
	if($person_id == -2) return 'Kind/Jugendlicher';
	if($person_id == -3) return 'Eltern/Sorgeberechtigte';
	if($person_id == -4) return 'Fachanleiter';
	if($person_id == -5) return 'Lehrer';
	$res = abfrage("select concat(vorname, ' ', name)
					from tb_personen
					where person_id = '$person_id'");
	return $res[0];
}

function person_kname($person_id)
{
	$res = abfrage("select concat(left(vorname,1), '. ', name)
					from tb_personen
					where person_id = '$person_id'");
	return $res[0];
}

function person_beschreibung($person_id) {
	$res = abfrage("select beschreibung from tb_personen
					where person_id = '$person_id'");
	return $res[0];
}

function pers_betreuer($pers_id)
{
	$res = abfrage("select betreuer from tb_personal where pers_id = '$pers_id';");
	if ($res[0] == 'j'){
		return true;
	} else {
		return false;
	}
}

function pers_azk($pers_id)
{
	$res = abfrage("select azk from tb_personal where pers_id = '$pers_id';");
	if ($res[0] == 'j'){
		return true;
	} else {
		return false;
	}
}


function pers_farbe($pers_id) {

	$sql  = "select if (isnull(p.farbe) or p.farbe = '', l.farbe, p.farbe) ";
	$sql .= "from tb_personal p ";
	$sql .= "left join tb_level_farbe l on p.level = l.level ";
	$sql .= "where p.pers_id = '$pers_id';";

	$dat = abfrage($sql);

	return $dat[0];

}


function pers_gehaltsstufe($pers_id, $datum='0000-00-00', $default=1){
	$gs = abfrage("select gs from tb_personal where pers_id = '$pers_id';");
	/* gs besteht aus einer Zahl als Indikator fuer den Vorrueckungsstichtag
	 * und der vierstelligen Jahreszahl, daher min. 5 Stellen */
	if(empty($gs[0]) || $gs[0] < 10000) return $default;
	if($gs[0] < 100000) {
		$m = '0' . substr($gs[0],0,1);
		$y = substr($gs[0],1);
	} else {
		$m = substr($gs[0],0,2);
		$y = substr($gs[0],2);
	}
	$datum2 = "$y-$m-01";
	if($datum=='0000-00-00') $datum = date('Y-m-d');
	$ts1 = date_my2ts($datum);
	$ts2 = date_my2ts($datum2);
	$gehaltsstufe = 1;
	while($ts2 <= $ts1) {
		$gehaltsstufe++;
		$ts2 = mktime(0,0,0,date('m',$ts2),date('d',$ts2),date('Y',$ts2)+2);
	}
	return $gehaltsstufe;
}


function pers_grundverguetung($pers_id, $datum='0000-00-00'){
	$vg = abfrage("select bags, vg from tb_personal where pers_id = '$pers_id';");
	if(empty($vg[0])) return NULL;
	$gs = pers_gehaltsstufe($pers_id, $datum);
	if($datum=='0000-00-00') $datum = date('Y-m-d');
	$bags_id = abfrage("select bags_id from tb_bags where bags='$vg[0]' and ab<='$datum' order by ab desc limit 1");
	$gv = abfrage("select wert from tbh_bags where bags_id='$bags_id[0]' and gs='$gs' and vg='$vg[1]'");
	return $gv[0];
}


function pers_pension($pers_id, $datum='0000-00-00'){

	/* abfragen, ob PK-Merkmal aktiv ist */
	$sql  = "select pk, besch_id from tb_personal where pers_id = '$pers_id';";
	$personal = abfrage($sql);

	/* Angestellter? */
	if($personal[1] == 2 || $personal[1] == 3) return false;

	/* wenn PK-Merkmal aktiv ist -> Berechnung durchfuehren */
	if ($personal[0] == 'j'){

	  /* Alter und Timestamp des Eintritts abfragen: */
	  $sql  = "select (year(curdate())-year(geboren)) - (month(curdate())<month(geboren)), ";
	  $sql .= "if(unix_timestamp(anstellung)=0, unix_timestamp(eintritt), unix_timestamp(anstellung)), unix_timestamp(geboren) ";
	  $sql .= "from tb_personal where pers_id = '$pers_id';";
	  $pk = abfrage($sql);

	  /* aktuelle AZV ermitteln */
	  $sql  = "select max(von) from tb_paz where pers_id = '$pers_id' ";
	  $sql .= $datum=='0000-00-00' ? "and von <= curdate() " : "and von <= '$datum' ";
	  $sql .= "group by pers_id;";
	  $von = abfrage($sql);
	  /* Anstellung aus aktueller AZV ermitteln */
		$paz = abfrage("select anst from tb_paz where pers_id = '$pers_id'
						and von = '$von[0]';");

	  /* Pensionskassen-Einzahlung ermitteln */
	  if ($paz[0] < 50) { /* Anst. unter 50% -> PK = NULL */
	    $pension = 0;
	  } else {
	    if ($pk[0] < 30){
	      $pension = 30;
	    } elseif ($pk[0] >= 30 && $pk[0] < 40){
	      $pension = 35;
	    } else {
	      $pension = 40;
	    }
	    if ($paz[0] >= 75){
	      $pension = $pension * 2;
	    }
	  }

	  /* Pensionszahlung formatieren */
	  $pens = number_format($pension, 2, ',', '.');

	  /* heute vor 5 Jahren */
	  $y5ago = mktime(0,0,0,date('m'),date('d'),date('Y')-5);
	  /* 3 Monate vor dem 30. Geburtstag */
	  $b30m3 = mktime(0,0,0,date('m', $pk[2])-3,date('d', $pk[2]), date('Y', $pk[2])+30);
	  /* 3 Monate vor dem 5. Dienstjubilaeum */
	  $d5m3 = mktime(0,0,0,date('m', $pk[1])-3,date('d', $pk[1]), date('Y', $pk[1])+5);

	  if ( $pk[1] > $y5ago || $pk[0] < 30 ) {
	    $color = "lightgreen";
	  } elseif ( $pk[1] > $d5m3 || $pk[2] > $b30m3 ) {
	    $color = "yellow";
	  } else {
	    $color = "red";
	  }

	  /* Tabellenzelle mit Pensionskasseneinzahlung ausgeben */
	  if ($pens > 0 && ($personal[1] == 1 || $personal[1] == 4)) {
	    $return = array($pens, $color);
	    return $return;
	  } else {
	    return false;
	  }

	} else {
		/* PK-Merkmal ist nicht aktiv -> false zurueckgeben */
		return false;
	}

} /* Ende Funktion pers_pension() */

/* pers_inTeam($pers_id)
 * ermittelt, ob uebergebener Mitarbeiter Fokus (return p_art_id)
 * oder potentieller Teilnehmer (return true) einer Sitzungsart ist
 */
function pers_inTeam($pers_id, $team_art_id) {
	$ta = abfrage("select team_art_id, fokus from tb_team_art_pers where team_art_id='$team_art_id' and pers_id='$pers_id'");
	return $ta[1] > 0 ? $ta[1] : ($ta[0] > 0);
}

function inTeam($team_art_id) {
	global $AppCode;
	if (!isset($_SESSION[$AppCode]["UID"])) return false;
	return pers_inTeam($_SESSION[$AppCode]["UID"], $team_art_id);
}

/* returns Sitzungsnummer / Sitzungsart */
function team_nummer($team_art_id) {
	$ta = abfrage_array("select art, extern, kuerzel, 
						IF(nummer IS NULL, LPAD(RIGHT(team_art_id,3),3,'0'), nummer) as nr 
						from tb_team_art where team_art_id='$team_art_id'");
	$art = $ta['art'] . ($ta['extern'] ? 'e' : 'i') . ' ' . $ta['nr'] . ' ' . $ta['kuerzel'];
	return $art;
}

function getSozialraum($plz, $ort) {
	$ids = abfrage1("select id, kreis from tb_sozialraum where plz='$plz' group by id");
	if(mysql_num_rows($ids) == 0) return false;
	if(mysql_num_rows($ids) == 1) {
		$id = mysql_fetch_row($ids);
		return "$id[1]$id[0]";
	}
	$ids = abfrage1("select id, kreis, ort from tb_sozialraum where plz='$plz'");
	while($id = mysql_fetch_row($ids)) {
		if(strpos($id[2], $ort) !== false || strpos($ort, $id[2]) !== false) return "$id[1]$id[0]";
	}
	return false;
}

function k_art_seite($kart){
	switch ($kart) {
		case 1:
			return 5;
			break;
		case 2:
			return 21;
			break;
		case 3:
			return 22;
			break;
		case 4:
			return 23;
			break;
		case 5:
			return 25;
			break;
		case 6:
			return 61;
			break;
  }
}

function lom_art($lom_art){
	if ($lom_art > 0) {
		switch ($lom_art) {
			case 1:
				return "LOM-lok";
				break;
			case 2:
				return "LOM-reg";
				break;
			case 3:
				return "Werbung";
				break;
			case 4:
				return "Eltern";
				break;
      case 5:
        return "Tender";
        break;
		}
	} else {
		return "";
	}
}

function ab_cal($abmon, $abjahr, $abtag_von=0, $abtag_bis=0)
{
	// Timestamp fuer den 1. des gewaehlten Monats erstellen
	$erst = mktime(0,0,0,$abmon,1,$abjahr);

	// von-Datum gewaehlter Monat
	$von = date('Y-m-d', mktime(0,0,0, date('n', $erst), ($abtag_von==0 ? 1 : $abtag_von), date('Y',$erst)));
	// bis-Datum gewaehlter Monat
	$bis = date('Y-m-d', mktime(0,0,0, date('n', $erst), ($abtag_bis==0 ? date('t', $erst) : $abtag_bis), date('Y',$erst)));
	// Monat gewaehlter Monat
	$amm = date('n', mktime(0,0,0, date('n', $erst),1, date('Y',$erst)));
	// Jahr gewaehlter Monat
	$amj = date('Y', mktime(0,0,0, date('n', $erst),1, date('Y',$erst)));

	// von-Datum Vormonat
	$vmv = $abtag_von==0 ? date('Y-m-d', mktime(0,0,0, date('n', $erst)-1,1, date('Y',$erst))) : NULL;
	// bis-Datum Vormonat
	$vmb = $abtag_von==0 ? date('Y-m-d', mktime(0,0,0, date('n', $erst)-1, date('t', mktime(0,0,0,date('n', $erst)-1,1,date('Y', $erst))), date('Y', $erst))) : NULL;
	// Monat Vormonat
	$vmm = $abtag_von==0 ? date('n', mktime(0,0,0, date('n', $erst)-1,1, date('Y',$erst))) : NULL;
	// Jahr Vormonat
	$vmj = $abtag_von==0 ? date('Y', mktime(0,0,0, date('n', $erst)-1,1, date('Y',$erst))) : NULL;

	// von-Datum Folgemonat
	$fmv = $abtag_bis==0 ? date('Y-m-d', mktime(0,0,0, date('n', $erst)+1,1, date('Y',$erst))) : NULL;
	// bis-Datum Folgemonat
	$fmb = $abtag_bis==0 ? date('Y-m-d', mktime(0,0,0, date('n', $erst)+1, date('t', mktime(0,0,0,date('n', $erst)+1,1,date('Y', $erst))), date('Y', $erst))) : NULL;
	// Monat Folgemonat
	$fmm = $abtag_bis==0 ? date('n', mktime(0,0,0, date('n', $erst)+1,1, date('Y',$erst))) : NULL;
	// Jahr Folgemonat
	$fmj = $abtag_bis==0 ? date('Y', mktime(0,0,0, date('n', $erst)+1,1, date('Y',$erst))) : NULL;

	// Rueckgabe-Array erstellen
	$return = array('von' => $von,
					'bis' => $bis,
					'vmv' => $vmv,
					'vmb' => $vmb,
					'vmm' => $vmm,
					'vmj' => $vmj,
					'fmv' => $fmv,
					'fmb' => $fmb,
					'fmm' => $fmm,
					'fmj' => $fmj,
					'amm' => $amm,
					'amj' => $amj);

	return $return;
}

// gibt zurueck, ob ein Timestamp ein Arbeitstag ist
function arbeitstag($timestamp) {
    $wt = date('w', $timestamp);
    if ($wt == 0 || $wt == 6 || feiertag($timestamp)) {
        return false;
    } else {
        return true;
    }
}

// gibt zurueck, ob ein Timestamp ein Arbeitstag ist
function feiertag($timestamp) {
    $sj = date('Y', $timestamp);
	$ft = feiertage($sj);
    if (in_array($timestamp, $ft)) return true;
	return false;
}

// gibt zurueck, ob ein Timestamp am Wochenende ist
function wochenende($timestamp) {
	$wt = date('w', $timestamp);
	if ($wt == 0 || $wt == 6) return true;
	return false;
}

function feiertage($jahr){

	/* Fuer die Wochen mit Jahreswechseln muessen die Feiertage des Vor- und
	   des Folgejahres mit ermittelt werden */

	$fjahr = $jahr + 1;


	// Bundesland aus Konfiguration auslesen
	$bl = getConf('bland');

	// bundesweit einheitliche Feiertage

	// Neujahr
	$ft["Neujahr $jahr"] = mktime(0,0,0,1,1,$jahr);
	$ft["Neujahr $fjahr"] = mktime(0,0,0,1,1,$fjahr);

	// Karfreitag: nicht generell in Oesterreich
	if($bl != 'oe') {
		$ft["Karfreitag $jahr"] =	mktime(0,0,0,date('m',easter_date($jahr)),date('d',easter_date($jahr))-2,$jahr);
		$ft["Karfreitag $fjahr"] =	mktime(0,0,0,date('m',easter_date($fjahr)),date('d',easter_date($fjahr))-2,$fjahr);
	}

	// Ostermontag
	$ft["Ostermontag $jahr"] = mktime(0,0,0,date('m',easter_date($jahr)),date('d',easter_date($jahr))+1,$jahr);
	$ft["Ostermontag $fjahr"] = mktime(0,0,0,date('m',easter_date($fjahr)),date('d',easter_date($fjahr))+1,$fjahr);

	// 1. Mai
	$ft["Tag der Arbeit $jahr"] =	mktime(0,0,0,5,1,$jahr);
	$ft["Tag der Arbeit $fjahr"] =	mktime(0,0,0,5,1,$fjahr);

	// Christi Himmelfahrt
	$ft["Christi Himmelfahrt $jahr"] = mktime(0,0,0,date('m',easter_date($jahr)),date('d',easter_date($jahr))+39,$jahr);
	$ft["Christi Himmelfahrt $fjahr"] = mktime(0,0,0,date('m',easter_date($fjahr)),date('d',easter_date($fjahr))+39,$fjahr);

	// Pfingstmontag
	$ft["Pfingstmontag $jahr"] = mktime(0,0,0,date('m',easter_date($jahr)),date('d',easter_date($jahr))+50,$jahr);
	$ft["Pfingstmontag $fjahr"] = mktime(0,0,0,date('m',easter_date($fjahr)),date('d',easter_date($fjahr))+50,$fjahr);

	if($bl == 'oe') {
		// Oesterreichischer Nationalfeiertag
		$ft["Nationalfeiertag $jahr"] = mktime(0,0,0,10,26,$jahr);
		$ft["Nationalfeiertag $fjahr"] = mktime(0,0,0,10,26,$fjahr);

		// Mari Empfngnis (8.12.): nur Oesterreich
		$ft["Mari Empfngnis $jahr"] = mktime(0,0,0,12,8,$jahr);
		$ft["Mari Empfngnis $fjahr"] = mktime(0,0,0,12,8,$fjahr);
	} else {
		// Tag der Deutschen Einheit: nicht in Oesterreich
		$ft["Tag der Deutschen Einheit $jahr"] = mktime(0,0,0,10,3,$jahr);
		$ft["Tag der Deutschen Einheit $fjahr"] = mktime(0,0,0,10,3,$fjahr);
	}

	// 1. Weihnachtsfeiertag
	$ft["1. Weihnachtsfeiertag $jahr"] = mktime(0,0,0,12,25,$jahr);
	$ft["1. Weihnachtsfeiertag $fjahr"] = mktime(0,0,0,12,25,$fjahr);

	// 2. Weihnachtsfeiertag
	$ft["2. Weihnachtsfeiertag $jahr"] = mktime(0,0,0,12,26,$jahr);
	$ft["2. Weihnachtsfeiertag $fjahr"] = mktime(0,0,0,12,26,$fjahr);

	// Heilige Drei Koenige (06.01): Baden-Wuerttemberg, Bayern, Sachsen-Anhalt, Oesterreich
	$hdk = array('bw', 'by', 'st', 'oe', 'b2');
	if (in_array($bl, $hdk)) {
		$ft["Heilige Drei Knige $jahr"] = mktime(0,0,0,1,6,$jahr);
		$ft["Heilige Drei Knige $fjahr"] = mktime(0,0,0,1,6,$fjahr);
	}

	// Fronleichnam: Baden-Wuerttemberg, Bayern, Hessen, Nordrhein-Westfalen, Rheinland-Pfalz, Saarland, Oesterreich
	$frn = array('bw', 'by', 'he', 'nw', 'rp', 'sl', 'oe', 'b2');
	if (in_array($bl, $frn)) {
		$ft["Fronleichnam $jahr"] = mktime(0,0,0,date('m',easter_date($jahr)),date('d',easter_date($jahr))+60,$jahr);
		$ft["Fronleichnam $fjahr"] = mktime(0,0,0,date('m',easter_date($fjahr)),date('d',easter_date($fjahr))+60,$fjahr);
	}

	// Maria Himmelfahrt (15.08.): Saarland, Oesterreich
	$mh = array('sl', 'oe', 'by');
	if (in_array($bl, $mh)) {
		$ft["Maria Himmelfahrt $jahr"] = mktime(0,0,0,8,15,$jahr);
		$ft["Maria Himmelfahrt $fjahr"] = mktime(0,0,0,8,15,$fjahr);
	}

	// Reformationstag (31.10.): Brandenburg, Mecklenburg-Vorpommern, Sachsen, Sachsen-Anhalt, Thueringen
	$ref = array('bb', 'mv', 'sn', 'st', 'th');
	if (in_array($bl, $ref)) {
		$ft["Reformationstag $jahr"] = mktime(0,0,0,10,31,$jahr);
		$ft["Reformationstag $fjahr"] = mktime(0,0,0,10,31,$fjahr);
	}
	if($jahr == 2017) $ft["Reformationstag $jahr"] = mktime(0,0,0,10,31,$jahr);

	// Allerheiligen (01.11): Baden-Wuerttemberg, Bayern, Nordrhein-Westfalen, Rheinland-Pfalz, Saarland
	$alh = array('bw', 'by', 'nw', 'rp', 'sl', 'oe', 'b2');
	if (in_array($bl, $alh)) {
		$ft["Allerheiligen $jahr"] = mktime(0,0,0,11,01,$jahr);
		$ft["Allerheiligen $fjahr"] = mktime(0,0,0,11,01,$fjahr);
	}

	// Buss- und Bettag : Sachsen, wahlweise Bayern
	if ($bl == 'sn' || $bl == 'b2'){
		$ft["Bu&szlig;- und Bettag $jahr"] = mktime(0,0,0,11,(26+(7-date('w',mktime(0,0,0,11,26,$jahr))))-11,$jahr);
		$ft["Bu&szlig;- und Bettag $fjahr"] = mktime(0,0,0,11,(26+(7-date('w',mktime(0,0,0,11,26,$fjahr))))-11,$fjahr);
	}

	// Heilig Abend, wenn in Konf so eingestellt
	if (getConf('ft_xmas') == 1){
		$ft["Heiliger Abend $jahr"] =	mktime(0,0,0,12,24,$jahr);
		$ft["Heiliger Abend $fjahr"] =	mktime(0,0,0,12,24,$fjahr);
	}

	// Silvester, wenn in Konf so eingestellt
	if (getConf('ft_silv') == 1){
		$ft["Silvester $jahr"] = mktime(0,0,0,12,31,$jahr);
		$ft["Silvester $fjahr"] = mktime(0,0,0,12,31,$fjahr);
	}

	return $ft;
}

// ermittelt die Anzahl der Arbeitstage zwischen zwei Timestamps
function arbeitstage($beginn, $ende){
	$at = 0;
	$tag = $beginn;
	while ($tag <= $ende) {
	    if (arbeitstag($tag)){
	        $at++;
	    }
	$tag = mktime(0,0,0,date('n',$tag),date('j', $tag) + 1, date('Y', $tag));
	}
	return $at;
}

// ermittelt die Anzahl der Tage mit Gehaltsanspruch zwischen zwei Timestamps
function gehaltstage($beginn, $ende){
	$at = 0;
	$tag = $beginn;
	while ($tag <= $ende) {
	    if (!wochenende($tag)) $at++;
		$tag = mktime(0,0,0,date('n',$tag),date('j', $tag) + 1, date('Y', $tag));
	}
	return $at;
}

// Anzahl der Tage zwischen zwei Timestamps (fuer Gehaltsberechnung ab 2016)
function kalendertage($beginn, $ende){
	$at = 0;
	$tag = $beginn;
	while ($tag <= $ende) {
		$at++;
		$tag = mktime(0,0,0,date('n',$tag),date('j', $tag) + 1, date('Y', $tag));
	}
	return $at;
}

/* ermittelt Urlaubstage, die einem TTT zum jetzigen Zeitpunkt zustehen */
function ttturlaub($pers_id) {
	$days = abfrage("select (to_days(curdate()) - to_days(eintritt)) / 15.2187 from tb_personal where pers_id = '$pers_id'");
	$day = round($days[0],0);
	return $day<=0 ? '' : $day;
}

/* ermittelt CodeTTT einer TTT-Zeitkarte 
 * (sollte in der ZK selbst kein TTT-Code stehen,
 *  so wird der Code aus der ZK des Anleiters entnommen) */
function tttcode($zk_id) {
	$codeTTT = abfrage("select code_ttt, termin_id, pers_id from tb_ab_zk where zk_id='$zk_id'");
	if(!empty($codeTTT[0])) return $codeTTT[0];

	$termin = abfrage("select unix_timestamp(von), unix_timestamp(bis) from tb_termine where termin_id='$codeTTT[1]'");

	$sql = "select l.lom_id, l.pers_id 
			from tb_lom l
			left join tb_termine t using (termin_id)
			left join tbh_lom_pers lp using (lom_id)
			where lp.pers_id='$codeTTT[2]' 
			and unix_timestamp(t.von) < $termin[1]
			and unix_timestamp(t.bis) > $termin[0]";
	$lom = abfrage($sql);
	if(empty($lom[0])) return 0;

	$sql = "select code_ttt from tb_ab_zk z 
			left join tb_termine t using(termin_id)
			where z.pers_id = '$lom[1]' and code_ttt > '0'
			and unix_timestamp(t.von) < $termin[1]
			and unix_timestamp(t.bis) > $termin[0]";
	$zkAnl = abfrage($sql);
	if(!empty($zkAnl[0])) return $zkAnl[0];

	$anls = abfrage1("select pers_id from tbh_lom_anleiter where lom_id='$lom[0]' and pers_id != '$lom[1]'");
	while($anl = mysql_fetch_row($anls)) {
		$sql = "select code_ttt from tb_ab_zk z 
				left join tb_termine t using(termin_id)
				where z.pers_id = '$anl[0]' and code_ttt > '0'
				and unix_timestamp(t.von) < $termin[1]
				and unix_timestamp(t.bis) > $termin[0]";
		$zkAnl = abfrage($sql);
		if(!empty($zkAnl[0])) return $zkAnl[0];
	}
	return 0;
}

function fls_and($dat){
	$am = date('Y-m-d', mktime(0,0,0, date('n'), 1, date('Y')));
	if ($dat == $am){
		$res = abfrage1("select ab_monat from tb_ab_zk
						where ab_monat = '$dat'
						group by ab_monat;");
		if (mysql_num_rows($res) > 0){
			$and = "and z.ab_monat = '$dat'";
		} else {
			$and = "and z.ab_monat is null";
		}
	} else {
		$and = "and z.ab_monat = '$dat'";
	}
	return $and;
}

function stunden_zelle($zahl, $title = '', $css = 'cl1', $kontakt = false, $fallbegl = false, $colored = true, $id = NULL){
	if($fallbegl) $co = '#FF6600';
	elseif($colored) $co = ($zahl <= 0) ? '#FF0000' : '#00FF00';
	else $co = '#CCCCCC';
	$ID = empty($id) ? '' : "id=\"$id\"";
	if($kontakt)
		echo "<td class=\"$css\" $ID style=\"color:$co;font-weight:bold;text-align:center;background-color:#554433\"";
	else echo "<td class=\"$css\" $ID style=\"color:$co;font-weight:bold;text-align:right;\"";
	if (strlen($title) > 0) echo stwToolTip($title);
	echo '>' . fls_form($zahl) . '</td>';
}

function fls_form($zahl, $leer = 1, $space = ' '){
	if ((!empty($zahl)) || (empty($zahl) && $leer == 1)){
		return number_format($zahl, 2, ',', '.') . $space . 'h';
	}
}

function geld_form($zahl){
	return number_format($zahl, 2, ',', '.') . ' EUR';
}

function geld_form_web($zahl){
	return number_format($zahl, 2, ',', '.') . ' &euro;';
}

function geld_form_pdf($zahl){
	return number_format($zahl, 2, ',', '.') . ' ' . chr(128);
}

/* Geldbetraege in Formularfeldern _OHNE_ Tausendertrennpunkt! */
function geld_form_formular($zahl){
	return number_format($zahl, 2, ',', '');
}

function km_form($zahl, $komma = 0){
	return number_format($zahl, $komma, ',', '.') . ' km';
}

function proz_form($zahl, $komma = 2, $null = false){
  return ($zahl <> 0 || $null) ? number_format($zahl, $komma, ',', '.') . ' %' : '';
}

function stwFehler($err){
  $fehler = explode(',', $err);
  foreach ($fehler as $val){
    $txt = abfrage("select text from tb_fehler where id = '$val';");
    echo "<center><table width=\"600\" bgcolor=\"#FF0000\">\n";
    echo "<tr><td style=\"color:#FFFF00; font-weight:bold; font-size: 30px; ";
    echo "text-align:center; vertical-align:middle; text-decoration: blink; ";
    echo "padding: 15px;\">Fehler!</td></tr>\n";
  	echo "<tr><td style=\"color:#FFFF00; font-weight:bold; ";
  	echo "text-align: center; padding: 15px; vertical-align: middle; ";
  	echo "font-style: italic; font-size: 18px;\">$txt[0]</td></tr>\n";
  	echo "</table></center>\n";
  	new stwLine(1);
	}
} // stwFehler()

function urlaub_genommen($pers_id, $jahr = NULL){
	if (empty($jahr)){
		$jahr = date('Y');
	}

	$von = date('Y-m-d', mktime(0,0,0,1,1,$jahr));
	$bis = date('Y-m-d', mktime(0,0,0,12,31,$jahr));

	$sql = "select unix_timestamp(t.von), unix_timestamp(t.bis)
			from tb_fehlz f
			left join tb_termine t using(termin_id)
			where f.pers_id = '$pers_id'
			and t.terminart = 'u'
			and f.genehmigt = 1
			and to_days(t.von) >= to_days('$von')
			and to_days(t.bis) <= to_days('$bis');";
	$res = mysql_query($sql) or die (mysql_error());

	$urlaub = 0;
	while ($row = mysql_fetch_row($res)){
		$urlaub += arbeitstage($row[0], $row[1]);
	}

	return $urlaub;
}

function TVOeD($pers_id, $ab_monat) {
	$sql = "select tvod from tb_gehalt where pers_id='$pers_id'
			and ab_monat <= '$ab_monat' and tvod is not NULL and tvod > 0
			order by ab_monat desc limit 1";
	$tvod = abfrage($sql);
	return $tvod[0];
}

function check_zielkategorien($ziel_id, $ja = false) {
	if(empty($ziel_id)) return false;
	if($ja) $kont[0] = $ja;
	else $kont=abfrage("select a.kont_id from tb_hp_praxisziele z
						left join tb_hp h using(hp_id)
						left join tb_projekte p using(proj_id)
						left join tb_kontakte_ap a on(a.ap_id = p.ap_id)
						where z.id='$ziel_id'");
	$zk = abfrage("select kategorie from tb_hp_praxisziele where id='$ziel_id'");
	$aktiv = abfrage("select aktiv from tbh_kont_zielkategorie where kont_id='$kont[0]' and zielkategorie_id='$zk[0]'");
	return ($aktiv[0] == 'j');
}


function check_zielkategorien_hp($hp_id, $ja = false) {
	if(empty($hp_id)) return false;
	if($ja) $kont[0] = $ja;
	else $kont=abfrage("select a.kont_id from tb_hp h
						left join tb_projekte p using(proj_id)
						left join tb_kontakte_ap a on(a.ap_id = p.ap_id)
						where h.hp_id='$hp_id'");
	$ziele = abfrage1("select id from tb_hp_praxisziele where hp_id='$hp_id'");
	while($ziel = mysql_fetch_row($ziele)) {
		if(check_zielkategorien($ziel[0], $kont[0]) == false) return false;
	}
	return true;
}


function check_time($time) {

	// korrekte Zeit
	if (preg_match("/^([01]?\d|2[0-4]):[0-5][0-9]$/", $time) ){
		return $time;

	// einstellige Minuten   5  -> 0:05
	} elseif (preg_match("/^\d$/", $time) ){
		return "00:0$time";

	// zweistellige Minuten  15 -> 0:15
	} elseif (preg_match("/^[0-5]\d$/", $time) ){
		return "00:$time";

	// komplette Zeit   930 -> 9:30   1445  -> 14:45
	} elseif (preg_match("/^([01]?\d|2[01234])([0-5]\d)$/", $time, $out) ){
		return $out[1] . ":" . $out[2];

	// alles andere -> Fehler! :-P
	} else {
		return false;
	}
}

//Einstellige und zweistellige eingaben als Stunden interpretieren
function check_time_fls($time) {

	// korrekte Zeit
	if (preg_match("/^([01]?\d|2[0-4]):[0-5][0-9]$/", $time) ){
		return $time;

	// einstellige Stunden   9  -> 9:00
	} elseif (preg_match("/^\d$/", $time) ){
		return "0$time:00";

	// zweistellige Stunden  15 -> 15:00
	} elseif (preg_match("/^([0-1]?\d|2[0-4])$/", $time) ){
		return "$time:00";

	// komplette Zeit   930 -> 9:30   1445  -> 14:45
	} elseif (preg_match("/^([01]?\d|2[01234])([0-5]\d)$/", $time, $out) ){
		return $out[1] . ":" . $out[2];

	// alles andere -> Fehler! :-P
	} else {
		return false;
	}
}

function check_date($date, $leer = NULL) {

	if (empty($date) && $leer == 1){
		return null;
	} else {
		// aktueller Tag
		$d = date('d');
		// aktueller Monat
		$m = date('m');
		//aktuelles Jahr
		$y = date('Y');

		// Jahre von 1900 - 2100 sind moeglich -> evtl. anpassen!

		// korrektes Datum
		if (preg_match("/^([012]?\d|3[01]).([0]?\d|1[012]).[12][019]\d\d$/", $date) ){
			return $date;

		// leeres Feld -> aktuelles Datum
		} elseif (strlen($date) == 0){
			return date('d.m.Y');

		// nur Tag -> akt. Monat + Jahr
		} elseif (preg_match("/^([012]?\d|3[01])$/", $date) ){
			return $date . ".$m.$y";

		// Tag + Monat -> akt. Jahr  - Eingabe OHNE 2. Punkt
		} elseif (preg_match("/^([012]?\d|3[01]).([0]?\d|1[012])$/", $date) ){
			return $date . ".$y";

		// Tag + Monat -> akt. Jahr  - Eingabe MIT 2. Punkt
		} elseif (preg_match("/^([012]?\d|3[01]).([0]?\d|1[012]).$/", $date) ){
			return $date . "$y";

		// Tag + Monat + einstelliges Jahr
		} elseif (preg_match("/^([012]?\d|3[01]).([0]?\d|1[012]).(\d)$/", $date, $out) ){
			return $out[1] . "." . $out[2] . "." . "200" . $out[3];

		// Tag + Monat + zweistelliges Jahr
		} elseif (preg_match("/^([012]?\d|3[01]).([0]?\d|1[012]).(\d\d)$/", $date, $out) ){
			return $out[1] . "." . $out[2] . "." . "20" . $out[3];

		// alles andere -> Fehler!
		} else {
			return false;
		}
	}
}


function keys_aus($key_id)
{
	$aus = abfrage("select count(von) from tb_keys_aus
						where key_id = '$key_id'
						and bis is null
						or bis = '0000-00-00 00:00:00'
						or unix_timestamp(bis) > (now() + 0);");

	return $aus[0];
}

/*
 * Kinderzuschlag zum angegebenen Zeitpunkt
 */
function kinderzuschlag($date) {
	if(strpos($date, '.') > 0) $date = date_gr2my($date);
	$kzu = abfrage1("select kinderzuschlag from tb_kinderzuschlag where datum <= '$date' order by datum desc limit 1");
	if(mysql_num_rows($kzu) == 0) return getConf('kinderzus');
	$zuschlag = mysql_fetch_row($kzu);
	return $zuschlag[0];
}

/*
 * Arbeitszeit 100% Basis zum angegebenen Zeitpunkt
 */
function az_basis($date) {
	if(strpos($date, '.') > 0) $date = date_gr2my($date);
	$az = abfrage1("select az_basis from tb_az_basis where datum <= '$date' order by datum desc limit 1");
	if(mysql_num_rows($az) == 0) return getConf('az_basis');
	$az_basis = mysql_fetch_row($az);
	return $az_basis[0];
}

function istMonatAbgerechnet($date)
{
	$date = strpos($date, '-') ? date_my2gr($date) : $date;
	$date = date_gr2ts($date);
	$datum = date("Y-m-d", mktime(0, 0, 0, date("n",$date), 1, date("Y",$date)));
	$ab = abfrage("select (unix_timestamp(max(datum)) >= unix_timestamp('$datum')) from tb_ab_nachw");
	return $ab[0];
}

/*
 * zum angegebenen Zeitpunkt Zuschlag wegen Falldokumentation?
 */
function flsdoku($dat)
{
	$flsd = getConf('fls_doku');
	$flsdab = getConf('fls_doku_ab');
	if(empty($flsdab)) return ($flsd==1);
	else {
		$flsts = date_gr2ts($flsdab);
		list($jahr,$monat,$tag) = explode("-", $dat);
		$datts = mktime(0,0,0,$monat,$tag,$jahr);
		return (($flsd==1 && $flsts<=$datts) || ($flsd==0 && $flsts>$datts));
	}		
}

/*
 * Fehlzeitenueberschneidungen in Zwischentabelle
 * (erst Daten ab 2005 beruecksichtigen)
 */
function update_fehlz_ueberschneidung($pers_id = 0) {
	if($pers_id > 0) abfrage2("delete from tb_fehlz_ueberschneidung where pers_id='$pers_id'");
	$sql  = "SELECT t1.fehlz_id, t2.terminart, t3.fehlz_id, ";
	$sql .= "t4.terminart, t1.pers_id FROM tb_fehlz t1 ";
	$sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";
	$sql .= "CROSS JOIN (tb_fehlz t3 LEFT JOIN tb_termine t4 ON ";
	$sql .= "t3.termin_id = t4.termin_id) ";
	$sql .= "WHERE t4.von >= t2.von AND t4.von < t2.bis AND ";
	$sql .= "t1.genehmigt = 1 AND t3.genehmigt = 1 AND ";
	if(empty($pers_id)) $sql .= "t1.pers_id = t3.pers_id ";
	else $sql .= "t1.pers_id = '$pers_id' AND t3.pers_id = '$pers_id' ";
	$sql .= "AND t1.fehlz_id != t3.fehlz_id AND ";
	$sql .= "YEAR(t2.bis) > 2004 AND YEAR(t4.bis) > 2004;";
	$fzus = abfrage1($sql);
	while ($fzu = mysql_fetch_row($fzus)) {
		if($fzu[1] == 'ez' || $fzu[3] == 'ez') continue;
		abfrage2("replace into tb_fehlz_ueberschneidung set fehlz_id='$fzu[0]', pers_id='$fzu[4]'");
		$fu = abfrage("select fu_id from tb_fehlz_ueberschneidung where fehlz_id='$fzu[0]'");
		abfrage2("replace into tb_fehlz_ueberschneidung set fu_id='$fu[0]', fehlz_id='$fzu[2]', pers_id='$fzu[4]'");
	}
}

 /*
  * Es werden Zwischentabellen fuer die AZK Angaben berechnet.
  */
 function azk_update($pers_id = 0)
 {
	 /* AZK Cache komplett zuruecksetzen */
   if(empty($pers_id)) azk_cache_reset();
   else azk_cache_pers_reset($pers_id);

   /* die NachweisIDs fuer die zu berechneten Monate bestimmen */
   $sql  = "SELECT * FROM (";
   $sql .= "SELECT nachw_id, datum, unix_timestamp(datum) FROM tb_ab_nachw ";
   $sql .= "ORDER BY datum DESC LIMIT ".getConf("upd_mon");
   $sql .= ") res ORDER BY datum ASC";

   $nws  = abfrage1($sql);
   while ($nw = mysql_fetch_row($nws))
	 {
     /* aktive Mitarbeiter fuer diesen Monat bestimmen */
     $sql  = "SELECT pers_id FROM tb_personal WHERE ";
     $sql .= "(TO_DAYS(eintritt) IS NULL OR TO_DAYS(eintritt) <= TO_DAYS('";
     $eintritt = date("Y-m-t", $nw[2]);
     $sql .= $eintritt . "')) AND ";
	 if($pers_id > 0) $sql .= "pers_id = '$pers_id' AND ";
     $sql .= "(TO_DAYS(austritt) IS NULL OR TO_DAYS(austritt) = 0 OR TO_DAYS(austritt) >= TO_DAYS('";

     $sql .= $nw[1]."')) ORDER BY personalnr";
     $res2 = abfrage1($sql);

     $where = "where nachw_id = '$nw[0]'";
	 if(!empty($pers_id)) $where .= " and pers_id='$pers_id'";
	 abfrage2("delete from tb_x_azk_proj $where;");
     abfrage2("delete from tb_x_azk_pers $where;");

		while ($ma = mysql_fetch_row($res2)){

			$res3 = abfrage1("select z.proj_id from tb_ab_zk z
								left join tb_projekte p using(proj_id)
								where z.nachw_id = '$nw[0]'
								and z.ab = 'j'
								and z.pers_id = '$ma[0]'
								group by z.proj_id
								order by p.projektnr;");

			$s_fls_brutto = 0;

			/* Gesamtdokustunden und GesamtCZeiten */
			$gesamt_doku = 0;
			$gesamt_c    = 0;

			$pers = $ma[0];
			$abm  = $nw[1];

			while ($pro = mysql_fetch_row($res3)){
				$proj = new stwProjekt($pro[0]);
				if($proj->fls_azk != 1) continue;

				$fls_netto = $proj->fls_gel_netto_pers_azk($pers, $abm);
				$vun = $proj->fls_vun_pers($pers, $abm);
				$fz_brutto = $proj->fls_fz_brutto_pers($pers, $abm);
				$fz_netto = $proj->fls_fz_netto_pers($pers, $abm);
				$doku = $proj->fls_doku_pers($pers, $abm);
				$fls_brutto = $proj->fls_gesamt_pers_azk($pers, $abm);
				$fls_fm = $proj->fls_folgemonat($abm);
				$fls_vertr = $proj->nr >= 900 ? 0 : fls_pers_fehlzeitenvertretung($proj->id, $pers, $abm);

				$km = abfrage("select sum(spesen_betr) - sum(spesen_eig),
								sum(km_privat), sum(km_dienst),
								sum(km_privat) + sum(km_dienst)
								from tb_ab_zk
								where nachw_id = '$nw[0]'
								and pers_id = '$pers'
								and proj_id = '$proj->id';");
				$c = abfrage("select sum(time_to_sec(fls)) / 3600
								from tb_ab_zk
								where nachw_id = '$nw[0]'
								and pers_id = '$pers'
								and proj_id = '$proj->id'
								and code = 'C';");

				abfrage2("insert into tb_x_azk_proj
							set	nachw_id = '$nw[0]',
								pers_id = '$ma[0]',
								proj_id = '$proj->id',
								fls_netto = '$fls_netto',
								vun = '$vun',
								fz_brutto = '$fz_brutto',
								fz_netto = '$fz_netto',
								doku = '$doku',
								fls_brutto = '$fls_brutto',
								fm = '$fls_fm',
								spesen = '$km[0]',
								pkw_p = '$km[1]',
								pkw_d = '$km[2]',
								pkw_g = '$km[3]',
								sum_c = '$c[0]',
								fls_vertr = $fls_vertr;");

				$s_fls_brutto += $fls_brutto;

        /* Dokustunden Gesamtsumme bilden */
        $gesamt_doku += $doku;
        $gesamt_c    += $c[0];
			}

      /*
       * In der Konfigurationstabelle nachpruefen ob Dokuhalbierung vorgesehen
       * ist. Ausserdem erst ab August 2007 aktivieren.
       */
      $abm_feld  = explode("-", $abm);
      $abm_start = mktime(0, 0, 0, $abm_feld[1], $abm_feld[2], $abm_feld[0]);

      /* alle Dokustunden von den geleisteten Stunden abziehen */
      $s_fls_brutto -= $gesamt_doku;

      if (getConf("doku_halb") == "1" && $abm_start >= 1185919200)
      {
        /* Dokustunden halbieren */
        $gesamt_doku /= 2.0;

        /* von den Dokustunden die C Zeiten noch abziehen */
        $gesamt_doku -= $gesamt_c;
        if ($gesamt_doku < 0.0) $gesamt_doku = 0.0;
      }

      /* die Dokustunden die uebrig sind addieren */
      $fls_gel  = round($s_fls_brutto + $gesamt_doku, 2);
			$fls_soll = fls_monat_pers($pers, $abm);

			if ($fls_soll != 0){
				$auslast = round(($fls_gel / $fls_soll) * 100, 2);
			} else {
				$auslast = 0;
			}

			/* Uebertrag fuer diesen Monat berechnen: FLS gel - FLS Soll */
			$azk_ueb = $fls_gel - $fls_soll;
			if(getConf('upd_mon_relativ')) {
				$sql = "SELECT a.nachw_id, x.azk_std FROM tb_ab_nachw a
						LEFT JOIN tb_x_azk_pers x USING(nachw_id)
						WHERE x.pers_id = '$ma[0]' AND a.nachw_id < $nw[0]
						ORDER BY a.nachw_id DESC LIMIT 1";
				$lastAZK = abfrage($sql);
				if(empty($lastAZK[0])) $azk_std = fls_azk_stand($pers, $abm);
				else {
					$sql = "SELECT korrektur FROM tb_azk
							WHERE pers_id = '$ma[0]' AND datum = '$abm';";
					$azk_kor = abfrage($sql);
					$azk_std = $lastAZK[1] + $azk_kor[0] + $azk_ueb;
				}
			} else $azk_std = fls_azk_stand($pers, $abm);

			abfrage2("insert into tb_x_azk_pers
						set nachw_id = '$nw[0]',
							pers_id  = '$ma[0]',
							fls_soll = '$fls_soll',
							fls_gel  = '$fls_gel',
							auslast  = '$auslast',
							azk_ueb  = '$azk_ueb',
							azk_std  = '$azk_std';");
		}
	}

  /* zweite Cronfunktion aufrufen */
  ab_update($pers_id);

  if($pers_id == 0) {
	/*
	 * Um aktuelle Daten auch schneller sehen zu koennen
	 * hier noch ein paar Berechnungen.
	 */
	$sql  = "SELECT proj_id FROM tb_projekte ";
	$sql .= "WHERE ende IS NULL OR ende = '0000-00-00' OR ";

	$sql .= "TO_DAYS(ende) >= TO_DAYS(CURDATE())";
	$erg  = abfrage1($sql);

	$dat = date("Y-m-d", mktime(0, 0, 0, date("n"), 1, date("Y")));
	while ($zeile = mysql_fetch_row($erg))
	{
		$pro = new stwProjekt($zeile[0]);
		$wert = $pro->fls_vormonat($dat);

		$wert = $pro->fls_folgemonat($dat);
		$wert = $pro->fls_geleistet_summe();
	}
	/* letzte 5 sachberichte aktualisieren */
	$sbs = abfrage1("select sb_id from tb_sachbericht order by sb_id desc limit 5");
	while($sb = mysql_fetch_row($sbs)) {
		sb_update($sb[0]);
	}
	/* Fehlzeitenueberschneideungen */
	update_fehlz_ueberschneidung();
  }
}

function ab_update($pers_id=0)
{
	$upd_mon = getConf('upd_mon');

	$nws = abfrage1("select nachw_id, datum
					from tb_ab_nachw
					order by datum desc limit $upd_mon;");

	while ($nw = mysql_fetch_row($nws)){

		if($pers_id==0) abfrage2("delete from tb_x_ab where nachw_id = '$nw[0]';");

		$sql = "select z.proj_id from tb_ab_zk z
				left join tb_projekte p using (proj_id)
				where z.nachw_id = '$nw[0]' and z.ab = 'j' ";
		if($pers_id>0) $sql.= "and z.pers_id = '$pers_id' ";
		$sql.= "group by z.proj_id order by p.projektnr;";
		$res2 = abfrage1($sql);
		if($pers_id>0) {
			while ($pr = mysql_fetch_row($res2)){
				abfrage2("delete from tb_x_ab where nachw_id='$nw[0]' and proj_id='$pr[0]';");
			}
			$res2 = abfrage1($sql);
		}

		while ($pr = mysql_fetch_row($res2)){

			$pro = new stwProjekt($pr[0]);

			$abm  = $nw[1];

			$fls   = $pro->wost_datum($abm);
			$vm    = $pro->fls_vormonat($abm);
			$soll  = $pro->fls_monat($abm);
			$gel   = $pro->fls_gesamt($abm);
			$ueber = $pro->fls_folgemonat($abm);
			$abger = $pro->fls_abgerechnet($abm);
			$vun_p = $pro->fls_vun_pauschal($abm);

			abfrage2("insert into tb_x_ab
						set nachw_id = '$nw[0]',
							proj_id  = '$pr[0]',
							fls = '$fls',
							vm  = '$vm',
							soll  = '$soll',
							gel  = '$gel',
							ueber  = '$ueber',
							abger  = '$abger',
							vun_p  = '$vun_p';");
		}
	}
}


function sb_update($sb_id = NULL)
{
	$sql = "SELECT sb_id FROM tb_sachbericht";
	if(!is_null($sb_id)) $sql .= " WHERE sb_id = '$sb_id'";
	$sb_ids = abfrage1($sql);
	while($sb_id = mysql_fetch_row($sb_ids)){
		$sb = abfrage_assoc("SELECT unix_timestamp(von) AS von_ts, unix_timestamp(bis) AS bis_ts, s.* FROM tb_sachbericht s WHERE sb_id='$sb_id[0]'");
		abfrage2("DELETE FROM tb_sachbericht_proj WHERE sb_id = '$sb_id[0]'");
		abfrage2("DELETE FROM tb_sachbericht_person WHERE sb_id = '$sb_id[0]'");
		abfrage2("DELETE FROM tb_sachbericht_ziel WHERE sb_id = '$sb_id[0]'");
		abfrage2("DELETE FROM tbh_sachbericht_fls WHERE sb_id = '$sb_id[0]'");

		$sql = "SELECT p.proj_id, a.paragraph, UNIX_TIMESTAMP(p.kostenzus), UNIX_TIMESTAMP(p.beginn)
				FROM tbh_sachbericht_ja s
				LEFT JOIN tb_kontakte_ap k ON ( k.kont_id = s.kont_id )
				LEFT JOIN tb_projekte p ON ( p.ap_id = k.ap_id )
				LEFT JOIN tb_hilfeart a ON ( p.hilfeart_id = a.hilfeart_id )
				LEFT JOIN tb_hp h ON ( h.proj_id = p.proj_id
										AND h.hp_art IN ('h', 'h2', 's')
										AND prognose = 'n'
										AND and_datum IS NOT NULL
										AND and_datum != '0000-00-00')
				WHERE s.sb_id = '$sb_id[0]' AND and_datum <= '{$sb['bis']}' ";
		$state_a = "(p.ende <= '{$sb['bis']}' AND p.ende >= '{$sb['von']}')";
		$state_l = "(p.ende > '{$sb['bis']}' OR p.ende = '0000-00-00' OR p.ende IS NULL)";
		if($sb['status'] == 'a') $sql .= "AND $state_a ";
		elseif($sb['status'] == 'l') $sql .= "AND $state_l ";
		else $sql .= "AND ($state_l OR $state_a) ";
		if($sb['hilfeart_id'] > 0) $sql .= "AND p.hilfeart_id = '{$sb['hilfeart_id']}' ";
		elseif($sb['paragraph'] > 0) $sql .= "AND a.paragraph = '{$sb['paragraph']}' ";
		$sql .= "GROUP BY p.proj_id ORDER BY p.proj_id ASC";
		$pros = abfrage1($sql);
		$tt_vnb = (getConf('tt_vor_nach_b') == 1);
		while($pro = mysql_fetch_row($pros)){
		  $projekt = new stwProjekt($pro[0]);
		  if($projekt->beginn_ts() > 0) {
			$von = $projekt->beginn_ts();
			if($sb['status'] == 'a') $bis = $projekt->ende_ts();
			else $bis = $sb['bis_ts'];
			$dauer = ((date('Y',$bis) - date('Y',$von)) * 12) + (date('n',$bis) - date('n',$von));
			$ag  = abfrage("select st_grund, ressourcen from tb_hp 
							where proj_id='$pro[0]' and hp_art='ag'
							order by hp_id desc limit 1");
			if($ag[1] == "mit Erfolg beendet") $ende = 1;
			elseif($ag[1] == "andere Hilfe") $ende = 2;
			elseif($ag[1] == "Abbruch") $ende = 3;
			else $ende = 0;
			abfrage2("INSERT INTO tb_sachbericht_proj SET sb_id = '$sb_id[0]', proj_id = '$pro[0]',
					  paragraph = '$pro[1]', dauer = '$dauer', ende='$ende', grund='$ag[0]'");
			$end_ts = $sb['bis_ts'];
			$beg_ts = $sb['von_ts'];
			$run = mktime(0,0,0,date('n', $beg_ts), 1, date('Y', $beg_ts));
			$kls = $fz = $fls_soll = $monat = 0;
			while ($run <= $end_ts){
				$monat++;
				$dat = date('Y-m-d', $run);
				$run = mktime(0,0,0, date('n', $run) + 1, 1, date('Y', $run));
				$satz = stundensatz($dat,$pro[0]);
				if($satz[0] != 'h') continue;
				$kls = $projekt->fls_gel_netto($dat, true);
				$kls += $projekt->fls_doku($dat);
				if ($tt_vnb && ($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH')) $kls += $projekt->fls_vun($dat);
				$fz = $projekt->fls_fz($dat);
				$fls_soll = $projekt->fls_monat($dat);
				abfrage2("INSERT INTO tbh_sachbericht_fls SET sb_id = '$sb_id[0]', proj_id = '$pro[0]', monat = '$monat', kls='$kls', fz='$fz', fls_soll='$fls_soll'");
			}
			$sql = "SELECT p.geschlecht, p.bildung, p.bez_art, p.kontext, 
					YEAR(p.geboren), MONTH(p.geboren), DAY(p.geboren), if(pp.perstyp_id=6,'n',if(pp.perstyp_id=1,'h','j')),
					a.sozialraum, a.plz, a.ort
					FROM tbh_proj_personen pp
					LEFT JOIN tb_personen p ON pp.person_id = p.person_id
					LEFT JOIN tb_p_adressen a ON p.adress_id = a.adress_id
					WHERE pp.proj_id = '$pro[0]' AND (pp.perstyp_id=7 OR pp.perstyp_id=6 OR pp.perstyp_id=1)
					ORDER BY pp.perstyp_id ASC";
			$pers = abfrage1($sql);
			while($per = mysql_fetch_row($pers)){
				if(empty($per[4])) $alter = -99;
				else {
				  $alter = date('Y',$von) - $per[4];
				  if($per[5] > date('n',$von)) $alter--;
				  elseif(($per[5] == date('n',$von)) && ($per[6] > date('j',$von))) $alter--;
				}
				$geschlecht = ($per[0] == 'm') ? 2 : (($per[0] == 'w') ? 1 : 0);
				$sozialraum = empty($per[8]) ? getSozialraum($per[9],$per[10]) : $per[8];
				abfrage2("INSERT INTO tb_sachbericht_person SET sb_id = '$sb_id[0]', proj_id = '$pro[0]', age = '$alter', geschlecht = '$geschlecht', 
						  bildung = '$per[1]', bez_art = '$per[2]', kontext = '$per[3]', kind = '$per[7]', sozialraum = '$sozialraum'");
			}
			$sql = "SELECT p.id, p.erledigt, p.LE, p.HE, p.ASD, p.kategorie
					FROM tb_hp_praxisziele p
					LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
					WHERE h.proj_id='$pro[0]'
					ORDER BY p.nummer ASC, p.hp_id DESC";
			$res = abfrage1($sql);
			while($row = mysql_fetch_row($res)) {
			  if($row[2] == 1 && $row[3] == 1 && ($row[4] == 1 || empty($row[1]))) {
				$ad  = abfrage("select v.ad_skala from tb_hpvor2 v left join tb_hp h using (hp_id) 
								where v.ad_skala>0 and v.ziel_id='$row[0]' and unix_timestamp(h.datum) < '{$sb['bis_ts']}'
								order by v.hp_id desc limit 1");
				$ad2 = abfrage("select v.ad2_skala from tb_hpvor2 v left join tb_hp h using (hp_id) 
								where v.ad2_skala>0 and v.ziel_id='$row[0]' and unix_timestamp(h.datum) < '{$sb['bis_ts']}' 
								order by v.hp_id desc limit 1");
				$kind = 13 - $ad[0];
				$psb = 13 - $ad2[0];
				$sql = "INSERT INTO tb_sachbericht_ziel SET sb_id = '$sb_id[0]', proj_id = '$pro[0]',
						ziel_id = '$row[0]', ziel_kategorie = '$row[5]', erreicht_kind = '$kind', erreicht_psb = '$psb'";
				abfrage2 ($sql);
			  }
			}
		  }
		}
	}
}


function last_ab()
{
	$last = abfrage("select date_add(max(datum), INTERVAL 1 MONTH),
					max(datum) from tb_ab_nachw;");
	if (empty($last[0])){
		return date('Y-m-d', mktime(0,0,0,date('n') - 1, 1, date('Y')));
	} else {
		$partial = abfrage("select max(ab_monat) from tb_ab_zk where ab='j'
							and ab_monat is not null and nachw_id is null");
		if($partial[0] == $last[1]) return $last[1];
		return $last[0];
	}
}


function last_ab_ts($ignorePartial = false)
{
	$last = abfrage("select unix_timestamp(date_add(max(datum), INTERVAL 1 MONTH)),
					unix_timestamp(max(datum)) from tb_ab_nachw;");
	if($ignorePartial) return $last[0];
	if (empty($last[0])){
		return mktime(0,0,0,date('n') - 1, 1, date('Y'));
	} else {
		$partial = abfrage("select unix_timestamp(max(ab_monat)) from tb_ab_zk where
							ab_monat is not null and nachw_id is null");
		if($partial[0] == $last[1]) return $last[1];
		return $last[0];
	}

}


function set_session_url()
{
	global $AppCode;
	$_SESSION[$AppCode]['url'] = $_SERVER['REQUEST_URI'];
}

function unset_session_url()
{
	global $AppCode;
	unset($_SESSION[$AppCode]['url']);
}

/* 
 * Funktion zur Ermittlung des naechsten Inspektions- / Elektropruefungstermins
 *
 * returns array(Timestamp, Datum dd.mm.yyyy, Farbe, bool blinken, Tooltip)
 * gruen, falls noch nie geprueft, rot, falls Datum > Heute, blinkt 4 Wochen nach Datum
 */
function next_pruefung($ger_id, $e_i) {
	if($e_i != 'e' && $e_i != 'i' || empty($ger_id)) return array();
	$heute = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
	$inv=abfrage_array("select unix_timestamp(anschaffung), 
						unix_timestamp(abgangsdatum)
						from tbh_inventar where ger_id = '$ger_id'");
	if($inv[1] > 0) return array();
	$ger = abfrage_array("select * from tb_ger where ger_id='$ger_id'");
	if($e_i == 'e' && $ger['epruef'] == 'n') return array();
	if($e_i == 'i' && $ger['inspektion'] == 'n') return array();
	if(empty($ger["turnus_" . $e_i])) {
		$turn = abfrage("select turnus_$e_i from tb_ger_kat where kat_id='{$ger['kat_id']}'");
		$turnus = $turn[0];
	} else $turnus = $ger["turnus_$e_i"];
	$sql = "select date_format(g.datum_n,'%d.%m.%Y'), unix_timestamp(i.datum), unix_timestamp(g.datum_n) from ";
	$sql.= ($e_i == 'e') ? "tb_ger_ep" : "tb_ger_inspektion";
	$sql.= " g left join tb_ger_inventur i using(inv_id)
			where i.ger_id='$ger_id' and i.done='j' order by i.datum desc limit 1";
	$dat = abfrage($sql);
	if(!empty($dat[2])) return array($dat[2], $dat[0], $dat[2]<$heute ? '#FF0000' : '#FFCC00', ($dat[2]<($heute-2419200)));
	if(empty($dat[1]) && empty($inv[0])) return array($heute,date('d.m.Y',$heute),'#00FF00',true,'kein Anschaffungsdatum<br>');
	$last = empty($dat[1]) ? $inv[0] : $dat[1];
	$next = mktime(0,0,0,date("m",$last)+$turnus,date("d",$last),date("Y",$last));
	return array($next, date('d.m.Y',$next), $next<$heute ? '#FF0000' : (empty($dat[1])?'#00FF00':'#FFCC00'), ($next<($heute-2419200)), empty($dat[1])?'es wurde noch nie eine Elektro-Pr&uuml;fung angelegt<br>':'');
}

/* Funktion zur Ermittlung des km-Standes */
function km_stand($res_id, $ts, $ts_genau=false){
	$bis = $ts_genau ? $ts : mktime(23,59,59, date('n', $ts), date('j', $ts), date('Y', $ts));
	if($ts_genau == false) {
		$sql = "select to_days(t.von) from tb_ab_zk z
				left join tb_termine t on z.termin_id = t.termin_id
				where res_id = '$res_id' and unix_timestamp(t.bis) <= '$bis'
				and (unix_timestamp(t.bis) > 0 or unix_timestamp(t.von) <= '$bis')
				and (to_days(t.von) < to_days('2010-09-01') or z.ab = 'j' or z.fahrt_id IS NOT NULL)
				and (z.km_dienst > 0 or z.km_privat > 0)
				order by t.von desc limit 1;";
		$lastDay = abfrage($sql);
		$sql = "select z.zk_id, f.km_ende from tb_fahrtenhistorie f
				left join tb_ab_zk z using(zk_id)
				left join tb_termine t using(termin_id)
				where to_days(t.von) = '$lastDay[0]'
				and z.res_id='$res_id' 
				and f.km_ende > 0 and (z.ab = 'j' or z.fahrt_id IS NOT NULL)
				order by z.zk_id desc, f.fh_id desc";
		$stds = abfrage1($sql);
		/* Eintrag Fahrtenhistorie vorhanden */
		if(mysql_num_rows($stds)) {
			$lastZK = $lastKM = 0;
			while($std = mysql_fetch_row($stds)) {
				/* etwas umstaendlich: wir brauchen nur jeweils letzte fh_id */
				if($lastZK != $std[0]) {
					$lastZK = $std[0];
					/* zeitlich letzte Fahrt nicht zwangslaeufig letzte :( */
					if($std[1] > $lastKM) $lastKM = $std[1];
				}
			}
			return $lastKM;
		}
	}
	$sql = "select f.km_ende from tb_ab_zk z
			left join tb_fahrtenhistorie f using(zk_id)
			left join tb_termine t using(termin_id)
			where unix_timestamp(t.bis) = $bis 
			and z.res_id='$res_id' 
			and f.km_ende > 0 and (z.ab = 'j' or z.fahrt_id IS NOT NULL)
			order by fh_id desc limit 1";
	$std = abfrage($sql);
	if(empty($std[0]) || $std[0] == '0.00') {
		$sql = "select f.km_ende from tb_ab_zk z
				left join tb_fahrtenhistorie f using(zk_id)
				left join tb_termine t on z.termin_id = t.termin_id
				where unix_timestamp(t.von) < $bis and z.res_id='$res_id' 
				and f.km_ende > 0 and (z.ab = 'j' or z.fahrt_id IS NOT NULL)
				order by t.von desc, fh_id desc limit 1";
		$std = abfrage($sql);
	}
	if(empty($std[0]) || $std[0] == '0.00'){
		$sql = "select sum(z.km_dienst)
				from tb_ab_zk z
				left join tb_termine t on z.termin_id = t.termin_id
				where res_id = '$res_id' and unix_timestamp(t.bis) <= '$bis'
				and (unix_timestamp(t.bis) > 0 or unix_timestamp(t.von) <= '$bis')
				and (to_days(t.von) < to_days('2010-09-01') or z.ab = 'j' or z.fahrt_id IS NOT NULL);";
		$std = abfrage($sql);
	}
	return $std[0];
}

/* Funktion zur Ermittlung des km-Standes in ZK
   Rueckgabewert ist Array: [0]=start [1]=ende*/
function km_stand_zk($zk_id){
	if(empty($zk_id)) return array();
	$sql = "select km_start, km_ende, fh_id from tb_fahrtenhistorie
			where zk_id='$zk_id' order by fh_id desc limit 1";
	$fh = abfrage($sql);
	if(!empty($fh[1]) && $fh[1] != '0.00') return $fh;
	$sql = "select z.res_id, unix_timestamp(t.von), km_dienst 
			from tb_ab_zk z left join tb_termine t using(termin_id)
			where z.zk_id='$zk_id'";
	$zk = abfrage($sql);
	if(empty($zk[0])) return array();
	$zk[2] += 0;
	$sql = "select f.km_ende, f.km_ende + $zk[2] from tb_fahrtenhistorie f
			left join tb_ab_zk z using(zk_id)
			left join tb_termine t using(termin_id)
			where z.res_id='$zk[0]' and f.km_ende > 0
			and (z.ab = 'j' or z.fahrt_id IS NOT NULL)
			and unix_timestamp(t.von) < '$zk[1]'
			order by t.von desc, f.fh_id desc limit 1";
	$km = abfrage($sql);
	if(!empty($km[0]) && $km[0] != '0.00') return $km;
	$sql = "select sum(z.km_dienst)
			from tb_ab_zk z
			left join tb_termine t on z.termin_id = t.termin_id
			where res_id = '$zk[0]' and unix_timestamp(t.von) <= '$zk[1]'
			and (to_days(t.von) < to_days('2010-09-01') or z.ab = 'j' or z.fahrt_id IS NOT NULL)
			and (unix_timestamp(t.von) < '$zk[1]' or unix_timestamp(t.von) = '$zk[1]' and z.zk_id < $zk_id);";
	$km = abfrage($sql);
	$km[1] = $km[0] + $zk[2];
	return $km;
}

function naechsterFahrtenHistorienEintrag($fh_id){
	if(empty($fh_id)) return false;
	$zk = abfrage("select zk_id from tb_fahrtenhistorie where fh_id='$fh_id'");
	$next = abfrage("select fh_id, text, pers_id, date_format(zeit, '%d.%m.%Y %H:%i') from tb_fahrtenhistorie where zk_id='$zk[0]' and fh_id>$fh_id order by fh_id asc limit 1");
	if(empty($next[0])) return false;
	return array('text'=>$next[1],'pers_id'=>$next[2],'zeit'=>$next[3]);
}

function nextFahrt($zk_id) {
	if(empty($zk_id)) return array();
	$zk = abfrage("select res_id, termin_id from tb_ab_zk where zk_id='$zk_id'");
	if(empty($zk[0])) return array();
	$termin = abfrage("select von from tb_termine where termin_id='$zk[1]'");
	$next = abfrage("select z.zk_id, date_format(t.von, '%d.%m.%Y'), z.pers_id
					from tb_ab_zk z left join tb_termine t using(termin_id)
					left join tb_fahrtenhistorie f using(zk_id)
					where z.res_id='$zk[0]' and t.von > '$termin[0]' 
					and (z.ab='j' or z.fahrt_id IS NOT NULL)
					order by t.von asc, f.fh_id desc, f.km_start asc limit 1");
	if(empty($next[0])) return array();
	$hist = km_stand_zk($next[0]);
	$array = array($next[0], $hist[0], $hist[1], $next[1], $next[2]);
	return $array;
}

function prevFahrt($zk_id) {
	if(empty($zk_id)) return array();
	$zk = abfrage("select res_id, termin_id from tb_ab_zk where zk_id='$zk_id'");
	if(empty($zk[0])) return array();
	$termin = abfrage("select von from tb_termine where termin_id='$zk[1]'");
	$prev = abfrage("select z.zk_id, date_format(t.von, '%d.%m.%Y'), z.pers_id
					from tb_ab_zk z left join tb_termine t using(termin_id)
					left join tb_fahrtenhistorie f using(zk_id)
					where z.res_id='$zk[0]' and t.von < '$termin[0]' 
					and (z.ab='j' or z.fahrt_id IS NOT NULL)
					order by t.von desc, f.fh_id desc, f.km_ende desc limit 1");
	if(empty($prev[0])) return array();
	$hist = km_stand_zk($prev[0]);
	$array = array($prev[0], $hist[0], $hist[1], $prev[1], $prev[2]);
	return $array;
}

function zeige_variable($var){
	echo "<pre style=\"font-size:8pt;font-weight:normal\">\n";
	print_r($var);
	echo "</pre>\n";
}

/* gehoert Projekt zu uebergebenem Ressort? */
function projInRessort($proj_id, $ressort_id) {
	$projektnr = projektnr($proj_id);
	$ressort = abfrage_array("select * from tb_ressort where ressort_id='$ressort_id'");
	$abteilungen = array(); // Abteilungen des der Post zugeordnetem Projekts
	$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$proj_id'");
	while($abt = mysql_fetch_row($abts)) {
		$abteilungen[ $abt[0] ] = $abt[0];
	}

	$doIt = 0;
	$gruppen = abfrage1("select sub_id, ausnahme, id from tbh_ressort where ressort_id='$ressort_id' and auswahl='g'");
	$doIt += mysql_num_rows($gruppen);
	if($ressort['auswahl'] == 'g') {
		$grp = $ressort;
		$grp['sub_id'] = 0;
		$doIt++;
	} else $grp = mysql_fetch_array($gruppen);
	if($doIt > 0) {
		do {
			if($grp['id'] == 0) {
				$pras = abfrage1("select nr_von,nr_bis from tb_udef_nrkreise where ressort_id='$ressort_id' and sub_id='{$grp['sub_id']}'");
			} else {
				$pras = abfrage1("select nr_von,nr_bis from tb_projektart where pra_id='{$grp['id']}'");
			}
			$noWay = true;
			while($pra = mysql_fetch_row($pras)) {
				if($pra[0] <= $projektnr && $projektnr <= $pra[1]) $noWay = false;
			}
			if($noWay) continue;
			$ausnahmen = abfrage1("select id from tbh_ressort_ausnahmen where ressort_id='$ressort_id' and sub_id='{$grp['sub_id']}'");
			if($grp['ausnahme'] != 'inc') $return = true; // nicht ex ist auch inc => fuer den Fall, dass Projektgruppe ohne Einschraenkung
			while($ausnahme = mysql_fetch_row($ausnahmen)) {
				if($grp['ausnahme'] == 'inc') { // eine Abteilung gefunden? return true!!!
					if(in_array($ausnahme[0],$abteilungen)) return true;
				} else {
					if(in_array($ausnahme[0],$abteilungen)) {
						$return = false;
						break;
					}
				}
			}
			if($grp['ausnahme'] != 'inc' && $return) return true;
		} while($grp = mysql_fetch_array($gruppen));
	}

	$doIt = 0;

	$abts = abfrage1("select sub_id, ausnahme, id from tbh_ressort where ressort_id='$ressort_id' and auswahl='a'");
	$doIt += mysql_num_rows($abts);
	if($ressort['auswahl'] == 'a') {
		$abt = $ressort;
		$abt['sub_id'] = 0;
		$doIt++;
	} else $abt = mysql_fetch_array($abts);
	if($doIt > 0) {
		do {
			if(in_array($abt['id'],$abteilungen)) {
				$ausnahmen = abfrage1("select pa.nr_von, pa.nr_bis from tbh_ressort_ausnahmen ra left join tb_projektart pa on(pa.pra_id=ra.id) where ra.ressort_id='$ressort_id' and ra.sub_id='{$abt['sub_id']}'");
				if($abt['ausnahme'] != 'inc') $return = true; // nicht ex ist auch inc => fuer den Fall, dass Projektgruppe ohne Einschraenkung
				while($pra = mysql_fetch_row($ausnahmen)) {
					if($abt['ausnahme'] == 'inc') { // eine Projektgruppe gefunden? return true!!!
						if($pra[0] <= $projektnr && $projektnr <= $pra[1]) return true;
					} else {
						if($pra[0] <= $projektnr && $projektnr <= $pra[1]) {
							$return = false;
							break;
						}
					}
				}
				if($abt['ausnahme'] != 'inc' && $return) return true;
			}
		} while($abt = mysql_fetch_array($abts));
	}
	return false;
}

/* ist Posteingang uebergebenem Ressort zugeordnet? */
function isRessort($hp_id, $ressort_id) {
	if(empty($hp_id) || empty($ressort_id)) return false;
	$sql = "select id2, typ from tbh_postzuordnung where posttyp='h' and id='$hp_id'";
	$pzos = abfrage1($sql);
	if(mysql_num_rows($pzos) == 0) return false;
	$ressort = abfrage_array("select * from tb_ressort where ressort_id='$ressort_id'");
	while($pzo = mysql_fetch_row($pzos)) {

		if($pzo[1] == 'w') { // PKW (Wagen)
			if($ressort['auswahl'] == 'p') return true;
			$pkws = abfrage1("select sub_id from tbh_ressort where ressort_id='$ressort_id' and auswahl='p'");
			if(mysql_num_rows($pkws) > 0) return true;

		} elseif($pzo[1] == 'm') { // Mitarbeiter
			$doIt = 0;
			$mas = abfrage1("select sub_id, ausnahme from tbh_ressort where ressort_id='$ressort_id' and auswahl='m'");
			$doIt += mysql_num_rows($mas);
			if($ressort['auswahl'] == 'm') {
				$ma = $ressort;
				$ma['sub_id'] = 0;
				$doIt++;
			} else $ma = mysql_fetch_array($mas);
			if($doIt > 0) {
				$abteilungen = array(); // Abteilungen des der Post zugeordnetem MA
				$abts = abfrage1("select abt_id from tbh_pers_abt where pers_id='$pzo[0]'");
				while($abt = mysql_fetch_row($abts)) {
					$abteilungen[ $abt[0] ] = $abt[0];
				}
				do {
					$ausnahmen = abfrage1("select id from tbh_ressort_ausnahmen where ressort_id='$ressort_id' and sub_id='{$ma['sub_id']}'");
					if($ma['ausnahme'] != 'inc') $return = true; // nicht ex ist auch inc => fuer den Fall, dass alle MA ohne Einschraenkung
					while($ausnahme = mysql_fetch_row($ausnahmen)) {
						if($ma['ausnahme'] == 'inc') { // eine Abteilung gefunden? return true!!!
							if(in_array($ausnahme[0],$abteilungen)) return true;
						} else {
							if(in_array($ausnahme[0],$abteilungen)) {
								$return = false;
								break;
							}
						}
					}
					if($ma['ausnahme'] != 'inc' && $return) return true;
				} while($ma = mysql_fetch_array($mas));
			}

		} elseif($pzo[1] == 'p') { // Projekt
			return projInRessort($pzo[0], $ressort_id);
		} elseif($pzo[1] == 't') { // Teamsitzung
			$doIt = 0;
			$teams = abfrage1("select sub_id, ausnahme from tbh_ressort where ressort_id='$ressort_id' and auswahl='t'");
			$doIt += mysql_num_rows($teams);
			if($ressort['auswahl'] == 't') {
				$team = $ressort;
				$team['sub_id'] = 0;
				$doIt++;
			} else $team = mysql_fetch_array($teams);
			if($doIt > 0) {
				$abteilungen = array(); // Abteilungen der der Post zugeordneten Sitzung
				$abts = abfrage1("select abt_id from tbh_team_art_abt where team_art_id='$pzo[0]'");
				while($abt = mysql_fetch_row($abts)) {
					$abteilungen[ $abt[0] ] = $abt[0];
				}
				do {
					$ausnahmen = abfrage1("select id from tbh_ressort_ausnahmen where ressort_id='$ressort_id' and sub_id='{$team['sub_id']}'");
					if($team['ausnahme'] != 'inc') $return = true; // nicht ex ist auch inc => fuer den Fall, dass alle Sitzungen ohne Einschraenkung
					while($ausnahme = mysql_fetch_row($ausnahmen)) {
						if($team['ausnahme'] == 'inc') { // eine Abteilung gefunden? return true!!!
							if(in_array($ausnahme[0],$abteilungen)) return true;
						} else {
							if(in_array($ausnahme[0],$abteilungen)) {
								$return = false;
								break;
							}
						}
					}
					if($team['ausnahme'] != 'inc' && $return) return true;
				} while($team = mysql_fetch_array($teams));
			}
		}
	}
	return false;
}

function update_hp_ressort($hp_id) {
	$hp_res = array();
	$res = abfrage1("select ressort_id from tbh_hp_ressort where hp_id='$hp_id'");
	while($re = mysql_fetch_row($res)) $hp_res[ $re[0] ] = $re[0];
	$ressorts = abfrage1("select ressort_id from tb_ressort");
	$noRessort = true;
	while($res = mysql_fetch_row($ressorts)) {
		if(isRessort($hp_id, $res[0])) {
			if($hp_res[ $res[0] ]) unset($hp_res[ $res[0] ]);
			else abfrage2("insert into tbh_hp_ressort set hp_id='$hp_id', ressort_id='$res[0]'");
			$noRessort = false;
		}
	}
	foreach($hp_res as $res_id) abfrage2("delete from tbh_hp_ressort where hp_id='$hp_id' and ressort_id='$res_id'");
	if($noRessort) abfrage2("replace into tbh_hp_ressort set hp_id='$hp_id', ressort_id='0'");
}

function getVertrRessortCheckbox($hp_id, $ressort_id, $pers_id) {
	global $AppCode;
	$ulv = $_SESSION[$AppCode]['ULV'];
	$uid = $_SESSION[$AppCode]['UID'];
	$TT = array('fe'=>'vertritt Ressort-VORBearbeiter (Einzelbefugnis)','fa'=>'vertritt Ressort-VORBearbeiter (Teilbefugnis)','he'=>'vertritt Ressort-Betreuer (Einzelbefugnis)','ha'=>'vertritt Ressort-Betreuer (Teilbefugnis)');
	$nichtDuSelbstWarnung = $pers_id==$uid ? '' : "if(confirm('Sie sind nicht " . pers_name($pers_id) . ". Wollen Sie die Best&auml;tigung wirklich vornehmen?') != true) { this.checked=!this.checked; } else";
	$done = abfrage("select id, aktiv, date_format(ok,'%d.%m.%Y %H:%i'), ok_pers_id, betr_e_a from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and pers_id='$pers_id'");
	$betr_e_a = $done[4];
	$b_tt_x = true;
	$noFB = $noAL = false;
	$O = 0;
	$notes = abfrage1("select pers_id, notiz from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and pers_id!='$uid' and notiz > ''");
	$ret = $ttX1 = '';
	while($note = mysql_fetch_row($notes)) {
		$ttX1 .= wordwrap("<b style=\"color:#FFCC00\">Notiz von ".pers_kname($note[0]).":</b><br />$note[1]<br />", 70, '<br />');
	}
	$note = abfrage("select notiz from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and pers_id='$uid'");
	$ttX1.= "<b style=\"color:#FFCC00\">Notiz von ".pers_kname($uid)."</b><br />";
	$ttX1.= "<textarea onkeyup=\"xajax_save_note($hp_id,$ressort_id,$pers_id,this.value,";
	$ttX2 = ")\" style=\"width:350px;height:60px\">$note[0]</textarea>";
	$kname = pers_kname($pers_id);
	$aktiv = 0;
	$vertritt = '';
	$sql = "select * from tbh_pers_ressort 
			where ressort_id='$ressort_id' 
			and pers_id in ('$pers_id', -1, -2) 
			and betreuer='v' order by pers_id desc";
	$pres=abfrage1($sql);
	if(mysql_num_rows($pres) > 0) $noFB = $noAL = true;
	while($pre = mysql_fetch_array($pres)) {
		$vertritt = $vertr = $pre['vertritt'];
		if($pre['vertritt'] > 0) {
			$noFB = $noAL = false;
			if(pers_fehlzeit($pre['vertritt'])) $aktiv = 1;
		} elseif($pre['vertritt'] == -1) {
			$pzs = abfrage1("select id2 from tbh_postzuordnung where typ='p' and posttyp='h' and id='$hp_id'");
			while($pz = mysql_fetch_row($pzs)) {
				$fb = abfrage("SELECT fb_id FROM tb_projekte WHERE proj_id='$pz[0]'");
				if(!empty($fb[0])) {
					$noFB = false;
					if(pers_fehlzeit($fb[0])) {
						$vertr = $fb[0];
						$aktiv = 1;
						break;
					}
				}
			}
		} elseif($pre['vertritt'] == -2) {
			$sql = "select l.abt_id from tb_personal_abt_leit l 
					left join tb_ressort r on (r.ressort_id='$ressort_id' and r.auswahl='a' and r.id=l.abt_id)
					left join tbh_ressort h on (h.ressort_id='$ressort_id' and h.auswahl='a' and h.id=l.abt_id)
					where l.pers_id='$pers_id' and (r.ressort_id IS NOT NULL or h.ressort_id IS NOT NULL)";
			$abls = abfrage1($sql);
			while($abl = mysql_fetch_row($abls)) {
				if(!empty($abl[0])) {
					$noAL = false;
					if(pers_fehlzeit($abl[0])) {
						$vertr = $abl[0];
						$aktiv = 1;
						break;
					}
				}
			}
		}
		if($aktiv) {
			$pr = abfrage("select betreuer, e_a from tbh_pers_ressort where ressort_id='$ressort_id' and pers_id='{$pre['vertritt']}'");
			$betr_e_a = $pr[0] . $pr[1];
			$ret = "<input type=\"checkbox\" ";
			if($done[3]>0) $ret .= "checked ";
			$fname = pers_kname($vertr);
			$kname = pers_kname($pers_id);
			$tt = "<b><i>Fehlzeit $fname</i><br />$kname:</b> " . $TT[$betr_e_a] . ($done[3]>0 ? "<br>Best&auml;tigt durch ".pers_kname($done[3])." am $done[2] Uhr" : '') . $tt_x;
			$ret .= $b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false);
			$ret .= "onclick=\"$nichtDuSelbstWarnung xajax_ressort_check($hp_id, $ressort_id, $pers_id, '$betr_e_a', this.checked)\" />";
			$O = 4;
		}
		if(!$noFB || !$noAL) return array($O,$betr_e_a,$ret,$aktiv);
	}
	if($noFB && $noAL) {
		$aktiv = 1;
		$pr = abfrage("select betreuer, e_a from tbh_pers_ressort where ressort_id='$ressort_id' and pers_id='$vertritt'");
		$betr_e_a = $pr[0] . $pr[1];
		$ret = "<input type=\"checkbox\" ";
		if($done[3]>0) $ret .= "checked ";
		$tt = "<b>kein ".($noFB ? 'Fachberater' : 'Abteilungsleiter')."<br>".pers_kname($pers_id).":</b> ";
		$tt .= $TT[$betr_e_a] . ($done[3]>0 ? "<br>Best&auml;tigt durch ".pers_kname($done[3])." am $done[2] Uhr" : '') . $tt_x;
		$ret .= $b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false);
		$ret .= "onclick=\"$nichtDuSelbstWarnung xajax_ressort_check($hp_id, $ressort_id, $pers_id, '$betr_e_a', this.checked)\" />";
		/* wenn Haken in Vergangenheit gesetzt wurde, aber kein e_a geschrieben wurde, ist es vlt. doch schon erledigt */
		if(empty($done[4]) && $done[3]>0 && $pr[1]=='e') abfrage2("UPDATE tbh_hp_ressort set erledigt='j' where hp_id='$hp_id' and ressort_id='$ressort_id'");
		return array(3,$betr_e_a,$ret,$aktiv);
	}
	return array(0,'v','-',0);
}
/*
 * return: array(0=nix/1=ich/2=vertr, betr_e_a, checkbox-code, aktiv)
 */
function getRessortCheckbox($hp_id, $ressort_id, $pers_id, $noCheckBox = false, $add = 0) {
	global $AppCode;
	$ulv = $_SESSION[$AppCode]['ULV'];
	$uid = $_SESSION[$AppCode]['UID'];
	$nichtDuSelbstWarnung = $pers_id==$uid ? '' : "if(confirm('Sie sind nicht " . pers_name($pers_id) . ". Wollen Sie die Best&auml;tigung wirklich vornehmen?') != true) { this.checked=!this.checked; } else";
	$kname = pers_kname($pers_id);
	$O = 0;
	$abteilungsleiter = array();
	$pers_fb = $pers_al = NULL;
	$al_string = '';
	$tt_x = '';
	$b_tt_x = true;
	$notes = abfrage1("select pers_id, notiz from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and pers_id!='$uid' and notiz > ''");
	$done = abfrage("select id, aktiv, date_format(ok,'%d.%m.%Y %H:%i'), ok_pers_id, betr_e_a, optional from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and pers_id='$pers_id'");
	$hp = abfrage("select erledigt, notiz, notiz_pers_id from tbh_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id'");
	$ttX1 = '';
	while($note = mysql_fetch_row($notes)) {
		$ttX1 .= wordwrap("<b style=\"color:#FFCC00\">Notiz von ".pers_kname($note[0]).":</b><br />$note[1]<br />", 70, '<br />');
	}
	$note = abfrage("select notiz from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and pers_id='$uid'");
	$ttX1.= "<b style=\"color:#FFCC00\">Notiz von ".pers_kname($uid)."</b><br />";
	$ttX1.= "<textarea onkeyup=\"xajax_save_note($hp_id,$ressort_id,$pers_id,this.value,";
	$ttX2 = ")\" style=\"width:350px;height:60px\">$note[0]</textarea>";
	$TT = array('fe'=>'Ressort-VORBearbeiter (Einzelbefugnis)','fa'=>'Ressort-VORBearbeiter (Teilbefugnis)','he'=>'Ressort-Betreuer (Einzelbefugnis)','ha'=>'Ressort-Betreuer (Teilbefugnis)');
	// vielleicht schon alles erledigt?!
	if($hp[0] == 'j') {
		$O = 1;
		if(empty($done[0])) {
			$O = 0;
			$pre = abfrage("select pr_id from tbh_pers_ressort where ressort_id='$ressort_id' and pers_id = '$pers_id' limit 1");
			if($pre[0] > 0) $O = 1;
			else {
				$pre = abfrage("select pr_id from tbh_pers_ressort where ressort_id='$ressort_id' and pers_id = '-1' limit 1");
				if($pre[0] > 0) {
					$pers_fb = pers_fb($pers_id);
					if($pers_fb) {
						$pzs = abfrage1("select id2 from tbh_postzuordnung where typ='p' and posttyp='h' and id='$hp_id'");
						while($pz = mysql_fetch_row($pzs)) {
							$fb = abfrage("SELECT fb_id FROM tb_projekte WHERE proj_id='$pz[0]'");
							if($fb[0] == $pers_id) $O = 1;
						}
					}
				}
			}
			if($O == 0) {
				$pre = abfrage("select pr_id from tbh_pers_ressort where ressort_id='$ressort_id' and pers_id = '-2' limit 1");
				if($pre[0] > 0) {
					$r_abt = abfrage1("select id from tb_ressort where ressort_id='$ressort_id' and auswahl='a'");
					$h_abt = abfrage1("select id from tbh_ressort where ressort_id='$ressort_id' and auswahl='a'");
					if(mysql_num_rows($r_abt) == 0 && mysql_num_rows($h_abt) == 0) {
						$sql = "select abt_id from tb_personal_abt_leit where pers_id='$pers_id'";
					} else {
						$sql = "select l.abt_id from tb_personal_abt_leit l 
								left join tb_ressort r on (r.ressort_id='$ressort_id' and r.auswahl='a' and r.id=l.abt_id)
								left join tbh_ressort h on (h.ressort_id='$ressort_id' and h.auswahl='a' and h.id=l.abt_id)
								where l.pers_id='$pers_id' and (r.ressort_id IS NOT NULL or h.ressort_id IS NOT NULL)";
					}
					$abls = abfrage1($sql);
					$pers_al = (mysql_num_rows($abls) > 0);
					while($al = mysql_fetch_row($abls)){
						$abteilungsleiter[ $al[0] ] = $al[0];
					}
					$al_string = implode(",", $abteilungsleiter);
				}
				if($pers_al) {
					$pzs = abfrage1("select id2, typ from tbh_postzuordnung where posttyp='h' and id='$hp_id'");
					while($pz = mysql_fetch_row($pzs)) {
						if($pz[1] == 'm') { // Mitarbeiter
							$abts = abfrage1("select abt_id from tbh_pers_abt where pers_id='$pz[0]' and abt_id in ($al_string)");
							if(mysql_num_rows($abts) > 0) { $O = 1; break; }
						}
						if($pz[1] == 'r') { // Rechnungen Vormerkposten
							$abt = abfrage("select abt_id from tb_vormerkliste where vm_id='$pz[0]'");
							if(in_array($abt[0],$abteilungsleiter)) { $O = 1; break; }
						}
						if($pz[1] == 'p') { //Projekte
							$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$pz[0]' and abt_id in ($al_string)");
							if(mysql_num_rows($abts) > 0) { $O = 1; break; }
						}
					}
				}
			}			
		}
		$ttx = '';
		if(empty($done[3]) && $done[5]=='j') $ret = "<img src=\"img/plus.png\" ";
		else {
			$ret = "<img src=\"img/".($done[3]>0 ? 'checked' : 'checkdisabled').".png\" ";
			if($done[3] <= 0) $ttx = "Haken nicht mehr m&ouml;glich, da anderweitig erfolgt.<br>";
		}
		if($done[3]>0) $tt = pers_kname($done[3])." ".$TT[$done[4]]." am $done[2] Uhr" . $tt_x;
		else {
			if(empty($done[4])) {
				$pre = abfrage("select betreuer, e_a, optional from tbh_pers_ressort 
								where ressort_id='$ressort_id' 
								and pers_id in ($pers_id, -1, -2) 
								order by pers_id='$pers_id' desc
								limit 1");
				$done[4] = ($pre[0] != 'f') ? 'h' : 'f';
				$done[4] .= ($pre[1] != 'a') ? 'e' : 'a';
				if($pre[2]=='j') {
					$ttx = '';
					$ret = "<img src=\"img/plus.png\" ";
				}
			}
			$tt = "<b>$kname:</b> " . $TT[$done[4]] . $tt_x;
		}
		$ret .= $b_tt_x ? stwToolTipFixed($ttx.$ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false);
		$ret .= "/>";
		return array($O,$done[4],$ret,0);
	} elseif($done[1] == 'n') {
		// Bugfix... defaultwert (fa) in DB falls es beim Speichern nicht gesetzt worden ist
		if($done[3] > 0 && $done[4] == 'fa') {
			$pre = abfrage("select betreuer, e_a from tbh_pers_ressort 
							where ressort_id='$ressort_id' 
							and pers_id in ($pers_id, -1, -2) 
							order by pers_id='$pers_id' desc
							limit 1");
			$betr_e_a = ($pre[0] != 'f') ? 'h' : 'f';
			$betr_e_a .= ($pre[1] != 'a') ? 'e' : 'a';
			abfrage2("update tb_pers_hp_ressort set betr_e_a = '$betr_e_a' where hp_id='$hp_id' and ressort_id='$ressort_id' and pers_id='$pers_id'");
		}
		if($done[3]>0) {
			$tt = "Best&auml;tigt durch ".pers_kname($done[3],false)." am $done[2] Uhr" . $tt_x;
			$ret = "<img src=\"img/checked.png\"" . ($b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt));
		} elseif($ulv >= 96 || $add) {
			$tt = "<b>$kname:</b> " . $TT[$done[4]] . $tt_x;
			$ret = "<img onclick=\"xajax_ressort_activate($hp_id, $ressort_id, $pers_id, '$done[4]')\" src=\"img/plus.png\"";
			$ret .= $b_tt_x ? stwToolTipFixed($ttX1.'0'.$ttX2,$tt) : stwToolTip($tt,false);
		} elseif($done[0]) { 
			$ret = "<img src=\"img/unchecked.png\"";
			$tt = "<b>$kname:</b> " . $TT[$done[4]] . $tt_x;
			$ret .= $b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false);
		}
		$ret .= " />";
		return array(1,$done[4],$ret,0);
	} elseif($done[1] == 'j') {
		$aktiv = $done[3]>0 ? 0 : 1;
		if($noCheckBox) { 
			$ret = "<img src=\"img/".($done[3]>0 ? '' : 'un')."checked.png\" ";
			$tt = "<b>$kname:</b> " . $TT[$done[4]] . ($done[3]>0 ? "<br>Best&auml;tigt durch ".pers_kname($done[3])." am $done[2] Uhr" : '') . $tt_x;
			$ret .= $b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false);
			$ret .= "/>";
		} else {
			$ret = "<input type=\"checkbox\" ";
			if($done[3]>0) $ret .= "checked ";
			$tt = "<b>$kname:</b> " . $TT[$done[4]] . ($done[3]>0 ? "<br>Best&auml;tigt durch ".pers_kname($done[3])." am $done[2] Uhr" : '') . $tt_x;
			$ret .= $b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false);
			$ret .= "onclick=\"$nichtDuSelbstWarnung xajax_ressort_check($hp_id, $ressort_id, $pers_id, '$done[4]', this.checked)\" />";
		}
		return array(1,$done[4],$ret,$aktiv);
	}
	// ...schade... noch kein Eintrag da...
	$pres = abfrage1("select * from tbh_pers_ressort where ressort_id='$ressort_id' and pers_id in ($pers_id, -1, -2) order by optional desc, betreuer asc, e_a desc");
	while($pre = mysql_fetch_array($pres)) {
		$betr_e_a = $pre['betreuer'] . $pre['e_a'];
		if($pre['pers_id'] == -1) { //Fachberater
			$nope = true;
			if(is_null($pers_fb)) $pers_fb = pers_fb($pers_id);
			if(!$pers_fb) continue;
			$pzs = abfrage1("select id2 from tbh_postzuordnung where typ='p' and posttyp='h' and id='$hp_id'");
			while($pz = mysql_fetch_row($pzs)) {
				$fb = abfrage("SELECT fb_id FROM tb_projekte WHERE proj_id='$pz[0]'");
				if($fb[0] == $pers_id) $nope = false;
			}
			if($nope) {
				$pzs = abfrage1("select id2 from tbh_postzuordnung where typ='t' and posttyp='h' and id='$hp_id'");
				while($pz = mysql_fetch_row($pzs)) {
					$fb = abfrage("SELECT fb_id FROM tb_team_art WHERE team_art_id='$pz[0]'");
					if($fb[0] == $pers_id) $nope = false;
				}
			}
			if($nope) continue;
		}
		if($pre['pers_id'] == -2) { //Abteilungsleiter
			$nope = true;
			if(is_null($pers_al)) {
				$r_abt = abfrage1("select id from tb_ressort where ressort_id='$ressort_id' and auswahl='a'");
				$h_abt = abfrage1("select id from tbh_ressort where ressort_id='$ressort_id' and auswahl='a'");
				if(mysql_num_rows($r_abt) == 0 && mysql_num_rows($h_abt) == 0) {
					$sql = "select abt_id from tb_personal_abt_leit where pers_id='$pers_id'";
				} else {
					$sql = "select l.abt_id from tb_personal_abt_leit l 
							left join tb_ressort r on (r.ressort_id='$ressort_id' and r.auswahl='a' and r.id=l.abt_id)
							left join tbh_ressort h on (h.ressort_id='$ressort_id' and h.auswahl='a' and h.id=l.abt_id)
							where l.pers_id='$pers_id' and (r.ressort_id IS NOT NULL or h.ressort_id IS NOT NULL)";
				}
				$abls = abfrage1($sql);
				if(mysql_num_rows($abls) == 0) {
					$pers_al = false;
					continue;
				} else $pers_al = true;
				while($al = mysql_fetch_row($abls)){
					$abteilungsleiter[ $al[0] ] = $al[0];
				}
				$al_string = implode(",", $abteilungsleiter);
			}
			if(!$pers_al) continue;
			$pzs = abfrage1("select id2, typ from tbh_postzuordnung where posttyp='h' and id='$hp_id'");
			while($pz = mysql_fetch_row($pzs)) {
				if($pz[1] == 't' || $pz[1] == 'w') continue; // Autos und Sitzungen haben (noch) keine Abteilungen
				if($pz[1] == 'm') { // Mitarbeiter
					$abts = abfrage1("select abt_id from tbh_pers_abt where pers_id='$pz[0]' and abt_id in ($al_string)");
					if(mysql_num_rows($abts) > 0) { $nope = false; break; }
				}
				if($pz[1] == 'r') { // Rechnungen Vormerkposten
					$abt = abfrage("select abt_id from tb_vormerkliste where vm_id='$pz[0]'");
					if(in_array($abt[0],$abteilungsleiter)) { $nope = false; break; }
				}
				if($pz[1] == 'p') { //Projekte
					$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$pz[0]' and abt_id in ($al_string)");
					if(mysql_num_rows($abts) > 0) { $nope = false; break; }
				}
			}
			if($nope) continue;
		}
		if($pre['betreuer'] == 'v') $O = 2;
		else if($pre['betreuer'] == 'h') {
			/* gibt es vlt. Vorbearbeiter?! */
			$f_betrs = abfrage1("select pers_id from tbh_pers_ressort where ressort_id='$ressort_id' and betreuer='f'");
			$notYetToShow = true;
			if(mysql_num_rows($f_betrs) == 0) $notYetToShow = false;
			else {
				$sql = "select betr_e_a from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and betr_e_a in ('fa','fe') and ok_pers_id > 0";
				$done = abfrage1($sql);
				if(mysql_num_rows($done) > 1) $notYetToShow = false;
				else while($bea = mysql_fetch_row($done)) {
					if($bea[0] == 'fe') $notYetToShow = false;
				}
			}
			if($notYetToShow) {
				if($ulv >= 96 || $add) {
					$tt = "<b>$kname:</b> " . $TT[$betr_e_a] . $tt_x;
					$ret = "<img src=\"img/plus.png\" onclick=\"xajax_ressort_activate($hp_id, $ressort_id, $pers_id, '$betr_e_a')\" ".($b_tt_x ? stwToolTipFixed($ttX1.'0'.$ttX2,$tt) : stwToolTip($tt,false)). "/>";
				} else { 
					$tt = "<b>$kname:</b> " . $TT[$betr_e_a] . $tt_x;
					$ret = "<img src=\"img/unchecked.png\"".($b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false))." />";
				}
				return array(1,$betr_e_a,$ret,0);
			}
			if($pre['optional'] == 'j') {
				if($ulv >= 96 || $add) {
					$tt = $kname." ".$TT[$betr_e_a]." (optional)" . $tt_x;
					$ret = "<img src=\"img/plus.png\" onclick=\"xajax_ressort_activate($hp_id, $ressort_id, $pers_id, '$betr_e_a')\" ".($b_tt_x ? stwToolTipFixed($ttX1.'0'.$ttX2,$tt) : stwToolTip($tt,false)). "/>";
				} else { 
					$tt = "<b>$kname:</b> " . $TT[$betr_e_a] . $tt_x;
					$ret = "<img src=\"img/unchecked.png\"".($b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false))." />";
				}
				$aktiv = 0;
			} elseif(($pers_id==$uid || $ulv >= 96) && !$noCheckBox) {
				$tt = "<b>$kname:</b> " . $TT[$betr_e_a] . $tt_x;
				$ret = "<input type=\"checkbox\" ".($b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false))." onclick=\"$nichtDuSelbstWarnung xajax_ressort_check($hp_id, $ressort_id, $pers_id, '$betr_e_a', 1)\" />";
				$aktiv = 1;
			} else { 
				$tt = "<b>$kname:</b> " . $TT[$betr_e_a] . $tt_x;
				$ret = "<img src=\"img/unchecked.png\"".($b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false))." />";
				$aktiv = 0;
			}
			return array(1,$betr_e_a,$ret,$aktiv);
		}
		if($pre['betreuer'] == 'f') {
			if($pre['optional'] == 'j') {
				if($ulv >= 96 || $add) {
					$tt = "<b>$kname:</b> " . $TT[$betr_e_a] ." (optional)". $tt_x;
					$ret .= "<img src=\"img/plus.png\" onclick=\"xajax_ressort_activate($hp_id, $ressort_id, $pers_id, '$betr_e_a')\" ".($b_tt_x ? stwToolTipFixed($ttX1.'0'.$ttX2,$tt) : stwToolTip($tt,false)). "/>";
				} else { 
					$tt = "<b>$kname:</b> " . $TT[$betr_e_a] . $tt_x;
					$ret = "<img src=\"img/unchecked.png\"".($b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false))." />";
				}
				$aktiv = 0;
			}
			$done = abfrage("select ok_pers_id from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and betr_e_a in ('ha','he') order by ok_pers_id desc limit 1");
			if($done[0]) { 
				$tt = "<b>$kname:</b> " . $TT[$betr_e_a] . $tt_x;
				$ret = "<img src=\"img/unchecked.png\"".($b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false))." />";
				$aktiv = 0;
			} elseif(($pers_id==$uid || $ulv >= 96) && !$noCheckBox) {
				$tt = "<b>$kname:</b> " . $TT[$betr_e_a] . $tt_x;
				$ret = "<input type=\"checkbox\" ".($b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false))." onclick=\"$nichtDuSelbstWarnung xajax_ressort_check($hp_id, $ressort_id, $pers_id, '$betr_e_a', 1)\" />";
				$aktiv = 1;
			} else { 
				$tt = "<b>$kname:</b> " . $TT[$betr_e_a] . $tt_x;
				$ret = "<img src=\"img/unchecked.png\"".($b_tt_x ? stwToolTipFixed($ttX1.'1'.$ttX2,$tt) : stwToolTip($tt,false))." />";
				$aktiv = 0;
			}
			return array(1,$betr_e_a,$ret,$aktiv);
		}
	}
	// immer noch nichts? ...dann gibts wohl keine Checkbox...
	return array($O,0,'',0);
}

function getOtherRessortCheckboxes($hp_id, $ressort_id, $pers_id) {
	global $AppCode;
	$uid = $_SESSION[$AppCode]['UID'];
	$box = array();
	$betrs = abfrage1("select pers_id from tbh_pers_ressort where ressort_id='$ressort_id' and betreuer!='v' and pers_id!='$pers_id' order by betreuer='f' desc, betreuer='h' desc, e_a='a' desc, optional='n' desc");
	while($ma = mysql_fetch_array($betrs)) {
		if($ma[0] > 0) $box[ $ma[0] ] = getRessortCheckbox($hp_id, $ressort_id, $ma[0], $ma[0]!=$uid, $pers_id);
		else {
			if($ma[0] == -1) { //Fachberater
				$pzs = abfrage1("select id2 from tbh_postzuordnung where typ='p' and posttyp='h' and id='$hp_id'");
				while($pz = mysql_fetch_row($pzs)) {
					$fb = abfrage("SELECT fb_id FROM tb_projekte WHERE proj_id='$pz[0]'");
					if($fb[0]>0 && $fb[0] != $pers_id) $box[ $fb[0] ] = getRessortCheckbox($hp_id, $ressort_id, $fb[0], $fb[0]!=$uid, $pers_id);
				}
			}
			if($ma[0] == -2) { //Abteilungsleiter
				$abteilungen = $abteilungsleiter = array();
				$pzs = abfrage1("select id2, typ from tbh_postzuordnung where posttyp='h' and id='$hp_id'");
				while($pz = mysql_fetch_row($pzs)) {
					if($pz[1] == 'm') $sql = "select abt_id from tbh_pers_abt where pers_id='$pz[0]'";
					elseif($pz[1] == 'r') $sql = "select abt_id from tb_vormerkliste where vm_id='$pz[0]'";
					elseif($pz[1] == 'p') $sql = "select abt_id from tbh_proj_abt where proj_id='$pz[0]'";
					else continue;
					$abts = abfrage1($sql);
					while($abt = mysql_fetch_row($abts)) {
						$abteilungen[ $abt[0] ] = $abt[0];
					}
				}
				foreach($abteilungen as $abt_id) {
					$abls = abfrage1("select pers_id from tb_personal_abt_leit where abt_id='$abt_id'");
					while($al = mysql_fetch_row($abls)) {
						$abteilungsleiter[ $al[0] ] = $al[0];
					}
				}
				foreach($abteilungsleiter as $al) {
					if($al != $pers_id) $box[ $al ] = getRessortCheckbox($hp_id, $ressort_id, $al, $al!=$uid, $pers_id);
				}
			}
		}
	}
	return $box;
}

class stwPost {
	var $id;
	var $hp_id;
	var $table;
	var $column;
	var $pers_id;
	var $level;

	/* 
	 * Konstruktor zum Erstellen einer stwPost aus HP_ID oder POST_ID
	 * typ: i = post_in_id
	 *      o = post_out_id
	 *      h = hp_id (nur bei gesetzter ID verwenden!!!)
	 */
	function stwPost($typ,$id='') {
		global $AppCode;
		$this->pers_id = $_SESSION[$AppCode]['UID'];
		$this->level = $_SESSION[$AppCode]['ULV'];
		$this->id = $id;
		if($typ == 'i') {
			$hp = abfrage("select hp_id from tb_post_eingang where post_in_id='$id'");
			$this->table = "tb_post_eingang";
			$this->column = "post_in_id";
		}
		if($typ == 'o') {
			$hp = abfrage("select hp_id from tb_post_ausgang where post_out_id='$id'");
			$this->table = "tb_post_ausgang";
			$this->column = "post_out_id";
		}
		if($typ == 'h') {
			$this->hp_id = $id;
			$hp = abfrage("select hp_art from tb_hp where hp_id='$id'");
			if($hp[0] == 'x') {
				$pin = abfrage("select post_in_id from tb_post_eingang where hp_id='$id'");
				$this->table = "tb_post_eingang";
				$this->column = "post_in_id";
				$this->id = $pin[0];
			}
			if($hp[0] == 'y') {
				$pout = abfrage("select post_out_id from tb_post_ausgang where hp_id='$id'");
				$this->table = "tb_post_ausgang";
				$this->column = "post_out_id";
				$this->id = $pout[0];
			}
		} else $this->hp_id = $hp[0];
	}

	function getName($personaltyp_id=0, $id2=0, $typ=0, $hp_id=0) {
		if($personaltyp_id==0) {
			$query  = "SELECT t1.name,t1.vorname FROM tb_personal t1 ";
			$query .= "LEFT JOIN ".$this -> table." t2 ON t2.ok = t1.pers_id WHERE ";
			if (empty($hp_id)) {
				$query .= "hp_id = ".$this->hp_id;
			} else {
				$query .= "hp_id = ".$hp_id;
			}
			$res = abfrage1($query);
			if (mysql_num_rows($res) > 0){
				$row = mysql_fetch_array($res);
				return $row['vorname']." ".$row['name'];
			}
			return false;
		}
		$query  = "SELECT t1.name,t1.vorname FROM tb_personal t1 ";
		$query .= "LEFT JOIN tb_post_ok t2 ON t2.ok = t1.pers_id ";
		$query .= "WHERE personaltyp_id = '$personaltyp_id' AND ";
		$query .= "id2 = '$id2' AND typ = '$typ' AND ";
		if (empty($hp_id)) {
			$query .= "hp_id = ".$this->hp_id;
		} else {
			$query .= "hp_id = ".$hp_id;
		}
		$res = abfrage1($query);
		if (mysql_num_rows($res) > 0){
			$row = mysql_fetch_array($res);
			return $row['vorname']." ".$row['name'];
		}
		return false;
	}

	function getDate($personaltyp_id=0, $id2=0, $typ=0, $hp_id=0) {
		if(empty($hp_id)) $hp_id = $this -> hp_id;
		if($personaltyp_id==0) {
			$sql = "SELECT DATE_FORMAT(ok_datum,'%d.%m.%Y') FROM ".$this -> table . " WHERE hp_id = '$hp_id'";
		} else {
			$sql = "SELECT DATE_FORMAT(ok_datum,'%d.%m.%Y') FROM tb_post_ok
					WHERE personaltyp_id = '$personaltyp_id' AND
					id2 = '$id2' AND typ = '$typ' AND hp_id = '$hp_id'";
		}
		$dat = abfrage($sql);
		return $dat[0];
	}

	function updateCheck($value="", $personaltyp_id=0, $id2=0, $typ=0) {
		$ok = ($value == "") ? $this -> pers_id : $value;
		if($personaltyp_id==0) {
			$query = "UPDATE ".$this -> table."
					  SET ok = '".$ok."', ok_datum = '".date('Y-m-d',time())."'
					  WHERE ".$this -> column." = ".$this -> id;
		} else {
			$query = "UPDATE tb_post_ok SET
					  ok = '".$ok."', ok_datum = '".date('Y-m-d',time())."'
					  WHERE hp_id = '" . $this -> hp_id . "' AND id2 = '$id2' 
					  AND typ = '$typ' AND personaltyp_id = '$personaltyp_id'";
		}
		abfrage2($query);
	}

	function getMyCheckbox($hp_id = 0, $vertretung = 'both', $nurDieOhneHaken = false) {
		if(empty($hp_id)) $hp_id = $this->hp_id;
		$return = $leereMenge = array();
		$sql = "SELECT id2, typ, personaltyp_id, ok FROM tb_post_ok WHERE hp_id='$hp_id'";
		$post_ok = abfrage1($sql);
		if(mysql_num_rows($post_ok) == 0) {
			$postzuordnungen = abfrage1("SELECT id2, typ FROM tbh_postzuordnung WHERE posttyp='h' AND id='$hp_id'");
			if(mysql_num_rows($postzuordnungen) > 0) {
				$leereMenge[] = ($this->table=="tb_post_eingang" ? 'i' : 'o') . '_0_0';
				$sql = "SELECT id2, typ, 1, 0 FROM tbh_postzuordnung WHERE posttyp='h' AND id='$hp_id'";
				$post_ok = abfrage1($sql);
			}
		}
		while($pok = mysql_fetch_row($post_ok)) {
			if($nurDieOhneHaken && !empty($pok[3])) continue;
			$pzu = abfrage("SELECT id2, typ FROM tbh_postzuordnung WHERE posttyp='h' AND id='$hp_id' and id2='$pok[0]' and typ='$pok[1]'");
			switch($pzu[1]) {
				case 'p': /*proj_id*/
					$pt = abfrage( "SELECT personaltyp_id, perstyp_vertr FROM tbh_pers_proj
									WHERE pers_id = '$this->pers_id' AND proj_id = '$pzu[0]';" );
					if(($pt[0]==1 || $pt[0]==8 || $pt[0]==9) && $pt[0] == $pok[2]) {
						if($vertretung === true) continue;
						$return[ "p_" . $pzu[0] . "_" . $pt[0] ] = "p_" . $pzu[0] . "_" . $pt[0] . "_1";
					} elseif($pt[0]==3) {
						if($vertretung === false) continue;
						$sql = false;
						if($pt[1] == 0) {
							$vertrs = abfrage1("SELECT pers_id FROM tbh_pers_proj 
												WHERE proj_id = '$pzu[0]' AND perstyp_vertr='$pok[2]'");
							if(mysql_num_rows($vertrs) == 0) {
								$sql = "SELECT pers_id, personaltyp_id FROM tbh_pers_proj 
										WHERE proj_id = '$pzu[0]' AND personaltyp_id = '$pok[2]'";
							}
						} elseif(($pt[1] == 1 || $pt[1]==8 || $pt[1]==9) &&  $pt[1] == $pok[2]) {
							$sql = "SELECT pers_id, personaltyp_id FROM tbh_pers_proj 
									WHERE proj_id = '$pzu[0]' AND personaltyp_id = '$pt[1]'";
						}
						if($sql) {
							$hbs = abfrage1($sql);
							while($hb = mysql_fetch_row($hbs)) {
								if(pers_fehlzeit($hb[0])) $return[ "p_" . $pzu[0] . "_" . $hb[1] . "_v" ] = "p_" . $pzu[0] . "_" . $hb[1] . "_v_1";
							}
						}
					}
					break;
				case 'w': /*res_id (Wagen!!!)*/
					if($vertretung === true) continue;
					if(check_nutzer_rechte(115,true)) $return[ "w_" . $pzu[0] . "_1" ] = "w_" . $pzu[0] . "_1_1";
					break;
				case 't': /*team_art_id (Sitzung)*/
					$pt = abfrage( "SELECT fokus, perstyp_vertr FROM tb_team_art_pers 
									WHERE team_art_id='$pzu[0]' AND pers_id='$this->pers_id'" );
					if(($pt[0]==1 || $pt[0]==8 || $pt[0]==9) && $pt[0] == $pok[2]) {
						if($vertretung === true) continue;
						$return[ "t_" . $pzu[0] . "_" . $pt[0] ] = "t_" . $pzu[0] . "_" . $pt[0] . "_1";
					} elseif($pt[0] == 3) {
						if($vertretung === false) continue;
						$sql = false;
						if($pt[1] == 0) {
							$vertrs = abfrage1("SELECT perstyp_vertr FROM tb_team_art_pers 
												WHERE team_art_id = '$pzu[0]'");
							$eins = $acht = $neun = true;
							/* Betreuerarten mit expliziter Vertretung ignorieren wir! */
							while($ver = mysql_fetch_row($vertrs)) {
								if($ver[0] == 1) $eins = false;
								if($ver[0] == 8) $acht = false;
								if($ver[0] == 9) $neun = false;
							}
							if($eins || $acht || $neun) {
								$ptyp = $eins ? '1' : '';
								if($acht) {
									if(!empty($ptyp)) $ptyp .= ',';
									$ptyp .= '8';
								}
								if($neun) {
									if(!empty($ptyp)) $ptyp .= ',';
									$ptyp .= '9';
								}
								$sql = "SELECT pers_id, fokus FROM tb_team_art_pers 
										WHERE team_art_id = '$pzu[0]' AND fokus IN ($ptyp)";
							}
						} elseif($pt[1] == 1 || $pt[1]==8 || $pt[1]==9) {
							$sql = "SELECT pers_id, fokus FROM tb_team_art_pers 
									WHERE team_art_id = '$pzu[0]' AND fokus = '$pt[1]'";
						}
						if($sql) {
							$hbs = abfrage1($sql);
							while($hb = mysql_fetch_row($hbs)) {
								if(pers_fehlzeit($hb[0])) $return[ "t_" . $pzu[0] . "_" . $hb[1] . "_v" ] = "t_" . $pzu[0] . "_" . $hb[1] . "_v_1";
							}
						}
					}
					break;
				case 'm': /*pers_id (MA!!!)*/
					if($vertretung === true) continue;
					if(check_nutzer_rechte(114,true)) $return[ "m_" . $pzu[0] . "_1" ] = "m_" . $pzu[0] . "_1_1";
					break;
				case 'r': /*vm_id (Direktkauf Rechnung)*/
					if($vertretung === true) continue;
					$vp = abfrage1("select pers_id from tbh_pers_vormerk where vm_id = '$pzu[0]' and abteilungsleiter = 'n' order by zeit asc limit 1;");
					if($vp[0] == $this->pers_id) $return[ "r_" . $pzu[0] . "_1" ] = "r_" . $pzu[0] . "_1_1";
			}
		}
		return empty($leereMenge) || empty($return) ? $return : $leereMenge;
	}

	function getHBCheckbox($hp_id = 0) {
		$return = $this->getMyCheckbox($hp_id);
		if(empty($hp_id)) $hp_id = $this->hp_id;
		$leereMenge = array();
		$sql = "SELECT id2, typ, personaltyp_id, ok FROM tb_post_ok WHERE hp_id='$hp_id'";
		$post_ok = abfrage1($sql);
		if(mysql_num_rows($post_ok) == 0) {
			$postzuordnungen = abfrage1("SELECT id2, typ FROM tbh_postzuordnung WHERE posttyp='h' AND id='$hp_id'");
			if(mysql_num_rows($postzuordnungen) > 0) {
				$leereMenge[] = ($this->table=="tb_post_eingang" ? 'i' : 'o') . '_0_0';
				$sql = "SELECT id2, typ, 1, 0 FROM tbh_postzuordnung WHERE posttyp='h' AND id='$hp_id'";
				$post_ok = abfrage1($sql);
			}
		}
		while($pok = mysql_fetch_row($post_ok)) {
			$pzu = abfrage("SELECT id2, typ FROM tbh_postzuordnung WHERE posttyp='h' AND id='$hp_id' and id2='$pok[0]' and typ='$pok[1]'");
			switch($pzu[1]) {
				case 'p': /*proj_id*/
					$pts = abfrage1( "SELECT personaltyp_id, perstyp_vertr FROM tbh_pers_proj WHERE proj_id = '$pzu[0]';" );
					while($pt = mysql_fetch_row($pts)) if(($pt[0]==1 || $pt[0]==8 || $pt[0]==9) && $pt[0] == $pok[2]) {
						if(!$return[ "p_" . $pzu[0] . "_" . $pt[0] ]) $return[ "p_" . $pzu[0] . "_" . $pt[0] ] = "p_" . $pzu[0] . "_" . $pt[0];
					}
					break;
				case 'w': /*res_id (Wagen!!!)*/
					if(!$return[ "w_" . $pzu[0] . "_1" ]) $return[ "w_" . $pzu[0] . "_1" ] = "w_" . $pzu[0] . "_1";
					break;
				case 't': /*team_art_id (Sitzung)*/
					$pts = abfrage1( "SELECT fokus, perstyp_vertr FROM tb_team_art_pers WHERE team_art_id='$pzu[0]'" );
					while($pt = mysql_fetch_row($pts)) if(($pt[0]==1 || $pt[0]==8 || $pt[0]==9) && $pt[0] == $pok[2]) {
						if(!$return[ "t_" . $pzu[0] . "_" . $pt[0] ]) $return[ "t_" . $pzu[0] . "_" . $pt[0] ] = "t_" . $pzu[0] . "_" . $pt[0];
					}
					break;
				case 'm': /*pers_id (MA!!!)*/
					if(!$return[ "m_" . $pzu[0] . "_1" ]) $return[ "m_" . $pzu[0] . "_1" ] = "m_" . $pzu[0] . "_1";
					break;
				case 'r': /*vm_id (Direktkauf Rechnung)*/
					if(!$return[ "r_" . $pzu[0] . "_1" ]) $return[ "r_" . $pzu[0] . "_1" ] = "r_" . $pzu[0] . "_1";
			}
		}
		return empty($leereMenge) || empty($return) ? $return : $leereMenge;
	}

	function displayCheckbox($personaltyp_id=0, $id2=0, $typ=0, $hp_id=0, $onclicksubmit=false) {
		$name = $this -> getName($personaltyp_id, $id2, $typ, $hp_id);
		if ($name){
			$checked = " checked=\"checked\"";
			$datum = $this -> getDate($personaltyp_id, $id2, $typ, $hp_id);
		} else $checked = $datum = "";

		$value = $hp_id . "_" . $typ . "_" . $id2 . "_" . $personaltyp_id;
		if($onclicksubmit == -1) {
			$img = empty($checked) ? 'unchecked.png' : 'checked.png';
			$box = "<img src=\"img/$img\" />";
		} else {
			$box = "<input type=\"checkbox\" name=\"ok\" id=\"$value\" value=\"$value\" onclick=\"";
			$box .= $onclicksubmit ? "document.post.submit()" : "xajax_updatePostCheck(this.value,".$this->pers_id.",this.checked)";
			$box .="\"".$checked.">";
		}
		if ($name) return $box . '<!--CUT--> ' . $name . ' ' . $datum;
		else return $box;
	}

	function displayBoxen($boxen, $hp_id=0, $clickable = true) {
		if(!is_array($boxen)) return '';
		$done = array();
		if(empty($hp_id)) $hp_id = $this -> hp_id;
		$board = "<table><tr>";
		$out = "<table class=\"tooltip\">";
		$bxCnt = 0;
		foreach($boxen as $box) {
			$bxCnt++;
			$bx = explode("_", $box);
			if($done[$bx[0]][$bx[1]][$bx[2]]) continue;
			if($clickable == 'eigene') $click = $bx[3] ? true : false;
			else $click = $clickable;
			$chk = explode("<!--CUT-->", $this->displayCheckbox($bx[2],$bx[1],$bx[0],$hp_id,($click?0:-1)));
			switch($bx[0]) {
				case 'p':
					$pers_typ = abfrage("select personaltyp from tb_personaltyp where personaltyp_id='$bx[2]'");
					$tt = $pers_typ[0] . "<br>" . projektnummer($bx[1]);
					if(empty($chk[1])) {
						$pers_id = abfrage("select pers_id from tbh_pers_proj where proj_id='$bx[1]' and personaltyp_id='$bx[2]'");
						$tt .= "<br>verantw.: " . pers_kname($pers_id[0]);
					}
					break;
				case 't':
					$pers_typ = abfrage("select personaltyp from tb_personaltyp where personaltyp_id='$bx[2]'");
					$tt = $pers_typ[0] . "<br>" . team_nummer($bx[1]);
					if(empty($chk[1])) {
						$sql = "select pers_id from tb_team_art_pers where team_art_id='$bx[1]' and fokus='$bx[2]'";
						$pers_id = abfrage($sql);
						$tt .= "<br>verantw.: " . pers_kname($pers_id[0]);
					}
					break;
				case 'w':
					$pkw = abfrage("select name from tb_ressourcen where res_id='$bx[1]'");
					$tt = "PKW-Verantwortlicher<br>" . $pkw[0];
					if(empty($chk[1])) {
						$mas = abfrage1("select pers_id from tbh_pers_res where res_id = '$bx[1]' and ver=1");
						if(mysql_num_rows($mas) > 0) {
							$tt .= "<br>verantw.:";
							$komma = ' ';
							while($pers_id = mysql_fetch_row($mas)) {
								$tt .= $komma . pers_kname($pers_id[0]);
								$komma = ', ';
							}
						}
					}
					break;
				case 'm':
					$tt = "Personalverantwortlicher f&uuml;r Mitarbeiter " . pers_kname($bx[1]);
					if(empty($chk[1])) {
						$mas = abfrage1("select pers_id from tb_benutzerrechte where obj_id='114'");
						$num_rows = mysql_num_rows($mas);
						if($num_rows > 0) {
							$tt .= "<table cellspacing=\"0\" cellpadding=\"0\"><tr><td class=\"cl1\" style=\"color:black\" rowspan=\"$num_rows\">verantw.:</td>";
							$first = true;
							while($ma = mysql_fetch_row($mas)) {
								if($first) $first = false;
								else $tt .= "<tr>";
								$tt .= "<td style=\"color:";
								$tt .= pers_fehlzeit($ma[0]) ? "red" : "black";
								$tt .= "\">" . pers_kname($ma[0]) . "</td></tr>";
							}
							$tt .= "</table>";
						}
					}
					break;
				case 'r':
					$vm = abfrage( "select vp.id2, v.name, v.artikelnr from tbh_vormerk_print vp 
									left join tb_vormerkliste v using(vm_id)
									where vp.vm_id='$bx[1]'");
					$tt = "Rechnung fr Vormerkposten<br>R ".str_pad($vm[0], 4 ,'0', STR_PAD_LEFT)." $vm[1] ($vm[2])";
					break;
				default:
					$tt = 'Hauptbetreuer';
			}
			$tt .= "<br>$chk[1]";
			$style = '';
			if($bx[3] == 'v') $style = "background-color: #A0A000";
			elseif($bx[2] == 8) $style = "background-color: #B48200";
			elseif($bx[2] == 9) $style = "background-color: #FFCC00";
			elseif($bx[2] > 2) $style = "background-color: #A0A000";
			if($bxCnt > 2 && sizeof($boxen)>3) {
				$out .= "<tr>";
				$out .= "<td style=\"padding:3px;$style\">$chk[0]</td>";
				$out .= "<td>$tt</td>";
				$out .= "</tr>";
			} else {
				$board .= "<td " . stwToolTip($tt,false);
				$board .= "style=\"padding:3px;vertical-align:middle;$style\">$chk[0]</td>";
			}
			$done[$bx[0]][$bx[1]][$bx[2]] = true;
		}
		if($bxCnt > 2 && sizeof($boxen)>3) {
			$out .= "</table>";
			$board .= "<th" . stwToolTip($out,false) . ">...</th>";
		}
		$board .= "</tr></table>";
		return $board;
	}

	function displaysingleDashboard() {
		if(empty($this->hp_id)) return;
		$color = $this->table == "tb_post_eingang" ? "rgb(51,153,51)" : "#FF0000";
		$title = $this->table == "tb_post_eingang" ? "Posteingang" : "Postausgang";
		$link = $this->table == "tb_post_eingang" ? "post_in" : "post_out";
		return $this->displayDashboard($title,$link,$color,false,false,$this->hp_id);
	}

	function displayDashboard($title,$link,$color,$vertretung,$ausgeblendete=false,$hp_id=false) {
		if(!$vertretung && $hp_id==false) abfrage2("delete from tbh_pers_post_dashboard where pers_id='{$this->pers_id}' and tbl='".($this->table == "tb_post_eingang" ? 'i' : 'o')."'");
		$query = "SELECT DATE_FORMAT(t2.datum,'%d.%m.%Y') AS dt_datum,
							t1.betreff,
							t1." . $this -> column . ",
							t2.proj_id,
							t4.name as kname1,
							t4.name2 as kname2,
							t5.name as pname,
							t5.vorname,
							t1.kont_id,
							t1.ma_id,
							t1.kat_id,
							t1.skonto, 
							t1.postart_id,
							t6.farbe,
							t6.kurzname,
							DATE_FORMAT(t2.datum_n,'%d.%m.%Y') AS stichtag";
		if ($link == 'post_out') $query .= ', t1.brief_id ';

		/* Notizfeld hier holen um zu pruefen ob Hakenfeld gezeigt wird */
		$query .= ', t1.notizen ';

		/* PKW- oder Personal-bezogene Post? */
		$query .= ', t2.ap_id as pkw, t2.pers_id, t7.typ, t7.id2, t2.hp_id ';
		$query .= ", t2.hilfeverlauf as person_id ";

		$query .= ", (to_days(curdate()) - to_days(t2.datum)) as date_diff ";
		$query .= ", pa.kurzname as p_kname, pa.post_art ";
		
		$query .= 'FROM ' . $this -> table . " t1
						   LEFT JOIN tb_hp t2 ON t2.hp_id = t1.hp_id
						   LEFT JOIN tb_projekte t3 ON t3.proj_id = t2.proj_id
						   LEFT JOIN tb_kontakte t4 ON t4.kont_id = t1.kont_id and t4.kh_id=0
						   LEFT JOIN tb_kontakte_ap t5 ON t5.ap_id = t1.ap_id
						   LEFT JOIN tb_traeger_art t6 ON t6.traeger_art_id = t1.traegerart_id
						   LEFT JOIN tbh_postzuordnung t7 ON (t7.posttyp = 'h' AND t7.id = t2.hp_id) 
						   LEFT JOIN tb_post_art pa ON pa.post_art_id = t1.postart_id ";
		if($vertretung === true) $query .= "LEFT JOIN tbh_pers_post_vertr_warten t8 ON (t8.hp_id = t2.hp_id) ";
		if($hp_id==false) {
			$query .= "WHERE (t1.ok IS NULL or t1.ok = 0)";
			if($vertretung === true) {
				$query .= " AND t8.pers_id ";
				$query .= $ausgeblendete ? "> 0" : "IS NULL";
			}
			$query .= " AND t1.postart_id != 10 AND t1.postart_id != 4 
							   AND (t2.proj_id > 0 OR t2.ap_id > 0 OR t2.pers_id > 0 OR t7.typ in ('p','w','m','t','r','a'))
							   GROUP BY t1.hp_id ORDER BY t2.datum ASC";
		} else $query .= "WHERE t1.hp_id='$hp_id' GROUP BY t1.hp_id;";
		$res = abfrage1($query);
		$board = '';
		if (mysql_num_rows($res) > 0){
			while($row = mysql_fetch_array($res)) {
				if (isset($row['brief_id']) && !is_null($row['brief_id'])) continue;
				$boxen = $this->getMyCheckbox($row['hp_id'], $vertretung, true);
				if(empty($boxen)) continue;
				if(!$vertretung && $hp_id==false) abfrage2("insert into tbh_pers_post_dashboard set pers_id='{$this->pers_id}', hp_id='{$row['hp_id']}', tbl='".($this->table == "tb_post_eingang" ? 'i' : 'o')."'");
				if(!empty($row['pkw']) || $row['typ'] == 'w') $typ = 'pkw';
				elseif(!empty($row['pers_id']) || $row['typ'] == 'm') $typ = 'ma';
				elseif($row['typ'] == 't') $typ = 'team';
				elseif($row['typ'] == 'a') $typ = 'aufg';
				else {
					$typ = 'pro';
					$projid = $row['typ']=='p' ? $row['id2'] : $row['proj_id'];
				}
				$titel = "<b>$title</b>";
				if(strlen($row['notizen']) > 0) $titel .= "<br>".$row['notizen'];
				$board .= "<tr" . ($ausgeblendete ? " name=\"hidden_post\" style=\"display:none\"" : '') . ">";
				$board .= "<td class=\"cl1\">";
				$board .= "<a ";
				if($row['date_diff'] > 180) $board .= "name=\"blink\" ";
				$board .= "style=\"color:";
				$board .= ($row['skonto'] == 1) ? "#00FF00" : $color;
				$board .= ";\" href=\"{$_SESSION['webdir']}/" . $link;
				$board .= ".php?post_id=".$row[$this -> column];
				$board .= "\"";
				if($hp_id==false) $board .= stwToolTip($titel);
				$board .= ">".$row['dt_datum']."</a></td>";
				$daten_dlg = new stwDaten($link == 'post_out' ? "13" : "5");
				if($hp_id==false) $klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"], $this->pers_id, $this->level, $row[$this -> column], "0");
				else $klammer = $daten_dlg->get_klammer($_SESSION["webdir"], $row[$this -> column], "0", false);
				$board .= "<td>$klammer</td>";
				$board .= "<td style=\"color:".$row['farbe']."\">";
				$board .= $row['kurzname'] . "</td>";

				/* Hakenfeld zeigen fuer Post gelesen */
				if ($hp_id==false && empty($row['notizen']) && $row['postart_id']!=4 && $row['postart_id']!=10) {
					$board .= "<td style=\"padding:0px\">";
					$board .= $this -> displayBoxen($boxen,$row['hp_id']);
					$board .= "</td>";
				} else $board .= "<td></td>";
				$board .= "<td>";
				if($vertretung === true) {
					$plusminus = abfrage("select hp_id from tbh_pers_post_vertr_warten where hp_id='{$row['hp_id']}' and pers_id='$this->pers_id'");
					$board .= "<img id=\"plusminus_{$row['hp_id']}\" src=\"img/"; 
					$board .= ($plusminus[0]) ? 'plus' : 'minus';
					$board .= ".png\"";
					if($hp_id==false) $board .= stwToolTip($plusminus[0] ? 'Post wieder einblenden' : 'Post in meiner Ansicht ausblenden (f&uuml;r HB zur&uuml;ckstellen)');
					$board .= " onclick=\"xajax_pd_plusminus($this->pers_id,{$row['hp_id']})\" />";
				}
				$board .= "</td>";
				$board .= "<td style=\"text-align:right\"".stwToolTip($row['post_art']).">" . $row['p_kname'] . "</td>";

				/* Betreff von der Post zeigen - Titel alles - sonst Kurzform */
				$board .= "<td title=\"".$row['betreff']."\" ";
				$board .= "class=\"cl1\">".strCut($row['betreff'],27)."</td>";
				$postzuordnung = abfrage1("select typ, id2 from tbh_postzuordnung where posttyp='h' and id='{$row['hp_id']}';");
				if(mysql_num_rows($postzuordnung) > 1) {
					$tt = '';
					while($pzo = mysql_fetch_row($postzuordnung)) {
						if($pzo[0]=='m') {
							$tt .= "- " . pers_kname($pzo[1])."<br />";
						} elseif($pzo[0]=='w') {
							$pkw = abfrage("select name from tb_ressourcen where res_id='$pzo[1]'");
							$tt .= "- $pkw[0]<br />";
						} elseif($pzo[0]=='t') {
							$teamart = abfrage("select name from tb_team_art where team_art_id='$pzo[1]'");
							$tt .= "- $teamart[0]<br />";
						} elseif($pzo[0]=='a') {
							$aufgabe = abfrage("select nr, titel, erledigt from tb_aufgaben where aufgabe_id='$pzo[1]'");
							$tt .= "- $aufgabe[0] $aufgabe[1]";
							if($aufgabe[2]>0) $tt .= " ($aufgabe[2] %)";
							$tt .= "<br />";
						} else {
							$tt .= "- " . projektnummer($pzo[1])."<br />";
						}
					}
					$board .= "<td class=\"cl1\" ";
					if($hp_id==false) $board .= stwToolTip($tt);
					$board .= "><b>mehrere</b></td>";
				} elseif($typ == 'pkw') {
					$kfz = abfrage("select name from tb_ressourcen where res_id='{$row['pkw']}'");
					$board .= "<td class=\"cl1\"><a href=\"pkw_and.php?res_id=".$row['pkw']."\">".$kfz[0]."</a></td>";
				} elseif($typ == 'ma') {
					$pers_id = empty($row['pers_id']) ? $row['id2'] : $row['pers_id'];
					$board .= "<td class=\"cl1\"><a href=\"pers_and.php?pers_id=$pers_id\">".pers_kname($pers_id)."</a></td>";
				} elseif($typ == 'team') {
					$team = abfrage("select team_art_id, kurzname, name, farbe from tb_team_art where team_art_id='{$row['id2']}'");
					$board .= "<td class=\"cl1\"><a style=\"color:$team[3]\" href=\"team_art_and.php?team_art_id=$team[0]\"";
					if($hp_id==false) $board .= stwToolTip($team[2]);
					$board .= ">$team[1]</a></td>";
				} elseif($typ == 'aufg') {
					$sql = "select a.nr, a.titel, a.erledigt, p.farbe from tb_aufgaben a
							left join tb_prio p using (prio)
							where a.aufgabe_id='{$row['id2']}'";
					$aufgabe = abfrage($sql);
					$tt = $aufgabe[1];
					if($aufgabe[2]>0) $tt .= " ($aufgabe[2] %)";
					$board .= "<td class=\"cl1\"><a style=\"color:$aufgabe[3]\" href=\"auf_and.php?aufgabe_id={$row['id2']}\"";
					if($hp_id==false) $board .= stwToolTip($tt);
					$board .= ">$aufgabe[0]</a></td>";
				} else {
					$board .= "<td class=\"cl1\"><a href=\"pro_daten.php?proj_id=$projid\"";
					if($hp_id==false) $board .= stwToolTip(projektnummer($projid,true,true),false);
					$board .= ">".projektnummer($projid)."</td>";
				}

				$konta  = $row['kname1'].", ".$row['kname2'];

				$board .= "<td title=\"".$konta."\" ";
				$board .= "class=\"cl1\">".strCut($konta,37)."</td>";

				/* kont_id Spalte leer und ma_id gefuellt */
				if(!empty($row['person_id'])) {
					$board .= "<td class=\"cl1\">" . person_name($row['person_id']) . "</td>";
				} elseif (!(empty($row[8]) && !empty($row[9]))) {
					$board .= "<td class=\"cl1\">".$row['vorname']." ";
					$board .= $row['pname']."</td>";
				} else {
					/*
					* der kont_id Spalte war leer fuer diese Zeile
					* deshalb Mitarbeiter abfragen
					*/
					$sql = "SELECT vorname, name FROM tb_personal WHERE pers_id='$row[9]'";
					$res2 = abfrage1($sql);

					if ($res2 && mysql_num_rows($res2) == 1) {
						$zeile  = mysql_fetch_row($res2);
						$board .= "<td style=\"padding-right: 10px;\">";
						$board .= $zeile[0]." ".$zeile[1]."</td>";
					}
				}
				if(!empty($row['stichtag']) && $row['stichtag'] != '00.00.0000') {
					$board .= "<th class=\"cl1\"";
					if($hp_id==false) $board .= stwToolTip("Stichtag");
					$board .= "style=\"color:white\">".$row['stichtag']."</th>";
				}
				$board .= "</tr>\n";
			}
		}
		return $board;
	}
}


function search_index_of_key( $array, $key, $value, $not_key = NULL, $not_value = NULL )
{
     foreach ( $array as $k=>$v )
     {
     	if (empty($not_key)){
     		if( $v[$key] == $value )    return $k;
     	} else {
     		if( $v[$key] == $value && $v[$not_key] != $not_value)    return $k;
     	}
     }
     return -1;

}

function find_key_in_array($array, $value){
	foreach ($array as $k => $v){
		if ($v == $value){
			return $k;
		}
	}
}

/*
 * Abrechnung Fahrzeiten:
 * 1 - nicht in Abrechnung, jedoch voll in Arbeitszeitkonto
 * 2 - max. 15 % von FLS in Abrechnung und Arbeitszeitkonto
 * 3 - voll in Abrechnung und Arbeitszeitkonto
 * 4 - nicht in Abrechnung, jedoch 2/3 davon in Arbeitszeitkonto
 */
function getFlsFz($dat, $proj_id=0) {
	$fls_fz = abfrage("select fls_fz from tb_konf_fls_fz where datum<='$dat' order by datum desc");
	if($fls_fz[0]) $flsfz = $fls_fz[0];
	else $flsfz = getConf('fls_fz');
	if(empty($proj_id)) return $flsfz;
	$fls_fz = abfrage( "select k.fls_fz from tb_projekte p
						left join tb_kontakte_ap a using(ap_id)
						left join tb_kontakte k on (a.kont_id = k.kont_id and k.kh_id='0')
						where p.proj_id='$proj_id'" );
	return empty($fls_fz[0]) ? $flsfz : $fls_fz[0];
}

function getConf($var){
	$wert = abfrage("select wert from tb_konf where name = '$var';");
	return $wert[0];
}

function getSkin($name){
	$wert = abfrage("select farbe from tb_skin where name = '$name';");
	return $wert[0];
}

function calc_vml_state($vm_id) {
	$vml = abfrage_array("select proj_id, empf_pers_id, name, artikelnr, kont_id from tb_vormerkliste where vm_id='$vm_id'");
	$status = VORM;
	if(!empty($vml['empf_pers_id'])) $status += DA;
	$oks = abfrage1("select pers_id from tbh_pers_vormerk where abteilungsleiter='j' and vm_id='$vm_id'");
	if(mysql_num_rows($oks) % 2 == 1) $status += OK;
	if($vml['proj_id'] > 0) {
		$status += PROJECTED;
		$vmlProj = new stwProjekt($vml['proj_id']);
		$payed = ($vmlProj->ende_ts() > 0);
		if($payed) $status += PAYED;
		$delivered = ($vmlProj->kzu_ende_ts() > 0);
		if($delivered) $status += DELIVERED;
		$ordered = ($vmlProj->kzu_ts() > 0);
		if($ordered) $status += ORDERED;
		if($payed && !empty($vml['empf_pers_id'])) $status += PASSIV;
	} else {
		$barkaufs = abfrage1("select pers_id from tbh_pers_vormerk where abteilungsleiter in ('b','k','r') and vm_id='$vm_id'");
		$lfskaufs = abfrage1("select pers_id from tbh_pers_vormerk where abteilungsleiter='l' and vm_id='$vm_id'");
		if(mysql_num_rows($barkaufs)>0) {
			$status += PROJECTED;
			$status += DELIVERED;
			$bezahlt = abfrage1("select pers_id from tbh_pers_vormerk where abteilungsleiter='z' and vm_id='$vm_id'");
			if(mysql_num_rows($bezahlt)>0) {
				$status += PAYED;
				if(!empty($vml['empf_pers_id'])) $status += PASSIV;
			} 
		} elseif(mysql_num_rows($lfskaufs)>0) {
			$status += PAYED;
			$status += OPENLS;
		}
	}
	abfrage2("update tb_vormerkliste set status='$status' where vm_id='$vm_id'");
	return $status;
}

function Image($bitmap,$x=16,$y=16,$r=false,$g=false,$b=false){
	if($r === false) $r = 255;
	if($g === false) $g = 204;
	if($b === false) $b = 0;
	if(strlen($bitmap) <= 30) {
		$bitmap_data = abfrage("select wert from tb_images where name = '$bitmap';");
		if(empty($bitmap_data[0])) $bitmap_data[0] = $bitmap;
	} else $bitmap_data[0] = $bitmap;
	$dots = '';
	$letzter = strripos($_SERVER['PHP_SELF'], '/');
	$substr = substr($_SERVER['PHP_SELF'], 0, $letzter);
	$letzter = strripos($substr, '/');
	/* im konf-Verzeichnis? */
	if(substr($substr, $letzter) == '/konf') $dots = '../';
	else {
		$substr = substr($substr, 0, $letzter);
		$letzter = strripos($substr, '/');
		/* in einem Mandanten-Verzeichnis? */
		if(substr($substr, $letzter) == '/mandant') $dots = '../../';
	}
	return $dots . "image.php?$x,$y,$r,$g,$b,$bitmap_data[0]";
}

function seiteKonfSichtbar($var){
	$wert = abfrage("select sichtbar from tb_seite_konf where bezeichnung = '$var';");
	return $wert[0]=='j';
}

/* liefert Wert aus uebergebenem Tabellen-Feld der tb_pers_einst
 * oder neu: numerische Hinterlegung... bitte hier dokumentieren:
 * 0-12: pra_id pro voreingestellte Abteilung
 *   13: voreingestellte ressort_id in post_ressort.php
 *   14: voreingestellte res_id in kal_pkw.php
 *   15: Sortierung im PostRessort
 *   16: voreingestellte Sortierung in post_ressort.php
 *17-29: pra_id+17 pro voreingestellte Hilfeart
 *   30: voreingestellte Abteilung Gruppierung Hilfen zur Erziehung (aHzE+STG)
 *   32: Sachbericht: Vorauswahl Kategorie
 *33-34: Abteilung: Vorauswahl Personal/Abteilung
 *   47: voreingestellte Hilfeart Gruppierung Hilfen zur Erziehung (aHzE+STG) (30+17)
 *50-53: Voreinstellungen reflexion
 *   55: Sortierung Bibo
 *   56: Checkbox Abteilungsleiter im Tooltip
 */
function getPersEinst($pers_id, $var, $alternativWert = NULL) {
	if(is_numeric($var)) $wert = abfrage("select wert from tb_pers_einst_neu where pers_id='$pers_id' and pers_einst_id='$var';");
	else $wert = abfrage("select $var from tb_pers_einst where pers_id = '$pers_id';");
	if($wert[0] === NULL) return $alternativWert;
	return $wert[0];
}

/* wird 'Projektgruppe' unter 'Projekte' angezeigt? */
function projektgruppe() {
	$pg = abfrage("select aktiv from tb_web_seite where seite='69'");
	return ($pg[0]=='j');
}

/* liefert Stundensatz in Abhaengigkeit vom Datum */
function getStundensatz($datum) {
	$wert = abfrage("select max(stsatz) from tb_konf_stundensatz where datum < '$datum';");
	return $wert[0];
}

/* 
 * liefert Kosten eines PKW in Abhaengigkeit vom Zeitraum
 * typ: v = Versicherungspraemie
 *      k = Kfz-Steuer
 *      r = monatliche Rate
 */
function pkwKosten($res_id, $von, $bis, $typ) {
	if (strpos($von, "-") > 0) $ts1 = date_my2ts($von);
	elseif (strpos($von, ".") > 0) $ts1 = date_gr2ts($von);
	elseif(is_numeric($von)) $ts1 = $von;
	else return false;
	if (strpos($bis, "-") > 0) $ts2 = date_my2ts($bis);
	elseif (strpos($bis, ".") > 0) $ts2 = date_gr2ts($bis);
	elseif(is_numeric($bis)) $ts2 = $bis;
	else return false;
	if($ts1 > $ts2) return false;
	$data = array();
	$datum = array();
	$dat = $typ=='v' ? 'dat2' : ($typ=='k' ? 'dat3' : 'dat4');
	$ursp = abfrage("select $dat from tb_ressourcen where res_id='$res_id'");
	$datum[] = 0;
	$data[] = $ursp[0];
	$dats=abfrage1("select dat, unix_timestamp(datum) 
					from tbh_pkw_historie 
					where typ='$typ' and res_id='$res_id' 
					and unix_timestamp(datum) <= $ts2
					order by datum asc");
	while($dat = mysql_fetch_row($dats)) {
		$data[] = $dat[0];
		$datum[] = $dat[1];
	}
	$i = $pkwKosten = 0;
	$ts = $ts1;
	while ($ts <= $ts2) {
		while(!empty($datum[ $i + 1 ]) && ($datum[ $i + 1 ] < $ts)) $i++;
		$dreihunderfuenfundsechzig = $typ=='r' ? date('t',$ts) : (365 + date('L',$ts));
		$pkwKosten += $data[$i] / $dreihunderfuenfundsechzig;
		$ts = mktime(0,0,0,date('n',$ts),date('j', $ts) + 1, date('Y', $ts));
	}
	return $pkwKosten;
}

function zk_codes_ueberschneidung_sql() {
	// zu beruecksichtigende Zeitkartencodes abfragen
	$cds1 = abfrage1("select code from tb_ab_code where over = 1 order by code asc;");
	if (mysql_num_rows($cds1) > 0) {
		while ($cd = mysql_fetch_row($cds1)){
			$codes[] = $cd[0];
		}
	} else {
		$cds2 = abfrage1("select code from tb_ab_code order by code asc;");
		while ($cd = mysql_fetch_row($cds2)){
			$codes[] = $cd[0];
		}

	}

	// mindestens 1 Code zur Ueberschneidung erlaubt: diese Codes einschliessen!
	$sql = '';
	if (mysql_num_rows($cds1) > 0) {
		$a = 1;
		$b = count($codes);
		foreach ($codes as $code) {
			$sql .= ($a == 1) ? " and (z.code='S' or ": ' or ';
			$sql .= "z.code = '$code' ";
			$sql .= ($a == $b) ? ')': '';
			$a++;
		}

	// keine Code zur Ueberschneidung erlaubt: alle Codes ausschliessen!
	} else {
		foreach ($codes as $code){
			$sql .= " and z.code != '$code' ";
		}
	}
	return $sql;
}



function zk_finde_ueberschneidungen($ma, $von, $bis, $count = 0){

	// relevante Zeitkarten ermitteln
	$sql = "select
			unix_timestamp(t.von),
			unix_timestamp(t.bis)
			from tb_ab_zk z
			left join tb_termine t on z.termin_id = t.termin_id
			where z.pers_id = '$ma'
			and z.ab = 'j'
			and unix_timestamp(t.von) < '$bis'
			and unix_timestamp(t.bis) > '$von' ";

	$sql .= zk_codes_ueberschneidung_sql();
	$sql .= ' order by t.von asc;';

	$zks = abfrage1($sql);
	$num = mysql_num_rows($zks);

	$min = $von;
	$max = $bis;

	if ($num == $count){
		return array('von' => $min, 'bis' => $max);
	} else {
		while ($zk = mysql_fetch_row($zks)) {
			$min = ($zk[0] < $min) ? $zk[0] : $min;
			$max = ($zk[1] > $max) ? $zk[1] : $max;
		}
		return zk_finde_ueberschneidungen($ma, $min, $max, $num);
	}
}

function zk_aendere_ueberschneidungen($ma, $von, $bis){

	$ueberschneidungen = zk_finde_ueberschneidungen($ma, $von, $bis);
	$von1 = $ueberschneidungen['von'];
	$bis1 = $ueberschneidungen['bis'];

	// relevante Zeitkarten ermitteln
	$sql = "select z.zk_id,
			z.proj_id,
			unix_timestamp(t.von) as von,
			unix_timestamp(t.bis) as bis,
			date_format(t.von, '%d.%m.%Y %H:%i') as von1,
			date_format(t.bis, '%d.%m.%Y %H:%i') as bis1,
			code,
			time_to_sec(z.fls),
			unix_timestamp(t.bis) - unix_timestamp(t.von)
			  - time_to_sec(z.fls) - time_to_sec(z.vun)
			from tb_ab_zk z
			left join tb_termine t on z.termin_id = t.termin_id
			where z.pers_id = '$ma'
			and z.ab = 'j'
			and unix_timestamp(t.von) < '$bis1'
			and unix_timestamp(t.bis) > '$von1' ";

	$sql .= zk_codes_ueberschneidung_sql();

	$sql .= ' order by t.von asc;';

	$zks = abfrage1($sql);

	if (mysql_num_rows($zks) > 0){
		// wenn mehr als 1 Zeitkarte im Zeitraum:
		// Array over aufbauen: enthaelt alle beteiligten zeitkarten
		while ($zk = mysql_fetch_row($zks)){
			$over[$zk[0]]['zk_id'] = $zk[0];
			$over[$zk[0]]['von'] = $min = $zk[2];
			$over[$zk[0]]['bis'] = $max = $zk[3];
			$over[$zk[0]]['fls'] = $zk[7];
			$over[$zk[0]]['fz'] = $zk[8];
			$over[$zk[0]]['fls2'] = 0;
			$over[$zk[0]]['fz2'] = 0;
		}

		// kleinste Start- und groesste Endzeit als Grenzen der while-Schleife
		foreach ($over as $kt){
			$min = ($kt['von'] < $min) ? $kt['von'] : $min;
			$max = ($kt['bis'] > $max) ? $kt['bis'] : $max;
		}

		// Variable fls_genau als Schrittweite fuer die while-Schleife
		$conf_fls_genau = getConf('fls_genau');

		while ($min <= $max){

			$count = 0;

			foreach ($over as $kt){
				$count = ($min >= $kt['von'] && $min < $kt['bis']) ? $count + 1 : $count;
			}

			foreach ($over as $key => $val){
				if ($min >= $over[$key]['von'] && $min < $over[$key]['bis']){
					$over[$key]['fls2'] = $over[$key]['fls2'] + ($conf_fls_genau / $count);
				}
			}

			$min += $conf_fls_genau;
		}

		foreach ($over as $key => $val){
			// FLS + FZ im Verhaeltnis der urspruenglichen FLS und FZ anpassen
			if ($over[$key]['fz'] > 0){
				$over[$key]['fz2'] = $over[$key]['fz'] / ($over[$key]['bis'] - $over[$key]['von']) * $over[$key]['fls2'];
				$over[$key]['fls2'] = $over[$key]['fls2'] - $over[$key]['fz2'];
			}

      /* vor dem aendern die notwendigen Infos zu holen */
      $sql  = "SELECT t1.proj_id, t2.von FROM tb_ab_zk t1 ";
      $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";

      $sql .= "WHERE t1.zk_id='".$over[$key]['zk_id']."';";
      $daten = abfrage($sql);

			// enthaltene Zeitkarten anpassen!
			$sql = "update tb_ab_zk set fls2 = sec_to_time({$over[$key]['fls2']}),
										fz2 =  sec_to_time({$over[$key]['fz2']})
										where zk_id = '{$over[$key]['zk_id']}';";
			abfrage2($sql);

      /* ZK Aenderung - Cachetabelle updaten */
      azk_update_cache($daten[0], $daten[1]);
		}
	} else {
		// wenn nur 1 Zeitkarte: fls2 und fz2 auf NULL setzen!
		$sql = "select z.zk_id from tb_ab_zk z
				left join tb_termine t using (termin_id)
				where z.pers_id = '$ma'
				and z.ab = 'j'
				and unix_timestamp(t.von) = '$von'
				and unix_timestamp(t.bis) = '$bis';";
		$zkc = abfrage($sql);

//		zeige_variable($zkc[0]);

    /* vor dem aendern die notwendigen Infos zu holen */
    $sql  = "SELECT t1.proj_id, t2.von FROM tb_ab_zk t1 ";
    $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";

    $sql .= "WHERE t1.zk_id='".$zkc[0]."';";
    $daten = abfrage($sql);

		abfrage2("update tb_ab_zk set
				fls2 = NULL,
				fz2 =  NULL
				where zk_id = '$zkc[0]';");

     /* ZK Aenderung - Cachetabelle updaten */
     azk_update_cache($daten[0], $daten[1]);
	}
}

function zk_ueber($code){
	if($code == 'S') return true;
	$res = abfrage("select over from tb_ab_code where code = '$code';");
	return ($res[0] == 1) ? true : false;
}

function db_switch($db = 1){
	global $conf_srv;
	global $conf_dbn;
	global $conf_dbu;
	global $conf_dbp;

	$srv = ($db == 1) ? $conf_srv : getConf('boll_srv');
	$dbn = ($db == 1) ? $conf_dbn : getConf('boll_dbn');
	$dbu = ($db == 1) ? $conf_dbu : getConf('boll_dbu');
	$dbp = ($db == 1) ? $conf_dbp : getconf('boll_dbp');

	$dblink = mysql_connect($srv, $dbu, $dbp) or die(mysql_error());
	mysql_select_db($dbn) or die(mysql_error());
}

function WordWrapIgnoreLineBreak($text, $lineBrakeNachWievielZeichen, $lineBreaker = '<br />') {
	$pos = 0;
	$txt = '';
	while ($pos !== false) {
		$pos = strpos($text, '<', $pos);
		if(substr($text,$pos,3) == '<li' || substr($text,$pos,4) == '</li'
		 || substr($text,$pos,3) == '<ul' || substr($text,$pos,4) == '</ul'
		 || substr($text,$pos,4) == '<div' || substr($text,$pos,5) == '</div'
		 || substr($text,$pos,2) == '<p' || substr($text,$pos,3) == '</p'
		 || substr($text,$pos,3) == '<br') {
			$str = substr($text, 0, $pos);
			$txt .= wordwrap($str, $lineBrakeNachWievielZeichen, $lineBreaker);
			$text = substr($text, $pos);
			$pos = strpos($text, '>', 0);
			$txt .= substr($text, 0, $pos+1);
			$text = substr($text, $pos+1);
			$pos = 0;
		} elseif($pos !== false) {
			$pos = strpos($text, '>', $pos);
			if($pos !== false) $pos++;
		}
	}
	$txt .= wordwrap($text, $lineBrakeNachWievielZeichen, $lineBreaker);
	return $txt;
}

function stwToolTip($text, $doLineBreak=true, $lineBrakeNachWievielZeichen = 70){
	/* Funktion stwToolTip
	   fuegt den uebergebenen Text als onmouseover-Attribut in HTML-Tags ein
	*/

	$text = str_replace("'", "\'", $text);
	$text = nl2br($text);
	$text = str_replace("\r", '', $text);
	$text = str_replace("\n", '', $text);
	if($doLineBreak) $text = WordWrapIgnoreLineBreak($text,$lineBrakeNachWievielZeichen);
	$text = htmlentities($text,ENT_COMPAT|ENT_SUBSTITUTE,'ISO-8859-1');
	$return  = " onmouseover=\"Tip('$text', BGCOLOR, '#FFFFFF', ";
	$return .= "BORDERCOLOR, '#999999', FONTCOLOR, '#000000', ";
	$return .= "FONTSIZE, '12px', BORDERWIDTH, '2')\" onmouseout=\"UnTip()\"";

	return $return;
}

function stwToolTipFixed($text, $title='') {
	$text = str_replace("'", "\'", $text);
	$text = nl2br($text);
	$text = str_replace("\r\n", '', $text);
	$text = htmlentities($text,ENT_COMPAT|ENT_SUBSTITUTE,'ISO-8859-1');

	$return  = " onmouseover=\"Tip('$text', BGCOLOR, '#333333', ";
	$return .= "BORDERCOLOR, '#FFCC00', FONTCOLOR, '#CCCCCC', ";
	$return .= "TITLE, '$title', TITLEBGCOLOR, '#FFFFFF', ";
	$return .= "TITLEFONTCOLOR, '#000000', CLOSEBTN, 1, TITLEFONTSIZE, '12px', ";
	$return .= "CLOSEBTNCOLORS, ['#000000','#FFCC00','#666666','#FFCC00'], ";
	$return .= "FOLLOWMOUSE, 0, OFFSETX, 3, LEFT, 1, STICKY, 1, ";
	$return .= "TITLEALIGN, 'center', TITLEFONTSIZE, '10px', ";
	$return .= "FONTSIZE, '12px')\" ";

	return $return;
}


function stwToolTipTag($id){
	return " onmouseover=\"TagToTip('$id')\"";
}


function stwFahrtenSphere($value) {
	if(empty($value)) $value = 'isf';
	echo "<script language=\"Javascript\">\n";
	echo " var initDone = false;\n";
	echo " function chgFahrtenSphere(typ){\n";
	echo "  initDone = true;\n";
	echo "  var val;\n";
	echo "  var sphere = document.getElementById('stwFahrtenSphere');\n";
	echo "  var hidden = document.getElementById('hiddenFahrtenSphere');\n";
	echo "  if(typ == 0) val = document.getElementById('hiddenFahrtenSphere').value;\n";
	echo "  else if(typ == 1) val = 'bzb';\n";
	echo "  else val = 'wgb';\n";
	echo "  if(val=='isf') {\n";
	echo "   hidden.value = 'bzb';\n";
	echo "   sphere.value = 'bzb';\n";
	echo "   sphere.style.color = '#FFAA00';\n";
	echo "  } else if(val=='bzb') {\n";
	echo "   hidden.value = 'wgb';\n";
	echo "   sphere.value = 'wgb';\n";
	echo "   sphere.style.color = 'red';\n";
	echo "  } else if(val=='wgb') {\n";
	echo "   hidden.value = 'isf';\n";
	echo "   sphere.value = 'isf';\n";
	echo "   sphere.style.color = 'green';\n";
	echo "  }\n }\n </script>\n";
	$color = $value=='isf' ? 'green' : ($value=='bzb' ? '#FFAA00' : 'red');
	$return = "<input type=\"hidden\" value=\"$value\" name=\"sphere\" id=\"hiddenFahrtenSphere\" />\n";
	$return .= "<input type=\"button\" readonly value=\"$value\" ";
	$return .= "onclick=\"if(initDone || confirm('Soll die Zuordnung der SteuerSph&auml;re wirklich ge&auml;ndert werden?') == true) {chgFahrtenSphere(0);}\" ";
	$return .= stwToolTip("<b>SteuerSph&auml;renZuordnung &auml;ndern</b><br />isf - ideell / steuerfrei<br />bzb - beg&uuml;nstigter Zweckbetrieb<br />wgb - wirtschaftlicher Gesch&auml;ftsbetrieb");
	$return .= "id=\"stwFahrtenSphere\" style=\"color:$color;width:30px;text-align:center;cursor:pointer\" />";
	return $return;
}

 /*
  * verteilt Spesen in Gruppenarbeiten auf Teilnehmer
  */
 function update_ga_spesen($ga_id, $pers_id = 0, $wert = 0, $edit = 0) {
	if(empty($ga_id)) return 0;
	$sum = abfrage("select sum(a.spesen_betr) from tbh_ga_spesen g left join tb_ab_zk a using(zk_id) where g.ga_id='$ga_id'");
	$spesen = abfrage("select spesen, termin_id, thema, eb from tb_ga where ga_id = '$ga_id'");
	if(empty($sum[0])) $sum[0] = 0; // Nur fuer den Fall von NULL
	$dat = abfrage("select date_format(von, '%Y-%m-%d') from tb_termine where termin_id='$spesen[1]'");
	if($pers_id > 0) {
		$zk = abfrage( "select zk_id, spesen_betr, termin_id from tbh_ga_spesen g left join tb_ab_zk a using(zk_id)
				where g.ga_id='$ga_id' and a.pers_id='$pers_id'");
		if($edit == 1) {
			abfrage2("update tb_ab_zk set spesen_betr='$wert' where zk_id='$zk[0]'");
			$sum[0] = $sum[0] - $zk[1] + $wert;
		} elseif($wert > 0) {
			if(empty($zk[0])) {
				abfrage2("insert into tb_termine set von = '$dat[0] 00:00:00', bis = '$dat[0] 00:00:00'");
				$termin_id = mysql_insert_id();
				$sql = "insert into tb_ab_zk set proj_id = '0', ab='j', 
						pers_id = '$pers_id', 
						spesen_betr = '$wert', spesen_text = '$spesen[2]', 
						spesen_eig = 0, inhalte = 'Spesen (GA): $spesen[2]', 
						code = '$', termin_id = '$termin_id';";
				abfrage2($sql);
				$zk_id = mysql_insert_id();
				abfrage2("insert into tbh_ga_spesen set zk_id = '$zk_id', ga_id = '$ga_id'");
			} else {
				abfrage2("update tb_termine set von = '$dat[0] 00:00:00', bis = '$dat[0] 00:00:00' where termin_id='$zk[2]'");
				$sql = "update tb_ab_zk set spesen_betr = '$wert', 
						spesen_text = '$spesen[2]', inhalte = 'Spesen (GA): $spesen[2]'
						where zk_id = '$zk[0]'";
				abfrage2($sql);
			}
			$sum[0] += $wert;
		}
	} elseif(!empty($sum[0]) && $sum[0]!='0.00') {
		$zks = abfrage1("select g.zk_id, z.termin_id from tbh_ga_spesen g left join tb_ab_zk z using (zk_id) where g.ga_id='$ga_id'");
		while($zk = mysql_fetch_row($zks)) {
			abfrage2("update tb_ab_zk set spesen_text = '$spesen[2]', inhalte = 'Spesen (GA): $spesen[2]' where zk_id = '$zk[0]'");
			abfrage2("update tb_termine set von = '$dat[0] 00:00:00', bis = '$dat[0] 00:00:00' where termin_id='$zk[1]'");
		}
	}
	if(empty($sum[0]) || $sum[0]=='0.00') {
		/* falls keine Spesen eingetragen ev. vorhandene ZKs loeschen */
		$zks = abfrage1("select zk_id from tbh_ga_spesen where ga_id='$ga_id'");
		while($zk = mysql_fetch_row($zks)) {
			$termin = abfrage("select termin_id from tb_ab_zk where zk_id = '$zk[0]'");
			abfrage2("delete from tb_termine where termin_id = '$termin[0]'");
			abfrage2("delete from tb_ab_zk where zk_id = '$zk[0]'");
		}
		abfrage2("delete from tbh_ga_spesen where ga_id='$ga_id'");
	} else {
		/* Spesen pro Projekt = eingegebene Spesen / TnAnzahl */
		$zeitkarten = array();
		$zks = abfrage1("select g.zk_id, z.proj_id from tbh_ga_spesen g
						left join tb_ab_zk z using (zk_id)
						where g.ga_id = '$ga_id' and z.pers_id = '0'");
		while($zk = mysql_fetch_row($zks)) {
			/* ... bereits vorhandene ZKs ...*/
			$zeitkarten[$zk[1]] = $zk[0];
		}
		$p_anz = abfrage("select count(person_id) from tbh_ga_pp where ga_id = '$ga_id'");
		if($p_anz[0] > 0) {
			/* Personen in der GA (nur perstyp 1 oder 0 (wg. versch. Funktionen)) */
			$proPerson = round($sum[0] / $p_anz[0], 2) - $spesen[3];
			if($proPerson > 0) {
				$pers=abfrage1("select p.proj_id, count(p.person_id) from tbh_ga_pp g
								left join tbh_proj_personen p on(p.person_id = g.person_id and perstyp_id < 2)
								where g.ga_id = '$ga_id' group by p.proj_id");
				while($per = mysql_fetch_row($pers)) {
					$betr = $proPerson * $per[1];
					if(empty($zeitkarten[$per[0]])) {
						abfrage2("insert into tb_termine set von = '$dat[0] 00:00:00', bis = '$dat[0] 00:00:00'");
						$termin_id = mysql_insert_id();
						$sql = "insert into tb_ab_zk set proj_id = '$per[0]', ab='j', 
								pers_id = '0', 
								spesen_betr = '$betr', spesen_text = '$spesen[2]', 
								spesen_eig = 0, inhalte = 'Spesen (GA): $spesen[2]', 
								code = '$', termin_id = '$termin_id';";
						abfrage2($sql);
						$zk_id = mysql_insert_id();
						abfrage2("insert into tbh_ga_spesen set zk_id = '$zk_id', ga_id = '$ga_id'");
					} else {
						$zk = abfrage("select termin_id from tb_ab_zk where zk_id='".$zeitkarten[$per[0]]."'");
						abfrage2("update tb_termine set von = '$dat[0] 00:00:00', bis = '$dat[0] 00:00:00' where termin_id='$zk[0]'");
						$sql = "update tb_ab_zk set spesen_betr = '$betr', 
								spesen_text = '$spesen[2]', inhalte = 'Spesen (GA): $spesen[2]'
								where zk_id = '".$zeitkarten[$per[0]]."'";
						abfrage2($sql);
						unset($zeitkarten[$per[0]]);
					}
				}
			}
		}
		foreach($zeitkarten as $zk) {
			$termin = abfrage("select termin_id from tb_ab_zk where zk_id = '$zk'");
			abfrage2("delete from tb_termine where termin_id = '$termin[0]'");
			abfrage2("delete from tb_ab_zk where zk_id = '$zk'");
			abfrage2("delete from tbh_ga_spesen where zk_id = '$zk'");		
		}
	}
	return $sum[0];
 }

 /*
  * ist GA noch loeschbar?
  * Rueckgabe: false, falls Spesen ZKs abgerechnet
  */
 function ga_loeschbar($ga_id) {
	$zks = abfrage1("select z.zk_id from tbh_ga_spesen g
					left join tb_ab_zk z using(zk_id)
					where g.ga_id='$ga_id' and z.ab_monat is not null");
	return(mysql_num_rows($zks) == 0);
 }

 /*
 *  Hat User das Recht neues Projekt aus Vormerkliste zu erstellen?
 *  abt_id - die zu ueberpruefende Abteilung (bei 0 -> hat er ueberhaupt das Recht)
 */
 function check_proj_neu_recht($abt_id) {
	global $AppCode;
	if(check_nutzer_rechte(117)) return true;
	$sql = "select pers_id from tb_personal_abt_vml 
			where pers_id='{$_SESSION[$AppCode]['UID']}'";
	if($abt_id>=0) $sql .= " and abt_id='$abt_id';";
	$right = abfrage1($sql);
	if(mysql_num_rows($right) > 0) return true;
	$res = abfrage1("select pers_id from tbh_kassenwart where pers_id='{$_SESSION[$AppCode]["UID"]}'");
	if(mysql_num_rows($res) > 0) return true;
	return false;
 }

 /*
  * Prueft ob Projekt ein personenbezogenes Projekt ist (HzE)
  * Rueckgabe: wenn Person berichtigt -> true sonst -> false
  */
 function personenprojekt($proj_id) {
	 $pro = abfrage("select projektnr, hilfeart_id from tb_projekte where proj_id='$proj_id'");
	 if($pro[0] > 1900000) $pro[0] = substr($pro[0],4);
	 if($pro[0] > 1999) return false;
	 $verw = abfrage("select verw from tb_hilfeart where hilfeart_id='$pro[1]'");
	 if($verw[0] == 'j') return false;
	 return true;
 }

 /*
  * Prueft ob angemeldeter Nutzer Zugangsberechtigung fuer Projekt hat
  * Rueckgabe: wenn Person berichtigt -> true sonst -> false
  */
 function check_projekt_berechtigung($proj_id) {
	global $AppCode;
	if (!isset($_SESSION[$AppCode]["UID"])) return false;
	$uid = $_SESSION[$AppCode]["UID"];

	if(empty($proj_id)) return check_proj_neu_recht(-1);

	$fb = abfrage("select fb_id from tb_projekte where proj_id='$proj_id'");
	if($fb[0] == $uid) return true;

	/* Fachberater oder Sonderrecht: alle Projekte */
	if(!check_nutzer_rechte(75)) {
		$sql  = "select pers_id from tbh_pers_proj where proj_id = '$proj_id' and pers_id = '$uid';";
		$res = abfrage1($sql);
		/* MA in Projekt involviert? */
		if(mysql_num_rows($res) == 0) {
			$KWG = false;
			/* Gruppe Kindeswohlgefaehrdung darf in aktive HzE-Faelle */
			if(check_nutzer_rechte(18)) {
				$pr = abfrage("SELECT projektnr, unix_timestamp(ende), TO_DAYS(ende)+56, TO_DAYS(CURDATE()) FROM tb_projekte WHERE proj_id='$proj_id'");
				if($pr[0] < 2000 && (empty($pr[1]) || $pr[2] >= $pr[3])) $KWG = true;
			}
			if($KWG == false) {
				/* Abteilungsleiter */
				if(!check_al_proj($proj_id)) {
					/* Bereitschaft */
					if(!check_bereitschaftsrecht()) {
						return false;
					} else {
						$pr = abfrage("SELECT projektnr, unix_timestamp(ende), TO_DAYS(ende)+14, TO_DAYS(CURDATE()) FROM tb_projekte WHERE proj_id='$proj_id'");
						if($pr[0] > 2000 || (!empty($pr[1]) && $pr[2] < $pr[3])) return false;
					}
				}
			}
		}
	}
	return true;
 }
 
 /* 
  * Prueft, ob aktueller Benutzer ber die Bereitschaft mehr Rechte bekommen muss
  * Rueckgabe: wenn Person berichtigt -> true sonst -> false
  */
function check_bereitschaftsrecht() {
	global $AppCode;
	if (!isset($_SESSION[$AppCode]["UID"])) return false;
	
	$uid = $_SESSION[$AppCode]["UID"];

	// Todo: Falls keine Unterscheidung der Bereitschaften
	//       fr die Rechte notwendig ist, die php-Abfragen
	//       gegen num-rows > 0 tauschen und Spalten aus
	//       mysql-Abfrage entfernen
	
	// erst Tagesbereitschaften (Heute oder Gestern) pruefen
	$mydath = date('Y-m-d');
	$sql  = "select pers_id_d, pers_id_dh, pers_id_f1, pers_id_f2 from tb_bereit ";
	$sql .= "where (pers_id_d = '$uid' or pers_id_dh = '$uid' or pers_id_f1 = '$uid' or pers_id_f2 = '$uid') ";
	$sql .= "and datum BETWEEN DATE_SUB('$mydath', INTERVAL 1 DAY) and '$mydath';";
	$bereit_d = abfrage($sql);
	
	if ($bereit_d[0] == $uid ||
		$bereit_d[1] == $uid ||
		$bereit_d[2] == $uid ||
		$bereit_d[3] == $uid) {
		return true;
	}

	// dann Bereitsschaften fr KW (Am Montag auch  fr die letzte KW)
	$mydatw = getWeekFirstDay('Y-m-d');
	$sql  = "select pers_id, pers_id_h from tb_bereit ";
	$sql .= "where (pers_id = '$uid' or pers_id_h = '$uid') ";
	if ($mydatw == $mydath) {
		$sql .= "and datum IN (DATE_SUB('$mydatw', INTERVAL 7 DAY), '$mydatw');";
	} else {
		$sql .= "and datum = '$mydatw';";
	}
	$bereit = abfrage($sql);
	
	if ($bereit[0] == $uid ||
		$bereit[1] == $uid ) {
		return true;
	} else {
		return false;
	}
}


 /*
  * Prueft ob ein Nutzer die notwendigen Rechte hat fuer dieses Objekt.
  * obj_id - das zu ueberpruefende Objekt
  *        - bei IDs > 10000 Abteilung pruefen
  * explizit - ignoriert Level
  * Rueckgabe: wenn Person berichtigt -> true sonst -> false
  */
 function check_nutzer_rechte($obj_id, $explizit = false)
 {
   global $AppCode;
   if (!isset($_SESSION[$AppCode]["UID"])) return false;

   if($obj_id < 10000) {
     if(!$explizit) {
		/* Hat Nutzer ausreichendes Level? */
		$sql = "SELECT level FROM tb_levelrechte WHERE obj_id='$obj_id'";
		$erg = abfrage($sql);
		if ($erg[0] > 0 && $erg[0] <= $_SESSION[$AppCode]["ULV"]) return true;
     }
     /* Hat Nutzer Sonderrecht? */
     $sql  = "SELECT COUNT(obj_id) FROM tb_benutzerrechte WHERE obj_id='";
     $sql .= $obj_id."' AND pers_id='".$_SESSION[$AppCode]["UID"]."';";
     $erg = abfrage($sql);
     if ($erg[0] > 0) return true;
	 if($obj_id==15) {
	   $res = abfrage1("select abt_id from tb_personal_abt_leit where pers_id_fuer_ma='{$_SESSION[$AppCode]["UID"]}'");
	   if(mysql_num_rows($res) > 0) return true;
	 }
	 if($obj_id==90) {
	   /* Kassenwarte haben dieses Recht automatisch */
	   $res = abfrage1("select pers_id from tbh_kassenwart where pers_id='{$_SESSION[$AppCode]["UID"]}'");
	   if(mysql_num_rows($res) > 0) return true;
	 }
	 /* hat womoeglich ganze Abteilung dieses Recht?! */
	 $abts = abfrage1("select abt_id from tb_abteilungsrechte where obj_id='$obj_id'");
	 while ($id = mysql_fetch_row($abts)) {
	   $sql = "select * from tbh_pers_abt where abt_id = $id[0] 
               and pers_id='".$_SESSION[$AppCode]["UID"]."';";
	   $abt = abfrage1($sql);
	   if(mysql_num_rows($abt) > 0) return true;
	 }
   } else {
     /* bei obj_id > 10000 enthaelt pers_id die abt_id der Abteilung */
     $sql = "SELECT pers_id FROM tb_benutzerrechte WHERE obj_id='$obj_id';";
     $res = abfrage1($sql);
	 while ($id = mysql_fetch_row($res)) {
	   $sql = "select * from tbh_pers_abt where abt_id = $id[0] 
               and pers_id='".$_SESSION[$AppCode]["UID"]."';";
	   $abt = abfrage1($sql);
	   if(mysql_num_rows($abt) > 0) return true;
	 }
   }
   return false;
 }

 /*
  * ist angemeldeter Benutzer Abteilungsleiter des uebergebenen MAs
  * Rueckgabe: 0 - nein
  *            1 - Abteilungsleiter
  *            2 - Recht, Personal zu verwalten
  */
 function check_al_rechte($pers_id) {
	if(empty($pers_id)) return 0;
	global $AppCode;
	if (!isset($_SESSION[$AppCode]["UID"])) return 0;
	$abtleit = abfrage1("select abt_id, personal from tb_personal_abt_leit where pers_id='{$_SESSION[$AppCode]["UID"]}'");
	$return = 0;
	while($abt = mysql_fetch_row($abtleit)) {
		$abm = abfrage1("select pers_id from tbh_pers_abt where pers_id='$pers_id' and abt_id='$abt[0]'");
		if(mysql_num_rows($abm) > 0) {
			if($return == 0) $return = 1;
			if($abt[1] == 'j') return 2;
		}
	}
	return $return;
 }

 /*
  * ist angemeldeter Benutzer Abteilungsleiter im uebergebenen Projekt
  */
 function check_al_proj($proj_id) {
	if(empty($proj_id)) return false;
	global $AppCode;
	if (!isset($_SESSION[$AppCode]["UID"])) return false;
	$sql = "select l.pers_id from tbh_proj_abt p left join tb_personal_abt_leit l using (abt_id)
			where p.proj_id = '$proj_id' and l.pers_id = '{$_SESSION[$AppCode]["UID"]}';";
	$res = abfrage1($sql);
	return (mysql_num_rows($res) > 0);
 }

 /*
  * ist angemeldeter Benutzer Abteilungsleiter in uebergebener Sitzung
  */
 function check_al_team($team_art_id) {
	if(empty($team_art_id)) return false;
	global $AppCode;
	if (!isset($_SESSION[$AppCode]["UID"])) return false;
	$sql = "select l.pers_id from tbh_team_art_abt t left join tb_personal_abt_leit l using (abt_id)
			where t.team_art_id = '$team_art_id' and l.pers_id = '{$_SESSION[$AppCode]["UID"]}';";
	$res = abfrage1($sql);
	return (mysql_num_rows($res) > 0);
 }

 /*
  * Berechnet das Defaultpasswort aus Vorname und Nachname.
  * Rueckgabe: md5 Hash
  */
 function generate_default_password($vorname, $nachname)
 {
   /* alle Leerzeichen entfernen */
   $vorname = str_replace(" ", "", $vorname);
   $nachname = str_replace(" ", "", $nachname);

   /* alle Zeichen erst mal 'klein' machen */
   $vorname  = strtolower($vorname);
   $nachname = strtolower($nachname);

   /* deutsche Zeichen ersetzen */
   $trans = array("" => "ae", "" => "oe", "" => "ue", "" => "ss");
   $vorname = strtr($vorname, $trans);

   $nachname = strtr($nachname, $trans);

   /* erste Zeichen aus Vorname und Nachname ist Passwort */
   $pass = substr($vorname, 0, 1).$nachname;
   return md5($pass);
 }

 /*
  * generiert das passende KWG-Icon fuer das gegebene Projekt
  * (falls Kindeswohlgefaehrdung gesteht)
  */
 function kwg_icon($proj_id, $tt=true) {
	$end = abfrage("select unix_timestamp(ende) from tb_projekte
					where proj_id = '$proj_id';");
	if($end[0] > 0 && $end[0] < time()) return '';
	$kwg = abfrage("select hp_id, ressourcen, hpv_form from tb_hp where hp_art = 'k'
					and proj_id = '$proj_id' and and_datum is null;");

	if (empty($kwg[0])) return '';

	$text = "aktuelle Kindeswohlgef&auml;hrdung!";
	if($kwg[2]) $text .= " &nbsp; (KSF: " . pers_kname($kwg[2]) . ")";

	$sevendays = false;
	if(intval(getConf('kwg_zk')) == 1) {
		$zk = abfrage( "select zk_id, to_days(curdate()) - to_days(t.von) from tb_ab_zk z
						left join tb_termine t using (termin_id)
						where z.proj_id='$proj_id' and z.inhalte2!='' and z.kwg='2'
						and z.ab='j' and t.von < curdate() order by t.von desc limit 1");
		if($zk[0]) $sevendays = ($zk[1] >= 7);
		else $sevendays = true;
	}

	if($sevendays) {
		$return = "<img name=\"fastblink\" src=\"".$_SESSION['webdir']."/img/icon_kwg.png\"";
		if($zk[0]) $text .= "<br>seit $zk[1] Tagen k";
		else $text .= "<br>noch nie ";
		$text .= "eine Einsch&auml;tzung zum Kindeswohl!";
	} else {
		/* KWG-Icon soll blinken wenn Reflexion laenger als 28 Tage zurueck */
		$sql  = "SELECT TO_DAYS(CURDATE()) - TO_DAYS(t1.datum) ";
		$sql .= "FROM tb_hp t1 LEFT JOIN tb_hp_re t2 ON t1.hp_id = t2.hp_id ";
		$sql .= "WHERE t1.proj_id='$proj_id' AND t1.hp_art='r' ";
		$sql .= "AND t1.and_datum='0000-00-00' AND t2.kwg='1';";
		$erg = abfrage1($sql);	    

		/* Ergebnis enthaelt eine Reflexion */
		if (mysql_num_rows($erg) > 0) {
		  $row = mysql_fetch_row($erg);
		  if ($row[0] > 28)
		  {
			$return = "<img src=\"".$_SESSION['webdir']."/img/icon_kwg_blink.gif\"";
			$text .= "<br>Reflexion dringend erforderlich!";
		  }
		  else
		  {
			/* Reflexion vorhanden aber 28 Tage noch nicht vorbei */
			$return = "<img src=\"".$_SESSION['webdir']."/img/icon_kwg.png\"";
		  }
		} else {
		  /* keine Reflexion vorhanden also normales KWG Symbol */
		  $return = "<img src=\"".$_SESSION['webdir']."/img/icon_kwg.png\"";
		}
	}
	$text = "<b>$text</b> <br>$kwg[1]";
	if($tt) $return .= stwToolTip($text);
	$return .= " />";
	return $return;
 }

 /*
  * Berechnet das Alter einer Person fuer das angegebene
  * Geburtsdatum.
  */
 function get_alter($datum)
 {
   /* ist es eine MYSQL Zeichenkette oder eine deutsche */
   if (strpos($datum, "-") > 0)
   {
     $feld = explode("-", $datum);
     $jahr = $feld[0];

     $monat = $feld[1];
     $tag   = $feld[2];
   }
   else
   {
     if (strpos($datum, ".") > 0)
     {
       $feld = explode(".", $datum);
       $tag  = $feld[0];

       $monat = $feld[1];
       $jahr  = $feld[2];
     }
     else
     {
       return 0;
     }
   }

   if ($jahr != 0)
   {
     $alter = date("Y") - $jahr;

     /* aktuelles Jahr schon vorbei */
     if (mktime(0, 0, 0, date("m"), date("d"), date("Y")) <
         mktime(0, 0, 0, $monat, $tag, date("Y"))) $alter --;

     return $alter;
   }
   else
   {
     return 0;
   }
 }


 /* Berechnet das Tage bis zum Jahrestag des eingetragenen Datums */
function get_tage_bis_jahrestag($datum){
	/* ist es eine MYSQL Zeichenkette oder eine deutsche */
	if (strpos($datum, "-") > 0) list($jahr, $monat, $tag) = explode("-", $datum);
	elseif (strpos($datum, ".") > 0) list($tag, $monat, $jahr) = explode(".", $datum);
	else return NULL;
	if ($jahr == 0) return NULL;
	$thisyear = mktime(0, 0, 0, $monat, $tag, date("Y"));
	$heute = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
	$diff = $thisyear - $heute;
	if($diff < -200) {
		$nextyear = mktime(0, 0, 0, $monat, $tag, date("Y")+1);
		$diff = ($thisyear < $heute) ? $nextyear - $heute : $thisyear - $heute;
	}
	return round($diff / 86400 , 0);
}


function getQuartalsBeginn($timestamp = NULL){
	$ts = (empty($timestamp)) ? mktime(): $timestamp;
	$mon = (ceil(date('n', $ts) / 3) * 3) - 2;
	$ts = mktime(0,0,0,$mon,1,date('Y', $ts));
	return $ts;
}


function getQuartalsEnde($timestamp = NULL){
	$ts = (empty($timestamp)) ? mktime(): $timestamp;
	$mon = (ceil(date('n', $ts) / 3) * 3);
	return mktime(23,59,59,$mon,date('t', mktime(0,0,0,$mon,1,date('Y',$ts))),date('Y', $ts));
}


function getHalbjahresBeginn($timestamp = NULL){
	$ts = (empty($timestamp)) ? mktime(): $timestamp;
	$mon = (ceil(date('n', $ts) / 6) * 6) - 5;
	$ts = mktime(0,0,0,$mon,1,date('Y', $ts));
	return $ts;
}


function getHalbjahresEnde($timestamp = NULL){
	$ts = (empty($timestamp)) ? mktime(): $timestamp;
	$mon = (ceil(date('n', $ts) / 6) * 6);
	return mktime(23,59,59,$mon,date('t', mktime(0,0,0,$mon,1,date('Y',$ts))),date('Y', $ts));
}

/* getWochenBeginn - Ermittlung des Wochenbeginns aus einem Timestamp */
function getWochenBeginn ($ts){
  $ts = mktime(0,0,0,date('n', $ts),date('j', $ts), date('Y', $ts));
  if (date('w', $ts) != 1){
    while (date('w', $ts) != 1){
      $ts = mktime(0,0,0,date('n', $ts),date('j', $ts) - 1, date('Y', $ts));
    }
  }
  return $ts;
}


/* getWochenEnde - Ermittlung des Endes der Woche aus einem Timestamp */
function getWochenEnde ($ts, $wochen = 1){
  if ($wochen > 1){
    $ts = mktime(23,59,59,date('n', $ts),date('j', $ts) + (($wochen - 1) * 7), date('Y', $ts));
  } else {
    $ts = mktime(23,59,59,date('n', $ts),date('j', $ts), date('Y', $ts));
  }
  if (date('w', $ts) != 0){
    while (date('w', $ts) != 0){
      $ts = mktime(23,59,59,date('n', $ts),date('j', $ts) + 1, date('Y', $ts));
    }
  }
  return $ts;
}


function fehlendePB($ma, $modus){
	/* relevante Projektberichtszeitraeume abfragen */
	if ($modus == 1) {
	  /* Modus 1 : uebergebener Benutzer = Hauptbetreuer */
		$sql = "select zr.zr_id,
				zr.proj_id,
				unix_timestamp(zr.von) as von,
				zr.frist
				from tbh_pers_proj pp
				left join tb_projekte pro on pp.proj_id = pro.proj_id
				left join tb_pb_zr zr on pro.proj_id = zr.proj_id
				where pp.pers_id = '$ma'
				and pp.personaltyp_id = 1
				and (pro.ende is null or pro.ende = '0000-00-00'
					or to_days(pro.ende) >= to_days(curdate()))
				and ((curdate() >= zr.von and curdate() <= zr.bis)
					or (curdate() >= zr.von and (zr.bis is null or zr.bis = '0000-00-000')));";
	} else {
	  /*  Modus 2 : uebergebener Benutzer = Fachberater */
		$sql = "select zr.zr_id,
				zr.proj_id,
				unix_timestamp(zr.von) as von,
				zr.frist
				from tb_projekte pro
				left join tb_pb_zr zr on pro.proj_id = zr.proj_id
				where pro.fb_id = '$ma'
				and (pro.ende is null or pro.ende = '0000-00-00'
					or to_days(pro.ende) >= to_days(curdate()))
				and ((curdate() >= zr.von and curdate() <= zr.bis)
					or (curdate() >= zr.von and (zr.bis is null or zr.bis = '0000-00-000')));";
	}
	$zrs = abfrage1($sql);

	if (mysql_num_rows($zrs) > 0)
  {
    /* Rueckgabewert initialisieren */
    $fehlende = array();

		while ($zr = mysql_fetch_assoc($zrs)){
			$mod_w = array(1,2);

			if (in_array($zr['frist'], $mod_w))
      {
				$von1 = getWochenBeginn($zr['von']);
				$bis1 = mktime(0,0,0,date('n'),date('j'),date('Y'));

				while ($von1 <= $bis1){
					$bis2 = getWochenEnde($von1, $zr['frist']);

          /* Zeitstempel anbieten - Donnerstag 12:00 Uhr */
          // $grenze = getWochenBeginn($von1);
          /* Stunden, Minuten, Sekunden abziehen */
          // $grenze -= date('G', $grenze)*3600;
          // $grenze -= date('i', $grenze)*60;
          // $grenze -= date('s', $grenze);
          /* + 3 Tage + 12 Stunden */
          // $grenze += 302400;

          /* Grenze: Donnerstag 12 Uhr vor Ende des Berichtszeitraumes */

          $grenze = $bis2;
          $grenze = mktime(12,0,0,date('n', $grenze), date('j', $grenze), date('Y', $grenze));
          if (date('w', $grenze) != 4){
            while (date('w', $grenze) != 4){
              $grenze = mktime(0,0,0,date('n', $grenze),date('j', $grenze) - 1, date('Y', $grenze));
            }
          }

					$sql  = "select h.hp_id from tb_hp h ";
					$sql .= "left join tb_pb p using (hp_id) ";
					$sql .= "where h.hp_art = 'pb' ";
					$sql .= "and h.proj_id = '{$zr['proj_id']}' ";
					$sql .= "and unix_timestamp(h.datum) >= '$von1' ";
					$sql .= "and unix_timestamp(h.datum) <= '$bis2' ";
					$sql .= "and p.fertig = 1;";

					$pb = abfrage1($sql);

					if (mysql_num_rows($pb) == 0)
          {
            /* blinken soll erscheinen wenn Woche vorbei */
            if(time() > ($bis2 + (60*60*24*5))) $status = 2; 
			elseif (time() > ($bis2-(60*60*24*2))) $status = 3; 
			else $status = 1;

            /* Meldung nur wenn aktuelle Zeit ueber Grenze */
            if (time() >= $grenze)
            {

              /* Anzeige ermitteln */
              $anz  = date('W', $von1) . '.';
              if ($zr['frist'] == 2) $anz .= ' + ' . date('W', $grenze) . '.';
              $anz .= 'KW';


              $fehlende[] = array('proj_id' => $zr['proj_id'],
											'von' => $von1,
											'bis' => $bis2,
											'anz' => $anz,
											'status' => $status);
            }
					}
					$von1 = getWochenEnde($von1, $zr['frist']) + 1;
				}

			} elseif ($zr['frist'] == 3){
				$von1 = $zr['von'];

				if (mktime() < (mktime(23,59,59,date('n'),date('t'),date('Y')) - (7 * 86400))){
					$bis1 = mktime(0,0,0,date('n'),1,date('Y')) - 1;
				} else {
					$bis1 = mktime(23,59,59,date('n'),date('t'),date('Y'));
				}

				$warn = $bis1 - (86400 * 7);

				while ($von1 <= $bis1){
					$bis2 = mktime(23,59,59,date('n', $von1), date('t', $von1), date('Y', $von1));

					$sql  = "select h.hp_id from tb_hp h ";
					$sql .= "left join tb_pb p using (hp_id) ";
					$sql .= "where h.hp_art = 'pb' ";
					$sql .= "and h.proj_id = '{$zr['proj_id']}' ";
					$sql .= "and unix_timestamp(h.datum) >= '$von1' ";
					$sql .= "and unix_timestamp(h.datum) <= '$bis2' ";
					$sql .= "and p.fertig = 1;";

					$pb = abfrage1($sql);

					$anz = strftime('%B %Y', $von1);

					if (mysql_num_rows($pb) == 0){
						$status = (mktime() >= $warn && mktime() <= $bis2) ? 1 : 2;
						$fehlende[] = array('proj_id' => $zr['proj_id'],
											'von' => $von1,
											'bis' => $bis2,
											'anz' => $anz,
											'status' => $status);
					}

					$von1 = mktime(0,0,0,date('n', $von1) + 1, 1, date('Y', $von1));
				}

			} elseif ($zr['frist'] == 4){
				$von1 = $zr['von'];

				if (mktime() < (getQuartalsEnde() - (7 * 86400))){
					$bis1 = getQuartalsBeginn() - 1;
				} else {
					$bis1 = getQuartalsEnde();
				}

				$warn = $bis1 - (86400 * 7);

				while ($von1 <= $bis1){
					$bis2 = getQuartalsEnde($von1);

					$sql  = "select h.hp_id from tb_hp h ";
					$sql .= "left join tb_pb p using (hp_id) ";
					$sql .= "where h.hp_art = 'pb' ";
					$sql .= "and h.proj_id = '{$zr['proj_id']}' ";
					$sql .= "and unix_timestamp(h.datum) >= '$von1' ";
					$sql .= "and unix_timestamp(h.datum) <= '$bis2' ";
					$sql .= "and p.fertig = 1;";

					$pb = abfrage1($sql);

					if (mysql_num_rows($pb) == 0){
						$status = ($warn >= $von1 && $warn <= $bis2) ? 1 : 2;

						$anz = ceil(date('n', $von1)/3) . '. Quartal ' . date('Y', $von1);

						$fehlende[] = array('proj_id' => $zr['proj_id'],
											'von' => $von1,
											'bis' => $bis2,
											'anz' => $anz,
											'status' => $status);
					}
					$von1 = $bis2 + 1;
				}
			} elseif ($zr['frist'] == 5){
				$von1 = $zr['von'];

				if (mktime() < (getHalbjahresEnde() - (7 * 86400))){
					$bis1 = getHalbjahresBeginn() - 1;
				} else {
					$bis1 = getHalbjahresEnde();
				}

				$warn = $bis1 - (86400 * 7);

				while ($von1 <= $bis1){
					$bis2 = getHalbjahresEnde($von1);

					$sql  = "select h.hp_id from tb_hp h ";
					$sql .= "left join tb_pb p using (hp_id) ";
					$sql .= "where h.hp_art = 'pb' ";
					$sql .= "and h.proj_id = '{$zr['proj_id']}' ";
					$sql .= "and unix_timestamp(h.datum) >= '$von1' ";
					$sql .= "and unix_timestamp(h.datum) <= '$bis2' ";
					$sql .= "and p.fertig = 1;";

					$pb = abfrage1($sql);

					if (mysql_num_rows($pb) == 0){
						$status = ($warn >= $von1 && $warn <= $bis2) ? 1 : 2;

						$anz = ceil(date('n', $von1)/4) . '. Halbjahr ' . date('Y', $von1);

						$fehlende[] = array('proj_id' => $zr['proj_id'],
											'von' => $von1,
											'bis' => $bis2,
											'anz' => $anz,
											'status' => $status);
					}
					$von1 = $bis2 + 1;
				}
			} elseif ($zr['frist'] == 6){
				$von1 = $zr['von'];

				if (mktime() < (mktime(0,0,0,date('n', $von1),date('j', $von1)-1,date('Y')) - (7 * 86400))){
					$bis1 = mktime(0,0,0,date('n', $von1),date('j', $von1),date('Y')) - 1;
				} else {
					$bis1 = mktime(23,59,59,date('n', $von1),date('j', $von1)-1,date('Y'));
				}

				$warn = $bis1 - (86400 * 7);

				while ($von1 <= $bis1){
					$bis2 = mktime(23,59,59,date('n', $von1),date('j', $von1)-1,date('Y', $von1)+1);

					$sql  = "select h.hp_id from tb_hp h ";
					$sql .= "left join tb_pb p using (hp_id) ";
					$sql .= "where h.hp_art = 'pb' ";
					$sql .= "and h.proj_id = '{$zr['proj_id']}' ";
					$sql .= "and unix_timestamp(h.datum) >= '$von1' ";
					$sql .= "and unix_timestamp(h.datum) <= '$bis2' ";
					$sql .= "and p.fertig = 1;";

					$pb = abfrage1($sql);

					if (mysql_num_rows($pb) == 0){
						$status = ($warn >= $von1 && $warn <= $bis2) ? 1 : 2;

						$anz = date('j.n.y',$von1)." - ".date('j.n.y',$bis2);

						$fehlende[] = array('proj_id' => $zr['proj_id'],
											'von' => $von1,
											'bis' => $bis2,
											'anz' => $anz,
											'status' => $status);
					}
					$von1 = $bis2 + 1;
				}
			}
		}
	}
	return $fehlende;
}

function nr2txt ($nr){
	switch ($nr){
		case 1:
			$txt = 'negativ';
			break;
		case 2:
			$txt = 'neutral';
			break;
		case 3:
			$txt = 'positiv';
			break;
	}
	return $txt;
}


/* Funktion pers_geb_berechtigt
 * ermittelt, ob ein Benutzer ($user) berechtigt ist, den Geburtstag eines
 * Mitarbeiters ($ma) im Dashboard angezeigt zu bekommen.
*/
function pers_geb_berechtigt ($ma, $user) {

	/* Level des uebergebenen Nutzers ermitteln */
	$daten = abfrage("select level from tb_personal where pers_id = '$user';");
	$ulevel = $daten[0];

	/* Abteilungen von $ma ermitteln */
	$sql = "select abt_id from tbh_pers_abt where pers_id = '$ma';";
	$res1 = abfrage1($sql);

	if (mysql_num_rows($res1) > 0){
		while ($abt = mysql_fetch_row($res1)) {
			/* ermitteln, ob Nutzer per Level berechtigt ist */
			$sql  = "select anz_geb_level from tb_personal_abt ";
			$sql .= "where abt_id = '$abt[0]';";
			$lvl1 = abfrage($sql);

			if ($lvl1[0] > 0 && $lvl1[0] <= $ulevel){
				/* ein Level fuer die Abt. ist gesetzt (> 0) und Level des Nutzers
				 * ist gleich oder hoeher -> TRUE */
				return true;
			} else {

				/* ermitteln, ob Nutzer persoenliche Berechtigung hat */
				$sql  = "select pers_id from tbh_abt_anz_pers ";
				$sql .= "where abt_id = '$abt[0]' and pers_id = '$user' and art = '1';";
				$dat = abfrage($sql);

				if ($dat[0] == $user){
					/* Nutzer hat eine persoenliche Berechtigung -> TRUE */
					return true;

				} else {
					/* Nutzer hat keine persoenliche Berechtigung ->
					 * ermitteln, ob eine der Abteilungen des Nutzers eine Ber. hat */
					$sql = "select abt_id from tbh_pers_abt where pers_id = '$user';";
					$res2 = abfrage1($sql);

					if (mysql_num_rows($res2) > 0) {
						while ($abt2 = mysql_fetch_row($res2)){
							$sql  = "select abt_id2 from tbh_abt_anz_abt ";
							$sql .= "where abt_id = '$abt[0]' and abt_id2 = '$abt2[0]' ";
							$sql .= "and art = '1';";
							$dat2 = abfrage($sql);

							if ($abt2[0] == $dat2[0]){
								return true;
							}
						}
					} else {
						return false;
					}
				}
			}
		}
	} else {
		return false;
	}
}

/* Funktion pers_abw_berechtigt
 * ermittelt, ob ein Benutzer ($user) berechtigt ist, die Abwesenheit eines
 * Mitarbeiters ($ma) im Dashboard angezeigt zu bekommen.
*/
function pers_abw_berechtigt ($ma, $user) {

	/* Level des uebergebenen Nutzers ermitteln */
	$daten = abfrage("select level from tb_personal where pers_id = '$user';");
	$ulevel = $daten[0];

	/* Abteilungen von $ma ermitteln */
	$sql = "select abt_id from tbh_pers_abt where pers_id = '$ma';";
	$res1 = abfrage1($sql);

	if (mysql_num_rows($res1) > 0){
		while ($abt = mysql_fetch_row($res1)) {
			/* ermitteln, ob Nutzer per Level berechtigt ist */
			$sql  = "select anz_abw_level from tb_personal_abt ";
			$sql .= "where abt_id = '$abt[0]';";
			$lvl1 = abfrage($sql);

			if ($lvl1[0] > 0 && $lvl1[0] <= $ulevel){
				/* ein Level fuer die Abt. ist gesetzt (> 0) und Level des Nutzers
				 * ist gleich oder hoeher -> TRUE */
				return true;
			} else {

				/* ermitteln, ob Nutzer persoenliche Berechtigung hat */
				$sql  = "select pers_id from tbh_abt_anz_pers ";
				$sql .= "where abt_id = '$abt[0]' and pers_id = '$user' and art = '2';";
				$dat = abfrage($sql);

				if ($dat[0] == $user){
					/* Nutzer hat eine persoenliche Berechtigung -> TRUE */
					return true;

				} else {
					/* Nutzer hat keine persoenliche Berechtigung ->
					 * ermitteln, ob eine der Abteilungen des Nutzers eine Ber. hat */
					$sql = "select abt_id from tbh_pers_abt where pers_id = '$user';";
					$res2 = abfrage1($sql);

					if (mysql_num_rows($res2) > 0) {
						while ($abt2 = mysql_fetch_row($res2)){
							$sql  = "select abt_id2 from tbh_abt_anz_abt ";
							$sql .= "where abt_id = '$abt[0]' and abt_id2 = '$abt2[0]' ";
							$sql .= "and art = '2';";
							$dat2 = abfrage($sql);

							if ($abt2[0] == $dat2[0]){
								return true;
							}
						}
					} else {
						return false;
					}
				}
			}
		}
	} else {
		return false;
	}
}


/* pers_bereit_dauer_ma
 * Funktion zur Ermittlung der Dauer von der letzten Bereitschaft des ueber-
 * gebenen Mitarbeiters bis zur uebergebenen KW im ubergebenen Jahr in Wochen
*/
function pers_bereit_dauer_ma ($pers_id, $kw, $jahr) {


}


function js_form_opt($form_name, $felder_ein, $felder_aus, $sch_name, $sch_wert){

	echo "<script language=\"JavaScript\" type=\"text/javascript\">\n";
	echo "  function js_form_option(){\n";

	echo "    if ($form_name.$sch_name.options[$sch_wert].selected == true){\n";

	foreach ($felder_ein as $feld){
		echo "      document.getElementById(\"$feld\").style.display = \"none\";\n";
	}

	foreach ($felder_aus as $feld){
		echo "      document.getElementById(\"$feld\").style.display = \"\";\n";
	}

	echo "    } else {\n";

	foreach ($felder_ein as $feld){
		echo "      document.getElementById(\"$feld\").style.display = \"\";\n";
	}

	foreach ($felder_aus as $feld){
		echo "      document.getElementById(\"$feld\").style.display = \"none\";\n";
	}

	echo "    }\n";
	echo "  }\n";
	echo "</script>\n";
}


/* stundensatz
 * Funktion ermittelt den Stundensatz in Abhaengigkeit vom Auftraggebeber und
 * Abrechnungsmonat
 * Parameter: datum    MySQL-Datum des ersten des relevanten Abrechnungsmonats
 *            proj_id  optionaler Parameter, Projekt-ID des jeweiligen Projekts
 * Rueckgabewert: array(Divisor,Satz,Datum vorheriger Stundensatz)
*/
function stundensatz($datum, $proj_id = NULL) {
	$kont_id = 0;
	/* Schritt 1: Stundensatz auf Hilfeplan-Ebene */
	if(!empty($proj_id)) {
		$projekt = new stwProjekt($proj_id);
		$ha = $projekt->ha;
		$hp = abfrage( "select s.satz, s.divisor, date_sub(h.and_datum, INTERVAL 1 DAY)
						from tbh_hp_satz s
						left join tb_hp h using(hp_id)
						where h.and_datum <= '$datum'
						and h.and_datum IS NOT NULL
						and h.proj_id = '$proj_id'
						and h.hp_art in ('s','h2')
						order by h.and_datum desc limit 1" );
		if(is_null($hp[2])) $hp[2] = '0000-00-00';
		if($hp[1]=='h') return array('h',$hp[0],$hp[2]);
		if($hp[1]=='d') return array('d',$hp[0],$hp[2]);
		if($hp[1]=='m') return array('m',$hp[0],$hp[2]);
		$kont_id = $projekt->ja;
	}

	/* Schritt 2: falls eine Kontakt-ID eines Auftraggebers vorhanden:
	 * evtl. auftraggeberspezifischen Stundensatz ermitteln
	*/
	if ($kont_id > 0){
		$kh_id = get_kh_id($kont_id, $ha, $datum);
		$sql  = "select stsatz, divisor, date_sub(datum, INTERVAL 1 DAY) ";
		$sql .= "from tb_kont_stundensatz ";
		$sql .= "where kont_id = '$kont_id' and kh_id = '$kh_id' ";
		$sql .= "and datum <= '$datum' order by datum desc limit 1;";
		$dat = abfrage($sql);
		if(is_null($dat[2])) $dat[2] = '0000-00-00';
		if ($dat[0] > 0) {
			return array($dat[1],$dat[0],$dat[2]);
		}
	}

	/* Schritt 3: Stundensatz fuer uebergeb. Datum aus Konf-Tabelle ermitteln*/
	$sql = "select stsatz, date_sub(datum, INTERVAL 1 DAY) from tb_konf_stundensatz 
			where datum <= '$datum' 
			order by datum desc limit 1;";
	$dat = abfrage($sql);
	if(is_null($dat[1])) $dat[1] = '0000-00-00';
	return array('h',$dat[0],$dat[1]);
}

/* get_kh_id
 * Funktion ermittelt kh_id (ID der Zuordnung Kontakt / Hilfeart)
 * in Abhaengigkeit vom Auftraggebeber und Abrechnungsmonat
 * Parameter:	kont_id 	ID des Auftraggebers (Jugendamts)
 * 				ha			optionaler Parameter, ID der Hilfeart
 *				datum		optionaler Parameter, Datum (der Abrechnung): falls leer, heute
*/
function get_kh_id($kont_id, $ha=NULL, $datum=NULL) {
	if(empty($ha)) return 0;
	if(empty($datum)) $datum = date('Y-m-d');
	elseif(strpos($datum, '.')!==false) $datum = date_gr2my($datum);
	$sql = "SELECT kh_id FROM tb_kont_hilfeart 
			WHERE kont_id = '$kont_id' AND hilfeart_id = '$ha'
			AND von <= '$datum' AND (bis >= '$datum' OR bis = '0000-00-00')
			ORDER BY von DESC LIMIT 1";
	$kh = abfrage($sql);
	if($kh[0]>0) return $kh[0];
	return 0;
}
?>
