-- *****************************************************************************
-- * Stellware - Jugendhilfe Management System                                 *
-- *                                                                           *
-- * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen  *
-- * der GNU General Public License (GPL), wie von der Free Software           *
-- * Foundation veroeffentlicht, weitergeben und/oder modifizieren, entweder   *
-- * gemaess Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder     *
-- * spaeteren Version.                                                        *
-- *                                                                           *
-- * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es  *
-- * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die  *
-- * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen    *
-- * bestimmten Zweck. Details finden Sie in der GNU General Public License    *
-- * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                              *
-- *                                                                           *
-- *  http://www.stellware.de                                                  *
-- *****************************************************************************
-- *
-- * $Id: stellware.sql 2928 2018-12-31 10:38:52Z tfreudenberg $
-- *
-- *
-- * Diese Datei wird von der SVN Oberflaeche mittels eines Parsers
-- * verarbeitet. Die Oberflaeche befindet sich unterhalb des 'konf' Menues.
-- * Der Parser wird von 'konf/svn.php' aufgerufen. Deshalb sollten bitte die
-- * folgenden Punkte in Zukunft beachtet werden:
-- *
-- * - Version vom Mysqlserver fuer die Entwicklung: 5.0.51
-- *
-- * - Tabellenstrukturen sollten mit der Ausgabe vom folgenden Befehl
-- *   uebereinstimmen: 'show create table tabelle;'
-- *
-- * - Insert Anweisungen sollten im Augenblick nicht vollstaendig sein
-- *   und immer nur die Values fuer einen Datensatz enthalten. Das heisst,
-- *   jede Zeile wird einzeln in einer Insert Anweisung aufgeschrieben.
-- *
-- * - Tabellen die nur durch diese Datei gefuellt werden, sollten als
-- *   statisch markiert werden: table_name:static (ACHTUNG: solche Tabellen
-- *   werden bei jedem Updatevorgang komplett geloescht und dann wieder neu
-- *   angelegt, nicht in dieser Datei vorhandene Daten gehen verloren)
-- *****************************************************************************

--
-- Tabellenstruktur fuer Tabelle `tb_ab_code`
--

CREATE TABLE IF NOT EXISTS `tb_ab_code` (
  `code` char(1) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `over` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`code`),
  KEY `over` (`over`)
);

--
-- Daten fuer Tabelle `tb_ab_code`
--

INSERT INTO `tb_ab_code` VALUES ('A', 'Kontaktzeiten am Klienten', 0);
INSERT INTO `tb_ab_code` VALUES ('B', 'Hilfeplan, Behrden, Reflexion, Dokumentation', 0);
INSERT INTO `tb_ab_code` VALUES ('C', 'Fehlkontakte und Wartezeiten', 0);
INSERT INTO `tb_ab_code` VALUES ('D', 'Gruppenaktivitten', 0);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_code_ttt`
--

CREATE TABLE IF NOT EXISTS `tb_ab_code_ttt` (
  `code_id` int(3) NOT NULL auto_increment,
  `name` varchar(100)  NOT NULL default '',
  `kat_id` tinyint(3) NOT NULL default '0',
  `stunden` int(3) NOT NULL default '0',
  `nr` tinyint(3) NOT NULL default '0',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `kat2id` int(5) NOT NULL default '0',
  PRIMARY KEY (`code_id`)
);

--
-- Daten fuer Tabelle `tb_ab_code_ttt`
--

INSERT INTO `tb_ab_code_ttt` VALUES (1, 'Verwaltung EDV Training und Datenverarbeitung', 1, 18, 1, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (2, 'Mediengestaltung', 1, 7, 2, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (3, 'Arbeitsschutz', 1, 8, 3, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (4, 'Hauswirtschaft Gesundheitsbewusstsein', 1, 10, 4, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (5, 'Werkstoffkunde Werkstoffbearbeitung', 1, 30, 5, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (6, 'Deutsch', 1, 24, 6, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (7, 'Mathematik', 1, 24, 7, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (8, 'Ethik', 1, 6, 8, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (9, 'Bewerbung Bewerbungstraining', 2, 33, 9, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (10, 'Rethoriktraining', 2, 10, 10, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (11, 'Verhaltenstraining', 2, 10, 11, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (12, 'Motivationstraining', 2, 10, 12, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (13, 'Kompetenztraining Einzelgesprche', 2, 12, 13, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (14, 'Toleranz und Akzeptanz', 2, 10, 14, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (15, 'Begleitung und Hilfe', 2, 12, 15, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (16, 'Gruppenfhigkeit und Kommunikation', 2, 10, 16, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (17, 'Alltagsbewltigung', 2, 10, 17, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (18, 'Verselbstndigung', 2, 10, 18, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (19, 'Steigerung der Frustrationstoleranz', 2, 10, 19, 'j', 0);
INSERT INTO `tb_ab_code_ttt` VALUES (20, 'Sinn fr Gemeinwesenarbeit', 2, 12, 20, 'j', 0);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_kat_ttt`
--

CREATE TABLE IF NOT EXISTS `tb_ab_kat_ttt` (
  `kat_id` tinyint(3) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `stunden` int(3) NOT NULL default '0',
  PRIMARY KEY (`kat_id`)
);

--
-- Daten fuer Tabelle `tb_ab_kat_ttt`
--

INSERT INTO `tb_ab_kat_ttt` VALUES (1, 'Berufliche und Praktische Qualifizierung', 147);
INSERT INTO `tb_ab_kat_ttt` VALUES (2, 'Soziale Qualifizierung', 147);
INSERT INTO `tb_ab_kat_ttt` VALUES (3, 'Theorie', 0);
INSERT INTO `tb_ab_kat_ttt` VALUES (4, 'Praxis', 0);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_nachw`
--

CREATE TABLE IF NOT EXISTS `tb_ab_nachw` (
  `nachw_id` int(5) unsigned NOT NULL auto_increment,
  `datum` date NOT NULL default '0000-00-00',
  `intern` enum('j','n') NOT NULL default 'j',
  `klammer` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`nachw_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_pool`
--

CREATE TABLE IF NOT EXISTS `tb_ab_pool` (
  `proj1` int(5) unsigned NOT NULL default '0',
  `proj2` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `stunden` decimal(5,2) NOT NULL default '0.00',
  PRIMARY KEY (`proj1`,`proj2`,`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_proj_fm`
--

CREATE TABLE IF NOT EXISTS `tb_ab_proj_fm` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `fm` int(1) default NULL,
  PRIMARY KEY (`proj_id`,`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_proj_kont`
--

CREATE TABLE IF NOT EXISTS `tb_ab_proj_kont` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `kontrolle` int(1) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `pers_id_hb` int(5) unsigned NOT NULL default '0',
  `datetime_hb` datetime NOT NULL default '0000-00-00 00:00:00',
  `pers_id_rech` int(5) unsigned NOT NULL default '0',
  `datetime_rech` datetime NOT NULL default '0000-00-00 00:00:00',
  `ok` enum('j','n') NOT NULL default 'n',
  `ok_hb` enum('j','n') NOT NULL default 'n',
  `ok_rech` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`proj_id`,`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_zk`
--
-- zk_dat - gibt den Wert an wann die ZK angelegt wurde
-- ts_pers - Person die die ZK abrechnungsrelevant geschaltet hat
--

CREATE TABLE IF NOT EXISTS `tb_ab_zk` (
  `zk_id` int(5) unsigned NOT NULL auto_increment,
  `termin_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ab` enum('j','n','u') NOT NULL default 'n',
  `ab_monat` date default NULL,
  `fls` time NOT NULL default '00:00:00',
  `code` char(3) NOT NULL default '',
  `inhalte` text NOT NULL,
  `km_von` varchar(30) default NULL,
  `km_via1` varchar(30) default NULL,
  `km_via2` varchar(30) default NULL,
  `km_via3` varchar(30) default NULL,
  `km_via4` varchar(30) default NULL,
  `km_via5` varchar(30) default NULL,
  `km_nach` varchar(30) default NULL,
  `km_dienst` decimal(7,2) default NULL,
  `km_privat` decimal(7,2) default NULL,
  `spesen_text` varchar(50) default NULL,
  `spesen_betr` decimal(8,2) default NULL,
  `spesen_eig` decimal(8,2) default NULL,
  `nachw_id` int(5) unsigned default NULL,
  `res_id` int(5) unsigned default NULL,
  `fahrt_id` int(5) unsigned default NULL,
  `inhalte2` text,
  `kwg` tinyint(1) default NULL,
  `fls2` time default NULL,
  `fz2` time default NULL,
  `sperre` enum('j','n') NOT NULL default 'n',
  `zk_dat` int(10) unsigned NOT NULL default '0',
  `ts_pers` int(5) unsigned NOT NULL default '0',
  `ts_verlauf_end` int(10) unsigned NOT NULL default '0',
  `code_ttt` char(3) NOT NULL default '',
  `empfang` tinyint(1) default '0',
  `sperre_id` int(5) unsigned default NULL,
  `sperre_dt` datetime default NULL,
  `res2_id` int(5) unsigned default NULL,
  `vun` time NOT NULL default '00:00:00',
  `km_abw_ja` decimal(7,2) default NULL,
  `hr` enum('h','r','hr') default NULL,
  `sphere` enum('isf','bzb','wgb') default NULL,
  PRIMARY KEY (`zk_id`),
  KEY `termin` (`termin_id`),
  KEY `nachw_id` (`nachw_id`),
  KEY `pers_id` (`pers_id`),
  KEY `proj_id` (`proj_id`),
  KEY `code` (`code`),
  KEY `ab_monat` (`ab_monat`),
  KEY `ab` (`ab`),
  KEY `res_id` (`res_id`),
  KEY `code_ttt` (`code_ttt`),
  KEY `sperre` (`sperre`)
);

--
-- Tabellenstruktur fuer Tabelle tb_ab_zk_verlauf
-- Zeitaenderungen an den ZK werden protokolliert.
--

CREATE TABLE IF NOT EXISTS `tb_ab_zk_verlauf` (
  `verlauf_id` int(5) unsigned NOT NULL auto_increment,
  `zk_id` int(5) unsigned NOT NULL default '0',
  `ts_zk_end` int(10) unsigned NOT NULL default '0',
  `ts_change` int(10) unsigned NOT NULL default '0',
  `ts_pers` int(5) unsigned NOT NULL default '0',
  `ab` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`verlauf_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_ab_zk_dienst
-- Diese Tabelle wird nur genutzt wenn eine ZK fuer den Dienstgang
-- gesetzt wird.
--

CREATE TABLE IF NOT EXISTS `tb_ab_zk_dienst` (
  `zk_id` int(5) unsigned NOT NULL default '0',
  `dienst_start` int(10) unsigned NOT NULL default '0',
  `dienst_ende` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY (`zk_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_aufgaben`
--

CREATE TABLE IF NOT EXISTS `tb_aufgaben` (
  `aufgabe_id` int(5) unsigned NOT NULL auto_increment,
  `autor` int(5) unsigned NOT NULL default '0',
  `titel` varchar(50) NOT NULL default '',
  `text` text,
  `prio` int(3) unsigned NOT NULL default '0',
  `eingabe` date NOT NULL default '0000-00-00',
  `termin` date NOT NULL default '0000-00-00',
  `erledigt` int(3) unsigned NOT NULL default '0',
  `erl_datum` date default NULL,
  `proj_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned default NULL,
  `nr` int(4) unsigned zerofill default NULL,
  `hp_id` int(5) unsigned default NULL,
  PRIMARY KEY (`aufgabe_id`),
  FULLTEXT KEY `titel` (`titel`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_beitrag`
--

CREATE TABLE IF NOT EXISTS `tb_beitrag` (
  `beitrag_id` int(5) unsigned NOT NULL auto_increment,
  `titel` varchar(100) NOT NULL default '',
  `beitrag` text NOT NULL,
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `lvlgrp_id` int(3) unsigned NOT NULL default '6',
  `team_art_id` int(5) default NULL,
  PRIMARY KEY (`beitrag_id`),
  FULLTEXT KEY `titel` (`titel`,`beitrag`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_bel_kat`
--

CREATE TABLE IF NOT EXISTS `tb_bel_kat` (
  `bel_kat_id` int(5) unsigned NOT NULL auto_increment,
  `kat` varchar(30) NOT NULL default '',
  `text` text,
  `wiederholung` double(4,2) default NULL,
  PRIMARY KEY (`bel_kat_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_bereit`
--

CREATE TABLE IF NOT EXISTS `tb_bereit` (
  `bereit_id` int(5) unsigned NOT NULL auto_increment,
  `datum` date NOT NULL default '0000-00-00',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `pers_id_h` int(5) unsigned NOT NULL default '0',
  `pers_id_d` int(5) unsigned NOT NULL default '0',
  `pers_id_f1` int(5) unsigned NOT NULL default '0',
  `pers_id_f2` int(5) unsigned NOT NULL default '0',
  `pers_id_dh` int(5) unsigned NOT NULL default '0',
  `check_d` enum('j','n') default NULL,
  PRIMARY KEY (`bereit_id`),
  KEY `datum` (`datum`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_beschaeftigung`
--

CREATE TABLE IF NOT EXISTS `tb_beschaeftigung` (
  `besch_id` int(5) unsigned NOT NULL auto_increment,
  `beschaeftigung` varchar(40) NOT NULL default '',
  `aktiv` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`besch_id`),
  UNIQUE KEY `beschaeftigung` (`beschaeftigung`)
);

--
-- Daten fuer Tabelle `tb_beschaeftigung`
--

INSERT INTO `tb_beschaeftigung` VALUES (1, 'Angestellte(r)', 'j');
INSERT INTO `tb_beschaeftigung` VALUES (2, 'Honorarkraft', 'j');
INSERT INTO `tb_beschaeftigung` VALUES (3, 'ehrenamtlich', 'j');
INSERT INTO `tb_beschaeftigung` VALUES (4, 'Geringfgig Beschftigte(r)', 'n');

--
-- Tabellenstruktur fuer Tabelle `tb_brief`
--

CREATE TABLE IF NOT EXISTS `tb_brief` (
  `brief_id` int(5) NOT NULL auto_increment,
  `anrede_id` int(3) default NULL,
  `schluss_id` int(3) default NULL,
  PRIMARY KEY (`brief_id`)
);

--
-- Daten fuer Tabelle `tb_brief`
--

INSERT INTO `tb_brief` VALUES (5, 5, 1);
INSERT INTO `tb_brief` VALUES (6, 1, 1);
INSERT INTO `tb_brief` VALUES (7, 1, 1);
INSERT INTO `tb_brief` VALUES (8, 1, 1);
INSERT INTO `tb_brief` VALUES (9, 2, 1);
INSERT INTO `tb_brief` VALUES (10, 2, 1);
INSERT INTO `tb_brief` VALUES (11, 1, 1);
INSERT INTO `tb_brief` VALUES (12, 1, 1);
INSERT INTO `tb_brief` VALUES (13, 1, 1);
INSERT INTO `tb_brief` VALUES (14, 1, 1);
INSERT INTO `tb_brief` VALUES (15, 1, 1);

--
-- Tabellenstruktur fuer Tabelle `tb_brief_anrede`
--

CREATE TABLE IF NOT EXISTS `tb_brief_anrede` (
  `anrede_id` int(3) NOT NULL auto_increment,
  `anrede` char(30) NOT NULL default '',
  PRIMARY KEY (`anrede_id`)
);

--
-- Daten fuer Tabelle `tb_brief_anrede`
--

INSERT INTO `tb_brief_anrede` VALUES (1, 'Sehr geehrte');
INSERT INTO `tb_brief_anrede` VALUES (2, 'Sehr geehrter');
INSERT INTO `tb_brief_anrede` VALUES (3, 'Liebe');
INSERT INTO `tb_brief_anrede` VALUES (4, 'Lieber');
INSERT INTO `tb_brief_anrede` VALUES (5, 'Hallo');

--
-- Tabellenstruktur fuer Tabelle `tb_brief_schluss`
--

CREATE TABLE IF NOT EXISTS `tb_brief_schluss` (
  `schluss_id` int(3) NOT NULL auto_increment,
  `schluss` char(30) NOT NULL default '',
  PRIMARY KEY (`schluss_id`)
);

--
-- Daten fuer Tabelle `tb_brief_schluss`
--

INSERT INTO `tb_brief_schluss` VALUES (1, 'Mit freundlichen Gr&uuml;&szlig;en');
INSERT INTO `tb_brief_schluss` VALUES (2, 'Herzliche Gr&uuml;&szlig;e');

--
-- Tabellenstruktur fuer Tabelle `tb_brief_text`
--

CREATE TABLE IF NOT EXISTS `tb_brief_text` (
  `brief_text_id` int(5) NOT NULL auto_increment,
  `pers_id` int(5) NOT NULL default '0',
  `text_kurz` varchar(100) NOT NULL default '',
  `text_lang` text NOT NULL,
  `merkmal` enum('t','f') NOT NULL default 't',
  PRIMARY KEY (`brief_text_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_buch`
--

CREATE TABLE IF NOT EXISTS `tb_buch` (
  `buch_id` int(5) unsigned NOT NULL auto_increment,
  `nr` int(3) unsigned zerofill NOT NULL default '000',
  `titel` varchar(100) NOT NULL default '',
  `utitel` varchar(100) default NULL,
  `kat_id` int(5) unsigned NOT NULL default '0',
  `notizen` text NOT NULL,
  `autor` varchar(100) NOT NULL default '',
  `ausleihe` enum('j','n') NOT NULL default 'j',
  `inventur` date default NULL,
  `inventurnotizen` text,
  `inventur_pers_id` int(5) unsigned NOT NULL default '0',
  `standort` varchar(100) NOT NULL default '',
  `abgangsdatum` datetime default NULL,
  `abgangsgrund` text,
  `abgang_pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`buch_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_buch_aus`
--

CREATE TABLE IF NOT EXISTS `tb_buch_aus` (
  `buch_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `von` datetime NOT NULL default '0000-00-00 00:00:00',
  `bis` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (`buch_id`,`pers_id`,`von`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_buch_kat`
--

CREATE TABLE IF NOT EXISTS `tb_buch_kat` (
  `kat_id` int(5) unsigned NOT NULL auto_increment,
  `kuerzel` char(8) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `aktiv` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`kat_id`)
);

--
-- Daten fuer Tabelle `tb_buch_kat`
--

INSERT INTO `tb_buch_kat` VALUES (1, 'R', 'Recht', 'j');
INSERT INTO `tb_buch_kat` VALUES (2, 'T', 'Theologie', 'j');
INSERT INTO `tb_buch_kat` VALUES (3, 'P', 'P&auml;dagogik', 'j');
INSERT INTO `tb_buch_kat` VALUES (4, 'F', 'Fachwissen', 'j');
INSERT INTO `tb_buch_kat` VALUES (5, 'P', 'PC', 'j');
INSERT INTO `tb_buch_kat` VALUES (6, 'B', 'Beratung', 'j');
INSERT INTO `tb_buch_kat` VALUES (7, 'PA', 'P&auml;dagogik', 'j');
INSERT INTO `tb_buch_kat` VALUES (8, 'PS', 'Psychologie', 'j');
INSERT INTO `tb_buch_kat` VALUES (9, 'W', 'Weiterbildung', 'j');
INSERT INTO `tb_buch_kat` VALUES (10, 'S', 'Sozialhilfe', 'j');
INSERT INTO `tb_buch_kat` VALUES (11, 'A', 'Allgemeines', 'j');
INSERT INTO `tb_buch_kat` VALUES (12, 'T3', 'Darstellung der christlichen Religion', 'j');
INSERT INTO `tb_buch_kat` VALUES (13, 'K42', 'Jugendrecht, Jugendhilferecht, Jugendschutzrecht,', 'j');
INSERT INTO `tb_buch_kat` VALUES (14, 'E40', 'Kunst- und Literatursoziologie, Kultursoziologie,', 'j');
INSERT INTO `tb_buch_kat` VALUES (15, 'C44', 'Suizid, Selbstmordverh&uuml;tung', 'j');
INSERT INTO `tb_buch_kat` VALUES (16, 'G11', 'Kinder- und Jugendpsychiatrie', 'j');
INSERT INTO `tb_buch_kat` VALUES (17, 'C59', 'Familientheorien und Familientherapien', 'j');
INSERT INTO `tb_buch_kat` VALUES (18, 'M55', 'Behinderte, Behindertenhilfe', 'j');
INSERT INTO `tb_buch_kat` VALUES (19, 'M70', 'Jugendhilfe (Allgemeines,Gesamtdarstellungen, Gesc', 'j');
INSERT INTO `tb_buch_kat` VALUES (20, 'M86', 'Familien- u. Eheberatung, Erziehungsberatung, unvo', 'j');
INSERT INTO `tb_buch_kat` VALUES (21, 'K38', 'Sozialhilfe, Sozialhilferecht', 'j');
INSERT INTO `tb_buch_kat` VALUES (22, 'F42', 'Deutsche Demokratische Republik', 'j');
INSERT INTO `tb_buch_kat` VALUES (23, 'E26', 'Schichtung, Mobilit&auml;t, sozialer Wandel, Klassenkon', 'j');
INSERT INTO `tb_buch_kat` VALUES (24, 'K31', ' Ausl&auml;nderrecht, Arbeitserlaubnisrecht, Asylverfah', 'j');
INSERT INTO `tb_buch_kat` VALUES (25, 'D 8', 'Schwangerschaft und Geburt', 'j');
INSERT INTO `tb_buch_kat` VALUES (26, 'C46', 'Lern- und Verhaltenstherapie, Behaviorismus, Techn', 'j');
INSERT INTO `tb_buch_kat` VALUES (27, 'K30', ' Arbeitsrecht, Tarifrecht fuer Arbeit, Betriebsverf', 'j');
INSERT INTO `tb_buch_kat` VALUES (28, 'K36', '  Sozialrecht (allgemein, Einf&uuml;hrungen, Gesamtdars', 'j');
INSERT INTO `tb_buch_kat` VALUES (29, 'K14', ' Familien- und Eherecht, Vormundschaftsrecht, Pfle', 'j');
INSERT INTO `tb_buch_kat` VALUES (30, 'K45', 'Ausbildungs- und Arbeitsf&ouml;rderungsrecht, Kinder- u', 'j');
INSERT INTO `tb_buch_kat` VALUES (31, 'M51', 'Schuldnerberatung', 'j');
INSERT INTO `tb_buch_kat` VALUES (32, 'K46', 'Recht in der Altenarbeit', 'j');
INSERT INTO `tb_buch_kat` VALUES (33, 'R10', 'Pflegetheorie', 'j');
INSERT INTO `tb_buch_kat` VALUES (34, 'C41', ' Sucht: Magersucht, E&szlig;st&ouml;rungen, Alkoholismus, Kau', 'j');
INSERT INTO `tb_buch_kat` VALUES (35, 'K26', '  Besonderes Verwaltungsrecht: Bau- und Bodenrecht', 'j');
INSERT INTO `tb_buch_kat` VALUES (36, 'L42', 'Sexualp&auml;dagogik', 'j');
INSERT INTO `tb_buch_kat` VALUES (37, 'E32', 'Religionssoziologie, Soziologie der Kirche', 'j');
INSERT INTO `tb_buch_kat` VALUES (38, 'M92', '  Jugendarbeit/Jugendbildung (Allgemeines, Geschic', 'j');
INSERT INTO `tb_buch_kat` VALUES (39, 'M38', ' Arbeitsfelder der Sozialarbeit/Sozialp&auml;dagogik (A', 'j');
INSERT INTO `tb_buch_kat` VALUES (40, 'F87', 'Klassen, Kultur, subkulturelle Gruppen', 'j');
INSERT INTO `tb_buch_kat` VALUES (41, 'E36', 'Kinder- und Jugendkriminalitt, Verwahrlosung', 'j');
INSERT INTO `tb_buch_kat` VALUES (42, 'M94', ' Theorien und Konzepte der Jugendarbeit, Jugendbio', 'j');
INSERT INTO `tb_buch_kat` VALUES (43, 'E24', 'Soziologie der Kindheit, -der Jugend', 'j');
INSERT INTO `tb_buch_kat` VALUES (44, 'C58', 'Systemische Therapie', 'j');
INSERT INTO `tb_buch_kat` VALUES (45, 'I30', 'Anwendersoftware - Branchensoftware', 'j');
INSERT INTO `tb_buch_kat` VALUES (46, 'E21', 'Soziales Verhalten, soziales Handeln, Interaktion,', 'j');
INSERT INTO `tb_buch_kat` VALUES (47, 'M1', ' Allgemeines (Lexika, W&ouml;rterb&uuml;cher, Einf&uuml;hrungen,', 'j');
INSERT INTO `tb_buch_kat` VALUES (48, 'D1', 'Allgemeines (Lexika, W&ouml;rterb&uuml;cher, Einf&uuml;hrungen, G', 'j');
INSERT INTO `tb_buch_kat` VALUES (49, 'F1', 'Allgemeines (Lexika, W&ouml;rterb&uuml;cher, Einf&uuml;hrungen, G', 'j');
INSERT INTO `tb_buch_kat` VALUES (50, 'M44', 'Suchtkrankenhilfe, Suizid, Drogenproblem', 'j');
INSERT INTO `tb_buch_kat` VALUES (51, 'M30', 'Methoden der Sozialarbeit/Sozialp&auml;dagogik (Allgeme', 'j');
INSERT INTO `tb_buch_kat` VALUES (52, 'E23', 'Frauen und Männer, Geschlechterverh&auml;ltnis, Matriar', 'j');
INSERT INTO `tb_buch_kat` VALUES (53, 'F75', 'Familienpolitik, jugendbezogene Politik', 'j');
INSERT INTO `tb_buch_kat` VALUES (54, 'K12', 'Allgemeiner Teil des BGB, Schuldrecht, Sachrecht,', 'j');
INSERT INTO `tb_buch_kat` VALUES (55, 'A4', ' Allgemeine Nachschlagewerke, Lexika, W&ouml;rterb&uuml;cher', 'j');
INSERT INTO `tb_buch_kat` VALUES (56, 'M97', 'Jugendbildungsarbeit, Mitarbeiter in der Jugendarb', 'j');
INSERT INTO `tb_buch_kat` VALUES (57, 'S1', '  Allgemeines (Einf&uuml;hrungen, &Uuml;berblicksliteratur,', 'j');
INSERT INTO `tb_buch_kat` VALUES (58, 'E36', 'Spezifische Formen der Devianz (spezifische Gruppe', 'j');
INSERT INTO `tb_buch_kat` VALUES (59, 'Q10', ' Verbraucherwissen', 'j');
INSERT INTO `tb_buch_kat` VALUES (60, 'F70', 'Politik des Sozialen (allgemeine Darstellungen)', 'j');
INSERT INTO `tb_buch_kat` VALUES (61, 'S70', 'Arbeitstechniken (Zeitmanagement, B&uuml;rologistik und', 'j');
INSERT INTO `tb_buch_kat` VALUES (62, 'F25', ' Parteien und Bewegungen', 'j');
INSERT INTO `tb_buch_kat` VALUES (63, 'M28', 'Sozialberufe, Aus- und Fortbildung, Professionalis', 'j');
INSERT INTO `tb_buch_kat` VALUES (64, 'M96', ' Jugendverb&auml;nde, Jugendverbandsarbeit, Jugendgrupp', 'j');
INSERT INTO `tb_buch_kat` VALUES (65, 'E28', ' Kommunikation, Massenmedien, &Ouml;ffentlichkeit', 'j');
INSERT INTO `tb_buch_kat` VALUES (66, 'R20', 'Pflegepraxis, allg.', 'j');
INSERT INTO `tb_buch_kat` VALUES (67, 'M90', 'Jugendschutz, Kinderschutz, Gewalt gegen Kinder un', 'j');
INSERT INTO `tb_buch_kat` VALUES (68, 'C95', ' Gesundheitspsychologie', 'j');
INSERT INTO `tb_buch_kat` VALUES (69, 'T6', 'Konkordanz', 'j');
INSERT INTO `tb_buch_kat` VALUES (70, 'T5', 'Bibel, Bibelkunde, Bibellexika', 'j');
INSERT INTO `tb_buch_kat` VALUES (71, 'C62', 'Kinder- und Jugendtherapie', 'j');
INSERT INTO `tb_buch_kat` VALUES (72, 'M84', 'Pflegekinderwesen, Adoption', 'j');
INSERT INTO `tb_buch_kat` VALUES (73, 'S50', ' Qualit&auml;tsmanagement (Qualit&auml;t, Qualit&auml;tsmanagemen', 'j');
INSERT INTO `tb_buch_kat` VALUES (74, 'M34', ' Gemeinwesenarbeit, Nachbarschaftshilfe, Milieuarb', 'j');
INSERT INTO `tb_buch_kat` VALUES (75, 'M16', 'Theorie der Sozialarbeit/Sozialp&auml;dagogik', 'j');
INSERT INTO `tb_buch_kat` VALUES (76, 'C1', '	     Allgemeines (Lexika, W&ouml;rterb&uuml;cher, Einf&uuml;hrun', 'j');
INSERT INTO `tb_buch_kat` VALUES (77, 'K10', 'B&uuml;rgerliches Recht (allgemein)', 'j');
INSERT INTO `tb_buch_kat` VALUES (78, 'K50', '   Strafrecht (Algemeines, Gesamtdarstellungen, St', 'j');
INSERT INTO `tb_buch_kat` VALUES (79, 'G2', 'Psychiatrische Diagnostik', 'j');
INSERT INTO `tb_buch_kat` VALUES (80, 'K51', 'Viktimisierung (=Wissenschaft des "Verbrechens"Opf', 'j');
INSERT INTO `tb_buch_kat` VALUES (81, 'M76', 'Heimerziehung (Allgemeines, Einf&uuml;hrungen, Theorie)', 'j');
INSERT INTO `tb_buch_kat` VALUES (82, 'N5', 'Literarische Werke (Romane, Erz&auml;hlungen,...)', 'j');
INSERT INTO `tb_buch_kat` VALUES (83, 'L40', 'Spielp&auml;dagogik', 'j');
INSERT INTO `tb_buch_kat` VALUES (84, 'B10', 'Wissenschaftstheorie, Erkenntnistheorie', 'j');
INSERT INTO `tb_buch_kat` VALUES (85, 'C80', 'P&auml;dagogische Psychologie (Lernen,Lernst&ouml;rungen,wis', 'j');
INSERT INTO `tb_buch_kat` VALUES (86, 'G15', 'Therapie (allgemein)', 'j');
INSERT INTO `tb_buch_kat` VALUES (87, 'C35', 'Tiefenpsychologie, Psychoanalyse', 'j');
INSERT INTO `tb_buch_kat` VALUES (88, 'C30', 'Pers&ouml;nlichkeitspsychologie (Psychogramme)', 'j');
INSERT INTO `tb_buch_kat` VALUES (89, 'S30', 'Personalmanagement (Personalmanagement, Personalen', 'j');
INSERT INTO `tb_buch_kat` VALUES (90, 'L32', 'Berufsausbildung', 'j');
INSERT INTO `tb_buch_kat` VALUES (91, 'E27', 'Biographie- und Lebenslaufforschung', 'j');
INSERT INTO `tb_buch_kat` VALUES (92, 'L40', 'Spielp&auml;dagogik', 'j');
INSERT INTO `tb_buch_kat` VALUES (93, 'L15', 'Erziehungskonzepte (Allgemeines und Besonderes)', 'j');
INSERT INTO `tb_buch_kat` VALUES (94, 'L45', 'Medienp&auml;dagogik', 'j');
INSERT INTO `tb_buch_kat` VALUES (95, 'L20', 'Methoden der P&auml;dagogik (Allgemeines und Besonderes', 'j');
INSERT INTO `tb_buch_kat` VALUES (96, 'M88', 'Vormundschafts- und Familiengerichtshilfe', 'j');
INSERT INTO `tb_buch_kat` VALUES (97, 'K54', 'Jugendstrafrecht', 'j');
INSERT INTO `tb_buch_kat` VALUES (98, 'K62', 'Proze&szlig;recht (Zivil-, Straf-, Jugendgerichtsbarkeit', 'j');
INSERT INTO `tb_buch_kat` VALUES (99, 'M32', 'Sozial benachteiligte Jugendliche', 'j');
INSERT INTO `tb_buch_kat` VALUES (100, 'L25', 'P&auml;dagogik und Gesellschaft', 'j');
INSERT INTO `tb_buch_kat` VALUES (101, 'M50', 'Soziale Dienste in der Justiz, Straff&auml;lligenhilfe', 'j');
INSERT INTO `tb_buch_kat` VALUES (102, 'L46', 'Erlebnisp&auml;dagogik', 'j');
INSERT INTO `tb_buch_kat` VALUES (103, 'M75', 'Arbeitshilfen', 'j');
INSERT INTO `tb_buch_kat` VALUES (104, 'E36', 'Abweichendes Verhalten', 'j');
INSERT INTO `tb_buch_kat` VALUES (105, 'T60', 'Diakonie ( Jahrb&uuml;cher,...)', 'j');
INSERT INTO `tb_buch_kat` VALUES (106, 'K60', 'Kriminalit&auml;t und Strafrecht in Deutschland', 'j');
INSERT INTO `tb_buch_kat` VALUES (107, 'M95', 'Kirchliche Jugendarbeit, kirchliche Gruppenarbeit', 'j');
INSERT INTO `tb_buch_kat` VALUES (108, 'K56', 'Strafvollzug, Gef&auml;ngniswesen, Jugendstrafvollzug', 'j');
INSERT INTO `tb_buch_kat` VALUES (109, 'M36', 'Supervision, Coaching', 'j');
INSERT INTO `tb_buch_kat` VALUES (110, 'F20', 'Staat und Verfassung', 'j');
INSERT INTO `tb_buch_kat` VALUES (111, 'V1', 'Allgemein', 'j');
INSERT INTO `tb_buch_kat` VALUES (112, 'V2', 'Behinderung', 'j');
INSERT INTO `tb_buch_kat` VALUES (113, 'V3', 'Drogen', 'j');
INSERT INTO `tb_buch_kat` VALUES (114, 'V4', 'Freundschaft/Liebe/Familie', 'j');
INSERT INTO `tb_buch_kat` VALUES (115, 'V5', 'Gewalt', 'j');
INSERT INTO `tb_buch_kat` VALUES (116, 'V6', 'Konflikte', 'j');
INSERT INTO `tb_buch_kat` VALUES (117, 'V7', 'Krieg', 'j');
INSERT INTO `tb_buch_kat` VALUES (118, 'V8', 'Vorurteile', 'j');
INSERT INTO `tb_buch_kat` VALUES (119, 'V9', 'Trauer', 'j');
INSERT INTO `tb_buch_kat` VALUES (120, 'F76', 'Sucht, Drogen und Politik', 'j');
INSERT INTO `tb_buch_kat` VALUES (121, 'E50', 'Anthropologie', 'j');
INSERT INTO `tb_buch_kat` VALUES (122, 'M33', 'Soziale Gruppenarbeit', 'j');
INSERT INTO `tb_buch_kat` VALUES (123, 'K37', '', 'j');
INSERT INTO `tb_buch_kat` VALUES (124, 'K37', 'Sozialversicherungsrecht, Versorgungsrecht, Schwer', 'j');
INSERT INTO `tb_buch_kat` VALUES (125, 'F45', 'Bundesrepublik Deutschland ab 03.10.1990', 'j');
INSERT INTO `tb_buch_kat` VALUES (126, 'K24', 'Verwaltungsrecht', 'j');

--
-- Tabellenstruktur fuer Tabelle `tb_fahrt`
--

CREATE TABLE IF NOT EXISTS `tb_fahrt` (
  `fahrt_id` int(3) unsigned NOT NULL auto_increment,
  `fahrt` varchar(25) NOT NULL default '',
  PRIMARY KEY (`fahrt_id`)
);

--
-- Daten fuer Tabelle `tb_fahrt`
-- tb_fahrt:static
--

INSERT INTO `tb_fahrt` VALUES (1, 'privat (Einsatzwechsel)');
INSERT INTO `tb_fahrt` VALUES (2, 'Leitung');
INSERT INTO `tb_fahrt` VALUES (3, 'Verwaltung');
INSERT INTO `tb_fahrt` VALUES (4, 'Technik');
INSERT INTO `tb_fahrt` VALUES (5, 'fallunspezifisch');
INSERT INTO `tb_fahrt` VALUES (7, 'Weiterbildung');
INSERT INTO `tb_fahrt` VALUES (8, 'Werkstatt');
INSERT INTO `tb_fahrt` VALUES (9, 'privat (erhht)');

--
-- Tabellenstruktur fuer Tabelle `tb_feedback`
--

CREATE TABLE IF NOT EXISTS `tb_feedback` (
  `fb_id` int(5) unsigned NOT NULL auto_increment,
  `datum` date NOT NULL default '0000-00-00',
  `titel` varchar(30) NOT NULL default '',
  `text` text NOT NULL,
  `pers_id` int(5) unsigned default NULL,
  `erledigt` enum('j','n') NOT NULL default 'n',
  `datum_erl` date default NULL,
  `text_gf` text,
  PRIMARY KEY (`fb_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_fehler`
-- tb_fehler:static
--

CREATE TABLE IF NOT EXISTS `tb_fehler` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
);

--
-- Daten fuer Tabelle `tb_fehler`
--

INSERT INTO `tb_fehler` VALUES (1, 'Das ist eine Testfehlermeldung, denn irgendwie muss ich das neue Fehlersystem ja testen. :-)');
INSERT INTO `tb_fehler` VALUES (2, 'Sie d&uuml;rfen nur Fehlzeiten f&uuml;r das kommende Kalenderjahr eingeben! Bitte wenden Sie sich an die Personalabteilung!');
INSERT INTO `tb_fehler` VALUES (3, 'Sie m&uuml;ssen korrekte und vollst&auml;ndige Daten eingeben!');
INSERT INTO `tb_fehler` VALUES (4, 'Zugriff nicht erlaubt!');
INSERT INTO `tb_fehler` VALUES (5, 'Sie sind weder Absender noch Empf&auml;nger dieser Nachricht!');
INSERT INTO `tb_fehler` VALUES (6, 'Sie sind lediglich berechtigt, Fehlzeiten f&uuml;r Mitarbeiter anzulegen, deren Level unter Ihrem liegt!');
INSERT INTO `tb_fehler` VALUES (7, 'Das eingegebene Ende liegt vor dem eingegebenen Beginn!');
INSERT INTO `tb_fehler` VALUES (8, 'Fehlzeiten &uuml;ber den Jahreswechsel hinweg sind unzul&auml;ssig!<br>Bitte mehrere Einzel-Fehlzeiten anlegen!');

--
-- Tabellenstruktur fuer Tabelle `tb_fehlz`
--

CREATE TABLE IF NOT EXISTS `tb_fehlz` (
  `fehlz_id` int(5) unsigned NOT NULL auto_increment,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `termin_id` int(5) unsigned NOT NULL default '0',
  `antrag` int(1) unsigned default NULL,
  `genehmigt` int(1) unsigned default NULL,
  `titel` varchar(50) default NULL,
  `fokus` int(1) unsigned default NULL,
  `antrag_pers_id` int(5) unsigned default NULL,
  `antrag_ts` int(10) unsigned default NULL,
  `fokus_pers_id` int(5) unsigned default NULL,
  `fokus_ts` int(10) unsigned default NULL,
  `genehmigt_pers_id` int(5) unsigned default NULL,
  `genehmigt_ts` int(10) unsigned default NULL,
  `abgerechnet` datetime default NULL,
  `angelegt_pers_id` int(5) unsigned default NULL,
  `angelegt_ts` int(10) unsigned default NULL,
  `and_pers_id` int(5) unsigned default NULL,
  `and_ts` int(10) unsigned default NULL,
  PRIMARY KEY (`fehlz_id`),
  KEY `pers_id` (`pers_id`),
  KEY `termin_id` (`termin_id`),
  KEY `genehmigt` (`genehmigt`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ga`
--

CREATE TABLE IF NOT EXISTS `tb_ga` (
  `ga_id` int(5) unsigned NOT NULL auto_increment,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ort_id` int(5) unsigned NOT NULL default '0',
  `art_id` int(5) unsigned NOT NULL default '0',
  `thema` varchar(50) NOT NULL default '',
  `notizen` text NOT NULL,
  `inhalt` int(5) unsigned NOT NULL default '0',
  `termin_id` int(5) unsigned NOT NULL default '0',
  `tn_max` int(2) default '0',
  `eb` decimal(5,2) default NULL,
  `ap_id` int(5) unsigned default NULL,
  `essen` int(5) unsigned default NULL,
  `kat_id` int(5) unsigned default NULL,
  `spesen` decimal(6,2) default NULL,
  PRIMARY KEY (`ga_id`),
  KEY `termin` (`termin_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ga_art`
--

CREATE TABLE IF NOT EXISTS `tb_ga_art` (
  `art_id` int(5) unsigned NOT NULL auto_increment,
  `ga_art` varchar(50) NOT NULL default '',
  `farbe` varchar(20) default NULL,
  `aktiv` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`art_id`)
);

--
-- Daten fuer Tabelle `tb_ga_art`
--

INSERT INTO `tb_ga_art` VALUES (1, 'Sport', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (2, 'Basteln/ Handwerk', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (4, 'Kochen', '', 'j');
INSERT INTO `tb_ga_art` VALUES (5, 'Musik', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (9, 'Computer', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (8, 'Foto', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (10, 'Holz', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (11, 'Metall', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (12, 'Fahrrad', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (13, 'PR-Aktion', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (14, 'Thema', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (15, 'Handwerk', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (16, 'Ergotherapie', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (17, 'Outdoor', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (18, 'Trickfilm drehen', NULL, 'j');
INSERT INTO `tb_ga_art` VALUES (21, 'Schreibwerkstatt', '', 'j');
INSERT INTO `tb_ga_art` VALUES (22, 'Kino im Stellwerk', '', 'j');
INSERT INTO `tb_ga_art` VALUES (23, 'Brettspiel', '', 'j');
INSERT INTO `tb_ga_art` VALUES (24, 'Brettspiel', '', 'j');
INSERT INTO `tb_ga_art` VALUES (25, 'Kinderschminken', '', 'j');
INSERT INTO `tb_ga_art` VALUES (26, 'Spiel', '', 'j');
INSERT INTO `tb_ga_art` VALUES (27, 'Modellbahnbau', '', 'j');
INSERT INTO `tb_ga_art` VALUES (28, 'M&auml;dchentreff', '#FFFF00', 'j');
INSERT INTO `tb_ga_art` VALUES (29, 'Handwerk', '', 'j');
INSERT INTO `tb_ga_art` VALUES (30, 'Beratung', '', 'j');
INSERT INTO `tb_ga_art` VALUES (31, 'Modelleisenbahn', '', 'j');
INSERT INTO `tb_ga_art` VALUES (32, 'Bau', '', 'j');
INSERT INTO `tb_ga_art` VALUES (33, 'Eltern-Info-Abend', 'rgb(51,153,51)', 'j');
INSERT INTO `tb_ga_art` VALUES (34, 'Videoprojekt', '', 'j');
INSERT INTO `tb_ga_art` VALUES (35, 'Disco', '', 'j');
INSERT INTO `tb_ga_art` VALUES (36, 'Weihnachtsfeier', '', 'j');
INSERT INTO `tb_ga_art` VALUES (37, 'Backen', '', 'j');
INSERT INTO `tb_ga_art` VALUES (38, 'Radeberg', '', 'j');

--
-- Tabellenstruktur fuer Tabelle `tb_ga_ort`
--

CREATE TABLE IF NOT EXISTS `tb_ga_ort` (
  `ort_id` int(5) unsigned NOT NULL auto_increment,
  `ga_ort` varchar(50) NOT NULL default '',
  PRIMARY KEY (`ort_id`)
);

--
-- Daten fuer Tabelle `tb_ga_ort`
--

INSERT INTO `tb_ga_ort` VALUES (1, 'Gro&szlig;erkmannsdorf');
INSERT INTO `tb_ga_ort` VALUES (2, 'Stellwerk 402');
INSERT INTO `tb_ga_ort` VALUES (3, 'Stellwerk 201');
INSERT INTO `tb_ga_ort` VALUES (4, 'Stellwerk Kamenz');
INSERT INTO `tb_ga_ort` VALUES (5, 'Stellwerk Leuben');
INSERT INTO `tb_ga_ort` VALUES (6, 'Ullersdorf');
INSERT INTO `tb_ga_ort` VALUES (7, 'B&uuml;hlau');
INSERT INTO `tb_ga_ort` VALUES (8, 'Bischofswerda');
INSERT INTO `tb_ga_ort` VALUES (9, 'Niedersedlitz');
INSERT INTO `tb_ga_ort` VALUES (10, 'S&auml;chsische Schweiz');
INSERT INTO `tb_ga_ort` VALUES (11, 'Radeberg Eselstrappen Sportplatz');
INSERT INTO `tb_ga_ort` VALUES (12, 'hinter Pirna');
INSERT INTO `tb_ga_ort` VALUES (13, 'Dresden-Neustadt');
INSERT INTO `tb_ga_ort` VALUES (14, 'Kesselsdorf');
INSERT INTO `tb_ga_ort` VALUES (15, 'Moritzburg');
INSERT INTO `tb_ga_ort` VALUES (16, 'Dresden');
INSERT INTO `tb_ga_ort` VALUES (17, 'Sportplatz EX-Jugendclub');
INSERT INTO `tb_ga_ort` VALUES (18, 'Dresden - Gorbitz');
INSERT INTO `tb_ga_ort` VALUES (19, 'Radebeul');
INSERT INTO `tb_ga_ort` VALUES (20, 'Hutberg Dresden - Wei&szlig;ig');
INSERT INTO `tb_ga_ort` VALUES (21, '&Ouml;sterreich');
INSERT INTO `tb_ga_ort` VALUES (22, 'Kmehren');
INSERT INTO `tb_ga_ort` VALUES (23, 'Kmehren');
INSERT INTO `tb_ga_ort` VALUES (24, 'Oberelbe');
INSERT INTO `tb_ga_ort` VALUES (25, 'Massenei');
INSERT INTO `tb_ga_ort` VALUES (26, 'Buschm&uuml;hle Bretnig-Hauswalde');
INSERT INTO `tb_ga_ort` VALUES (27, 'Golfzentrum Schloss Rammenau');
INSERT INTO `tb_ga_ort` VALUES (28, 'Pestalozziturnhalle');
INSERT INTO `tb_ga_ort` VALUES (29, 'Ottendorf- Okrilla');
INSERT INTO `tb_ga_ort` VALUES (30, 'Kamenz');

--
-- Tabellenstruktur fuer Tabelle `tb_ger`
--

CREATE TABLE IF NOT EXISTS `tb_ger` (
  `ger_id` int(5) unsigned NOT NULL auto_increment,
  `nr` int(3) unsigned zerofill NOT NULL default '000',
  `name` varchar(50) NOT NULL default '',
  `standort` varchar(50) NOT NULL default '',
  `kat_id` int(5) unsigned NOT NULL default '0',
  `notizen` text,
  `ausleihe` enum('j','n') NOT NULL default 'n',
  `inventnr` varchar(10) NOT NULL default '',
  `rubrik` tinyint(1) unsigned NOT NULL default '1',
  `traegerart_id` int(2) unsigned default NULL,
  `typ` varchar(50) NOT NULL default '',
  `inventur` date default NULL,
  `inventurnotizen` text,
  `inventur_pers_id` int(5) unsigned NOT NULL default '0',
  `epruef` enum('j','n') NOT NULL default 'n',
  `inspektion` enum('j','n') NOT NULL default 'n',
  `frist` int(3) unsigned NOT NULL default '14',
  `turnus_e` int(3) unsigned default NULL,
  `turnus_i` int(3) unsigned default NULL,
  `imei` varchar(20) NOT NULL default '',
  `serial` varchar(50) NOT NULL default '',
  PRIMARY KEY (`ger_id`),
  KEY `kat_id` (`kat_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ger_aus`
--

CREATE TABLE IF NOT EXISTS `tb_ger_aus` (
  `ger_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `von` datetime NOT NULL default '0000-00-00 00:00:00',
  `bis` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (`ger_id`,`pers_id`,`von`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ger_kat`
--

CREATE TABLE IF NOT EXISTS `tb_ger_kat` (
  `kat_id` int(5) unsigned NOT NULL auto_increment,
  `kuerzel` char(3) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `verknupf` enum('p','k','pk','m','pm','mk','pmk') default NULL,
  `turnus_e` int(3) unsigned NOT NULL default '6',
  `turnus_i` int(3) unsigned NOT NULL default '6',
  PRIMARY KEY (`kat_id`)
);

--
-- Daten fuer Tabelle `tb_ger_kat`
--

INSERT INTO `tb_ger_kat` VALUES (1, 'EPR', 'E:Pro Materialien und Ger&auml;te', NULL, 6, 6);
INSERT INTO `tb_ger_kat` VALUES (2, 'BTE', 'B&uuml;rotechnik', NULL, 6, 6);
INSERT INTO `tb_ger_kat` VALUES (3, 'MTM', 'Multimedia', NULL, 6, 6);
INSERT INTO `tb_ger_kat` VALUES (4, 'FZG', 'Fahrzeuge', NULL, 6, 6);
INSERT INTO `tb_ger_kat` VALUES (5, 'BOM', 'B&uuml;rom&ouml;bel', NULL, 6, 6);
INSERT INTO `tb_ger_kat` VALUES (6, 'WZL', 'Werkzeug - LOM', NULL, 6, 6);
INSERT INTO `tb_ger_kat` VALUES (7, 'FRD', 'Fahrrad', NULL, 6, 6);

--
-- Tabellenstruktur fuer Tabelle `tb_hilfeart`
--

CREATE TABLE IF NOT EXISTS `tb_hilfeart` (
  `hilfeart_id` int(5) unsigned NOT NULL auto_increment,
  `hilfeart` char(3) NOT NULL default '',
  `beschreibung` varchar(70) NOT NULL default '',
  `anfrage` int(1) NOT NULL default '1',
  `alv` int(1) unsigned NOT NULL default '0',
  `typ` int(1) unsigned NOT NULL default '1',
  `pra_id` int(5) unsigned NOT NULL default '0',
  `kurzname` varchar(40) default NULL,
  `traeger_art_id` int(5) NOT NULL DEFAULT '2',
  `doku` tinyint(1) NOT NULL default '1',
  `fls_fz` tinyint(1) NOT NULL default '0',
  `fls_azk` tinyint(1) NOT NULL default '1',
  `h_kapp_neg` tinyint(1) NOT NULL default '0',
  `h_kapp_neg_wert` tinyint(2) NOT NULL default '-10',
  `h_kapp_pos` tinyint(1) NOT NULL default '0',
  `h_kapp_pos_wert` tinyint(2) NOT NULL default '10',
  `vertretung` tinyint(1) default NULL,
  `iqs` tinyint(1) default NULL,
  `tt_req` tinyint(1) default NULL,
  `paragraph` varchar(5) NOT NULL DEFAULT '',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `adult` enum('j','n') NOT NULL default 'n',
  `gruppenprojekt` enum('j','n') NOT NULL default 'n',
  `abt_id` int(5) NOT NULL DEFAULT '0',
  `nopost` enum('j','n') NOT NULL default 'n',
  `spesen` enum('j','n') NOT NULL default 'n',
  `farbe` varchar(10) NOT NULL default '',
  `nokalzk` enum('j','n') NOT NULL default 'n',
  `pkw_zk` enum('j','n') NOT NULL default 'n',
  `no_pers_hp` enum('j','n') NOT NULL default 'n',
  `no_refl` enum('j','n') NOT NULL default 'n',
  `BZ2017` tinyint(2) NOT NULL default '0',
  `verw` enum('j','n') NOT NULL default 'n',
  `id_ja` int(5) unsigned default NULL,
  `id_le` int(5) unsigned default NULL,
  `pooluebertrag` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`hilfeart_id`),
  INDEX `ix_hilfeart` (`hilfeart`)
);

--
-- Daten fuer Tabelle `tb_hilfeart`
--

INSERT INTO `tb_hilfeart` VALUES (3, 'AKT', 'Aggressionskontrolltraining nach 10 JGG / 29 SGB VIII', 0, 0, 4, 2, '10 JGG / 29 SGB VIII', 2, 0, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (4, 'ALG', 'Gemeinntzige Arbeitsleistung nach 10 JGG', 0, 1, 2, 6, '10 JGG', 2, 0, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (6, 'BEG', 'Sozialpdagogische Begleitung', 1, 0, 1, 1, '', 2, 0, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (7, 'BEW', 'Betreutes Einzelwohnen nach 34 JGG', 1, 0, 1, 1, '34 JGG', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (8, 'BWG', 'Betreuungsweisung nach 10 JGG/30 SGB VIII', 1, 0, 1, 1, '10 JGG/30 SGB VIII', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (9, 'BWV', 'Betreuungsweisung n. 10 JGG/30/41 SGB VIII (junge Volljhrige)', 1, 0, 1, 1, '10 JGG/30/41 SGB VIII (junge Volljhrige)', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (10, 'EBS', 'Erziehungsbeistandschaft nach 30 SGB VIII', 1, 0, 1, 1, '30 SGB VIII', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (11, 'EBV', 'Erziehungsbeistandschaft nach 30/41 SGB VIII (junge Volljhrige)', 1, 0, 1, 1, '30/41 SGB VIII (junge Volljhrige)', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (12, 'EGH', 'Eingliederungshilfe nach 35a SGB VIII', 1, 0, 1, 1, '35a SGB VIII', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (13, 'EGV', 'Eingliederungshilfe nach 35a SGB VIII (junge Volljhrige)', 1, 0, 1, 1, '35a SGB VIII (junge Volljhrige)', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (14, 'ISE', 'Intensive sozialpdagogische Einzelbetreuung nach 35 SGB VIII', 1, 0, 1, 1, '35 SGB VIII', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (15, 'ISV', 'Intensive sozialpdag. Einzelbetreuung n. 35 SGB VIII (junge Volljhrige)', 1, 0, 1, 1, '35 SGB VIII (junge Volljhrige)', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (17, 'LTG', 'Leitung', 0, 0, 3, 4, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (18, 'SFH', 'Sozialpdagogische Familienhilfe nach 31 SGB VIII', 1, 0, 1, 1, '31 SGB VIII', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (19, 'SFK', 'Sozialpdagogische Familienhilfe nach 31 SGB VIII', 1, 0, 1, 1, '31 SGB VIII', 2, 1, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (21, 'STK', 'Sozialer Trainingskurs nach 10 JGG / 29 SGB VIII', 0, 0, 4, 2, '10 JGG / 29 SGB VIII', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (22, 'VER', 'Verwaltung', 0, 1, 3, 5, '', 2, 0, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (23, 'LOM', 'Lock-o-motive', 0, 1, 3, 3, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (24, 'SPS', 'Schulprojekt Signal', 0, 1, 3, 3, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (25, 'SGF', 'Soziale Gruppenarbeit nach 29 SGB VIII nach FLS', 0, 0, 4, 2, '29 SGB VIII nach FLS', 2, 1, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (26, 'SWE', 'Stellware Marketing', 0, 1, 3, 9, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (27, 'VWG', 'Verwaltungskrfte', 0, 1, 3, 5, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (28, 'SGA', 'Soziale Gruppenarbeit', 0, 0, 4, 2, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (29, 'IXP', 'IdeenXpress', 0, 0, 3, 3, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (30, 'STM', 'Strategisches Management', 0, 0, 3, 4, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (31, 'QSS', 'Qualittssicherungssystem', 0, 0, 3, 4, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (34, 'EDV', 'EDV allgemein', 0, 0, 3, 8, '', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (35, 'EDS', 'EDV Sicherheit', 0, 0, 3, 8, '', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (36, 'EDW', 'EDV Wartung', 0, 0, 3, 8, '', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (37, 'EDK', 'EDV kleine Auftrge', 0, 0, 3, 8, '', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (38, 'SWP', 'Stellware Programmierung', 0, 0, 3, 10, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (39, 'SWK', 'Stellware kleine Auftrge', 0, 0, 3, 10, '', 2, 0, 1, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (40, 'AFB', 'Ambulante Familienberatung AFB nach 28 SGB VIII', 1, 0, 1, 1, '28 SGB VIII', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (41, 'CZT', 'C-Zeitenaktion', 0, 1, 3, 5, '', 2, 0, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');
INSERT INTO `tb_hilfeart` VALUES (42, 'HzE', 'Hilfen zur Erziehung nach 27ff SGB VIII', 1, 0, 1, 1, '', 2, 1, 0, 1, 0, -10, 0, 10, NULL, NULL, NULL, 0, 'j', 'n', 'n', 0, 'n', 'n', '', 'n', 'n', 'n', 'n', 0, 'n', NULL, NULL, 'n');

--
-- Tabellenstruktur fuer Tabelle `tb_hon_kl`
--

CREATE TABLE IF NOT EXISTS `tb_hon_kl` (
  `kl_id` int(3) NOT NULL auto_increment,
  `name` varchar(15) NOT NULL default '',
  `betrag` decimal(5,2) NOT NULL default '0.00',
  `p_art_id` int(3) unsigned NOT NULL default '0',
  PRIMARY KEY (`kl_id`)
);

--
-- Daten fuer Tabelle `tb_hon_kl`
--

INSERT INTO `tb_hon_kl` VALUES (-1, 'ins AZK', 0.00, 0);
INSERT INTO `tb_hon_kl` VALUES (1, 'B&uuml;ro', 9.99, 4);

--
-- Tabellenstruktur fuer Tabelle `tb_hp`
--

CREATE TABLE IF NOT EXISTS `tb_hp` (
  `hp_id` int(5) unsigned NOT NULL auto_increment,
  `proj_id` int(5) unsigned NOT NULL default '0',
  `hp_art` enum('h','s','r','a','q','d','b','x','y','h2','k','pb','ag','bu','kz') NOT NULL default 'h',
  `erst` enum('j','n') NOT NULL default 'n',
  `datum` date NOT NULL default '0000-00-00',
  `and_datum` date default NULL,
  `hp_st` decimal(5,2) NOT NULL default '0.00',
  `st_grund` text,
  `teilnehmer` text NOT NULL,
  `ziele` text NOT NULL,
  `datum_n` date default NULL,
  `ap_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `prognose` enum('j','n') NOT NULL default 'n',
  `gefaehrdung` enum('latent','akut','nein') default NULL,
  `hilfeverlauf` text,
  `ressourcen` text,
  `selbsthilfe` text,
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `chg_id` int(5) unsigned NOT NULL default '0',
  `hpv_form` int(1) default NULL,
  `kontakt_fz` decimal(4,2) NOT NULL default '0.00',
  `fallbegl` enum('j','n') NOT NULL default 'n',
  `kontakt` enum('j','n') default NULL,
  `fallbegl_antrag` text,
  `fb_ok` int(5) unsigned default NULL,
  `fb_ok_ts` int(10) unsigned default NULL,
  PRIMARY KEY (`hp_id`),
  KEY `ix_proj_id` (`proj_id`),
  KEY `ix_hp_art` (`hp_art`),
  KEY `ix_and_datum` (`and_datum`),
  KEY `ix_datum` (`datum`),
  KEY `ix_fb_ok` (`fb_ok`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_bel`
--

CREATE TABLE IF NOT EXISTS `tb_hp_bel` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `bel_kat_id` int(5) unsigned NOT NULL default '0',
  `text` text,
  PRIMARY KEY (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_eg`
--

CREATE TABLE IF NOT EXISTS `tb_hp_eg` (
  `eg_id` int(8) NOT NULL auto_increment,
  `hp_id` int(8) NOT NULL default '0',
  `minimalkonsens` text NOT NULL,
  `anlass` text,
  PRIMARY KEY (`eg_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_handlungsschritte`
--

CREATE TABLE IF NOT EXISTS `tb_hp_handlungsschritte` (
  `id` int(11) NOT NULL auto_increment,
  `ziel_id` int(11) default NULL,
  `schritt` text,
  `verantwortlich` varchar(25) NOT NULL default '',
  `kat_id` int(5) unsigned default NULL,
  `nummer` int(3) default NULL,
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_praxisziele`
--

CREATE TABLE IF NOT EXISTS `tb_hp_praxisziele` (
  `id` int(11) NOT NULL auto_increment,
  `nummer` tinyint(2) unsigned default NULL,
  `ziel` text NOT NULL,
  `termin` date NOT NULL default '0000-00-00',
  `hp_id` int(8) NOT NULL default '0',
  `LE` enum('0','1') NOT NULL default '0',
  `le_datum` date default NULL,
  `HE` enum('0','1') NOT NULL default '0',
  `he_datum` date default NULL,
  `ASD` enum('0','1') NOT NULL default '0',
  `asd_datum` date default NULL,
  `erledigt` date default NULL,
  `erreicht` enum('j','n') default NULL,
  `prio` tinyint(2) default NULL,
  `grund` text,
  `weiter` enum('a','b') default NULL,
  `prio2` tinyint(2) default NULL,
  `prio3` tinyint(2) default NULL,
  `kategorie` tinyint(2) unsigned NOT NULL default '0',
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_qs`
--

CREATE TABLE IF NOT EXISTS `tb_hp_qs` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `adresse` enum('j','n') NOT NULL default 'n',
  `ja_sb` enum('j','n') NOT NULL default 'n',
  `kostenzus` enum('j','n') NOT NULL default 'n',
  `hp_ende` enum('j','n') NOT NULL default 'n',
  `hp_hist` enum('j','n') NOT NULL default 'n',
  `hp_st` enum('j','n') NOT NULL default 'n',
  `vertretung` enum('j','n') NOT NULL default 'n',
  `weit_betreuer` enum('j','n') NOT NULL default 'n',
  `a_ab` enum('j','n') NOT NULL default 'n',
  `a_hp` enum('j','n') NOT NULL default 'n',
  `a_hp_sign` enum('j','n') NOT NULL default 'n',
  `a_hp_vor` enum('j','n') NOT NULL default 'n',
  `a_sign` enum('j','n') NOT NULL default 'n',
  `a_daten` enum('j','n') NOT NULL default 'n',
  `gepr_hb` enum('j','n') NOT NULL default 'n',
  `gepr_hb_datum` int(10) unsigned NOT NULL default '0',
  `gepr_hb_pers_id` int(5) unsigned NOT NULL default '0',
  `gepr_qss` enum('j','n') NOT NULL default 'n',
  `gepr_qss_datum` int(10) unsigned NOT NULL default '0',
  `gepr_qss_pers_id` int(5) unsigned NOT NULL default '0',
  `gepr_iqs` enum('j','n') NOT NULL default 'n',
  `gepr_iqs_datum` int(10) unsigned NOT NULL default '0',
  `gepr_iqs_pers_id` int(5) unsigned NOT NULL default '0',
  `re_mon` decimal(8,2) NOT NULL default '0.00',
  `re_wunsch` enum('j','n') NOT NULL default 'n',
  `pb_vorhanden` enum('j','n') NOT NULL default 'n',
  `bericht` text,
  `bericht2` text,
  `a_schweigepflicht` enum('j','n') NOT NULL default 'n',
  `a_mitfahrg` enum('j','n') NOT NULL default 'n',
  `a_hp_vor_sign` enum('j','n') NOT NULL default 'n',
  `a_eve_ja` enum('j','n') NOT NULL default 'n',
  `a_ag` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_re`
--

CREATE TABLE IF NOT EXISTS `tb_hp_re` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `prio` tinyint(1) unsigned NOT NULL default '0',
  `frage` text NOT NULL,
  `besond` text,
  `strukt1` tinyint(1) unsigned default NULL,
  `strukt2` tinyint(1) unsigned default NULL,
  `strukt3` tinyint(1) unsigned default NULL,
  `method1` tinyint(1) unsigned default NULL,
  `method2` tinyint(1) unsigned default NULL,
  `method3` tinyint(1) unsigned default NULL,
  `mod1` int(3) unsigned default NULL,
  `mod2` int(3) unsigned default NULL,
  `mod3` int(3) unsigned default NULL,
  `mod_ext` varchar(50) default NULL,
  `mod_intex` varchar(50) default NULL,
  `tn1` int(3) unsigned default NULL,
  `tn2` int(3) unsigned default NULL,
  `tn3` int(3) unsigned default NULL,
  `fokus1` int(3) unsigned default NULL,
  `fokus2` int(3) unsigned default NULL,
  `fokus3` int(3) unsigned default NULL,
  `kwg` tinyint(1) default NULL,
  `prozess` text,
  `fok_g` text,
  `fok_s` text,
  `fok_h` text,
  `ergebnis` text,
  PRIMARY KEY (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_sd`
--

CREATE TABLE IF NOT EXISTS `tb_hp_sd` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `sd_id` int(5) unsigned NOT NULL default '0',
  `risk` text,
  `res` text,
  PRIMARY KEY (`hp_id`,`sd_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hpvor`
--

CREATE TABLE IF NOT EXISTS `tb_hpvor` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `befind_kl` text NOT NULL,
  `befind_sb` text NOT NULL,
  `befind_ma` text NOT NULL,
  `hziel_kl` text NOT NULL,
  `hziel_sb` text NOT NULL,
  `hziel_ma` text NOT NULL,
  `res_kl` text NOT NULL,
  `res_sb` text NOT NULL,
  `res_ma` text NOT NULL,
  `zzeit_kl` text NOT NULL,
  `zzeit_sb` text NOT NULL,
  `zzeit_ma` text NOT NULL,
  `znicht_kl` text NOT NULL,
  `znicht_sb` text NOT NULL,
  `znicht_ma` text NOT NULL,
  PRIMARY KEY (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hpvor2`
--

CREATE TABLE IF NOT EXISTS `tb_hpvor2` (
  `id` int(11) NOT NULL auto_increment,
  `ziel_id` int(8) NOT NULL default '0',
  `hp_id` int(11) NOT NULL default '0',
  `le_err` text,
  `le_vor` text,
  `ad_err` text,
  `ad_vor` text,
  `ad_err2` text,
  `ad_vor2` text,
  `le_skala` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `ad_skala` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `ad2_skala` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `ad3_skala` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `ad4_skala` tinyint(2) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_info`
--

CREATE TABLE IF NOT EXISTS `tb_info` (
  `info_id` int(5) unsigned NOT NULL auto_increment,
  `info` varchar(15) NOT NULL default '',
  `text` varchar(100) NOT NULL default '',
  `stellware` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `stichworte` varchar(100) default NULL,
  `notizen` text,
  PRIMARY KEY (`info_id`),
  KEY `info` (`info`,`text`)
);

--
-- Daten fuer Tabelle `tb_info`
--

INSERT INTO `tb_info` VALUES (1, 'AAJ', 'Anerkennungsjahr', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (14, 'AKT', 'Aggressionskontrolltraining nach 10 JGG', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (15, 'ALG', 'Gemeinntzige Arbeitsleistung nach 10 JGG', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (16, 'ALL', 'Allgemein', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (17, 'BEG', 'Sozialpdagogische Begleitung', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (2, 'BEH', 'Betreuungshelfer', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (18, 'BEW', 'Betreutes Einzelwohnen nach 10 JGG', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (19, 'BWG', 'Betreuungsweisung nach 10 JGG/30 SGB VIII', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (20, 'BWV', 'Betreuungsweisung n. 10 JGG/30/41 SGB VIII (junge Volljhrige)', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (3, 'DIA', 'Diakon', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (4, 'DSA', 'Diplomsozialpdagoge', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (5, 'EAA', 'Ehrenamtlich Allgemein', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (6, 'EAB', 'Ehrenamtlicher Betreuer', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (21, 'EBS', 'Erziehungsbeistandschaft nach 30 SGB VIII', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (22, 'EBV', 'Erziehungsbeistandschaft nach 30/41 SGB VIII (junge Volljhrige)', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (7, 'EDV', 'EDV-Betreuer', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (23, 'EGH', 'Eingliederungshilfe nach 35a SGB VIII', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (24, 'EGV', 'Eingliederungshilfe nach 35a SGB VIII (junge Volljhrige)', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (25, 'ISE', 'Intensive sozialpdagogische Einzelbetreuung nach 35 SGB VIII', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (26, 'ISV', 'Intensive sozialpdag. Einzelbetreuung n. 35 SGB VIII (junge Volljhrige)', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (8, 'JBT', 'Jugendbetreuer Technik', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (27, 'KMA', 'Kilometer- und Spesenabrechung', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (33, 'LOM', 'Lock-o-motive', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (28, 'LTG', 'Leitung', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (9, 'PRA', 'Praktikant', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (29, 'SFH', 'Sozialpdagogische Familienhilfe nach 31 SGB VIII ber Fachleistungsstunden', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (30, 'SFK', 'Sozialpdagogische Familienhilfe nach 31 SGB VIII im Landkreis Kamenz (Projektfrderung)', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (34, 'SPS', 'Schulprojekt Signal', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (31, 'STK', 'Sozialer Trainingskurs nach 10 JGG', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (10, 'STU', 'Student', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (12, 'TEC', 'Technischer Mitarbeiter', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (11, 'VER', 'Verwaltung', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (13, 'VMG', 'Vereinsmitglied', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (52, 'ASD', 'Allgemeiner Sozialer Dienst', 1, NULL, NULL);
INSERT INTO `tb_info` VALUES (55, 'ZK', 'Zeitkarte', 1, NULL, NULL);

--
-- Tabellenstruktur fuer Tabelle `tb_keys`
--

CREATE TABLE IF NOT EXISTS `tb_keys` (
  `key_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `anzahl` int(3) unsigned NOT NULL default '0',
  `nr` varchar(100) default NULL,
  `art_id` int(5) unsigned NOT NULL default '0',
  `notizen` text,
  `betrag` decimal(7,2) default NULL,
  `aktiv` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`key_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_keys_aus`
--

CREATE TABLE IF NOT EXISTS `tb_keys_aus` (
  `key_id` int(5) unsigned NOT NULL default '0',
  `pers_e` int(5) unsigned NOT NULL default '0',
  `pers_a` int(5) unsigned NOT NULL default '0',
  `pers_r` int(5) unsigned default NULL,
  `von` datetime NOT NULL default '0000-00-00 00:00:00',
  `bis` datetime default NULL,
  `notizen_a` text,
  `notizen_r` text,
  `proj_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`key_id`,`pers_e`,`von`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_kinder`
--

CREATE TABLE IF NOT EXISTS `tb_kinder` (
  `kind_id` int(5) unsigned NOT NULL auto_increment,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `name` varchar(30) NOT NULL default '',
  `vorname` varchar(30) NOT NULL default '',
  `geboren` date default NULL,
  `kigeld` enum('j','n') default NULL,
  `kigeld_empf` enum('M','E') default NULL,
  `gatte_pub` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`kind_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_kontakte`
--

CREATE TABLE IF NOT EXISTS `tb_kontakte` (
  `kont_id` int(5) unsigned NOT NULL auto_increment,
  `kurzname` varchar(10) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `name2` varchar(100) default NULL,
  `strasse` varchar(30) default NULL,
  `plz` varchar(5) default NULL,
  `ort` varchar(30) default NULL,
  `telzentral` varchar(15) NOT NULL default '',
  `faxzentral` varchar(15) NOT NULL default '',
  `notizen` text,
  `kont_art_id` int(3) unsigned NOT NULL default '0',
  `email` varchar(50) default NULL,
  `lom` enum('j','n') NOT NULL default 'n',
  `kmp` enum('j','n') NOT NULL default 'n',
  `kmp_datum` date NOT NULL default '0000-00-00',
  `zahlung` int(2) NOT NULL default '8',
  `utitel` varchar(100) default NULL,
  `kdnr` varchar(11) default NULL,
  `nrkreis` int(3) unsigned NOT NULL default '65',
  `ab` enum('j','n','h') NOT NULL default 'n',
  `sig` enum('j','n') NOT NULL default 'n',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `pauschFLS` enum('j','n','g') NOT NULL default 'n',
  `k_fls_soll` int(1) NOT NULL default '0',
  `asd` varchar(50) default NULL,
  `hpv_form` tinyint(1) NOT NULL default '0',
  `hpv_form_datum` date default NULL,
  `k_kapp_neg` tinyint(1) NOT NULL default '0',
  `k_kapp_neg_wert` tinyint(2) NOT NULL default '-10',
  `k_kapp_pos` tinyint(1) NOT NULL default '0',
  `k_kapp_pos_wert` tinyint(2) NOT NULL default '10',
  `fz_kapp_modus` tinyint(1) NOT NULL default '0',
  `fz_kapp_datum` date default NULL,
  `pauschVuN` enum('j','n') NOT NULL default 'n',
  `kmg` enum('j','n') NOT NULL default 'n',
  `kmg_ja_satz` int(3) NOT NULL default '0',
  `kreditor` varchar(10) default NULL,
  `kontaktstunden` tinyint(1) NOT NULL default '0',
  `www` varchar(50) default NULL,
  `kh_id` int(5) unsigned NOT NULL default '0',
  `code_a` enum('j','n') NOT NULL default 'n',
  `lieferbedingungen` text,
  `ab_modus` enum('at','433') NOT NULL default '433',
  `farbe` varchar(10) NOT NULL default '',
  `prozVuN` decimal(5,3) default '25.00',
  `codeVuN` varchar(10) default NULL,
  `kmgpauschale` enum('j','n') NOT NULL default 'n',
  `fls_fz` tinyint(1) NOT NULL default '0',
  `rund_prozVuN` enum('j','n','5') NOT NULL default '5',
  `csv` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`kont_id`,`kh_id`),
  KEY `ab` (`ab`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_kontakte_ap`
--

CREATE TABLE IF NOT EXISTS `tb_kontakte_ap` (
  `ap_id` int(5) unsigned NOT NULL auto_increment,
  `kont_id` int(5) unsigned NOT NULL default '0',
  `anrede` varchar(15) default NULL,
  `name` varchar(30) default NULL,
  `vorname` varchar(30) default NULL,
  `abt` varchar(30) default NULL,
  `pos` varchar(30) default NULL,
  `teldienst` varchar(25) default NULL,
  `telmobil` varchar(25) default NULL,
  `fax` varchar(25) default NULL,
  `email` varchar(50) default NULL,
  `notizen` text,
  `aktiv` enum('j','n') NOT NULL default 'j',
  `strasse` varchar(30) default NULL,
  `plz` varchar(5) default NULL,
  `ort` varchar(30) default NULL,
  `lom` enum('j','n') NOT NULL default 'n',
  `referent` enum('j','n') NOT NULL default 'n',
  `fr_id` int(2) unsigned default NULL,
  `bsd` varchar(5) default NULL,
  `csv` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`ap_id`),
  KEY `kont_id` (`kont_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_kontakte_art`
--

CREATE TABLE IF NOT EXISTS `tb_kontakte_art` (
  `kont_art_id` int(3) unsigned NOT NULL auto_increment,
  `kont_art` varchar(30) NOT NULL default '',
  PRIMARY KEY (`kont_art_id`)
);

--
-- Daten fuer Tabelle `tb_kontakte_art`
--

INSERT INTO `tb_kontakte_art` VALUES (1, 'Auftraggeber(JA)');
INSERT INTO `tb_kontakte_art` VALUES (2, 'Beh&ouml;rde');
INSERT INTO `tb_kontakte_art` VALUES (3, 'Freier Tr&auml;ger');
INSERT INTO `tb_kontakte_art` VALUES (4, 'Institution');
INSERT INTO `tb_kontakte_art` VALUES (5, 'Lieferant');

--
-- Tabellenstruktur fuer Tabelle `tb_level_farbe`
--

CREATE TABLE IF NOT EXISTS `tb_level_farbe` (
  `level` int(2) unsigned NOT NULL default '0',
  `farbe` varchar(10) NOT NULL default '',
  PRIMARY KEY (`level`)
);

--
-- Daten fuer Tabelle `tb_level_farbe`
--

INSERT INTO `tb_level_farbe` VALUES (25, '#FFFF00');
INSERT INTO `tb_level_farbe` VALUES (26, '#FFFF00');
INSERT INTO `tb_level_farbe` VALUES (98, '#00A600');
INSERT INTO `tb_level_farbe` VALUES (97, '#DC0000');
INSERT INTO `tb_level_farbe` VALUES (96, '#DC0000');
INSERT INTO `tb_level_farbe` VALUES (80, '#800080');
INSERT INTO `tb_level_farbe` VALUES (70, '#FFCC00');
INSERT INTO `tb_level_farbe` VALUES (60, '#FFCC00');
INSERT INTO `tb_level_farbe` VALUES (50, '#996633');
INSERT INTO `tb_level_farbe` VALUES (30, '#0000FF');
INSERT INTO `tb_level_farbe` VALUES (20, '#A50000');
INSERT INTO `tb_level_farbe` VALUES (35, '#0000FF');
INSERT INTO `tb_level_farbe` VALUES (40, '#0000FF');
INSERT INTO `tb_level_farbe` VALUES (45, '#0000FF');
INSERT INTO `tb_level_farbe` VALUES (46, '#0000FF');
INSERT INTO `tb_level_farbe` VALUES (99, '#FFFF00');
INSERT INTO `tb_level_farbe` VALUES (15, '#E1E1E1');
INSERT INTO `tb_level_farbe` VALUES (47, '#008B8B');
INSERT INTO `tb_level_farbe` VALUES (44, '#A50000');
INSERT INTO `tb_level_farbe` VALUES (51, '#0000FF');
INSERT INTO `tb_level_farbe` VALUES (65, '#FFCC00');
INSERT INTO `tb_level_farbe` VALUES (61, '#FFCC00');
INSERT INTO `tb_level_farbe` VALUES (48, '#0000FF');
INSERT INTO `tb_level_farbe` VALUES (10, '#F5F5F5');
INSERT INTO `tb_level_farbe` VALUES (17, '#F5F5F5');

--
-- Tabellenstruktur fuer Tabelle `tb_lom`
--

CREATE TABLE IF NOT EXISTS `tb_lom` (
  `lom_id` int(5) unsigned NOT NULL auto_increment,
  `tn_mal` int(2) unsigned default NULL,
  `tn_fem` int(2) unsigned default NULL,
  `tn_age` int(2) unsigned NOT NULL default '0',
  `tn_mal_sc` int(2) unsigned NOT NULL default '0',
  `tn_fem_sc` int(2) unsigned NOT NULL default '0',
  `action` enum('1','2','3','4','5') NOT NULL default '1',
  `art_id` int(5) unsigned NOT NULL default '0',
  `tender` int(5) unsigned NOT NULL default '0',
  `text` text NOT NULL,
  `spenden` decimal(8,2) default NULL,
  `eigen` decimal(8,2) default NULL,
  `ap_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `termin_id` int(5) unsigned NOT NULL default '0',
  `thema` varchar(40) default NULL,
  `ev_id` enum('1','2') NOT NULL default '1',
  `ev_pers_id` int(5) unsigned NOT NULL default '0',
  `ev_adatum` date NOT NULL default '0000-00-00',
  `ev_edatum` date NOT NULL default '0000-00-00',
  `km` smallint(3) unsigned default NULL,
  `print_id` int(5) unsigned default NULL,
  `print_dt` datetime default NULL,
  `reflexion` text NOT NULL,
  `fahrtkosten` decimal(8,2) default NULL,
  `material` decimal(8,2) default NULL,
  PRIMARY KEY (`lom_id`),
  KEY `termin` (`termin_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_lvlgrp`
--

CREATE TABLE IF NOT EXISTS `tb_lvlgrp` (
  `lvlgrp_id` int(5) unsigned NOT NULL auto_increment,
  `lvlgrp` varchar(20) NOT NULL default '',
  `lvl_ab` int(2) unsigned NOT NULL default '0',
  `lvl_color` varchar(7) default NULL,
  PRIMARY KEY (`lvlgrp_id`)
);

--
-- Daten fuer Tabelle `tb_lvlgrp`
--

INSERT INTO `tb_lvlgrp` VALUES (5, 'GF', 90, 'red');
INSERT INTO `tb_lvlgrp` VALUES (2, 'Mitarbeiter', 20, 'blue');
INSERT INTO `tb_lvlgrp` VALUES (3, 'Verwaltung', 50, 'olive');
INSERT INTO `tb_lvlgrp` VALUES (4, 'VerVorstand', 70, 'purple');
INSERT INTO `tb_lvlgrp` VALUES (6, 'alle', 0, NULL);

--
-- Tabellenstruktur fuer Tabelle `tb_mitglied`
--

CREATE TABLE IF NOT EXISTS `tb_mitglied` (
  `beitrag_id` int(5) unsigned NOT NULL auto_increment,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `von` date NOT NULL default '0000-00-00',
  `bis` date default NULL,
  `jahr` int(4) NOT NULL default '0',
  `gemahnt` date default NULL,
  `gezahlt` date default NULL,
  `betrag` double(5,2) default NULL,
  `status` enum('m','f') NOT NULL default 'm',
  `notizen` text,
  PRIMARY KEY (`beitrag_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_mob_aus`
--

CREATE TABLE IF NOT EXISTS `tb_mob_aus` (
  `tel_id` int(5) unsigned NOT NULL default '0',
  `sim_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `von` datetime NOT NULL default '0000-00-00 00:00:00',
  `bis` datetime default NULL,
  `pers_a` int(5) unsigned NOT NULL default '0',
  `notizen_a` text,
  `pers_r` int(5) unsigned default NULL,
  `notizen_r` text,
  PRIMARY KEY (`tel_id`,`sim_id`,`pers_id`,`von`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_mob_sim`
--

CREATE TABLE IF NOT EXISTS `tb_mob_sim` (
  `sim_id` int(5) unsigned NOT NULL auto_increment,
  `sim_nr` varchar(30) NOT NULL default '',
  `tel_nr` varchar(15) NOT NULL default '',
  `haupt` enum('j','n') NOT NULL default 'j',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `notizen` text NOT NULL,
  `tarif` varchar(20) default NULL,
  PRIMARY KEY (`sim_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_mob_tel`
--

CREATE TABLE IF NOT EXISTS `tb_mob_tel` (
  `tel_id` int(5) unsigned NOT NULL auto_increment,
  `typ` varchar(30) NOT NULL default '',
  `imei` varchar(20) NOT NULL default '',
  `kauf` date NOT NULL default '0000-00-00',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `notizen` text NOT NULL,
  PRIMARY KEY (`tel_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_nachr`
--

CREATE TABLE IF NOT EXISTS `tb_nachr` (
  `nachr_id` int(5) unsigned NOT NULL auto_increment,
  `von` int(5) unsigned NOT NULL default '0',
  `sent` datetime NOT NULL default '0000-00-00 00:00:00',
  `betreff` varchar(100) default NULL,
  `text` text,
  `erledigt` tinyint(1) unsigned default NULL,
  `erledigt_dt` datetime default NULL,
  `prio` tinyint(1) unsigned NOT NULL default '2',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `res_id` int(5) unsigned NOT NULL default '0',
  `team_art_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`nachr_id`),
  KEY `sent` (`sent`),
  KEY `erledigt_dt` (`erledigt_dt`),
  KEY `von` (`von`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_nachr_an`
--

CREATE TABLE IF NOT EXISTS `tb_nachr_an` (
  `nachr_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `gel` datetime default NULL,
  `erl` datetime default NULL,
  `cc` tinyint(1) unsigned default NULL,
  `antw_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`nachr_id`,`pers_id`),
  KEY `antw_id` (`antw_id`),
  KEY `gel` (`gel`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_p_adressen`
--

CREATE TABLE IF NOT EXISTS `tb_p_adressen` (
  `adress_id` int(5) unsigned NOT NULL auto_increment,
  `strasse` varchar(30) default NULL,
  `plz` varchar(5) default NULL,
  `ort` varchar(30) default NULL,
  `telefon` varchar(15) default NULL,
  `notizen` text NOT NULL,
  `entfernung` int(2) default NULL,
  `sozialraum` varchar(10) default NULL,
  `fax` varchar(15) default NULL,
  PRIMARY KEY (`adress_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_paz`
--

CREATE TABLE IF NOT EXISTS `tb_paz` (
  `paz_id` int(5) unsigned NOT NULL auto_increment,
  `pers_id` int(5) NOT NULL default '0',
  `von` date NOT NULL default '0000-00-00',
  `bis` date default NULL,
  `anst` double(5,2) unsigned NOT NULL default '0.00',
  `fallunsp` text NOT NULL,
  `sa` text,
  `sa_satz` double(5,2) default NULL,
  `las` varchar(5) default NULL,
  `vg` varchar(5) default NULL,
  `fls` decimal(8,2) unsigned NOT NULL default '0.00',
  `urlaub` int(2) default NULL,
  `urlaub_vj` int(2) default NULL,
  `sonderurlaub` int(2) default NULL,
  `fallunsp_satz` double(5,2) default NULL,
  `tvod` varchar(10) default NULL,
  `anst_ez` double(5,2) unsigned NOT NULL default '0.00',
  PRIMARY KEY (`paz_id`),
  KEY `pers_id` (`pers_id`),
  KEY `von` (`von`),
  KEY `bis` (`bis`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_paz_ver`
--

CREATE TABLE IF NOT EXISTS `tb_paz_ver` (
  `ver_id` int(3) unsigned NOT NULL auto_increment,
  `ver_nr` int(3) unsigned NOT NULL default '0',
  `ver_name` varchar(50) NOT NULL default '',
  PRIMARY KEY (`ver_id`),
  UNIQUE KEY `paz_ver_nr` (`ver_nr`)
);

--
-- Daten fuer Tabelle `tb_paz_ver`
--

INSERT INTO `tb_paz_ver` VALUES (1, 901, 'Konzeptentwicklung');
INSERT INTO `tb_paz_ver` VALUES (2, 902, 'Mentor');
INSERT INTO `tb_paz_ver` VALUES (3, 903, 'Qualit&auml;tsmanagement');
INSERT INTO `tb_paz_ver` VALUES (4, 904, 'Werkst&auml;tten');
INSERT INTO `tb_paz_ver` VALUES (5, 905, 'Fuhrpark/Autopflege');
INSERT INTO `tb_paz_ver` VALUES (6, 906, 'Beratung (Supervision)');
INSERT INTO `tb_paz_ver` VALUES (7, 907, 'Gruppenarbeit inkl. Vor- und Nachbearbeitung');
INSERT INTO `tb_paz_ver` VALUES (8, 908, 'Qualifizierung');
INSERT INTO `tb_paz_ver` VALUES (9, 909, 'Gemeinwesenarbeit');
INSERT INTO `tb_paz_ver` VALUES (10, 910, 'Ltg / Verwaltung (Urlaubsvertretung)');
INSERT INTO `tb_paz_ver` VALUES (11, 911, 'Umwandlung gGmbH / Bilanz');
INSERT INTO `tb_paz_ver` VALUES (12, 912, 'Fundraising/&Ouml;ffentlichkeitsarbeit');
INSERT INTO `tb_paz_ver` VALUES (13, 913, 'Pflege Kontaktdatenbank');
INSERT INTO `tb_paz_ver` VALUES (14, 914, 'Tagungen, Arbeitsgruppen');
INSERT INTO `tb_paz_ver` VALUES (15, 915, 'Hausmeistert&auml;tigkeiten');
INSERT INTO `tb_paz_ver` VALUES (16, 916, 'Einarbeitung');
INSERT INTO `tb_paz_ver` VALUES (17, 917, 'Hospitation');
INSERT INTO `tb_paz_ver` VALUES (18, 920, 'Raumerweiterung und Umzug (Bahnhof)');

--
-- Tabellenstruktur fuer Tabelle `tb_personal`
--
-- kap_korr: fuer Kapazitaeten kann ein temporaerer Korrekturwert gesetzt werden
-- verh: verheiratet j/n erweitert um w: verwitwet
--                                    s: geschieden
--                                    p: in eingetragener Partnerschaft lebend
--

CREATE TABLE IF NOT EXISTS `tb_personal` (
  `pers_id` int(5) unsigned NOT NULL auto_increment,
  `personalnr` int(3) unsigned zerofill NOT NULL default '000',
  `name` varchar(30) NOT NULL default '',
  `vorname` varchar(30) NOT NULL default '',
  `geboren` date default NULL,
  `geschlecht` enum('w','m') default NULL,
  `strasse` varchar(30) default NULL,
  `plz` varchar(5) default NULL,
  `ort` varchar(30) default NULL,
  `telprivat` varchar(15) default NULL,
  `teldienst` varchar(15) default NULL,
  `telmobil` varchar(15) default NULL,
  `telstw` char(3) default NULL,
  `fax` varchar(15) default NULL,
  `emaildienst` varchar(50) default NULL,
  `emailprivat` varchar(50) default NULL,
  `telmobilprivat` varchar(15) default NULL,
  `notizen` text,
  `funktion` varchar(30) default NULL,
  `status_id` int(5) unsigned NOT NULL default '0',
  `besch_id` int(5) unsigned default NULL,
  `p_art_id` int(5) unsigned default NULL,
  `level` int(2) unsigned NOT NULL default '0',
  `pass` varchar(50) NOT NULL default '0',
  `pass_datum` int(10) unsigned NOT NULL default '0',
  `verh` enum('j','n','w','s','p') default NULL,
  `staat` varchar(25) default NULL,
  `behinderung` enum('j','n') default NULL,
  `beh_grad` int(2) unsigned default NULL,
  `krankenkasse` varchar(50) default NULL,
  `vers_nr` varchar(20) default NULL,
  `steuerkl` char(3) default NULL,
  `freibetrag` decimal(5,2) default NULL,
  `kirche` enum('n','e','k','a') default NULL,
  `bank` varchar(50) default NULL,
  `konto` varchar(20) default NULL,
  `blz` varchar(8) default NULL,
  `urlaub` int(2) unsigned default NULL,
  `eintritt` date default NULL,
  `austritt` date default NULL,
  `mitglied` enum('0','1','2') NOT NULL default '0',
  `bereitschaft` enum('j','n','h') NOT NULL default 'n',
  `betreuer` enum('j','n') NOT NULL default 'n',
  `login` varchar(50) NOT NULL default '',
  `anmeldung` enum('j','n') NOT NULL default 'j',
  `priv_pkw` enum('j','n') NOT NULL default 'n',
  `azk_start` decimal(6,2) default NULL,
  `azk` enum('j','n') NOT NULL default 'j',
  `standard_traeger_art_id` int(5) unsigned default NULL,
  `fokus` int(5) unsigned default NULL,
  `kap_korr` decimal(8,2) NOT NULL default '0.00',
  `benachr` enum('j','n','d') NOT NULL default 'n',
  `farbe` varchar(20) default NULL,
  `pk` enum('j','n') NOT NULL default 'n',
  `vml` enum('j','n') NOT NULL default 'n',
  `ausweis` date default NULL,
  `abschluss` text,
  `anstellung` date default NULL,
  `arbeitsrechtl` varchar(50) default NULL,
  `titel` varchar(30) default NULL,
  `dienstort` int(5) unsigned default NULL,
  `ident` varchar(30) default NULL,
  `identdatum` date default NULL,
  `identort` varchar(30) default NULL,
  `svnr` varchar(20) default NULL,
  `iban` varchar(35) default NULL,
  `bic` varchar(14) default NULL,
  `religion` varchar(30) default NULL,
  `befristet` date default NULL,
  `gs` int(5) unsigned default NULL,
  `vg` tinyint(1) unsigned default NULL,
  `bags` int(5) unsigned default NULL,
  `zulage1` decimal(8,2) default NULL,
  `zulage_erl1` varchar(30) default NULL,
  `zulage2` decimal(8,2) default NULL,
  `zulage_erl2` varchar(30) default NULL,
  `zulage3` decimal(8,2) default NULL,
  `zulage_erl3` varchar(30) default NULL,
  `kostenstelle` int(5) unsigned default NULL,
  `bereich` varchar(30) default NULL,
  `kap_korr_grund` text,
  `pk_ab` date default NULL,
  `tarifzone` enum('A','A1','B','C','D') default NULL,
  `fokus_rolle` varchar(20) default NULL,
  `pknr` varchar(12) default NULL,
  `therapeut` enum('j','n') NOT NULL default 'n',
  `standard_abteilung` int(5) unsigned default NULL,
  `raumstw` char(15) default NULL,
  `erzeuger` int(5) unsigned default NULL,
  `erzeuger_ts` datetime default NULL,
  PRIMARY KEY (`pers_id`),
  UNIQUE KEY `personalnr` (`personalnr`),
  KEY `idx_status_id` (`status_id`),
  KEY `idx_besch_id` (`besch_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_personalart`
--

CREATE TABLE IF NOT EXISTS `tb_personalart` (
  `p_art_id` int(5) unsigned NOT NULL auto_increment,
  `personalart` char(3) NOT NULL default '',
  `beschreibung` varchar(35) NOT NULL default '',
  `im_sachbericht` enum('j','n') NOT NULL default 'j',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `kurzname` char(3) default NULL,
  PRIMARY KEY (`p_art_id`)
);

--
-- Daten fuer Tabelle `tb_personalart`
--

INSERT INTO `tb_personalart` VALUES (3, 'DIA', 'Diakon', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (4, 'DSA', 'Diplomsozialp&auml;dagoge', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (5, 'EAA', 'Ehrenamtlich Allgemein', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (6, 'EAB', 'Ehrenamtlicher Betreuer', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (7, 'EDV', 'EDV-Betreuer', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (8, 'JBT', 'Jugendbetreuer Technik', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (9, 'PRA', 'Praktikant', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (10, 'STU', 'Student', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (11, 'VER', 'Verwaltung', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (12, 'TEC', 'Technischer Mitarbeiter', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (13, 'VMG', 'Vereinsmitglied', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (14, 'DSP', 'Diplomsozialp&auml;dagoge Praktikant', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (15, 'THD', 'Therapeutischer Dienst', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (16, 'DHP', 'Diplomheilp&auml;dagoge', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (17, 'TTT', 'Tim Tender Teilnehmer', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (18, 'MAE', 'Mitarbeiter', 'j', 'j', NULL);
INSERT INTO `tb_personalart` VALUES (19, 'SAE', 'Staatl. anerk. Erzieher', 'j', 'j', NULL);

--
-- Tabellenstruktur fuer Tabelle `tb_personalfunktion`
--

CREATE TABLE IF NOT EXISTS `tb_personalfunktion` (
  `personalart` char(3) NOT NULL default '',
  `kurzname` char(10) NOT NULL default '',
  `beschreibung` text,
  PRIMARY KEY (`personalart`)
);

--
-- Daten fuer Tabelle `tb_personalfunktion`
--

INSERT INTO `tb_personalfunktion` VALUES ('DIA', 'DIA', 'Diakon');
INSERT INTO `tb_personalfunktion` VALUES ('DSA', 'DSA', 'Diplomsozialp&auml;dagoge');
INSERT INTO `tb_personalfunktion` VALUES ('EAA', 'EAA', 'Ehrenamtlich Allgemein');
INSERT INTO `tb_personalfunktion` VALUES ('EAB', 'EAB', 'Ehrenamtlicher Betreuer');
INSERT INTO `tb_personalfunktion` VALUES ('EDV', 'EDV', 'EDV-Betreuer');
INSERT INTO `tb_personalfunktion` VALUES ('JBT', 'JBT', 'Jugendbetreuer Technik');
INSERT INTO `tb_personalfunktion` VALUES ('PRA', 'PRA', 'Praktikant');
INSERT INTO `tb_personalfunktion` VALUES ('STU', 'STU', 'Student');
INSERT INTO `tb_personalfunktion` VALUES ('VER', 'VER', 'Verwaltung');
INSERT INTO `tb_personalfunktion` VALUES ('TEC', 'TEC', 'Technischer Mitarbeiter');
INSERT INTO `tb_personalfunktion` VALUES ('VMG', 'VMG', 'Vereinsmitglied');
INSERT INTO `tb_personalfunktion` VALUES ('DSP', 'DSP', 'Diplomsozialp&auml;dagoge Praktikant');
INSERT INTO `tb_personalfunktion` VALUES ('THD', 'THD', 'Therapeutischer Dienst');
INSERT INTO `tb_personalfunktion` VALUES ('DHP', 'DHP', 'Diplomheilp&auml;dagoge');
INSERT INTO `tb_personalfunktion` VALUES ('TTT', 'TTT', 'Tim Tender Teilnehmer');
INSERT INTO `tb_personalfunktion` VALUES ('MAE', 'MAE', 'Mitarbeiter');
INSERT INTO `tb_personalfunktion` VALUES ('SAE', 'SAE', 'Staatl. anerk. Erzieher');

--
-- Tabellenstruktur fuer Tabelle `tb_personaltyp`
-- tb_personaltyp:static
--

CREATE TABLE IF NOT EXISTS `tb_personaltyp` (
  `personaltyp_id` int(5) unsigned NOT NULL auto_increment,
  `personaltyp` varchar(30) NOT NULL default '',
  `kurzname` varchar(2) default NULL,
  `sort` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`personaltyp_id`)
);

--
-- Daten fuer Tabelle `tb_personaltyp`
--

INSERT INTO `tb_personaltyp` VALUES (1, 'Hauptbetreuer', 'HB', 1);
INSERT INTO `tb_personaltyp` VALUES (2, 'Cobetreuer', 'Co', 4);
INSERT INTO `tb_personaltyp` VALUES (3, 'Vertretung', 'VT', 5);
INSERT INTO `tb_personaltyp` VALUES (4, 'Praktikant', 'Pr', 9);
INSERT INTO `tb_personaltyp` VALUES (5, 'andere Betreuung', 'aB', 6);
INSERT INTO `tb_personaltyp` VALUES (6, 'Mentor', 'Mr', 7);
INSERT INTO `tb_personaltyp` VALUES (7, 'Assistenz', 'As', 8);
INSERT INTO `tb_personaltyp` VALUES (8, 'Tandembetreuer', 'TB', 3);
INSERT INTO `tb_personaltyp` VALUES (9, 'Doppelbetreuer', 'DB', 2);

--
-- Tabellenstruktur fuer Tabelle `tb_personaltyp_sort
--

CREATE TABLE IF NOT EXISTS `tb_personaltyp_sort` (
  `personaltyp_id` int(5) unsigned NOT NULL auto_increment,
  `sort` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`personaltyp_id`)
);

--
-- Daten fuer Tabelle `tb_personaltyp_sort
--

INSERT INTO `tb_personaltyp_sort` VALUES (1, 1);
INSERT INTO `tb_personaltyp_sort` VALUES (2, 2);
INSERT INTO `tb_personaltyp_sort` VALUES (3, 3);
INSERT INTO `tb_personaltyp_sort` VALUES (4, 4);
INSERT INTO `tb_personaltyp_sort` VALUES (5, 5);
INSERT INTO `tb_personaltyp_sort` VALUES (6, 6);
INSERT INTO `tb_personaltyp_sort` VALUES (7, 7);
INSERT INTO `tb_personaltyp_sort` VALUES (8, 2);
INSERT INTO `tb_personaltyp_sort` VALUES (9, 2);

--
-- Tabellenstruktur fuer Tabelle `tb_personen`
--

CREATE TABLE IF NOT EXISTS `tb_personen` (
  `person_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(30) default NULL,
  `vorname` varchar(30) default NULL,
  `geboren` date default NULL,
  `geschlecht` enum('m','w') NOT NULL default 'm',
  `telmobil` varchar(15) default NULL,
  `email` varchar(50) default NULL,
  `notizen` text,
  `adress_id` int(5) unsigned NOT NULL default '0',
  `beschreibung` varchar(30) default NULL,
  `aktiv` tinyint(1) unsigned NOT NULL default '1',
  `bildung` tinyint(1) unsigned NOT NULL default '0',
  `bez_art` tinyint(1) unsigned NOT NULL default '0',
  `kontext` tinyint(1) unsigned NOT NULL default '0',
  `staatsb` varchar(30) default 'deutsch',
  `aufenth` varchar(100) default '',
  PRIMARY KEY (`person_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_perstyp`
-- tb_perstyp:static
--

CREATE TABLE IF NOT EXISTS `tb_perstyp` (
  `perstyp_id` int(5) unsigned NOT NULL auto_increment,
  `perstyp` varchar(30) NOT NULL default '',
  PRIMARY KEY (`perstyp_id`)
);

--
-- Daten fuer Tabelle `tb_perstyp`
--

INSERT INTO `tb_perstyp` VALUES (1, 'Hilfeempf&auml;nger');
INSERT INTO `tb_perstyp` VALUES (2, 'weitere Person');
INSERT INTO `tb_perstyp` VALUES (3, 'Teilnehmer');
INSERT INTO `tb_perstyp` VALUES (4, 'Gruppenarbeit');
INSERT INTO `tb_perstyp` VALUES (5, 'HP-Beteiligter');
INSERT INTO `tb_perstyp` VALUES (6, 'Eltern');
INSERT INTO `tb_perstyp` VALUES (7, 'Geschwister');
INSERT INTO `tb_perstyp` VALUES (8, 'Umgangsberechtigter');
INSERT INTO `tb_perstyp` VALUES (9, 'Kind (f&uuml;r KWG)');
INSERT INTO `tb_perstyp` VALUES (10, 'Wohngruppenbewohner');

--
-- Tabellenstruktur fuer Tabelle `tb_post_art`
-- tb_post_art:static
--

CREATE TABLE IF NOT EXISTS `tb_post_art` (
  `post_art_id` int(2) unsigned NOT NULL auto_increment,
  `post_art` varchar(20) default NULL,
  `farbe` varchar(20) default NULL,
  `kurzname` varchar(10) default NULL,
  PRIMARY KEY (`post_art_id`)
);

--
-- Daten fuer Tabelle `tb_post_art`
--

INSERT INTO `tb_post_art` VALUES (1, 'Briefpost', NULL, 'BP');
INSERT INTO `tb_post_art` VALUES (2, 'Fax', NULL, 'FX');
INSERT INTO `tb_post_art` VALUES (3, 'Email', NULL, 'EM');
INSERT INTO `tb_post_art` VALUES (4, 'Rechnung', NULL, 'RE');
INSERT INTO `tb_post_art` VALUES (5, 'Telefon Kontakt', NULL, 'TK');
INSERT INTO `tb_post_art` VALUES (6, 'SMS', NULL, 'SM');
INSERT INTO `tb_post_art` VALUES (7, 'unspezifisch', NULL, 'us');
INSERT INTO `tb_post_art` VALUES (8, 'Bestellung', NULL, 'BE');
INSERT INTO `tb_post_art` VALUES (9, 'Lieferung', NULL, 'LI');
INSERT INTO `tb_post_art` VALUES (10, 'Kassenbeleg', NULL, 'KB');
INSERT INTO `tb_post_art` VALUES (11, 'Abschlagsliste', NULL, 'AL');
INSERT INTO `tb_post_art` VALUES (12, 'HPVorbereitung', NULL, 'HPV');
INSERT INTO `tb_post_art` VALUES (13, 'HPProtokoll', NULL, 'HPP');
INSERT INTO `tb_post_art` VALUES (14, 'Rcksendung', NULL, 'RS');

--
-- Tabellenstruktur fuer Tabelle `tb_post_ausgang`
--

CREATE TABLE IF NOT EXISTS `tb_post_ausgang` (
  `post_out_id` int(5) unsigned NOT NULL auto_increment,
  `kont_id` int(5) unsigned default NULL,
  `ap_id` int(5) unsigned default NULL,
  `ma_id` int(5) default NULL,
  `betreff` text,
  `rg_betrag` decimal(7,2) default NULL,
  `traegerart_id` int(2) unsigned default NULL,
  `postart_id` int(2) unsigned default NULL,
  `notizen` text,
  `brief_id` int(5) unsigned default NULL,
  `pers_id` int(5) unsigned default NULL,
  `hp_id` int(5) default NULL,
  `ok` int(5) default NULL,
  `ok_datum` date default NULL,
  `kat_id` int(5) unsigned default NULL,
  `skonto` tinyint(1) unsigned default NULL,
  PRIMARY KEY (`post_out_id`),
  KEY `hp_id` (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_post_eingang`
--

CREATE TABLE IF NOT EXISTS `tb_post_eingang` (
  `post_in_id` int(5) unsigned NOT NULL auto_increment,
  `kont_id` int(5) unsigned default NULL,
  `ap_id` int(5) unsigned default NULL,
  `ma_id` int(5) default NULL,
  `betreff` text,
  `rg_betrag` decimal(7,2) default NULL,
  `traegerart_id` int(2) unsigned default NULL,
  `postart_id` int(2) unsigned default NULL,
  `notizen` text,
  `hp_id` int(5) default NULL,
  `ok` int(5) unsigned default NULL,
  `ok_datum` date default NULL,
  `kat_id` int(5) unsigned default NULL,
  `skonto` tinyint(1) unsigned default NULL,
  `ernr` int(5) unsigned NOT NULL default '0',
  `ok_fb` int(5) unsigned default NULL,
  `fb_datum` date default NULL,
  `ok_gf1` int(5) unsigned default NULL,
  `gf1_datum` date default NULL,
  `ok_gf2` int(5) unsigned default NULL,
  `gf2_datum` date default NULL,
  PRIMARY KEY (`post_in_id`),
  KEY `hp_id` (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_prio`
--

CREATE TABLE IF NOT EXISTS `tb_prio` (
  `prio` int(3) unsigned NOT NULL auto_increment,
  `prioritaet` varchar(10) NOT NULL default '',
  `farbe` varchar(20) default NULL,
  PRIMARY KEY (`prio`)
);

--
-- Daten fuer Tabelle `tb_prio`
-- tb_prio:static
--

INSERT INTO `tb_prio` VALUES (1, 'niedrig', 'lightgrey');
INSERT INTO `tb_prio` VALUES (2, 'normal', 'yellow');
INSERT INTO `tb_prio` VALUES (3, 'hoch', 'red');
INSERT INTO `tb_prio` VALUES (4, 'bei Bedarf', '#4B91B4');
INSERT INTO `tb_prio` VALUES (5, 'Turnus', 'green');

--
-- Tabellenstruktur fuer Tabelle `tb_pro_einz`
--

CREATE TABLE IF NOT EXISTS `tb_pro_einz` (
  `einz_id` int(5) unsigned NOT NULL auto_increment,
  `proj_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `betrag` decimal(8,2) NOT NULL default '0.00',
  `text` varchar(50) NOT NULL default '',
  `person_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `nachw_id` int(5) unsigned default NULL,
  PRIMARY KEY (`einz_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_projektart`
-- tb_projektart:static
--

CREATE TABLE IF NOT EXISTS `tb_projektart` (
  `pra_id` int(5) unsigned NOT NULL auto_increment,
  `nr_von` int(4) unsigned NOT NULL default '0',
  `nr_bis` int(4) unsigned NOT NULL default '0',
  `kname` varchar(15) NOT NULL default '',
  `titel` varchar(50) NOT NULL default '',
  `sort` int(2) unsigned NOT NULL default '0',
  `aktiv` tinyint(1) NOT NULL default '1',
  PRIMARY KEY (`pra_id`)
);

--
-- Daten fuer Tabelle `tb_projektart`
--

INSERT INTO `tb_projektart` VALUES (1, 0, 999, 'aHzE', 'ambulante Hilfen zur Erziehung', 1, 1);
INSERT INTO `tb_projektart` VALUES (2, 1000, 1999, 'STG', 'Systemische Tagesgruppe', 2, 1);
INSERT INTO `tb_projektart` VALUES (3, 2000, 2999, 'Projekte', 'weitere Projekte', 3, 1);
INSERT INTO `tb_projektart` VALUES (4, 3000, 3999, 'Management', 'Stellwerk Management', 4, 1);
INSERT INTO `tb_projektart` VALUES (5, 4000, 4999, 'VWG', 'Verwaltung & Stundennachweis', 5, 1);
INSERT INTO `tb_projektart` VALUES (6, 5000, 5999, 'Vorgang', 'Verwaltungsvorgnge', 6, 1);
INSERT INTO `tb_projektart` VALUES (7, 6000, 6999, 'Fundraising', 'Fundraising', 7, 1);
INSERT INTO `tb_projektart` VALUES (8, 7000, 7999, 'FamFG', 'Verfahren in FamSachen und freiw. Gerichtsbarkeit', 8, 1);
INSERT INTO `tb_projektart` VALUES (9, 8000, 8999, 'SWE', 'Stellware Marketing', 9, 1);
INSERT INTO `tb_projektart` VALUES (10, 9000, 9999, 'EDV', 'EDV und Stellware Programmierung', 10, 1);
INSERT INTO `tb_projektart` VALUES (11, 10000, 18999, 'Einkauf', 'Einkauf', 11, 1);
INSERT INTO `tb_projektart` VALUES (12, 10000000, 99999999, 'Archiv', 'Archiv', 12, 1);

--
-- Tabellenstruktur fuer Tabelle `tb_projekte`
--

CREATE TABLE IF NOT EXISTS `tb_projekte` (
  `proj_id` int(5) unsigned NOT NULL auto_increment,
  `projektnr` int(5) unsigned NOT NULL default '0',
  `hilfeart_id` int(5) unsigned default NULL,
  `ap_id` int(5) unsigned NOT NULL default '0',
  `anfrage` date NOT NULL default '0000-00-00',
  `anfrage_std` int(3) unsigned default '0',
  `beginn` date default NULL,
  `ende` date default NULL,
  `kostenzus` date default NULL,
  `ma_geschlecht` enum('m','w','b','-') default NULL,
  `register` varchar(20) default NULL,
  `hilfe_bisher` text,
  `schule` text,
  `problemlage` text,
  `familie` text,
  `hobbys` text,
  `ziele` text,
  `notizen` text,
  `wohn` text,
  `kostenzus_ende` date default '0000-00-00',
  `pool` double(7,2) unsigned default NULL,
  `notizen_pro` text,
  `fb_id` int(5) unsigned default NULL,
  `fb_prio` int(3) unsigned default NULL,
  `pro_beschr` text,
  `pb` tinyint(1) unsigned default NULL,
  `knz1` tinyint(1) unsigned default NULL,
  `knz2` tinyint(1) unsigned default NULL,
  `az` varchar(40) default NULL,
  `traeger_art_id` int(5) unsigned default '1',
  `abt_id` int(5) unsigned default NULL,
  `ersteller_id` int(5) unsigned default NULL,
  `erstelldatum` date default NULL,
  `wihi_id` int(5) unsigned NOT NULL default '0',
  `anfrage_std_kont_fz` int(3) unsigned default '0',
  `einverst` int(5) unsigned default NULL,
  `einvdatum` date default NULL,
  `kostenstelle` int(5) unsigned default NULL,
  `fb_note` text,
  `befristung` enum('j','n') NOT NULL default 'n',
  `zg_ausnahme` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`proj_id`),
  UNIQUE KEY `projektnr` (`projektnr`),
  KEY `hilfeart_id` (`hilfeart_id`),
  KEY `ende` (`ende`),
  KEY `anfrage` (`anfrage`),
  KEY `problemlage` (`problemlage`(10)),
  KEY `hobbys` (`hobbys`(10)),
  KEY `familie` (`familie`(10)),
  KEY `anfrage_std_kont_fz` (`anfrage_std_kont_fz`),
  KEY `einverst` (`einverst`),
  KEY `einvdatum` (`einvdatum`),
  KEY `fb_id` (`fb_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_re_fokus`
--

CREATE TABLE IF NOT EXISTS `tb_re_fokus` (
  `fokus_id` int(5) unsigned NOT NULL auto_increment,
  `fokus` varchar(20) NOT NULL default '',
  PRIMARY KEY (`fokus_id`)
);

--
-- Daten fuer Tabelle `tb_re_fokus`
--

INSERT INTO `tb_re_fokus` VALUES (1, 'Fall');
INSERT INTO `tb_re_fokus` VALUES (2, 'Gruppe');
INSERT INTO `tb_re_fokus` VALUES (3, 'Mitarbeiter');
INSERT INTO `tb_re_fokus` VALUES (4, 'Team');
INSERT INTO `tb_re_fokus` VALUES (5, 'Thema');

--
-- Tabellenstruktur fuer Tabelle `tb_re_method`
--

CREATE TABLE IF NOT EXISTS `tb_re_method` (
  `method_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  PRIMARY KEY (`method_id`)
);

--
-- Daten fuer Tabelle `tb_re_method`
--

INSERT INTO `tb_re_method` VALUES (1, 'Genogramm');
INSERT INTO `tb_re_method` VALUES (2, 'Geschichten');
INSERT INTO `tb_re_method` VALUES (3, 'Refl. Team');
INSERT INTO `tb_re_method` VALUES (4, 'Figuren / Kl&ouml;tzchen');
INSERT INTO `tb_re_method` VALUES (5, 'Auftragskarussell');
INSERT INTO `tb_re_method` VALUES (6, 'Stuhlarbeit');
INSERT INTO `tb_re_method` VALUES (7, 'Interview');
INSERT INTO `tb_re_method` VALUES (8, 'Zeitschiene');
INSERT INTO `tb_re_method` VALUES (9, 'Brainstorming');
INSERT INTO `tb_re_method` VALUES (10, 'Brainwriting');
INSERT INTO `tb_re_method` VALUES (11, 'Skulptur');
INSERT INTO `tb_re_method` VALUES (12, 'Aufstellungen');
INSERT INTO `tb_re_method` VALUES (13, 'Fishbowl');
INSERT INTO `tb_re_method` VALUES (14, 'Bilder / Malen');
INSERT INTO `tb_re_method` VALUES (15, 'Rollenspiel');
INSERT INTO `tb_re_method` VALUES (16, 'Pro und Kontra');
INSERT INTO `tb_re_method` VALUES (17, '8-Schritte');
INSERT INTO `tb_re_method` VALUES (18, 'Zwiebel');

--
-- Tabellenstruktur fuer Tabelle `tb_re_strukt`
--

CREATE TABLE IF NOT EXISTS `tb_re_strukt` (
  `strukt_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '0',
  PRIMARY KEY (`strukt_id`)
);

--
-- Daten fuer Tabelle `tb_re_strukt`
--

INSERT INTO `tb_re_strukt` VALUES (1, 'Einzel - intern');
INSERT INTO `tb_re_strukt` VALUES (3, 'Einzel - extern');
INSERT INTO `tb_re_strukt` VALUES (4, 'Kleingruppe - intern');
INSERT INTO `tb_re_strukt` VALUES (6, 'Kleingruppe - extern');
INSERT INTO `tb_re_strukt` VALUES (7, 'Gro&szlig;gruppe - intern');
INSERT INTO `tb_re_strukt` VALUES (9, 'Gro&szlig;gruppe - extern');
INSERT INTO `tb_re_strukt` VALUES (10, 'KleinTEAM - FB');

--
-- Tabellenstruktur fuer Tabelle `tb_rechnung`
--

CREATE TABLE IF NOT EXISTS `tb_rechnung` (
  `re_id` int(5) unsigned NOT NULL auto_increment,
  `proj_id` int(5) unsigned NOT NULL default '0',
  `nachw_id` int(5) unsigned NOT NULL default '0',
  `re_nr` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `text` text,
  `post_out_id` int(5) unsigned default NULL,
  `textausgabe` enum('j','n') NOT NULL default 'n',
  `zahlung_in_pers_id` int(5) unsigned default NULL,
  `zahlung_in_datum` date default NULL,
  `teilz_pers_id` int(5) unsigned default NULL,
  `teilz_datum` date default NULL,
  `teilz_betrag` decimal(8,2) NOT NULL default '0.00',
  `bemerkungen` text,
  `betrag` decimal(8,2) default NULL,
  `storniert` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`re_id`,`proj_id`,`nachw_id`),
  UNIQUE KEY `re_nr` (`re_nr`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_res_typ`
--

CREATE TABLE IF NOT EXISTS `tb_res_typ` (
  `res_typ` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `abk` varchar(5) default NULL,
  PRIMARY KEY (`res_typ`)
);

--
-- Daten fuer Tabelle `tb_res_typ`
-- tb_res_typ:static
--

INSERT INTO `tb_res_typ` VALUES (1, 'PKW', NULL);
INSERT INTO `tb_res_typ` VALUES (2, 'Raum', NULL);
INSERT INTO `tb_res_typ` VALUES (3, 'Stadtteilrunde', 'STR');
INSERT INTO `tb_res_typ` VALUES (4, 'Fachbereich', NULL);
INSERT INTO `tb_res_typ` VALUES (5, 'Anh&auml;nger', NULL);
INSERT INTO `tb_res_typ` VALUES (6, 'PKW', NULL);

--
-- Tabellenstruktur fuer Tabelle `tb_ressourcen`
--

CREATE TABLE IF NOT EXISTS `tb_ressourcen` (
  `res_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `res_typ` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `datum` date default NULL,
  `kaufdatum` date default NULL,
  `notizen` text,
  `dat1` varchar(25) default NULL,
  `dat2` decimal(8,2) default NULL,
  `dat3` decimal(8,2) default NULL,
  `dat4` decimal(8,2) default NULL,
  `reservierung` tinyint(1) default NULL,
  `farbe` varchar(25) default NULL,
  `traeger_art_id` int(5) NOT NULL default '2',
  `zustnotiz` text,
  PRIMARY KEY (`res_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_res`
-- Zuordnung der Ressourcen zu Mitarbeitern
--

CREATE TABLE IF NOT EXISTS `tbh_pers_res` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `res_id` int(5) unsigned NOT NULL default '0',
  `ver` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`pers_id`,`res_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_sd_items`
-- tb_sd_items:static
--

CREATE TABLE IF NOT EXISTS `tb_sd_items` (
  `sd_id` int(5) unsigned NOT NULL auto_increment,
  `nr` int(1) unsigned NOT NULL default '0',
  `top` int(5) unsigned default NULL,
  `text` varchar(100) NOT NULL default '',
  `eingabe` int(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`sd_id`)
);

--
-- Daten fuer Tabelle `tb_sd_items`
--

INSERT INTO `tb_sd_items` VALUES (1, 1, NULL, 'Familiensituation', 0);
INSERT INTO `tb_sd_items` VALUES (2, 2, NULL, 'Grundversorgung', 0);
INSERT INTO `tb_sd_items` VALUES (3, 3, NULL, 'Erziehung', 0);
INSERT INTO `tb_sd_items` VALUES (4, 4, NULL, 'Entwickungsf&ouml;rderung', 0);
INSERT INTO `tb_sd_items` VALUES (5, 5, NULL, 'Integration', 0);
INSERT INTO `tb_sd_items` VALUES (6, 1, 1, 'Familienstand', 0);
INSERT INTO `tb_sd_items` VALUES (7, 2, 1, 'Wirtschaftliche Situation', 0);
INSERT INTO `tb_sd_items` VALUES (8, 3, 1, 'Berufliche Situation der Eltern', 0);
INSERT INTO `tb_sd_items` VALUES (9, 4, 1, 'Wohnverh&auml;ltnisse', 0);
INSERT INTO `tb_sd_items` VALUES (10, 5, 1, 'Elternbiographien', 0);
INSERT INTO `tb_sd_items` VALUES (11, 6, 1, 'Aktuell belastende Lebensereignisse', 0);
INSERT INTO `tb_sd_items` VALUES (12, 1, 2, 'Gesundheit', 0);
INSERT INTO `tb_sd_items` VALUES (13, 2, 2, 'Ern&auml;hrung', 0);
INSERT INTO `tb_sd_items` VALUES (14, 3, 2, 'Hygiene', 0);
INSERT INTO `tb_sd_items` VALUES (15, 4, 2, 'Aufsicht', 0);
INSERT INTO `tb_sd_items` VALUES (16, 1, 3, 'Bezugspersonen', 0);
INSERT INTO `tb_sd_items` VALUES (17, 2, 3, 'Famili&auml;re Beziehungen', 0);
INSERT INTO `tb_sd_items` VALUES (18, 3, 3, 'Familienklima', 0);
INSERT INTO `tb_sd_items` VALUES (19, 4, 3, 'Erziehungsleitende Vorstellungen', 0);
INSERT INTO `tb_sd_items` VALUES (20, 1, 4, 'K&ouml;rperliche Entwicklung', 0);
INSERT INTO `tb_sd_items` VALUES (21, 2, 4, 'Geistige Entwicklung', 0);
INSERT INTO `tb_sd_items` VALUES (22, 3, 4, 'Seelische Entwicklung', 0);
INSERT INTO `tb_sd_items` VALUES (23, 4, 4, 'Soziale Entwicklung', 0);
INSERT INTO `tb_sd_items` VALUES (24, 1, 5, 'Familie', 0);
INSERT INTO `tb_sd_items` VALUES (25, 2, 5, 'Umfeld', 0);
INSERT INTO `tb_sd_items` VALUES (26, 3, 5, 'Bildung', 0);
INSERT INTO `tb_sd_items` VALUES (27, 4, 5, 'Freizeit', 0);
INSERT INTO `tb_sd_items` VALUES (28, 1, 6, 'Familienstruktur', 1);
INSERT INTO `tb_sd_items` VALUES (29, 2, 6, 'Elterliche Sorge', 1);
INSERT INTO `tb_sd_items` VALUES (30, 3, 6, 'Aufenthalt des jungen Menschen', 1);
INSERT INTO `tb_sd_items` VALUES (31, 1, 7, 'Einkommen', 1);
INSERT INTO `tb_sd_items` VALUES (32, 2, 7, 'Unterhalt', 1);
INSERT INTO `tb_sd_items` VALUES (33, 3, 7, 'Schulden', 1);
INSERT INTO `tb_sd_items` VALUES (34, 1, 8, 'Schulbesuch und Berufsausbildung', 1);
INSERT INTO `tb_sd_items` VALUES (35, 2, 8, 'Erwerbst&auml;tigkeit', 1);
INSERT INTO `tb_sd_items` VALUES (36, 3, 8, 'Arbeitszeit', 1);
INSERT INTO `tb_sd_items` VALUES (37, 1, 9, 'Wohnraum', 1);
INSERT INTO `tb_sd_items` VALUES (38, 2, 9, 'Wohnumfeld', 1);
INSERT INTO `tb_sd_items` VALUES (39, 3, 9, 'Soziales Netz', 1);
INSERT INTO `tb_sd_items` VALUES (40, 1, 10, 'Kindheit der Eltern', 1);
INSERT INTO `tb_sd_items` VALUES (41, 2, 10, 'Belastende Vorkommnisse', 1);
INSERT INTO `tb_sd_items` VALUES (42, 3, 10, 'Fr&uuml;here Partnerschaft(en)', 1);
INSERT INTO `tb_sd_items` VALUES (43, 1, 11, 'In der Familie', 1);
INSERT INTO `tb_sd_items` VALUES (44, 2, 11, '&Auml;u&szlig;ere Umst&auml;nde', 1);
INSERT INTO `tb_sd_items` VALUES (45, 3, 11, 'Traumatische Erfahrungen', 1);
INSERT INTO `tb_sd_items` VALUES (46, 1, 12, 'Verletzungen/Krankheit/Behinderung', 1);
INSERT INTO `tb_sd_items` VALUES (47, 2, 12, 'Arztbesuche', 1);
INSERT INTO `tb_sd_items` VALUES (48, 3, 12, 'Medikation', 1);
INSERT INTO `tb_sd_items` VALUES (49, 4, 12, 'Schlaf', 1);
INSERT INTO `tb_sd_items` VALUES (50, 1, 13, 'Menge', 1);
INSERT INTO `tb_sd_items` VALUES (51, 2, 13, 'Ausgewogenheit', 1);
INSERT INTO `tb_sd_items` VALUES (52, 3, 13, 'Regelm&auml;&szlig;igkeit', 1);
INSERT INTO `tb_sd_items` VALUES (53, 1, 14, 'K&ouml;rperpflege', 1);
INSERT INTO `tb_sd_items` VALUES (54, 2, 14, 'Kleidung', 1);
INSERT INTO `tb_sd_items` VALUES (55, 3, 14, 'Haushalt', 1);
INSERT INTO `tb_sd_items` VALUES (56, 1, 15, 'Gew&auml;hrleistung', 1);
INSERT INTO `tb_sd_items` VALUES (57, 2, 15, 'Ge- und Verbote', 1);
INSERT INTO `tb_sd_items` VALUES (58, 3, 15, 'Schutz vor Gef&auml;hrdungen', 1);
INSERT INTO `tb_sd_items` VALUES (59, 1, 16, 'Kontinuit&auml;t', 1);
INSERT INTO `tb_sd_items` VALUES (60, 2, 16, 'Erziehungskompetenz', 1);
INSERT INTO `tb_sd_items` VALUES (61, 3, 16, 'Lebenseinstellung', 1);
INSERT INTO `tb_sd_items` VALUES (62, 1, 17, 'Partnerschaft der Eltern', 1);
INSERT INTO `tb_sd_items` VALUES (63, 2, 17, 'Eltern-Kind-Beziehung', 1);
INSERT INTO `tb_sd_items` VALUES (64, 3, 17, 'Geschwisterbeziehungen', 1);
INSERT INTO `tb_sd_items` VALUES (65, 4, 17, 'Zu sonstigen Familienmitgliedern', 1);
INSERT INTO `tb_sd_items` VALUES (66, 1, 18, 'Respekt/Wertsch&auml;tzung', 1);
INSERT INTO `tb_sd_items` VALUES (67, 2, 18, 'W&auml;rme/Geborgenheit', 1);
INSERT INTO `tb_sd_items` VALUES (68, 3, 18, 'Offenheit/Konfliktbew&auml;ltigung', 1);
INSERT INTO `tb_sd_items` VALUES (69, 4, 18, 'Anregung/Unterst&uuml;tzung', 1);
INSERT INTO `tb_sd_items` VALUES (70, 1, 19, 'Strukturierter Tagesablauf', 1);
INSERT INTO `tb_sd_items` VALUES (71, 2, 19, 'Regeln und Grenzen', 1);
INSERT INTO `tb_sd_items` VALUES (72, 3, 19, 'Lebenspraktische Fertigkeiten', 1);
INSERT INTO `tb_sd_items` VALUES (73, 4, 19, 'Selbst&auml;ndigkeit', 1);
INSERT INTO `tb_sd_items` VALUES (74, 1, 20, 'Gr&ouml;&szlig;e/Gewicht', 1);
INSERT INTO `tb_sd_items` VALUES (75, 2, 20, 'Sinnesorgane', 1);
INSERT INTO `tb_sd_items` VALUES (76, 3, 20, 'Motorik', 1);
INSERT INTO `tb_sd_items` VALUES (77, 1, 21, 'Intelligenz', 1);
INSERT INTO `tb_sd_items` VALUES (78, 2, 21, 'Sprache', 1);
INSERT INTO `tb_sd_items` VALUES (79, 3, 21, 'Kulturtechniken', 1);
INSERT INTO `tb_sd_items` VALUES (80, 1, 22, 'Emotionen', 1);
INSERT INTO `tb_sd_items` VALUES (81, 2, 22, 'Pers&ouml;nlichkeit', 1);
INSERT INTO `tb_sd_items` VALUES (82, 3, 22, 'Frustrations-/ Aggressionsbew&auml;ltigung', 1);
INSERT INTO `tb_sd_items` VALUES (83, 1, 23, 'Normen und Werte', 1);
INSERT INTO `tb_sd_items` VALUES (84, 2, 23, 'Kommunikation/Kooperation', 1);
INSERT INTO `tb_sd_items` VALUES (85, 3, 23, 'Sexualit&auml;t', 1);
INSERT INTO `tb_sd_items` VALUES (86, 1, 24, 'Integration im Familienverband', 1);
INSERT INTO `tb_sd_items` VALUES (87, 2, 24, 'Umgangskontakte', 1);
INSERT INTO `tb_sd_items` VALUES (88, 3, 24, 'Feste und Feiern', 1);
INSERT INTO `tb_sd_items` VALUES (89, 1, 25, 'Wohnumfeld', 1);
INSERT INTO `tb_sd_items` VALUES (90, 2, 25, 'Kontakte zu Gleichaltrigen', 1);
INSERT INTO `tb_sd_items` VALUES (91, 3, 25, 'Kulturelle Integration', 1);
INSERT INTO `tb_sd_items` VALUES (92, 1, 26, 'Ort', 1);
INSERT INTO `tb_sd_items` VALUES (93, 2, 26, 'Besuch', 1);
INSERT INTO `tb_sd_items` VALUES (94, 3, 26, 'Leistungsniveau', 1);
INSERT INTO `tb_sd_items` VALUES (95, 4, 26, 'Soziale Position', 1);
INSERT INTO `tb_sd_items` VALUES (96, 1, 27, 'Zugangsm&ouml;glichkeiten', 1);
INSERT INTO `tb_sd_items` VALUES (97, 2, 27, 'Freizeitgestaltung', 1);
INSERT INTO `tb_sd_items` VALUES (98, 3, 27, 'Medienkompetenz', 1);

--
-- Tabellenstruktur fuer Tabelle `tb_status`
--

CREATE TABLE IF NOT EXISTS `tb_status` (
  `status_id` int(5) unsigned NOT NULL auto_increment,
  `status` varchar(25) NOT NULL default '',
  PRIMARY KEY (`status_id`)
);

--
-- Daten fuer Tabelle `tb_status`
--

INSERT INTO `tb_status` VALUES (1, 'Anfrage');
INSERT INTO `tb_status` VALUES (2, 'aktiv');
INSERT INTO `tb_status` VALUES (3, 'passiv');
INSERT INTO `tb_status` VALUES (4, 'verstorben');
INSERT INTO `tb_status` VALUES (5, 'verzogen');
INSERT INTO `tb_status` VALUES (6, 'passiv: keine Werbung');
INSERT INTO `tb_status` VALUES (7, 'passiv:  Ruhestand');

--
-- Tabellenstruktur fuer Tabelle `tb_team`
--

CREATE TABLE IF NOT EXISTS `tb_team` (
  `team_id` int(5) unsigned NOT NULL auto_increment,
  `essen` int(5) unsigned NOT NULL default '0',
  `andacht` int(5) unsigned NOT NULL default '0',
  `weiter` int(5) unsigned NOT NULL default '0',
  `thema` varchar(100) NOT NULL default '',
  `aktiv` enum('j','n') NOT NULL default 'n',
  `termin_id` int(5) unsigned NOT NULL default '0',
  `team_art_id` int(5) unsigned NOT NULL default '0',
  `strategie` tinyint(1) unsigned default NULL,
  `notizen` text,
  `tago` text,
  `bes` text,
  `inhalte` text,
  `ort` varchar(100) NOT NULL default '',
  `vorher` time default NULL,
  `nachher` time default NULL,
  PRIMARY KEY (`team_id`),
  KEY `termin` (`termin_id`),
  KEY `team_art_id` (`team_art_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_team_art`
--

CREATE TABLE IF NOT EXISTS `tb_team_art` (
  `team_art_id` int(5) unsigned NOT NULL auto_increment,
  `kurzname` varchar(15) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `farbe` varchar(20) default NULL,
  `lesegruppe` tinyint(1) unsigned default NULL,
  `extern` tinyint(1) unsigned default NULL,
  `montags_sitzung` tinyint(1) unsigned default NULL,
  `lesegruppe_name` varchar(30) default NULL,
  `aktiv` tinyint(1) unsigned NOT NULL default '1',
  `traeger_art_id` int(2) unsigned default NULL,
  `ewald` enum('j','n') NOT NULL default 'n',
  `ewald_ab_datum` date default NULL,
  `art` varchar(2) NOT NULL default '',
  `nummer` int(3) unsigned zerofill default NULL,
  `kuerzel` varchar(5) NOT NULL default '',
  `standort` varchar(50) NOT NULL default '',
  `notizen` text,
  `grp_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned default NULL,
  `fb_id` int(5) unsigned default NULL,
  `vorher` time NOT NULL default '00:00:00',
  `nachher` time NOT NULL default '00:00:00',
  PRIMARY KEY (`team_art_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_team_art_pers`
--

CREATE TABLE IF NOT EXISTS `tb_team_art_pers` (
  `team_art_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `fokus` tinyint(1) unsigned default NULL,
  `nur_protokoll` enum('j','n') default 'n',
  `fuer` varchar(30) default NULL,
  `eingearbeitet_pers_id` int(5) unsigned default NULL,
  `eingearbeitet_ts` int(10) unsigned default NULL,
  `perstyp_vertr` int(5) unsigned default NULL,
  `remind` tinyint(2) unsigned default NULL,
  `ab_datum` date NOT NULL default '2016-01-01',
  PRIMARY KEY (`team_art_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_terminart`
--

CREATE TABLE IF NOT EXISTS `tb_terminart` (
  `terminart` char(3) NOT NULL default '',
  `name` varchar(20) NOT NULL default '',
  `dauer` time NOT NULL default '00:00:00',
  `farbe` varchar(20) default NULL,
  `neu` enum('j','n') NOT NULL default 'n',
  `in_projektgruppe` enum('j','n') default 'n',
  `abt_darst` enum('f','g','fg','gx','fgx') default NULL,
  PRIMARY KEY (`terminart`,`neu`)
);

--
-- Daten fuer Tabelle tb_terminart
--
-- Ersten 8 Datensaetze haben etwas mit den Fehlzeiten zu tun.
--

INSERT INTO `tb_terminart` VALUES ('u', 'Urlaub', '00:00:00', '#00FFFF', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('k', 'Krank', '00:00:00', '#FF0000', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('w', 'Weiterbildung', '00:00:00', '#FFFF00', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('f', 'FZA', '00:00:00', '#FF00FF', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('wbf', 'Weiterbildung - FZA', '00:00:00', '#FFFF00', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('ef', 'entschuld. Fehlen', '00:00:00', '#BA55D3', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('uf', 'unentschuld. Fehlen', '00:00:00', '#BA55D3', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('kk', 'Kind krank', '00:00:00', '#FF0000', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('kf', 'Krank - FZA', '00:00:00', '#FFFF00', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('ez', 'Elternzeit', '00:00:00', '#00FFFF', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('wbu', 'Weiterbildung-Urlaub', '00:00:00', '#FFFF00', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('kol', 'Krank ohne Lohn', '00:00:00', '#FF0000', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('ms', 'Mutterschutz', '00:00:00', '#00FFFF', 'n', 'n', NULL);
INSERT INTO `tb_terminart` VALUES ('wol', 'Wiedereingl.(o.Lohn)', '00:00:00', '#FF0000', 'n', 'n', NULL);

--
-- Tabellenstruktur fuer Tabelle `tb_termine`
--

CREATE TABLE IF NOT EXISTS `tb_termine` (
  `termin_id` int(5) unsigned NOT NULL auto_increment,
  `von` datetime NOT NULL default '0000-00-00 00:00:00',
  `bis` datetime default '0000-00-00 00:00:00',
  `terminart` char(3) NOT NULL default '',
  PRIMARY KEY (`termin_id`),
  KEY `von` (`von`),
  KEY `bis` (`bis`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_traeger_art`
--

CREATE TABLE IF NOT EXISTS `tb_traeger_art` (
  `traeger_art_id` int(2) unsigned NOT NULL auto_increment,
  `traeger_art` varchar(50) default NULL,
  `farbe` varchar(20) default NULL,
  `kurzname` varchar(10) NOT NULL default '',
  `strasse` varchar(30) default NULL,
  `plz` varchar(5) default NULL,
  `ort` varchar(30) default NULL,
  `adresszusatz` varchar(50) default NULL,
  `bank` varchar(50) default NULL,
  `iban` varchar(35) default NULL,
  `bic` varchar(14) default NULL,
  `erw_benutzer` varchar(100) default NULL,
  PRIMARY KEY (`traeger_art_id`)
);

--
-- Daten fuer Tabelle `tb_traeger_art`
--

INSERT INTO `tb_traeger_art` VALUES (1, 'Stellwerk e.V', '#FF0000', 'eV', '', '', '', '', '', '', '', '');
INSERT INTO `tb_traeger_art` VALUES (2, 'STWJugendhilfe gGmbH', 'rgb(51,153,51)', 'JH', '', '', '', '', '', '', '', '');

--
-- Tabellenstruktur fuer Tabelle `tb_web_ebene`
--

CREATE TABLE IF NOT EXISTS `tb_web_ebene` (
  `ebene` tinyint(2) unsigned NOT NULL default '0',
  `name` varchar(25) NOT NULL default '0',
  `link` varchar(30) NOT NULL default '0',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `sort` int(2) unsigned default NULL,
  `level` int(2) NOT NULL default '0',
  PRIMARY KEY (`ebene`)
);

--
-- Daten fuer Tabelle `tb_web_ebene`
--

INSERT INTO `tb_web_ebene` VALUES (1, 'start', 'index.php', 'j', 1, 0);
INSERT INTO `tb_web_ebene` VALUES (2, 'orga', 'kal2.php', 'j', 3, 0);
INSERT INTO `tb_web_ebene` VALUES (3, 'personal', 'pers.php', 'j', 5, 0);
INSERT INTO `tb_web_ebene` VALUES (4, 'kontakte', 'kont.php?ka=1&st=5', 'j', 6, 6);
INSERT INTO `tb_web_ebene` VALUES (5, 'projekte', 'pro.php', 'j', 7, 0);
INSERT INTO `tb_web_ebene` VALUES (6, 'abrechnung', 'fahrten.php', 'j', 8, 6);
INSERT INTO `tb_web_ebene` VALUES (7, '@', 'mail.php', 'n', 0, 0);
INSERT INTO `tb_web_ebene` VALUES (8, 'post', 'post.php', 'j', 2, 6);
INSERT INTO `tb_web_ebene` VALUES (9, 'konf', 'konf/index.php', 'j', 10, 70);
INSERT INTO `tb_web_ebene` VALUES (10, 'ausstattung', 'bibo.php', 'j', 4, 0);
INSERT INTO `tb_web_ebene` VALUES (11, 'verwaltung', 'vormerkliste.php', 'j', 9, 0);

--
-- Tabellenstruktur fuer Tabelle `tb_web_farbe`
--

CREATE TABLE IF NOT EXISTS `tb_web_farbe` (
  `farbnr` tinyint(2) unsigned NOT NULL default '0',
  `farbname` varchar(15) NOT NULL default '0',
  PRIMARY KEY (`farbnr`)
);

--
-- Daten fuer Tabelle `tb_web_farbe`
--

INSERT INTO `tb_web_farbe` VALUES (1, '#FF0000');
INSERT INTO `tb_web_farbe` VALUES (2, '#006400');
INSERT INTO `tb_web_farbe` VALUES (3, '#C00000');
INSERT INTO `tb_web_farbe` VALUES (4, '#4B4B4B');

--
-- Tabellenstruktur fuer Tabelle `tb_web_feedback`
--

CREATE TABLE IF NOT EXISTS `tb_web_feedback` (
  `datei` varchar(100) NOT NULL default '0',
  `feedback` text NOT NULL,
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `pers_id` int(5) NOT NULL default '0',
  `feedback_id` int(5) unsigned NOT NULL auto_increment,
  `erl_pr` tinyint(1) unsigned default NULL,
  `erl_pr_time` datetime default NULL,
  `erl_pr_id` int(5) unsigned default NULL,
  `erl_gf` tinyint(1) unsigned default NULL,
  `erl_gf_time` datetime default NULL,
  `erl_gf_id` int(5) unsigned default NULL,
  `datetime` datetime default NULL,
  `proj_id` int(5) unsigned default NULL,
  `prio` tinyint(1) unsigned NOT NULL default '2',
  `postval` text,
  `getval` text,
  `bearb_id` int(5) unsigned default NULL,
  `bearb_time` datetime default NULL,
  `complexity` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`feedback_id`),
  KEY `projekt` (`proj_id`),
  FULLTEXT KEY `datei` (`datei`,`feedback`),
  KEY `erledigt` (`erl_gf`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_web_hilfe`
--

CREATE TABLE IF NOT EXISTS `tb_web_hilfe` (
  `datei` varchar(100) NOT NULL default '',
  `hilfe` text NOT NULL,
  PRIMARY KEY (`datei`)
);

--
-- Daten fuer Tabelle `tb_web_hilfe`
--

INSERT INTO `tb_web_hilfe` VALUES ('index.php', 'Das ist der Bahnhofsprecher.');
INSERT INTO `tb_web_hilfe` VALUES ('pro.php', 'Hier sieht man nur die eigenen Projekte. Wer einen ausreichenden  Sicherheitslevel hat, kann sich alle Projekte anzeigen lassen.');
INSERT INTO `tb_web_hilfe` VALUES ('pro_ab.php', 'Hier sind alle Zeitkarten des gew&auml;hlten Projekts f&uuml;r den gew&auml;hlten Abrechnungsmonat zu sehen.');
INSERT INTO `tb_web_hilfe` VALUES ('pers_and.php', 'Personalmaske.');
INSERT INTO `tb_web_hilfe` VALUES ('auf.php', 'Farben: \r\ngr&uuml;n: in Bearbeitung\r\nrot: Termin erreicht');
INSERT INTO `tb_web_hilfe` VALUES ('team.php', 'wenn eine Sitzung nicht angezeigt wir: Filter auf potentielle bzw. alle Teilnehmer wechseln, um alle Sitzungen anzuzeigen.');

--
-- Tabellenstruktur fuer Tabelle `tb_web_seite`
--

CREATE TABLE IF NOT EXISTS `tb_web_seite` (
  `seite` tinyint(2) unsigned NOT NULL default '0',
  `ebene` tinyint(2) unsigned NOT NULL default '0',
  `name` varchar(25) NOT NULL default '',
  `link` varchar(30) NOT NULL default '',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `sort` int(2) unsigned default NULL,
  `level` int(2) NOT NULL default '0',
  `session` int(5) unsigned NOT NULL default '900',
  PRIMARY KEY (`seite`)
);

--
-- Daten fuer Tabelle `tb_web_seite`
--

INSERT INTO `tb_web_seite` VALUES (1, 1, 'news', 'index.php', 'j', 1, 0, 900);
INSERT INTO `tb_web_seite` VALUES (14, 3, 'bereitschaft', 'bereit.php', 'j', 14, 45, 900);
INSERT INTO `tb_web_seite` VALUES (7, 4, 'mitarbeiter', 'pers.php', 'j', 7, 6, 900);
INSERT INTO `tb_web_seite` VALUES (6, 5, 'projekte', 'pro.php', 'j', 6, 0, 900);
INSERT INTO `tb_web_seite` VALUES (4, 3, 'mitarbeiter', 'pers.php', 'j', 4, 0, 900);
INSERT INTO `tb_web_seite` VALUES (3, 2, 'news', 'news.php', 'j', 1, 0, 900);
INSERT INTO `tb_web_seite` VALUES (5, 4, 'auftraggeber(JA)', 'kont.php?ka=1&st=5', 'j', 5, 6, 900);
INSERT INTO `tb_web_seite` VALUES (9, 2, 'forum', 'forum.php', 'n', 99, 0, 900);
INSERT INTO `tb_web_seite` VALUES (10, 2, 'kalender', 'kal2.php', 'j', 4, 0, 900);
INSERT INTO `tb_web_seite` VALUES (2, 2, 'aufgaben', 'auf.php', 'j', 2, 0, 900);
INSERT INTO `tb_web_seite` VALUES (46, 10, 'schl&uuml;ssel', 'keys.php', 'j', 4, 60, 900);
INSERT INTO `tb_web_seite` VALUES (13, 2, 'formulare', 'form.php', 'n', 99, 0, 900);
INSERT INTO `tb_web_seite` VALUES (11, 2, 'info', 'info.php', 'j', 11, 6, 900);
INSERT INTO `tb_web_seite` VALUES (8, 5, 'reflexion', 're.php', 'j', 8, 45, 900);
INSERT INTO `tb_web_seite` VALUES (15, 11, 'controlling', 'control.php?page=1', 'j', 7, 45, 900);
INSERT INTO `tb_web_seite` VALUES (16, 3, 'verein', 'verein.php', 'j', 16, 45, 900);
INSERT INTO `tb_web_seite` VALUES (17, 3, 'AZV', 'azv.php', 'j', 17, 6, 900);
INSERT INTO `tb_web_seite` VALUES (18, 3, 'AWB', 'wtb.php', 'j', 18, 0, 900);
INSERT INTO `tb_web_seite` VALUES (19, 3, 'AZK', 'azk2.php', 'j', 19, 6, 900);
INSERT INTO `tb_web_seite` VALUES (20, 2, 'pkm', 'pkm.php', 'n', 15, 0, 900);
INSERT INTO `tb_web_seite` VALUES (26, 6, 'fahrten', 'fahrten.php', 'j', 1, 6, 900);
INSERT INTO `tb_web_seite` VALUES (21, 4, 'beh&ouml;rden', 'kont.php?ka=2&st=21', 'j', 21, 6, 900);
INSERT INTO `tb_web_seite` VALUES (22, 4, 'freie tr&auml;ger', 'kont.php?ka=3&st=22', 'j', 22, 6, 900);
INSERT INTO `tb_web_seite` VALUES (23, 4, 'institutionen', 'kont.php?ka=4&st=23', 'j', 23, 6, 900);
INSERT INTO `tb_web_seite` VALUES (24, 4, 'personen', 'personen.php?st=24', 'j', 24, 6, 900);
INSERT INTO `tb_web_seite` VALUES (25, 4, 'lieferanten', 'kont.php?ka=5&st=25', 'j', 25, 6, 900);
INSERT INTO `tb_web_seite` VALUES (41, 6, '&uuml;bersicht', 'ab2.php', 'j', 5, 30, 900);
INSERT INTO `tb_web_seite` VALUES (27, 5, 'statistik', 'stat.php', 'n', 27, 0, 900);
INSERT INTO `tb_web_seite` VALUES (28, 3, 'kapazit&auml;ten', 'kap.php', 'j', 28, 6, 900);
INSERT INTO `tb_web_seite` VALUES (29, 2, 'feedback', 'feedb.php', 'j', 7, 6, 900);
INSERT INTO `tb_web_seite` VALUES (30, 5, 'IQS', 'qs.php', 'j', 30, 6, 900);
INSERT INTO `tb_web_seite` VALUES (31, 2, 'zust&auml;ndig', 'zust.php', 'j', 6, 6, 900);
INSERT INTO `tb_web_seite` VALUES (32, 5, 'GA-Plan', 'ga.php', 'j', 32, 30, 900);
INSERT INTO `tb_web_seite` VALUES (33, 5, 'LOM-Plan', 'lom.php', 'j', 33, 0, 900);
INSERT INTO `tb_web_seite` VALUES (34, 10, 'bibo', 'bibo.php', 'j', 1, 6, 900);
INSERT INTO `tb_web_seite` VALUES (35, 2, 'sitzung', 'team.php', 'j', 5, 6, 900);
INSERT INTO `tb_web_seite` VALUES (36, 6, 'nachweise', 'nachw.php', 'j', 2, 45, 900);
INSERT INTO `tb_web_seite` VALUES (37, 3, 'fehlzeiten', 'fehlz.php', 'j', 37, 0, 900);
INSERT INTO `tb_web_seite` VALUES (39, 6, 'honorare', 'hon.php', 'j', 4, 45, 900);
INSERT INTO `tb_web_seite` VALUES (40, 8, 'mail', 'mail.php', 'j', 60, 6, 900);
INSERT INTO `tb_web_seite` VALUES (38, 6, 'kontrolle', 'ab_k.php', 'j', 3, 60, 900);
INSERT INTO `tb_web_seite` VALUES (42, 6, 'rechnung/zahlung', 'rech.php', 'j', 6, 60, 900);
INSERT INTO `tb_web_seite` VALUES (43, 5, 'fachberatung', 'fb.php', 'j', 43, 6, 900);
INSERT INTO `tb_web_seite` VALUES (44, 10, 'inventar', 'ger.php', 'j', 2, 6, 900);
INSERT INTO `tb_web_seite` VALUES (12, 8, 'PostEingang', 'post.php', 'j', 2, 6, 900);
INSERT INTO `tb_web_seite` VALUES (45, 8, 'PostAusgang', 'post_a.php', 'j', 3, 6, 900);
INSERT INTO `tb_web_seite` VALUES (47, 10, 'mobil', 'mobtel.php', 'j', 5, 6, 900);
INSERT INTO `tb_web_seite` VALUES (48, 2, 'post', 'post.php', 'n', 3, 0, 900);
INSERT INTO `tb_web_seite` VALUES (49, 2, 'post', 'post.php', 'n', 3, 0, 900);
INSERT INTO `tb_web_seite` VALUES (50, 8, 'brief schreiben', 'brief.php', 'n', 50, 6, 900);
INSERT INTO `tb_web_seite` VALUES (51, 3, 'abteilung', 'abteilung.php', 'j', 5, 45, 900);
INSERT INTO `tb_web_seite` VALUES (52, 8, 'nachrichten', 'nachr.php', 'j', 1, 0, 900);
INSERT INTO `tb_web_seite` VALUES (53, 10, 'edv', 'pc.php', 'j', 6, 6, 900);
INSERT INTO `tb_web_seite` VALUES (54, 9, 'allgemein', 'konf/index.php', 'j', 1, 96, 900);
INSERT INTO `tb_web_seite` VALUES (55, 9, 'tr&auml;ger', 'konf/traeger.php', 'j', 3, 96, 900);
INSERT INTO `tb_web_seite` VALUES (56, 9, 'svn', 'konf/svn.php', 'j', 4, 65, 900);
INSERT INTO `tb_web_seite` VALUES (57, 9, 'm&uuml;ll', 'konf/muell.php', 'j', 5, 65, 900);
INSERT INTO `tb_web_seite` VALUES (58, 9, 'projekte', 'konf/projekte.php', 'j', 2, 96, 900);
INSERT INTO `tb_web_seite` VALUES (59, 10, 'pkw', 'pkw.php', 'j', 7, 6, 900);
INSERT INTO `tb_web_seite` VALUES (60, 9, 'men&uuml;', 'konf/menu.php', 'j', 6, 96, 900);
INSERT INTO `tb_web_seite` VALUES (61, 4, 'fundraising', 'personen.php?&st=61&fr=1', 'j', 26, 45, 900);
INSERT INTO `tb_web_seite` VALUES (62, 9, 'farben', 'konf/farben.php', 'j', 7, 96, 900);
INSERT INTO `tb_web_seite` VALUES (63, 9, 'backup', 'konf/backup.php', 'j', 8, 96, 900);
INSERT INTO `tb_web_seite` VALUES (64, 3, 'gehaltsliste', 'gehalt.php', 'j', 18, 70, 900);
INSERT INTO `tb_web_seite` VALUES (65, 2, 'Dateien', 'daten.php', 'n', 15, 0, 900);
INSERT INTO `tb_web_seite` VALUES (66, 11, 'Kasse', 'kasse.php', 'j', 5, 60, 900);
INSERT INTO `tb_web_seite` VALUES (67, 8, 'REBuch', 'post.php?ma=all&art=4&verw=0', 'j', 4, 60, 900);
INSERT INTO `tb_web_seite` VALUES (68, 11, 'Lieferung', 'post.php?ma=all&art=8', 'j', 3, 6, 900);
INSERT INTO `tb_web_seite` VALUES (69, 5, 'projektgruppe', 'pro_gruppe.php', 'n', 7, 0, 900);
INSERT INTO `tb_web_seite` VALUES (70, 10, 'arbeitsmittel', 'arbeitsmittel.php', 'j', 3, 6, 900);
INSERT INTO `tb_web_seite` VALUES (71, 10, 'fundus', 'arbeitsmittel.php?fund=1', 'j', 3, 6, 900);
INSERT INTO `tb_web_seite` VALUES (72, 10, 'pam', 'arbeitsmittel.php?pam=1', 'j', 3, 6, 900);
INSERT INTO `tb_web_seite` VALUES (73, 11, 'Vormerkliste', 'vormerkliste.php', 'j', 1, 0, 900);
INSERT INTO `tb_web_seite` VALUES (74, 11, 'REBuch', 'post.php?ma=all&art=4&verw=1', 'j', 4, 60, 900);
INSERT INTO `tb_web_seite` VALUES (75, 11, 'Sachbericht', 'control.php?page=2', 'j', 8, 45, 900);
INSERT INTO `tb_web_seite` VALUES (76, 11, 'Einkauf', 'pro.php?pra=11', 'j', 2, 6, 900);
INSERT INTO `tb_web_seite` VALUES (77, 11, 'Vertr&auml;ge', 'pro.php?pra=11&vertr=1', 'j', 6, 6, 900);
INSERT INTO `tb_web_seite` VALUES (78, 11, 'Vorg&auml;nge', 'pro.php?pra=6', 'j', 6, 6, 900);
INSERT INTO `tb_web_seite` VALUES (79, 9, 'mandant', 'konf/mandant.php', 'j', 3, 96, 900);
INSERT INTO `tb_web_seite` VALUES (80, 9, 'ewald', 'konf/ewald.php', 'j', 2, 96, 900);
INSERT INTO `tb_web_seite` VALUES (81, 8, 'PostRessort', 'post_ressort.php', 'n', 3, 0, 900);
INSERT INTO `tb_web_seite` VALUES (82, 3, 'bollwerk', 'bollwerk.php', 'j', 40, 96, 900);
INSERT INTO `tb_web_seite` VALUES (83, 9, 'skin', 'konf/skin.php', 'j', 1, 96, 900);

--
-- Tabellenstruktur fuer Tabelle `tb_x_ab`
--

CREATE TABLE IF NOT EXISTS `tb_x_ab` (
  `nachw_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `fls` decimal(7,2) default NULL,
  `vm` decimal(7,2) default NULL,
  `soll` decimal(7,2) default NULL,
  `gel` decimal(7,2) default NULL,
  `ueber` decimal(7,2) default NULL,
  `abger` decimal(7,2) default NULL,
  `vun_p` decimal(7,2) default NULL,
  PRIMARY KEY (`nachw_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_x_azk_pers`
--

CREATE TABLE IF NOT EXISTS `tb_x_azk_pers` (
  `nachw_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `fls_soll` decimal(7,2) NOT NULL default '0.00',
  `fls_gel` decimal(7,2) NOT NULL default '0.00',
  `auslast` decimal(7,2) NOT NULL default '0.00',
  `azk_ueb` decimal(7,2) NOT NULL default '0.00',
  `azk_std` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY (`nachw_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_x_azk_proj`
--

CREATE TABLE IF NOT EXISTS `tb_x_azk_proj` (
  `nachw_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `fls_netto` decimal(7,2) NOT NULL default '0.00',
  `fz_brutto` decimal(7,2) NOT NULL default '0.00',
  `fz_netto` decimal(7,2) NOT NULL default '0.00',
  `doku` decimal(7,2) NOT NULL default '0.00',
  `fls_brutto` decimal(7,2) NOT NULL default '0.00',
  `fm` decimal(7,2) NOT NULL default '0.00',
  `spesen` decimal(7,2) NOT NULL default '0.00',
  `pkw_p` int(3) NOT NULL default '0',
  `pkw_d` int(3) NOT NULL default '0',
  `pkw_g` int(3) NOT NULL default '0',
  `sum_c` decimal(7,2) NOT NULL default '0.00',
  `vun` decimal(7,2) NOT NULL default '0.00',
  `fls_vertr` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY (`nachw_id`,`pers_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_briefe_texte`
--

CREATE TABLE IF NOT EXISTS `tbh_briefe_texte` (
  `brief_text_id` int(6) NOT NULL default '0',
  `brief_id` int(6) NOT NULL default '0',
  `sort` int(3) NOT NULL default '0'
);

--
-- Tabellenstruktur fuer Tabelle `tbh_akte_abt`
-- Verknuepfung von Abteilungen (Personal) und Personalaktenarten
--

CREATE TABLE IF NOT EXISTS `tbh_akte_abt` (
  `akte_id` int(5) NOT NULL default '0',
  `abt_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`akte_id`,`abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_ga_pp`
--

CREATE TABLE IF NOT EXISTS `tbh_ga_pp` (
  `ga_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `person_id` int(5) unsigned NOT NULL default '0',
  `shuttle1` int(1) unsigned default NULL,
  `shuttle2` int(1) unsigned default NULL,
  `typ` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`ga_id`,`pers_id`,`person_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_hp_bel_person`
--

CREATE TABLE IF NOT EXISTS `tbh_hp_bel_person` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `person_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`hp_id`,`person_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_lom_pers`
--

CREATE TABLE IF NOT EXISTS `tbh_lom_pers` (
  `lom_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `wertung` int(2) unsigned NOT NULL default '0',
  `stunden` decimal(5,2) NOT NULL default '0.00',
  PRIMARY KEY (`lom_id`,`pers_id`),
  INDEX `ix_pers_id` (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_paz_ver`
--

CREATE TABLE IF NOT EXISTS `tbh_paz_ver` (
  `pazver_id` int(5) unsigned NOT NULL auto_increment,
  `paz_id` int(5) unsigned NOT NULL default '0',
  `ver_id` int(5) unsigned NOT NULL default '0',
  `satz` double(5,2) unsigned default '0.00',
  `unter` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`pazver_id`),
  KEY `ver_id` (`ver_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_auf`
--

CREATE TABLE IF NOT EXISTS `tbh_pers_auf` (
  `aufgabe_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `zust` enum('j','n') NOT NULL default 'j',
  `auf` varchar(100) default NULL,
  `personaltyp_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`aufgabe_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_proj`
--

CREATE TABLE IF NOT EXISTS `tbh_pers_proj` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `personaltyp_id` int(5) unsigned NOT NULL default '0',
  `hpst` decimal(4,2) default NULL,
  `kl_id` int(3) NOT NULL default '0',
  `ppkw` enum('j','n') NOT NULL default 'n',
  `kat_id` int(3) unsigned default NULL,
  `fuer` varchar(30) default NULL,
  `eingearbeitet_pers_id` int(5) unsigned default NULL,
  `eingearbeitet_ts` int(10) unsigned default NULL,
  `hperw` enum('j','n') default NULL,
  `perstyp_vertr` int(5) unsigned default NULL,
  `hpskala` tinyint(1) default NULL,
  PRIMARY KEY (`pers_id`,`proj_id`),
  KEY `idx_proj_id` (`proj_id`),
  KEY `idx_personaltyp_id` (`personaltyp_id`),
  KEY `idx_kl_id` (`kl_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_traegerart`
--

CREATE TABLE IF NOT EXISTS `tbh_pers_traegerart` (
  `pers_id` int(5) NOT NULL default '0',
  `traeger_art_id` int(5) NOT NULL default '0',
  `rolle` varchar(100) default NULL
);

--
-- Tabellenstruktur fuer Tabelle `tbh_proj_personen`
--

CREATE TABLE IF NOT EXISTS `tbh_proj_personen` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `person_id` int(5) unsigned NOT NULL default '0',
  `perstyp_id` int(5) unsigned NOT NULL default '0',
  `sorgerecht` enum('j','n','x') NOT NULL default 'n',
  PRIMARY KEY (`proj_id`,`person_id`,`perstyp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_team_pers`
--

CREATE TABLE IF NOT EXISTS `tbh_team_pers` (
  `team_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `prio` int(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`team_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_termin_pers`
--

CREATE TABLE IF NOT EXISTS `tbh_termin_pers` (
  `termin_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`termin_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ga_kat`
--

CREATE TABLE IF NOT EXISTS `tb_ga_kat` (
  `kat_id` int(5) unsigned NOT NULL auto_increment,
  `ga_kat` varchar(50) NOT NULL default '',
  PRIMARY KEY (`kat_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pc`
--

CREATE TABLE IF NOT EXISTS `tb_pc` (
  `pc_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `notizen` text,
  `kat_id` int(5) unsigned NOT NULL default '0',
  `standort` varchar(50) NOT NULL default '',
  `typ` varchar(50) NOT NULL default '',
  `seriennummer` varchar(50) NOT NULL default '',
  `macadresse` varchar(20) NOT NULL default '',
  PRIMARY KEY (`pc_id`),
  KEY `kat_id` (`kat_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pc_kat`
--

CREATE TABLE IF NOT EXISTS `tb_pc_kat` (
  `kat_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `notizen` text,
  `verknupf` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`kat_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pc_mm`
--

CREATE TABLE IF NOT EXISTS `tb_pc_mm` (
  `mm_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `notizen` text,
  PRIMARY KEY (`mm_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_kat_mm`
--

CREATE TABLE IF NOT EXISTS `tbh_kat_mm` (
  `kat_id` int(5) unsigned NOT NULL default '0',
  `mm_id` int(5) NOT NULL default '0',
  `spalte` tinyint(1) NOT NULL default '0',
  PRIMARY KEY (`kat_id`,`mm_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pc_mm`
--

CREATE TABLE IF NOT EXISTS `tbh_pc_mm` (
  `pc_id` int(5) unsigned NOT NULL default '0',
  `mm_id` int(5) unsigned NOT NULL default '0',
  `wert` varchar(50) NOT NULL default '',
  `notizen` text,
  PRIMARY KEY (`pc_id`,`mm_id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_pc_fb'
--

CREATE TABLE IF NOT EXISTS `tb_pc_fb` (
  `fb_id` int(5) unsigned NOT NULL auto_increment,
  `pc_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `feedback` text NOT NULL,
  `erl_edv` tinyint(1) unsigned default NULL,
  `erl_edv_time` datetime default NULL,
  `erl_edv_id` int(5) unsigned default NULL,
  `erl_gf` tinyint(1) unsigned default NULL,
  `erl_gf_time` datetime default NULL,
  `erl_gf_id` int(5) unsigned default NULL,
  `proj_id` int(5) unsigned default NULL,
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `prio` tinyint(1) unsigned NOT NULL default '2',
  PRIMARY KEY (`fb_id`),
  KEY `pc_id` (`pc_id`),
  FULLTEXT KEY `feedback` (`feedback`)
);

--
-- Tabellenstruktur fuer Tabelle tb_svn - Verwaltung der SVN Notizen
--
-- svn_id - ist der jeweilige Eintrag zu der SVN Version
-- notiz  - enthaelt die eingegebenen Notizen zur SVN Version
--

CREATE TABLE IF NOT EXISTS `tb_svn` (
  `svn_id` int(5) unsigned NOT NULL default '0',
  `notiz` text,
  `datum` int(10) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`svn_id`)
);

INSERT INTO `tb_svn` VALUES(2928, '', unix_timestamp(now()), 0);

--
-- Tabellenstruktur fuer Tabelle tb_daten - Dateien die hochgeladen wurden
--
-- datei_id  - eindeutige DateiId
-- rechte_id - jede Datei gehoert zu einem Rechteobjekt
-- rname     - Real-Dateiname
-- sname     - Hash-Dateiname
-- size      - Dateigroesse
-- type      - Dateiart
-- datum     - Zeitstempel
-- pers_id   - Person die es hochgeladen hat
-- level     - Levelgruppe
-- zahl_id   - eine Zahl die im Zusammenhang mit der Seite genutzt werden kann
-- art       - Dateiablage dient verschieden Zwecke: 0-normal, 1-Backupseite

CREATE TABLE IF NOT EXISTS `tb_daten` (
  `datei_id` int(5) unsigned NOT NULL auto_increment,
  `rechte_id` int(5) unsigned NOT NULL default '0',
  `rname` varchar(50) NOT NULL default '',
  `sname` varchar(50) NOT NULL default '',
  `size` int(10) unsigned NOT NULL default '0',
  `type` varchar(50) NOT NULL default '',
  `datum` int(10) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `level` int(2) unsigned NOT NULL default '0',
  `zahl_id` int(5) unsigned NOT NULL default '0',
  `zahl_id2` int(5) unsigned NOT NULL default '0',
  `art` int(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`datei_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_daten_pers - Personenrechte fuer Dateien
--
-- rechte_id  - Recht fuer diese Id
-- pers_id    - PersonenId
-- rechte_art - legt fest welches Recht der Nutzer hat

CREATE TABLE IF NOT EXISTS `tb_daten_pers` (
  `rechte_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) NOT NULL default '0',
  `recht_art` enum('0','1','2','3','4') NOT NULL default '0',
  PRIMARY KEY (`rechte_id`,`pers_id`,`recht_art`)
);

--
-- Tabellenstruktur fuer Tabelle tb_daten_rechte - Dateirechteverwaltung
--
-- rechte_id - vorhandenes Rechteobjekt, das ist die ID
-- seite     - Seitenbereichszahl von tb_web_seite
-- name      - Seitenanme wo es gezeigt wird
-- rname     - Name dieses Rechteobjekts
-- rseite    - Anzahl der zu zeigenden Dateien innerhalb der rechten Seite
-- lsehen    - notwendige Level ab der die Dateien gesehen werden koennen
-- ldown     - notwendige Level fuer Download
-- lup       - notwendige Level fuer Upload
-- ldel      - notwendige Level fuer Loeschen
-- lzip      - notwendige Level fuer Download Zip-Archiv

CREATE TABLE IF NOT EXISTS `tb_daten_rechte` (
  `rechte_id` int(5) unsigned NOT NULL auto_increment,
  `seite` int(5) unsigned NOT NULL default '0',
  `name` varchar(30) NOT NULL default '',
  `rname` varchar(30) NOT NULL default '',
  `rseite` int(5) unsigned NOT NULL default '0',
  `lsehen` int(2) unsigned NOT NULL default '97',
  `ldown` int(2) unsigned NOT NULL default '97',
  `lup` int(2) unsigned NOT NULL default '97',
  `ldel` int(2) unsigned NOT NULL default '97',
  `lzip` int(2) unsigned NOT NULL default '99',
  PRIMARY KEY (`rechte_id`)
);

INSERT INTO `tb_daten_rechte` VALUES (1, 4, 'pers_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (2, 36, 'nachw', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (3, 6, 'pro_daten', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (4, 6, 'pro_hp2', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (5, 12, 'post_in', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (6, 8, 'pro_re', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (7, 25, 'pro_pb', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (8, 3, 'news_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (9, 35, 'team_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (10, 2, 'auf_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (11, 59, 'pkw_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (12, 52, 'nachr_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (13, 45, 'post_out', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (14, 60, 'konf/menu', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (15, 5, 'kont_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (16, 46, 'keys_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (17, 33, 'lom', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (18, 6, 'pro_daten', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (19, 11, 'info', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (20, 34, 'bibo_buch', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (21, 44, 'ger_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (22, 47, 'mobtel_tel_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (23, 53, 'pc', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (24, 29, 'feedback', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (25, 6, 'pro_kwg', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (26, 47, 'mobtel_sim_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (27, 15, 'control', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (28, 44, 'ger_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (29, 66, 'kasse_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (30, 6, 'vormerkliste', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (31, 70, 'arbeitsmittel', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (32, 32, 'ga_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (33, 71, 'fundus', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (34, 72, 'pam', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (35, 18, 'wtb_and', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (36, 6, 'pro_bel', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (37, 10, 'wochenplan', '', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (38, 6, 'pro_daten', 'Schweigepflichtsentbindung', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (39, 59, 'pkw_and', 'Pflege/Wartung', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (40, 59, 'pkw_fb_and', 'PKW-Feedback', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (41, 42, 'rech', 'Rechnung/Abschlag', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (42, 42, 'rech', 'Rechnung/Gutschein', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (43, 44, 'ger_and', 'Inspektion/Elektroprfung', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (44, 6, 'pro_daten', 'Notfallplan Kontrollvereinb.', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (45, 4, 'pers_and', 'Akten', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (46, 36, 'nachw', 'Nachweis Intern Klammer', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (47, 33, 'mandant/stw/nachw_ttt_req', 'Manahmezeitraum', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (48, 33, 'mandant/stw/nachw_ttt_req', 'Tarifzeitraum Fahrkarten', 0, 97, 97, 97, 97, 99);
INSERT INTO `tb_daten_rechte` VALUES (49, 10, 'term_and', 'Termin', 0, 97, 97, 97, 97, 99);


--
-- Tabellenstruktur fuer Tabelle tb_azk - Verwaltung AZK Kontenkorrektur
--
-- datum           - Monat fuer den die Aenderung gilt
-- pers_id         - PersonalID
-- korrektur       - Stunden die das AZK Konto geaendert wird
-- korrektur_notiz - Notiz zum Korrektureintrag
-- kor_pers_id     - PersonalID des MA, der Aenderung angelegt hat
-- kor_time        - Zeitstempel der letzten Aenderung

CREATE TABLE IF NOT EXISTS `tb_azk` (
  `datum` date NOT NULL default '0000-00-00',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `korrektur` decimal(7,2) NOT NULL default '0.00',
  `korrektur_notiz` text,
  `kor_pers_id` int(5) unsigned default NULL,
  `kor_time` datetime default NULL,
  PRIMARY KEY (`datum`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_azk_proj - Verwaltung der einzelnen
-- AZK Staende pro Projekt
--
-- proj_id    - Projektnummer fuer den Stand
-- datum      - Monat/Jahr in dem der Stand gilt
-- vormonat   - Vormonatstand
-- monat      - Sollstand
-- gesamt     - Gesamtstand
-- folgemonat - Uebertrag fuer den Folgemonat
--

CREATE TABLE IF NOT EXISTS `tb_azk_proj` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `vormonat` decimal(7,2) default NULL,
  `monat` decimal(7,2) default NULL,
  `gesamt` decimal(7,2) default NULL,
  `folgemonat` decimal(7,2) default NULL,
  `ohneKorrZKs` decimal(7,2) default NULL,
  PRIMARY KEY (`proj_id`,`datum`)
);

--
-- Tabellenstruktur fuer Tabelle tb_benutzerrechte & tb_levelrechte
-- Nutzer bekommen Rechte auf bestimmte Objekte innerhalb von Stellware.
-- Diese sind in der Tabelle tb_obj_rechte definiert.
--
-- obj_id  - die ID fuer die das Recht gilt
-- pers_id - diese Person hat Zugriff auf dieses Objekt

CREATE TABLE IF NOT EXISTS `tb_benutzerrechte` (
  `obj_id` int(5) NOT NULL default '0',
  `pers_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`obj_id`,`pers_id`)
);

--
-- obj_id  - die ID fuer die das Recht gilt
-- level   - ab diesem Level hat Nutzer Zugriff auf dieses Objekt

CREATE TABLE IF NOT EXISTS `tb_levelrechte` (
  `obj_id` int(5) NOT NULL default '0',
  `level` tinyint(2) NOT NULL default '0',
  PRIMARY KEY (`obj_id`)
);

-- Standardwerte fuer tb_levelrechte
INSERT INTO `tb_levelrechte` VALUES (1, 96);
INSERT INTO `tb_levelrechte` VALUES (2, 96);
INSERT INTO `tb_levelrechte` VALUES (3, 96);
INSERT INTO `tb_levelrechte` VALUES (4, 96);
INSERT INTO `tb_levelrechte` VALUES (5, 97);
INSERT INTO `tb_levelrechte` VALUES (6, 96);
INSERT INTO `tb_levelrechte` VALUES (7, 99);
INSERT INTO `tb_levelrechte` VALUES (8, 96);
INSERT INTO `tb_levelrechte` VALUES (9, 80);
INSERT INTO `tb_levelrechte` VALUES (10, 80);
INSERT INTO `tb_levelrechte` VALUES (11, 96);
INSERT INTO `tb_levelrechte` VALUES (12, 96);
INSERT INTO `tb_levelrechte` VALUES (13, 96);
INSERT INTO `tb_levelrechte` VALUES (14, 96);
INSERT INTO `tb_levelrechte` VALUES (15, 65);
INSERT INTO `tb_levelrechte` VALUES (16, 97);
INSERT INTO `tb_levelrechte` VALUES (17, 96);
INSERT INTO `tb_levelrechte` VALUES (18, 96);
INSERT INTO `tb_levelrechte` VALUES (19, 96);
INSERT INTO `tb_levelrechte` VALUES (20, 97);
INSERT INTO `tb_levelrechte` VALUES (21, 96);
INSERT INTO `tb_levelrechte` VALUES (22, 97);
INSERT INTO `tb_levelrechte` VALUES (23, 97);
INSERT INTO `tb_levelrechte` VALUES (24, 96);
INSERT INTO `tb_levelrechte` VALUES (25, 98);
INSERT INTO `tb_levelrechte` VALUES (26, 80);
INSERT INTO `tb_levelrechte` VALUES (27, 61);
INSERT INTO `tb_levelrechte` VALUES (28, 61);
INSERT INTO `tb_levelrechte` VALUES (29, 61);
INSERT INTO `tb_levelrechte` VALUES (30, 61);
INSERT INTO `tb_levelrechte` VALUES (31, 61);
INSERT INTO `tb_levelrechte` VALUES (32, 61);
INSERT INTO `tb_levelrechte` VALUES (33, 61);
INSERT INTO `tb_levelrechte` VALUES (34, 61);
INSERT INTO `tb_levelrechte` VALUES (35, 61);
INSERT INTO `tb_levelrechte` VALUES (36, 61);
INSERT INTO `tb_levelrechte` VALUES (37, 61);
INSERT INTO `tb_levelrechte` VALUES (38, 30);
INSERT INTO `tb_levelrechte` VALUES (39, 97);
INSERT INTO `tb_levelrechte` VALUES (40, 60);
INSERT INTO `tb_levelrechte` VALUES (41, 60);
INSERT INTO `tb_levelrechte` VALUES (42, 65);
INSERT INTO `tb_levelrechte` VALUES (43, 96);
INSERT INTO `tb_levelrechte` VALUES (44, 97);
INSERT INTO `tb_levelrechte` VALUES (45, 97);
INSERT INTO `tb_levelrechte` VALUES (46, 98);
INSERT INTO `tb_levelrechte` VALUES (47, 96);
INSERT INTO `tb_levelrechte` VALUES (48, 96);
INSERT INTO `tb_levelrechte` VALUES (49, 97);
INSERT INTO `tb_levelrechte` VALUES (50, 97);
INSERT INTO `tb_levelrechte` VALUES (51, 96);
INSERT INTO `tb_levelrechte` VALUES (52, 97);
INSERT INTO `tb_levelrechte` VALUES (53, 65);
INSERT INTO `tb_levelrechte` VALUES (54, 65);
INSERT INTO `tb_levelrechte` VALUES (55, 65);
INSERT INTO `tb_levelrechte` VALUES (56, 65);
INSERT INTO `tb_levelrechte` VALUES (57, 65);
INSERT INTO `tb_levelrechte` VALUES (58, 65);
INSERT INTO `tb_levelrechte` VALUES (59, 65);
INSERT INTO `tb_levelrechte` VALUES (60, 60);
INSERT INTO `tb_levelrechte` VALUES (61, 97);
INSERT INTO `tb_levelrechte` VALUES (62, 97);
INSERT INTO `tb_levelrechte` VALUES (63, 97);
INSERT INTO `tb_levelrechte` VALUES (64, 96);
INSERT INTO `tb_levelrechte` VALUES (65, 96);
INSERT INTO `tb_levelrechte` VALUES (66, 96);
INSERT INTO `tb_levelrechte` VALUES (67, 70);
INSERT INTO `tb_levelrechte` VALUES (68, 99);
INSERT INTO `tb_levelrechte` VALUES (69, 97);
INSERT INTO `tb_levelrechte` VALUES (70, 99);
INSERT INTO `tb_levelrechte` VALUES (71, 96);
INSERT INTO `tb_levelrechte` VALUES (72, 99);
INSERT INTO `tb_levelrechte` VALUES (73, 97);
INSERT INTO `tb_levelrechte` VALUES (74, 97);
INSERT INTO `tb_levelrechte` VALUES (75, 50);
INSERT INTO `tb_levelrechte` VALUES (76, 99);
INSERT INTO `tb_levelrechte` VALUES (77, 99);
INSERT INTO `tb_levelrechte` VALUES (78, 97);
INSERT INTO `tb_levelrechte` VALUES (79, 96);
INSERT INTO `tb_levelrechte` VALUES (80, 97);
INSERT INTO `tb_levelrechte` VALUES (81, 80);
INSERT INTO `tb_levelrechte` VALUES (82, 96);
INSERT INTO `tb_levelrechte` VALUES (83, 99);
INSERT INTO `tb_levelrechte` VALUES (84, 70);
INSERT INTO `tb_levelrechte` VALUES (85, 96);
INSERT INTO `tb_levelrechte` VALUES (86, 96);
INSERT INTO `tb_levelrechte` VALUES (87, 96);
INSERT INTO `tb_levelrechte` VALUES (88, 96);
INSERT INTO `tb_levelrechte` VALUES (89, 96);
INSERT INTO `tb_levelrechte` VALUES (90, 96);
INSERT INTO `tb_levelrechte` VALUES (91, 96);
INSERT INTO `tb_levelrechte` VALUES (92, 96);
INSERT INTO `tb_levelrechte` VALUES (93, 60);
INSERT INTO `tb_levelrechte` VALUES (94, 99);
INSERT INTO `tb_levelrechte` VALUES (95, 96);
INSERT INTO `tb_levelrechte` VALUES (96, 96);
INSERT INTO `tb_levelrechte` VALUES (97, 96);
INSERT INTO `tb_levelrechte` VALUES (98, 96);
INSERT INTO `tb_levelrechte` VALUES (99, 98);
INSERT INTO `tb_levelrechte` VALUES (100, 98);
INSERT INTO `tb_levelrechte` VALUES (101, 98);
INSERT INTO `tb_levelrechte` VALUES (102, 97);
INSERT INTO `tb_levelrechte` VALUES (103, 60);
INSERT INTO `tb_levelrechte` VALUES (104, 60);
INSERT INTO `tb_levelrechte` VALUES (105, 60);
INSERT INTO `tb_levelrechte` VALUES (106, 60);
INSERT INTO `tb_levelrechte` VALUES (107, 60);
INSERT INTO `tb_levelrechte` VALUES (108, 60);
INSERT INTO `tb_levelrechte` VALUES (109, 60);
INSERT INTO `tb_levelrechte` VALUES (110, 60);
INSERT INTO `tb_levelrechte` VALUES (111, 60);
INSERT INTO `tb_levelrechte` VALUES (112, 60);
INSERT INTO `tb_levelrechte` VALUES (113, 97);
INSERT INTO `tb_levelrechte` VALUES (114, 96);
INSERT INTO `tb_levelrechte` VALUES (115, 96);
INSERT INTO `tb_levelrechte` VALUES (116, 97);
INSERT INTO `tb_levelrechte` VALUES (117, 96);
INSERT INTO `tb_levelrechte` VALUES (118, 96);
INSERT INTO `tb_levelrechte` VALUES (119, 60);
INSERT INTO `tb_levelrechte` VALUES (120, 65);
INSERT INTO `tb_levelrechte` VALUES (121, 65);
INSERT INTO `tb_levelrechte` VALUES (122, 97);
INSERT INTO `tb_levelrechte` VALUES (123, 80);
INSERT INTO `tb_levelrechte` VALUES (124, 65);
INSERT INTO `tb_levelrechte` VALUES (125, 65);
INSERT INTO `tb_levelrechte` VALUES (126, 99);
INSERT INTO `tb_levelrechte` VALUES (127, 60);
INSERT INTO `tb_levelrechte` VALUES (128, 96);
INSERT INTO `tb_levelrechte` VALUES (129, 60);
INSERT INTO `tb_levelrechte` VALUES (130, 99);
INSERT INTO `tb_levelrechte` VALUES (131, 60);
INSERT INTO `tb_levelrechte` VALUES (132, 60);
INSERT INTO `tb_levelrechte` VALUES (133, 60);
INSERT INTO `tb_levelrechte` VALUES (134, 45);
INSERT INTO `tb_levelrechte` VALUES (135, 97);
INSERT INTO `tb_levelrechte` VALUES (136, 96);
INSERT INTO `tb_levelrechte` VALUES (137, 96);
INSERT INTO `tb_levelrechte` VALUES (138, 96);
INSERT INTO `tb_levelrechte` VALUES (139, 96);
INSERT INTO `tb_levelrechte` VALUES (140, 96);
INSERT INTO `tb_levelrechte` VALUES (141, 96);
INSERT INTO `tb_levelrechte` VALUES (142, 96);
INSERT INTO `tb_levelrechte` VALUES (143, 96);
INSERT INTO `tb_levelrechte` VALUES (144, 96);
INSERT INTO `tb_levelrechte` VALUES (145, 96);
INSERT INTO `tb_levelrechte` VALUES (146, 96);
INSERT INTO `tb_levelrechte` VALUES (147, 60);
INSERT INTO `tb_levelrechte` VALUES (148, 97);
INSERT INTO `tb_levelrechte` VALUES (149, 65);
INSERT INTO `tb_levelrechte` VALUES (150, 65);
INSERT INTO `tb_levelrechte` VALUES (151, 99);
INSERT INTO `tb_levelrechte` VALUES (152, 99);

--
-- Tabellenstruktur fuer Tabelle tb_obj_rechte - Jedes Objekt innerhalb
-- von Stellware kann ein Objektnummer zugewiesen werden. Diesen Objekten
-- koennen dann einzelne Nutzerrechte zugeordnet werden (tb_benutzerrechte)
--
-- obj_id - Nummer des Objekts
-- seite  - Stellwareseite aus tb_web_seite
-- beschreibung - Beschreibung wofuer das Objekt steht
-- tb_obj_rechte:static

CREATE TABLE IF NOT EXISTS `tb_obj_rechte` (
  `obj_id` int(5) NOT NULL default '0',
  `seite` int(5) NOT NULL default '0',
  `beschreibung` text NOT NULL,
  `notizen` text,
  PRIMARY KEY (`obj_id`)
);

--
-- Daten fuer Tabelle tb_obj_rechte
--

-- Personenbezogene Rechte
INSERT INTO `tb_obj_rechte` VALUES (1, 29, 'Nutzer darf Feedbacks bearbeiten', 'Nutzer mit dem Level 25 haben dieses Recht teilweise');
INSERT INTO `tb_obj_rechte` VALUES (2, 53, 'Button fuer Anzeige PC Feedbacks', 'Nutzer mit dem Level 26 oder der Berechtigung &Auml;nderungen im Bereich EDV durchzuf&uuml;hren haben dieses Recht automatisch');
INSERT INTO `tb_obj_rechte` VALUES (3, 1, 'Anzeige alle PC-Feedbacks Dashboard', '');
INSERT INTO `tb_obj_rechte` VALUES (4, 59, 'Button fuer Anzeige PKW Feedbacks', 'zus&auml;tzlich haben Nutzer mit dem Level 26 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (5, 15, 'Zugangsberechtigung Controllingseite: FLS-&Uuml;bersicht', '');
INSERT INTO `tb_obj_rechte` VALUES (6, 53, 'Anzeige Hakenfelder PC Feedback', 'zus&auml;tzlich haben Nutzer mit dem Level 26 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (7, 53, 'Hakenfeld erledigt EDV-Mitarbeiter', 'zus&auml;tzlich haben Nutzer mit dem Level 26 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (8, 53, 'Hakenfeld erledigt Leitung', '');
INSERT INTO `tb_obj_rechte` VALUES (9, 4, 'Neu-Button - anlegen von neuem Personal', '');
INSERT INTO `tb_obj_rechte` VALUES (10, 4, 'Speichern-Button im Personaldatenblatt, sowie Geburtsdatum und EWALD in Personalliste', '');
INSERT INTO `tb_obj_rechte` VALUES (11, 1, 'Anzeige Pkw Feedbacks Dashboard', '');
INSERT INTO `tb_obj_rechte` VALUES (12, 59, 'Anzeige Hakenfelder Pkw Feedback', 'zus&auml;tzlich haben Nutzer mit dem Level 17 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (13, 59, 'Hakenfeld erledigt Mitarbeiter', 'zus&auml;tzlich haben Nutzer mit dem Level 17 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (14, 59, 'Hakenfeld erledigt Gesch&auml;ftsf&uuml;hrung', '');
INSERT INTO `tb_obj_rechte` VALUES (15, 38, 'Benutzer darf als Abteilungsleiter fr eigene Abteilung inhaltliche Kontrolle durchf&uuml;hren', '');
INSERT INTO `tb_obj_rechte` VALUES (16, 32, 'GA Teilnehmer l&ouml;schen', '');
INSERT INTO `tb_obj_rechte` VALUES (17, 1, 'Anzeige nur eigene Projekte PC Feedbacks Dashboard', '');
INSERT INTO `tb_obj_rechte` VALUES (18, 43, 'Gruppe Kindeswohlgef&auml;hrdung (KWG)', 'Mitglieder dieser Gruppe d&uuml;rfen auf aktive HzE-Projekte zugreifen');
INSERT INTO `tb_obj_rechte` VALUES (19, 53, 'Berechtigung &Auml;nderungen im Bereich EDV durchzuf&uuml;hren', 'zus&auml;tzlich haben Nutzer mit dem Level 26 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (20, 30, 'Berechtigung QSS und IQS Hakenfeld zu setzen', 'Die Eingabefelder f&uuml;r IQS und QSS sind zus&auml;tzlich auch Benutzern mit dem Level 47 zug&auml;nglich');
INSERT INTO `tb_obj_rechte` VALUES (21, 55, 'Zugangsberechtigung f&uuml;r Tr&auml;gerseite', '');
INSERT INTO `tb_obj_rechte` VALUES (22, 30, 'Berechtigung f&uuml;r QSS Bereich', '');
INSERT INTO `tb_obj_rechte` VALUES (23, 30, 'Berechtigung f&uuml;r IQS Bereich', '');
INSERT INTO `tb_obj_rechte` VALUES (24, 41, 'Nutzer darf ZK Sperren setzen', '');
INSERT INTO `tb_obj_rechte` VALUES (25, 4, 'Nutzer darf Level bis zur H&ouml;he des eigenen Levels setzen und deren Passwort zur&uuml;cksetzen', '');
INSERT INTO `tb_obj_rechte` VALUES (26, 47, 'Zugang zu den Mobiltelefonseiten', '');
INSERT INTO `tb_obj_rechte` VALUES (27, 30, 'Nutzer darf alle Projektgruppen im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (28, 30, 'Nutzer darf Hze Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (29, 30, 'Nutzer darf SGA Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (30, 30, 'Nutzer darf Projekte Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (31, 30, 'Nutzer darf Management Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VAlUES (32, 30, 'Nutzer darf VWG Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (33, 30, 'Nutzer darf ALG Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (34, 30, 'Nutzer darf Fundraising Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (35, 30, 'Nutzer darf EDV Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (36, 30, 'Nutzer darf SWE Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (37, 30, 'Nutzer darf SWP Projektgruppe im IQS Bereich sehen und bearbeiten', 'zus&auml;tzlich haben Nutzer mit dem Sonderrecht, alle Projektgruppen im IQS Bereich zu sehen und zu bearbeiten oder dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (38, 6, 'Nutzer darf neue andere Personen anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (39, 34, 'Nutzer darf Bbibliothek verwalten', 'Die meisten Vorg&auml;nge sind bereits Nutzern mit dem Level 60 oder 65 m&ouml;glich');
INSERT INTO `tb_obj_rechte` VALUES (40, 2, 'Nutzer darf anderen Aufgaben zuweisen', 'zus&auml;tzlich haben Nutzer mit dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (41, 2, 'Nutzer darf sich Aufgaben anderer anzeigen lassen', 'zus&auml;tzlich haben Nutzer mit dem Level 47 dieses Recht');
INSERT INTO `tb_obj_rechte` VALUES (42, 37, 'Nutzer darf entschuldigtes und unentschuldigtes Fehlen ausw&auml;hlen', 'bereits ab Level 60 m&ouml;glich, aber Nutzer mit diesem Sonderrecht d&uuml;rfen Fehlzeiten f&uuml;r andere Mitarbeiter anlegen.');
INSERT INTO `tb_obj_rechte` VALUES (43, 41, 'Nutzer darf ZK-Sperren l&ouml;schen', '');
INSERT INTO `tb_obj_rechte` VALUES (44, 33, 'Nutzer darf Tender-Abrechnung erstellen', '');
INSERT INTO `tb_obj_rechte` VALUES (45, 1, 'Anzeige Dashboard: Personaldaten aktualieren', '');
INSERT INTO `tb_obj_rechte` VALUES (46, 64, 'Nutzer darf Gehaltsliste sehen und bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (47, 45, 'Nutzer darf Postausgang l&ouml;schen', '');
INSERT INTO `tb_obj_rechte` VALUES (48, 12, 'Nutzer darf Posteingang l&ouml;schen', '');
INSERT INTO `tb_obj_rechte` VALUES (49, 4, 'Nutzer darf Personalakten bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (50, 4, 'SBPersonal: darf Personalaktenarten bearbeiten, darf Kinder bearbeiten', 'Zugriff auf CSV-Export Personaldaten');
INSERT INTO `tb_obj_rechte` VALUES (51, 6, 'Nutzer darf Fallanfragen (unter Projektliste) einsehen', '');
INSERT INTO `tb_obj_rechte` VALUES (52, 6, 'Nutzer darf Projektkategorien verwalten', '');
INSERT INTO `tb_obj_rechte` VALUES (53, 5, 'Nutzer darf Kontakte (Auftraggeber) verwalten', '...wird im Quelltext kein einziges Mal verwendet!');
INSERT INTO `tb_obj_rechte` VALUES (54, 21, 'Nutzer darf Kontakte (Beh&ouml;rden) verwalten', '...wird im Quelltext kein einziges Mal verwendet!');
INSERT INTO `tb_obj_rechte` VALUES (55, 22, 'Nutzer darf Kontakte (Freie Tr&auml;ger) verwalten', '...wird im Quelltext kein einziges Mal verwendet!');
INSERT INTO `tb_obj_rechte` VALUES (56, 23, 'Nutzer darf Kontakte (Institutionen) verwalten', '...wird im Quelltext kein einziges Mal verwendet!');
INSERT INTO `tb_obj_rechte` VALUES (57, 24, 'Nutzer darf Kontakte (Personen) verwalten', '...wird im Quelltext kein einziges Mal verwendet!');
INSERT INTO `tb_obj_rechte` VALUES (58, 25, 'Nutzer darf Kontakte (Lieferanten) verwalten', '...wird im Quelltext kein einziges Mal verwendet!');
INSERT INTO `tb_obj_rechte` VALUES (59, 61, 'Nutzer darf Kontakte (Fundraising) verwalten', '...wird im Quelltext kein einziges Mal verwendet!');
INSERT INTO `tb_obj_rechte` VALUES (60, 37, 'Nutzer darf Fehlzeitenliste aller Mitarbeiter einsehen', '');
INSERT INTO `tb_obj_rechte` VALUES (61, 44, 'Nutzer darf Inventar verwalten', '');
INSERT INTO `tb_obj_rechte` VALUES (62, 35, 'Nutzer darf Sitzungsarten verwalten', '');
INSERT INTO `tb_obj_rechte` VALUES (63, 29, 'Entwickler darf Dateilink &ouml;ffnen', '');
INSERT INTO `tb_obj_rechte` VALUES (64, 12, '[1] Nutzer darf Rechnungen f&uuml;r %s OK setzen', '');
INSERT INTO `tb_obj_rechte` VALUES (65, 12, '[2] Nutzer darf Rechnungen f&uuml;r %s OK setzen', '');
INSERT INTO `tb_obj_rechte` VALUES (66, 12, '[3] Nutzer darf Rechnungen f&uuml;r %s OK setzen', '');
INSERT INTO `tb_obj_rechte` VALUES (67, 16, 'Nutzer darf Vereinsverwaltung aufrufen', '...wird im Quelltext kein einziges Mal verwendet!');
INSERT INTO `tb_obj_rechte` VALUES (68, 12, 'Nutzer darf PrNr (Prano Nummer) nach Sperrung ver&auml;ndern', '');
INSERT INTO `tb_obj_rechte` VALUES (69, 33, 'Nutzer darf CSV-Datei der TTTeilnehmer erstellen', '');
INSERT INTO `tb_obj_rechte` VALUES (70, 26, 'Nutzer darf in vergangenen Fahrtenb&uumlchern Inhalte &auml;ndern', '');
INSERT INTO `tb_obj_rechte` VALUES (71, 75, 'Zugangsberechtigung Sachberichte', '');
INSERT INTO `tb_obj_rechte` VALUES (72, 26, 'Nutzer darf Kilometer eigener Fahrten des aktuellen Monats in &Uuml;bersicht &auml;ndern', '');
INSERT INTO `tb_obj_rechte` VALUES (73, 44, 'Nutzer darf Ger&auml;te verwalten', '');
INSERT INTO `tb_obj_rechte` VALUES (74, 44, 'Nutzer darf Lizenzen verwalten', '');
INSERT INTO `tb_obj_rechte` VALUES (75, 6, 'Nutzer darf alle Projekte bearbeiten', 'Fachberater d&uuml;rfen dies bereits f&uuml;r die HzE-Projektgruppe');
INSERT INTO `tb_obj_rechte` VALUES (76, 17, 'Nutzer darf AZV anlegen und bearbeiten bis Level ...', '...bitte <b>zuerst</b> das Eingabefeld (Level) ausf&uuml;llen, <b>danach</b> den Mitarbeiter w&auml;hlen!<br />...und ab Level hat keine Auswirkung!');
INSERT INTO `tb_obj_rechte` VALUES (77, 66, 'Kassenwart / Kassenpr&uuml;fer', 'Auswahlfelder Kassenwart und Kassenpr&uuml;fer werden mit Nutzern, die dieses Sonderrecht haben, bef&uuml;llt. Levelangabe wird ignoriert!');
INSERT INTO `tb_obj_rechte` VALUES (78, 1, 'Nutzer darf Hilfe bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (79, 18, 'Nutzer darf AWB-Kategorien verwalten', '');
INSERT INTO `tb_obj_rechte` VALUES (80, 33, 'Nutzer darf MAE-Abrechnung erstellen', '');
INSERT INTO `tb_obj_rechte` VALUES (81, 6, 'Nutzer darf Belehrungen anlegen und bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (82, 6, 'Nutzer darf in &Uuml;bersicht Projekte Abteilungen zuordnen', '');
INSERT INTO `tb_obj_rechte` VALUES (83, 6, 'Einsetzen des Blinkens (X Tage bis Termin) ver&auml;ndert sich um...', 'Bitte <b>erst</b> das Eingabefeld vorzeichenbehaftet ausf&uuml;llen, <b>danach</b> den Mitarbeiter w&auml;hlen! <br />...und ab Level hat keine Auswirkung!');
INSERT INTO `tb_obj_rechte` VALUES (84, 28, 'Nutzer darf Kapazit&auml;tenplanung einsehen', '');
INSERT INTO `tb_obj_rechte` VALUES (85, 46, 'Nutzer darf Schl&uuml;ssel anlegen und &auml;ndern', '');
INSERT INTO `tb_obj_rechte` VALUES (86, 46, 'Nutzer darf Schl&uuml;ssel ausgeben und zur&uuml;ckgeben', '');
INSERT INTO `tb_obj_rechte` VALUES (87, 70, 'Nutzer darf Arbeitsmittel anlegen und &auml;ndern', '');
INSERT INTO `tb_obj_rechte` VALUES (88, 70, 'Nutzer darf Arbeitsmittel ausgeben und zur&uuml;ckgeben', '');
INSERT INTO `tb_obj_rechte` VALUES (89, 38, 'Nutzer darf auf sachliche Richtigkeit pr&uuml;fen', '');
INSERT INTO `tb_obj_rechte` VALUES (90, 73, 'Nutzer darf in Vormerkliste Direktkauf bis zu diesem Betrag eintragen', 'Falls Nutzer Abteilungsleiter ist, so darf er Direktkauf fr die gesamte Abteilung t&auml;tigen<br />Kassenwarte haben dieses Recht automatisch.');
INSERT INTO `tb_obj_rechte` VALUES (91, 44, 'Nutzer sieht Inventurdatum in &Uuml;bersicht und darf Inventur durchf&uuml;hren', '');
INSERT INTO `tb_obj_rechte` VALUES (92, 34, 'Nutzer sieht Inventurdatum in &Uuml;bersicht und darf Inventur durchf&uuml;hren', '');
INSERT INTO `tb_obj_rechte` VALUES (93, 4, 'Nutzer darf Dienstvertr&auml;ge ausgeben und annehmen', '');
INSERT INTO `tb_obj_rechte` VALUES (94, 38, 'Nutzer darf Kontrolleure korrigieren', '');
INSERT INTO `tb_obj_rechte` VALUES (95, 71, 'Nutzer darf im Fundus anlegen und &auml;ndern', '');
INSERT INTO `tb_obj_rechte` VALUES (96, 71, 'Nutzer darf Fundus ausgeben', '');
INSERT INTO `tb_obj_rechte` VALUES (97, 72, 'Nutzer darf p&auml;dagogische Arbeitsmittel anlegen und &auml;ndern', '');
INSERT INTO `tb_obj_rechte` VALUES (98, 72, 'Nutzer darf p&auml;dagogische Arbeitsmittel ausgeben', '');
INSERT INTO `tb_obj_rechte` VALUES (99, 76, 'Nutzer muss Eink&auml;ufe genehmigen', 'ausgew&auml;hlte Personen erhalten eine Warnung auf der Startseite, alle Benutzer, die obige Level-Vorraussetzungen erf&uuml;llen, haben&nbsp;unabh&auml;ngig davon das Recht, OK-Haken zu setzen');
INSERT INTO `tb_obj_rechte` VALUES (100, 42, 'Nutzer darf Haken Posteingang entfernen', '');
INSERT INTO `tb_obj_rechte` VALUES (101, 42, 'Nutzer darf Haken Zahlungseingang entfernen', '');
INSERT INTO `tb_obj_rechte` VALUES (102, 33, 'Nutzer darf Tarifzeitr&auml;ume bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (103, 6, 'Nutzer darf neue STG-Projekte anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (104, 6, 'Nutzer darf neue Projekte-Projekte anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (105, 6, 'Nutzer darf neue Management-Projekte anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (106, 6, 'Nutzer darf neue VWG-Projekte anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (107, 6, 'Nutzer darf neue Vorg&auml;nge anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (108, 6, 'Nutzer darf neue Fundraising-Projekte anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (109, 6, 'Nutzer darf neue FamFG-Projekte anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (110, 6, 'Nutzer darf neue Stellware-Marketing-Projekte anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (111, 6, 'Nutzer darf neue EDV-Projekte anlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (112, 76, 'Nutzer darf neue Einkaufsprojekte anlegen', 'unabh&auml;ngig davon k&ouml;nnen Einkaufsprojekte aus der Vormerkliste heraus erstellt werden');
INSERT INTO `tb_obj_rechte` VALUES (113, 41, 'Nutzer darf Begr&uuml;ndung Mehrstunden in Abrechnung hinterlegen', '');
INSERT INTO `tb_obj_rechte` VALUES (114, 4, 'Personalsachbearbeiter', 'Personalbezogene Post auf der Startseite<br>Jahresplanung Urlaub');
INSERT INTO `tb_obj_rechte` VALUES (115, 59, 'Nutzer sieht PKW-bezogene Post auf der Startseite', '');
INSERT INTO `tb_obj_rechte` VALUES (116, 10, 'Nutzer darf Zeitkarten trotz Dienstplan-Sperrung &auml;ndern', '');
INSERT INTO `tb_obj_rechte` VALUES (117, 73, 'Nutzer hat gesonderte Rechte in Vormerkliste und Einkauf', '- darf Einkaufsprojekte aufrufen<br>- darf Vormerkposten editieren<br>- darf alle Abteilungen/Tr&auml;ger in Vormerkliste aufrufen<br>- darf neues Projekt aus Vormerkliste erstellen<br>- darf Vormerkposten l&ouml;schen');
INSERT INTO `tb_obj_rechte` VALUES (118, 33, 'Nutzer darf Tim Tender Teilnehmer Personaldatenblatt &auml;ndern/erstellen', '');
INSERT INTO `tb_obj_rechte` VALUES (119, 31, 'Nutzer darf Zust&auml;ndigkeiten bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (120, 44, 'Nutzer darf Elektropr&uuml;fung erstellen und bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (121, 44, 'Nutzer kann Elektropr&uuml;fung und Inspektion aus Liste heraus ja/nein setzen', '');
INSERT INTO `tb_obj_rechte` VALUES (122, 79, 'Zugangsberechtigung f&uuml;r Mandantenseite', '');
INSERT INTO `tb_obj_rechte` VALUES (123, 33, 'Nutzer darf LOM (oder Tender) - Veranstaltungen l&ouml;schen', '');
INSERT INTO `tb_obj_rechte` VALUES (124, 44, 'Nutzer darf Inspektion erstellen und bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (125, 44, 'Nutzer darf Inventarisierung vornehmen', '');
INSERT INTO `tb_obj_rechte` VALUES (126, 41, 'Nutzer darf Zeitkarte anderem Projekt zuordnen (unabh&auml;ngig von AB:ja/nein)', '');
INSERT INTO `tb_obj_rechte` VALUES (127, 19, 'Nutzer wird zur AZK-Kontrolle "Sachbearbeiter" gemahnt', 'ab diesem Level "darf" man kontrollieren<br /> - ausgew&auml;hlte Nutzer werden von EWALD aufgefordert');
INSERT INTO `tb_obj_rechte` VALUES (128, 19, 'Nutzer wird zur AZK-Kontrolle "Gesch&auml;ftsf&uuml;hrer" gemahnt', 'ab diesem Level "darf" man kontrollieren<br /> - ausgew&auml;hlte Nutzer werden von EWALD aufgefordert');
INSERT INTO `tb_obj_rechte` VALUES (129, 59, 'Nutzer sieht PKW-Auslastung, Zust&auml;ndigkeit, Kostenerfassung, Kostencontrolling und Druck PKW', '');
INSERT INTO `tb_obj_rechte` VALUES (130, 19, 'Nutzer darf AZK &uuml;ber das Vorjahr hinaus einsehen', '');
INSERT INTO `tb_obj_rechte` VALUES (131, 6, 'Nutzer darf verbundene Projekte konfigurieren', 'HB, FB und AL haben dieses Recht automatisch');
INSERT INTO `tb_obj_rechte` VALUES (132, 59, 'Nutzer darf Formular Ausstattung/PKW bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (133, 41, 'Nutzer darf (sofern im JA aktiviert) Kilometergeldpauschalen eintragen', '');
INSERT INTO `tb_obj_rechte` VALUES (134, 45, 'Nutzer darf Postausgang auch sehen, falls es sich um eine Rechnung handelt', '');
INSERT INTO `tb_obj_rechte` VALUES (135, 5, 'Nutzer darf Rechnungsnummernkreise in Liste bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (136, 6, 'Nutzer darf aHzE-Projekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (137, 6, 'Nutzer darf STG-Projekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (138, 6, 'Nutzer darf Projekte-Projekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (139, 6, 'Nutzer darf Management-Projekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (140, 6, 'Nutzer darf VWG-Projekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (141, 6, 'Nutzer darf Vorg&auml;nge spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (142, 6, 'Nutzer darf Fundraising-Projekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (143, 6, 'Nutzer darf FamFG-Projekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (144, 6, 'Nutzer darf Stellware-Marketing-Projekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (145, 6, 'Nutzer darf EDV-Projekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (146, 6, 'Nutzer darf Einkaufsprojekte spalten', '');
INSERT INTO `tb_obj_rechte` VALUES (147, 6, 'Nutzer darf Abteilung im Projekt &auml;ndern', '');
INSERT INTO `tb_obj_rechte` VALUES (148, 69, 'Nutzer darf zus&auml;tzliche Projektgruppen-Rechnungseintr&auml;ge anlegen', 'Das Eingabefeld f&uuml;r weitere Rechnungseintr&auml;ge steht nur zur Verf&uuml;gung, wenn es in den Einstellungen der Projektgruppe aktiviert wurde');
INSERT INTO `tb_obj_rechte` VALUES (149, 6, 'Nutzer darf Ausnahmen zu Sammelrechnungen einstellen', '');
INSERT INTO `tb_obj_rechte` VALUES (150, 59, 'Nutzer darf PKW Wartungsarten verwalten', '');
INSERT INTO `tb_obj_rechte` VALUES (151, 6, 'Nutzer darf Archiv bearbeiten', '');
INSERT INTO `tb_obj_rechte` VALUES (152, 36, 'Nutzer Zeitkarten nachtr&auml;glich in noch nicht verschickte Rechnungen aufnehmen', '');

-- Abteilungsbezogene Rechte
INSERT INTO `tb_obj_rechte` VALUES (10001, 37, 'Abteilung darf Fehlzeiten im laufenden Jahr anlegen', '');

--
-- Tabellenstruktur fuer Tabelle 'tb_konf' - Konfigurationstabelle
--

CREATE TABLE IF NOT EXISTS `tb_konf` (
  `name` varchar(30) NOT NULL default '',
  `wert` varchar(100) NOT NULL default '',
  PRIMARY KEY (`name`)
);

--
-- Daten fuer Tabelle `tb_konf`
--

INSERT INTO `tb_konf` VALUES ('traeger', 'swe');
INSERT INTO `tb_konf` VALUES ('kal_st_anz', 'w1');
INSERT INTO `tb_konf` VALUES ('kal_von', '8');
INSERT INTO `tb_konf` VALUES ('kal_bis', '22');
INSERT INTO `tb_konf` VALUES ('imgLogo', 'stwlogo.jpg');
INSERT INTO `tb_konf` VALUES ('imgLogo_xh', '170');
INSERT INTO `tb_konf` VALUES ('imgLogo_xq', '262');
INSERT INTO `tb_konf` VALUES ('imgLogo_y', '5');
INSERT INTO `tb_konf` VALUES ('imgLogo_w', '20');
INSERT INTO `tb_konf` VALUES ('imgKopf', 'stwkopf.jpg');
INSERT INTO `tb_konf` VALUES ('imgKopf_x', '15');
INSERT INTO `tb_konf` VALUES ('imgKopf_y', '7');
INSERT INTO `tb_konf` VALUES ('imgKopf_w', '170');
INSERT INTO `tb_konf` VALUES ('trname', 'Stellwerk Jugendhilfe');
INSERT INTO `tb_konf` VALUES ('stsatz', '36.37');
INSERT INTO `tb_konf` VALUES ('kmsatz', '2.00');
INSERT INTO `tb_konf` VALUES ('re_ap', 'Frau Kunadt');
INSERT INTO `tb_konf` VALUES ('re_tel', '(0 35 28) 4 16 07 85');
INSERT INTO `tb_konf` VALUES ('bland', 'sn');
INSERT INTO `tb_konf` VALUES ('ft_xmas', '1');
INSERT INTO `tb_konf` VALUES ('ft_silv', '1');
INSERT INTO `tb_konf` VALUES ('trort', 'Radeberg');
INSERT INTO `tb_konf` VALUES ('fls_doku', '1');
INSERT INTO `tb_konf` VALUES ('fls_fz', '2');
INSERT INTO `tb_konf` VALUES ('fls_soll', '1');
INSERT INTO `tb_konf` VALUES ('fls_genau', '15');
INSERT INTO `tb_konf` VALUES ('azk_kapp', '1');
INSERT INTO `tb_konf` VALUES ('upd_mon', '1');
INSERT INTO `tb_konf` VALUES ('upd_mon_relativ', '0');
INSERT INTO `tb_konf` VALUES ('boll_srv', 'localhost');
INSERT INTO `tb_konf` VALUES ('boll_dbn', 'bollwerk_datenbank');
INSERT INTO `tb_konf` VALUES ('boll_dbu', 'bollwerk_benutzer');
INSERT INTO `tb_konf` VALUES ('boll_dbp', 'bollwerk_passwort');
INSERT INTO `tb_konf` VALUES ('az_basis', '40.0');
INSERT INTO `tb_konf` VALUES ('boll_aktiv', '0');
INSERT INTO `tb_konf` VALUES ('zk_ueb_kal', '0');
INSERT INTO `tb_konf` VALUES ('zk_ab_perspek', '0');
INSERT INTO `tb_konf` VALUES ('fm_in_azk', '1');
INSERT INTO `tb_konf` VALUES ('doku_in_azk', '0');
INSERT INTO `tb_konf` VALUES ('vertr_in_azk', '1');
INSERT INTO `tb_konf` VALUES ('ag_stsatz', '18.00');
INSERT INTO `tb_konf` VALUES ('fz_pro_ab', 'nan');
INSERT INTO `tb_konf` VALUES ('fls_soll_rund', '0');
INSERT INTO `tb_konf` VALUES ('fehlz_kal', '0');
INSERT INTO `tb_konf` VALUES ('kapp_neg', '1');
INSERT INTO `tb_konf` VALUES ('kapp_neg_wert', '-10');
INSERT INTO `tb_konf` VALUES ('kapp_pos', '1');
INSERT INTO `tb_konf` VALUES ('kapp_pos_wert', '10');
INSERT INTO `tb_konf` VALUES ('viewvc', 'http://bollwerk.stlw.de/viewvc');
INSERT INTO `tb_konf` VALUES ('doku_halb', '0');
INSERT INTO `tb_konf` VALUES ('email_ben_abs', '');
INSERT INTO `tb_konf` VALUES ('kinderzus', '');
INSERT INTO `tb_konf` VALUES ('vml', '');
INSERT INTO `tb_konf` VALUES ('secure_pass', '1');
INSERT INTO `tb_konf` VALUES ('pd_zeige_warnung', '1');
INSERT INTO `tb_konf` VALUES ('azv_zeige_warnung', '1');
INSERT INTO `tb_konf` VALUES ('losung', '0');
INSERT INTO `tb_konf` VALUES ('krankenkasse', '0');
INSERT INTO `tb_konf` VALUES ('ttt_projekt', 'TTM 2600 SA STW');
INSERT INTO `tb_konf` VALUES ('ttt_traeger', 'Arbeits- und Sozialzentrum Kamenz');
INSERT INTO `tb_konf` VALUES ('ttt_projekttitel', 'Sozialpdagogische Jugendberufshilfe');
INSERT INTO `tb_konf` VALUES ('ttt_nr_az', 'A52 488.441');
INSERT INTO `tb_konf` VALUES ('ttt_zeitraum', '01.01.2010 - 31.12.2010');
INSERT INTO `tb_konf` VALUES ('vor_nach_b', '0');
INSERT INTO `tb_konf` VALUES ('anerk_priv_pkw', '30');
INSERT INTO `tb_konf` VALUES ('privat_pkw', '24');
INSERT INTO `tb_konf` VALUES ('dienst_pkw_privat', '30');
INSERT INTO `tb_konf` VALUES ('dienst_pkw_privat_erhoeht', '30');
INSERT INTO `tb_konf` VALUES ('abr_fz_uhrzeit', '1');
INSERT INTO `tb_konf` VALUES ('tt_vor_nach_b', '0');
INSERT INTO `tb_konf` VALUES ('vuncolor', '#FFCC00');
INSERT INTO `tb_konf` VALUES ('abr_fz_kto_nr', '0');
INSERT INTO `tb_konf` VALUES ('ttt_von', '08:00');
INSERT INTO `tb_konf` VALUES ('ttt_bis', '14:45');
INSERT INTO `tb_konf` VALUES ('kontaktstunden', '0');
INSERT INTO `tb_konf` VALUES ('SVN_Login', '');
INSERT INTO `tb_konf` VALUES ('SVN_Pwd', '');
INSERT INTO `tb_konf` VALUES ('fls_doku_ab', '');
INSERT INTO `tb_konf` VALUES ('TTT-Abteilung', 'TTTeilnehmer');
INSERT INTO `tb_konf` VALUES ('MAE-Abteilung', 'LOM MAE');
INSERT INTO `tb_konf` VALUES ('NachrichtenAbt', '0');
INSERT INTO `tb_konf` VALUES ('zweitcodes', '1');
INSERT INTO `tb_konf` VALUES ('kal_tage', '4');
INSERT INTO `tb_konf` VALUES ('nachtdienst', '0');
INSERT INTO `tb_konf` VALUES ('arc_mon', '36');
INSERT INTO `tb_konf` VALUES ('svn_anz', '10');
INSERT INTO `tb_konf` VALUES ('pro_adult', '0');
INSERT INTO `tb_konf` VALUES ('pro_blinken_aus', '0');
INSERT INTO `tb_konf` VALUES ('kalender_sperre', '0');
INSERT INTO `tb_konf` VALUES ('proj_gruppe_pra', '0');
INSERT INTO `tb_konf` VALUES ('proj_gruppe_pra_name_neu', '');
INSERT INTO `tb_konf` VALUES ('std_honorar', '15');
INSERT INTO `tb_konf` VALUES ('st_satz', '0');
INSERT INTO `tb_konf` VALUES ('kontrolle_hb_zwang', '0');
INSERT INTO `tb_konf` VALUES ('ewald_ab', '1');
INSERT INTO `tb_konf` VALUES ('ewald_hb_fb_fehlz', '0');
INSERT INTO `tb_konf` VALUES ('ag_zwang', '0');
INSERT INTO `tb_konf` VALUES ('auto_return', '0');
INSERT INTO `tb_konf` VALUES ('statistikbogen', '0');
INSERT INTO `tb_konf` VALUES ('statb_jas', '');
INSERT INTO `tb_konf` VALUES ('hpadress', 'Stellwerk Jugendhilfe gGmbH, Heidestr. 70 / Geb. 402, 01454 Radeberg');
INSERT INTO `tb_konf` VALUES ('hptel', '(0 35 28) 4 16 07 15');
INSERT INTO `tb_konf` VALUES ('hpfax', '(0 35 28) 4 16 07 16');
INSERT INTO `tb_konf` VALUES ('hpemail', 'post@stlw.de');
INSERT INTO `tb_konf` VALUES ('slogan', 'flexibel\r\nspezifisch\r\nbedarfsgerecht');
INSERT INTO `tb_konf` VALUES ('jugendhilfe', 'Jugendhilfe');
INSERT INTO `tb_konf` VALUES ('vvo_kontakt', '0');
INSERT INTO `tb_konf` VALUES ('fls_fahrt', '100.00');
INSERT INTO `tb_konf` VALUES ('fls_fahrt_ab', '');
INSERT INTO `tb_konf` VALUES ('kls6mon', '0');
INSERT INTO `tb_konf` VALUES ('statbo6mon', '0');
INSERT INTO `tb_konf` VALUES ('rech_warnung_fehlend', '1');
INSERT INTO `tb_konf` VALUES ('rech_warnung_fehlend2', '1');
INSERT INTO `tb_konf` VALUES ('abschlags_rech_adr_ja', '0');
INSERT INTO `tb_konf` VALUES ('PKWselZK', '1');
INSERT INTO `tb_konf` VALUES ('klientenkonto', '0');
INSERT INTO `tb_konf` VALUES ('abr_zk_spesen', '0');
INSERT INTO `tb_konf` VALUES ('PKWmultiVerantw', '0');
INSERT INTO `tb_konf` VALUES ('kal2tag', 't');
INSERT INTO `tb_konf` VALUES ('textarea_resize', '0');
INSERT INTO `tb_konf` VALUES ('boll_intern', '0');
INSERT INTO `tb_konf` VALUES ('abteilung_vereinsmitglieder', '0');
INSERT INTO `tb_konf` VALUES ('klientenkonto2', '0');
INSERT INTO `tb_konf` VALUES ('kk2val', '0.00');
INSERT INTO `tb_konf` VALUES ('pruefturnus', '24');
INSERT INTO `tb_konf` VALUES ('wp_red', '');
INSERT INTO `tb_konf` VALUES ('wp_yellow', '');
INSERT INTO `tb_konf` VALUES ('wp_green', '');
INSERT INTO `tb_konf` VALUES ('wp_sw1', '-10');
INSERT INTO `tb_konf` VALUES ('wp_sw2', '-2');
INSERT INTO `tb_konf` VALUES ('abschlagsturnus', '6');
INSERT INTO `tb_konf` VALUES ('skt_zk', '0');
INSERT INTO `tb_konf` VALUES ('kwg_zk', '0');
INSERT INTO `tb_konf` VALUES ('pk_zuschuss', '0.00');
INSERT INTO `tb_konf` VALUES ('ewald_sitzungen', '0');
INSERT INTO `tb_konf` VALUES ('ewald_sitzungentc', '0');
INSERT INTO `tb_konf` VALUES ('ewald_wochenplan', '0');
INSERT INTO `tb_konf` VALUES ('ewald_anstehendes', '0');
INSERT INTO `tb_konf` VALUES ('ewald_ueberall', '0');
INSERT INTO `tb_konf` VALUES ('pkw_sw1', '45000');
INSERT INTO `tb_konf` VALUES ('pkw_sw2', '50000');
INSERT INTO `tb_konf` VALUES ('ewald_fehlzeitenvertretung', '0');
INSERT INTO `tb_konf` VALUES ('ewald_azk', '0');
INSERT INTO `tb_konf` VALUES ('ewald_pers', '0');
INSERT INTO `tb_konf` VALUES ('extrafahrt_km', '100');
INSERT INTO `tb_konf` VALUES ('ewald_befristung', '0');
INSERT INTO `tb_konf` VALUES ('ewald_frist1', '40');
INSERT INTO `tb_konf` VALUES ('ewald_frist2', '20');
INSERT INTO `tb_konf` VALUES ('ewald_aufgaben_ueberfaellig', '0');
INSERT INTO `tb_konf` VALUES ('ewald_ressort', '0');
INSERT INTO `tb_konf` VALUES ('standardprojektgruppe', '0');
INSERT INTO `tb_konf` VALUES ('grPrInOrga', '0');
INSERT INTO `tb_konf` VALUES ('czeitenliste', '0');
INSERT INTO `tb_konf` VALUES ('alt_codes', '0');
INSERT INTO `tb_konf` VALUES ('ewald_post', '0');
INSERT INTO `tb_konf` VALUES ('laufzeiterfassung', '0');
INSERT INTO `tb_konf` VALUES ('ttt_zukunft', '2700');
INSERT INTO `tb_konf` VALUES ('progr_kontr', '0');
INSERT INTO `tb_konf` VALUES ('rech_tag_sofort', '0');
INSERT INTO `tb_konf` VALUES ('waz48', 'Eine Arbeitszeit von mehr als 48:00h pro Woche ist nur in Ausnahmef&auml;llen zul&auml;ssig.');
INSERT INTO `tb_konf` VALUES ('waz55', 'Eine Arbeitszeit von mehr als 55:00h pro Woche ist unzul&auml;ssig.');
INSERT INTO `tb_konf` VALUES ('ez3monVerbergen', '0');
INSERT INTO `tb_konf` VALUES ('char_encoding', 'ISO-8859-1');
INSERT INTO `tb_konf` VALUES ('zk_midnight', '0');
INSERT INTO `tb_konf` VALUES ('nachtdienst_auto', '0');
INSERT INTO `tb_konf` VALUES ('nachtdienst_von', '22:00');
INSERT INTO `tb_konf` VALUES ('nachtdienst_bis', '6:00');
INSERT INTO `tb_konf` VALUES ('TTT-MA-Abteilung', 'TTMitarbeiter');
INSERT INTO `tb_konf` VALUES ('AnlageFK_gefahrenklasse', '3.66');
INSERT INTO `tb_konf` VALUES ('AnlageFK_beitragsfuss', '1.97');
INSERT INTO `tb_konf` VALUES ('AnlageFK_ausgleichsumlage', '0.09');
INSERT INTO `tb_konf` VALUES ('AnlageFK', '0');
INSERT INTO `tb_konf` VALUES ('p_rech', '0');

--
-- Tabellenstruktur fuer Tabelle 'tb_res_fb'
-- Tabelle fuer Feedbacks zu in tb_ressourcen gespeicherte Ressourcen
-- (vorerst nur fuer PKW)
--

CREATE TABLE IF NOT EXISTS `tb_res_fb` (
  `fb_id` int(5) unsigned NOT NULL auto_increment,
  `res_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `feedback` text NOT NULL,
  `erl_ma` tinyint(1) unsigned default NULL,
  `erl_ma_time` datetime default NULL,
  `erl_ma_id` int(5) unsigned default NULL,
  `erl_gf` tinyint(1) unsigned default NULL,
  `erl_gf_time` datetime default NULL,
  `erl_gf_id` int(5) unsigned default NULL,
  `proj_id` int(5) unsigned default NULL,
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `prio` tinyint(1) unsigned NOT NULL default '2',
  PRIMARY KEY (`fb_id`),
  KEY `res_id` (`res_id`),
  FULLTEXT KEY `feedback` (`feedback`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_res_wartung'
-- Tabelle fuer Wartungseintraege zu in tb_ressourcen gespeicherte Ressourcen
-- (vorerst nur fuer PKW)
--

CREATE TABLE IF NOT EXISTS `tb_res_wartung` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `res_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `notizen` text,
  `datum_n` date default NULL,
  `km_n` int(8) unsigned default NULL,
  `typ` enum('w','p') NOT NULL default 'w',
  `art_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`id`),
  KEY `res_id` (`res_id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_pb'
-- Tabelle fuer Projektberichte
--

CREATE TABLE IF NOT EXISTS `tb_pb` (
  `hp_id` int(5) unsigned NOT NULL,
  `t1` text,
  `t1_es` tinyint(1) unsigned default NULL,
  `t1_pr` tinyint(1) unsigned default NULL,
  `t2` text,
  `t2_es` tinyint(1) unsigned default NULL,
  `t2_pr` tinyint(1) unsigned default NULL,
  `t3` text,
  `t3_es` tinyint(1) unsigned default NULL,
  `t3_pr` tinyint(1) unsigned default NULL,
  `t4` text,
  `t4_es` tinyint(1) unsigned default NULL,
  `t4_pr` tinyint(1) unsigned default NULL,
  `erl_fb` int(5) unsigned default NULL,
  `erl_fb_time` datetime default NULL,
  `fertig` tinyint(1) unsigned default NULL,
  `fertig_pers_id` int(5) unsigned default NULL,
  `fertig_time` datetime default NULL,
  PRIMARY KEY (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_pb_zr'
-- Tabelle fuer Projektberichtszeitraeume
--

CREATE TABLE IF NOT EXISTS `tb_pb_zr` (
  `zr_id` int(5) unsigned NOT NULL auto_increment,
  `proj_id` int(5) unsigned NOT NULL default '0',
  `von` date NOT NULL default '0000-00-00',
  `bis` date default NULL,
  `frist` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`zr_id`),
  KEY `proj_id` (`proj_id`),
  KEY `von` (`von`),
  KEY `bis` (`bis`)
);

--
-- Tabellenstruktur fuer Tabelle tb_lom_team
--
-- team_id - die ID fuer dieses Team
-- name    - Name des Teams

CREATE TABLE IF NOT EXISTS `tb_lom_team` (
  `team_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `aktiv` tinyint(1) NOT NULL default '1',
  `farbe` varchar(20) default NULL,
  PRIMARY KEY (`team_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_lom_team_pers
--
-- team_id - die ID des zugehoerigen Teams
-- pers_id - Person die zu diesem Team gehoert

CREATE TABLE IF NOT EXISTS `tb_lom_team_pers` (
  `team_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`team_id`, `pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_db_update`
--

CREATE TABLE IF NOT EXISTS `tb_db_update` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `abfrage` text,
  `erledigt` tinyint(1) unsigned default '0',
  PRIMARY KEY (`id`)
);

--
-- Daten fuer Tabelle `tb_db_update`
--

INSERT INTO tb_db_update VALUES('1', "UPDATE tb_projektart set kname = 'Fundraising', titel = 'Fundraising', sort = '7',  aktiv = '1' where pra_id = '7';", '0');
INSERT INTO tb_db_update VALUES('2', "UPDATE tb_web_seite set link = 'personen.php?st=24' where seite = '24';", '0');
INSERT INTO tb_db_update VALUES('3', "update tb_pers_akten set druck = 'pers_ds1' where akte_id = '1';", '0');
INSERT INTO tb_db_update VALUES('4', "update tb_pers_akten set druck = 'pers_ds2' where akte_id = '2';", '0');
INSERT INTO tb_db_update VALUES('5', "update tb_pers_akten set druck = 'pers_kfz' where akte_id = '3';", '0');
INSERT INTO tb_db_update VALUES('6', "update tb_res_typ set abk = 'STR' where res_typ = '3';", '0');
INSERT INTO tb_db_update VALUES('7', "update tb_fahrtenhistorie set km_start='0.00', km_ende='0.00' where zk_ts < unix_timestamp('2014-06-01 00:00:00');", '0');
INSERT INTO tb_db_update VALUES('8', "UPDATE tb_web_seite set link = 'abteilung.php', name = 'funktion' where seite = '51';", '0');
INSERT INTO tb_db_update VALUES('9', "UPDATE tb_hpv_form SET erweitert='3' WHERE hpv_form='4';", '0');
INSERT INTO tb_db_update VALUES('10', "UPDATE tb_web_seite set sort = '5', name = 'abteilung' where seite = '51';", '0');

--
-- Tabellenstruktur fuer Tabelle `tb_kontakte_fr`
-- Tabelle fuer Unterkategorien Fundraising-Kontakte
--

CREATE TABLE IF NOT EXISTS `tb_kontakte_fr` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `sort` int(2) unsigned NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  PRIMARY KEY (`id`)
);

--
-- Daten fuer Tabelle tb_kontakte_fr
--

INSERT INTO `tb_kontakte_fr` VALUES('1', '1', 'Spender');
INSERT INTO `tb_kontakte_fr` VALUES('2', '2', 'Sponsoren');
INSERT INTO `tb_kontakte_fr` VALUES('3', '3', 'F&ouml;rderungen');
INSERT INTO `tb_kontakte_fr` VALUES('4', '4', 'Stiftungen');
INSERT INTO `tb_kontakte_fr` VALUES('5', '5', 'Bu&szlig;gelder');

--
-- Tabellenstruktur fuer Tabelle `tbh_ap_proj`
-- Zuordnung von Ansprechpartnern (Kontakte) zu Projekten
--

CREATE TABLE IF NOT EXISTS `tbh_ap_proj` (
  `ap_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`ap_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_kontakte_grp`
-- Tabelle fuer Kontaktgruppen
--

CREATE TABLE IF NOT EXISTS `tb_kontakte_grp` (
  `grp_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  PRIMARY KEY (`grp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_ap_grp`
-- Zuordnung von Ansprechpartnern (Kontakte) zu Kontaktgruppen
--

CREATE TABLE IF NOT EXISTS `tbh_ap_grp` (
  `ap_id` int(5) unsigned NOT NULL default '0',
  `grp_id` int(5) unsigned NOT NULL default '0',
  `typ` enum('a','k','m','r','b') NOT NULL default 'a',
  PRIMARY KEY (`ap_id`,`grp_id`,`typ`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_kont_proj`
-- Zuordnung von Kontakten zu Projekten
--

CREATE TABLE IF NOT EXISTS `tbh_kont_proj` (
  `kont_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`kont_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_personal_abt`
-- Tabelle fuer Abteilungen (Zuordnung Personal)
--

CREATE TABLE IF NOT EXISTS `tb_personal_abt` (
  `abt_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(20) NOT NULL default '',
  `anz_geb_level` tinyint(2) unsigned default NULL,
  `anz_abw_level` tinyint(2) unsigned default NULL,
  `sort` tinyint(1) NOT NULL default '-1',
  `farbe` varchar(20) default NULL,
  `sphere` enum('isf','bzb','wgb') default NULL,
  `wochenplan` enum('j','n') NOT NULL default 'n',
  `team` enum('t','a','b','g') NOT NULL default 'a',
  `sprecher` int(5) unsigned NOT NULL default '0',
  `notizen` text,
  PRIMARY KEY (`abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_personal_abt_leit
-- Tabelle enthaelt die Leiter fuer die jeweilige Abteilung.
--

CREATE TABLE IF NOT EXISTS `tb_personal_abt_leit` (
  `abt_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `kontrolle` enum('j','n') NOT NULL default 'n',
  `pers_id_fuer_ma` int(5) unsigned default NULL,
  `vml` enum('j','n') NOT NULL default 'j',
  `personal` enum('j','n') NOT NULL default 'n',
  `hidden` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`abt_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_proj_kat`
-- Tabelle fuer Projektkategorien
--

CREATE TABLE IF NOT EXISTS `tb_proj_kat` (
  `kat_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `global` tinyint(1) NOT NULL default '0',
  PRIMARY KEY (`kat_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_proj_kat`
-- Tabelle fuer Zuordnung von Projekten zu Projektkategorien
--

CREATE TABLE IF NOT EXISTS `tbh_proj_kat` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `kat_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`proj_id`,`kat_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pers_akten`
-- Tabelle fuer Personalakten
--

CREATE TABLE IF NOT EXISTS `tb_pers_akten` (
  `akte_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `druck` varchar(30) default NULL,
  `aktiv` enum('j','n') NOT NULL default 'j',
  `turnus` int(3) default NULL,
  `turnus_tt` varchar(100) NOT NULL default '',
  PRIMARY KEY (`akte_id`)
);

--
-- Daten fuer Tabelle `tb_pers_akten`
--

INSERT INTO `tb_pers_akten` VALUES ('1', 'Datenschutzverpflichtung', 'pers_ds1', 'j', NULL, '');
INSERT INTO `tb_pers_akten` VALUES ('2', 'Datenschutz Bollwerk', 'pers_ds2', 'j', NULL, '');
INSERT INTO `tb_pers_akten` VALUES ('3', 'Kfz-Benutzungsvertrag', 'pers_kfz', 'j', 24, 'Fhrerschein im Original vorgelegt');

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_akten`
-- Tabelle fuer Zuordnung von Personalakten zu Mitarbeitern
--

CREATE TABLE IF NOT EXISTS `tbh_pers_akten` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `akte_id` int(5) unsigned NOT NULL default '0',
  `id` int(5) unsigned default NULL,
  `zeit` datetime default NULL,
  PRIMARY KEY (`pers_id`,`akte_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_abt`
-- Tabelle fuer Zuordnung von Mitarbeitern zu Abteilungen
--

CREATE TABLE IF NOT EXISTS `tbh_pers_abt` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  `sub_abt_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`pers_id`,`abt_id`,`sub_abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_abt_anz_abt`
-- Anzeigemodi Geburtstage / Abwesenheit fuer Abteilungen
--

CREATE TABLE IF NOT EXISTS `tbh_abt_anz_abt` (
  `abt_id` int(5) unsigned NOT NULL default '0',
  `abt_id2` int(5) unsigned NOT NULL default '0',
  `art` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY (`abt_id`,`abt_id2`,`art`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_abt_anz_pers`
-- Anzeigemodi Geburtstage / Abwesenheit fuer einzelne Mitarbeiter
--

CREATE TABLE IF NOT EXISTS `tbh_abt_anz_pers` (
  `abt_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `art` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY (`abt_id`,`pers_id`,`art`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ttt_abrechnung`
-- monatliche Zahlungen an Tim-Tender-Teilnehmer fuer Verrechnung
-- im Folgemonat bei eventuellen Abweichungen Zahlung / tatsaechl. Anwesenheit
--

CREATE TABLE IF NOT EXISTS `tb_ttt_abrechnung` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `geleistet` decimal(8,2) NOT NULL default '0.00',
  `prognose` decimal(8,2) NOT NULL default '0.00',
  PRIMARY KEY (`pers_id`,`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle tb_dienst_monat
-- Tabelle enthaelt die Bestaetigung fuer jeden einzelnen Monat (Abteilungs-
-- leiter und Geschaeftsfuehrer) um einen Dienstplan zu erstellen.
--

CREATE TABLE IF NOT EXISTS `tb_dienst_monat` (
  `ts_monat` int(10) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  `al_dienst` int(5) unsigned NOT NULL default '0',
  `gf_dienst` int(5) unsigned NOT NULL default '0',
  `ts_al` int(10) unsigned NOT NULL default '0',
  `ts_gf` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY (`ts_monat`, `abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_ab_zk_copy
-- Tabelle enthaelt Kopien von ZK Informationen die innerhalb der
-- Dienstplanerstellung genutzt werden.
--

CREATE TABLE IF NOT EXISTS `tb_ab_zk_copy` (
  `zk_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  `ts_start` int(10) unsigned NOT NULL default '0',
  `ts_ende` int(10) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`zk_id`)
);

--
-- Tabellenstruktur fur Tabelle tb_res_kosten
-- Tabelle enthaelt die monatlichen Kosten von Ressourcen (tb_ressourcen)
-- (vorerst nur Kfz)
--

CREATE TABLE IF NOT EXISTS `tb_res_kosten` (
  `res_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `kosten1` double(8,2) default NULL,
  `kosten2` double(8,2) default NULL,
  PRIMARY KEY (`res_id`,`ab_monat`)
);

--
-- Tabellenstruktur fur Tabelle tb_pers_einst
-- Tabelle enthaelt die persoenlichen Einstellungen von Stellware
-- (vorerst nur Kfz)
--

CREATE TABLE IF NOT EXISTS `tb_pers_einst` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `lom_action` tinyint(1) default NULL,
  `lom_user` int(5) unsigned default NULL,
  `nachr_sign` text,
  `team_traeger_art_id` varchar(5) default NULL,
  `post_sort` tinyint(1) default NULL,
  `pro_bereich` int(5) unsigned default NULL,
  `team_sitzungsart_id` varchar(5) default NULL,
  `team_teilnehmer` tinyint(1) default NULL,
  `team_intern_extern` tinyint(1) default NULL,
  `post_in_traeger_art_id` varchar(5) default NULL,
  `post_in_anzeige` varchar(5) default NULL,
  `post_in_post_art` tinyint(1) default NULL,
  `post_in_sort` varchar(5) default NULL,
  `pro_ab_aktenart` tinyint(1) default NULL,
  `rebuch_traeger_art_id` varchar(5) default NULL,
  `rebuch_anzeige` varchar(5) default NULL,
  `rebuch_sort` varchar(5) default NULL,
  `ekauf_traeger_art_id` varchar(5) default NULL,
  `ekauf_anzeige` varchar(5) default NULL,
  `ekauf_sort` varchar(5) default NULL,
  `nachw_tab` tinyint(1) default NULL,
  `lom_art` tinyint(1) default NULL,
  `orga_aufgaben_zust` varchar(25) default NULL,
  `orga_aufgaben_autor` varchar(5) default NULL,
  `stwskala` tinyint(1) default NULL,
  `hp2sort` varchar(2) default NULL,
  `stwskala2` tinyint(1) default NULL,
  `controling_tab` tinyint(1) default NULL,
  `pro_ab_4w` tinyint(1) default NULL,
  `nachr_format` text,
  `pers_bes` int(5) unsigned default NULL,
  `pers_part` int(5) unsigned default NULL,
  `pers_abt` int(5) default NULL,
  `pers_sort` tinyint(1) default NULL,
  `einkauf` enum('v','p') default NULL,
  `pro_gruppe_tab` tinyint(1) default NULL,
  `verwaltungsleiter` text,
  `inventur` tinyint(1) default NULL,
  `biboinventur` tinyint(1) default NULL,
  `post_in_pers_id` varchar(5) default NULL,
  `vml_state` varchar(10) default NULL,
  `vml_abt` varchar(5) default NULL,
  `post_out_traeger_art_id` varchar(5) default NULL,
  `post_out_anzeige` varchar(5) default NULL,
  `post_out_pers_id` varchar(5) default NULL,
  `ger_bereich` tinyint(1) default NULL,
  `einkauf_ma` varchar(5) default NULL,
  `einkauf_proj` varchar(5) default NULL,
  `einkauf_abt` varchar(5) default NULL,
  `einkauf_traeger_art_id` varchar(5) default NULL,
  `post_in_traeger` int(8) unsigned default NULL,
  `pkw_traeger_art_id` tinyint(1) default NULL,
  `kal_pages` tinyint(1) NOT NULL default 4,
  `ep` tinyint(1) default NULL,
  `abschlagorder` tinyint(1) default NULL,
  `ger_kat` varchar(5) default NULL,
  `orga_aufgaben_abt` varchar(3) default NULL,
  `inv_kat` varchar(5) default NULL,
  `liz_kat` varchar(5) default NULL,
  `insp` tinyint(1) default NULL,
  `gertyp` tinyint(1) default NULL,
  `gerkat` tinyint(1) default NULL,
  `einkauf_fb` tinyint(1) default NULL,
  `einkauf_sb` tinyint(1) default NULL,
  `feedb_user` varchar(3) default NULL,
  `vml_vormerker` varchar(5) default NULL,
  PRIMARY KEY (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_gehalt
-- Tabelle enthaelt die monatlichen Gehaltszahlen
--

CREATE TABLE IF NOT EXISTS `tb_gehalt` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `grund` decimal(8,2) default NULL,
  `besitz` decimal(8,2) default NULL,
  `vml` decimal(8,2) default NULL,
  `sonder` decimal(8,2) default NULL,
  `umwand` decimal(8,2) default NULL,
  `kinder` int(1) default NULL,
  `urlaub` int(2) default NULL,
  `krank` int(2) default NULL,
  `eg` varchar(5) default NULL,
  `es` varchar(5) default NULL,
  `kiz` decimal(8,2) default NULL,
  `pk` decimal(8,2) default NULL,
  `brutto_vs` decimal(8,2) default NULL,
  `anst` decimal(8,2) default NULL,
  `brutto_as` decimal(8,2) default NULL,
  `brutto_st` decimal(8,2) default NULL,
  `sperre` tinyint(1) default NULL,
  `traeger` tinyint(1) default NULL,
  `sonder_proz` decimal(5,2) default NULL,
  `zulage1` decimal(8,2) default NULL,
  `zulage_erl1` varchar(30) default NULL,
  `zulage2` decimal(8,2) default NULL,
  `zulage_erl2` varchar(30) default NULL,
  `zulage3` decimal(8,2) default NULL,
  `zulage_erl3` varchar(30) default NULL,
  `vg` int(1) default NULL,
  `gs` int(2) default NULL,
  `fehlz` int(2) default NULL,
  `tvod` decimal(8,2) default NULL,
  PRIMARY KEY (`pers_id`,`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle tb_keys_art
-- Tabelle enthaelt Schluesselarten
-- tb_keys_art:static
--

CREATE TABLE IF NOT EXISTS `tb_keys_art` (
  `art_id` int(5) unsigned NOT NULL default '0',
  `art` varchar(50) NOT NULL default '',
  `beschreibung` varchar(100) NOT NULL default '',
  PRIMARY KEY (`art_id`)
);

--
-- Daten fuer Tabelle `tb_keys_art`
--

INSERT INTO `tb_keys_art` VALUES (1, 'Haus', 'Haus - Schlssel');
INSERT INTO `tb_keys_art` VALUES (2, 'PKW', 'PKW - Schlssel');
INSERT INTO `tb_keys_art` VALUES (3, 'Schr&auml;nke', 'Schrank - Schlssel');
INSERT INTO `tb_keys_art` VALUES (4, 'Passw&ouml;rter', 'Passwort');
INSERT INTO `tb_keys_art` VALUES (5, 'Karten', 'Karte');
INSERT INTO `tb_keys_art` VALUES (6, 'Vollmachten', 'Vollmacht');
INSERT INTO `tb_keys_art` VALUES (7, 'sonstige', 'sonstiges');

--
-- Tabellenstruktur fuer Tabelle tb_konf_stundensatz
-- Tabelle enthaelt die Stundensatzhistorie fuer konf/traeger
--

CREATE TABLE IF NOT EXISTS `tb_konf_stundensatz` (
  `datum` date NOT NULL default '0000-00-00',
  `stsatz` decimal(8,2) NOT NULL default '0.00',
  PRIMARY KEY (`datum`)
);

--
-- Daten fuer Tabelle `tb_konf_stundensatz`
--

INSERT INTO `tb_konf_stundensatz` VALUES ('2000-01-01', '36.37');

--
-- Tabellenstruktur fuer Tabelle tb_kont_stundensatz
-- Tabelle enthaelt die Stundensatzhistorie fuer Auftraggeber
--

CREATE TABLE IF NOT EXISTS `tb_kont_stundensatz` (
  `kont_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `stsatz` decimal(8,2) NOT NULL default '0.00',
  `kh_id` int(5) unsigned NOT NULL default '0',
  `divisor` enum('h','d','m') NOT NULL default 'h',
  PRIMARY KEY (`kont_id`,`datum`,`kh_id`)
);

--
-- Tabellenstruktur fuer Tabelle tbh_fehlz_vertretung
-- Tabelle fuer Zuordnung von Fehlzeiten zu Projekten
-- zzgl. Vertretungsklaerung der Hauptbetraeuer
--

CREATE TABLE IF NOT EXISTS `tbh_fehlz_vertretung` (
  `fehlz_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `vertreter_id` int(5) unsigned NOT NULL default '0',
  `vertrdatum` date default NULL,
  `geklaert` int(1) unsigned default NULL,
  `beschreibung` text,
  PRIMARY KEY (`fehlz_id`,`proj_id`,`vertreter_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_pers_pers_rechte
-- Tabelle fuer Zuordnung von Rechten zur eigenen Person,
-- die Benutzer anderen Bemutzern gewaehren
--
-- precht_id - ID des Rechtes, das erteilt wird
-- pers_id - die Person, dessen Resource genutzt werden darf
-- user_id - diese Person bekommt das Recht erteilt
--

CREATE TABLE IF NOT EXISTS `tb_pers_pers_recht` (
  `precht_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `user_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`precht_id`, `pers_id`, `user_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_pers_recht
-- Tabelle enthaelt die Beschreibung der Rechte aus tb_pers_pers_recht
--

CREATE TABLE IF NOT EXISTS `tb_pers_recht` (
  `precht_id` int(3) NOT NULL auto_increment,
  `beschreibung` char(100) NOT NULL default '',
  PRIMARY KEY (`precht_id`)
);

--
-- Daten fuer Tabelle `tb_pers_recht`
--

INSERT INTO `tb_pers_recht` VALUES (1, 'Diese Nutzer d&uuml;rfen Zeitkarten in meinem Namen anlegen');

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_proj_hp`
--

CREATE TABLE IF NOT EXISTS `tbh_pers_proj_hp` (
  `pph_id` int(5) unsigned NOT NULL auto_increment,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `hp_id` int(5) unsigned NOT NULL default '0',
  `personaltyp_id` int(5) unsigned NOT NULL default '0',
  `hpst` decimal(5,2) default NULL,
  PRIMARY KEY (`pph_id`),
  UNIQUE KEY `pph_collab` (`pers_id`,`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_projektarchiv`
--

CREATE TABLE IF NOT EXISTS `tb_projektarchiv` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `projektnr` int(5) unsigned NOT NULL default '0',
  `hilfeart_id` int(5) unsigned default NULL,
  `ap_id` int(5) unsigned NOT NULL default '0',
  `anfrage` date NOT NULL default '0000-00-00',
  `anfrage_std` int(3) unsigned default '0',
  `beginn` date default NULL,
  `ende` date default NULL,
  `kostenzus` date default NULL,
  `ma_geschlecht` enum('m','w') default NULL,
  `register` varchar(12) default NULL,
  `hilfe_bisher` text,
  `schule` text,
  `problemlage` text,
  `familie` text,
  `hobbys` text,
  `ziele` text,
  `notizen` text,
  `wohn` text,
  `kostenzus_ende` date default '0000-00-00',
  `pool` double(7,2) unsigned default NULL,
  `notizen_pro` text,
  `fb_id` int(5) unsigned default NULL,
  `fb_prio` int(3) unsigned default NULL,
  `pro_beschr` text,
  `pb` tinyint(1) unsigned default NULL,
  `knz1` tinyint(1) unsigned default NULL,
  `knz2` tinyint(1) unsigned default NULL,
  `az` varchar(20) default NULL,
  `traeger_art_id` int(5) unsigned default '1',
  `abt_id` int(5) unsigned default NULL,
  `ersteller_id` int(5) unsigned default NULL,
  `erstelldatum` date default NULL,
  PRIMARY KEY (`proj_id`),
  UNIQUE KEY `projektnr` (`projektnr`),
  KEY `hilfeart_id` (`hilfeart_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_krankenkasse`
--

CREATE TABLE IF NOT EXISTS `tb_krankenkasse` (
  `kk_id` int(5) unsigned NOT NULL auto_increment,
  `kurzname` varchar(15) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `kv` decimal(5,2) NOT NULL default '0.00',
  `rv` decimal(5,2) NOT NULL default '0.00',
  `av` decimal(5,2) NOT NULL default '0.00',
  `pv` decimal(5,2) NOT NULL default '0.00',
  `iu` decimal(5,2) NOT NULL default '0.00',
  `u1` decimal(5,2) NOT NULL default '0.00',
  `u2` decimal(5,2) NOT NULL default '0.00',
  PRIMARY KEY (`kk_id`),                
  UNIQUE KEY `kurzname` (`kurzname`)
);

--
-- Tabellenstruktur fuer Tabelle tb_agsv
--

CREATE TABLE IF NOT EXISTS `tb_agsv` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `kkname` varchar(50) NOT NULL default '',
  `kv` decimal(5,2) NOT NULL default '0.00',
  `rv` decimal(5,2) NOT NULL default '0.00',
  `av` decimal(5,2) NOT NULL default '0.00',
  `pv` decimal(5,2) NOT NULL default '0.00',
  `iu` decimal(5,2) NOT NULL default '0.00',
  `u1` decimal(5,2) NOT NULL default '0.00',
  `u2` decimal(5,2) NOT NULL default '0.00',
  `pk` decimal(5,2) NOT NULL default '0.00',
  PRIMARY KEY (`pers_id`,`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_bkto`
-- Tabelle enthaelt Buchungskonten
--

CREATE TABLE IF NOT EXISTS `tb_bkto` (
  `kto_id` int(5) unsigned NOT NULL auto_increment,
  `kurzname` varchar(6) NOT NULL default '',
  `traegerart_id` int(2) unsigned NOT NULL default '0',
  `kto_beschr` text,
  `aktiv` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`kto_id`),
  UNIQUE KEY `kto_collab` (`kurzname`,`traegerart_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_bkto`
-- Tabelle enthaelt Gruppierungen von Buchungskonten
--

CREATE TABLE IF NOT EXISTS `tbh_bkto` (
  `bkto_id` int(5) unsigned NOT NULL auto_increment,
  `hp_id` int(5) unsigned NOT NULL default '0',
  `kto_id` int(2) unsigned NOT NULL default '0',
  `kurzname` varchar(6) default NULL,
  PRIMARY KEY (`bkto_id`,`hp_id`,`kto_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_fls_korrektur`
-- Korrekturwerte fuer Wochenstunden
--

CREATE TABLE IF NOT EXISTS `tb_fls_korrektur` (
  `datum` date NOT NULL default '0000-00-00',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `korrektur` decimal(7,2) NOT NULL default '0.00',
  `korrektur_notiz` text,
  PRIMARY KEY (`datum`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_lom_anleiter`
--

CREATE TABLE IF NOT EXISTS `tbh_lom_anleiter` (
  `lom_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`lom_id`,`pers_id`),
  KEY `ix_pers_id` (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_lom_aufgaben`
--

CREATE TABLE IF NOT EXISTS `tbh_lom_aufgaben` (
  `lom_id` int(5) unsigned NOT NULL default '0',
  `aufgabe_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`lom_id`,`aufgabe_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ttt_csv`
-- Daten der TTTs fuer CSV-Export Tender
--

CREATE TABLE IF NOT EXISTS `tb_ttt_csv` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `spalte` tinyint(3) unsigned NOT NULL default '0',
  `wert` text,
  PRIMARY KEY (`pers_id`,`spalte`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_fahrtenhistorie`
-- Historie der Aenderungen an Fahrten in DB
--

CREATE TABLE IF NOT EXISTS `tb_fahrtenhistorie` (
  `fh_id` int(5) unsigned NOT NULL auto_increment,
  `zk_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `text` text,
  `res_id` int(5) unsigned NOT NULL default '0',
  `km_start` decimal(8,2) NOT NULL default '0.00',
  `km_ende` decimal(8,2) NOT NULL default '0.00',
  `zk_ts` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY (`fh_id`),
  KEY `zk_id` (`zk_id`),
  KEY `res_id` (`res_id`),
  KEY `zk_ts` (`zk_ts`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_ag`
-- Daten fuer Abschlussgespraech
--

CREATE TABLE IF NOT EXISTS `tb_hp_ag` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `kind` enum('j','n') NOT NULL default 'j',
  `wie` tinyint(1) unsigned NOT NULL default '0',
  `wie_text` text,
  `dauer` tinyint(1) unsigned NOT NULL default '0',
  `einverstanden` tinyint(1) unsigned NOT NULL default '0',
  `einverstanden_text` text,
  `skala_bzw_beteiligt` tinyint(2) unsigned NOT NULL default '0',
  `verand_bzw_beteiligt_text` text,
  `staerken_text` text,
  `anerkannt` tinyint(1) unsigned NOT NULL default '0',
  `anerkannt_text` text,
  `einbezogen` tinyint(1) unsigned NOT NULL default '0',
  `einbezogen_text` text,
  `andere_person` tinyint(1) unsigned NOT NULL default '0',
  `andere_person_mehr_text` text,
  `andere_person_weniger_text` text,
  `wodurch_text` text,
  `nicht_erreicht` int(3) unsigned NOT NULL default '0',
  `nicht_erreicht_unrealistisch_text` text,
  `nicht_erreicht_vertrauen_text` text,
  `nicht_erreicht_anderes_text` text,
  `skala_hilfe_insgesamt` tinyint(2) unsigned NOT NULL default '0',
  `skala_le_zufrieden` tinyint(2) unsigned NOT NULL default '0',
  `geholfen_text` text,
  `nicht_gefallen_text` text,
  `wieder` tinyint(1) unsigned NOT NULL default '0',
  `wieder_text` text,
  `skala_ja_zufrieden` tinyint(2) unsigned NOT NULL default '0',
  `skala_beteiligt` tinyint(2) unsigned NOT NULL default '0',
  `letzte_worte` text,
  `nicht_im_druck` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`hp_id`,`kind`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_zielkategorie`
--

CREATE TABLE IF NOT EXISTS `tb_zielkategorie` (
  `zielkategorie_id` int(3) unsigned NOT NULL auto_increment,
  `zielkategorie` varchar(100) NOT NULL default '',
  PRIMARY KEY (`zielkategorie_id`)
);

--
-- Daten fuer Tabelle `tb_zielkategorie`
--

INSERT INTO `tb_zielkategorie` VALUES (1, 'Familienst&auml;rkung');
INSERT INTO `tb_zielkategorie` VALUES (2, 'Elternst&auml;rkung/Elternarbeit');
INSERT INTO `tb_zielkategorie` VALUES (3, 'Soziales Lernen');
INSERT INTO `tb_zielkategorie` VALUES (4, 'Schulische/berufliche F&ouml;rderung');
INSERT INTO `tb_zielkategorie` VALUES (5, 'Kl&auml;rung sozialrechtlicher Anspr&uuml;che');
INSERT INTO `tb_zielkategorie` VALUES (6, 'Abwendung delinquenten Verhaltens');
INSERT INTO `tb_zielkategorie` VALUES (7, 'Bearbeitung von Suchtproblematiken');
INSERT INTO `tb_zielkategorie` VALUES (8, 'R&uuml;ckf&uuml;hrung in die Familie ');
INSERT INTO `tb_zielkategorie` VALUES (9, 'Verselbst&auml;ndigung');
INSERT INTO `tb_zielkategorie` VALUES (10, 'Integration in Pflegefamilie');
INSERT INTO `tb_zielkategorie` VALUES (11, 'Vermittlung von weiterf&uuml;hrenden Hilfen/Kooperation mit interdisziplin&auml;ren Fachkr&auml;ften');
INSERT INTO `tb_zielkategorie` VALUES (12, 'Hilfe zur Selbsthilfe');
INSERT INTO `tb_zielkategorie` VALUES (13, 'Erlernen von sozialen Kompetenzen/Sozialverhalten');
INSERT INTO `tb_zielkategorie` VALUES (14, 'Bearbeiten von Schuldnerproblematiken');
INSERT INTO `tb_zielkategorie` VALUES (15, 'Konfliktbew&auml;ltigung');
INSERT INTO `tb_zielkategorie` VALUES (16, 'Entwicklungsdefizite aufarbeiten');
INSERT INTO `tb_zielkategorie` VALUES (17, 'sinnvolles Freizeitverhalten');
INSERT INTO `tb_zielkategorie` VALUES (18, 'Verhinderung/Abbau/Eingliederung von seelischen Behinderungen');
INSERT INTO `tb_zielkategorie` VALUES (19, 'Abwendung einer Kindeswohlgef&auml;hrdung');
INSERT INTO `tb_zielkategorie` VALUES (20, 'Verhaltenssteuerung/Impulssteuerung');

--
-- Tabellenstruktur fuer Tabelle `tb_sachbericht`
-- Sachberichte
--

CREATE TABLE IF NOT EXISTS `tb_sachbericht` (
  `sb_id` int(5) unsigned NOT NULL auto_increment,
  `notizen` text,
  `von` date NOT NULL default '0000-00-00',
  `bis` date NOT NULL default '0000-00-00',
  `hilfeart_id` int(5) unsigned NOT NULL default '0',
  `paragraph` varchar(5) NOT NULL DEFAULT '0',
  `status` enum('a','l') NOT NULL default 'l',
  `tendenzen` text,
  `einverst` enum('j','n') NOT NULL default 'j',
  `ja_bezeichnung` varchar(100) NOT NULL default '',
  `misc_bezeichnung` varchar(100) NOT NULL default '',
  `misc` text,
  `titel` varchar(100) NOT NULL default '',
  `datenschutz` enum('j','n') NOT NULL default 'j',
  `jugendaemter` enum('j','n') NOT NULL default 'j',
  `hilfearten` enum('j','n') NOT NULL default 'j',
  `einverst_pers_id` int(5) unsigned NOT NULL default '0',
  `sb_kat` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`sb_id`),
  KEY `sb_kat` (`sb_kat`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_sachbericht_ja`
-- Verknuepfung von Jugendaemtern fuer Sachberichte
--

CREATE TABLE IF NOT EXISTS `tbh_sachbericht_ja` (
  `sb_id` int(5) NOT NULL default '0',
  `kont_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`sb_id`,`kont_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_sachbericht_proj`
-- Daten / Projekt fuer Sachberichte
--

CREATE TABLE IF NOT EXISTS `tb_sachbericht_proj` (
  `sb_id` int(5) NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `paragraph` varchar(5) NOT NULL DEFAULT '0',
  `dauer` tinyint(3) unsigned NOT NULL default '0',
  `ende` tinyint(1) unsigned NOT NULL default '0',
  `grund` text,
  PRIMARY KEY (`sb_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_sachbericht_person`
-- Daten Person / Projekt fuer Sachberichte
--

CREATE TABLE IF NOT EXISTS `tb_sachbericht_person` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `sb_id` int(5) NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `kind` enum('j','n','h') NOT NULL default 'j',
  `age` tinyint(2) NOT NULL default '-99',
  `geschlecht` tinyint(1) unsigned NOT NULL default '0',
  `bildung` tinyint(1) unsigned NOT NULL default '0',
  `bez_art` tinyint(1) unsigned NOT NULL default '0',
  `kontext` tinyint(1) unsigned NOT NULL default '0',
  `sozialraum` varchar(10) NOT NULL default '',
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_sachbericht_ziel`
-- Daten Ziele / Projekt fuer Sachberichte
--

CREATE TABLE IF NOT EXISTS `tb_sachbericht_ziel` (
  `sb_id` int(5) NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `ziel_id` int(5) NOT NULL default '0',
  `ziel_kategorie` tinyint(2) unsigned NOT NULL default '0',
  `erreicht_kind` tinyint(2) unsigned NOT NULL default '0',
  `erreicht_psb` tinyint(2) unsigned NOT NULL default '0',
  PRIMARY KEY (`sb_id`,`proj_id`,`ziel_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_bildung_person`
-- Daten Bildunngsstand Person fuer Sachberichte
--

CREATE TABLE IF NOT EXISTS `tb_bildung_person` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`id`)
);

--
-- Daten fuer Tabelle `tb_bildung_person`
--

INSERT INTO `tb_bildung_person` VALUES (1, 'F&ouml;rderschule');
INSERT INTO `tb_bildung_person` VALUES (2, 'Hauptschule');
INSERT INTO `tb_bildung_person` VALUES (3, 'Realschule');
INSERT INTO `tb_bildung_person` VALUES (4, 'Abitur');
INSERT INTO `tb_bildung_person` VALUES (5, 'ohne');
INSERT INTO `tb_bildung_person` VALUES (6, 'Facharbeiter');
INSERT INTO `tb_bildung_person` VALUES (7, 'Fachschule/Meister');
INSERT INTO `tb_bildung_person` VALUES (8, 'Hochschule');

--
-- Tabellenstruktur fuer Tabelle `tb_fam_kontext_person`
-- Daten Familiaerer Kontext Person fuer Sachberichte
--

CREATE TABLE IF NOT EXISTS `tb_fam_kontext_person` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`id`)
);

--
-- Daten fuer Tabelle `tb_fam_kontext_person`
--

INSERT INTO `tb_fam_kontext_person` VALUES (1, 'Alleinerziehend');
INSERT INTO `tb_fam_kontext_person` VALUES (2, 'Pflegefamilie');
INSERT INTO `tb_fam_kontext_person` VALUES (3, 'Leibliche Eltern');
INSERT INTO `tb_fam_kontext_person` VALUES (4, 'Stiefeltern');
INSERT INTO `tb_fam_kontext_person` VALUES (5, 'Adoptiveltern');

--
-- Tabellenstruktur fuer Tabelle `tb_bezuege_person`
-- Art der Bezuege Person fuer Sachberichte
--

CREATE TABLE IF NOT EXISTS `tb_bezuege_person` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`id`)
);

--
-- Daten fuer Tabelle `tb_bezuege_person`
--

INSERT INTO `tb_bezuege_person` VALUES (1, 'ALG I');
INSERT INTO `tb_bezuege_person` VALUES (2, 'ALG II');
INSERT INTO `tb_bezuege_person` VALUES (3, 'Sozialhilfe');
INSERT INTO `tb_bezuege_person` VALUES (4, 'in Arbeit');
INSERT INTO `tb_bezuege_person` VALUES (5, 'Rente');
INSERT INTO `tb_bezuege_person` VALUES (6, 'Selbst&auml;ndig');

--
-- Tabellenstruktur fuer Tabelle `tb_nachr_anhang`
-- Weitere Anhaenge fuer Nachrichten (Weiterleitung)
--

CREATE TABLE IF NOT EXISTS `tb_nachr_anhang` (
  `nachr_id` int(5) unsigned NOT NULL default '0',
  `zahl_id` int(5) unsigned NOT NULL default '0',
  `zahl_id2` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`nachr_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_code2`
-- Leistungsarten von Kontaktzeiten
-- tb_ab_code2:static
--

CREATE TABLE IF NOT EXISTS `tb_ab_code2` (
  `code` char(1) NOT NULL default '',
  `code2` char(2) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `summiert` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`code`,`code2`)
);

--
-- Daten fuer Tabelle `tb_ab_code2`
--

INSERT INTO `tb_ab_code2` VALUES ('A', 'K', 'Kontakt', 'n');
INSERT INTO `tb_ab_code2` VALUES ('B', 'K', 'Kontakt', 'n');
INSERT INTO `tb_ab_code2` VALUES ('D', 'G', 'Gruppenarbeit', 'n');
INSERT INTO `tb_ab_code2` VALUES ('T', 'T', 'Telefonate', 'j');
INSERT INTO `tb_ab_code2` VALUES ('C', 'FK', 'Fehlkontakt', 'n');
INSERT INTO `tb_ab_code2` VALUES ('U', 'U', 'berbrckung', 'j');
INSERT INTO `tb_ab_code2` VALUES ('R', 'fZ', 'fallbegleitende Zeit', 'n');

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_azv`
-- Zuordnung Levelbeschraenkung AZV-Verwaltung zu Mitarbeitern
--

CREATE TABLE IF NOT EXISTS `tbh_pers_azv` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `azv` tinyint(2) unsigned NOT NULL default '0',
  PRIMARY KEY (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_seite_pers_sort`
-- Sortierung der Mitarbeiter pro Seite (Seite 0 = globale Einstellung)
-- 0 - Standardsortierung
-- 1 - Vorname, Nachname
-- 2 - Nachname, Vorname
--
CREATE TABLE IF NOT EXISTS `tb_seite_pers_sort` (
  `seite` tinyint(2) unsigned NOT NULL default '0',
  `sort` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`seite`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_kassenpruefung`
--

CREATE TABLE IF NOT EXISTS `tb_kassenpruefung` (
  `kp_id` int(5) unsigned NOT NULL auto_increment,
  `kasse_id` int(5) NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `bestand` decimal(7,2) NOT NULL default '0.00',
  `bedarf` decimal(7,2) NOT NULL default '0.00',
  `notizen` text,
  `bankbestand` decimal(8,2) NOT NULL default '0.00',
  `transfer` decimal(7,2) NOT NULL default '0.00',
  `kassenwart_pers_id` int(5) default NULL,
  `kassenwart_ts` int(10) unsigned default NULL,
  `kassenpruefer_pers_id` int(5) default NULL,
  `kassenpruefer_ts` int(10) unsigned default NULL,
  `gf_pers_id` int(5) default NULL,
  `gf_ts` int(10) unsigned default NULL,
  `festgeld` decimal(8,2) NOT NULL default '0.00',
  `orgdarlehen` decimal(8,2) NOT NULL default '0.00',
  PRIMARY KEY (`kp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_kasse`
--

CREATE TABLE IF NOT EXISTS `tb_kasse` (
  `kasse_id` int(5) unsigned NOT NULL auto_increment,
  `nr` varchar(10) default NULL,
  `bezeichnung` varchar(30) default NULL,
  `traeger_art_id` int(5) NOT NULL default '0',
  `konto_id` int(5) NOT NULL default '0',
  `wo_max` decimal(7,2) NOT NULL default '0.00',
  `we_max` decimal(7,2) NOT NULL default '0.00',
  `festgeldkonto` int(5) NOT NULL default '0',
  PRIMARY KEY (`kasse_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_referenzkonto`
--

CREATE TABLE IF NOT EXISTS `tb_referenzkonto` (
  `konto_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `blz` varchar(20) default NULL,
  `ktonr` varchar(20) default NULL,
  PRIMARY KEY (`konto_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_kassenwart`
-- Ordnet Kassen Kassenwarte zu
--

CREATE TABLE IF NOT EXISTS `tbh_kassenwart` (
  `kasse_id` int(5) NOT NULL default '0',
  `pers_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`kasse_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_kassenpruefer`
-- Ordnet Kassen Kassenpruefer zu
--

CREATE TABLE IF NOT EXISTS `tbh_kassenpruefer` (
  `kasse_id` int(5) NOT NULL default '0',
  `pers_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`kasse_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_sozialraum`
-- Ordnet Postleitzahlen Sozialraeumen zu
--

CREATE TABLE IF NOT EXISTS `tb_sozialraum` (
  `id` int(5) NOT NULL default '0',
  `plz` varchar(5) NOT NULL default '',
  `ort` varchar(30) NOT NULL default '',
  `kreis` varchar(5) NOT NULL default '',
  PRIMARY KEY (`id`,`plz`,`ort`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_sachbericht_druck`
-- Legt Reihenfolge, Ueberschrift und Text fuer Sachbericht fest
--

CREATE TABLE IF NOT EXISTS `tb_sachbericht_druck` (
  `sb_id` int(5) NOT NULL default '0',
  `chart_id` int(5) unsigned NOT NULL default '0',
  `prio` tinyint(1) unsigned NOT NULL default '0',
  `titel` varchar(100) NOT NULL default '',
  `text` text,
  `include1st` enum('j','n') NOT NULL default 'j',
  `seitenumbruch` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`sb_id`,`chart_id`)
);

--
-- Daten fuer Tabelle `tb_sachbericht_druck`
-- Voreingestellte Ueberschriften und Sortierung
--

INSERT INTO `tb_sachbericht_druck` VALUES ('0', '1', '1', 'Geschlecht der Hilfeempfnger / Geschwisterkinder', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '2', '2', 'Art der Bezge', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '3', '3', 'Alter bei Beginn', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '4', '4', 'Dauer der Hilfen', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '5', '5', 'Familirer Kontext', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '6', '6', 'Zielkategorien', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '7', '7', 'Grad der Zielerreichung', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '8', '8', 'Art der Hilfebeendigung', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '9', '9', 'Wochenstunden', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '10', '10', 'Sozialraum', '', 'j', 'n');
INSERT INTO `tb_sachbericht_druck` VALUES ('0', '11', '11', 'Hilfearten', '', 'j', 'n');

--
-- Tabellenstruktur fuer Tabelle `tb_awb_kat`
-- Aus- und Weiterbildungs-Kategorien
--

CREATE TABLE IF NOT EXISTS `tb_awb_kat` (
  `awb_kat_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `kat` enum('w','k') NOT NULL default 'w',
  PRIMARY KEY (`awb_kat_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_awb`
-- Aus- und Weiterbildungen
--

CREATE TABLE IF NOT EXISTS `tb_awb` (
  `awb_id` int(5) unsigned NOT NULL auto_increment,
  `awb_kat_id` int(5) NOT NULL default '0',
  `pers_id` int(5) NOT NULL default '0',
  `fehlz_id` int(5) NOT NULL default '0',
  `kont_id` varchar(100) NOT NULL default '',
  `beginn` date NOT NULL default '0000-00-00',
  `ende` date NOT NULL default '0000-00-00',
  `titel` varchar(100) NOT NULL default '',
  `abschluss` varchar(100) NOT NULL default '',
  `za` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`awb_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_za`
-- ordnet Fehlzeiten einer Zusatzausbildung zu
--

CREATE TABLE IF NOT EXISTS `tbh_za` (
  `awb_id` int(5) unsigned NOT NULL default '0',
  `fehlz_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`awb_id`, `fehlz_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_sachbericht_druckuebersicht`
-- Legt Reihenfolge, Ueberschrift und Text fuer Sachbericht fest
--

CREATE TABLE IF NOT EXISTS `tb_sachbericht_druckuebersicht` (
  `sb_id` int(5) NOT NULL default '0',
  `seite` int(5) unsigned NOT NULL default '0',
  `prio` tinyint(1) NOT NULL default '-1',
  `titel` varchar(100) NOT NULL default '',
  `text` text,
  `seitenumbruch` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`sb_id`,`seite`)
);

--
-- Daten fuer Tabelle `tb_sachbericht_druckuebersicht`
-- Voreingestellte Ueberschriften und Sortierung
--

INSERT INTO `tb_sachbericht_druckuebersicht` VALUES ('0', '1', '1', 'Qualifikation, Aus- und Weiterbildung', '', 'n');
INSERT INTO `tb_sachbericht_druckuebersicht` VALUES ('0', '2', '2', 'Auswertung, tabellarisch', '', 'n');
INSERT INTO `tb_sachbericht_druckuebersicht` VALUES ('0', '3', '3', 'Auswertung, grafisch', '', 'n');
INSERT INTO `tb_sachbericht_druckuebersicht` VALUES ('0', '4', '4', 'Entwicklungen und Tendenzen', '', 'n');

--
-- Tabellenstruktur fuer Tabelle `tbh_sachbericht_charts`
-- Speichert Hilfearten fuer weitere Diagramme
--

CREATE TABLE IF NOT EXISTS `tbh_sachbericht_charts` (
  `sb_id` int(5) NOT NULL default '0',
  `chart_id` int(5) unsigned NOT NULL default '0',
  `hilfeart_id` int(5) NOT NULL default '0',
  `subchart_id` int(5) unsigned NOT NULL default '0',
  `sort` int(1) unsigned NOT NULL default '0',
  `text` text,
  `seitenumbruch` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`sb_id`,`chart_id`,`hilfeart_id`,`subchart_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_sachbericht_fls`
-- Speichert Stunden pro Projekt fuer Auswertung
--

CREATE TABLE IF NOT EXISTS `tbh_sachbericht_fls` (
  `sb_id` int(5) NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `monat` tinyint(2) unsigned NOT NULL default '0',
  `kls` decimal(7,2) default NULL,
  `fz` decimal(7,2) default NULL,
  `fls_soll` decimal(7,2) default NULL,
  PRIMARY KEY (`sb_id`,`proj_id`,`monat`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_sachbericht_subcharts`
-- Speichert mehrere Hilfearten fuer weitere Diagramme
--

CREATE TABLE IF NOT EXISTS `tbh_sachbericht_subcharts` (
  `subchart_id` int(5) unsigned NOT NULL auto_increment,
  `sb_id` int(5) NOT NULL default '0',
  `hilfeart_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`subchart_id`,`sb_id`,`hilfeart_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_abteilung_hilfeart`
--

CREATE TABLE IF NOT EXISTS `tbh_abteilung_hilfeart` (
  `abt_id` int(5) unsigned NOT NULL default '0',
  `hilfeart_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`abt_id`,`hilfeart_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_lom_proj_default`
-- Standardwerte beim Anlegen neuer Projekte in nachw_ttt_req
--

CREATE TABLE IF NOT EXISTS `tbh_lom_proj_default` (
  `art` char(3) NOT NULL default '',
  `von` date NOT NULL default '0000-00-00',
  `bis` date NOT NULL default '0000-00-00',
  `name2` varchar(100) default NULL,
  `ort` varchar(30) default NULL,
  `az` varchar(20) default NULL,
  `prn_mod` int(3) NOT NULL default '0',
  `projekt` varchar(100) default NULL,
  `traeger` varchar(100) default NULL,
  `projekttitel` varchar(100) default NULL,
  `nr_az` varchar(100) default NULL,
  `satz` double(5,2) default NULL,
  `ap_id` int(5) unsigned default NULL,
  `vorstand` varchar(30) default NULL,
  `kmsatz` double(5,2) default NULL,
  `sab_an` varchar(100) default NULL,
  `bezirk` enum('C','L','D','AS') NOT NULL default 'D',
  `spec` varchar(100) default NULL,
  `sab2an` varchar(100) default NULL,
  `sab_tr` int(2) unsigned NOT NULL default '1',
  `min_tn` int(2) unsigned NOT NULL default '12',
  PRIMARY KEY (`art`,`von`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_bel_kat_abt`
-- Tabelle fuer Zuordnung von Belehrungskategorien zu Abteilungen
--

CREATE TABLE IF NOT EXISTS `tbh_bel_kat_abt` (
  `bel_kat_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`bel_kat_id`,`abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_proj_abt`
-- Zuordnung von Projekten zu Abteilungen
--

CREATE TABLE IF NOT EXISTS `tbh_proj_abt` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`proj_id`,`abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_seite_konf' 
-- Konfigurationstabelle, Sichtbarkeit von Seitenelementen
--

CREATE TABLE IF NOT EXISTS `tb_seite_konf` (
  `bezeichnung` varchar(30) NOT NULL default '',
  `sichtbar` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`bezeichnung`)
);

--
-- Daten fuer Tabelle `tb_seite_konf`
--

INSERT INTO `tb_seite_konf` VALUES ('pers_and_benutzername', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_arbeitsrechtl', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_status', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_titel', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_abschluss', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_funktion', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_stellenbeschreibung', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_dienstort', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_bereich', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_dienstausweis', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_email_dienst', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_tel_dienst', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_tel_mobil', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_durchwahl', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_fax', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_notizen', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_strasse', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_plz', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_ort', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_email_privat', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_email_benachr', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_tel_privat', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_tel_mobil_privat', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_geboren', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_verheiratet', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_verh2', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_verh3', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_staat', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_ident', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_svnr', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_behindert', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_krankenkasse', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_rvnr', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_lohnsteuerklasse', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_steuerfreibetrag', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_gehaltsstufe', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_verwendungsgruppe', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_bags', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_kirche', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_bank', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_kto', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_blz', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_iban', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_bic', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_pk', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_vml', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_azk', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_azk_anfangswert', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_eintritt', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_anstellung', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_austritt', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_farbe', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_level', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_traeger', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_bereitschaft', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_betreuer', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_login', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_anerk_privat_pkw', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_fokus', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_befristet', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_zulage1', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_zulage2', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_and_zulage3', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_fallunspezifisch', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_sonderaufgaben', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_jahresurlaub', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_urlaub_vj', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_sonderurlaub', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_las', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_vg', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_tvod', 'n');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_fls', 'j');
INSERT INTO `tb_seite_konf` VALUES ('pers_azv_pk', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_kinder', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_urlaub', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_kindkrank', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_entgeltgruppe', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_verwendungsgruppe', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_lebensaltersstufe', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_gehaltsstufe', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_grundverguetung', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_sonderzahlung', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_anstellung', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_wochenstunden', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_gvanst', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_zulage', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_zulage1', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_zulage_erl1', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_zulage2', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_zulage_erl2', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_zulage3', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_zulage_erl3', 'n');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_kinderzuschlag', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_sz_euro', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_vml', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_pensionskasse', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_brutto_as', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_entgeltumwandlung', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_stsvbr', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_brutto_vs_max', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_stsvbrvs', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_pk_proz', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_zulagen_proz_anst', 'j');
INSERT INTO `tb_seite_konf` VALUES ('gehalt_tvod', 'n');

--
-- Tabellenstruktur fuer Tabelle 'tb_bags' 
-- Berufsvereinigung von Arbeitgebern fuer Gesundheits- und Sozialberufe
-- Lohn- und Gehaltstabellen
--

CREATE TABLE IF NOT EXISTS `tb_bags` (
  `bags_id` int(5) unsigned NOT NULL auto_increment,
  `bags` int(5) unsigned NOT NULL default '0',
  `ab` date NOT NULL default '0000-00-00',
  PRIMARY KEY (`bags_id`),
  UNIQUE KEY `bags_collab` (`bags`,`ab`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_bags_namen' 
-- Orte der Lohn- und Gehaltstabellen (zur Zuordnung)
--

CREATE TABLE IF NOT EXISTS `tb_bags_namen` (
  `bags` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  PRIMARY KEY (`bags`),
  UNIQUE KEY `name` (`name`)
);

--
-- Tabellenstruktur fuer Tabelle 'tbh_bags' 
-- Werte der Lohn- und Gehaltstabellen
--

CREATE TABLE IF NOT EXISTS `tbh_bags` (
  `bags_id` int(5) unsigned NOT NULL default '0',
  `gs` tinyint(2) unsigned NOT NULL default '0',
  `vg` tinyint(1) unsigned NOT NULL default '0',
  `wert` double(7,2) unsigned default NULL,
  PRIMARY KEY (`bags_id`,`gs`,`vg`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pers_delay`
-- Variation Start Blinken fuer Mitarbeiter (+/- Tage)
--

CREATE TABLE IF NOT EXISTS `tb_pers_delay` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `delay` tinyint(2) NOT NULL default '0',
  PRIMARY KEY (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_dienstort' 
--

CREATE TABLE IF NOT EXISTS `tb_dienstort` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_kostenstellen' 
--

CREATE TABLE IF NOT EXISTS `tb_kostenstellen` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(30) default NULL,
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tbh_ger_verknupf'
-- Verknuepft Geraete mit anderen 
-- p - PCs, k - Keys, m - mobiltel
--

CREATE TABLE IF NOT EXISTS `tbh_ger_verknupf` (
  `ger_id` int(5) unsigned NOT NULL default '0',
  `id2` int(5) unsigned NOT NULL default '0',
  `verknupf` enum('p','k','m') NOT NULL default 'p',
  PRIMARY KEY (`ger_id`,`verknupf`),
  UNIQUE KEY `ger_verknupf` (`id2`,`verknupf`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_dienst_bereitschaft`
--

CREATE TABLE IF NOT EXISTS `tb_dienst_bereitschaft` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  PRIMARY KEY (`id`)
);

--
-- Daten fuer Tabelle `tb_dienst_bereitschaft`
--

INSERT INTO `tb_dienst_bereitschaft` VALUES (1, 'Rufbereitschaft Tag');
INSERT INTO `tb_dienst_bereitschaft` VALUES (2, 'Nachtbereitschaft');
INSERT INTO `tb_dienst_bereitschaft` VALUES (3, 'Nachtdienst');
INSERT INTO `tb_dienst_bereitschaft` VALUES (4, 'Sonntag/Feiertag');

--
-- Tabellenstruktur fuer Tabelle 'tbh_termin_bereitschaft'
-- Zuordnung Termine zu Diensten/Bereitschaften
--

CREATE TABLE IF NOT EXISTS `tbh_termin_bereitschaft` (
  `termin_id` int(5) unsigned NOT NULL default '0',
  `dienst_bereitschaft` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`termin_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_kont_kmsatz
-- Tabelle enthaelt die km-Satz-Historie fuer Auftraggeber
--

CREATE TABLE IF NOT EXISTS `tb_kont_kmsatz` (
  `kont_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `kmsatz` decimal(8,2) NOT NULL default '0.00',
  `kmg` enum('j','n','o') NOT NULL default 'n',
  `kh_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`kont_id`,`datum`,`kh_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_kont_hilfeart
-- Tabelle enthaelt Hilfeart-Sondereinstellungen fuer JAs
--

CREATE TABLE IF NOT EXISTS `tb_kont_hilfeart` (
  `kh_id` int(5) unsigned NOT NULL auto_increment,
  `kont_id` int(5) unsigned NOT NULL default '0',
  `hilfeart_id` int(5) unsigned NOT NULL default '0',
  `von` date NOT NULL default '0000-00-00',
  `bis` date NOT NULL default '0000-00-00',
  `ust` tinyint(2) unsigned NOT NULL default '0',
  `ab_mod` enum('x','j','n','h') NOT NULL default 'x',
  `ab_modus` varchar(3) NOT NULL default '433',
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`kh_id`)
);

--
-- Tabellenstruktur fuer Tabelle tbh_inventar
-- Zusatzinformationen fuer Geraete der Rubrik Inventar
--

CREATE TABLE IF NOT EXISTS `tbh_inventar` (
  `ger_id` int(5) unsigned NOT NULL default '0',
  `anschaffung` date default NULL,
  `preis` decimal(8,2) default NULL,
  `garantie` date default NULL,
  `abgangsdatum` datetime default NULL,
  `abgangsgrund` text,
  `abgang_pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`ger_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_kfz`
-- Historie: Fuehrerschein im Original vorgelegt
-- erweitert als Historie fuer weitere Aktenarten
--

CREATE TABLE IF NOT EXISTS `tbh_pers_kfz` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `id` int(5) unsigned default NULL,
  `zeit` datetime NOT NULL default '0000-00-00 00:00:00',
  `unterzeichnet` enum('j','n') NOT NULL default 'n',
  `akte_id` int(5) unsigned default '3',
  PRIMARY KEY (`pers_id`, `zeit`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_vormerkliste`
--

CREATE TABLE IF NOT EXISTS `tb_vormerkliste` (
  `vm_id` int(4) unsigned zerofill NOT NULL auto_increment,
  `anzahl` varchar(10) NOT NULL default '',
  `kont_id` int(5) unsigned NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `artikelnr` varchar(30) NOT NULL default '',
  `link` text,
  `abt_id` int(5) unsigned default NULL,
  `notizen` text,
  `proj_id` int(5) unsigned default NULL,
  `genau` enum('j','n') NOT NULL default 'n',
  `betrag` decimal(7,2) default NULL,
  `todo_ts` int(10) unsigned default NULL,
  `empf_pers_id` int(5) unsigned default NULL,
  `empf_zeit` datetime default NULL,
  `traeger_art_id` int(2) unsigned default NULL,
  `konto_id` int(5) default NULL,
  `prio` int(3) unsigned NOT NULL default '2',
  `status` int(8) unsigned NOT NULL default '0',
  `link_name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`vm_id`),
  KEY `proj_id` (`proj_id`),
  KEY `abt_id` (`abt_id`),
  KEY `status` (`status`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_vormerk`
-- Historie: Aenderungen Vormerkliste
--

CREATE TABLE IF NOT EXISTS `tbh_pers_vormerk` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `vm_id` int(4) unsigned NOT NULL default '0',
  `zeit` datetime NOT NULL default '0000-00-00 00:00:00',
  `abteilungsleiter` enum('j','n','b','l','z','k','r') NOT NULL default 'n',
  PRIMARY KEY (`pers_id`, `vm_id`, `zeit`, `abteilungsleiter`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_projekt_gruppe`
-- Verknuepfung von Projekten und Projektgruppen
--

CREATE TABLE IF NOT EXISTS `tbh_projekt_gruppe` (
  `proj_id` int(5) NOT NULL default '0',
  `proj_id_gruppe` int(5) NOT NULL default '0',
  `von` date NOT NULL default '0000-00-00',
  `bis` date default NULL,
  PRIMARY KEY (`proj_id`, `von`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_hp_satz`
-- Zuordnung Stunden-/Tages-/km-Saetze zu HPs
--

CREATE TABLE IF NOT EXISTS `tbh_hp_satz` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `kmg` enum('j','n','o') default NULL,
  `kmsatz` decimal(8,2) default NULL,
  `satz` double(6,2) default NULL,
  `divisor` enum('h','d','m') default NULL,
  `ab_nach_ende` enum('j','n','e') NOT NULL default 'n',
  PRIMARY KEY (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_ab_hon_pers_proj`
-- Abrechnungs-Historie der Honorarklassen pro Projekt
--

CREATE TABLE IF NOT EXISTS `tbh_ab_hon_pers_proj` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `kl_id` int(3) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  PRIMARY KEY (`pers_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_proj_anwesenheit`
-- stationaere Betreuung: anwesende Klienten
--

CREATE TABLE IF NOT EXISTS `tbh_proj_anwesenheit` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `terminart` char(3) default NULL,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ts` datetime default NULL,
  `essen` enum('j','n') NOT NULL default 'n',
  `person_id` int(5) unsigned NOT NULL default '0',
  `erh` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`proj_id`,`datum`,`person_id`),
  KEY `prodat` (`proj_id`,`datum`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_code3`
-- Code fuer Termine Ambulante Hilfen
--

CREATE TABLE IF NOT EXISTS `tb_ab_code3` (
  `code` char(3) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`code`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pers_betrag`
-- Variation Start Blinken fuer Mitarbeiter (+/- Tage)
--

CREATE TABLE IF NOT EXISTS `tb_pers_betrag` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `betrag` decimal(6,2) NOT NULL default '0.00',
  PRIMARY KEY (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_lom_ap`
-- Doku Besuche der LOM-Ansprechpartner
--

CREATE TABLE IF NOT EXISTS `tb_lom_ap` (
  `ap_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `notizen` text,
  PRIMARY KEY (`ap_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pers_dienstvertrag`
--

CREATE TABLE IF NOT EXISTS `tb_pers_dienstvertrag` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `status` enum('in','out') default NULL,
  `datetime_in` datetime NOT NULL default '0000-00-00 00:00:00',
  `pers_id_in` int(5) unsigned NOT NULL default '0',
  `datetime_out` datetime NOT NULL default '0000-00-00 00:00:00',
  `pers_id_out` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_sitzung_aufgaben`
--

CREATE TABLE IF NOT EXISTS `tbh_sitzung_aufgaben` (
  `team_art_id` int(5) unsigned NOT NULL default '0',
  `aufgabe_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`team_art_id`,`aufgabe_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pro_verbund`
-- Zuordnung verbundener Hilfen
--

CREATE TABLE IF NOT EXISTS `tb_pro_verbund` (
  `verbund_id` int(5) unsigned NOT NULL auto_increment,
  `proj_id` int(5) unsigned NOT NULL default '0',
  `datetime_von` datetime NOT NULL default '0000-00-00 00:00:00',
  `pers_id_von` int(5) unsigned NOT NULL default '0',
  `datetime_bis` datetime default NULL,
  `pers_id_bis` int(5) unsigned default NULL,
  `primaer` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`verbund_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_hp_verbund`
-- Zuordnung Hilfeplaene verbundener Hilfen
--

CREATE TABLE IF NOT EXISTS `tbh_hp_verbund` (
  `verbund_id` int(5) unsigned NOT NULL default '0',
  `hp_id` int(5) unsigned NOT NULL default '0',
  `v_hp_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`verbund_id`,`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_praxisziel_verbund`
-- Zuordnung Praxisziele verbundener Hilfen
--

CREATE TABLE IF NOT EXISTS `tbh_praxisziel_verbund` (
  `verbund_id` int(5) unsigned NOT NULL default '0',
  `ziel_id` int(5) unsigned NOT NULL default '0',
  `v_ziel_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`verbund_id`,`ziel_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_handlungsschritt_verbund`
-- Zuordnung Handlungsschritte verbundener Hilfen
--

CREATE TABLE IF NOT EXISTS `tbh_handlungsschritt_verbund` (
  `verbund_id` int(5) unsigned NOT NULL default '0',
  `schritt_id` int(5) unsigned NOT NULL default '0',
  `v_schritt_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`verbund_id`,`schritt_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_person_verbund`
-- Zuordnung Personen verbundener Hilfen
--

CREATE TABLE IF NOT EXISTS `tbh_person_verbund` (
  `verbund_id` int(5) unsigned NOT NULL default '0',
  `person_id` int(5) unsigned NOT NULL default '0',
  `v_person_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`verbund_id`,`person_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_zahlungsart`
-- tb_zahlungsart:static
--

CREATE TABLE IF NOT EXISTS `tb_zahlungsart` (
  `za_id` int(3) unsigned NOT NULL auto_increment,
  `zahlungsart` varchar(15) NOT NULL default '',
  PRIMARY KEY (`za_id`)
);

--
-- Daten fuer Tabelle `tb_zahlungsart`
--

INSERT INTO `tb_zahlungsart` VALUES (1, 'Rechnung');
INSERT INTO `tb_zahlungsart` VALUES (2, 'Bankeinzug');
INSERT INTO `tb_zahlungsart` VALUES (3, 'Bar / Vorkasse');
INSERT INTO `tb_zahlungsart` VALUES (4, 'Lieferschein');
INSERT INTO `tb_zahlungsart` VALUES (5, 'Kartenzahlung');

--
-- Tabellenstruktur fuer Tabelle `tbh_proj_pkw`
-- Zuordnung von Projekten zu PKWs (Ressourcen)
--

CREATE TABLE IF NOT EXISTS `tbh_proj_pkw` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `res_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`proj_id`,`res_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_personal_abt_vml
-- Tabelle enthaelt Personal, dass fuer Abteilungen
-- Projekte aus Vormerkungen anlegen darf
--

CREATE TABLE IF NOT EXISTS `tb_personal_abt_vml` (
  `abt_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `verantwortlich` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`abt_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_spesen_einz_zk`
-- Zuordnung von Spesen aus Projekteinzahlungen zu ZKs
--

CREATE TABLE IF NOT EXISTS `tbh_spesen_einz_zk` (
  `einz_id` int(5) unsigned NOT NULL default '0',
  `zk_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`einz_id`),
  UNIQUE KEY `zk_id` (`zk_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_statistikbogen`
-- Zuordnung, welche Projekte in welchem Monat auszugeben nsind
--

CREATE TABLE IF NOT EXISTS `tb_statistikbogen` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `post_out_id` int(5) unsigned default NULL,
  PRIMARY KEY (`proj_id`,`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ga_spesen`
--

CREATE TABLE IF NOT EXISTS `tbh_ga_spesen` (
  `zk_id` int(5) unsigned NOT NULL default '0',
  `ga_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`zk_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_fahrkarten`
--

CREATE TABLE IF NOT EXISTS `tb_fahrkarten` (
  `card_id` int(3) unsigned NOT NULL auto_increment,
  `bezeichnung` varchar(50) default NULL,
  `betrag` decimal(5,2) NOT NULL default '0.00',
  `tarif` text NOT NULL,
  `anzahl` int(3) NOT NULL default '0',
  `typ` enum('m','w','4','1') NOT NULL default 'm',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `tarifzeitraum` int(5) NOT NULL default '0',
  PRIMARY KEY (`card_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_fahrkartenausgabe`
--

CREATE TABLE IF NOT EXISTS `tbh_fahrkartenausgabe` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `card_id` int(3) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `pers_e` int(5) unsigned NOT NULL default '0',
  `pers_a` int(5) unsigned NOT NULL default '0',
  `notizen` text NOT NULL,
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_tt_proj`
-- Zuordnung von Projekten zu Tim-Tender-Massnahme-Zeitraeumen
--

CREATE TABLE IF NOT EXISTS `tbh_tt_proj` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `von` date NOT NULL default '0000-00-00',
  `verwaltung` enum('j','n') NOT NULL default 'n',
  `stellenfoerderung` enum('j','n') NOT NULL default 'n',
  `stellenanteil` tinyint(2) unsigned NOT NULL default '100',
  PRIMARY KEY (`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_rech_ok_hist`
-- Historie Rechnung Haken OK
--

CREATE TABLE IF NOT EXISTS `tb_rech_ok_hist` (
  `re_id` int(5) unsigned NOT NULL default '0',
  `eingang` enum('p','z') NOT NULL default 'p',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `checked` enum('j','n') NOT NULL default 'n',
  `datetime` datetime default NULL
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_code_a`
-- Code fuer erweiterte A-Codes
--

CREATE TABLE IF NOT EXISTS `tb_ab_code_a` (
  `code` char(2) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`code`)
);

INSERT INTO `tb_ab_code_a` VALUES ('A1', 'Untersttzung im tgl. Alltag');
INSERT INTO `tb_ab_code_a` VALUES ('A2', 'sinnvolle Freizeitgestaltung');
INSERT INTO `tb_ab_code_a` VALUES ('A3', 'Begleitung zu mtern, Behrden, Einrichtungen...');
INSERT INTO `tb_ab_code_a` VALUES ('A4', 'Arbeit fr die Familie im Rahmen des Hilfeplans');

--
-- Tabellenstruktur fuer Tabelle `tbh_vormerk_print`
-- Druck-Zusammenstellungen fuer Bar- und Lieferscheinkaeufe
--

CREATE TABLE IF NOT EXISTS `tbh_vormerk_print` (
  `id2` int(5) unsigned NOT NULL auto_increment,
  `vm_id` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY (`vm_id`),
  KEY `id2` (`id2`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_rechnung`
-- Zwischengespeicherte Werte fuer Rechnungen
--

CREATE TABLE IF NOT EXISTS `tb_ab_rechnung` (
  `re_id` int(5) unsigned NOT NULL default '0',
  `nachw_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `pos` tinyint(1) unsigned NOT NULL default '0',
  `menge` decimal(7,2) NOT NULL default '0.0',
  `typ` enum('h','d','km','p','k','fz','s','skt','m','fp','e') NOT NULL default 'h',
  `satz` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY (`re_id`,`pos`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_team_protokoll`
-- Digitale Signatur: Sitzungsprotokoll gelesen
--

CREATE TABLE IF NOT EXISTS `tbh_team_protokoll` (
  `team_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `gelesen` datetime NOT NULL default '0000-00-00 00:00:00',
  `gelesen_pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`team_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_tarifzeitraum`
-- moegliche Tarifzeitraeume Fahrkarten TTT
--

CREATE TABLE IF NOT EXISTS `tb_tarifzeitraum` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `deaktiviert` datetime NOT NULL default '0000-00-00 00:00:00',
  `pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_proj_traeger`
-- Zuordnung von weiteren Traegern zu Projekten
--

CREATE TABLE IF NOT EXISTS `tbh_proj_traeger` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `traeger_art_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`proj_id`,`traeger_art_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_aussenvertretung`
-- Aussenvertretungen der Traeger: E - Einzelvollmacht
--                                 G - gemeinsame Vollmacht
--                                VG - Vertretung gemeinsam
--                                VE - Vertretung Einzel
--

CREATE TABLE IF NOT EXISTS `tbh_aussenvertretung` (
  `traeger_art_id` int(5) unsigned NOT NULL default '0',
  `typ` enum('E','G','VG','VE') NOT NULL default 'G',
  `pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`traeger_art_id`,`typ`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_angelegt`
--

CREATE TABLE IF NOT EXISTS `tb_hp_angelegt` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_pro_begr`
--

CREATE TABLE IF NOT EXISTS `tb_ab_pro_begr` (
  `nachw_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `begr` enum('j','n') NOT NULL default 'j',
  `betreff` varchar(100) NOT NULL default '',
  `text` text,
  PRIMARY KEY (`nachw_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pro_archiv`
--

CREATE TABLE IF NOT EXISTS `tb_pro_archiv` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `checked` enum('checked','') NOT NULL default '',
  PRIMARY KEY (`proj_id`, `pers_id`, `datetime`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_hp_ziel_pers_handlungsschritt`
-- person_id vorzeichenbehaftet: -1 = Leistungserbringer
--                               -2 = Kind / Jugendlicher
--                               -3 = Erziehungsberechtigte
--

CREATE TABLE IF NOT EXISTS `tbh_hp_ziel_pers_handlungsschritt` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `ziel_id` int(5) unsigned NOT NULL default '0',
  `person_id` int(5) NOT NULL default '0',
  `schritt_id` int(5) unsigned NOT NULL default '0',
  `verantwortlich` varchar(50) NOT NULL default ''
);

--
-- Tabellenstruktur fuer Tabelle `tbh_hp_ziel_pers_data`
--

CREATE TABLE IF NOT EXISTS `tbh_hp_ziel_pers_data` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `ziel_id` int(5) unsigned NOT NULL default '0',
  `person_id` int(5) NOT NULL default '0',
  `anmerkung` text,
  `rueckblick` text,
  PRIMARY KEY (`hp_id`, `ziel_id`, `person_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_hp_ziel_pers_skala`
--

CREATE TABLE IF NOT EXISTS `tbh_hp_ziel_pers_skala` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `ziel_id` int(5) unsigned NOT NULL default '0',
  `person_id` int(5) NOT NULL default '0',
  `ad_skala` tinyint(2) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`hp_id`, `ziel_id`, `person_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_mehrst_begr`
-- Begruendung Mehrstunden pro Projektund Abrechnungsmonat
--

CREATE TABLE IF NOT EXISTS `tb_ab_mehrst_begr` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `checked` enum('j','n') NOT NULL default 'n',
  `titel` varchar(100) NOT NULL default '',
  `text` text,
  `pers_id` int(5) NOT NULL default '0',
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY (`proj_id`,`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_nachr_gespraechsnotiz`
-- Nachricht nach Anruf
--

CREATE TABLE IF NOT EXISTS `tb_nachr_gespraechsnotiz` (
  `nachr_id` int(5) unsigned NOT NULL default '0',
  `anrufer` varchar(50) NOT NULL default '',
  `anr_firma` varchar(50) NOT NULL default '',
  `anr_tel` varchar(15) NOT NULL default '',
  `hat_angerufen` enum('j','n') NOT NULL default 'n',
  `hat_zurueckgerufen` enum('j','n') NOT NULL default 'n',
  `ruft_wieder_an` enum('j','n') NOT NULL default 'n',
  `rr_erbeten` enum('j','n') NOT NULL default 'n',
  `treffen` enum('j','n') NOT NULL default 'n',
  `war_da` enum('j','n') NOT NULL default 'n',
  `sms` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`nachr_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_res_keys`
--

CREATE TABLE IF NOT EXISTS `tbh_res_keys` (
  `res_id` int(5) unsigned NOT NULL default '0',
  `key_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`res_id`),
  UNIQUE KEY `key_id` (`key_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_postzuordnung`
-- id: h - hp_id
--     n - nachr_id
-- id2: p - proj_id
--      w - res_id (Wagen!!!)
--      t - team_art_id
--      m - pers_id (MA!!!)
--      r - vm_id (Direktkauf Rechnung)
--      a - aufgabe_id
--

CREATE TABLE IF NOT EXISTS `tbh_postzuordnung` (
  `id` int(5) unsigned NOT NULL default '0',
  `posttyp` enum('h','n') NOT NULL default 'h',
  `id2` int(5) unsigned NOT NULL default '0',
  `typ` enum('p','w','t','m','r','a') NOT NULL default 'p',
  PRIMARY KEY (`id`,`posttyp`,`id2`,`typ`),
  KEY `posttyp` (`posttyp`),
  KEY `id2` (`id2`),
  KEY `typ` (`typ`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_images' - Bitmapmaske fuer Grafiken
-- tb_images:static
--

CREATE TABLE IF NOT EXISTS `tb_images` (
  `name` varchar(30) NOT NULL default '',
  `wert` text,
  PRIMARY KEY (`name`)
);

INSERT INTO `tb_images` VALUES ('key', '0011111,01000001,100100001,101110001,100100001,100000001,0100000001,00111110001,000000110001,0000000111001,00000000010001,000000000111001,0000000000010001,0000000000011001,0000000000001111');
INSERT INTO `tb_images` VALUES ('brief', '1111111111111111,1000000000000001,1000000000000001,1100000000000011,1010000000000101,1001000000001001,1000100000010001,1000011111100001,1000000000000001,1000000000000001,1000000000000001,1000000000000001,1111111111111111');
INSERT INTO `tb_images` VALUES ('daten', '0,0,00111111111111,00100000000001,00101110011101,00100000000001,00100101111001,00100000000001,00101011110101,00100000000001,00101111011101,00100000000001,00111111111111');
INSERT INTO `tb_images` VALUES ('X_rechts', '0,0000000110000111,000000011000111,00000000110111,0000000011111,000000000111,00000000111,000000011111,000000111011,0000011100011,0000111000011');
INSERT INTO `tb_images` VALUES ('drucker', '00000111111111,00001777777771,0000170000071,0001777777771,000170000071111,0017777777710101,0111111111101011,1000000000010101,1111111111111001,100000000000101,100000000000111,111111111111101,01000000000101,0011111111111');
INSERT INTO `tb_images` VALUES ('enter', '0,0,000000000000011,000000000000011,000000001000011,000000111000011,000011111000011,001111111000011,111111111111111,111111111111111,001111111,000011111,000000111,000000001');
INSERT INTO `tb_images` VALUES ('person', '0,0,0000001111,00000111111,000011111111,0001111111111,0001111111111,0001111111111,000011111111,00000111111,0000001111,0001100000011,00111111111111,011111111111111,011111111111111,1111111111111111,1111111111111111');
INSERT INTO `tb_images` VALUES ('archiv', '1111111111111111111,1000000000000000001,1010101000010010101,1010101000100100101,1010101001001000101,1010101010010000101,1000000000000000001,100001000000101010,1000100111101010101,1001000000001010101,1010000111101010101,1000000000000000001,1111111111111111111');
INSERT INTO `tb_images` VALUES ('hammer', '0,0001111111111,00100000000001,01000000000001,00100000000001,0001111111111,0000001001,0000001001,0000001001,0000001001,0000001001,0000001001,0000001001,0000001111');
INSERT INTO `tb_images` VALUES ('bug', '000000010000111,0001000010010111,0000100010111111,0000010111111101,000001100011111,11110100001111,0001100001001,000100001000111,0010000100001001,001000100001,0100010000111,01111000010001,011110001110001,01111011001,00111100001,00000000001');
INSERT INTO `tb_images` VALUES ('haus', '000000011,0000001111,00000111111,000011100111,0001110110111,00111011110111,011101111110111,1110111111110111,1101111111111011,00110011110011,00110011110011,00111111111111,00111100001111,00111100001111,00111100001111,00111100001111');
INSERT INTO `tb_images` VALUES ('schrank', '00011111111,00100000011,01000000101,11111111001,10000001001,10111101001,10000001001,11111111001,10000001001,10111101001,10000001011,100000011,11111111,10000001');
INSERT INTO `tb_images` VALUES ('seitenumbruch', '10000000001,10000000001,10000000001,11111111111001,00000000000011,00000000000101,11111110001001,10000011000101,10000010100011,10000010010001,10000011111,10000000001,10000000001,10000000001');
INSERT INTO `tb_images` VALUES ('ewald', '01111,111111,111111,110011,11,11,1111,01111,1111,11,11,110011,111111,111111,01111');
INSERT INTO `tb_images` VALUES ('refresh', '0000111100001,0001100111001,0011000001101,0110000000111,0100000000011,1100000111111,1,11,01,011000000001,001100000011,00011100111,000001111');
INSERT INTO `tb_images` VALUES ('sort_down', '00111,00111,00111,1111111,1111111,1111111,011111,011111,011111,00111,00111,00111,0001,0001,0001');
INSERT INTO `tb_images` VALUES ('sort_up', '0001,0001,0001,00111,00111,00111,011111,011111,011111,1111111,1111111,1111111,00111,00111,00111');
INSERT INTO `tb_images` VALUES ('kreis', '0000000000000000000000000000000000111111111111,00000000000000000000000000000011111111000011111111,00000000000000000000000000011110000000000000000001111,00000000000000000000000011110000000000000000000000001111,0000000000000000000000111000000000000000000000000000000111,000000000000000000001110000000000000000000000000000000000111,00000000000000000011100000000000000000000000000000000000000111,000000000000000001100000000000000000000000000000000000000000011,0000000000000000110000000000000000000000000000000000000000000011,00000000000000011000000000000000000000000000000000000000000000011,0000000000000111000000000000000000000000000000000000000000000000111,00000000000011000000000000000000000000000000000000000000000000000011,000000000001100000000000000000000000000000000000000000000000000000011,0000000000110000000000000000000000000000000000000000000000000000000011,0000000000110000000000000000000000000000000000000000000000000000000011,00000000011000000000000000000000000000000000000000000000000000000000011,000000001100000000000000000000000000000000000000000000000000000000000011,0000000110000000000000000000000000000000000000000000000000000000000000011,00000011000000000000000000000000000000000000000000000000000000000000000011,00000011000000000000000000000000000000000000000000000000000000000000000011,000001100000000000000000000000000000000000000000000000000000000000000000011,000001100000000000000000000000000000000000000000000000000000000000000000011,0000110000000000000000000000000000000000000000000000000000000000000000000011,0000110000000000000000000000000000000000000000000000000000000000000000000011,00011000000000000000000000000000000000000000000000000000000000000000000000011,00011000000000000000000000000000000000000000000000000000000000000000000000011,00011000000000000000000000000000000000000000000000000000000000000000000000011,001100000000000000000000000000000000000000000000000000000000000000000000000011,001100000000000000000000000000000000000000000000000000000000000000000000000011,001100000000000000000000000000000000000000000000000000000000000000000000000011,0110000000000000000000000000000000000000000000000000000000000000000000000000011,0110000000000000000000000000000000000000000000000000000000000000000000000000011,0110000000000000000000000000000000000000000000000000000000000000000000000000011,0110000000000000000000000000000000000000000000000000000000000000000000000000011,11000000000000000000000000000000000000000000000000000000000000000000000000000011,11000000000000000000000000000000000000000000000000000000000000000000000000000011,11000000000000000000000000000000000000000000000000000000000000000000000000000011,11000000000000000000000000000000000000000000000000000000000000000000000000000011,10000000000000000000000000000000000000000000000000000000000000000000000000000001,10000000000000000000000000000000000000000000000000000000000000000000000000000001,10000000000000000000000000000000000000000000000000000000000000000000000000000001,10000000000000000000000000000000000000000000000000000000000000000000000000000001,11000000000000000000000000000000000000000000000000000000000000000000000000000011,11000000000000000000000000000000000000000000000000000000000000000000000000000011,11000000000000000000000000000000000000000000000000000000000000000000000000000011,11000000000000000000000000000000000000000000000000000000000000000000000000000011,0110000000000000000000000000000000000000000000000000000000000000000000000000011,0110000000000000000000000000000000000000000000000000000000000000000000000000011,0110000000000000000000000000000000000000000000000000000000000000000000000000011,0110000000000000000000000000000000000000000000000000000000000000000000000000011,001100000000000000000000000000000000000000000000000000000000000000000000000011,001100000000000000000000000000000000000000000000000000000000000000000000000011,001100000000000000000000000000000000000000000000000000000000000000000000000011,00011000000000000000000000000000000000000000000000000000000000000000000000011,00011000000000000000000000000000000000000000000000000000000000000000000000011,00011000000000000000000000000000000000000000000000000000000000000000000000011,0000110000000000000000000000000000000000000000000000000000000000000000000011,0000110000000000000000000000000000000000000000000000000000000000000000000011,000001100000000000000000000000000000000000000000000000000000000000000000011,000001100000000000000000000000000000000000000000000000000000000000000000011,00000011000000000000000000000000000000000000000000000000000000000000000011,00000011000000000000000000000000000000000000000000000000000000000000000011,0000000110000000000000000000000000000000000000000000000000000000000000011,000000001100000000000000000000000000000000000000000000000000000000000011,00000000011000000000000000000000000000000000000000000000000000000000011,0000000000110000000000000000000000000000000000000000000000000000000011,0000000000110000000000000000000000000000000000000000000000000000000011,000000000001100000000000000000000000000000000000000000000000000000011,00000000000011000000000000000000000000000000000000000000000000000011,0000000000000111000000000000000000000000000000000000000000000000111,00000000000000011000000000000000000000000000000000000000000000011,0000000000000000110000000000000000000000000000000000000000000011,000000000000000001100000000000000000000000000000000000000000011,00000000000000000011100000000000000000000000000000000000000111,000000000000000000001110000000000000000000000000000000000111,0000000000000000000000111000000000000000000000000000000111,00000000000000000000000011110000000000000000000000001111,00000000000000000000000000011110000000000000000001111,00000000000000000000000000000011111111000011111111,0000000000000000000000000000000000111111111111');
INSERT INTO `tb_images` VALUES ('kreis2', '0000000000000000000000000000000111111111111111111,0000000000000000000000000000111111111111111111111111,0000000000000000000000000111111111111111111111111111111,000000000000000000000001111111111111111111111111111111111,00000000000000000000011111111111111111111111111111111111111,0000000000000000000111111111111111111111111111111111111111111,000000000000000001111111111111111111111111111111111111111111111,0000000000000000111111111111111111100000000001111111111111111111,00000000000000011111111111111111000000000000000011111111111111111,000000000000001111111111111100000000000000000000000011111111111111,0000000000000111111111111100000000000000000000000000001111111111111,000000000001111111111111000000000000000000000000000000001111111111111,0000000000111111111111000000000000000000000000000000000000111111111111,00000000011111111111000000000000000000000000000000000000000011111111111,00000000011111111110000000000000000000000000000000000000000001111111111,000000001111111111000000000000000000000000000000000000000000001111111111,0000000111111111100000000000000000000000000000000000000000000001111111111,00000011111111110000000000000000000000000000000000000000000000001111111111,000001111111111000000000000000000000000000000000000000000000000001111111111,000001111111110000000000000000000000000000000000000000000000000000111111111,0000111111111000000000000000000000000000000000000000000000000000000111111111,0000111111110000000000000000000000000000000000000000000000000000000011111111,00011111111100000000000000000000000000000000000000000000000000000000111111111,00011111111000000000000000000000000000000000000000000000000000000000011111111,001111111110000000000000000000000000000000000000000000000000000000000111111111,001111111110000000000000000000000000000000000000000000000000000000000111111111,001111111110000000000000000000000000000000000000000000000000000000000111111111,001111111100000000000000000000000000000000000000000000000000000000000011111111,0111111111000000000000000000000000000000000000000000000000000000000000111111111,0111111110000000000000000000000000000000000000000000000000000000000000011111111,0111111110000000000000000000000000000000000000000000000000000000000000011111111,11111111100000000000000000000000000000000000000000000000000000000000000111111111,11111111000000000000000000000000000000000000000000000000000000000000000011111111,11111111000000000000000000000000000000000000000000000000000000000000000011111111,11111111000000000000000000000000000000000000000000000000000000000000000011111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111110000000000000000000000000000000000000000000000000000000000000000001111111,11111111000000000000000000000000000000000000000000000000000000000000000011111111,11111111000000000000000000000000000000000000000000000000000000000000000011111111,11111111000000000000000000000000000000000000000000000000000000000000000011111111,11111111100000000000000000000000000000000000000000000000000000000000000111111111,0111111110000000000000000000000000000000000000000000000000000000000000011111111,0111111110000000000000000000000000000000000000000000000000000000000000011111111,0111111111000000000000000000000000000000000000000000000000000000000000111111111,001111111110000000000000000000000000000000000000000000000000000000000111111111,001111111110000000000000000000000000000000000000000000000000000000000111111111,001111111110000000000000000000000000000000000000000000000000000000000111111111,001111111110000000000000000000000000000000000000000000000000000000000111111111,00011111111000000000000000000000000000000000000000000000000000000000011111111,00011111111100000000000000000000000000000000000000000000000000000000111111111,0000111111110000000000000000000000000000000000000000000000000000000011111111,0000111111111000000000000000000000000000000000000000000000000000000111111111,0000111111111000000000000000000000000000000000000000000000000000000111111111,000001111111111000000000000000000000000000000000000000000000000001111111111,00000011111111110000000000000000000000000000000000000000000000001111111111,0000000111111111100000000000000000000000000000000000000000000001111111111,000000001111111111000000000000000000000000000000000000000000001111111111,00000000011111111110000000000000000000000000000000000000000001111111111,00000000011111111111000000000000000000000000000000000000000011111111111,0000000000111111111111000000000000000000000000000000000000111111111111,000000000001111111111111000000000000000000000000000000001111111111111,0000000000000111111111111100000000000000000000000000001111111111111,000000000000001111111111111100000000000000000000000011111111111111,00000000000000011111111111111111000000000000000011111111111111111,0000000000000000111111111111111111100000000001111111111111111111,000000000000000001111111111111111111111111111111111111111111111,0000000000000000000111111111111111111111111111111111111111111,00000000000000000000011111111111111111111111111111111111111,000000000000000000000001111111111111111111111111111111111,0000000000000000000000000111111111111111111111111111111,0000000000000000000000000000111111111111111111111111,0000000000000000000000000000000111111111111111111');
INSERT INTO `tb_images` VALUES ('kreis1', '0000000000000000000000000000000000111111111111,00000000000000000000000000000011111111111111111111,00000000000000000000000000011111111111111111111111111,00000000000000000000000011111111111111111111111111111111,0000000000000000000000111111111111111111111111111111111111,000000000000000000001111111111111100000000000011111111111111,00000000000000000011111111111110000000000000000001111111111111,000000000000000001111111111000000000000000000000000001111111111,0000000000000000111111111000000000000000000000000000000111111111,00000000000000011111111000000000000000000000000000000000011111111,0000000000000111111111000000000000000000000000000000000000111111111,00000000000011111111000000000000000000000000000000000000000011111111,000000000001111111100000000000000000000000000000000000000000011111111,0000000000111111100000000000000000000000000000000000000000000001111111,0000000000111111000000000000000000000000000000000000000000000000111111,00000000011111100000000000000000000000000000000000000000000000000111111,000000001111110000000000000000000000000000000000000000000000000000111111,0000000111111000000000000000000000000000000000000000000000000000000111111,00000011111110000000000000000000000000000000000000000000000000000001111111,00000011111100000000000000000000000000000000000000000000000000000000111111,000001111110000000000000000000000000000000000000000000000000000000000111111,000001111110000000000000000000000000000000000000000000000000000000000111111,0000111111000000000000000000000000000000000000000000000000000000000000111111,0000111110000000000000000000000000000000000000000000000000000000000000011111,00011111100000000000000000000000000000000000000000000000000000000000000111111,00011111000000000000000000000000000000000000000000000000000000000000000011111,00011111000000000000000000000000000000000000000000000000000000000000000011111,001111100000000000000000000000000000000000000000000000000000000000000000011111,001111100000000000000000000000000000000000000000000000000000000000000000011111,001111100000000000000000000000000000000000000000000000000000000000000000011111,0111111000000000000000000000000000000000000000000000000000000000000000000111111,0111110000000000000000000000000000000000000000000000000000000000000000000011111,0111110000000000000000000000000000000000000000000000000000000000000000000011111,0111110000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,11111000000000000000000000000000000000000000000000000000000000000000000000011111,0111110000000000000000000000000000000000000000000000000000000000000000000011111,0111110000000000000000000000000000000000000000000000000000000000000000000011111,0111110000000000000000000000000000000000000000000000000000000000000000000011111,0111111000000000000000000000000000000000000000000000000000000000000000000111111,001111100000000000000000000000000000000000000000000000000000000000000000011111,001111100000000000000000000000000000000000000000000000000000000000000000011111,001111100000000000000000000000000000000000000000000000000000000000000000011111,00011111000000000000000000000000000000000000000000000000000000000000000011111,00011111000000000000000000000000000000000000000000000000000000000000000011111,00011111100000000000000000000000000000000000000000000000000000000000000111111,0000111110000000000000000000000000000000000000000000000000000000000000011111,0000111111000000000000000000000000000000000000000000000000000000000000111111,000001111110000000000000000000000000000000000000000000000000000000000111111,000001111110000000000000000000000000000000000000000000000000000000000111111,00000011111100000000000000000000000000000000000000000000000000000000111111,00000011111110000000000000000000000000000000000000000000000000000001111111,0000000111111000000000000000000000000000000000000000000000000000000111111,000000001111110000000000000000000000000000000000000000000000000000111111,00000000011111100000000000000000000000000000000000000000000000000111111,0000000000111111000000000000000000000000000000000000000000000000111111,0000000000111111100000000000000000000000000000000000000000000001111111,000000000001111111100000000000000000000000000000000000000000011111111,00000000000011111111000000000000000000000000000000000000000011111111,0000000000000111111111000000000000000000000000000000000000111111111,00000000000000011111111000000000000000000000000000000000011111111,0000000000000000111111111000000000000000000000000000000111111111,000000000000000001111111111000000000000000000000000001111111111,00000000000000000011111111111110000000000000000001111111111111,000000000000000000001111111111111100000000000011111111111111,0000000000000000000000111111111111111111111111111111111111,00000000000000000000000011111111111111111111111111111111,00000000000000000000000000011111111111111111111111111,00000000000000000000000000000011111111111111111111,0000000000000000000000000000000000111111111111');
INSERT INTO `tb_images` VALUES ('burger', '0,0,0,00111111111111,00111111111111,0,0,00111111111111,00111111111111,0,0,00111111111111,00111111111111');
INSERT INTO `tb_images` VALUES ('abt_team', '0000000011,00000001001,000110010010011,0010010011001001,0010010000001001,000110001100011,00000001111,011000111111,1001011111111,1001011111111,011000111111,00000001111,0001100011,001001,001001,00011');
INSERT INTO `tb_images` VALUES ('abt_bereich', '0,01111011111111,01111,01111011111111,01111,0,01111011111111,01111,01111011111111,01111,0,01111011111111,01111,01111011111111,01111');
INSERT INTO `tb_images` VALUES ('copy', '01111111111,110000000011,100000000001,101101111101111,1000000000010011,1011111110010001,1000000000011101,1011110111010001,1000000000011001,1011111000010001,1000000000011101,1100000000110001,0111111111100001,0000100000000001,0000110000000011,000001111111111');
INSERT INTO `tb_images` VALUES ('paste', '0000011,000111111,111110011111,100111111001,100000000001,100000000001,100000000001,100001111111111,1000110000000011,1000100000000001,1000101101111101,1000100000000001,1000101111111001,1000100000000001,1000101111011101,1111100000000001');
INSERT INTO `tb_images` VALUES ('auto', '0000011111111111,00001000000000001,000100000000000001,01100000000000000011,0011111111111111111,01000011111111100001,110000111111111000011,111111101010101111111,111111101010101111111,111111111010111111111,111111111111111111111,111100000000000001111,111100000000000001111');
INSERT INTO `tb_images` VALUES ('akte', '1111111,1000001,1111111,1000001,1111111,1000001,1111111,1000001,1111111,1111111,1110111,1100011,1100011,1110111,1111111,1111111');
INSERT INTO `tb_images` VALUES ('wrench', '0,000000000111,00000000111,0000000011,000000001100001,000000001110011,000000011111111,00000011111111,0000011111,000011111,00011111,0011111,011111,01111,0111');
INSERT INTO `tb_images` VALUES ('handy', '01111111,100000001,100000001,100000001,100000001,100000001,100000001,100000001,100000001,100000001,100000001,100000001,100000001,111111111,111000111,01111111');
INSERT INTO `tb_images` VALUES ('welt', '0,0000111111,00110001111,010000001111,0100000111111,1000000111111,1000011111101,1000011111001,1110000110001,0110000110011,011000011011,00010001011,000011111');

--
-- Tabellenstruktur fuer Tabelle 'tb_abschlag'
-- Modifikationen der Abschlagszahlungen
--

CREATE TABLE IF NOT EXISTS `tb_abschlag` (
  `nachw_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `text` text,
  `textausgabe` enum('j','n') NOT NULL default 'n',
  `teilz_pers_id` int(5) unsigned default NULL,
  `teilz_datum` date default NULL,
  `teilz_betrag` decimal(8,2) NOT NULL default '0.00',
  `bemerkungen` text,
  `storniert` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`nachw_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_abschlag_rechnung`
-- Zwischengespeicherte Werte fuer Abschlags-Rechnungen
--

CREATE TABLE IF NOT EXISTS `tb_abschlag_rechnung` (
  `re_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `satz` decimal(7,2) NOT NULL default '0.00',
  `soll` decimal(7,2) default NULL,
  `ist` decimal(7,2) default NULL,
  `km` decimal(7,2) default NULL,
  `kmsatz` decimal(7,2) NOT NULL default '0.00',
  `ab_monat` date NOT NULL default '2013-07-01',
  `betrag` decimal(8,2) default NULL,
  `divisor` enum('h','d','m') NOT NULL default 'h',
 PRIMARY KEY (`re_id`,`proj_id`,`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ger_inventur`
-- Inventur, Elektropruefung
--

CREATE TABLE IF NOT EXISTS `tb_ger_inventur` (
  `inv_id` int(5) unsigned NOT NULL auto_increment,
  `ger_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `datum` date default NULL,
  `notizen` text,
  `done` enum('j','n') NOT NULL default 'n',
 PRIMARY KEY (`inv_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ger_ep_mess_ger`
-- Messgeraete fuer die Elektropruefung
--

CREATE TABLE IF NOT EXISTS `tb_ger_ep_mess_ger` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `fabrikant` varchar(50) NOT NULL default '',
  `typ` varchar(50) NOT NULL default '',
  `notizen` text,
 PRIMARY KEY (`id`)
);

-- Daten Messgeraete: ein Beispielgeraet

INSERT INTO `tb_ger_ep_mess_ger` VALUES ('1', 'Chauvin Arnoux', 'Electrical Multitester 100 C.A 6111', '');

--
-- Tabellenstruktur fuer Tabelle `tb_ger_ep`
-- Inventur, Elektropruefung
--

CREATE TABLE IF NOT EXISTS `tb_ger_ep` (
  `inv_id` int(5) unsigned NOT NULL default '0',
  `prmod` enum('vbg','zn','vde','vbgzn','vbgvde','znvde','vbgznvde') default NULL,
  `typ` varchar(50) NOT NULL default '',
  `hersteller` varchar(50) NOT NULL default '',
  `fabriknr` varchar(50) NOT NULL default '',
  `unenn` varchar(20) NOT NULL default '',
  `inenn` varchar(20) NOT NULL default '',
  `pnenn` varchar(20) NOT NULL default '',
  `frequenz` varchar(20) NOT NULL default '',
  `wirkfaktor` varchar(20) NOT NULL default '',
  `schutzklasse` varchar(20) NOT NULL default '',
  `gehaeuse` enum('j','n') default NULL,
  `stecker` enum('j','n') default NULL,
  `zugentlastung` enum('j','n') default NULL,
  `leitung` enum('j','n') default NULL,
  `schutzorgane` enum('j','n') default NULL,
  `kuehl` enum('j','n') default NULL,
  `betrkennz` enum('j','n') default NULL,
  `lesbarkeit` enum('j','n') default NULL,
  `dichtungen` enum('j','n') default NULL,
  `sicherheit` enum('j','n') default NULL,
  `elektrfunk` enum('j','n') default NULL,
  `klemmplan` enum('j','n') default NULL,
  `mechgefahr` enum('j','n') default NULL,
  `eingriffe` enum('j','n') default NULL,
  `ueberlastung` enum('j','n') default NULL,
  `korrosion` enum('j','n') default NULL,
  `luftfilter` enum('j','n') default NULL,
  `anwendung` enum('j','n') default NULL,
  `etc` varchar(100) NOT NULL default '',
  `etcjn` enum('j','n') default NULL,
  `mwschutzleiter` varchar(30) NOT NULL default '',
  `schutzleiter` enum('j','n') default NULL,
  `mwfi` varchar(30) NOT NULL default '',
  `fi` enum('j','n') default NULL,
  `mwisolation` varchar(30) NOT NULL default '',
  `isolation` enum('j','n') default NULL,
  `mwersatz` varchar(30) NOT NULL default '',
  `ersatz` enum('j','n') default NULL,
  `mwischutz` varchar(30) NOT NULL default '',
  `ischutz` enum('j','n') default NULL,
  `mwiberuehr` varchar(30) NOT NULL default '',
  `iberuehr` enum('j','n') default NULL,
  `cpu` enum('j','n') default NULL,
  `fehler` enum('j','n') default NULL,
  `hinw` enum('ok','rep','hinw','n') default NULL,
  `datum_n` date default NULL,
  `messgeraet` int(8) unsigned NOT NULL default '0',
 PRIMARY KEY (`inv_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_konf_fls_fz
-- Historie Abrechnung Fahrzeiten (15%, 2/3, ...)
--

CREATE TABLE IF NOT EXISTS `tb_konf_fls_fz` (
  `datum` date NOT NULL default '0000-00-00',
  `fls_fz` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`datum`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_complexity`
-- tb_complexity:static
--

CREATE TABLE IF NOT EXISTS `tb_complexity` (
  `complexity` int(3) unsigned NOT NULL auto_increment,
  `wert` varchar(20) NOT NULL default '',
  PRIMARY KEY (`complexity`)
);

--
-- Daten fuer Tabelle `tb_complexity`
--

INSERT INTO `tb_complexity` VALUES (1,'unter ferner liefen');
INSERT INTO `tb_complexity` VALUES (2,'gering');
INSERT INTO `tb_complexity` VALUES (3,'wenig');
INSERT INTO `tb_complexity` VALUES (4,'mig');
INSERT INTO `tb_complexity` VALUES (5,'berschaubar');
INSERT INTO `tb_complexity` VALUES (6,'moderat');
INSERT INTO `tb_complexity` VALUES (7,'komplex');
INSERT INTO `tb_complexity` VALUES (8,'erheblich');
INSERT INTO `tb_complexity` VALUES (9,'enorm');
INSERT INTO `tb_complexity` VALUES (10,'Grobaustelle');

--
-- Tabellenstruktur fuer Tabelle `tbh_pkw_feedback_proj`
-- pra oder proj_id, welche PKW-Feedbacks zuzuordnen gehen
--

CREATE TABLE IF NOT EXISTS `tbh_pkw_feedback_proj` (
  `id` int(3) unsigned NOT NULL auto_increment,
  `projekt` varchar(15) NOT NULL default '',
  PRIMARY KEY (`id`)
);

--
-- Daten fuer Tabelle `tbh_pkw_feedback_proj`
--

INSERT INTO `tbh_pkw_feedback_proj` VALUES (1,'VWG');

--
-- Tabellenstruktur fuer Tabelle `tbh_kont_zielkategorie`
-- Zuordnung JA Zielkategorien
--

CREATE TABLE IF NOT EXISTS `tbh_kont_zielkategorie` (
  `kont_id` int(5) unsigned NOT NULL default '0',
  `zielkategorie_id` int(5) unsigned NOT NULL default '0',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `farbe` varchar(10) NOT NULL default '',
  PRIMARY KEY (`kont_id`, `zielkategorie_id`)
);

--
-- "Demo"-Daten fuer Tabelle `tbh_kont_zielkategorie`
-- (Als Dummy fuer Import-Funktion "wie folgendes JA")
--

INSERT INTO `tbh_kont_zielkategorie` VALUES (0,  1, 'j', '#006600');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0,  2, 'j', '#006600');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0,  3, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0,  4, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0,  5, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0,  6, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0,  7, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0,  8, 'j', '#006600');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0,  9, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 10, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 11, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 12, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 13, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 14, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 15, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 16, 'j', '');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 17, 'j', '#666666');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 18, 'j', '#006600');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 19, 'j', '#006600');
INSERT INTO `tbh_kont_zielkategorie` VALUES (0, 20, 'j', '');

--
-- Tabellenstruktur fuer Tabelle `tb_hpvor7_akt_sit`
--

CREATE TABLE IF NOT EXISTS `tb_hpvor7_akt_sit` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `person_id` int(5) unsigned NOT NULL default '0',
  `zusammenleben` text,
  `sozialkompetenzen` text,
  `freizeitverhalten` text,
  `schule` text,
  `gesundheit` text,
  PRIMARY KEY (`hp_id`, `person_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ger_inspektion`
-- Inventur, regelmaessige Inspektion
--

CREATE TABLE IF NOT EXISTS `tb_ger_inspektion` (
  `inv_id` int(5) unsigned NOT NULL default '0',
  `datum_n` date default NULL,
  PRIMARY KEY (`inv_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_klientenkonto2`
-- weiteres Klientenkonto (wird JA in Rechnung gestellt)
--

CREATE TABLE IF NOT EXISTS `tb_klientenkonto2` (
  `id` int(3) unsigned NOT NULL auto_increment,
  `zk_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `spesen_text` varchar(50) default NULL,
  `spesen_betr` decimal(8,2) NOT NULL default '0.00',
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_kwz_zk`
-- Zuordnung ZKs zu Zwischenbericht KWG
--

CREATE TABLE IF NOT EXISTS `tbh_kwz_zk` (
  `kwz_id` int(5) unsigned NOT NULL default '0',
  `zk_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`kwz_id`, `zk_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_kwz_hp`
-- Zuordnung Reflexionen zu Zwischenbericht KWG
--

CREATE TABLE IF NOT EXISTS `tbh_kwz_hp` (
  `kwz_id` int(5) unsigned NOT NULL default '0',
  `hp_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`kwz_id`, `hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_wochenplan`
-- Wochenplan pro MA
--

CREATE TABLE IF NOT EXISTS `tb_wochenplan` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `gf` int(5) unsigned NOT NULL default '0',
  `gf_ts` datetime default NULL,
  `notizen` text,
  `hb` int(5) unsigned NOT NULL default '0',
  `hb_ts` datetime default NULL,
  `ewald` enum('j','n') NOT NULL default 'n',
  `fls` decimal(8,2) unsigned default NULL,
  PRIMARY KEY (`pers_id`, `datum`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hp_ja_check`
-- HP ans JA: wer, wann...
--

CREATE TABLE IF NOT EXISTS `tb_hp_ja_check` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `hpv_ja` enum('j','n') NOT NULL default 'n',
  `hpv_ja_pers` int(5) unsigned NOT NULL default '0',
  `hpv_ja_ts` int(10) unsigned NOT NULL default '0',
  `hp_u_he` enum('j','n') NOT NULL default 'n',
  `hp_u_he_pers` int(5) unsigned NOT NULL default '0',
  `hp_u_he_ts` int(10) unsigned NOT NULL default '0',
  `hp_ja` enum('j','n') NOT NULL default 'n',
  `hp_ja_pers` int(5) unsigned NOT NULL default '0',
  `hp_ja_ts` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_post_h2`
-- Zuordnung Hilfeplaene zu Post-Ein-und-Ausgaengen
--

CREATE TABLE IF NOT EXISTS `tbh_post_h2` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `h2_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_kinderzuschlag`
-- Historie Kinderzuschlag nach 19a AVR
--

CREATE TABLE IF NOT EXISTS `tb_kinderzuschlag` (
  `datum` date NOT NULL default '0000-00-00',
  `kinderzuschlag` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY (`datum`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_stellenbeschr`
--

CREATE TABLE IF NOT EXISTS `tb_stellenbeschr` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(15) NOT NULL default '',
  `text` text,
  `chk` enum('0','1') NOT NULL default '0',
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_stellenbeschr`
-- Zuordnung von Stellenbeschreibungen zu MAs
--

CREATE TABLE IF NOT EXISTS `tbh_pers_stellenbeschr` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `stellenbeschr_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`pers_id`,`stellenbeschr_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_anlage_fk`
-- Informationen fuer Druck Anlage FK
--

CREATE TABLE IF NOT EXISTS `tb_anlage_fk` (
  `jahr` year(4) NOT NULL default '0000',
  `anschreiben` text NOT NULL,
  `kont_id` int(5) unsigned NOT NULL default '0',
  `ap_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`jahr`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_inventarisierung`
-- Typ: P(projekt) R(echnungskauf) B(arzahlung) K(artenkauf)
--

CREATE TABLE IF NOT EXISTS `tb_inventarisierung` (
  `id` int(5) unsigned NOT NULL default '0',
  `typ` enum('p','r','b','k') NOT NULL default 'p',
  `ger_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned default NULL,
  `ts` int(10) unsigned default NULL,
  PRIMARY KEY (`id`,`typ`,`ger_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_vml_inventar`
--

CREATE TABLE IF NOT EXISTS `tbh_vml_inventar` (
  `vm_id` int(4) unsigned NOT NULL default '0',
  `ger_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned default NULL,
  `ts` int(10) unsigned default NULL,
  PRIMARY KEY (`vm_id`,`ger_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_hpv_form`
--

CREATE TABLE IF NOT EXISTS `tb_hpv_form` (
  `hpv_form` tinyint(1) unsigned NOT NULL default '0',
  `name` varchar(20) NOT NULL default '',
  `agtext` text,
  `erweitert` tinyint(1) unsigned default NULL,
  PRIMARY KEY (`hpv_form`)
);

INSERT INTO `tb_hpv_form` VALUES (0, 'Standard', '',NULL);
INSERT INTO `tb_hpv_form` VALUES (1, 'Dresden', '',NULL);
INSERT INTO `tb_hpv_form` VALUES (2, 'Bautzen', '',NULL);
INSERT INTO `tb_hpv_form` VALUES (3, 'Pirna', '',NULL);
INSERT INTO `tb_hpv_form` VALUES (4, 'Pirna 2013', '','3');
INSERT INTO `tb_hpv_form` VALUES (5, 'Hof', '',NULL);
INSERT INTO `tb_hpv_form` VALUES (6, 'Meien', '',NULL);
INSERT INTO `tb_hpv_form` VALUES (7, 'Coaching', '',NULL);
INSERT INTO `tb_hpv_form` VALUES (8, 'Meien 2015', '','6');
INSERT INTO `tb_hpv_form` VALUES (9, 'Bautzen 2016', '','2');
INSERT INTO `tb_hpv_form` VALUES (10, 'Bautzen 2017', '','2');

--
-- Tabellenstruktur fuer Tabelle `tb_x_azk_jahr`
-- Mitarbeiterdaten fr Durchschnittsbildung Jahresbersicht
--

CREATE TABLE IF NOT EXISTS `tb_x_azk_jahr` (
  `jahr` int(4) NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `mons` tinyint(2) unsigned NOT NULL default '0',
  `paz` decimal(7,2) default NULL,
  `fls_soll` decimal(7,2) default NULL,
  `fls_gel` decimal(7,2) default NULL,
  `fls_netto` decimal(7,2) default NULL,
  `fz` decimal(7,2) default NULL,
  `sum_c` decimal(7,2) default NULL,
  `spesen` decimal(7,2) default NULL,
  `pkw_p` decimal(7,2) default NULL,
  `pkw_d` decimal(7,2) default NULL,
  PRIMARY KEY (`jahr`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_x_azk_ja_jahr`
-- Jugendamtdaten fr Durchschnittsbildung Jahresbersicht
--

CREATE TABLE IF NOT EXISTS `tb_x_azk_ja_jahr` (
  `jahr` int(4) NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `kont_id` int(5) unsigned NOT NULL default '0',
  `fls_netto` decimal(7,2) default NULL,
  PRIMARY KEY (`jahr`,`pers_id`,`kont_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_x_azk_fz_jahr`
-- Summen Fehlzeiten fr Durchschnittsbildung Jahresbersicht
--

CREATE TABLE IF NOT EXISTS `tb_x_azk_fz_jahr` (
  `jahr` int(4) NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `terminart` char(3) NOT NULL default '',
  `fehltage` int(1) NOT NULL default '0',
  PRIMARY KEY (`jahr`,`pers_id`,`terminart`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_x_azk_ha_jahr`
-- Summen Hilfearten fr Durchschnittsbildung Jahresbersicht
--

CREATE TABLE IF NOT EXISTS `tb_x_azk_ha_jahr` (
  `jahr` int(4) NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `hilfeart_id` int(5) unsigned NOT NULL default '0',
  `fls_netto` decimal(7,2) default NULL,
  PRIMARY KEY (`jahr`,`pers_id`,`hilfeart_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_sachbericht_images`
-- Bilder im Sachbericht
--

CREATE TABLE IF NOT EXISTS `tbh_sachbericht_images` (
  `sb_id` int(5) NOT NULL default '0',
  `seite` int(5) unsigned NOT NULL default '0',
  `datei` varchar(100) NOT NULL default '',
  `width` int(3) NOT NULL default '100',
  `height` int(3) default NULL,
  `sort` int(5) unsigned NOT NULL default '0',
  `seitenumbruch` enum('j','n') NOT NULL default 'n',
  `text` text,
  PRIMARY KEY (`sb_id`,`seite`,`sort`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_team_pers_reminder`
-- EWALD: Erinnerung an Sitzungen in naher Zukunft
--

CREATE TABLE IF NOT EXISTS `tb_team_pers_reminder` (
  `team_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `remind` date default NULL,
  PRIMARY KEY (`team_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pkw_historie`
-- Historie fuer Versicherung, Kfz-Steuer und Rate
--

CREATE TABLE IF NOT EXISTS `tbh_pkw_historie` (
  `res_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `typ` enum('v','k','r') NOT NULL default 'v',
  `dat` decimal(8,2) default NULL,
  PRIMARY KEY (`res_id`,`datum`,`typ`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_wochenplan_termine`
-- Daten fuer gesperrte Wochenplaene
--

CREATE TABLE IF NOT EXISTS `tb_wochenplan_termine` (
  `termin_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `von` datetime NOT NULL default '0000-00-00 00:00:00',
  `bis` datetime default '0000-00-00 00:00:00',
  `titel` varchar(20) NOT NULL default '',
  `farbe` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`termin_id`,`abt_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_post_ok`
-- Daten OK fuer Tandem, Doppelbetreuer...
-- id2: p - proj_id
--      w - res_id (Wagen!!!)
--      t - team_art_id
--      m - pers_id (MA!!!)
--      r - vm_id (Direktkauf Rechnung)
--

CREATE TABLE IF NOT EXISTS `tb_post_ok` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `personaltyp_id` int(5) unsigned NOT NULL default '0',
  `id2` int(5) unsigned NOT NULL default '0',
  `typ` enum('p','w','t','m','r') NOT NULL default 'p',
  `ok` int(5) default NULL,
  `ok_datum` date default NULL,
  PRIMARY KEY (`hp_id`,`personaltyp_id`,`id2`,`typ`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_fehlz_ueberschneidung`
--

CREATE TABLE IF NOT EXISTS `tb_fehlz_ueberschneidung` (
  `fu_id` int(5) unsigned NOT NULL auto_increment,
  `fehlz_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`fu_id`,`fehlz_id`),
  UNIQUE KEY `fehlz_id` (`fehlz_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_web_dropdown`
--

CREATE TABLE IF NOT EXISTS `tb_web_dropdown` (
  `wddm_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(20) NOT NULL default '',
  `ebene` tinyint(2) unsigned NOT NULL default '0',
  `aktiv` enum('j','n') NOT NULL default 'n',
  `sort` int(2) unsigned default NULL,
  `level` int(2) NOT NULL default '0',
  PRIMARY KEY (`wddm_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_web_dropdown_menu`
--

CREATE TABLE IF NOT EXISTS `tb_web_dropdown_menu` (
  `wddm_id` int(5) unsigned NOT NULL default '0',
  `seite` int(2) NOT NULL default '0',
  `sort` int(2) unsigned default NULL,
  PRIMARY KEY (`wddm_id`,`seite`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_dropdown_link`
--

CREATE TABLE IF NOT EXISTS `tb_dropdown_link` (
  `seite` int(2) unsigned NOT NULL auto_increment,
  `name` varchar(25) NOT NULL default '',
  `link` varchar(150) NOT NULL default '',
  PRIMARY KEY (`seite`)
);

--
-- Tabellenstruktur fur Tabelle tb_pers_einst_neu
-- Tabelle enthaelt die persoenlichen Einstellungen von Stellware
-- (ueberarbeitete Fassung)
--

CREATE TABLE IF NOT EXISTS `tb_pers_einst_neu` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `pers_einst_id` int(5) unsigned NOT NULL default '0',
  `wert` text,
  PRIMARY KEY (`pers_id`,`pers_einst_id`)
);

--
-- Tabellenstruktur fur Tabelle tbh_res_kto
-- Zuordnung von Konten zu Ressourcen
--

CREATE TABLE IF NOT EXISTS `tbh_res_kto` (
  `res_id` int(5) unsigned NOT NULL default '0',
  `typ` enum('l','b') NOT NULL default 'l',
  `kto_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`res_id`,`typ`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_fehlz_pers_reminder`
-- EWALD: Erinnerung an Fehlzeitenvertretungen
--

CREATE TABLE IF NOT EXISTS `tb_fehlz_pers_reminder` (
  `fehlz_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `remind` date default NULL,
  PRIMARY KEY (`fehlz_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_azk_kontrolle`
--

CREATE TABLE IF NOT EXISTS `tb_azk_kontrolle` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `sb` int(5) unsigned NOT NULL default '0',
  `sb_ts` datetime default NULL,
  `gf` int(5) unsigned NOT NULL default '0',
  `gf_ts` datetime default NULL,
  `notizen` text,
  `hb` int(5) unsigned NOT NULL default '0',
  `hb_ts` datetime default NULL,
  `ewald` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`pers_id`, `datum`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_post_vertr_warten`
-- Vertretung angezeigte Post wartet auf HB
--

CREATE TABLE IF NOT EXISTS `tbh_pers_post_vertr_warten` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `hp_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`pers_id`,`hp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ewaldkategorie`
-- tb_ewaldkategorie:static
--

CREATE TABLE IF NOT EXISTS `tb_ewaldkategorie` (
  `ewaldkategorie_id` int(3) unsigned NOT NULL auto_increment,
  `kategorie` varchar(250) NOT NULL default '',
  `aktiv` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`ewaldkategorie_id`)
);

--
-- Daten fuer Tabelle `tb_ewaldkategorie`
--

INSERT INTO `tb_ewaldkategorie` VALUES (1, '<h2><u>Bitte dringend Abrechnungsbl&auml;tter <b style="font-weight:bold;color:#FFFF00">kontrollieren</b> und best&auml;tigen!</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (2, '<h2><u>Bitte AZK <b style="font-weight:bold;color:#FFFF00">kontrollieren</b> und best&auml;tigen!</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (3, '<h2><u>Dringend w&ouml;chentliche Gef&auml;hrdungseinsch&auml;tzung <b style="font-weight:bold;color:#FFFF00">durchf&uuml;hren</b> und dokumentieren.</u></h2><h3>Seit &uuml;ber 10 Tagen keine Zeitkarte zum Kindeswohl erfasst</h3>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (4, '<h2><u>Bitte Sitzungsprotokolle <b style="font-weight:bold;color:#FFFF00">lesen</b> und best&auml;tigen!</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (5, '<h2><u>Bitte geplante Sitzung fristgerecht vorbereiten</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (6, '<h2><u>Bitte Wochenplan best&auml;tigen!</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (7, '<h2><u>Bitte dringend NotVertretung einsetzen</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (8, '<h2><u>Bitte dringend Vertretung einsetzen</u></h2>', 'n');
INSERT INTO `tb_ewaldkategorie` VALUES (9, '<h2><u>Vertretungen f&uuml;r anstehende Fehlzeit kl&auml;ren!</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (10, '<h2><u>Bitte dringend Unterschrift Leistungsempf&auml;nger einholen!</u></h2>', 'n');
INSERT INTO `tb_ewaldkategorie` VALUES (11, '<h2><u>Bitte Befristung bald endender Projekte kl&auml;ren</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (12, '<h2><u>Bitte &uuml;berf&auml;llige Aufgaben dringend <b style="font-weight:bold;color:#FFFF00">erledigen</b> oder F&auml;lligkeit neu abstimmen!</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (13, '<h2><u>Bitte dringend &uuml;berf&auml;llige Eing&auml;nge im PostRessort bearbeiten!</u></h2>', 'j');
INSERT INTO `tb_ewaldkategorie` VALUES (14, '<h2><u>Bitte dringend &uuml;berf&auml;llige Post bearbeiten!</u></h2>', 'j');

--
-- Tabellenstruktur fuer Tabelle `tb_ewald`
-- id1: proj_id oder pers_id oder team_id...
-- id2: nachw_id oder unix_timestamp(datum) oder nur 0...
-- je nach ewaldkategorie
--

CREATE TABLE IF NOT EXISTS `tb_ewald` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ewaldkategorie_id` int(3) unsigned NOT NULL default '0',
  `id1` int(5) unsigned NOT NULL default '0',
  `id2` int(5) unsigned NOT NULL default '0',
  `eintrag` text,
  `firstview` date NOT NULL default '0000-00-00',
  `lastview` date NOT NULL default '0000-00-00',
  `cntview` int(5) unsigned NOT NULL default '0',
  `days` int(1) unsigned NOT NULL default '0',
  PRIMARY KEY (`pers_id`,`ewaldkategorie_id`,`id1`,`id2`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_extrafahrt`
-- diese Fahrt in Rechnung stellen, 
-- unabhngig von Einstellung zur Erstattung des km-Geldes im JA
--

CREATE TABLE IF NOT EXISTS `tbh_extrafahrt` (
  `zk_id` int(5) unsigned NOT NULL default '0',
  `extrafahrt` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`zk_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_proj_hon_kl`
--

CREATE TABLE IF NOT EXISTS `tbh_pers_proj_hon_kl` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `kl_id` int(3) NOT NULL default '0',
  `ppkw` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`pers_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ressort`
-- Tabelle fuer Ressorts (Zustaendigkeiten)
-- Auswahl: [M]itarbeiter, [P]kws, projekt[G]ruppen, [A]bteilungen, [T]eamsitzungen
--

CREATE TABLE IF NOT EXISTS `tb_ressort` (
  `ressort_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `farbe` varchar(20) default NULL,
  `auswahl` enum('m','p','g','a','t') default NULL,
  `id` int(5) unsigned default NULL,
  `ausnahme` enum('inc','ex') default NULL,
  `sort` int(2) unsigned default NULL,
  `beschreibung` text,
  `ewald` int(2) unsigned NOT NULL default '28',
  `ewald_hb` int(2) unsigned NOT NULL default '0',
  `ewald_rech` int(2) unsigned NOT NULL default '14',
  `ewald_hb_rech` int(2) unsigned NOT NULL default '10',
  `zahlungsvorr` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`ressort_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_ressort_ausnahmen`
-- Ergaeenzungen/Ausnahmen fuer Ressorts
-- (...z.B. alle HzE's ausser Abteilung Verwaltung...)
--

CREATE TABLE IF NOT EXISTS `tbh_ressort_ausnahmen` (
  `ressort_id` int(5) unsigned NOT NULL default '0',
  `id` int(5) unsigned NOT NULL default '0',
  `sub_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`ressort_id`,`id`,`sub_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_az_basis`
-- Historie Arbeitszeit 100% Basis
--

CREATE TABLE IF NOT EXISTS `tb_az_basis` (
  `datum` date NOT NULL default '0000-00-00',
  `az_basis` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY (`datum`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_aufgabe_termin_historie`
-- Historie Aenderungen 'Termin' in Aufgaben
--

CREATE TABLE IF NOT EXISTS `tb_aufgabe_termin_historie` (
  `ath_id` int(5) unsigned NOT NULL auto_increment,
  `aufgabe_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `termin` date NOT NULL default '0000-00-00',
  PRIMARY KEY (`ath_id`),
  KEY `aufgabe_id` (`aufgabe_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_proj_frist_pers_reminder`
-- EWALD: Erinnerung an Ende befristeter Projekte
--

CREATE TABLE IF NOT EXISTS `tb_proj_frist_pers_reminder` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `remind` date default NULL,
  PRIMARY KEY (`proj_id`,`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_ressort`
-- Zuordnung Personal zu Ressorts
--

CREATE TABLE IF NOT EXISTS `tbh_pers_ressort` (
  `pr_id` int(5) unsigned NOT NULL auto_increment,
  `ressort_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) NOT NULL default '0',
  `vertritt` int(5) NOT NULL default '0',
  `e_a` enum('e','a') default NULL,
  `betreuer` enum('f','h','v') NOT NULL default 'f',
  `optional` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`pr_id`),
  KEY `ressort_id` (`ressort_id`),
  KEY `pers_id` (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_udef_nrkreise`
-- benutzerdefinierte Projekt-Nummernkreise
--

CREATE TABLE IF NOT EXISTS `tb_udef_nrkreise` (
  `pra_id` int(5) unsigned NOT NULL auto_increment,
  `ressort_id` int(5) unsigned NOT NULL default '0',
  `nr_von` int(4) unsigned NOT NULL default '0',
  `nr_bis` int(4) unsigned NOT NULL default '0',
  `sub_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`pra_id`),
  KEY `ressort_id` (`ressort_id`),
  KEY `sub_id` (`sub_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_ressort`
-- Zusatztabelle fuer weitere Sub-Ressorts
-- Auswahl: [M]itarbeiter, [P]kws, projekt[G]ruppen, [A]bteilungen
--

CREATE TABLE IF NOT EXISTS `tbh_ressort` (
  `sub_id` int(5) unsigned NOT NULL auto_increment,
  `ressort_id` int(5) unsigned NOT NULL default '0',
  `auswahl` enum('m','p','g','a') default NULL,
  `id` int(5) unsigned default NULL,
  `ausnahme` enum('inc','ex') default NULL,
  PRIMARY KEY (`sub_id`),
  KEY `ressort_id` (`ressort_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_hp_ressort`
-- Verknuepfung von hp_id (Post) und Ressorts
--

CREATE TABLE IF NOT EXISTS `tbh_hp_ressort` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `ressort_id` int(5) unsigned NOT NULL default '0',
  `erledigt` enum('j','n') NOT NULL default 'n',
  `notiz` text,
  `notiz_pers_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`hp_id`,`ressort_id`),
  KEY `erledigt` (`erledigt`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pers_hp_ressort`
-- OKs der RessortBetreuer pro Posteingang und Ressort
--

CREATE TABLE IF NOT EXISTS `tb_pers_hp_ressort` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `pers_id` int(5) NOT NULL default '0',
  `hp_id` int(5) unsigned NOT NULL default '0',
  `ressort_id` int(5) unsigned NOT NULL default '0',
  `ok` datetime NOT NULL default '0000-00-00 00:00:00',
  `ok_pers_id` int(5) unsigned NOT NULL default '0',
  `betr_e_a` enum('fe','fa','he','ha') NOT NULL default 'fa',
  `aktiv` enum('j','n') NOT NULL default 'j',
  `optional` enum('j','n') NOT NULL default 'n',
  `notiz` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `phr_collab` (`pers_id`,`hp_id`,`ressort_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_fb`
-- welche Mitarbeiter sind Fachberater
--

CREATE TABLE IF NOT EXISTS `tbh_pers_fb` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `hze` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_key_abt`
-- Zuordnung von Arbeitsmitteln/PAM/Fundus zu Abteilungen
--

CREATE TABLE IF NOT EXISTS `tbh_key_abt` (
  `key_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`key_id`,`abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_hp_tn`
-- Teilnehmer am Hilfeplangesprch
-- person_id: 0 = Sachbearbeiter JA
--           <0 = -pers_id Stlw-Mitarbeiter
--           ansonsten person_id
--

CREATE TABLE IF NOT EXISTS `tbh_hp_tn` (
  `hp_id` int(5) unsigned NOT NULL default '0',
  `person_id` int(5) NOT NULL default '0',
  `abwesend` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`hp_id`, `person_id`)
);


--
-- Tabellenstruktur fuer Tabelle `tbh_pers_gf`
-- welche Mitarbeiter sind in Objekten als optional zu hakende GF gelistet
--

CREATE TABLE IF NOT EXISTS `tbh_pers_gf` (
  `pers_id` int(5) NOT NULL default '0',
  `obj_id` int(5) NOT NULL default '0',
  `optional` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`pers_id`, `obj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_team_art_abt`
-- Zuordnung von Sitzungsarten zu Abteilungen
--

CREATE TABLE IF NOT EXISTS `tbh_team_art_abt` (
  `team_art_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`team_art_id`,`abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_web_extern`
--

CREATE TABLE IF NOT EXISTS `tb_web_extern` (
  `wex_id` int(5) unsigned NOT NULL auto_increment,
  `name` text,
  `link` text,
  `ebene` tinyint(2) unsigned NOT NULL default '0',
  `aktiv` enum('j','n') NOT NULL default 'n',
  `sort` int(2) unsigned default NULL,
  `level` int(2) NOT NULL default '0',
  `titel` varchar(25) NOT NULL default '',
  PRIMARY KEY (`wex_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_hp_ressort_aktiv`
-- Zwischengespeicherte aktive Ressort-Posteingaenge
--

CREATE TABLE IF NOT EXISTS `tbh_pers_hp_ressort_aktiv` (
  `pers_id` int(5) NOT NULL default '0',
  `hp_id` int(5) unsigned NOT NULL default '0',
  `ressort_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`pers_id`,`hp_id`,`ressort_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_abt_kont`
-- Abteilungen von JA-Mitarbeitern
--

CREATE TABLE IF NOT EXISTS `tb_abt_kont` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `kont_id` int(5) unsigned NOT NULL default '0',
  `abt` varchar(30) default NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `kontabt` (`kont_id`,`abt`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_km_geld_pauschale`
--

CREATE TABLE IF NOT EXISTS `tb_km_geld_pauschale` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `kont_id` int(5) unsigned NOT NULL default '0',
  `betrag` decimal(5,2) NOT NULL default '0.00',
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_zk_km_geld`
--

CREATE TABLE IF NOT EXISTS `tb_zk_km_geld` (
  `zk_id` int(5) unsigned NOT NULL auto_increment,
  `betrag` decimal(5,2) NOT NULL default '0.00',
  PRIMARY KEY (`zk_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_code4`
-- benutzerdefinierte Leistungsarten
--

CREATE TABLE IF NOT EXISTS `tb_ab_code4` (
  `code` char(1) NOT NULL default '',
  `code2` char(1) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`code`),
  UNIQUE KEY `code2` (`code2`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_post_dashboard`
-- Post im Dashboard: unbearbeitet? (fuer EWALD...)
--

CREATE TABLE IF NOT EXISTS `tbh_pers_post_dashboard` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `hp_id` int(5) unsigned NOT NULL default '0',
  `tbl` enum('i','o') NOT NULL default 'i',
  PRIMARY KEY (`pers_id`,`hp_id`)
);

--
-- Tabellenstruktur fur Tabelle tb_ttt_anwesenheit_tt
-- Nach TTT-Projektende erstellter ToolTip: Anwesenheit
--

CREATE TABLE IF NOT EXISTS `tb_ttt_anwesenheit_tt` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `tt` text,
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY (`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_laufzeit`
--

CREATE TABLE IF NOT EXISTS `tb_laufzeit` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `seite` varchar(32) NOT NULL default '',
  `urlext` varchar(128) NOT NULL default '',
  `ts1` int(10) unsigned NOT NULL default '0',
  `ts2` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY (`id`),
  KEY `pers_id` (`pers_id`),
  KEY `seite` (`seite`),
  KEY `ts1` (`ts1`),
  KEY `ts2` (`ts2`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_kat_ttt`
--

CREATE TABLE IF NOT EXISTS `tb_kat_ttt` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fur Tabelle tb_pro_gruppe_fz
-- Maximalwerte Fehlzeiten Projektgruppen
--

CREATE TABLE IF NOT EXISTS `tb_pro_gruppe_fz` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `terminart` char(3) NOT NULL default '',
  `max` tinyint(2) unsigned NOT NULL default '0',
  PRIMARY KEY (`proj_id`,`terminart`)
);

--
-- Tabellenstruktur fuer Tabelle tb_abteilungsrechte
-- Nutzer dieser Abteilung bekommen Rechte auf bestimmte Objekte
-- analog zu tb_benutzerrechte
--

CREATE TABLE IF NOT EXISTS `tb_abteilungsrechte` (
  `obj_id` int(5) NOT NULL default '0',
  `abt_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`obj_id`,`abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_anf_ha_grp`
-- Tabelle fuer Gruppen von Hilfearten fuer Anfragen
--

CREATE TABLE IF NOT EXISTS `tb_anf_ha_grp` (
  `grp_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(20) NOT NULL default '',
  `excl` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`grp_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_anf_ha_grp`
--

CREATE TABLE IF NOT EXISTS `tbh_anf_ha_grp` (
  `grp_id` int(5) NOT NULL default '0',
  `pra_id` int(5) NOT NULL default '0',
  `hilfeart_id` int(5) NOT NULL default '0',
  PRIMARY KEY (`grp_id`,`pra_id`,`hilfeart_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_team_art_abt`
--

CREATE TABLE IF NOT EXISTS `tb_team_art_abt` (
  `team_art_id` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  `nur_protokoll` enum('j','n') default 'n',
  `ab_datum` date NOT NULL default '2017-01-01',
  PRIMARY KEY (`team_art_id`,`abt_id`),
  KEY `team_art_id` (`team_art_id`),
  KEY `abt_id` (`abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_zin_abschlag'
-- Tabelle fuer Zahlungen Abschlaege
--

CREATE TABLE IF NOT EXISTS `tb_zin_abschlag` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `nachw_id` int(5) unsigned NOT NULL default '0',
  `satz` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ts` datetime default NULL,
  `checked` enum('j','n') default 'n',
  `notizen` text,
  PRIMARY KEY (`id`),
  KEY `nachw_id` (`nachw_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_proj_anw_historie`
-- stationaere Betreuung: Historie anwesende Klienten
--

CREATE TABLE IF NOT EXISTS `tbh_proj_anw_historie` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `proj_id` int(5) unsigned NOT NULL default '0',
  `datum` date NOT NULL default '0000-00-00',
  `terminart` char(3) default NULL,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ts` datetime default NULL,
  `essen` enum('j','n') default NULL,
  `person_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`id`),
  KEY `proj_id` (`proj_id`),
  KEY `datum` (`datum`),
  KEY `person_id` (`person_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_sb_kat`
-- Sachberichts-Kategorien zur Sortierung/Filterung
--

CREATE TABLE IF NOT EXISTS `tb_sb_kat` (
  `sb_kat` int(5) unsigned NOT NULL auto_increment,
  `kategorie` varchar(32) NOT NULL default '',
  PRIMARY KEY (`sb_kat`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_pauschFLSg'
-- Tabelle fuer Gutscheine pauschale FLS
--

CREATE TABLE IF NOT EXISTS `tb_pauschFLSg` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `proj_id` int(5) unsigned NOT NULL default '0',
  `betrag` decimal(7,2) NOT NULL default '0.00',
  `notizen` text,
  PRIMARY KEY (`id`),
  KEY `proj_id` (`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tbh_pauschFLSg_zin'
-- Zahlungseingang fuer Gutscheine pauschale FLS
--

CREATE TABLE IF NOT EXISTS `tbh_pauschFLSg_zin` (
  `id` int(5) unsigned NOT NULL default '0',
  `checked` enum('j','n') default 'n',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ts` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (`id`,`ts`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_skin'
-- Farbwerte fuer die Darstellung Stellware
--

CREATE TABLE IF NOT EXISTS `tb_skin` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `farbe` varchar(7) NOT NULL default '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
);

--
-- Daten fuer Tabelle `tb_skin`
--

INSERT INTO `tb_skin` VALUES (1, 'zk ab nein', '#FFCC00');
INSERT INTO `tb_skin` VALUES (2, 'zk ab ja', '#00FF00');
INSERT INTO `tb_skin` VALUES (3, 'zk abgerechnet', '#FF0000');
INSERT INTO `tb_skin` VALUES (4, 'zk abgelegt', '#999999');
INSERT INTO `tb_skin` VALUES (5, 'Hintergrund kontrolle', '#111111');

--
-- Tabellenstruktur fuer Tabelle 'tb_pro_inheritance'
-- Projekte spalten: parent und child dokumentieren
--

CREATE TABLE IF NOT EXISTS `tb_pro_inheritance` (
  `proj_id_child` int(5) unsigned NOT NULL auto_increment,
  `proj_id_parent` int(5) unsigned NOT NULL default '0',
  `show_child_in_parent` enum('j','n') default 'n',
  `show_parent_in_child` enum('j','n') default 'n',
  PRIMARY KEY (`proj_id_child`),
  KEY `proj_id_parent` (`proj_id_parent`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pers_aktiv`
-- Zwischentabelle fuer Geburtstagsfunktion:
-- letzter "aktiver" Monat (ZK abgerechnet)
--

CREATE TABLE IF NOT EXISTS `tb_pers_aktiv` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `cur_monat` date NOT NULL default '0000-00-00',
  PRIMARY KEY (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_barbetrag'
-- Barbetraege Projektgruppe (Taschengeld)
--

CREATE TABLE IF NOT EXISTS `tb_barbetrag` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `lebensjahr` tinyint(1) unsigned NOT NULL default '0',
  `betrag` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY (`proj_id`,`lebensjahr`)
);

--
-- Daten fuer Tabelle `tb_barbetrag`
--

INSERT INTO `tb_barbetrag` VALUES (0, 4, '7.00');
INSERT INTO `tb_barbetrag` VALUES (0, 5, '9.00');
INSERT INTO `tb_barbetrag` VALUES (0, 6, '11.00');
INSERT INTO `tb_barbetrag` VALUES (0, 7, '13.00');
INSERT INTO `tb_barbetrag` VALUES (0, 8, '15.00');
INSERT INTO `tb_barbetrag` VALUES (0, 9, '17.00');
INSERT INTO `tb_barbetrag` VALUES (0, 10, '22.00');
INSERT INTO `tb_barbetrag` VALUES (0, 11, '24.00');
INSERT INTO `tb_barbetrag` VALUES (0, 12, '26.00');
INSERT INTO `tb_barbetrag` VALUES (0, 13, '30.00');
INSERT INTO `tb_barbetrag` VALUES (0, 14, '35.00');
INSERT INTO `tb_barbetrag` VALUES (0, 15, '40.00');
INSERT INTO `tb_barbetrag` VALUES (0, 16, '45.00');
INSERT INTO `tb_barbetrag` VALUES (0, 17, '50.00');
INSERT INTO `tb_barbetrag` VALUES (0, 18, '110.43');

--
-- Tabellenstruktur fuer Tabelle 'tb_pro_gr_ha_satz'
-- Tagessaetze pro Hilfeart und Projektgruppe
--

CREATE TABLE IF NOT EXISTS `tb_pro_gr_ha_satz` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `hilfeart_id` int(5) unsigned NOT NULL default '0',
  `tagessatz` decimal(7,2) NOT NULL default '0.00',
  `satz_erhoeht` decimal(7,2) NOT NULL default '0.00',
  `abwentgelt` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY (`proj_id`,`hilfeart_id`)
);

--
-- Tabellenstruktur fuer Tabelle 'tb_pro_gr_einst'
-- erweiterte Einstellungen Projektgruppe
--

CREATE TABLE IF NOT EXISTS `tb_pro_gr_einst` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `tagessatz_gruppe` enum('j','n') NOT NULL default 'n',
  `erh_satz_manuell` enum('j','n') NOT NULL default 'n',
  `erh_satz_auto` enum('j','n') NOT NULL default 'n',
  `abw_entgelt_ab` int(5) unsigned NOT NULL default '3',
  `taschengeld` enum('j','n') NOT NULL default 'n',
  `zusRechPosten` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`proj_id`)
);

--
-- Tabellenstruktur fur Tabelle tb_res_einzelkosten
-- Tabelle enthaelt die einzelnen monatlichen Kosten von Ressourcen (tb_ressourcen)
--

CREATE TABLE IF NOT EXISTS `tb_res_einzelkosten` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `res_id` int(5) unsigned NOT NULL default '0',
  `ab_monat` date NOT NULL default '0000-00-00',
  `page` tinyint(1) unsigned NOT NULL default '0',
  `kosten` double(8,2) default NULL,
  `notizen` text,
  PRIMARY KEY (`id`),
  KEY `kosten` (`res_id`,`ab_monat`,`page`)
);

--
-- Tabellenstruktur fur Tabelle tb_x_umsatz
-- Zwischenspeicherung Rechnungsumsaetze
--

CREATE TABLE IF NOT EXISTS `tb_x_umsatz` (
  `ab_monat` date NOT NULL default '0000-00-00',
  `umsatz` double(10,2) default NULL,
  `fls` decimal(8,2) unsigned default NULL,
  `days` int(2) unsigned default NULL,
  PRIMARY KEY (`ab_monat`)
);

--
-- Tabellenstruktur fuer Tabelle tb_daten_urls
--

CREATE TABLE IF NOT EXISTS `tb_daten_urls` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `rechte_id` int(5) unsigned NOT NULL default '0',
  `link` text,
  `name` varchar(50) NOT NULL default '',
  `datum` int(10) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `level` int(2) unsigned NOT NULL default '0',
  `zahl_id` int(5) unsigned NOT NULL default '0',
  `zahl_id2` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_zip_historie
-- wer hat wann welche Klammer als ZIP heruntergeladen
--

CREATE TABLE IF NOT EXISTS `tb_zip_historie` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `rechte_id` int(5) unsigned NOT NULL default '0',
  `zahl_id` int(5) unsigned NOT NULL default '0',
  `zahl_id2` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ts` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `datei` (`rechte_id`,`zahl_id`,`zahl_id2`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ab_pro_klammer`
--

CREATE TABLE IF NOT EXISTS `tb_ab_pro_klammer` (
  `nachw_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `intern` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`nachw_id`,`proj_id`,`intern`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pers_historie`
-- Historie der Aenderungen an Personaldaten
--

CREATE TABLE IF NOT EXISTS `tb_pers_historie` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ts` datetime default NULL,
  `erzeuger` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`id`),
  KEY `pers_id` (`pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_zahlungsgruppe`
--

CREATE TABLE IF NOT EXISTS `tb_zahlungsgruppe` (
  `zg_id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `von` date NOT NULL default '0000-00-00',
  `bis` date NOT NULL default '0000-00-00',
  `nrkreis` int(3) unsigned NOT NULL default '65',
  `kont_id_rechnung` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`zg_id`),
  KEY `von` (`von`),
  KEY `bis` (`bis`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_zg_kont`
-- ordnet Kontakte Zahlungsgruppen zu
--

CREATE TABLE IF NOT EXISTS `tbh_zg_kont` (
  `zg_id` int(5) unsigned NOT NULL default '0',
  `kont_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`zg_id`,`kont_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_zg_ha`
-- ordnet Hilfearten Zahlungsgruppen zu
--

CREATE TABLE IF NOT EXISTS `tbh_zg_ha` (
  `zg_id` int(5) unsigned NOT NULL default '0',
  `hilfeart_id` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`zg_id`,`hilfeart_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_zg_rechnung`
-- Rechnung Zahlungsgruppe
--

CREATE TABLE IF NOT EXISTS `tb_zg_rechnung` (
  `re_id` int(5) unsigned NOT NULL default '0',
  `proj_id` int(5) unsigned NOT NULL default '0',
  `nachw_id` int(5) unsigned default NULL,
  `zg_id` int(5) unsigned NOT NULL default '0',
  `zg_ausnahme` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`re_id`,`proj_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_zg_position`
-- Positionen Rechnung Zahlungsgruppe
--

CREATE TABLE IF NOT EXISTS `tb_zg_position` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `re_id` int(5) unsigned NOT NULL default '0',
  `nachw_id` int(5) unsigned default NULL,
  `hilfeart_id` int(5) unsigned NOT NULL default '0',
  `pos` tinyint(1) unsigned NOT NULL default '0',
  `subpos` tinyint(1) unsigned NOT NULL default '0',
  `menge` decimal(7,2) NOT NULL default '0.0',
  `typ` enum('h','d','m','km','p','k','fz','s','skt','fp','e') NOT NULL default 'h',
  `satz` decimal(7,2) NOT NULL default '0.00',
  `text` text,
  PRIMARY KEY (`id`),
  KEY `re_id` (`re_id`),
  KEY `nachw_id` (`nachw_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_team_art_verlauf
-- Aenderungen an den Sitzungsartart werden protokolliert.
--

CREATE TABLE IF NOT EXISTS `tb_team_art_verlauf` (
  `verlauf_id` int(5) unsigned NOT NULL auto_increment,
  `team_art_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY (`verlauf_id`),
  KEY `team_art_id` (`team_art_id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_team_verlauf
-- Aenderungen an den Sitzungen werden protokolliert.
--

CREATE TABLE IF NOT EXISTS `tb_team_verlauf` (
  `verlauf_id` int(5) unsigned NOT NULL auto_increment,
  `team_id` int(5) unsigned NOT NULL default '0',
  `menue` int(5) unsigned NOT NULL default '1',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY (`verlauf_id`),
  KEY `team_id` (`team_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_stichtag`
-- Stichtage fuer Aktenarten Personal
--

CREATE TABLE IF NOT EXISTS `tbh_pers_stichtag` (
  `pers_id` int(5) unsigned NOT NULL default '0',
  `akte_id` int(5) unsigned default '0',
  `stichtag` date NOT NULL default '0000-00-00',
  PRIMARY KEY (`pers_id`, `akte_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tbh_pers_akte_ausnahme`
--

CREATE TABLE IF NOT EXISTS `tbh_pers_akte_ausnahme` (
  `akte_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `aktiv` enum('j','n') NOT NULL default 'n',
  PRIMARY KEY (`akte_id`, `pers_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_wartung_art`
--

CREATE TABLE IF NOT EXISTS `tb_wartung_art` (
  `art_id` int(5) unsigned NOT NULL auto_increment,
  `art` varchar(6) NOT NULL default '',
  `beschreibung` varchar(100) NOT NULL default '',
  `aktiv` enum('j','n') NOT NULL default 'j',
  PRIMARY KEY (`art_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pro_vernichtung`
--

CREATE TABLE IF NOT EXISTS `tb_pro_vernichtung` (
  `proj_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `checked` enum('checked','') NOT NULL default '',
  PRIMARY KEY (`proj_id`, `pers_id`, `datetime`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_imap_settings`
-- Enthaelt alle IMAP Einstellungen um Nachrichten
-- von Servern zu holen.
--

CREATE TABLE IF NOT EXISTS `tb_imap_settings` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `server` varchar(120) NOT NULL default '',
  `port` enum('143', '993') NOT NULL default '993',
  `login` varchar(120) NOT NULL default '',
  `password` varchar(120) NOT NULL default '',
  `art` enum('i', 'o') NOT NULL default 'i',
  `traeger_art_id` int(2) unsigned NOT NULL,
  PRIMARY KEY (`id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_ewald_stufen`
-- Stufen der Ewaldwarnmeldungen
-- Ubergang zu (stufe) nach (schwelle) (typ==i ? Ignorierungen : Tage)
--

CREATE TABLE IF NOT EXISTS `tb_ewald_stufen` (
  `ewaldkategorie_id` int(3) NOT NULL default '0',
  `stufe` tinyint(1) unsigned NOT NULL default '0',
  `ermahnung` varchar(32) NOT NULL default 'Aufforderung',
  `farbe` varchar(10) NOT NULL default '#006600',
  `typ` enum('i','t') NOT NULL default 't',
  `schwelle` tinyint(2) NOT NULL default '0',
  PRIMARY KEY (`ewaldkategorie_id`,`stufe`)
);

--
-- Daten fuer Tabelle `tb_ewald_stufen`
--

INSERT INTO `tb_ewald_stufen` VALUES (1, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (2, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (3, 0, 'Ermahnung', '#FF6600', 't', 10);
INSERT INTO `tb_ewald_stufen` VALUES (4, 0, 'Aufforderung', '#006600', 't', 2);
INSERT INTO `tb_ewald_stufen` VALUES (5, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (6, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (7, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (8, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (9, 0, 'Aufforderung', '#006600', 't', -35);
INSERT INTO `tb_ewald_stufen` VALUES (10, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (11, 0, 'Aufforderung', '#006600', 't', -50);
INSERT INTO `tb_ewald_stufen` VALUES (12, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (13, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (14, 0, 'Aufforderung', '#006600', 't', 0);
INSERT INTO `tb_ewald_stufen` VALUES (1, 1, 'Aufforderung', '#FF6600', 'i', 5);
INSERT INTO `tb_ewald_stufen` VALUES (2, 1, 'Aufforderung', '#FF6600', 'i', 8);
INSERT INTO `tb_ewald_stufen` VALUES (3, 1, 'Ermahnung', '#FF0033', 'i', 3);
INSERT INTO `tb_ewald_stufen` VALUES (4, 1, 'Aufforderung', '#FF6600', 'i', 8);
INSERT INTO `tb_ewald_stufen` VALUES (5, 1, 'Aufforderung', '#FF6600', 'i', 8);
INSERT INTO `tb_ewald_stufen` VALUES (6, 1, 'Ermahnung', '#FF0033', 'i', 3);
INSERT INTO `tb_ewald_stufen` VALUES (7, 1, 'Aufforderung', '#FF6600', 'i', 5);
INSERT INTO `tb_ewald_stufen` VALUES (8, 1, 'Ermahnung', '#FF0033', 'i', 5);
INSERT INTO `tb_ewald_stufen` VALUES (9, 1, 'Ermahnung', '#FF0033', 't', -7);
INSERT INTO `tb_ewald_stufen` VALUES (10, 1, 'Aufforderung', '#FF6600', 'i', 5);
INSERT INTO `tb_ewald_stufen` VALUES (11, 1, 'Aufforderung', '#FF6600', 't', -5);
INSERT INTO `tb_ewald_stufen` VALUES (12, 1, 'Aufforderung', '#FF6600', 'i', 5);
INSERT INTO `tb_ewald_stufen` VALUES (13, 1, 'Aufforderung', '#FF6600', 'i', 5);
INSERT INTO `tb_ewald_stufen` VALUES (14, 1, 'Aufforderung', '#FF6600', 'i', 5);

--
-- Tabellenstruktur fuer Tabelle `tb_fehlz_planung`
-- Historie Planungsaenderungen Fehlzeiten
--

CREATE TABLE IF NOT EXISTS `tb_fehlz_planung` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `fehlz_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ts` int(10) unsigned default NULL,
  `checked` enum('j','n','al') NOT NULL default 'n',
  `von` date default NULL,
  `bis` date default NULL,
  PRIMARY KEY (`id`),
  KEY `fehlz_id` (`fehlz_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_jahresplan`
-- Jahresplan Fehlzeiten pro Abteilung
--

CREATE TABLE IF NOT EXISTS `tb_jahresplan` (
  `jahr` int(5) unsigned NOT NULL default '0',
  `abt_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `ts` int(10) unsigned default NULL,
  PRIMARY KEY (`jahr`,`abt_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_weblinks`
--

CREATE TABLE IF NOT EXISTS `tb_weblinks` (
  `weblink_id` int(5) unsigned NOT NULL auto_increment,
  `seite` varchar(20) NOT NULL default '',
  `id` int(5) unsigned NOT NULL default '0',
  `link` text,
  `link_name` varchar(100) NOT NULL default '',
  PRIMARY KEY (`weblink_id`),
  KEY `info` (`seite`,`id`)
);

--
-- Tabellenstruktur fuer Tabelle tb_info_verlauf
-- Aenderungen an Info werden protokolliert.
--

CREATE TABLE IF NOT EXISTS `tb_info_verlauf` (
  `verlauf_id` int(5) unsigned NOT NULL auto_increment,
  `info_id` int(5) unsigned NOT NULL default '0',
  `pers_id` int(5) unsigned NOT NULL default '0',
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY (`verlauf_id`),
  KEY `info_id` (`info_id`)
);

--
-- Tabellenstruktur fuer Tabelle `tb_pro_team_verbund`
-- Zuordnung verbundener Projekte und Sitzungsarten
--

CREATE TABLE IF NOT EXISTS `tb_pro_team_verbund` (
  `verbund_id` int(5) unsigned NOT NULL auto_increment,
  `proj_id` int(5) unsigned NOT NULL default '0',
  `team_art_id` int(5) unsigned NOT NULL default '0',
  `datetime_von` datetime NOT NULL default '0000-00-00 00:00:00',
  `pers_id_von` int(5) unsigned NOT NULL default '0',
  `datetime_bis` datetime default NULL,
  `pers_id_bis` int(5) unsigned default NULL,
  PRIMARY KEY (`verbund_id`),
  UNIQUE KEY `verbindung` (`proj_id`,`team_art_id`)
);
